/*===========================================================================*/
/*   (Misc/make_lib.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -srfi avahi -copt -D_REENTRANT -copt -fPIC -copt -IClib Misc/make_lib.scm -o objs/make_lib.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <avahi-client/client.h>
#include <avahi-client/lookup.h>
#include <avahi-client/publish.h>
#include <avahi-common/simple-watch.h>
#include <avahi-common/thread-watch.h>
#include <avahi-common/error.h>
#include <avahi-common/alternative.h>
#include <bavahi.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___AVAHI_MAKELIB_TYPE_DEFINITIONS
#define BGL___AVAHI_MAKELIB_TYPE_DEFINITIONS
#endif // BGL___AVAHI_MAKELIB_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__avahi_makelibz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00;
static obj_t BGl_toplevelzd2initzd2zz__avahi_makelibz00(void);
extern obj_t BGl_avahizd2pollzd2zz__avahi_avahiz00;
extern obj_t BGl_avahizd2objectzd2zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00;
static obj_t BGl_genericzd2initzd2zz__avahi_makelibz00(void);
static obj_t BGl_objectzd2initzd2zz__avahi_makelibz00(void);
BGL_IMPORT obj_t BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(obj_t);
extern obj_t BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00;
static obj_t BGl_evalzd2initzd2zz__avahi_makelibz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__avahi_makelibz00(void);
extern obj_t BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00;
extern obj_t BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00;
BGL_IMPORT obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_z62avahizd2errorzb0zz__avahi_avahiz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__avahi_makelibz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evobjectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00;
BGL_IMPORT obj_t BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(obj_t);
extern obj_t BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00;
static obj_t BGl_cnstzd2initzd2zz__avahi_makelibz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_makelibz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__avahi_makelibz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__avahi_makelibz00(void);
static obj_t BGl_z62appendzd221009zb0zz__avahi_makelibz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_avahizd2clientzd2zz__avahi_avahiz00;
BGL_IMPORT obj_t BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(obj_t);
static obj_t __cnst[ 56 ] ;


extern obj_t BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00;
extern obj_t BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2pollzd2loopzd2envzd2zz__avahi_avahiz00;
extern obj_t BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00;
extern obj_t BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2pollzd2closezd2envzd2zz__avahi_avahiz00;
extern obj_t BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00;
extern obj_t BGl_avahizd2errorzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2pollzd2timeoutzd2envzd2zz__avahi_avahiz00;
extern obj_t BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00;
extern obj_t BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00;
extern obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00;
extern obj_t BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00;
extern obj_t BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00;
extern obj_t BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_appendzd221009zd2envz00zz__avahi_makelibz00, BgL_bgl_za762appendza7d221001130z00, BGl_z62appendzd221009zb0zz__avahi_makelibz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00;
extern obj_t BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2initzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00;
extern obj_t BGl_avahizd2pollzd2unlockz12zd2envzc0zz__avahi_avahiz00;
extern obj_t BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00;
extern obj_t BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00;
extern obj_t BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00;
extern obj_t BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00;
extern obj_t BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00;
extern obj_t BGl_avahizd2pollzd2quitzd2envzd2zz__avahi_avahiz00;
extern obj_t BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00;
extern obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00;
DEFINE_STRING( BGl_string1121z00zz__avahi_makelibz00, BgL_bgl_string1121za700za7za7_1131za7, "&append-21009", 13 );
DEFINE_STRING( BGl_string1122z00zz__avahi_makelibz00, BgL_bgl_string1122za700za7za7_1132za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1123z00zz__avahi_makelibz00, BgL_bgl_string1123za700za7za7_1133za7, "__avahi_makelib", 15 );
DEFINE_STRING( BGl_string1124z00zz__avahi_makelibz00, BgL_bgl_string1124za700za7za7_1134za7, "avahi-service-resolver-close %avahi-thread-init! avahi-resolver-event->symbol &avahi-collision-error avahi-poll-timeout avahi-poll avahi-object avahi-poll-close avahi-threaded-poll-lock! avahi-lookup-result-flags->symbol avahi-threaded-poll avahi-error avahi-entry-group-close avahi-domain-browser avahi-browser-event->symbol avahi-poll-quit avahi-entry-group avahi-client-close avahi-protocol->symbol avahi-lookup-flags->symbol avahi-simple-poll-quit avahi-threaded-poll-unlock! append-21009 avahi-client-state->symbol avahi-init avahi-simple-poll-timeout avahi-service-type-browser avahi-symbol->protocol avahi-service-resolver &avahi-error avahi-poll-lock! avahi-threaded-poll-quit avahi-entry-group-state->symbol %avahi-lock! avahi-entry-group-commit avahi-poll-loop avahi-alternative-service-name avahi-domain-browser-close avahi-simple-poll avahi-simple-poll-loop avahi-alternative-host-name avahi-threaded-poll-timeout avahi-service-browser avahi-client-error-message avahi-service-browser-close avahi-poll-unlock! av"
"ahi-client avahi-entry-group-empty? avahi-threaded-poll-close avahi-threaded-poll-loop %avahi-unlock! avahi-if-index->symbol avahi-simple-poll-close avahi-entry-group-add-service! %avahi-signal avahi-entry-group-reset! ", 1243 );
extern obj_t BGl_avahizd2pollzd2lockz12zd2envzc0zz__avahi_avahiz00;
extern obj_t BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__avahi_makelibz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__avahi_makelibz00(long BgL_checksumz00_130, char * BgL_fromz00_131)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__avahi_makelibz00))
{ 
BGl_requirezd2initializa7ationz75zz__avahi_makelibz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__avahi_makelibz00(); 
BGl_libraryzd2moduleszd2initz00zz__avahi_makelibz00(); 
BGl_cnstzd2initzd2zz__avahi_makelibz00(); 
BGl_importedzd2moduleszd2initz00zz__avahi_makelibz00(); 
BGl_evalzd2initzd2zz__avahi_makelibz00(); 
return 
BGl_toplevelzd2initzd2zz__avahi_makelibz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__avahi_makelib"); 
BGl_modulezd2initializa7ationz75zz__evobjectz00(0L, "__avahi_makelib"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__avahi_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__avahi_makelib"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(0L, "__avahi_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__avahi_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__avahi_makelib"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_cportz00_112;
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_stringz00_119;
BgL_stringz00_119 = BGl_string1124z00zz__avahi_makelibz00; 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_startz00_120;
BgL_startz00_120 = 
BINT(0L); 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_endz00_121;
BgL_endz00_121 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_119))); 
{ /* Misc/make_lib.scm 15 */

BgL_cportz00_112 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_119, BgL_startz00_120, BgL_endz00_121); } } } } 
{ 
 long BgL_iz00_113;
BgL_iz00_113 = 55L; 
BgL_loopz00_114:
if(
(BgL_iz00_113==-1L))
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;}  else 
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_arg1129z00_115;
{ /* Misc/make_lib.scm 15 */

{ /* Misc/make_lib.scm 15 */
 obj_t BgL_locationz00_117;
BgL_locationz00_117 = 
BBOOL(((bool_t)0)); 
{ /* Misc/make_lib.scm 15 */

BgL_arg1129z00_115 = 
BGl_readz00zz__readerz00(BgL_cportz00_112, BgL_locationz00_117); } } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_tmpz00_157;
BgL_tmpz00_157 = 
(int)(BgL_iz00_113); 
CNST_TABLE_SET(BgL_tmpz00_157, BgL_arg1129z00_115); } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_auxz00_118;
BgL_auxz00_118 = 
(int)(
(BgL_iz00_113-1L)); 
{ 
 long BgL_iz00_162;
BgL_iz00_162 = 
(long)(BgL_auxz00_118); 
BgL_iz00_113 = BgL_iz00_162; 
goto BgL_loopz00_114;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* &append-21009 */
obj_t BGl_z62appendzd221009zb0zz__avahi_makelibz00(obj_t BgL_envz00_15, obj_t BgL_l1z00_16, obj_t BgL_l2z00_17)
{
{ 
{ 
 obj_t BgL_l1z00_124;
{ 
 bool_t BgL_test1137z00_165;
if(
PAIRP(BgL_l1z00_16))
{ /* Ieee/pairlist.scm 241 */
BgL_test1137z00_165 = ((bool_t)1)
; }  else 
{ /* Ieee/pairlist.scm 241 */
BgL_test1137z00_165 = 
NULLP(BgL_l1z00_16)
; } 
if(BgL_test1137z00_165)
{ 
BgL_l1z00_124 = BgL_l1z00_16; }  else 
{ 
 obj_t BgL_auxz00_169;
BgL_auxz00_169 = 
BGl_typezd2errorzd2zz__errorz00(BFALSE, BFALSE, BGl_string1121z00zz__avahi_makelibz00, BGl_string1122z00zz__avahi_makelibz00, BgL_l1z00_16); 
FAILURE(BgL_auxz00_169,BFALSE,BFALSE);} } 
{ 
 obj_t BgL_headz00_125;
BgL_headz00_125 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_17); 
{ 
 obj_t BgL_prevz00_127; obj_t BgL_tailz00_128;
BgL_prevz00_127 = BgL_headz00_125; 
BgL_tailz00_128 = BgL_l1z00_124; 
BgL_loopz00_126:
if(
PAIRP(BgL_tailz00_128))
{ 
 obj_t BgL_newzd2prevzd2_129;
BgL_newzd2prevzd2_129 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_128), BgL_l2z00_17); 
SET_CDR(BgL_prevz00_127, BgL_newzd2prevzd2_129); 
{ 
 obj_t BgL_tailz00_179; obj_t BgL_prevz00_178;
BgL_prevz00_178 = BgL_newzd2prevzd2_129; 
BgL_tailz00_179 = 
CDR(BgL_tailz00_128); 
BgL_tailz00_128 = BgL_tailz00_179; 
BgL_prevz00_127 = BgL_prevz00_178; 
goto BgL_loopz00_126;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_125);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(213998089L, 
BSTRING_TO_STRING(BGl_string1123z00zz__avahi_makelibz00));} 

}



/* eval-init */
obj_t BGl_evalzd2initzd2zz__avahi_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_avahizd2pollzd2zz__avahi_avahiz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(0L), BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(1L), BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(2L), BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(3L), BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(4L), BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(5L), BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(6L), BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(7L), BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(8L), BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(9L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2clientzd2zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(10L), BGl_avahizd2pollzd2unlockz12zd2envzc0zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(11L), BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(12L), BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(13L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(14L), BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(15L), BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(16L), BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(17L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(18L), BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(19L), BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(20L), BGl_avahizd2pollzd2loopzd2envzd2zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(21L), BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(22L), BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(23L), BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(24L), BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(25L), BGl_avahizd2pollzd2lockz12zd2envzc0zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(26L), 
__EVMEANING_ADDRESS(
(BGl_z62avahizd2errorzb0zz__avahi_avahiz00))); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(27L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(28L), BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(29L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(30L), BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(31L), BGl_avahizd2initzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(32L), BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(33L), BGl_appendzd221009zd2envz00zz__avahi_makelibz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(34L), BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(35L), BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(36L), BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(37L), BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(38L), BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(39L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(40L), BGl_avahizd2pollzd2quitzd2envzd2zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(41L), BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(42L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(43L), BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(44L), BGl_avahizd2errorzd2envz00zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(45L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(46L), BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(47L), BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(48L), BGl_avahizd2pollzd2closezd2envzd2zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(49L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2objectzd2zz__avahi_avahiz00))); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(50L), 
__EVMEANING_ADDRESS(
(BGl_avahizd2pollzd2zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(51L), BGl_avahizd2pollzd2timeoutzd2envzd2zz__avahi_avahiz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(52L), 
__EVMEANING_ADDRESS(
(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(53L), BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(54L), BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(55L), BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00); 
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
