/*===========================================================================*/
/*   (Llib/timer.scm)                                                        */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/timer.scm -o objs/timer.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_TIMER_TYPE_DEFINITIONS
#define BGL___LIBUV_TIMER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvtimerz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
   uint64_t BgL_repeatz00;
   bool_t BgL_refz00;
} *BgL_uvtimerz00_bglt;


#endif // BGL___LIBUV_TIMER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62uvzd2unrefzd2UvTimer1078z62zz__libuv_timerz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_timerz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libuv_timerz00(void);
static obj_t BGl_genericzd2initzd2zz__libuv_timerz00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_timerz00(void);
static obj_t BGl_z62uvzd2hrtimezb0zz__libuv_timerz00(obj_t);
extern uv_timer_t * bgl_uv_timer_new(BgL_uvtimerz00_bglt, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2timerzd2stopz62zz__libuv_timerz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2timerzd2startz62zz__libuv_timerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_timerz00(void);
BGL_EXPORTED_DECL uint64_t BGl_uvzd2hrtimezd2zz__libuv_timerz00(void);
static obj_t BGl_z62z52uvzd2initzd2UvTimer1074z30zz__libuv_timerz00(obj_t, obj_t);
extern void bgl_uv_timer_stop(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2timerzd2startz00zz__libuv_timerz00(BgL_uvtimerz00_bglt, uint64_t, uint64_t);
extern void bgl_uv_timer_start(obj_t, obj_t, uint64_t, uint64_t);
static obj_t BGl_z62uvzd2refzd2UvTimer1076z62zz__libuv_timerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_timerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_handlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_uvzd2timerzd2stopz00zz__libuv_timerz00(BgL_uvtimerz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_timerz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_timerz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_timerz00(void);
extern obj_t BGl_UvTimerz00zz__libuv_typesz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2haszd2refzf3zd2UvTimer1080z43zz__libuv_timerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2timerzd2stopzd2envzd2zz__libuv_timerz00, BgL_bgl_za762uvza7d2timerza7d21119za7, BGl_z62uvzd2timerzd2stopz62zz__libuv_timerz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_uvzd2unrefzd2envz00zz__libuv_handlez00;
extern obj_t BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00;
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2hrtimezd2envz00zz__libuv_timerz00, BgL_bgl_za762uvza7d2hrtimeza7b1120za7, BGl_z62uvzd2hrtimezb0zz__libuv_timerz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1111z00zz__libuv_timerz00, BgL_bgl_string1111za700za7za7_1121za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1113z00zz__libuv_timerz00, BgL_bgl_string1113za700za7za7_1122za7, "uv-ref", 6 );
DEFINE_STRING( BGl_string1115z00zz__libuv_timerz00, BgL_bgl_string1115za700za7za7_1123za7, "uv-unref", 8 );
DEFINE_STRING( BGl_string1117z00zz__libuv_timerz00, BgL_bgl_string1117za700za7za7_1124za7, "uv-has-ref?", 11 );
DEFINE_STRING( BGl_string1118z00zz__libuv_timerz00, BgL_bgl_string1118za700za7za7_1125za7, "__libuv_timer", 13 );
extern obj_t BGl_uvzd2refzd2envz00zz__libuv_handlez00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1110z00zz__libuv_timerz00, BgL_bgl_za762za752uvza7d2initza71126z00, BGl_z62z52uvzd2initzd2UvTimer1074z30zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1112z00zz__libuv_timerz00, BgL_bgl_za762uvza7d2refza7d2uv1127za7, BGl_z62uvzd2refzd2UvTimer1076z62zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1114z00zz__libuv_timerz00, BgL_bgl_za762uvza7d2unrefza7d21128za7, BGl_z62uvzd2unrefzd2UvTimer1078z62zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1116z00zz__libuv_timerz00, BgL_bgl_za762uvza7d2hasza7d2re1129za7, BGl_z62uvzd2haszd2refzf3zd2UvTimer1080z43zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2timerzd2startzd2envzd2zz__libuv_timerz00, BgL_bgl_za762uvza7d2timerza7d21130za7, BGl_z62uvzd2timerzd2startz62zz__libuv_timerz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_timerz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_timerz00(long BgL_checksumz00_97, char * BgL_fromz00_98)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_timerz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_timerz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_timerz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_timerz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_timerz00(); 
BGl_methodzd2initzd2zz__libuv_timerz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_timerz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_timer"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_timer"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return BUNSPEC;} 

}



/* uv-timer-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2timerzd2startz00zz__libuv_timerz00(BgL_uvtimerz00_bglt BgL_oz00_4, uint64_t BgL_tz00_5, uint64_t BgL_rz00_6)
{
{ /* Llib/timer.scm 38 */
((((BgL_uvtimerz00_bglt)COBJECT(BgL_oz00_4))->BgL_repeatz00)=((uint64_t)BgL_rz00_6),BUNSPEC); 
{ /* Llib/timer.scm 41 */
 obj_t BgL_arg1093z00_55;
BgL_arg1093z00_55 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_cbz00); 
bgl_uv_timer_start(
((obj_t)BgL_oz00_4), BgL_arg1093z00_55, BgL_tz00_5, BgL_rz00_6); 
return BUNSPEC;} } 

}



/* &uv-timer-start */
obj_t BGl_z62uvzd2timerzd2startz62zz__libuv_timerz00(obj_t BgL_envz00_60, obj_t BgL_oz00_61, obj_t BgL_tz00_62, obj_t BgL_rz00_63)
{
{ /* Llib/timer.scm 38 */
return 
BGl_uvzd2timerzd2startz00zz__libuv_timerz00(
((BgL_uvtimerz00_bglt)BgL_oz00_61), 
BGL_BINT64_TO_INT64(BgL_tz00_62), 
BGL_BINT64_TO_INT64(BgL_rz00_63));} 

}



/* uv-timer-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2timerzd2stopz00zz__libuv_timerz00(BgL_uvtimerz00_bglt BgL_oz00_7)
{
{ /* Llib/timer.scm 46 */
bgl_uv_timer_stop(
((obj_t)BgL_oz00_7)); 
return BUNSPEC;} 

}



/* &uv-timer-stop */
obj_t BGl_z62uvzd2timerzd2stopz62zz__libuv_timerz00(obj_t BgL_envz00_64, obj_t BgL_oz00_65)
{
{ /* Llib/timer.scm 46 */
return 
BGl_uvzd2timerzd2stopz00zz__libuv_timerz00(
((BgL_uvtimerz00_bglt)BgL_oz00_65));} 

}



/* uv-hrtime */
BGL_EXPORTED_DEF uint64_t BGl_uvzd2hrtimezd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 76 */
return 
uv_hrtime();} 

}



/* &uv-hrtime */
obj_t BGl_z62uvzd2hrtimezb0zz__libuv_timerz00(obj_t BgL_envz00_66)
{
{ /* Llib/timer.scm 76 */
{ /* Llib/timer.scm 77 */
 uint64_t BgL_tmpz00_124;
BgL_tmpz00_124 = 
BGl_uvzd2hrtimezd2zz__libuv_timerz00(); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_124);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1110z00zz__libuv_timerz00, BGl_string1111z00zz__libuv_timerz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2refzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1112z00zz__libuv_timerz00, BGl_string1113z00zz__libuv_timerz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1114z00zz__libuv_timerz00, BGl_string1115z00zz__libuv_timerz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1116z00zz__libuv_timerz00, BGl_string1117z00zz__libuv_timerz00);} 

}



/* &uv-has-ref?-UvTimer1080 */
obj_t BGl_z62uvzd2haszd2refzf3zd2UvTimer1080z43zz__libuv_timerz00(obj_t BgL_envz00_75, obj_t BgL_oz00_76)
{
{ /* Llib/timer.scm 69 */
return 
BBOOL(
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_76)))->BgL_refz00));} 

}



/* &uv-unref-UvTimer1078 */
obj_t BGl_z62uvzd2unrefzd2UvTimer1078z62zz__libuv_timerz00(obj_t BgL_envz00_77, obj_t BgL_oz00_78)
{
{ /* Llib/timer.scm 61 */
{ 

((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_78)))->BgL_refz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/timer.scm 61 */
 obj_t BgL_nextzd2method1077zd2_90;
BgL_nextzd2method1077zd2_90 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_78)), BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1077zd2_90))(BgL_nextzd2method1077zd2_90, 
((obj_t)
((BgL_uvtimerz00_bglt)BgL_oz00_78)), BEOA);} } } 

}



/* &uv-ref-UvTimer1076 */
obj_t BGl_z62uvzd2refzd2UvTimer1076z62zz__libuv_timerz00(obj_t BgL_envz00_79, obj_t BgL_oz00_80)
{
{ /* Llib/timer.scm 53 */
{ 

((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_80)))->BgL_refz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/timer.scm 53 */
 obj_t BgL_nextzd2method1075zd2_93;
BgL_nextzd2method1075zd2_93 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_80)), BGl_uvzd2refzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1075zd2_93))(BgL_nextzd2method1075zd2_93, 
((obj_t)
((BgL_uvtimerz00_bglt)BgL_oz00_80)), BEOA);} } } 

}



/* &%uv-init-UvTimer1074 */
obj_t BGl_z62z52uvzd2initzd2UvTimer1074z30zz__libuv_timerz00(obj_t BgL_envz00_81, obj_t BgL_oz00_82)
{
{ /* Llib/timer.scm 30 */
{ 
 uv_handle_t * BgL_auxz00_156;
{ /* Llib/timer.scm 32 */
 uv_timer_t * BgL_arg1096z00_95;
{ /* Llib/timer.scm 32 */
 BgL_uvloopz00_bglt BgL_arg1099z00_96;
BgL_arg1099z00_96 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_82))))->BgL_loopz00); 
BgL_arg1096z00_95 = 
bgl_uv_timer_new(
((BgL_uvtimerz00_bglt)BgL_oz00_82), BgL_arg1099z00_96); } 
BgL_auxz00_156 = 
(uv_handle_t *)(BgL_arg1096z00_95); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_82))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_156),BUNSPEC); } 
return 
((obj_t)
((BgL_uvtimerz00_bglt)BgL_oz00_82));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string1118z00zz__libuv_timerz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_handlez00(208244482L, 
BSTRING_TO_STRING(BGl_string1118z00zz__libuv_timerz00));} 

}

#ifdef __cplusplus
}
#endif
