/*===========================================================================*/
/*   (Beta/walk.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Beta/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BETA_WALK_TYPE_DEFINITIONS
#define BGL_BETA_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_BETA_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1311z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2extern1305z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1315z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbeta_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1317za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121321zb0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzbeta_walkz00(void);
	static obj_t BGl_objectzd2initzd2zzbeta_walkz00(void);
	static obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1323za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbeta_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1329z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t BGl_z62nodezd2betaz121292za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1307z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1327z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1309z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2fail1313z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1303z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1299z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1295z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbeta_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1325za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2ref1319za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1297z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1301za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711988za7,
		BGl_z62nodezd2betaz12za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_betazd2walkz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762betaza7d2walkza711989za7,
		BGl_z62betazd2walkz12za2zzbeta_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1955z00zzbeta_walkz00,
		BgL_bgl_string1955za700za7za7b1990za7, "Constant Beta", 13);
	      DEFINE_STRING(BGl_string1956z00zzbeta_walkz00,
		BgL_bgl_string1956za700za7za7b1991za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1957z00zzbeta_walkz00,
		BgL_bgl_string1957za700za7za7b1992za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1958z00zzbeta_walkz00,
		BgL_bgl_string1958za700za7za7b1993za7, " error", 6);
	      DEFINE_STRING(BGl_string1959z00zzbeta_walkz00,
		BgL_bgl_string1959za700za7za7b1994za7, "s", 1);
	      DEFINE_STRING(BGl_string1960z00zzbeta_walkz00,
		BgL_bgl_string1960za700za7za7b1995za7, "", 0);
	      DEFINE_STRING(BGl_string1961z00zzbeta_walkz00,
		BgL_bgl_string1961za700za7za7b1996za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1962z00zzbeta_walkz00,
		BgL_bgl_string1962za700za7za7b1997za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1964z00zzbeta_walkz00,
		BgL_bgl_string1964za700za7za7b1998za7, "node-beta!1292", 14);
	      DEFINE_STRING(BGl_string1966z00zzbeta_walkz00,
		BgL_bgl_string1966za700za7za7b1999za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712000za7,
		BGl_z62nodezd2betaz121292za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712001za7,
		BGl_z62nodezd2betaz12zd2sequence1295z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712002za7,
		BGl_z62nodezd2betaz12zd2sync1297z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712003za7,
		BGl_z62nodezd2betaz12zd2app1299z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712004za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1301za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712005za7,
		BGl_z62nodezd2betaz12zd2funcall1303z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712006za7,
		BGl_z62nodezd2betaz12zd2extern1305z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712007za7,
		BGl_z62nodezd2betaz12zd2cast1307z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712008za7,
		BGl_z62nodezd2betaz12zd2setq1309z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712009za7,
		BGl_z62nodezd2betaz12zd2condition1311z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712010za7,
		BGl_z62nodezd2betaz12zd2fail1313z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712011za7,
		BGl_z62nodezd2betaz12zd2switch1315z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712012za7,
		BGl_z62nodezd2betaz12zd2makezd2box1317za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1984z00zzbeta_walkz00,
		BgL_bgl_string1984za700za7za7b2013za7, "wrong node", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712014za7,
		BGl_z62nodezd2betaz12zd2boxzd2ref1319za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1985z00zzbeta_walkz00,
		BgL_bgl_string1985za700za7za7b2015za7, "beta_walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712016za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121321zb0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1986z00zzbeta_walkz00,
		BgL_bgl_string1986za700za7za7b2017za7, "read beta pass-started ", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712018za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1323za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712019za7,
		BGl_z62nodezd2betaz12zd2letzd2var1325za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712020za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1327z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712021za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1329z70zzbeta_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbeta_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long
		BgL_checksumz00_3069, char *BgL_fromz00_3070)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbeta_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbeta_walkz00();
					BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
					BGl_cnstzd2initzd2zzbeta_walkz00();
					BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
					BGl_genericzd2initzd2zzbeta_walkz00();
					BGl_methodzd2initzd2zzbeta_walkz00();
					return BGl_toplevelzd2initzd2zzbeta_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "beta_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			{	/* Beta/walk.scm 18 */
				obj_t BgL_cportz00_2821;

				{	/* Beta/walk.scm 18 */
					obj_t BgL_stringz00_2828;

					BgL_stringz00_2828 = BGl_string1986z00zzbeta_walkz00;
					{	/* Beta/walk.scm 18 */
						obj_t BgL_startz00_2829;

						BgL_startz00_2829 = BINT(0L);
						{	/* Beta/walk.scm 18 */
							obj_t BgL_endz00_2830;

							BgL_endz00_2830 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2828)));
							{	/* Beta/walk.scm 18 */

								BgL_cportz00_2821 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2828, BgL_startz00_2829, BgL_endz00_2830);
				}}}}
				{
					long BgL_iz00_2822;

					BgL_iz00_2822 = 2L;
				BgL_loopz00_2823:
					if ((BgL_iz00_2822 == -1L))
						{	/* Beta/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Beta/walk.scm 18 */
							{	/* Beta/walk.scm 18 */
								obj_t BgL_arg1987z00_2824;

								{	/* Beta/walk.scm 18 */

									{	/* Beta/walk.scm 18 */
										obj_t BgL_locationz00_2826;

										BgL_locationz00_2826 = BBOOL(((bool_t) 0));
										{	/* Beta/walk.scm 18 */

											BgL_arg1987z00_2824 =
												BGl_readz00zz__readerz00(BgL_cportz00_2821,
												BgL_locationz00_2826);
										}
									}
								}
								{	/* Beta/walk.scm 18 */
									int BgL_tmpz00_3106;

									BgL_tmpz00_3106 = (int) (BgL_iz00_2822);
									CNST_TABLE_SET(BgL_tmpz00_3106, BgL_arg1987z00_2824);
							}}
							{	/* Beta/walk.scm 18 */
								int BgL_auxz00_2827;

								BgL_auxz00_2827 = (int) ((BgL_iz00_2822 - 1L));
								{
									long BgL_iz00_3111;

									BgL_iz00_3111 = (long) (BgL_auxz00_2827);
									BgL_iz00_2822 = BgL_iz00_3111;
									goto BgL_loopz00_2823;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* beta-walk! */
	BGL_EXPORTED_DEF obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Beta/walk.scm 35 */
			{	/* Beta/walk.scm 36 */
				obj_t BgL_list1333z00_1394;

				{	/* Beta/walk.scm 36 */
					obj_t BgL_arg1337z00_1395;

					{	/* Beta/walk.scm 36 */
						obj_t BgL_arg1338z00_1396;

						BgL_arg1338z00_1396 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1337z00_1395 =
							MAKE_YOUNG_PAIR(BGl_string1955z00zzbeta_walkz00,
							BgL_arg1338z00_1396);
					}
					BgL_list1333z00_1394 =
						MAKE_YOUNG_PAIR(BGl_string1956z00zzbeta_walkz00,
						BgL_arg1337z00_1395);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1333z00_1394);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1955z00zzbeta_walkz00;
			{	/* Beta/walk.scm 36 */
				obj_t BgL_g1110z00_1397;

				BgL_g1110z00_1397 = BNIL;
				{
					obj_t BgL_hooksz00_1400;
					obj_t BgL_hnamesz00_1401;

					BgL_hooksz00_1400 = BgL_g1110z00_1397;
					BgL_hnamesz00_1401 = BNIL;
				BgL_zc3z04anonymousza31339ze3z87_1402:
					if (NULLP(BgL_hooksz00_1400))
						{	/* Beta/walk.scm 36 */
							CNST_TABLE_REF(0L);
						}
					else
						{	/* Beta/walk.scm 36 */
							bool_t BgL_test2025z00_3124;

							{	/* Beta/walk.scm 36 */
								obj_t BgL_fun1347z00_1409;

								BgL_fun1347z00_1409 = CAR(((obj_t) BgL_hooksz00_1400));
								BgL_test2025z00_3124 =
									CBOOL(
									(VA_PROCEDUREP(BgL_fun1347z00_1409) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1347z00_1409))
										(BgL_fun1347z00_1409,
											BEOA) : ((obj_t(*)(obj_t))
											PROCEDURE_ENTRY(BgL_fun1347z00_1409))
										(BgL_fun1347z00_1409)));
							}
							if (BgL_test2025z00_3124)
								{	/* Beta/walk.scm 36 */
									obj_t BgL_arg1343z00_1406;
									obj_t BgL_arg1344z00_1407;

									BgL_arg1343z00_1406 = CDR(((obj_t) BgL_hooksz00_1400));
									BgL_arg1344z00_1407 = CDR(((obj_t) BgL_hnamesz00_1401));
									{
										obj_t BgL_hnamesz00_3136;
										obj_t BgL_hooksz00_3135;

										BgL_hooksz00_3135 = BgL_arg1343z00_1406;
										BgL_hnamesz00_3136 = BgL_arg1344z00_1407;
										BgL_hnamesz00_1401 = BgL_hnamesz00_3136;
										BgL_hooksz00_1400 = BgL_hooksz00_3135;
										goto BgL_zc3z04anonymousza31339ze3z87_1402;
									}
								}
							else
								{	/* Beta/walk.scm 36 */
									obj_t BgL_arg1346z00_1408;

									BgL_arg1346z00_1408 = CAR(((obj_t) BgL_hnamesz00_1401));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1955z00zzbeta_walkz00,
										BGl_string1957z00zzbeta_walkz00, BgL_arg1346z00_1408);
								}
						}
				}
			}
			BGl_betazd2globalsz12zc0zzbeta_walkz00(BgL_globalsz00_3);
			{	/* Beta/walk.scm 38 */
				obj_t BgL_valuez00_1412;

				BgL_valuez00_1412 =
					BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(1L),
					BgL_globalsz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						0L))
					{	/* Beta/walk.scm 38 */
						{	/* Beta/walk.scm 38 */
							obj_t BgL_port1277z00_1414;

							{	/* Beta/walk.scm 38 */
								obj_t BgL_tmpz00_3146;

								BgL_tmpz00_3146 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1277z00_1414 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3146);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1277z00_1414);
							bgl_display_string(BGl_string1958z00zzbeta_walkz00,
								BgL_port1277z00_1414);
							{	/* Beta/walk.scm 38 */
								obj_t BgL_arg1352z00_1415;

								{	/* Beta/walk.scm 38 */
									bool_t BgL_test2027z00_3151;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Beta/walk.scm 38 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Beta/walk.scm 38 */
													BgL_test2027z00_3151 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> 1L);
												}
											else
												{	/* Beta/walk.scm 38 */
													BgL_test2027z00_3151 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(1L));
												}
										}
									else
										{	/* Beta/walk.scm 38 */
											BgL_test2027z00_3151 = ((bool_t) 0);
										}
									if (BgL_test2027z00_3151)
										{	/* Beta/walk.scm 38 */
											BgL_arg1352z00_1415 = BGl_string1959z00zzbeta_walkz00;
										}
									else
										{	/* Beta/walk.scm 38 */
											BgL_arg1352z00_1415 = BGl_string1960z00zzbeta_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1352z00_1415, BgL_port1277z00_1414);
							}
							bgl_display_string(BGl_string1961z00zzbeta_walkz00,
								BgL_port1277z00_1414);
							bgl_display_char(((unsigned char) 10), BgL_port1277z00_1414);
						}
						{	/* Beta/walk.scm 38 */
							obj_t BgL_list1355z00_1419;

							BgL_list1355z00_1419 = MAKE_YOUNG_PAIR(BINT(-1L), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1355z00_1419);
						}
					}
				else
					{	/* Beta/walk.scm 38 */
						obj_t BgL_g1112z00_1420;

						BgL_g1112z00_1420 = BNIL;
						{
							obj_t BgL_hooksz00_1423;
							obj_t BgL_hnamesz00_1424;

							BgL_hooksz00_1423 = BgL_g1112z00_1420;
							BgL_hnamesz00_1424 = BNIL;
						BgL_zc3z04anonymousza31356ze3z87_1425:
							if (NULLP(BgL_hooksz00_1423))
								{	/* Beta/walk.scm 38 */
									return BgL_valuez00_1412;
								}
							else
								{	/* Beta/walk.scm 38 */
									bool_t BgL_test2031z00_3168;

									{	/* Beta/walk.scm 38 */
										obj_t BgL_fun1368z00_1432;

										BgL_fun1368z00_1432 = CAR(((obj_t) BgL_hooksz00_1423));
										BgL_test2031z00_3168 =
											CBOOL(
											(VA_PROCEDUREP(BgL_fun1368z00_1432) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fun1368z00_1432))
												(BgL_fun1368z00_1432,
													BEOA) : ((obj_t(*)(obj_t))
													PROCEDURE_ENTRY(BgL_fun1368z00_1432))
												(BgL_fun1368z00_1432)));
									}
									if (BgL_test2031z00_3168)
										{	/* Beta/walk.scm 38 */
											obj_t BgL_arg1361z00_1429;
											obj_t BgL_arg1363z00_1430;

											BgL_arg1361z00_1429 = CDR(((obj_t) BgL_hooksz00_1423));
											BgL_arg1363z00_1430 = CDR(((obj_t) BgL_hnamesz00_1424));
											{
												obj_t BgL_hnamesz00_3180;
												obj_t BgL_hooksz00_3179;

												BgL_hooksz00_3179 = BgL_arg1361z00_1429;
												BgL_hnamesz00_3180 = BgL_arg1363z00_1430;
												BgL_hnamesz00_1424 = BgL_hnamesz00_3180;
												BgL_hooksz00_1423 = BgL_hooksz00_3179;
												goto BgL_zc3z04anonymousza31356ze3z87_1425;
											}
										}
									else
										{	/* Beta/walk.scm 38 */
											obj_t BgL_arg1366z00_1431;

											BgL_arg1366z00_1431 = CAR(((obj_t) BgL_hnamesz00_1424));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1962z00zzbeta_walkz00, BgL_arg1366z00_1431);
										}
								}
						}
					}
			}
		}

	}



/* &beta-walk! */
	obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t BgL_envz00_2740,
		obj_t BgL_globalsz00_2741)
	{
		{	/* Beta/walk.scm 35 */
			return BGl_betazd2walkz12zc0zzbeta_walkz00(BgL_globalsz00_2741);
		}

	}



/* beta-globals! */
	bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t BgL_globalsz00_4)
	{
		{	/* Beta/walk.scm 43 */
			{
				obj_t BgL_l1278z00_1436;

				BgL_l1278z00_1436 = BgL_globalsz00_4;
			BgL_zc3z04anonymousza31370ze3z87_1437:
				if (PAIRP(BgL_l1278z00_1436))
					{	/* Beta/walk.scm 44 */
						{	/* Beta/walk.scm 45 */
							obj_t BgL_globalz00_1439;

							BgL_globalz00_1439 = CAR(BgL_l1278z00_1436);
							{	/* Beta/walk.scm 45 */
								BgL_valuez00_bglt BgL_sfunz00_1440;

								BgL_sfunz00_1440 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1439))))->
									BgL_valuez00);
								{	/* Beta/walk.scm 46 */
									BgL_nodez00_bglt BgL_arg1372z00_1441;

									{	/* Beta/walk.scm 46 */
										obj_t BgL_arg1373z00_1442;

										BgL_arg1373z00_1442 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1440)))->BgL_bodyz00);
										BgL_arg1372z00_1441 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1373z00_1442), BNIL);
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1440)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1372z00_1441)), BUNSPEC);
								}
							}
						}
						{
							obj_t BgL_l1278z00_3198;

							BgL_l1278z00_3198 = CDR(BgL_l1278z00_1436);
							BgL_l1278z00_1436 = BgL_l1278z00_3198;
							goto BgL_zc3z04anonymousza31370ze3z87_1437;
						}
					}
				else
					{	/* Beta/walk.scm 44 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t BgL_nodeza2za2_43,
		obj_t BgL_stackz00_44)
	{
		{	/* Beta/walk.scm 257 */
			{
				obj_t BgL_l1290z00_1447;

				BgL_l1290z00_1447 = BgL_nodeza2za2_43;
			BgL_zc3z04anonymousza31375ze3z87_1448:
				if (NULLP(BgL_l1290z00_1447))
					{	/* Beta/walk.scm 258 */
						BgL_nodeza2za2_43;
					}
				else
					{	/* Beta/walk.scm 258 */
						{	/* Beta/walk.scm 258 */
							BgL_nodez00_bglt BgL_arg1397z00_1450;

							{	/* Beta/walk.scm 258 */
								obj_t BgL_nodez00_1451;

								BgL_nodez00_1451 = CAR(((obj_t) BgL_l1290z00_1447));
								BgL_arg1397z00_1450 =
									BGl_nodezd2betaz12zc0zzbeta_walkz00(
									((BgL_nodez00_bglt) BgL_nodez00_1451), BgL_stackz00_44);
							}
							{	/* Beta/walk.scm 258 */
								obj_t BgL_auxz00_3208;
								obj_t BgL_tmpz00_3206;

								BgL_auxz00_3208 = ((obj_t) BgL_arg1397z00_1450);
								BgL_tmpz00_3206 = ((obj_t) BgL_l1290z00_1447);
								SET_CAR(BgL_tmpz00_3206, BgL_auxz00_3208);
							}
						}
						{	/* Beta/walk.scm 258 */
							obj_t BgL_arg1407z00_1452;

							BgL_arg1407z00_1452 = CDR(((obj_t) BgL_l1290z00_1447));
							{
								obj_t BgL_l1290z00_3213;

								BgL_l1290z00_3213 = BgL_arg1407z00_1452;
								BgL_l1290z00_1447 = BgL_l1290z00_3213;
								goto BgL_zc3z04anonymousza31375ze3z87_1448;
							}
						}
					}
			}
			return BgL_nodeza2za2_43;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_proc1963z00zzbeta_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1964z00zzbeta_walkz00);
		}

	}



/* &node-beta!1292 */
	obj_t BGl_z62nodezd2betaz121292za2zzbeta_walkz00(obj_t BgL_envz00_2743,
		obj_t BgL_nodez00_2744, obj_t BgL_stackz00_2745)
	{
		{	/* Beta/walk.scm 52 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2744));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt
		BgL_nodez00_5, obj_t BgL_stackz00_6)
	{
		{	/* Beta/walk.scm 52 */
			{	/* Beta/walk.scm 52 */
				obj_t BgL_method1293z00_1459;

				{	/* Beta/walk.scm 52 */
					obj_t BgL_res1936z00_2030;

					{	/* Beta/walk.scm 52 */
						long BgL_objzd2classzd2numz00_2001;

						BgL_objzd2classzd2numz00_2001 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Beta/walk.scm 52 */
							obj_t BgL_arg1805z00_2002;

							BgL_arg1805z00_2002 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
								(int) (1L));
							{	/* Beta/walk.scm 52 */
								int BgL_offsetz00_2005;

								BgL_offsetz00_2005 = (int) (BgL_objzd2classzd2numz00_2001);
								{	/* Beta/walk.scm 52 */
									long BgL_offsetz00_2006;

									BgL_offsetz00_2006 =
										((long) (BgL_offsetz00_2005) - OBJECT_TYPE);
									{	/* Beta/walk.scm 52 */
										long BgL_modz00_2007;

										BgL_modz00_2007 =
											(BgL_offsetz00_2006 >> (int) ((long) ((int) (4L))));
										{	/* Beta/walk.scm 52 */
											long BgL_restz00_2009;

											BgL_restz00_2009 =
												(BgL_offsetz00_2006 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Beta/walk.scm 52 */

												{	/* Beta/walk.scm 52 */
													obj_t BgL_bucketz00_2011;

													BgL_bucketz00_2011 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2002), BgL_modz00_2007);
													BgL_res1936z00_2030 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2011), BgL_restz00_2009);
					}}}}}}}}
					BgL_method1293z00_1459 = BgL_res1936z00_2030;
				}
				return
					((BgL_nodez00_bglt)
					(VA_PROCEDUREP(BgL_method1293z00_1459) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1293z00_1459)) (BgL_method1293z00_1459,
							((obj_t) BgL_nodez00_5), BgL_stackz00_6, BEOA) : ((obj_t(*)(obj_t,
									obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1293z00_1459)) (BgL_method1293z00_1459,
							((obj_t) BgL_nodez00_5), BgL_stackz00_6)));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t BgL_envz00_2746,
		obj_t BgL_nodez00_2747, obj_t BgL_stackz00_2748)
	{
		{	/* Beta/walk.scm 52 */
			return
				BGl_nodezd2betaz12zc0zzbeta_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2747), BgL_stackz00_2748);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1965z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc1967z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1968z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1969z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1970z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc1971z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc1972z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc1973z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1974z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc1975z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc1976z00zzbeta_walkz00, BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1977z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1978z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1979z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1980z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1981z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1982z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1983z00zzbeta_walkz00,
				BGl_string1966z00zzbeta_walkz00);
		}

	}



/* &node-beta!-jump-ex-i1329 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1329z70zzbeta_walkz00(obj_t
		BgL_envz00_2767, obj_t BgL_nodez00_2768, obj_t BgL_stackz00_2769)
	{
		{	/* Beta/walk.scm 249 */
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2768)))->BgL_exitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2768)))->
							BgL_exitz00), BgL_stackz00_2769)), BUNSPEC);
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2768)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2768)))->
							BgL_valuez00), BgL_stackz00_2769)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt)
					BgL_nodez00_2768));
		}

	}



/* &node-beta!-set-ex-it1327 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1327z70zzbeta_walkz00(obj_t
		BgL_envz00_2770, obj_t BgL_nodez00_2771, obj_t BgL_stackz00_2772)
	{
		{	/* Beta/walk.scm 241 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2771)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2771)))->
							BgL_onexitz00), BgL_stackz00_2772)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2771)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2771)))->
							BgL_bodyz00), BgL_stackz00_2772)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2771));
		}

	}



/* &node-beta!-let-var1325 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2var1325za2zzbeta_walkz00(obj_t
		BgL_envz00_2773, obj_t BgL_nodez00_2774, obj_t BgL_stackz00_2775)
	{
		{	/* Beta/walk.scm 202 */
			{
				BgL_variablez00_bglt BgL_xz00_2837;
				BgL_variablez00_bglt BgL_yz00_2838;

				{
					obj_t BgL_bindingsz00_2845;
					obj_t BgL_newzd2stackzd2_2846;

					{	/* Beta/walk.scm 212 */
						obj_t BgL_arg1732z00_2900;

						BgL_arg1732z00_2900 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2774)))->
							BgL_bindingsz00);
						{
							BgL_letzd2varzd2_bglt BgL_auxz00_3295;

							BgL_bindingsz00_2845 = BgL_arg1732z00_2900;
							BgL_newzd2stackzd2_2846 = BgL_stackz00_2775;
						BgL_loopz00_2844:
							if (NULLP(BgL_bindingsz00_2845))
								{	/* Beta/walk.scm 214 */
									{
										BgL_nodez00_bglt BgL_auxz00_3298;

										{	/* Beta/walk.scm 216 */
											BgL_nodez00_bglt BgL_arg1735z00_2847;

											BgL_arg1735z00_2847 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2774)))->
												BgL_bodyz00);
											BgL_auxz00_3298 =
												BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1735z00_2847,
												BgL_newzd2stackzd2_2846);
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2774)))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_3298), BUNSPEC);
									}
									BgL_auxz00_3295 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2774);
								}
							else
								{	/* Beta/walk.scm 218 */
									obj_t BgL_bindingz00_2848;

									BgL_bindingz00_2848 = CAR(((obj_t) BgL_bindingsz00_2845));
									{	/* Beta/walk.scm 218 */
										obj_t BgL_varz00_2849;

										BgL_varz00_2849 = CAR(((obj_t) BgL_bindingz00_2848));
										{	/* Beta/walk.scm 219 */
											BgL_nodez00_bglt BgL_valz00_2850;

											{	/* Beta/walk.scm 220 */
												obj_t BgL_arg1840z00_2851;

												BgL_arg1840z00_2851 =
													CDR(((obj_t) BgL_bindingz00_2848));
												BgL_valz00_2850 =
													BGl_nodezd2betaz12zc0zzbeta_walkz00(
													((BgL_nodez00_bglt) BgL_arg1840z00_2851),
													BgL_stackz00_2775);
											}
											{	/* Beta/walk.scm 220 */

												{	/* Beta/walk.scm 221 */
													bool_t BgL_test2035z00_3313;

													if (
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_2774)))->
															BgL_removablezf3zf3))
														{	/* Beta/walk.scm 222 */
															bool_t BgL_test2037z00_3317;

															{	/* Beta/walk.scm 222 */
																bool_t BgL_test2038z00_3318;

																{	/* Beta/walk.scm 222 */
																	bool_t BgL_test2039z00_3319;

																	{	/* Beta/walk.scm 222 */
																		obj_t BgL_arg1839z00_2852;

																		BgL_arg1839z00_2852 =
																			CDR(((obj_t) BgL_bindingz00_2848));
																		{	/* Beta/walk.scm 222 */
																			obj_t BgL_classz00_2853;

																			BgL_classz00_2853 =
																				BGl_atomz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1839z00_2852))
																				{	/* Beta/walk.scm 222 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_2854;
																					BgL_arg1801z00_2854 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1839z00_2852);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Beta/walk.scm 222 */
																							long BgL_idxz00_2855;

																							BgL_idxz00_2855 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_2854);
																							BgL_test2039z00_3319 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2855 + 2L)) ==
																								BgL_classz00_2853);
																						}
																					else
																						{	/* Beta/walk.scm 222 */
																							bool_t BgL_res1945z00_2858;

																							{	/* Beta/walk.scm 222 */
																								obj_t BgL_oclassz00_2859;

																								{	/* Beta/walk.scm 222 */
																									long BgL_arg1808z00_2860;

																									{	/* Beta/walk.scm 222 */
																										long BgL_arg1809z00_2861;

																										BgL_arg1809z00_2861 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_2854);
																										BgL_arg1808z00_2860 =
																											(BgL_arg1809z00_2861 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2859 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_2860);
																								}
																								{	/* Beta/walk.scm 222 */
																									bool_t
																										BgL__ortest_1115z00_2862;
																									BgL__ortest_1115z00_2862 =
																										(BgL_classz00_2853 ==
																										BgL_oclassz00_2859);
																									if (BgL__ortest_1115z00_2862)
																										{	/* Beta/walk.scm 222 */
																											BgL_res1945z00_2858 =
																												BgL__ortest_1115z00_2862;
																										}
																									else
																										{	/* Beta/walk.scm 222 */
																											long BgL_odepthz00_2863;

																											BgL_odepthz00_2863 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2859);
																											if ((2L <
																													BgL_odepthz00_2863))
																												{	/* Beta/walk.scm 222 */
																													obj_t
																														BgL_arg1797z00_2864;
																													BgL_arg1797z00_2864 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2859,
																														2L);
																													BgL_res1945z00_2858 =
																														(BgL_arg1797z00_2864
																														==
																														BgL_classz00_2853);
																												}
																											else
																												{	/* Beta/walk.scm 222 */
																													BgL_res1945z00_2858 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2039z00_3319 =
																								BgL_res1945z00_2858;
																						}
																				}
																			else
																				{	/* Beta/walk.scm 222 */
																					BgL_test2039z00_3319 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2039z00_3319)
																		{	/* Beta/walk.scm 223 */
																			obj_t BgL_valz00_2865;

																			BgL_valz00_2865 =
																				(((BgL_atomz00_bglt) COBJECT(
																						((BgL_atomz00_bglt)
																							CDR(
																								((obj_t)
																									BgL_bindingz00_2848)))))->
																				BgL_valuez00);
																			{	/* Beta/walk.scm 224 */
																				bool_t BgL__ortest_1153z00_2866;

																				if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valz00_2865))
																					{	/* Beta/walk.scm 224 */
																						if (BIGNUMP(BgL_valz00_2865))
																							{	/* Beta/walk.scm 224 */
																								BgL__ortest_1153z00_2866 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Beta/walk.scm 224 */
																								BgL__ortest_1153z00_2866 =
																									((bool_t) 1);
																							}
																					}
																				else
																					{	/* Beta/walk.scm 224 */
																						BgL__ortest_1153z00_2866 =
																							((bool_t) 0);
																					}
																				if (BgL__ortest_1153z00_2866)
																					{	/* Beta/walk.scm 224 */
																						BgL_test2038z00_3318 =
																							BgL__ortest_1153z00_2866;
																					}
																				else
																					{	/* Beta/walk.scm 225 */
																						bool_t BgL__ortest_1154z00_2867;

																						BgL__ortest_1154z00_2867 =
																							BOOLEANP(BgL_valz00_2865);
																						if (BgL__ortest_1154z00_2867)
																							{	/* Beta/walk.scm 225 */
																								BgL_test2038z00_3318 =
																									BgL__ortest_1154z00_2867;
																							}
																						else
																							{	/* Beta/walk.scm 226 */
																								bool_t BgL__ortest_1155z00_2868;

																								BgL__ortest_1155z00_2868 =
																									CHARP(BgL_valz00_2865);
																								if (BgL__ortest_1155z00_2868)
																									{	/* Beta/walk.scm 226 */
																										BgL_test2038z00_3318 =
																											BgL__ortest_1155z00_2868;
																									}
																								else
																									{	/* Beta/walk.scm 227 */
																										bool_t
																											BgL__ortest_1156z00_2869;
																										BgL__ortest_1156z00_2869 =
																											SYMBOLP(BgL_valz00_2865);
																										if (BgL__ortest_1156z00_2869)
																											{	/* Beta/walk.scm 227 */
																												BgL_test2038z00_3318 =
																													BgL__ortest_1156z00_2869;
																											}
																										else
																											{	/* Beta/walk.scm 228 */
																												bool_t
																													BgL__ortest_1157z00_2870;
																												BgL__ortest_1157z00_2870
																													=
																													KEYWORDP
																													(BgL_valz00_2865);
																												if (BgL__ortest_1157z00_2870)
																													{	/* Beta/walk.scm 228 */
																														BgL_test2038z00_3318
																															=
																															BgL__ortest_1157z00_2870;
																													}
																												else
																													{	/* Beta/walk.scm 228 */
																														BgL_test2038z00_3318
																															=
																															CNSTP
																															(BgL_valz00_2865);
																													}
																											}
																									}
																							}
																					}
																			}
																		}
																	else
																		{	/* Beta/walk.scm 222 */
																			BgL_test2038z00_3318 = ((bool_t) 0);
																		}
																}
																if (BgL_test2038z00_3318)
																	{	/* Beta/walk.scm 222 */
																		BgL_test2037z00_3317 = ((bool_t) 1);
																	}
																else
																	{	/* Beta/walk.scm 230 */
																		bool_t BgL_test2051z00_3359;

																		{	/* Beta/walk.scm 230 */
																			obj_t BgL_arg1837z00_2871;

																			BgL_arg1837z00_2871 =
																				CDR(((obj_t) BgL_bindingz00_2848));
																			{	/* Beta/walk.scm 230 */
																				obj_t BgL_classz00_2872;

																				BgL_classz00_2872 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1837z00_2871))
																					{	/* Beta/walk.scm 230 */
																						BgL_objectz00_bglt
																							BgL_arg1801z00_2873;
																						BgL_arg1801z00_2873 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1837z00_2871);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Beta/walk.scm 230 */
																								long BgL_idxz00_2874;

																								BgL_idxz00_2874 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1801z00_2873);
																								BgL_test2051z00_3359 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2874 + 2L)) ==
																									BgL_classz00_2872);
																							}
																						else
																							{	/* Beta/walk.scm 230 */
																								bool_t BgL_res1946z00_2877;

																								{	/* Beta/walk.scm 230 */
																									obj_t BgL_oclassz00_2878;

																									{	/* Beta/walk.scm 230 */
																										long BgL_arg1808z00_2879;

																										{	/* Beta/walk.scm 230 */
																											long BgL_arg1809z00_2880;

																											BgL_arg1809z00_2880 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1801z00_2873);
																											BgL_arg1808z00_2879 =
																												(BgL_arg1809z00_2880 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2878 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1808z00_2879);
																									}
																									{	/* Beta/walk.scm 230 */
																										bool_t
																											BgL__ortest_1115z00_2881;
																										BgL__ortest_1115z00_2881 =
																											(BgL_classz00_2872 ==
																											BgL_oclassz00_2878);
																										if (BgL__ortest_1115z00_2881)
																											{	/* Beta/walk.scm 230 */
																												BgL_res1946z00_2877 =
																													BgL__ortest_1115z00_2881;
																											}
																										else
																											{	/* Beta/walk.scm 230 */
																												long BgL_odepthz00_2882;

																												BgL_odepthz00_2882 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_2878);
																												if ((2L <
																														BgL_odepthz00_2882))
																													{	/* Beta/walk.scm 230 */
																														obj_t
																															BgL_arg1797z00_2883;
																														BgL_arg1797z00_2883
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_2878,
																															2L);
																														BgL_res1946z00_2877
																															=
																															(BgL_arg1797z00_2883
																															==
																															BgL_classz00_2872);
																													}
																												else
																													{	/* Beta/walk.scm 230 */
																														BgL_res1946z00_2877
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2051z00_3359 =
																									BgL_res1946z00_2877;
																							}
																					}
																				else
																					{	/* Beta/walk.scm 230 */
																						BgL_test2051z00_3359 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test2051z00_3359)
																			{	/* Beta/walk.scm 231 */
																				bool_t BgL_test2056z00_3381;

																				{	/* Beta/walk.scm 231 */
																					BgL_variablez00_bglt
																						BgL_arg1835z00_2884;
																					BgL_arg1835z00_2884 =
																						(((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									CDR(((obj_t)
																											BgL_bindingz00_2848)))))->
																						BgL_variablez00);
																					{	/* Beta/walk.scm 231 */
																						obj_t BgL_classz00_2885;

																						BgL_classz00_2885 =
																							BGl_localz00zzast_varz00;
																						{	/* Beta/walk.scm 231 */
																							BgL_objectz00_bglt
																								BgL_arg1801z00_2886;
																							{	/* Beta/walk.scm 231 */
																								obj_t BgL_tmpz00_3386;

																								BgL_tmpz00_3386 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_arg1835z00_2884));
																								BgL_arg1801z00_2886 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_3386);
																							}
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Beta/walk.scm 231 */
																									long BgL_idxz00_2887;

																									BgL_idxz00_2887 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1801z00_2886);
																									BgL_test2056z00_3381 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2887 + 2L)) ==
																										BgL_classz00_2885);
																								}
																							else
																								{	/* Beta/walk.scm 231 */
																									bool_t BgL_res1947z00_2890;

																									{	/* Beta/walk.scm 231 */
																										obj_t BgL_oclassz00_2891;

																										{	/* Beta/walk.scm 231 */
																											long BgL_arg1808z00_2892;

																											{	/* Beta/walk.scm 231 */
																												long
																													BgL_arg1809z00_2893;
																												BgL_arg1809z00_2893 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1801z00_2886);
																												BgL_arg1808z00_2892 =
																													(BgL_arg1809z00_2893 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2891 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1808z00_2892);
																										}
																										{	/* Beta/walk.scm 231 */
																											bool_t
																												BgL__ortest_1115z00_2894;
																											BgL__ortest_1115z00_2894 =
																												(BgL_classz00_2885 ==
																												BgL_oclassz00_2891);
																											if (BgL__ortest_1115z00_2894)
																												{	/* Beta/walk.scm 231 */
																													BgL_res1947z00_2890 =
																														BgL__ortest_1115z00_2894;
																												}
																											else
																												{	/* Beta/walk.scm 231 */
																													long
																														BgL_odepthz00_2895;
																													BgL_odepthz00_2895 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_2891);
																													if ((2L <
																															BgL_odepthz00_2895))
																														{	/* Beta/walk.scm 231 */
																															obj_t
																																BgL_arg1797z00_2896;
																															BgL_arg1797z00_2896
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_2891,
																																2L);
																															BgL_res1947z00_2890
																																=
																																(BgL_arg1797z00_2896
																																==
																																BgL_classz00_2885);
																														}
																													else
																														{	/* Beta/walk.scm 231 */
																															BgL_res1947z00_2890
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2056z00_3381 =
																										BgL_res1947z00_2890;
																								}
																						}
																					}
																				}
																				if (BgL_test2056z00_3381)
																					{	/* Beta/walk.scm 231 */
																						if (
																							((((BgL_variablez00_bglt) COBJECT(
																											((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													(((BgL_varz00_bglt)
																															COBJECT((
																																	(BgL_varz00_bglt)
																																	CDR(((obj_t)
																																			BgL_bindingz00_2848)))))->
																														BgL_variablez00)))))->
																									BgL_accessz00) ==
																								CNST_TABLE_REF(2L)))
																							{	/* Beta/walk.scm 232 */
																								BgL_xz00_2837 =
																									((BgL_variablez00_bglt)
																									BgL_varz00_2849);
																								BgL_yz00_2838 =
																									(((BgL_varz00_bglt)
																										COBJECT(((BgL_varz00_bglt)
																												CDR(((obj_t)
																														BgL_bindingz00_2848)))))->
																									BgL_variablez00);
																								{	/* Beta/walk.scm 207 */
																									bool_t
																										BgL__ortest_1149z00_2839;
																									BgL__ortest_1149z00_2839 =
																										(((obj_t) ((
																													(BgL_variablez00_bglt)
																													COBJECT
																													(BgL_xz00_2837))->
																												BgL_typez00)) ==
																										((obj_t) ((
																													(BgL_variablez00_bglt)
																													COBJECT
																													(BgL_yz00_2838))->
																												BgL_typez00)));
																									if (BgL__ortest_1149z00_2839)
																										{	/* Beta/walk.scm 207 */
																											BgL_test2037z00_3317 =
																												BgL__ortest_1149z00_2839;
																										}
																									else
																										{	/* Beta/walk.scm 208 */
																											bool_t
																												BgL__ortest_1150z00_2840;
																											{	/* Beta/walk.scm 208 */
																												BgL_typez00_bglt
																													BgL_arg1844z00_2841;
																												BgL_arg1844z00_2841 =
																													(((BgL_variablez00_bglt) COBJECT(BgL_xz00_2837))->BgL_typez00);
																												BgL__ortest_1150z00_2840
																													=
																													(((obj_t)
																														BgL_arg1844z00_2841)
																													==
																													BGl_za2_za2z00zztype_cachez00);
																											}
																											if (BgL__ortest_1150z00_2840)
																												{	/* Beta/walk.scm 208 */
																													BgL_test2037z00_3317 =
																														BgL__ortest_1150z00_2840;
																												}
																											else
																												{	/* Beta/walk.scm 209 */
																													bool_t
																														BgL_test2063z00_3426;
																													{	/* Beta/walk.scm 209 */
																														BgL_typez00_bglt
																															BgL_arg1843z00_2842;
																														BgL_arg1843z00_2842
																															=
																															(((BgL_variablez00_bglt) COBJECT(BgL_xz00_2837))->BgL_typez00);
																														BgL_test2063z00_3426
																															=
																															(((obj_t)
																																BgL_arg1843z00_2842)
																															==
																															BGl_za2longza2z00zztype_cachez00);
																													}
																													if (BgL_test2063z00_3426)
																														{	/* Beta/walk.scm 209 */
																															BgL_typez00_bglt
																																BgL_arg1842z00_2843;
																															BgL_arg1842z00_2843
																																=
																																(((BgL_variablez00_bglt) COBJECT(BgL_yz00_2838))->BgL_typez00);
																															BgL_test2037z00_3317
																																=
																																(((obj_t)
																																	BgL_arg1842z00_2843)
																																==
																																BGl_za2bintza2z00zztype_cachez00);
																														}
																													else
																														{	/* Beta/walk.scm 209 */
																															BgL_test2037z00_3317
																																= ((bool_t) 0);
																														}
																												}
																										}
																								}
																							}
																						else
																							{	/* Beta/walk.scm 232 */
																								BgL_test2037z00_3317 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Beta/walk.scm 231 */
																						BgL_test2037z00_3317 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Beta/walk.scm 230 */
																				BgL_test2037z00_3317 = ((bool_t) 0);
																			}
																	}
															}
															if (BgL_test2037z00_3317)
																{	/* Beta/walk.scm 222 */
																	BgL_test2035z00_3313 =
																		(
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_bindingz00_2848))))))->
																			BgL_accessz00) == CNST_TABLE_REF(2L));
																}
															else
																{	/* Beta/walk.scm 222 */
																	BgL_test2035z00_3313 = ((bool_t) 0);
																}
														}
													else
														{	/* Beta/walk.scm 221 */
															BgL_test2035z00_3313 = ((bool_t) 0);
														}
													if (BgL_test2035z00_3313)
														{	/* Beta/walk.scm 235 */
															obj_t BgL_arg1825z00_2897;
															obj_t BgL_arg1826z00_2898;

															BgL_arg1825z00_2897 =
																CDR(((obj_t) BgL_bindingsz00_2845));
															BgL_arg1826z00_2898 =
																MAKE_YOUNG_PAIR(BgL_bindingz00_2848,
																BgL_newzd2stackzd2_2846);
															{
																obj_t BgL_newzd2stackzd2_3449;
																obj_t BgL_bindingsz00_3448;

																BgL_bindingsz00_3448 = BgL_arg1825z00_2897;
																BgL_newzd2stackzd2_3449 = BgL_arg1826z00_2898;
																BgL_newzd2stackzd2_2846 =
																	BgL_newzd2stackzd2_3449;
																BgL_bindingsz00_2845 = BgL_bindingsz00_3448;
																goto BgL_loopz00_2844;
															}
														}
													else
														{	/* Beta/walk.scm 236 */
															obj_t BgL_arg1827z00_2899;

															BgL_arg1827z00_2899 =
																CDR(((obj_t) BgL_bindingsz00_2845));
															{
																obj_t BgL_bindingsz00_3452;

																BgL_bindingsz00_3452 = BgL_arg1827z00_2899;
																BgL_bindingsz00_2845 = BgL_bindingsz00_3452;
																goto BgL_loopz00_2844;
															}
														}
												}
											}
										}
									}
								}
							return ((BgL_nodez00_bglt) BgL_auxz00_3295);
						}
					}
				}
			}
		}

	}



/* &node-beta!-let-fun1323 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2fun1323za2zzbeta_walkz00(obj_t
		BgL_envz00_2776, obj_t BgL_nodez00_2777, obj_t BgL_stackz00_2778)
	{
		{	/* Beta/walk.scm 190 */
			{
				BgL_nodez00_bglt BgL_auxz00_3454;

				{	/* Beta/walk.scm 192 */
					BgL_nodez00_bglt BgL_arg1715z00_2902;

					BgL_arg1715z00_2902 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2777)))->BgL_bodyz00);
					BgL_auxz00_3454 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1715z00_2902,
						BgL_stackz00_2778);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2777)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3454), BUNSPEC);
			}
			{	/* Beta/walk.scm 193 */
				obj_t BgL_g1288z00_2903;

				BgL_g1288z00_2903 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2777)))->BgL_localsz00);
				{
					obj_t BgL_l1286z00_2905;

					BgL_l1286z00_2905 = BgL_g1288z00_2903;
				BgL_zc3z04anonymousza31716ze3z87_2904:
					if (PAIRP(BgL_l1286z00_2905))
						{	/* Beta/walk.scm 193 */
							{	/* Beta/walk.scm 194 */
								obj_t BgL_localz00_2906;

								BgL_localz00_2906 = CAR(BgL_l1286z00_2905);
								{	/* Beta/walk.scm 194 */
									BgL_valuez00_bglt BgL_funz00_2907;

									BgL_funz00_2907 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2906))))->
										BgL_valuez00);
									{	/* Beta/walk.scm 195 */
										BgL_nodez00_bglt BgL_arg1729z00_2908;

										{	/* Beta/walk.scm 195 */
											obj_t BgL_arg1730z00_2909;

											BgL_arg1730z00_2909 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2907)))->
												BgL_bodyz00);
											BgL_arg1729z00_2908 =
												BGl_nodezd2betaz12zc0zzbeta_walkz00(((BgL_nodez00_bglt)
													BgL_arg1730z00_2909), BgL_stackz00_2778);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2907)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1729z00_2908)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1286z00_3475;

								BgL_l1286z00_3475 = CDR(BgL_l1286z00_2905);
								BgL_l1286z00_2905 = BgL_l1286z00_3475;
								goto BgL_zc3z04anonymousza31716ze3z87_2904;
							}
						}
					else
						{	/* Beta/walk.scm 193 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2777));
		}

	}



/* &node-beta!-box-set!1321 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121321zb0zzbeta_walkz00(obj_t
		BgL_envz00_2779, obj_t BgL_nodez00_2780, obj_t BgL_stackz00_2781)
	{
		{	/* Beta/walk.scm 182 */
			{	/* Beta/walk.scm 183 */
				BgL_nodez00_bglt BgL_arg1709z00_2911;

				{	/* Beta/walk.scm 183 */
					BgL_varz00_bglt BgL_arg1710z00_2912;

					BgL_arg1710z00_2912 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2780)))->BgL_varz00);
					BgL_arg1709z00_2911 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1710z00_2912), BgL_stackz00_2781);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2780)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1709z00_2911)), BUNSPEC);
			}
			((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2780)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_boxzd2setz12zc0_bglt)
								COBJECT(((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2780)))->
							BgL_valuez00), BgL_stackz00_2781)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2780));
		}

	}



/* &node-beta!-box-ref1319 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2boxzd2ref1319za2zzbeta_walkz00(obj_t
		BgL_envz00_2782, obj_t BgL_nodez00_2783, obj_t BgL_stackz00_2784)
	{
		{	/* Beta/walk.scm 175 */
			{	/* Beta/walk.scm 176 */
				BgL_nodez00_bglt BgL_arg1707z00_2914;

				{	/* Beta/walk.scm 176 */
					BgL_varz00_bglt BgL_arg1708z00_2915;

					BgL_arg1708z00_2915 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2783)))->BgL_varz00);
					BgL_arg1707z00_2914 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1708z00_2915), BgL_stackz00_2784);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2783)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1707z00_2914)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2783));
		}

	}



/* &node-beta!-make-box1317 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2makezd2box1317za2zzbeta_walkz00(obj_t
		BgL_envz00_2785, obj_t BgL_nodez00_2786, obj_t BgL_stackz00_2787)
	{
		{	/* Beta/walk.scm 168 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2786)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2786)))->
							BgL_valuez00), BgL_stackz00_2787)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2786));
		}

	}



/* &node-beta!-switch1315 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1315z70zzbeta_walkz00(obj_t
		BgL_envz00_2788, obj_t BgL_nodez00_2789, obj_t BgL_stackz00_2790)
	{
		{	/* Beta/walk.scm 158 */
			((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2789)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_switchz00_bglt)
								COBJECT(((BgL_switchz00_bglt) BgL_nodez00_2789)))->BgL_testz00),
						BgL_stackz00_2790)), BUNSPEC);
			{	/* Beta/walk.scm 160 */
				obj_t BgL_g1285z00_2918;

				BgL_g1285z00_2918 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2789)))->BgL_clausesz00);
				{
					obj_t BgL_l1283z00_2920;

					BgL_l1283z00_2920 = BgL_g1285z00_2918;
				BgL_zc3z04anonymousza31691ze3z87_2919:
					if (PAIRP(BgL_l1283z00_2920))
						{	/* Beta/walk.scm 162 */
							{	/* Beta/walk.scm 161 */
								obj_t BgL_clausez00_2921;

								BgL_clausez00_2921 = CAR(BgL_l1283z00_2920);
								{	/* Beta/walk.scm 161 */
									BgL_nodez00_bglt BgL_arg1693z00_2922;

									{	/* Beta/walk.scm 161 */
										obj_t BgL_arg1695z00_2923;

										BgL_arg1695z00_2923 = CDR(((obj_t) BgL_clausez00_2921));
										BgL_arg1693z00_2922 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1695z00_2923),
											BgL_stackz00_2790);
									}
									{	/* Beta/walk.scm 161 */
										obj_t BgL_auxz00_3525;
										obj_t BgL_tmpz00_3523;

										BgL_auxz00_3525 = ((obj_t) BgL_arg1693z00_2922);
										BgL_tmpz00_3523 = ((obj_t) BgL_clausez00_2921);
										SET_CDR(BgL_tmpz00_3523, BgL_auxz00_3525);
									}
								}
							}
							{
								obj_t BgL_l1283z00_3528;

								BgL_l1283z00_3528 = CDR(BgL_l1283z00_2920);
								BgL_l1283z00_2920 = BgL_l1283z00_3528;
								goto BgL_zc3z04anonymousza31691ze3z87_2919;
							}
						}
					else
						{	/* Beta/walk.scm 162 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2789));
		}

	}



/* &node-beta!-fail1313 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2fail1313z70zzbeta_walkz00(obj_t
		BgL_envz00_2791, obj_t BgL_nodez00_2792, obj_t BgL_stackz00_2793)
	{
		{	/* Beta/walk.scm 149 */
			((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2792)))->BgL_procz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2792)))->BgL_procz00),
						BgL_stackz00_2793)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2792)))->
					BgL_msgz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2792)))->BgL_msgz00),
						BgL_stackz00_2793)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2792)))->
					BgL_objz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2792)))->BgL_objz00),
						BgL_stackz00_2793)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2792));
		}

	}



/* &node-beta!-condition1311 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2condition1311z70zzbeta_walkz00(obj_t
		BgL_envz00_2794, obj_t BgL_nodez00_2795, obj_t BgL_stackz00_2796)
	{
		{	/* Beta/walk.scm 140 */
			((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2795)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2795)))->
							BgL_testz00), BgL_stackz00_2796)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2795)))->BgL_truez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2795)))->
							BgL_truez00), BgL_stackz00_2796)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2795)))->BgL_falsez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2795)))->
							BgL_falsez00), BgL_stackz00_2796)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2795));
		}

	}



/* &node-beta!-setq1309 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1309z70zzbeta_walkz00(obj_t
		BgL_envz00_2797, obj_t BgL_nodez00_2798, obj_t BgL_stackz00_2799)
	{
		{	/* Beta/walk.scm 133 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2798)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2798)))->BgL_valuez00),
						BgL_stackz00_2799)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2798));
		}

	}



/* &node-beta!-cast1307 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1307z70zzbeta_walkz00(obj_t
		BgL_envz00_2800, obj_t BgL_nodez00_2801, obj_t BgL_stackz00_2802)
	{
		{	/* Beta/walk.scm 126 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2801)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2801)))->BgL_argz00),
						BgL_stackz00_2802)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2801));
		}

	}



/* &node-beta!-extern1305 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2extern1305z70zzbeta_walkz00(obj_t
		BgL_envz00_2803, obj_t BgL_nodez00_2804, obj_t BgL_stackz00_2805)
	{
		{	/* Beta/walk.scm 119 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2804)))->BgL_exprza2za2),
				BgL_stackz00_2805);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2804));
		}

	}



/* &node-beta!-funcall1303 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1303z70zzbeta_walkz00(obj_t
		BgL_envz00_2806, obj_t BgL_nodez00_2807, obj_t BgL_stackz00_2808)
	{
		{	/* Beta/walk.scm 111 */
			((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2807)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_funcallz00_bglt)
								COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_2807)))->BgL_funz00),
						BgL_stackz00_2808)), BUNSPEC);
			BGl_nodezd2betaza2z12z62zzbeta_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_2807)))->BgL_argsz00),
				BgL_stackz00_2808);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2807));
		}

	}



/* &node-beta!-app-ly1301 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1301za2zzbeta_walkz00(obj_t
		BgL_envz00_2809, obj_t BgL_nodez00_2810, obj_t BgL_stackz00_2811)
	{
		{	/* Beta/walk.scm 103 */
			((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2810)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_2810)))->
							BgL_funz00), BgL_stackz00_2811)), BUNSPEC);
			((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2810)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_2810)))->
							BgL_argz00), BgL_stackz00_2811)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2810));
		}

	}



/* &node-beta!-app1299 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1299z70zzbeta_walkz00(obj_t
		BgL_envz00_2812, obj_t BgL_nodez00_2813, obj_t BgL_stackz00_2814)
	{
		{	/* Beta/walk.scm 74 */
			{	/* Beta/walk.scm 75 */
				BgL_nodez00_bglt BgL_arg1453z00_2932;

				{	/* Beta/walk.scm 75 */
					BgL_varz00_bglt BgL_arg1479z00_2933;

					BgL_arg1479z00_2933 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2813)))->BgL_funz00);
					BgL_arg1453z00_2932 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1479z00_2933), BgL_stackz00_2814);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2813)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1453z00_2932)), BUNSPEC);
			}
			{	/* Beta/walk.scm 76 */
				obj_t BgL_l01282z00_2934;

				BgL_l01282z00_2934 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2813)))->BgL_argsz00);
				{
					obj_t BgL_l1281z00_2936;

					BgL_l1281z00_2936 = BgL_l01282z00_2934;
				BgL_zc3z04anonymousza31480ze3z87_2935:
					if (NULLP(BgL_l1281z00_2936))
						{	/* Beta/walk.scm 97 */
							BgL_l01282z00_2934;
						}
					else
						{	/* Beta/walk.scm 97 */
							{	/* Beta/walk.scm 77 */
								obj_t BgL_arg1491z00_2937;

								{	/* Beta/walk.scm 77 */
									obj_t BgL_nz00_2938;

									BgL_nz00_2938 = CAR(((obj_t) BgL_l1281z00_2936));
									{	/* Beta/walk.scm 77 */
										bool_t BgL_test2067z00_3620;

										{	/* Beta/walk.scm 77 */
											bool_t BgL_test2068z00_3621;

											{	/* Beta/walk.scm 77 */
												obj_t BgL_classz00_2939;

												BgL_classz00_2939 = BGl_varz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_nz00_2938))
													{	/* Beta/walk.scm 77 */
														BgL_objectz00_bglt BgL_arg1801z00_2940;

														BgL_arg1801z00_2940 =
															(BgL_objectz00_bglt) (BgL_nz00_2938);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Beta/walk.scm 77 */
																long BgL_idxz00_2941;

																BgL_idxz00_2941 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1801z00_2940);
																BgL_test2068z00_3621 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2941 + 2L)) ==
																	BgL_classz00_2939);
															}
														else
															{	/* Beta/walk.scm 77 */
																bool_t BgL_res1937z00_2944;

																{	/* Beta/walk.scm 77 */
																	obj_t BgL_oclassz00_2945;

																	{	/* Beta/walk.scm 77 */
																		long BgL_arg1808z00_2946;

																		{	/* Beta/walk.scm 77 */
																			long BgL_arg1809z00_2947;

																			BgL_arg1809z00_2947 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1801z00_2940);
																			BgL_arg1808z00_2946 =
																				(BgL_arg1809z00_2947 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2945 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1808z00_2946);
																	}
																	{	/* Beta/walk.scm 77 */
																		bool_t BgL__ortest_1115z00_2948;

																		BgL__ortest_1115z00_2948 =
																			(BgL_classz00_2939 == BgL_oclassz00_2945);
																		if (BgL__ortest_1115z00_2948)
																			{	/* Beta/walk.scm 77 */
																				BgL_res1937z00_2944 =
																					BgL__ortest_1115z00_2948;
																			}
																		else
																			{	/* Beta/walk.scm 77 */
																				long BgL_odepthz00_2949;

																				BgL_odepthz00_2949 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2945);
																				if ((2L < BgL_odepthz00_2949))
																					{	/* Beta/walk.scm 77 */
																						obj_t BgL_arg1797z00_2950;

																						BgL_arg1797z00_2950 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2945, 2L);
																						BgL_res1937z00_2944 =
																							(BgL_arg1797z00_2950 ==
																							BgL_classz00_2939);
																					}
																				else
																					{	/* Beta/walk.scm 77 */
																						BgL_res1937z00_2944 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2068z00_3621 = BgL_res1937z00_2944;
															}
													}
												else
													{	/* Beta/walk.scm 77 */
														BgL_test2068z00_3621 = ((bool_t) 0);
													}
											}
											if (BgL_test2068z00_3621)
												{	/* Beta/walk.scm 77 */
													BgL_variablez00_bglt BgL_arg1592z00_2951;

													BgL_arg1592z00_2951 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nz00_2938)))->
														BgL_variablez00);
													{	/* Beta/walk.scm 77 */
														obj_t BgL_classz00_2952;

														BgL_classz00_2952 = BGl_localz00zzast_varz00;
														{	/* Beta/walk.scm 77 */
															BgL_objectz00_bglt BgL_arg1801z00_2953;

															{	/* Beta/walk.scm 77 */
																obj_t BgL_tmpz00_3643;

																BgL_tmpz00_3643 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1592z00_2951));
																BgL_arg1801z00_2953 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3643);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Beta/walk.scm 77 */
																	long BgL_idxz00_2954;

																	BgL_idxz00_2954 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_2953);
																	BgL_test2067z00_3620 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2954 + 2L)) ==
																		BgL_classz00_2952);
																}
															else
																{	/* Beta/walk.scm 77 */
																	bool_t BgL_res1938z00_2957;

																	{	/* Beta/walk.scm 77 */
																		obj_t BgL_oclassz00_2958;

																		{	/* Beta/walk.scm 77 */
																			long BgL_arg1808z00_2959;

																			{	/* Beta/walk.scm 77 */
																				long BgL_arg1809z00_2960;

																				BgL_arg1809z00_2960 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_2953);
																				BgL_arg1808z00_2959 =
																					(BgL_arg1809z00_2960 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2958 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_2959);
																		}
																		{	/* Beta/walk.scm 77 */
																			bool_t BgL__ortest_1115z00_2961;

																			BgL__ortest_1115z00_2961 =
																				(BgL_classz00_2952 ==
																				BgL_oclassz00_2958);
																			if (BgL__ortest_1115z00_2961)
																				{	/* Beta/walk.scm 77 */
																					BgL_res1938z00_2957 =
																						BgL__ortest_1115z00_2961;
																				}
																			else
																				{	/* Beta/walk.scm 77 */
																					long BgL_odepthz00_2962;

																					BgL_odepthz00_2962 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2958);
																					if ((2L < BgL_odepthz00_2962))
																						{	/* Beta/walk.scm 77 */
																							obj_t BgL_arg1797z00_2963;

																							BgL_arg1797z00_2963 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2958, 2L);
																							BgL_res1938z00_2957 =
																								(BgL_arg1797z00_2963 ==
																								BgL_classz00_2952);
																						}
																					else
																						{	/* Beta/walk.scm 77 */
																							BgL_res1938z00_2957 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2067z00_3620 = BgL_res1938z00_2957;
																}
														}
													}
												}
											else
												{	/* Beta/walk.scm 77 */
													BgL_test2067z00_3620 = ((bool_t) 0);
												}
										}
										if (BgL_test2067z00_3620)
											{
												obj_t BgL_nz00_2965;

												BgL_nz00_2965 = BgL_nz00_2938;
											BgL_loopz00_2964:
												{	/* Beta/walk.scm 79 */
													obj_t BgL_redz00_2966;

													BgL_redz00_2966 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nz00_2965)))->
																BgL_variablez00)), BgL_stackz00_2814);
													if (PAIRP(BgL_redz00_2966))
														{	/* Beta/walk.scm 83 */
															bool_t BgL_test2077z00_3669;

															{	/* Beta/walk.scm 83 */
																obj_t BgL_arg1586z00_2967;

																BgL_arg1586z00_2967 = CDR(BgL_redz00_2966);
																{	/* Beta/walk.scm 83 */
																	obj_t BgL_classz00_2968;

																	BgL_classz00_2968 =
																		BGl_literalz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1586z00_2967))
																		{	/* Beta/walk.scm 83 */
																			BgL_objectz00_bglt BgL_arg1801z00_2969;

																			BgL_arg1801z00_2969 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1586z00_2967);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Beta/walk.scm 83 */
																					long BgL_idxz00_2970;

																					BgL_idxz00_2970 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1801z00_2969);
																					BgL_test2077z00_3669 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2970 + 3L)) ==
																						BgL_classz00_2968);
																				}
																			else
																				{	/* Beta/walk.scm 83 */
																					bool_t BgL_res1939z00_2973;

																					{	/* Beta/walk.scm 83 */
																						obj_t BgL_oclassz00_2974;

																						{	/* Beta/walk.scm 83 */
																							long BgL_arg1808z00_2975;

																							{	/* Beta/walk.scm 83 */
																								long BgL_arg1809z00_2976;

																								BgL_arg1809z00_2976 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1801z00_2969);
																								BgL_arg1808z00_2975 =
																									(BgL_arg1809z00_2976 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2974 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1808z00_2975);
																						}
																						{	/* Beta/walk.scm 83 */
																							bool_t BgL__ortest_1115z00_2977;

																							BgL__ortest_1115z00_2977 =
																								(BgL_classz00_2968 ==
																								BgL_oclassz00_2974);
																							if (BgL__ortest_1115z00_2977)
																								{	/* Beta/walk.scm 83 */
																									BgL_res1939z00_2973 =
																										BgL__ortest_1115z00_2977;
																								}
																							else
																								{	/* Beta/walk.scm 83 */
																									long BgL_odepthz00_2978;

																									BgL_odepthz00_2978 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2974);
																									if ((3L < BgL_odepthz00_2978))
																										{	/* Beta/walk.scm 83 */
																											obj_t BgL_arg1797z00_2979;

																											BgL_arg1797z00_2979 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2974,
																												3L);
																											BgL_res1939z00_2973 =
																												(BgL_arg1797z00_2979 ==
																												BgL_classz00_2968);
																										}
																									else
																										{	/* Beta/walk.scm 83 */
																											BgL_res1939z00_2973 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2077z00_3669 =
																						BgL_res1939z00_2973;
																				}
																		}
																	else
																		{	/* Beta/walk.scm 83 */
																			BgL_test2077z00_3669 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2077z00_3669)
																{	/* Beta/walk.scm 84 */
																	BgL_nodez00_bglt BgL_duplicated1118z00_2980;
																	BgL_literalz00_bglt BgL_new1116z00_2981;

																	BgL_duplicated1118z00_2980 =
																		((BgL_nodez00_bglt) CDR(BgL_redz00_2966));
																	{	/* Beta/walk.scm 84 */
																		BgL_literalz00_bglt BgL_new1120z00_2982;

																		BgL_new1120z00_2982 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Beta/walk.scm 84 */
																			long BgL_arg1528z00_2983;

																			BgL_arg1528z00_2983 =
																				BGL_CLASS_NUM
																				(BGl_literalz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1120z00_2982),
																				BgL_arg1528z00_2983);
																		}
																		{	/* Beta/walk.scm 84 */
																			BgL_objectz00_bglt BgL_tmpz00_3696;

																			BgL_tmpz00_3696 =
																				((BgL_objectz00_bglt)
																				BgL_new1120z00_2982);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3696,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1120z00_2982);
																		BgL_new1116z00_2981 = BgL_new1120z00_2982;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1116z00_2981)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(BgL_duplicated1118z00_2980))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1116z00_2981)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(BgL_duplicated1118z00_2980))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1116z00_2981)))->
																			BgL_valuez00) =
																		((obj_t) (((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_duplicated1118z00_2980)))->
																				BgL_valuez00)), BUNSPEC);
																	BgL_arg1491z00_2937 =
																		((obj_t) BgL_new1116z00_2981);
																}
															else
																{	/* Beta/walk.scm 85 */
																	bool_t BgL_test2082z00_3711;

																	{	/* Beta/walk.scm 85 */
																		obj_t BgL_arg1581z00_2984;

																		BgL_arg1581z00_2984 = CDR(BgL_redz00_2966);
																		{	/* Beta/walk.scm 85 */
																			obj_t BgL_classz00_2985;

																			BgL_classz00_2985 =
																				BGl_closurez00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1581z00_2984))
																				{	/* Beta/walk.scm 85 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_2986;
																					BgL_arg1801z00_2986 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1581z00_2984);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Beta/walk.scm 85 */
																							long BgL_idxz00_2987;

																							BgL_idxz00_2987 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_2986);
																							BgL_test2082z00_3711 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2987 + 3L)) ==
																								BgL_classz00_2985);
																						}
																					else
																						{	/* Beta/walk.scm 85 */
																							bool_t BgL_res1940z00_2990;

																							{	/* Beta/walk.scm 85 */
																								obj_t BgL_oclassz00_2991;

																								{	/* Beta/walk.scm 85 */
																									long BgL_arg1808z00_2992;

																									{	/* Beta/walk.scm 85 */
																										long BgL_arg1809z00_2993;

																										BgL_arg1809z00_2993 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_2986);
																										BgL_arg1808z00_2992 =
																											(BgL_arg1809z00_2993 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2991 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_2992);
																								}
																								{	/* Beta/walk.scm 85 */
																									bool_t
																										BgL__ortest_1115z00_2994;
																									BgL__ortest_1115z00_2994 =
																										(BgL_classz00_2985 ==
																										BgL_oclassz00_2991);
																									if (BgL__ortest_1115z00_2994)
																										{	/* Beta/walk.scm 85 */
																											BgL_res1940z00_2990 =
																												BgL__ortest_1115z00_2994;
																										}
																									else
																										{	/* Beta/walk.scm 85 */
																											long BgL_odepthz00_2995;

																											BgL_odepthz00_2995 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2991);
																											if ((3L <
																													BgL_odepthz00_2995))
																												{	/* Beta/walk.scm 85 */
																													obj_t
																														BgL_arg1797z00_2996;
																													BgL_arg1797z00_2996 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2991,
																														3L);
																													BgL_res1940z00_2990 =
																														(BgL_arg1797z00_2996
																														==
																														BgL_classz00_2985);
																												}
																											else
																												{	/* Beta/walk.scm 85 */
																													BgL_res1940z00_2990 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2082z00_3711 =
																								BgL_res1940z00_2990;
																						}
																				}
																			else
																				{	/* Beta/walk.scm 85 */
																					BgL_test2082z00_3711 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2082z00_3711)
																		{	/* Beta/walk.scm 86 */
																			BgL_nodez00_bglt
																				BgL_duplicated1124z00_2997;
																			BgL_closurez00_bglt BgL_new1122z00_2998;

																			BgL_duplicated1124z00_2997 =
																				((BgL_nodez00_bglt)
																				CDR(BgL_redz00_2966));
																			{	/* Beta/walk.scm 86 */
																				BgL_closurez00_bglt BgL_new1127z00_2999;

																				BgL_new1127z00_2999 =
																					((BgL_closurez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_closurez00_bgl))));
																				{	/* Beta/walk.scm 86 */
																					long BgL_arg1534z00_3000;

																					BgL_arg1534z00_3000 =
																						BGL_CLASS_NUM
																						(BGl_closurez00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1127z00_2999),
																						BgL_arg1534z00_3000);
																				}
																				{	/* Beta/walk.scm 86 */
																					BgL_objectz00_bglt BgL_tmpz00_3738;

																					BgL_tmpz00_3738 =
																						((BgL_objectz00_bglt)
																						BgL_new1127z00_2999);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3738, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1127z00_2999);
																				BgL_new1122z00_2998 =
																					BgL_new1127z00_2999;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1122z00_2998)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1124z00_2997))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1122z00_2998)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1124z00_2997))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1122z00_2998)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1124z00_2997)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1491z00_2937 =
																				((obj_t) BgL_new1122z00_2998);
																		}
																	else
																		{	/* Beta/walk.scm 87 */
																			bool_t BgL_test2087z00_3753;

																			{	/* Beta/walk.scm 87 */
																				obj_t BgL_arg1579z00_3001;

																				BgL_arg1579z00_3001 =
																					CDR(BgL_redz00_2966);
																				{	/* Beta/walk.scm 87 */
																					obj_t BgL_classz00_3002;

																					BgL_classz00_3002 =
																						BGl_refz00zzast_nodez00;
																					if (BGL_OBJECTP(BgL_arg1579z00_3001))
																						{	/* Beta/walk.scm 87 */
																							BgL_objectz00_bglt
																								BgL_arg1801z00_3003;
																							BgL_arg1801z00_3003 =
																								(BgL_objectz00_bglt)
																								(BgL_arg1579z00_3001);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Beta/walk.scm 87 */
																									long BgL_idxz00_3004;

																									BgL_idxz00_3004 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1801z00_3003);
																									BgL_test2087z00_3753 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_3004 + 3L)) ==
																										BgL_classz00_3002);
																								}
																							else
																								{	/* Beta/walk.scm 87 */
																									bool_t BgL_res1941z00_3007;

																									{	/* Beta/walk.scm 87 */
																										obj_t BgL_oclassz00_3008;

																										{	/* Beta/walk.scm 87 */
																											long BgL_arg1808z00_3009;

																											{	/* Beta/walk.scm 87 */
																												long
																													BgL_arg1809z00_3010;
																												BgL_arg1809z00_3010 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1801z00_3003);
																												BgL_arg1808z00_3009 =
																													(BgL_arg1809z00_3010 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_3008 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1808z00_3009);
																										}
																										{	/* Beta/walk.scm 87 */
																											bool_t
																												BgL__ortest_1115z00_3011;
																											BgL__ortest_1115z00_3011 =
																												(BgL_classz00_3002 ==
																												BgL_oclassz00_3008);
																											if (BgL__ortest_1115z00_3011)
																												{	/* Beta/walk.scm 87 */
																													BgL_res1941z00_3007 =
																														BgL__ortest_1115z00_3011;
																												}
																											else
																												{	/* Beta/walk.scm 87 */
																													long
																														BgL_odepthz00_3012;
																													BgL_odepthz00_3012 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_3008);
																													if ((3L <
																															BgL_odepthz00_3012))
																														{	/* Beta/walk.scm 87 */
																															obj_t
																																BgL_arg1797z00_3013;
																															BgL_arg1797z00_3013
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_3008,
																																3L);
																															BgL_res1941z00_3007
																																=
																																(BgL_arg1797z00_3013
																																==
																																BgL_classz00_3002);
																														}
																													else
																														{	/* Beta/walk.scm 87 */
																															BgL_res1941z00_3007
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2087z00_3753 =
																										BgL_res1941z00_3007;
																								}
																						}
																					else
																						{	/* Beta/walk.scm 87 */
																							BgL_test2087z00_3753 =
																								((bool_t) 0);
																						}
																				}
																			}
																			if (BgL_test2087z00_3753)
																				{	/* Beta/walk.scm 88 */
																					obj_t BgL_mz00_3014;

																					BgL_mz00_3014 = CDR(BgL_redz00_2966);
																					{	/* Beta/walk.scm 89 */
																						bool_t BgL_test2092z00_3775;

																						{	/* Beta/walk.scm 89 */
																							bool_t BgL_test2093z00_3776;

																							{	/* Beta/walk.scm 89 */
																								obj_t BgL_classz00_3015;

																								BgL_classz00_3015 =
																									BGl_varz00zzast_nodez00;
																								if (BGL_OBJECTP(BgL_mz00_3014))
																									{	/* Beta/walk.scm 89 */
																										BgL_objectz00_bglt
																											BgL_arg1801z00_3016;
																										BgL_arg1801z00_3016 =
																											(BgL_objectz00_bglt)
																											(BgL_mz00_3014);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Beta/walk.scm 89 */
																												long BgL_idxz00_3017;

																												BgL_idxz00_3017 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1801z00_3016);
																												BgL_test2093z00_3776 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3017 +
																															2L)) ==
																													BgL_classz00_3015);
																											}
																										else
																											{	/* Beta/walk.scm 89 */
																												bool_t
																													BgL_res1942z00_3020;
																												{	/* Beta/walk.scm 89 */
																													obj_t
																														BgL_oclassz00_3021;
																													{	/* Beta/walk.scm 89 */
																														long
																															BgL_arg1808z00_3022;
																														{	/* Beta/walk.scm 89 */
																															long
																																BgL_arg1809z00_3023;
																															BgL_arg1809z00_3023
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1801z00_3016);
																															BgL_arg1808z00_3022
																																=
																																(BgL_arg1809z00_3023
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3021 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1808z00_3022);
																													}
																													{	/* Beta/walk.scm 89 */
																														bool_t
																															BgL__ortest_1115z00_3024;
																														BgL__ortest_1115z00_3024
																															=
																															(BgL_classz00_3015
																															==
																															BgL_oclassz00_3021);
																														if (BgL__ortest_1115z00_3024)
																															{	/* Beta/walk.scm 89 */
																																BgL_res1942z00_3020
																																	=
																																	BgL__ortest_1115z00_3024;
																															}
																														else
																															{	/* Beta/walk.scm 89 */
																																long
																																	BgL_odepthz00_3025;
																																BgL_odepthz00_3025
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_3021);
																																if ((2L <
																																		BgL_odepthz00_3025))
																																	{	/* Beta/walk.scm 89 */
																																		obj_t
																																			BgL_arg1797z00_3026;
																																		BgL_arg1797z00_3026
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_3021,
																																			2L);
																																		BgL_res1942z00_3020
																																			=
																																			(BgL_arg1797z00_3026
																																			==
																																			BgL_classz00_3015);
																																	}
																																else
																																	{	/* Beta/walk.scm 89 */
																																		BgL_res1942z00_3020
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2093z00_3776 =
																													BgL_res1942z00_3020;
																											}
																									}
																								else
																									{	/* Beta/walk.scm 89 */
																										BgL_test2093z00_3776 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2093z00_3776)
																								{	/* Beta/walk.scm 89 */
																									BgL_variablez00_bglt
																										BgL_arg1560z00_3027;
																									BgL_arg1560z00_3027 =
																										(((BgL_varz00_bglt)
																											COBJECT(((BgL_varz00_bglt)
																													BgL_mz00_3014)))->
																										BgL_variablez00);
																									{	/* Beta/walk.scm 89 */
																										obj_t BgL_classz00_3028;

																										BgL_classz00_3028 =
																											BGl_localz00zzast_varz00;
																										{	/* Beta/walk.scm 89 */
																											BgL_objectz00_bglt
																												BgL_arg1801z00_3029;
																											{	/* Beta/walk.scm 89 */
																												obj_t BgL_tmpz00_3798;

																												BgL_tmpz00_3798 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_arg1560z00_3027));
																												BgL_arg1801z00_3029 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3798);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Beta/walk.scm 89 */
																													long BgL_idxz00_3030;

																													BgL_idxz00_3030 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1801z00_3029);
																													BgL_test2092z00_3775 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_3030 +
																																2L)) ==
																														BgL_classz00_3028);
																												}
																											else
																												{	/* Beta/walk.scm 89 */
																													bool_t
																														BgL_res1943z00_3033;
																													{	/* Beta/walk.scm 89 */
																														obj_t
																															BgL_oclassz00_3034;
																														{	/* Beta/walk.scm 89 */
																															long
																																BgL_arg1808z00_3035;
																															{	/* Beta/walk.scm 89 */
																																long
																																	BgL_arg1809z00_3036;
																																BgL_arg1809z00_3036
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1801z00_3029);
																																BgL_arg1808z00_3035
																																	=
																																	(BgL_arg1809z00_3036
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_3034
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1808z00_3035);
																														}
																														{	/* Beta/walk.scm 89 */
																															bool_t
																																BgL__ortest_1115z00_3037;
																															BgL__ortest_1115z00_3037
																																=
																																(BgL_classz00_3028
																																==
																																BgL_oclassz00_3034);
																															if (BgL__ortest_1115z00_3037)
																																{	/* Beta/walk.scm 89 */
																																	BgL_res1943z00_3033
																																		=
																																		BgL__ortest_1115z00_3037;
																																}
																															else
																																{	/* Beta/walk.scm 89 */
																																	long
																																		BgL_odepthz00_3038;
																																	BgL_odepthz00_3038
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_3034);
																																	if ((2L <
																																			BgL_odepthz00_3038))
																																		{	/* Beta/walk.scm 89 */
																																			obj_t
																																				BgL_arg1797z00_3039;
																																			BgL_arg1797z00_3039
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_3034,
																																				2L);
																																			BgL_res1943z00_3033
																																				=
																																				(BgL_arg1797z00_3039
																																				==
																																				BgL_classz00_3028);
																																		}
																																	else
																																		{	/* Beta/walk.scm 89 */
																																			BgL_res1943z00_3033
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2092z00_3775 =
																														BgL_res1943z00_3033;
																												}
																										}
																									}
																								}
																							else
																								{	/* Beta/walk.scm 89 */
																									BgL_test2092z00_3775 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2092z00_3775)
																							{	/* Beta/walk.scm 90 */
																								BgL_refz00_bglt
																									BgL_arg1550z00_3040;
																								{	/* Beta/walk.scm 90 */
																									BgL_nodez00_bglt
																										BgL_duplicated1130z00_3041;
																									BgL_refz00_bglt
																										BgL_new1128z00_3042;
																									BgL_duplicated1130z00_3041 =
																										((BgL_nodez00_bglt)
																										CDR(BgL_redz00_2966));
																									{	/* Beta/walk.scm 90 */
																										BgL_refz00_bglt
																											BgL_new1132z00_3043;
																										BgL_new1132z00_3043 =
																											((BgL_refz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_refz00_bgl))));
																										{	/* Beta/walk.scm 90 */
																											long BgL_arg1554z00_3044;

																											BgL_arg1554z00_3044 =
																												BGL_CLASS_NUM
																												(BGl_refz00zzast_nodez00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1132z00_3043),
																												BgL_arg1554z00_3044);
																										}
																										{	/* Beta/walk.scm 90 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_3824;
																											BgL_tmpz00_3824 =
																												((BgL_objectz00_bglt)
																												BgL_new1132z00_3043);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_3824,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1132z00_3043);
																										BgL_new1128z00_3042 =
																											BgL_new1132z00_3043;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1128z00_3042)))->
																											BgL_locz00) =
																										((obj_t) ((
																													(BgL_nodez00_bglt)
																													COBJECT
																													(BgL_duplicated1130z00_3041))->
																												BgL_locz00)), BUNSPEC);
																									((((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt)
																														BgL_new1128z00_3042)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt) ((
																													(BgL_nodez00_bglt)
																													COBJECT
																													(BgL_duplicated1130z00_3041))->
																												BgL_typez00)), BUNSPEC);
																									((((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_new1128z00_3042)))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) ((
																													(BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_duplicated1130z00_3041)))->
																												BgL_variablez00)),
																										BUNSPEC);
																									BgL_arg1550z00_3040 =
																										BgL_new1128z00_3042;
																								}
																								{
																									obj_t BgL_nz00_3838;

																									BgL_nz00_3838 =
																										((obj_t)
																										BgL_arg1550z00_3040);
																									BgL_nz00_2965 = BgL_nz00_3838;
																									goto BgL_loopz00_2964;
																								}
																							}
																						else
																							{	/* Beta/walk.scm 91 */
																								BgL_nodez00_bglt
																									BgL_duplicated1135z00_3045;
																								BgL_refz00_bglt
																									BgL_new1133z00_3046;
																								BgL_duplicated1135z00_3045 =
																									((BgL_nodez00_bglt)
																									CDR(BgL_redz00_2966));
																								{	/* Beta/walk.scm 91 */
																									BgL_refz00_bglt
																										BgL_new1137z00_3047;
																									BgL_new1137z00_3047 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Beta/walk.scm 91 */
																										long BgL_arg1555z00_3048;

																										BgL_arg1555z00_3048 =
																											BGL_CLASS_NUM
																											(BGl_refz00zzast_nodez00);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_new1137z00_3047),
																											BgL_arg1555z00_3048);
																									}
																									{	/* Beta/walk.scm 91 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3846;
																										BgL_tmpz00_3846 =
																											((BgL_objectz00_bglt)
																											BgL_new1137z00_3047);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_3846, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1137z00_3047);
																									BgL_new1133z00_3046 =
																										BgL_new1137z00_3047;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1133z00_3046)))->
																										BgL_locz00) =
																									((obj_t) (((BgL_nodez00_bglt)
																												COBJECT
																												(BgL_duplicated1135z00_3045))->
																											BgL_locz00)), BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1133z00_3046)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) ((
																												(BgL_nodez00_bglt)
																												COBJECT
																												(BgL_duplicated1135z00_3045))->
																											BgL_typez00)), BUNSPEC);
																								((((BgL_varz00_bglt)
																											COBJECT(((BgL_varz00_bglt)
																													BgL_new1133z00_3046)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) ((
																												(BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_duplicated1135z00_3045)))->
																											BgL_variablez00)),
																									BUNSPEC);
																								BgL_arg1491z00_2937 =
																									((obj_t) BgL_new1133z00_3046);
																				}}}
																			else
																				{	/* Beta/walk.scm 92 */
																					bool_t BgL_test2101z00_3861;

																					{	/* Beta/walk.scm 92 */
																						obj_t BgL_arg1578z00_3049;

																						BgL_arg1578z00_3049 =
																							CDR(BgL_redz00_2966);
																						{	/* Beta/walk.scm 92 */
																							obj_t BgL_classz00_3050;

																							BgL_classz00_3050 =
																								BGl_patchz00zzast_nodez00;
																							if (BGL_OBJECTP
																								(BgL_arg1578z00_3049))
																								{	/* Beta/walk.scm 92 */
																									BgL_objectz00_bglt
																										BgL_arg1801z00_3051;
																									BgL_arg1801z00_3051 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1578z00_3049);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Beta/walk.scm 92 */
																											long BgL_idxz00_3052;

																											BgL_idxz00_3052 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1801z00_3051);
																											BgL_test2101z00_3861 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3052 +
																														3L)) ==
																												BgL_classz00_3050);
																										}
																									else
																										{	/* Beta/walk.scm 92 */
																											bool_t
																												BgL_res1944z00_3055;
																											{	/* Beta/walk.scm 92 */
																												obj_t
																													BgL_oclassz00_3056;
																												{	/* Beta/walk.scm 92 */
																													long
																														BgL_arg1808z00_3057;
																													{	/* Beta/walk.scm 92 */
																														long
																															BgL_arg1809z00_3058;
																														BgL_arg1809z00_3058
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1801z00_3051);
																														BgL_arg1808z00_3057
																															=
																															(BgL_arg1809z00_3058
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3056 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1808z00_3057);
																												}
																												{	/* Beta/walk.scm 92 */
																													bool_t
																														BgL__ortest_1115z00_3059;
																													BgL__ortest_1115z00_3059
																														=
																														(BgL_classz00_3050
																														==
																														BgL_oclassz00_3056);
																													if (BgL__ortest_1115z00_3059)
																														{	/* Beta/walk.scm 92 */
																															BgL_res1944z00_3055
																																=
																																BgL__ortest_1115z00_3059;
																														}
																													else
																														{	/* Beta/walk.scm 92 */
																															long
																																BgL_odepthz00_3060;
																															BgL_odepthz00_3060
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_3056);
																															if ((3L <
																																	BgL_odepthz00_3060))
																																{	/* Beta/walk.scm 92 */
																																	obj_t
																																		BgL_arg1797z00_3061;
																																	BgL_arg1797z00_3061
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_3056,
																																		3L);
																																	BgL_res1944z00_3055
																																		=
																																		(BgL_arg1797z00_3061
																																		==
																																		BgL_classz00_3050);
																																}
																															else
																																{	/* Beta/walk.scm 92 */
																																	BgL_res1944z00_3055
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2101z00_3861 =
																												BgL_res1944z00_3055;
																										}
																								}
																							else
																								{	/* Beta/walk.scm 92 */
																									BgL_test2101z00_3861 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2101z00_3861)
																						{	/* Beta/walk.scm 93 */
																							BgL_nodez00_bglt
																								BgL_duplicated1140z00_3062;
																							BgL_patchz00_bglt
																								BgL_new1138z00_3063;
																							BgL_duplicated1140z00_3062 =
																								((BgL_nodez00_bglt)
																								CDR(BgL_redz00_2966));
																							{	/* Beta/walk.scm 93 */
																								BgL_patchz00_bglt
																									BgL_new1145z00_3064;
																								BgL_new1145z00_3064 =
																									((BgL_patchz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_patchz00_bgl))));
																								{	/* Beta/walk.scm 93 */
																									long BgL_arg1565z00_3065;

																									BgL_arg1565z00_3065 =
																										BGL_CLASS_NUM
																										(BGl_patchz00zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1145z00_3064),
																										BgL_arg1565z00_3065);
																								}
																								{	/* Beta/walk.scm 93 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_3888;
																									BgL_tmpz00_3888 =
																										((BgL_objectz00_bglt)
																										BgL_new1145z00_3064);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_3888, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1145z00_3064);
																								BgL_new1138z00_3063 =
																									BgL_new1145z00_3064;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1138z00_3063)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_nodez00_bglt)
																											COBJECT
																											(BgL_duplicated1140z00_3062))->
																										BgL_locz00)), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1138z00_3063)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) ((
																											(BgL_nodez00_bglt)
																											COBJECT
																											(BgL_duplicated1140z00_3062))->
																										BgL_typez00)), BUNSPEC);
																							((((BgL_atomz00_bglt)
																										COBJECT(((BgL_atomz00_bglt)
																												BgL_new1138z00_3063)))->
																									BgL_valuez00) =
																								((obj_t) (((BgL_atomz00_bglt)
																											COBJECT((
																													(BgL_atomz00_bglt)
																													BgL_duplicated1140z00_3062)))->
																										BgL_valuez00)), BUNSPEC);
																							((((BgL_patchz00_bglt)
																										COBJECT
																										(BgL_new1138z00_3063))->
																									BgL_refz00) =
																								((BgL_varz00_bglt) ((
																											(BgL_patchz00_bglt)
																											COBJECT((
																													(BgL_patchz00_bglt)
																													BgL_duplicated1140z00_3062)))->
																										BgL_refz00)), BUNSPEC);
																							((((BgL_patchz00_bglt)
																										COBJECT
																										(BgL_new1138z00_3063))->
																									BgL_indexz00) =
																								((long) (((BgL_patchz00_bglt)
																											COBJECT((
																													(BgL_patchz00_bglt)
																													BgL_duplicated1140z00_3062)))->
																										BgL_indexz00)), BUNSPEC);
																							((((BgL_patchz00_bglt)
																										COBJECT
																										(BgL_new1138z00_3063))->
																									BgL_patchidz00) =
																								((obj_t) (((BgL_patchz00_bglt)
																											COBJECT((
																													(BgL_patchz00_bglt)
																													BgL_duplicated1140z00_3062)))->
																										BgL_patchidz00)), BUNSPEC);
																							BgL_arg1491z00_2937 =
																								((obj_t) BgL_new1138z00_3063);
																						}
																					else
																						{	/* Beta/walk.scm 92 */
																							BgL_arg1491z00_2937 =
																								BGl_errorz00zz__errorz00
																								(BGl_string1966z00zzbeta_walkz00,
																								BGl_string1984z00zzbeta_walkz00,
																								bgl_typeof(CDR
																									(BgL_redz00_2966)));
																						}
																				}
																		}
																}
														}
													else
														{	/* Beta/walk.scm 81 */
															BgL_arg1491z00_2937 = BgL_nz00_2965;
														}
												}
											}
										else
											{	/* Beta/walk.scm 77 */
												BgL_arg1491z00_2937 =
													((obj_t)
													BGl_nodezd2betaz12zc0zzbeta_walkz00(
														((BgL_nodez00_bglt) BgL_nz00_2938),
														BgL_stackz00_2814));
											}
									}
								}
								{	/* Beta/walk.scm 97 */
									obj_t BgL_tmpz00_3918;

									BgL_tmpz00_3918 = ((obj_t) BgL_l1281z00_2936);
									SET_CAR(BgL_tmpz00_3918, BgL_arg1491z00_2937);
								}
							}
							{	/* Beta/walk.scm 97 */
								obj_t BgL_arg1595z00_3066;

								BgL_arg1595z00_3066 = CDR(((obj_t) BgL_l1281z00_2936));
								{
									obj_t BgL_l1281z00_3923;

									BgL_l1281z00_3923 = BgL_arg1595z00_3066;
									BgL_l1281z00_2936 = BgL_l1281z00_3923;
									goto BgL_zc3z04anonymousza31480ze3z87_2935;
								}
							}
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2813));
		}

	}



/* &node-beta!-sync1297 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1297z70zzbeta_walkz00(obj_t
		BgL_envz00_2815, obj_t BgL_nodez00_2816, obj_t BgL_stackz00_2817)
	{
		{	/* Beta/walk.scm 65 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2816)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2816)))->BgL_mutexz00),
						BgL_stackz00_2817)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2816)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2816)))->
							BgL_prelockz00), BgL_stackz00_2817)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2816)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2816)))->BgL_bodyz00),
						BgL_stackz00_2817)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2816));
		}

	}



/* &node-beta!-sequence1295 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1295z70zzbeta_walkz00(obj_t
		BgL_envz00_2818, obj_t BgL_nodez00_2819, obj_t BgL_stackz00_2820)
	{
		{	/* Beta/walk.scm 58 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2819)))->BgL_nodesz00),
				BgL_stackz00_2820);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2819));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
			return
				BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string1985z00zzbeta_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
