/*===========================================================================*/
/*   (Flop/walk.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Flop/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_FLOP_WALK_TYPE_DEFINITIONS
#define BGL_FLOP_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_FLOP_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2optimzd2specializa7ezd2flonumzf3za2z54zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzflop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2varzd2typezd2ref1353zb0zzflop_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzflop_walkz00(void);
	static BgL_nodez00_bglt BGl_z62flopz12zd2letzd2var1345z70zzflop_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62flopz121342z70zzflop_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzflop_walkz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_za2fixnumzf3za2zf3zzflop_walkz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzflop_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_nodezd2varzd2typez00zzflop_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62clearzd2flopzd2cachez12z70zzflop_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2varzd2type1350z62zzflop_walkz00(obj_t, obj_t);
	static obj_t BGl_za2flopsza2z00zzflop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzflop_walkz00(void);
	static obj_t BGl_za2flonumzf3za2zf3zzflop_walkz00 = BUNSPEC;
	static obj_t BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 = BUNSPEC;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static bool_t BGl_iszd2booleanzf3z21zzflop_walkz00(BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static bool_t BGl_isnumberzf3zf3zzflop_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzflop_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62flopz12zd2conditional1349za2zzflop_walkz00(obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initzd2flopzd2cachez12z12zzflop_walkz00(void);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62flopz12zd2app1347za2zzflop_walkz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzflop_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzflop_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzflop_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzflop_walkz00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2toflonumza2z00zzflop_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_flopzd2walkz12zc0zzflop_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_flopz12z12zzflop_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62initzd2flopzd2cachez12z70zzflop_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_flopzd2funz12zc0zzflop_walkz00(obj_t);
	static obj_t BGl_za2z42flonumzf3za2zb1zzflop_walkz00 = BUNSPEC;
	extern obj_t BGl_literalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2varzd2typez62zzflop_walkz00(obj_t, obj_t);
	static obj_t BGl_z62flopzd2walkz12za2zzflop_walkz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62flopz12z70zzflop_walkz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_flopz12zd2envzc0zzflop_walkz00,
		BgL_bgl_za762flopza712za770za7za7f2106za7, BGl_z62flopz12z70zzflop_walkz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2flopzd2cachez12zd2envzc0zzflop_walkz00,
		BgL_bgl_za762initza7d2flopza7d2107za7,
		BGl_z62initzd2flopzd2cachez12z70zzflop_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2085z00zzflop_walkz00,
		BgL_bgl_string2085za700za7za7f2108za7, "Flop", 4);
	      DEFINE_STRING(BGl_string2086z00zzflop_walkz00,
		BgL_bgl_string2086za700za7za7f2109za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2087z00zzflop_walkz00,
		BgL_bgl_string2087za700za7za7f2110za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2088z00zzflop_walkz00,
		BgL_bgl_string2088za700za7za7f2111za7, " error", 6);
	      DEFINE_STRING(BGl_string2089z00zzflop_walkz00,
		BgL_bgl_string2089za700za7za7f2112za7, "s", 1);
	      DEFINE_STRING(BGl_string2090z00zzflop_walkz00,
		BgL_bgl_string2090za700za7za7f2113za7, "", 0);
	      DEFINE_STRING(BGl_string2091z00zzflop_walkz00,
		BgL_bgl_string2091za700za7za7f2114za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2092z00zzflop_walkz00,
		BgL_bgl_string2092za700za7za7f2115za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2094z00zzflop_walkz00,
		BgL_bgl_string2094za700za7za7f2116za7, "flop!1342", 9);
	      DEFINE_STRING(BGl_string2096z00zzflop_walkz00,
		BgL_bgl_string2096za700za7za7f2117za7, "node-var-type1350", 17);
	      DEFINE_STRING(BGl_string2098z00zzflop_walkz00,
		BgL_bgl_string2098za700za7za7f2118za7, "flop!::node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzflop_walkz00,
		BgL_bgl_za762flopza7121342za772119za7, BGl_z62flopz121342z70zzflop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzflop_walkz00,
		BgL_bgl_za762nodeza7d2varza7d22120za7,
		BGl_z62nodezd2varzd2type1350z62zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzflop_walkz00,
		BgL_bgl_za762flopza712za7d2let2121za7,
		BGl_z62flopz12zd2letzd2var1345z70zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzflop_walkz00,
		BgL_bgl_za762flopza712za7d2app2122za7,
		BGl_z62flopz12zd2app1347za2zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_flopzd2walkz12zd2envz12zzflop_walkz00,
		BgL_bgl_za762flopza7d2walkza712123za7,
		BGl_z62flopzd2walkz12za2zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00,
		BgL_bgl_za762nodeza7d2varza7d22124za7,
		BGl_z62nodezd2varzd2typez62zzflop_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2flopzd2cachez12zd2envzc0zzflop_walkz00,
		BgL_bgl_za762clearza7d2flopza72125za7,
		BGl_z62clearzd2flopzd2cachez12z70zzflop_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2102z00zzflop_walkz00,
		BgL_bgl_string2102za700za7za7f2126za7, "node-var-type", 13);
	      DEFINE_STRING(BGl_string2103z00zzflop_walkz00,
		BgL_bgl_string2103za700za7za7f2127za7, "flop_walk", 9);
	      DEFINE_STRING(BGl_string2104z00zzflop_walkz00,
		BgL_bgl_string2104za700za7za7f2128za7,
		"read fl |2| (+ - / *) number->flonum __r4_numbers_6_5 fixnum? __r4_numbers_6_5_fixnum c-fixnum? flonum? __r4_numbers_6_5_flonum $flonum? foreign (clear-flop-cache!) pass-started (init-flop-cache!) ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzflop_walkz00,
		BgL_bgl_za762flopza712za7d2con2129za7,
		BGl_z62flopz12zd2conditional1349za2zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzflop_walkz00,
		BgL_bgl_za762nodeza7d2varza7d22130za7,
		BGl_z62nodezd2varzd2typezd2ref1353zb0zzflop_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2fixnumzf3za2zf3zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2flopsza2z00zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2flonumzf3za2zf3zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2czd2fixnumzf3za2z21zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2toflonumza2z00zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42flonumzf3za2zb1zzflop_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzflop_walkz00(long
		BgL_checksumz00_3121, char *BgL_fromz00_3122)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzflop_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzflop_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzflop_walkz00();
					BGl_libraryzd2moduleszd2initz00zzflop_walkz00();
					BGl_cnstzd2initzd2zzflop_walkz00();
					BGl_importedzd2moduleszd2initz00zzflop_walkz00();
					BGl_genericzd2initzd2zzflop_walkz00();
					BGl_methodzd2initzd2zzflop_walkz00();
					return BGl_toplevelzd2initzd2zzflop_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "flop_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			{	/* Flop/walk.scm 19 */
				obj_t BgL_cportz00_2946;

				{	/* Flop/walk.scm 19 */
					obj_t BgL_stringz00_2953;

					BgL_stringz00_2953 = BGl_string2104z00zzflop_walkz00;
					{	/* Flop/walk.scm 19 */
						obj_t BgL_startz00_2954;

						BgL_startz00_2954 = BINT(0L);
						{	/* Flop/walk.scm 19 */
							obj_t BgL_endz00_2955;

							BgL_endz00_2955 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2953)));
							{	/* Flop/walk.scm 19 */

								BgL_cportz00_2946 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2953, BgL_startz00_2954, BgL_endz00_2955);
				}}}}
				{
					long BgL_iz00_2947;

					BgL_iz00_2947 = 15L;
				BgL_loopz00_2948:
					if ((BgL_iz00_2947 == -1L))
						{	/* Flop/walk.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Flop/walk.scm 19 */
							{	/* Flop/walk.scm 19 */
								obj_t BgL_arg2105z00_2949;

								{	/* Flop/walk.scm 19 */

									{	/* Flop/walk.scm 19 */
										obj_t BgL_locationz00_2951;

										BgL_locationz00_2951 = BBOOL(((bool_t) 0));
										{	/* Flop/walk.scm 19 */

											BgL_arg2105z00_2949 =
												BGl_readz00zz__readerz00(BgL_cportz00_2946,
												BgL_locationz00_2951);
										}
									}
								}
								{	/* Flop/walk.scm 19 */
									int BgL_tmpz00_3156;

									BgL_tmpz00_3156 = (int) (BgL_iz00_2947);
									CNST_TABLE_SET(BgL_tmpz00_3156, BgL_arg2105z00_2949);
							}}
							{	/* Flop/walk.scm 19 */
								int BgL_auxz00_2952;

								BgL_auxz00_2952 = (int) ((BgL_iz00_2947 - 1L));
								{
									long BgL_iz00_3161;

									BgL_iz00_3161 = (long) (BgL_auxz00_2952);
									BgL_iz00_2947 = BgL_iz00_3161;
									goto BgL_loopz00_2948;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_za2flopsza2z00zzflop_walkz00 = BNIL;
			BGl_za2flonumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2z42flonumzf3za2zb1zzflop_walkz00 = BFALSE;
			BGl_za2fixnumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 = BFALSE;
			BGl_za2toflonumza2z00zzflop_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* flop-walk! */
	BGL_EXPORTED_DEF obj_t BGl_flopzd2walkz12zc0zzflop_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Flop/walk.scm 44 */
			{	/* Flop/walk.scm 45 */
				obj_t BgL_list1398z00_1483;

				{	/* Flop/walk.scm 45 */
					obj_t BgL_arg1407z00_1484;

					{	/* Flop/walk.scm 45 */
						obj_t BgL_arg1408z00_1485;

						BgL_arg1408z00_1485 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1407z00_1484 =
							MAKE_YOUNG_PAIR(BGl_string2085z00zzflop_walkz00,
							BgL_arg1408z00_1485);
					}
					BgL_list1398z00_1483 =
						MAKE_YOUNG_PAIR(BGl_string2086z00zzflop_walkz00,
						BgL_arg1407z00_1484);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1398z00_1483);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2085z00zzflop_walkz00;
			{	/* Flop/walk.scm 45 */
				obj_t BgL_g1117z00_1486;
				obj_t BgL_g1118z00_1487;

				{	/* Flop/walk.scm 45 */
					obj_t BgL_list1438z00_1500;

					BgL_list1438z00_1500 =
						MAKE_YOUNG_PAIR(BGl_initzd2flopzd2cachez12zd2envzc0zzflop_walkz00,
						BNIL);
					BgL_g1117z00_1486 = BgL_list1438z00_1500;
				}
				BgL_g1118z00_1487 = CNST_TABLE_REF(0L);
				{
					obj_t BgL_hooksz00_1489;
					obj_t BgL_hnamesz00_1490;

					BgL_hooksz00_1489 = BgL_g1117z00_1486;
					BgL_hnamesz00_1490 = BgL_g1118z00_1487;
				BgL_zc3z04anonymousza31409ze3z87_1491:
					if (NULLP(BgL_hooksz00_1489))
						{	/* Flop/walk.scm 45 */
							CNST_TABLE_REF(1L);
						}
					else
						{	/* Flop/walk.scm 45 */
							bool_t BgL_test2134z00_3176;

							{	/* Flop/walk.scm 45 */
								obj_t BgL_fun1437z00_1498;

								BgL_fun1437z00_1498 = CAR(((obj_t) BgL_hooksz00_1489));
								BgL_test2134z00_3176 =
									CBOOL(
									(VA_PROCEDUREP(BgL_fun1437z00_1498) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1437z00_1498))
										(BgL_fun1437z00_1498,
											BEOA) : ((obj_t(*)(obj_t))
											PROCEDURE_ENTRY(BgL_fun1437z00_1498))
										(BgL_fun1437z00_1498)));
							}
							if (BgL_test2134z00_3176)
								{	/* Flop/walk.scm 45 */
									obj_t BgL_arg1420z00_1495;
									obj_t BgL_arg1431z00_1496;

									BgL_arg1420z00_1495 = CDR(((obj_t) BgL_hooksz00_1489));
									BgL_arg1431z00_1496 = CDR(((obj_t) BgL_hnamesz00_1490));
									{
										obj_t BgL_hnamesz00_3188;
										obj_t BgL_hooksz00_3187;

										BgL_hooksz00_3187 = BgL_arg1420z00_1495;
										BgL_hnamesz00_3188 = BgL_arg1431z00_1496;
										BgL_hnamesz00_1490 = BgL_hnamesz00_3188;
										BgL_hooksz00_1489 = BgL_hooksz00_3187;
										goto BgL_zc3z04anonymousza31409ze3z87_1491;
									}
								}
							else
								{	/* Flop/walk.scm 45 */
									obj_t BgL_arg1436z00_1497;

									BgL_arg1436z00_1497 = CAR(((obj_t) BgL_hnamesz00_1490));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2085z00zzflop_walkz00,
										BGl_string2087z00zzflop_walkz00, BgL_arg1436z00_1497);
								}
						}
				}
			}
			if (CBOOL(BGl_za2optimzd2specializa7ezd2flonumzf3za2z54zzengine_paramz00))
				{
					obj_t BgL_l1327z00_1502;

					BgL_l1327z00_1502 = BgL_globalsz00_17;
				BgL_zc3z04anonymousza31439ze3z87_1503:
					if (PAIRP(BgL_l1327z00_1502))
						{	/* Flop/walk.scm 47 */
							BGl_flopzd2funz12zc0zzflop_walkz00(CAR(BgL_l1327z00_1502));
							{
								obj_t BgL_l1327z00_3198;

								BgL_l1327z00_3198 = CDR(BgL_l1327z00_1502);
								BgL_l1327z00_1502 = BgL_l1327z00_3198;
								goto BgL_zc3z04anonymousza31439ze3z87_1503;
							}
						}
					else
						{	/* Flop/walk.scm 47 */
							((bool_t) 1);
						}
				}
			else
				{	/* Flop/walk.scm 46 */
					((bool_t) 0);
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Flop/walk.scm 48 */
					{	/* Flop/walk.scm 48 */
						obj_t BgL_port1329z00_1510;

						{	/* Flop/walk.scm 48 */
							obj_t BgL_tmpz00_3203;

							BgL_tmpz00_3203 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1329z00_1510 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3203);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1329z00_1510);
						bgl_display_string(BGl_string2088z00zzflop_walkz00,
							BgL_port1329z00_1510);
						{	/* Flop/walk.scm 48 */
							obj_t BgL_arg1453z00_1511;

							{	/* Flop/walk.scm 48 */
								bool_t BgL_test2138z00_3208;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Flop/walk.scm 48 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Flop/walk.scm 48 */
												BgL_test2138z00_3208 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Flop/walk.scm 48 */
												BgL_test2138z00_3208 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Flop/walk.scm 48 */
										BgL_test2138z00_3208 = ((bool_t) 0);
									}
								if (BgL_test2138z00_3208)
									{	/* Flop/walk.scm 48 */
										BgL_arg1453z00_1511 = BGl_string2089z00zzflop_walkz00;
									}
								else
									{	/* Flop/walk.scm 48 */
										BgL_arg1453z00_1511 = BGl_string2090z00zzflop_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1453z00_1511, BgL_port1329z00_1510);
						}
						bgl_display_string(BGl_string2091z00zzflop_walkz00,
							BgL_port1329z00_1510);
						bgl_display_char(((unsigned char) 10), BgL_port1329z00_1510);
					}
					{	/* Flop/walk.scm 48 */
						obj_t BgL_list1456z00_1515;

						BgL_list1456z00_1515 = MAKE_YOUNG_PAIR(BINT(-1L), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1456z00_1515);
					}
				}
			else
				{	/* Flop/walk.scm 48 */
					obj_t BgL_g1119z00_1516;
					obj_t BgL_g1120z00_1517;

					{	/* Flop/walk.scm 48 */
						obj_t BgL_list1495z00_1530;

						BgL_list1495z00_1530 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2flopzd2cachez12zd2envzc0zzflop_walkz00, BNIL);
						BgL_g1119z00_1516 = BgL_list1495z00_1530;
					}
					BgL_g1120z00_1517 = CNST_TABLE_REF(2L);
					{
						obj_t BgL_hooksz00_1519;
						obj_t BgL_hnamesz00_1520;

						BgL_hooksz00_1519 = BgL_g1119z00_1516;
						BgL_hnamesz00_1520 = BgL_g1120z00_1517;
					BgL_zc3z04anonymousza31457ze3z87_1521:
						if (NULLP(BgL_hooksz00_1519))
							{	/* Flop/walk.scm 48 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Flop/walk.scm 48 */
								bool_t BgL_test2142z00_3227;

								{	/* Flop/walk.scm 48 */
									obj_t BgL_fun1494z00_1528;

									BgL_fun1494z00_1528 = CAR(((obj_t) BgL_hooksz00_1519));
									BgL_test2142z00_3227 =
										CBOOL(
										(VA_PROCEDUREP(BgL_fun1494z00_1528) ? ((obj_t(*)(obj_t,
														...))
												PROCEDURE_ENTRY(BgL_fun1494z00_1528))
											(BgL_fun1494z00_1528,
												BEOA) : ((obj_t(*)(obj_t))
												PROCEDURE_ENTRY(BgL_fun1494z00_1528))
											(BgL_fun1494z00_1528)));
								}
								if (BgL_test2142z00_3227)
									{	/* Flop/walk.scm 48 */
										obj_t BgL_arg1479z00_1525;
										obj_t BgL_arg1491z00_1526;

										BgL_arg1479z00_1525 = CDR(((obj_t) BgL_hooksz00_1519));
										BgL_arg1491z00_1526 = CDR(((obj_t) BgL_hnamesz00_1520));
										{
											obj_t BgL_hnamesz00_3239;
											obj_t BgL_hooksz00_3238;

											BgL_hooksz00_3238 = BgL_arg1479z00_1525;
											BgL_hnamesz00_3239 = BgL_arg1491z00_1526;
											BgL_hnamesz00_1520 = BgL_hnamesz00_3239;
											BgL_hooksz00_1519 = BgL_hooksz00_3238;
											goto BgL_zc3z04anonymousza31457ze3z87_1521;
										}
									}
								else
									{	/* Flop/walk.scm 48 */
										obj_t BgL_arg1492z00_1527;

										BgL_arg1492z00_1527 = CAR(((obj_t) BgL_hnamesz00_1520));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2092z00zzflop_walkz00, BgL_arg1492z00_1527);
									}
							}
					}
				}
		}

	}



/* &flop-walk! */
	obj_t BGl_z62flopzd2walkz12za2zzflop_walkz00(obj_t BgL_envz00_2919,
		obj_t BgL_globalsz00_2920)
	{
		{	/* Flop/walk.scm 44 */
			return BGl_flopzd2walkz12zc0zzflop_walkz00(BgL_globalsz00_2920);
		}

	}



/* init-flop-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2flopzd2cachez12z12zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 63 */
			if (PAIRP(BGl_za2flopsza2z00zzflop_walkz00))
				{	/* Flop/walk.scm 64 */
					BFALSE;
				}
			else
				{	/* Flop/walk.scm 64 */
					{	/* Flop/walk.scm 65 */
						obj_t BgL_list1497z00_1532;

						BgL_list1497z00_1532 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
						BGl_za2z42flonumzf3za2zb1zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(4L),
							BgL_list1497z00_1532);
					}
					{	/* Flop/walk.scm 66 */
						obj_t BgL_list1498z00_1533;

						BgL_list1498z00_1533 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(5L), BNIL);
						BGl_za2flonumzf3za2zf3zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(6L),
							BgL_list1498z00_1533);
					}
					{	/* Flop/walk.scm 67 */
						obj_t BgL_list1499z00_1534;

						BgL_list1499z00_1534 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
						BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(7L),
							BgL_list1499z00_1534);
					}
					{	/* Flop/walk.scm 68 */
						obj_t BgL_list1500z00_1535;

						BgL_list1500z00_1535 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(8L), BNIL);
						BGl_za2fixnumzf3za2zf3zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(9L),
							BgL_list1500z00_1535);
					}
					{	/* Flop/walk.scm 69 */
						obj_t BgL_list1501z00_1536;

						BgL_list1501z00_1536 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(10L), BNIL);
						BGl_za2toflonumza2z00zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(11L),
							BgL_list1501z00_1536);
					}
					{	/* Flop/walk.scm 71 */
						obj_t BgL_l1330z00_1537;

						BgL_l1330z00_1537 = CNST_TABLE_REF(12L);
						{	/* Flop/walk.scm 71 */
							obj_t BgL_head1332z00_1539;

							BgL_head1332z00_1539 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1330z00_1541;
								obj_t BgL_tail1333z00_1542;

								BgL_l1330z00_1541 = BgL_l1330z00_1537;
								BgL_tail1333z00_1542 = BgL_head1332z00_1539;
							BgL_zc3z04anonymousza31503ze3z87_1543:
								if (NULLP(BgL_l1330z00_1541))
									{	/* Flop/walk.scm 71 */
										BGl_za2flopsza2z00zzflop_walkz00 =
											CDR(BgL_head1332z00_1539);
									}
								else
									{	/* Flop/walk.scm 71 */
										obj_t BgL_newtail1334z00_1545;

										{	/* Flop/walk.scm 71 */
											obj_t BgL_arg1528z00_1547;

											{	/* Flop/walk.scm 71 */
												obj_t BgL_opz00_1548;

												BgL_opz00_1548 = CAR(((obj_t) BgL_l1330z00_1541));
												{	/* Flop/walk.scm 72 */
													obj_t BgL_arg1532z00_1549;
													obj_t BgL_arg1534z00_1550;

													{	/* Flop/walk.scm 72 */
														obj_t BgL_arg1541z00_1551;

														{	/* Flop/walk.scm 72 */
															obj_t BgL_arg1545z00_1553;

															{	/* Flop/walk.scm 72 */
																obj_t BgL_arg1546z00_1554;
																obj_t BgL_arg1547z00_1555;

																{	/* Flop/walk.scm 72 */
																	obj_t BgL_symbolz00_2215;

																	BgL_symbolz00_2215 = CNST_TABLE_REF(13L);
																	{	/* Flop/walk.scm 72 */
																		obj_t BgL_arg1454z00_2216;

																		BgL_arg1454z00_2216 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2215);
																		BgL_arg1546z00_1554 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1454z00_2216);
																	}
																}
																{	/* Flop/walk.scm 72 */
																	obj_t BgL_arg1454z00_2218;

																	BgL_arg1454z00_2218 =
																		SYMBOL_TO_STRING(((obj_t) BgL_opz00_1548));
																	BgL_arg1547z00_1555 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1454z00_2218);
																}
																BgL_arg1545z00_1553 =
																	string_append(BgL_arg1546z00_1554,
																	BgL_arg1547z00_1555);
															}
															BgL_arg1541z00_1551 =
																bstring_to_symbol(BgL_arg1545z00_1553);
														}
														{	/* Flop/walk.scm 72 */
															obj_t BgL_list1542z00_1552;

															BgL_list1542z00_1552 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(10L), BNIL);
															BgL_arg1532z00_1549 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1541z00_1551, BgL_list1542z00_1552);
														}
													}
													{	/* Flop/walk.scm 73 */
														obj_t BgL_arg1550z00_1556;

														{	/* Flop/walk.scm 73 */
															obj_t BgL_arg1554z00_1558;

															{	/* Flop/walk.scm 73 */
																obj_t BgL_arg1555z00_1559;
																obj_t BgL_arg1560z00_1560;

																{	/* Flop/walk.scm 73 */
																	obj_t BgL_arg1454z00_2221;

																	BgL_arg1454z00_2221 =
																		SYMBOL_TO_STRING(((obj_t) BgL_opz00_1548));
																	BgL_arg1555z00_1559 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1454z00_2221);
																}
																{	/* Flop/walk.scm 73 */
																	obj_t BgL_symbolz00_2222;

																	BgL_symbolz00_2222 = CNST_TABLE_REF(14L);
																	{	/* Flop/walk.scm 73 */
																		obj_t BgL_arg1454z00_2223;

																		BgL_arg1454z00_2223 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2222);
																		BgL_arg1560z00_1560 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1454z00_2223);
																	}
																}
																BgL_arg1554z00_1558 =
																	string_append(BgL_arg1555z00_1559,
																	BgL_arg1560z00_1560);
															}
															BgL_arg1550z00_1556 =
																bstring_to_symbol(BgL_arg1554z00_1558);
														}
														{	/* Flop/walk.scm 73 */
															obj_t BgL_list1551z00_1557;

															BgL_list1551z00_1557 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(5L), BNIL);
															BgL_arg1534z00_1550 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1550z00_1556, BgL_list1551z00_1557);
														}
													}
													BgL_arg1528z00_1547 =
														MAKE_YOUNG_PAIR(BgL_arg1532z00_1549,
														BgL_arg1534z00_1550);
												}
											}
											BgL_newtail1334z00_1545 =
												MAKE_YOUNG_PAIR(BgL_arg1528z00_1547, BNIL);
										}
										SET_CDR(BgL_tail1333z00_1542, BgL_newtail1334z00_1545);
										{	/* Flop/walk.scm 71 */
											obj_t BgL_arg1519z00_1546;

											BgL_arg1519z00_1546 = CDR(((obj_t) BgL_l1330z00_1541));
											{
												obj_t BgL_tail1333z00_3301;
												obj_t BgL_l1330z00_3300;

												BgL_l1330z00_3300 = BgL_arg1519z00_1546;
												BgL_tail1333z00_3301 = BgL_newtail1334z00_1545;
												BgL_tail1333z00_1542 = BgL_tail1333z00_3301;
												BgL_l1330z00_1541 = BgL_l1330z00_3300;
												goto BgL_zc3z04anonymousza31503ze3z87_1543;
											}
										}
									}
							}
						}
					}
				}
			return BUNSPEC;
		}

	}



/* &init-flop-cache! */
	obj_t BGl_z62initzd2flopzd2cachez12z70zzflop_walkz00(obj_t BgL_envz00_2921)
	{
		{	/* Flop/walk.scm 63 */
			return BGl_initzd2flopzd2cachez12z12zzflop_walkz00();
		}

	}



/* &clear-flop-cache! */
	obj_t BGl_z62clearzd2flopzd2cachez12z70zzflop_walkz00(obj_t BgL_envz00_2922)
	{
		{	/* Flop/walk.scm 80 */
			BGl_za2flonumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2z42flonumzf3za2zb1zzflop_walkz00 = BFALSE;
			BGl_za2fixnumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 = BFALSE;
			return (BGl_za2flopsza2z00zzflop_walkz00 = BNIL, BUNSPEC);
		}

	}



/* flop-fun! */
	obj_t BGl_flopzd2funz12zc0zzflop_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Flop/walk.scm 90 */
			{	/* Flop/walk.scm 91 */
				obj_t BgL_arg1563z00_1562;

				BgL_arg1563z00_1562 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1563z00_1562);
			}
			{	/* Flop/walk.scm 92 */
				BgL_valuez00_bglt BgL_funz00_1563;

				BgL_funz00_1563 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Flop/walk.scm 93 */
					BgL_nodez00_bglt BgL_arg1564z00_1564;

					{	/* Flop/walk.scm 93 */
						obj_t BgL_arg1565z00_1565;

						BgL_arg1565z00_1565 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1563)))->BgL_bodyz00);
						BgL_arg1564z00_1564 =
							BGl_flopz12z12zzflop_walkz00(
							((BgL_nodez00_bglt) BgL_arg1565z00_1565));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1563)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1564z00_1564)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* is-boolean? */
	bool_t BGl_iszd2booleanzf3z21zzflop_walkz00(BgL_nodez00_bglt BgL_nodez00_23,
		bool_t BgL_valz00_24)
	{
		{	/* Flop/walk.scm 253 */
			{	/* Flop/walk.scm 254 */
				bool_t BgL_test2145z00_3316;

				{	/* Flop/walk.scm 254 */
					obj_t BgL_classz00_2231;

					BgL_classz00_2231 = BGl_literalz00zzast_nodez00;
					{	/* Flop/walk.scm 254 */
						BgL_objectz00_bglt BgL_arg1801z00_2233;

						{	/* Flop/walk.scm 254 */
							obj_t BgL_tmpz00_3317;

							BgL_tmpz00_3317 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_23));
							BgL_arg1801z00_2233 = (BgL_objectz00_bglt) (BgL_tmpz00_3317);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Flop/walk.scm 254 */
								long BgL_idxz00_2239;

								BgL_idxz00_2239 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2233);
								BgL_test2145z00_3316 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2239 + 3L)) == BgL_classz00_2231);
							}
						else
							{	/* Flop/walk.scm 254 */
								bool_t BgL_res2061z00_2261;

								{	/* Flop/walk.scm 254 */
									obj_t BgL_oclassz00_2247;

									{	/* Flop/walk.scm 254 */
										long BgL_arg1808z00_2253;

										{	/* Flop/walk.scm 254 */
											long BgL_arg1809z00_2254;

											BgL_arg1809z00_2254 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2233);
											BgL_arg1808z00_2253 = (BgL_arg1809z00_2254 - OBJECT_TYPE);
										}
										BgL_oclassz00_2247 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_2253);
									}
									{	/* Flop/walk.scm 254 */
										bool_t BgL__ortest_1115z00_2248;

										BgL__ortest_1115z00_2248 =
											(BgL_classz00_2231 == BgL_oclassz00_2247);
										if (BgL__ortest_1115z00_2248)
											{	/* Flop/walk.scm 254 */
												BgL_res2061z00_2261 = BgL__ortest_1115z00_2248;
											}
										else
											{	/* Flop/walk.scm 254 */
												long BgL_odepthz00_2249;

												BgL_odepthz00_2249 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2247);
												if ((3L < BgL_odepthz00_2249))
													{	/* Flop/walk.scm 254 */
														obj_t BgL_arg1797z00_2251;

														BgL_arg1797z00_2251 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2247, 3L);
														BgL_res2061z00_2261 =
															(BgL_arg1797z00_2251 == BgL_classz00_2231);
													}
												else
													{	/* Flop/walk.scm 254 */
														BgL_res2061z00_2261 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2145z00_3316 = BgL_res2061z00_2261;
							}
					}
				}
				if (BgL_test2145z00_3316)
					{	/* Flop/walk.scm 254 */
						return
							(
							(((BgL_atomz00_bglt) COBJECT(
										((BgL_atomz00_bglt)
											((BgL_literalz00_bglt) BgL_nodez00_23))))->
								BgL_valuez00) == BBOOL(BgL_valz00_24));
					}
				else
					{	/* Flop/walk.scm 254 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* isnumber? */
	bool_t BGl_isnumberzf3zf3zzflop_walkz00(BgL_nodez00_bglt BgL_exprz00_27,
		obj_t BgL_predz00_28, obj_t BgL_z42predz42_29)
	{
		{	/* Flop/walk.scm 269 */
			{
				BgL_letzd2varzd2_bglt BgL_exprz00_1580;
				obj_t BgL_predz00_1581;
				obj_t BgL_z42predz42_1582;

				{	/* Flop/walk.scm 286 */
					bool_t BgL_test2149z00_3342;

					{	/* Flop/walk.scm 286 */
						obj_t BgL_classz00_2412;

						BgL_classz00_2412 = BGl_appz00zzast_nodez00;
						{	/* Flop/walk.scm 286 */
							BgL_objectz00_bglt BgL_arg1801z00_2414;

							{	/* Flop/walk.scm 286 */
								obj_t BgL_tmpz00_3343;

								BgL_tmpz00_3343 = ((obj_t) BgL_exprz00_27);
								BgL_arg1801z00_2414 = (BgL_objectz00_bglt) (BgL_tmpz00_3343);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Flop/walk.scm 286 */
									long BgL_idxz00_2420;

									BgL_idxz00_2420 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2414);
									BgL_test2149z00_3342 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2420 + 3L)) == BgL_classz00_2412);
								}
							else
								{	/* Flop/walk.scm 286 */
									bool_t BgL_res2064z00_2442;

									{	/* Flop/walk.scm 286 */
										obj_t BgL_oclassz00_2428;

										{	/* Flop/walk.scm 286 */
											long BgL_arg1808z00_2434;

											{	/* Flop/walk.scm 286 */
												long BgL_arg1809z00_2435;

												BgL_arg1809z00_2435 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2414);
												BgL_arg1808z00_2434 =
													(BgL_arg1809z00_2435 - OBJECT_TYPE);
											}
											BgL_oclassz00_2428 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_2434);
										}
										{	/* Flop/walk.scm 286 */
											bool_t BgL__ortest_1115z00_2429;

											BgL__ortest_1115z00_2429 =
												(BgL_classz00_2412 == BgL_oclassz00_2428);
											if (BgL__ortest_1115z00_2429)
												{	/* Flop/walk.scm 286 */
													BgL_res2064z00_2442 = BgL__ortest_1115z00_2429;
												}
											else
												{	/* Flop/walk.scm 286 */
													long BgL_odepthz00_2430;

													BgL_odepthz00_2430 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2428);
													if ((3L < BgL_odepthz00_2430))
														{	/* Flop/walk.scm 286 */
															obj_t BgL_arg1797z00_2432;

															BgL_arg1797z00_2432 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2428, 3L);
															BgL_res2064z00_2442 =
																(BgL_arg1797z00_2432 == BgL_classz00_2412);
														}
													else
														{	/* Flop/walk.scm 286 */
															BgL_res2064z00_2442 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2149z00_3342 = BgL_res2064z00_2442;
								}
						}
					}
					if (BgL_test2149z00_3342)
						{	/* Flop/walk.scm 272 */
							BgL_variablez00_bglt BgL_vz00_2444;

							BgL_vz00_2444 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_exprz00_27)))->BgL_funz00)))->
								BgL_variablez00);
							{	/* Flop/walk.scm 273 */
								bool_t BgL__ortest_1150z00_2446;

								BgL__ortest_1150z00_2446 =
									(((obj_t) BgL_vz00_2444) == BgL_predz00_28);
								if (BgL__ortest_1150z00_2446)
									{	/* Flop/walk.scm 273 */
										return BgL__ortest_1150z00_2446;
									}
								else
									{	/* Flop/walk.scm 273 */
										return (((obj_t) BgL_vz00_2444) == BgL_z42predz42_29);
									}
							}
						}
					else
						{	/* Flop/walk.scm 287 */
							bool_t BgL_test2154z00_3370;

							{	/* Flop/walk.scm 287 */
								obj_t BgL_classz00_2449;

								BgL_classz00_2449 = BGl_letzd2varzd2zzast_nodez00;
								{	/* Flop/walk.scm 287 */
									BgL_objectz00_bglt BgL_arg1801z00_2451;

									{	/* Flop/walk.scm 287 */
										obj_t BgL_tmpz00_3371;

										BgL_tmpz00_3371 = ((obj_t) BgL_exprz00_27);
										BgL_arg1801z00_2451 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3371);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Flop/walk.scm 287 */
											long BgL_idxz00_2457;

											BgL_idxz00_2457 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2451);
											BgL_test2154z00_3370 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2457 + 3L)) == BgL_classz00_2449);
										}
									else
										{	/* Flop/walk.scm 287 */
											bool_t BgL_res2065z00_2479;

											{	/* Flop/walk.scm 287 */
												obj_t BgL_oclassz00_2465;

												{	/* Flop/walk.scm 287 */
													long BgL_arg1808z00_2471;

													{	/* Flop/walk.scm 287 */
														long BgL_arg1809z00_2472;

														BgL_arg1809z00_2472 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2451);
														BgL_arg1808z00_2471 =
															(BgL_arg1809z00_2472 - OBJECT_TYPE);
													}
													BgL_oclassz00_2465 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_2471);
												}
												{	/* Flop/walk.scm 287 */
													bool_t BgL__ortest_1115z00_2466;

													BgL__ortest_1115z00_2466 =
														(BgL_classz00_2449 == BgL_oclassz00_2465);
													if (BgL__ortest_1115z00_2466)
														{	/* Flop/walk.scm 287 */
															BgL_res2065z00_2479 = BgL__ortest_1115z00_2466;
														}
													else
														{	/* Flop/walk.scm 287 */
															long BgL_odepthz00_2467;

															BgL_odepthz00_2467 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2465);
															if ((3L < BgL_odepthz00_2467))
																{	/* Flop/walk.scm 287 */
																	obj_t BgL_arg1797z00_2469;

																	BgL_arg1797z00_2469 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2465,
																		3L);
																	BgL_res2065z00_2479 =
																		(BgL_arg1797z00_2469 == BgL_classz00_2449);
																}
															else
																{	/* Flop/walk.scm 287 */
																	BgL_res2065z00_2479 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2154z00_3370 = BgL_res2065z00_2479;
										}
								}
							}
							if (BgL_test2154z00_3370)
								{	/* Flop/walk.scm 287 */
									BgL_exprz00_1580 = ((BgL_letzd2varzd2_bglt) BgL_exprz00_27);
									BgL_predz00_1581 = BgL_predz00_28;
									BgL_z42predz42_1582 = BgL_z42predz42_29;
									if (
										(bgl_list_length(
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_exprz00_1580))->
													BgL_bindingsz00)) == 1L))
										{	/* Flop/walk.scm 278 */
											bool_t BgL_test2159z00_3394;

											{	/* Flop/walk.scm 272 */
												BgL_variablez00_bglt BgL_vz00_2341;

												{
													BgL_varz00_bglt BgL_auxz00_3395;

													{
														BgL_appz00_bglt BgL_auxz00_3396;

														{
															obj_t BgL_auxz00_3397;

															{	/* Flop/walk.scm 278 */
																obj_t BgL_pairz00_2336;

																BgL_pairz00_2336 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_exprz00_1580))->
																	BgL_bindingsz00);
																{	/* Flop/walk.scm 278 */
																	obj_t BgL_pairz00_2339;

																	BgL_pairz00_2339 = CAR(BgL_pairz00_2336);
																	BgL_auxz00_3397 = CDR(BgL_pairz00_2339);
																}
															}
															BgL_auxz00_3396 =
																((BgL_appz00_bglt) BgL_auxz00_3397);
														}
														BgL_auxz00_3395 =
															(((BgL_appz00_bglt) COBJECT(BgL_auxz00_3396))->
															BgL_funz00);
													}
													BgL_vz00_2341 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_3395))->
														BgL_variablez00);
												}
												{	/* Flop/walk.scm 273 */
													bool_t BgL__ortest_1150z00_2343;

													BgL__ortest_1150z00_2343 =
														(((obj_t) BgL_vz00_2341) == BgL_predz00_1581);
													if (BgL__ortest_1150z00_2343)
														{	/* Flop/walk.scm 273 */
															BgL_test2159z00_3394 = BgL__ortest_1150z00_2343;
														}
													else
														{	/* Flop/walk.scm 273 */
															BgL_test2159z00_3394 =
																(
																((obj_t) BgL_vz00_2341) == BgL_z42predz42_1582);
														}
												}
											}
											if (BgL_test2159z00_3394)
												{	/* Flop/walk.scm 279 */
													bool_t BgL_test2161z00_3409;

													{	/* Flop/walk.scm 279 */
														BgL_nodez00_bglt BgL_arg1614z00_1601;

														BgL_arg1614z00_1601 =
															(((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_exprz00_1580))->BgL_bodyz00);
														{	/* Flop/walk.scm 279 */
															obj_t BgL_classz00_2346;

															BgL_classz00_2346 =
																BGl_conditionalz00zzast_nodez00;
															{	/* Flop/walk.scm 279 */
																BgL_objectz00_bglt BgL_arg1801z00_2348;

																{	/* Flop/walk.scm 279 */
																	obj_t BgL_tmpz00_3411;

																	BgL_tmpz00_3411 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1614z00_1601));
																	BgL_arg1801z00_2348 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3411);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Flop/walk.scm 279 */
																		long BgL_idxz00_2354;

																		BgL_idxz00_2354 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1801z00_2348);
																		BgL_test2161z00_3409 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2354 + 3L)) ==
																			BgL_classz00_2346);
																	}
																else
																	{	/* Flop/walk.scm 279 */
																		bool_t BgL_res2062z00_2376;

																		{	/* Flop/walk.scm 279 */
																			obj_t BgL_oclassz00_2362;

																			{	/* Flop/walk.scm 279 */
																				long BgL_arg1808z00_2368;

																				{	/* Flop/walk.scm 279 */
																					long BgL_arg1809z00_2369;

																					BgL_arg1809z00_2369 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1801z00_2348);
																					BgL_arg1808z00_2368 =
																						(BgL_arg1809z00_2369 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2362 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1808z00_2368);
																			}
																			{	/* Flop/walk.scm 279 */
																				bool_t BgL__ortest_1115z00_2363;

																				BgL__ortest_1115z00_2363 =
																					(BgL_classz00_2346 ==
																					BgL_oclassz00_2362);
																				if (BgL__ortest_1115z00_2363)
																					{	/* Flop/walk.scm 279 */
																						BgL_res2062z00_2376 =
																							BgL__ortest_1115z00_2363;
																					}
																				else
																					{	/* Flop/walk.scm 279 */
																						long BgL_odepthz00_2364;

																						BgL_odepthz00_2364 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2362);
																						if ((3L < BgL_odepthz00_2364))
																							{	/* Flop/walk.scm 279 */
																								obj_t BgL_arg1797z00_2366;

																								BgL_arg1797z00_2366 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2362, 3L);
																								BgL_res2062z00_2376 =
																									(BgL_arg1797z00_2366 ==
																									BgL_classz00_2346);
																							}
																						else
																							{	/* Flop/walk.scm 279 */
																								BgL_res2062z00_2376 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2161z00_3409 = BgL_res2062z00_2376;
																	}
															}
														}
													}
													if (BgL_test2161z00_3409)
														{	/* Flop/walk.scm 280 */
															BgL_conditionalz00_bglt BgL_i1152z00_1593;

															BgL_i1152z00_1593 =
																((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_exprz00_1580))->BgL_bodyz00));
															{	/* Flop/walk.scm 281 */
																bool_t BgL_test2165z00_3433;

																{	/* Flop/walk.scm 281 */
																	BgL_nodez00_bglt BgL_arg1613z00_1600;

																	BgL_arg1613z00_1600 =
																		(((BgL_conditionalz00_bglt)
																			COBJECT(BgL_i1152z00_1593))->BgL_testz00);
																	{	/* Flop/walk.scm 281 */
																		obj_t BgL_classz00_2377;

																		BgL_classz00_2377 = BGl_varz00zzast_nodez00;
																		{	/* Flop/walk.scm 281 */
																			BgL_objectz00_bglt BgL_arg1801z00_2379;

																			{	/* Flop/walk.scm 281 */
																				obj_t BgL_tmpz00_3435;

																				BgL_tmpz00_3435 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1613z00_1600));
																				BgL_arg1801z00_2379 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3435);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Flop/walk.scm 281 */
																					long BgL_idxz00_2385;

																					BgL_idxz00_2385 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1801z00_2379);
																					BgL_test2165z00_3433 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2385 + 2L)) ==
																						BgL_classz00_2377);
																				}
																			else
																				{	/* Flop/walk.scm 281 */
																					bool_t BgL_res2063z00_2407;

																					{	/* Flop/walk.scm 281 */
																						obj_t BgL_oclassz00_2393;

																						{	/* Flop/walk.scm 281 */
																							long BgL_arg1808z00_2399;

																							{	/* Flop/walk.scm 281 */
																								long BgL_arg1809z00_2400;

																								BgL_arg1809z00_2400 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1801z00_2379);
																								BgL_arg1808z00_2399 =
																									(BgL_arg1809z00_2400 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2393 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1808z00_2399);
																						}
																						{	/* Flop/walk.scm 281 */
																							bool_t BgL__ortest_1115z00_2394;

																							BgL__ortest_1115z00_2394 =
																								(BgL_classz00_2377 ==
																								BgL_oclassz00_2393);
																							if (BgL__ortest_1115z00_2394)
																								{	/* Flop/walk.scm 281 */
																									BgL_res2063z00_2407 =
																										BgL__ortest_1115z00_2394;
																								}
																							else
																								{	/* Flop/walk.scm 281 */
																									long BgL_odepthz00_2395;

																									BgL_odepthz00_2395 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2393);
																									if ((2L < BgL_odepthz00_2395))
																										{	/* Flop/walk.scm 281 */
																											obj_t BgL_arg1797z00_2397;

																											BgL_arg1797z00_2397 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2393,
																												2L);
																											BgL_res2063z00_2407 =
																												(BgL_arg1797z00_2397 ==
																												BgL_classz00_2377);
																										}
																									else
																										{	/* Flop/walk.scm 281 */
																											BgL_res2063z00_2407 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2165z00_3433 =
																						BgL_res2063z00_2407;
																				}
																		}
																	}
																}
																if (BgL_test2165z00_3433)
																	{	/* Flop/walk.scm 283 */
																		obj_t BgL_tmpz00_3455;

																		{	/* Flop/walk.scm 283 */
																			obj_t BgL_pairz00_2408;

																			BgL_pairz00_2408 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_exprz00_1580))->
																				BgL_bindingsz00);
																			BgL_tmpz00_3455 =
																				CAR(CAR(BgL_pairz00_2408));
																		}
																		return
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								(((BgL_conditionalz00_bglt)
																										COBJECT
																										(BgL_i1152z00_1593))->
																									BgL_testz00))))->
																					BgL_variablez00)) == BgL_tmpz00_3455);
																	}
																else
																	{	/* Flop/walk.scm 281 */
																		return ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Flop/walk.scm 279 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Flop/walk.scm 278 */
													return ((bool_t) 0);
												}
										}
									else
										{	/* Flop/walk.scm 277 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Flop/walk.scm 287 */
									return ((bool_t) 0);
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_proc2093z00zzflop_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string2094z00zzflop_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00,
				BGl_proc2095z00zzflop_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2096z00zzflop_walkz00);
		}

	}



/* &node-var-type1350 */
	obj_t BGl_z62nodezd2varzd2type1350z62zzflop_walkz00(obj_t BgL_envz00_2927,
		obj_t BgL_nodez00_2928)
	{
		{	/* Flop/walk.scm 296 */
			return
				((obj_t)
				(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_nodez00_2928)))->BgL_typez00));
		}

	}



/* &flop!1342 */
	obj_t BGl_z62flopz121342z70zzflop_walkz00(obj_t BgL_envz00_2929,
		obj_t BgL_nodez00_2930)
	{
		{	/* Flop/walk.scm 100 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2930),
					BGl_flopz12zd2envzc0zzflop_walkz00));
		}

	}



/* flop! */
	BgL_nodez00_bglt BGl_flopz12z12zzflop_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Flop/walk.scm 100 */
			{	/* Flop/walk.scm 100 */
				obj_t BgL_method1343z00_1627;

				{	/* Flop/walk.scm 100 */
					obj_t BgL_res2070z00_2512;

					{	/* Flop/walk.scm 100 */
						long BgL_objzd2classzd2numz00_2483;

						BgL_objzd2classzd2numz00_2483 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Flop/walk.scm 100 */
							obj_t BgL_arg1805z00_2484;

							BgL_arg1805z00_2484 =
								PROCEDURE_REF(BGl_flopz12zd2envzc0zzflop_walkz00, (int) (1L));
							{	/* Flop/walk.scm 100 */
								int BgL_offsetz00_2487;

								BgL_offsetz00_2487 = (int) (BgL_objzd2classzd2numz00_2483);
								{	/* Flop/walk.scm 100 */
									long BgL_offsetz00_2488;

									BgL_offsetz00_2488 =
										((long) (BgL_offsetz00_2487) - OBJECT_TYPE);
									{	/* Flop/walk.scm 100 */
										long BgL_modz00_2489;

										BgL_modz00_2489 =
											(BgL_offsetz00_2488 >> (int) ((long) ((int) (4L))));
										{	/* Flop/walk.scm 100 */
											long BgL_restz00_2491;

											BgL_restz00_2491 =
												(BgL_offsetz00_2488 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Flop/walk.scm 100 */

												{	/* Flop/walk.scm 100 */
													obj_t BgL_bucketz00_2493;

													BgL_bucketz00_2493 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2484), BgL_modz00_2489);
													BgL_res2070z00_2512 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2493), BgL_restz00_2491);
					}}}}}}}}
					BgL_method1343z00_1627 = BgL_res2070z00_2512;
				}
				return
					((BgL_nodez00_bglt)
					(VA_PROCEDUREP(BgL_method1343z00_1627) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1343z00_1627)) (BgL_method1343z00_1627,
							((obj_t) BgL_nodez00_19), BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1343z00_1627)) (BgL_method1343z00_1627,
							((obj_t) BgL_nodez00_19))));
			}
		}

	}



/* &flop! */
	BgL_nodez00_bglt BGl_z62flopz12z70zzflop_walkz00(obj_t BgL_envz00_2925,
		obj_t BgL_nodez00_2926)
	{
		{	/* Flop/walk.scm 100 */
			return
				BGl_flopz12z12zzflop_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2926));
		}

	}



/* node-var-type */
	obj_t BGl_nodezd2varzd2typez00zzflop_walkz00(BgL_nodez00_bglt BgL_nodez00_32)
	{
		{	/* Flop/walk.scm 296 */
			{	/* Flop/walk.scm 296 */
				obj_t BgL_method1351z00_1628;

				{	/* Flop/walk.scm 296 */
					obj_t BgL_res2075z00_2543;

					{	/* Flop/walk.scm 296 */
						long BgL_objzd2classzd2numz00_2514;

						BgL_objzd2classzd2numz00_2514 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_32));
						{	/* Flop/walk.scm 296 */
							obj_t BgL_arg1805z00_2515;

							BgL_arg1805z00_2515 =
								PROCEDURE_REF(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00,
								(int) (1L));
							{	/* Flop/walk.scm 296 */
								int BgL_offsetz00_2518;

								BgL_offsetz00_2518 = (int) (BgL_objzd2classzd2numz00_2514);
								{	/* Flop/walk.scm 296 */
									long BgL_offsetz00_2519;

									BgL_offsetz00_2519 =
										((long) (BgL_offsetz00_2518) - OBJECT_TYPE);
									{	/* Flop/walk.scm 296 */
										long BgL_modz00_2520;

										BgL_modz00_2520 =
											(BgL_offsetz00_2519 >> (int) ((long) ((int) (4L))));
										{	/* Flop/walk.scm 296 */
											long BgL_restz00_2522;

											BgL_restz00_2522 =
												(BgL_offsetz00_2519 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Flop/walk.scm 296 */

												{	/* Flop/walk.scm 296 */
													obj_t BgL_bucketz00_2524;

													BgL_bucketz00_2524 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2515), BgL_modz00_2520);
													BgL_res2075z00_2543 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2524), BgL_restz00_2522);
					}}}}}}}}
					BgL_method1351z00_1628 = BgL_res2075z00_2543;
				}
				return
					(VA_PROCEDUREP(BgL_method1351z00_1628) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1351z00_1628)) (BgL_method1351z00_1628,
						((obj_t) BgL_nodez00_32), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1351z00_1628)) (BgL_method1351z00_1628,
						((obj_t) BgL_nodez00_32)));
			}
		}

	}



/* &node-var-type */
	obj_t BGl_z62nodezd2varzd2typez62zzflop_walkz00(obj_t BgL_envz00_2931,
		obj_t BgL_nodez00_2932)
	{
		{	/* Flop/walk.scm 296 */
			return
				BGl_nodezd2varzd2typez00zzflop_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2932));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2097z00zzflop_walkz00, BGl_string2098z00zzflop_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2099z00zzflop_walkz00, BGl_string2098z00zzflop_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc2100z00zzflop_walkz00, BGl_string2098z00zzflop_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00, BGl_refz00zzast_nodez00,
				BGl_proc2101z00zzflop_walkz00, BGl_string2102z00zzflop_walkz00);
		}

	}



/* &node-var-type-ref1353 */
	obj_t BGl_z62nodezd2varzd2typezd2ref1353zb0zzflop_walkz00(obj_t
		BgL_envz00_2937, obj_t BgL_nodez00_2938)
	{
		{	/* Flop/walk.scm 302 */
			return
				((obj_t)
				(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_refz00_bglt) BgL_nodez00_2938))))->
								BgL_variablez00)))->BgL_typez00));
		}

	}



/* &flop!-conditional1349 */
	BgL_nodez00_bglt BGl_z62flopz12zd2conditional1349za2zzflop_walkz00(obj_t
		BgL_envz00_2939, obj_t BgL_nodez00_2940)
	{
		{	/* Flop/walk.scm 232 */
			BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_conditionalz00_bglt) BgL_nodez00_2940)),
				BGl_flopz12zd2envzc0zzflop_walkz00);
			{	/* Flop/walk.scm 236 */
				bool_t BgL_test2169z00_3550;

				if (BGl_iszd2booleanzf3z21zzflop_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2940)))->BgL_truez00),
						((bool_t) 1)))
					{	/* Flop/walk.scm 236 */
						BgL_test2169z00_3550 =
							BGl_iszd2booleanzf3z21zzflop_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2940)))->
								BgL_falsez00), ((bool_t) 1));
					}
				else
					{	/* Flop/walk.scm 236 */
						BgL_test2169z00_3550 = ((bool_t) 0);
					}
				if (BgL_test2169z00_3550)
					{	/* Flop/walk.scm 237 */
						BgL_literalz00_bglt BgL_new1146z00_2961;

						{	/* Flop/walk.scm 237 */
							BgL_literalz00_bglt BgL_new1145z00_2962;

							BgL_new1145z00_2962 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Flop/walk.scm 237 */
								long BgL_arg1971z00_2963;

								BgL_arg1971z00_2963 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1145z00_2962),
									BgL_arg1971z00_2963);
							}
							{	/* Flop/walk.scm 237 */
								BgL_objectz00_bglt BgL_tmpz00_3562;

								BgL_tmpz00_3562 = ((BgL_objectz00_bglt) BgL_new1145z00_2962);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3562, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1145z00_2962);
							BgL_new1146z00_2961 = BgL_new1145z00_2962;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1146z00_2961)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1146z00_2961)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
						((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
											BgL_new1146z00_2961)))->BgL_valuez00) =
							((obj_t) BTRUE), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1146z00_2961);
					}
				else
					{	/* Flop/walk.scm 240 */
						bool_t BgL_test2171z00_3574;

						if (BGl_iszd2booleanzf3z21zzflop_walkz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2940)))->
									BgL_truez00), ((bool_t) 0)))
							{	/* Flop/walk.scm 240 */
								BgL_test2171z00_3574 =
									BGl_iszd2booleanzf3z21zzflop_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2940)))->
										BgL_falsez00), ((bool_t) 0));
							}
						else
							{	/* Flop/walk.scm 240 */
								BgL_test2171z00_3574 = ((bool_t) 0);
							}
						if (BgL_test2171z00_3574)
							{	/* Flop/walk.scm 241 */
								BgL_literalz00_bglt BgL_new1148z00_2964;

								{	/* Flop/walk.scm 241 */
									BgL_literalz00_bglt BgL_new1147z00_2965;

									BgL_new1147z00_2965 =
										((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_literalz00_bgl))));
									{	/* Flop/walk.scm 241 */
										long BgL_arg1977z00_2966;

										BgL_arg1977z00_2966 =
											BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1147z00_2965),
											BgL_arg1977z00_2966);
									}
									{	/* Flop/walk.scm 241 */
										BgL_objectz00_bglt BgL_tmpz00_3586;

										BgL_tmpz00_3586 =
											((BgL_objectz00_bglt) BgL_new1147z00_2965);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3586, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1147z00_2965);
									BgL_new1148z00_2964 = BgL_new1147z00_2965;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1148z00_2964)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1148z00_2964)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
													BgL_new1148z00_2964)))->BgL_valuez00) =
									((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1148z00_2964);
							}
						else
							{	/* Flop/walk.scm 240 */
								if (
									(BGl_nodezd2varzd2typez00zzflop_walkz00(
											(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2940)))->
												BgL_truez00)) ==
										BGl_nodezd2varzd2typez00zzflop_walkz00(((
													(BgL_conditionalz00_bglt)
													COBJECT(((BgL_conditionalz00_bglt)
															BgL_nodez00_2940)))->BgL_falsez00))))
									{	/* Flop/walk.scm 244 */
										{
											BgL_typez00_bglt BgL_auxz00_3606;

											{	/* Flop/walk.scm 245 */
												BgL_nodez00_bglt BgL_arg1983z00_2967;

												BgL_arg1983z00_2967 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2940)))->
													BgL_truez00);
												BgL_auxz00_3606 =
													((BgL_typez00_bglt)
													BGl_nodezd2varzd2typez00zzflop_walkz00
													(BgL_arg1983z00_2967));
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_conditionalz00_bglt)
																	BgL_nodez00_2940))))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_3606), BUNSPEC);
										}
										return
											((BgL_nodez00_bglt)
											((BgL_conditionalz00_bglt) BgL_nodez00_2940));
									}
								else
									{	/* Flop/walk.scm 244 */
										return
											((BgL_nodez00_bglt)
											((BgL_conditionalz00_bglt) BgL_nodez00_2940));
									}
							}
					}
			}
		}

	}



/* &flop!-app1347 */
	BgL_nodez00_bglt BGl_z62flopz12zd2app1347za2zzflop_walkz00(obj_t
		BgL_envz00_2941, obj_t BgL_nodez00_2942)
	{
		{	/* Flop/walk.scm 169 */
			{
				obj_t BgL_opz00_2988;
				BgL_appz00_bglt BgL_nodez00_2989;
				BgL_varz00_bglt BgL_funz00_2990;
				obj_t BgL_argsz00_2991;
				obj_t BgL_argsz00_2971;
				bool_t BgL_boolz00_2972;

				if (
					(((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_2942))))->BgL_typez00)) ==
						((obj_t)
							(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2942)))->
														BgL_funz00)))->BgL_variablez00)))->BgL_typez00))))
					{	/* Flop/walk.scm 201 */
						BFALSE;
					}
				else
					{	/* Flop/walk.scm 201 */
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_2942))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT((((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
																COBJECT(((BgL_appz00_bglt) BgL_nodez00_2942)))->
															BgL_funz00)))->BgL_variablez00)))->BgL_typez00)),
							BUNSPEC);
					}
				{	/* Flop/walk.scm 203 */
					obj_t BgL_opz00_3006;

					{	/* Flop/walk.scm 203 */
						BgL_variablez00_bglt BgL_arg1938z00_3007;

						BgL_arg1938z00_3007 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2942)))->BgL_funz00)))->
							BgL_variablez00);
						BgL_opz00_3006 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(((obj_t)
								BgL_arg1938z00_3007), BGl_za2flopsza2z00zzflop_walkz00);
					}
					if (BGl_isnumberzf3zf3zzflop_walkz00(
							((BgL_nodez00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_2942)),
							BGl_za2flonumzf3za2zf3zzflop_walkz00,
							BGl_za2z42flonumzf3za2zb1zzflop_walkz00))
						{	/* Flop/walk.scm 205 */
							BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2942)),
								BGl_flopz12zd2envzc0zzflop_walkz00);
							{	/* Flop/walk.scm 208 */
								bool_t BgL_test2176z00_3648;

								{	/* Flop/walk.scm 208 */
									obj_t BgL_arg1898z00_3008;

									{	/* Flop/walk.scm 208 */
										obj_t BgL_arg1899z00_3009;

										BgL_arg1899z00_3009 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2942)))->
												BgL_argsz00));
										BgL_arg1898z00_3008 =
											BGl_nodezd2varzd2typez00zzflop_walkz00(((BgL_nodez00_bglt)
												BgL_arg1899z00_3009));
									}
									BgL_test2176z00_3648 =
										(BgL_arg1898z00_3008 == BGl_za2realza2z00zztype_cachez00);
								}
								if (BgL_test2176z00_3648)
									{	/* Flop/walk.scm 208 */
										BgL_argsz00_2971 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2942)))->BgL_argsz00);
										BgL_boolz00_2972 = ((bool_t) 1);
									BgL_condzd2ze3boolz31_2969:
										{	/* Flop/walk.scm 189 */
											bool_t BgL_test2177z00_3655;

											{	/* Flop/walk.scm 189 */
												obj_t BgL_arg1965z00_2973;

												BgL_arg1965z00_2973 = CAR(((obj_t) BgL_argsz00_2971));
												BgL_test2177z00_3655 =
													BGl_sidezd2effectzf3z21zzeffect_effectz00(
													((BgL_nodez00_bglt) BgL_arg1965z00_2973));
											}
											if (BgL_test2177z00_3655)
												{	/* Flop/walk.scm 190 */
													BgL_sequencez00_bglt BgL_new1138z00_2974;

													{	/* Flop/walk.scm 190 */
														BgL_sequencez00_bglt BgL_new1137z00_2975;

														BgL_new1137z00_2975 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Flop/walk.scm 190 */
															long BgL_arg1963z00_2976;

															BgL_arg1963z00_2976 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1137z00_2975),
																BgL_arg1963z00_2976);
														}
														{	/* Flop/walk.scm 190 */
															BgL_objectz00_bglt BgL_tmpz00_3664;

															BgL_tmpz00_3664 =
																((BgL_objectz00_bglt) BgL_new1137z00_2975);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3664, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1137z00_2975);
														BgL_new1138z00_2974 = BgL_new1137z00_2975;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1138z00_2974)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1138z00_2974)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1138z00_2974)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1138z00_2974)))->BgL_keyz00) =
														((obj_t) BINT(-1L)), BUNSPEC);
													{
														obj_t BgL_auxz00_3678;

														{	/* Flop/walk.scm 192 */
															obj_t BgL_arg1958z00_2977;
															BgL_literalz00_bglt BgL_arg1959z00_2978;

															BgL_arg1958z00_2977 =
																CAR(((obj_t) BgL_argsz00_2971));
															{	/* Flop/walk.scm 193 */
																BgL_literalz00_bglt BgL_new1140z00_2979;

																{	/* Flop/walk.scm 193 */
																	BgL_literalz00_bglt BgL_new1139z00_2980;

																	BgL_new1139z00_2980 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Flop/walk.scm 193 */
																		long BgL_arg1962z00_2981;

																		{	/* Flop/walk.scm 193 */
																			obj_t BgL_classz00_2982;

																			BgL_classz00_2982 =
																				BGl_literalz00zzast_nodez00;
																			BgL_arg1962z00_2981 =
																				BGL_CLASS_NUM(BgL_classz00_2982);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1139z00_2980),
																			BgL_arg1962z00_2981);
																	}
																	{	/* Flop/walk.scm 193 */
																		BgL_objectz00_bglt BgL_tmpz00_3685;

																		BgL_tmpz00_3685 =
																			((BgL_objectz00_bglt)
																			BgL_new1139z00_2980);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3685,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1139z00_2980);
																	BgL_new1140z00_2979 = BgL_new1139z00_2980;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1140z00_2979)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1140z00_2979)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2boolza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1140z00_2979)))->
																		BgL_valuez00) =
																	((obj_t) BBOOL(BgL_boolz00_2972)), BUNSPEC);
																BgL_arg1959z00_2978 = BgL_new1140z00_2979;
															}
															{	/* Flop/walk.scm 192 */
																obj_t BgL_list1960z00_2983;

																{	/* Flop/walk.scm 192 */
																	obj_t BgL_arg1961z00_2984;

																	BgL_arg1961z00_2984 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1959z00_2978), BNIL);
																	BgL_list1960z00_2983 =
																		MAKE_YOUNG_PAIR(BgL_arg1958z00_2977,
																		BgL_arg1961z00_2984);
																}
																BgL_auxz00_3678 = BgL_list1960z00_2983;
														}}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1138z00_2974))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3678), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1138z00_2974))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1138z00_2974))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1138z00_2974);
												}
											else
												{	/* Flop/walk.scm 196 */
													BgL_literalz00_bglt BgL_new1142z00_2985;

													{	/* Flop/walk.scm 196 */
														BgL_literalz00_bglt BgL_new1141z00_2986;

														BgL_new1141z00_2986 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Flop/walk.scm 196 */
															long BgL_arg1964z00_2987;

															BgL_arg1964z00_2987 =
																BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1141z00_2986),
																BgL_arg1964z00_2987);
														}
														{	/* Flop/walk.scm 196 */
															BgL_objectz00_bglt BgL_tmpz00_3708;

															BgL_tmpz00_3708 =
																((BgL_objectz00_bglt) BgL_new1141z00_2986);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3708, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1141z00_2986);
														BgL_new1142z00_2985 = BgL_new1141z00_2986;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1142z00_2985)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1142z00_2985)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1142z00_2985)))->BgL_valuez00) =
														((obj_t) BBOOL(BgL_boolz00_2972)), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1142z00_2985);
												}
										}
									}
								else
									{	/* Flop/walk.scm 210 */
										bool_t BgL_test2178z00_3723;

										{	/* Flop/walk.scm 210 */
											bool_t BgL_test2179z00_3724;

											{	/* Flop/walk.scm 210 */
												obj_t BgL_arg1895z00_3010;

												{	/* Flop/walk.scm 210 */
													obj_t BgL_arg1896z00_3011;

													BgL_arg1896z00_3011 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2942)))->
															BgL_argsz00));
													BgL_arg1895z00_3010 =
														BGl_nodezd2varzd2typez00zzflop_walkz00((
															(BgL_nodez00_bglt) BgL_arg1896z00_3011));
												}
												BgL_test2179z00_3724 =
													(BgL_arg1895z00_3010 ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2179z00_3724)
												{	/* Flop/walk.scm 210 */
													BgL_test2178z00_3723 = ((bool_t) 0);
												}
											else
												{	/* Flop/walk.scm 211 */
													bool_t BgL_test2180z00_3731;

													{	/* Flop/walk.scm 211 */
														obj_t BgL_arg1892z00_3012;

														{	/* Flop/walk.scm 211 */
															obj_t BgL_arg1893z00_3013;

															BgL_arg1893z00_3013 =
																CAR(
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2942)))->
																	BgL_argsz00));
															BgL_arg1892z00_3012 =
																BGl_nodezd2varzd2typez00zzflop_walkz00((
																	(BgL_nodez00_bglt) BgL_arg1893z00_3013));
														}
														BgL_test2180z00_3731 =
															(BgL_arg1892z00_3012 ==
															BGl_za2objza2z00zztype_cachez00);
													}
													if (BgL_test2180z00_3731)
														{	/* Flop/walk.scm 211 */
															BgL_test2178z00_3723 = ((bool_t) 0);
														}
													else
														{	/* Flop/walk.scm 211 */
															BgL_test2178z00_3723 = ((bool_t) 1);
														}
												}
										}
										if (BgL_test2178z00_3723)
											{
												bool_t BgL_boolz00_3741;
												obj_t BgL_argsz00_3738;

												BgL_argsz00_3738 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2942)))->
													BgL_argsz00);
												BgL_boolz00_3741 = ((bool_t) 0);
												BgL_boolz00_2972 = BgL_boolz00_3741;
												BgL_argsz00_2971 = BgL_argsz00_3738;
												goto BgL_condzd2ze3boolz31_2969;
											}
										else
											{	/* Flop/walk.scm 210 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2942));
											}
									}
							}
						}
					else
						{	/* Flop/walk.scm 205 */
							if (BGl_isnumberzf3zf3zzflop_walkz00(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_2942)),
									BGl_za2fixnumzf3za2zf3zzflop_walkz00,
									BGl_za2czd2fixnumzf3za2z21zzflop_walkz00))
								{	/* Flop/walk.scm 215 */
									BGl_walk0z12z12zzast_walkz00(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_2942)),
										BGl_flopz12zd2envzc0zzflop_walkz00);
									{	/* Flop/walk.scm 218 */
										bool_t BgL_test2182z00_3751;

										{	/* Flop/walk.scm 218 */
											obj_t BgL_arg1914z00_3014;

											{	/* Flop/walk.scm 218 */
												obj_t BgL_arg1915z00_3015;

												BgL_arg1915z00_3015 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2942)))->
														BgL_argsz00));
												BgL_arg1914z00_3014 =
													BGl_nodezd2varzd2typez00zzflop_walkz00((
														(BgL_nodez00_bglt) BgL_arg1915z00_3015));
											}
											BgL_test2182z00_3751 =
												(BgL_arg1914z00_3014 ==
												BGl_za2realza2z00zztype_cachez00);
										}
										if (BgL_test2182z00_3751)
											{
												bool_t BgL_boolz00_3761;
												obj_t BgL_argsz00_3758;

												BgL_argsz00_3758 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2942)))->
													BgL_argsz00);
												BgL_boolz00_3761 = ((bool_t) 0);
												BgL_boolz00_2972 = BgL_boolz00_3761;
												BgL_argsz00_2971 = BgL_argsz00_3758;
												goto BgL_condzd2ze3boolz31_2969;
											}
										else
											{	/* Flop/walk.scm 218 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2942));
											}
									}
								}
							else
								{	/* Flop/walk.scm 215 */
									if (CBOOL(BgL_opz00_3006))
										{	/* Flop/walk.scm 222 */
											bool_t BgL_test2184z00_3766;

											{	/* Flop/walk.scm 222 */
												obj_t BgL_arg1935z00_3016;

												{	/* Flop/walk.scm 222 */
													obj_t BgL_arg1936z00_3017;

													BgL_arg1936z00_3017 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2942)))->
															BgL_argsz00));
													BgL_arg1935z00_3016 =
														BGl_nodezd2varzd2typez00zzflop_walkz00((
															(BgL_nodez00_bglt) BgL_arg1936z00_3017));
												}
												BgL_test2184z00_3766 =
													(BgL_arg1935z00_3016 ==
													BGl_za2realza2z00zztype_cachez00);
											}
											if (BgL_test2184z00_3766)
												{	/* Flop/walk.scm 223 */
													BgL_varz00_bglt BgL_arg1922z00_3018;
													obj_t BgL_arg1923z00_3019;

													BgL_arg1922z00_3018 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2942)))->
														BgL_funz00);
													BgL_arg1923z00_3019 =
														CDR((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																		BgL_nodez00_2942)))->BgL_argsz00));
													{
														BgL_appz00_bglt BgL_auxz00_3778;

														BgL_opz00_2988 = BgL_opz00_3006;
														BgL_nodez00_2989 =
															((BgL_appz00_bglt) BgL_nodez00_2942);
														BgL_funz00_2990 = BgL_arg1922z00_3018;
														BgL_argsz00_2991 = BgL_arg1923z00_3019;
													BgL_patchz12z12_2970:
														{	/* Flop/walk.scm 172 */
															BgL_typez00_bglt BgL_vz00_2992;

															BgL_vz00_2992 =
																((BgL_typez00_bglt)
																BGl_za2realza2z00zztype_cachez00);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_2989)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2992), BUNSPEC);
														}
														((((BgL_varz00_bglt) COBJECT(BgL_funz00_2990))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	CDR(((obj_t) BgL_opz00_2988)))), BUNSPEC);
														{	/* Flop/walk.scm 177 */
															obj_t BgL_arg1944z00_2993;

															BgL_arg1944z00_2993 =
																CAR(((obj_t) BgL_argsz00_2991));
															BGl_flopz12z12zzflop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1944z00_2993));
														}
														{	/* Flop/walk.scm 178 */
															bool_t BgL_test2185z00_3790;

															{	/* Flop/walk.scm 178 */
																obj_t BgL_arg1953z00_2994;

																{	/* Flop/walk.scm 178 */
																	obj_t BgL_arg1954z00_2995;

																	BgL_arg1954z00_2995 =
																		CAR(((obj_t) BgL_argsz00_2991));
																	BgL_arg1953z00_2994 =
																		BGl_nodezd2varzd2typez00zzflop_walkz00(
																		((BgL_nodez00_bglt) BgL_arg1954z00_2995));
																}
																BgL_test2185z00_3790 =
																	(BgL_arg1953z00_2994 ==
																	BGl_za2realza2z00zztype_cachez00);
															}
															if (BgL_test2185z00_3790)
																{	/* Flop/walk.scm 178 */
																	BFALSE;
																}
															else
																{	/* Flop/walk.scm 180 */
																	BgL_appz00_bglt BgL_arg1948z00_2996;

																	{	/* Flop/walk.scm 180 */
																		BgL_appz00_bglt BgL_new1133z00_2997;

																		{	/* Flop/walk.scm 180 */
																			BgL_appz00_bglt BgL_new1132z00_2998;

																			BgL_new1132z00_2998 =
																				((BgL_appz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_appz00_bgl))));
																			{	/* Flop/walk.scm 180 */
																				long BgL_arg1952z00_2999;

																				BgL_arg1952z00_2999 =
																					BGL_CLASS_NUM
																					(BGl_appz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1132z00_2998),
																					BgL_arg1952z00_2999);
																			}
																			{	/* Flop/walk.scm 180 */
																				BgL_objectz00_bglt BgL_tmpz00_3800;

																				BgL_tmpz00_3800 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_2998);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3800,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1132z00_2998);
																			BgL_new1133z00_2997 = BgL_new1132z00_2998;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1133z00_2997)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1133z00_2997)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2realza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1133z00_2997)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1133z00_2997)))->
																				BgL_keyz00) =
																			((obj_t) BINT(-1L)), BUNSPEC);
																		{
																			BgL_varz00_bglt BgL_auxz00_3814;

																			{	/* Flop/walk.scm 182 */
																				BgL_refz00_bglt BgL_new1136z00_3000;

																				{	/* Flop/walk.scm 182 */
																					BgL_refz00_bglt BgL_new1135z00_3001;

																					BgL_new1135z00_3001 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Flop/walk.scm 182 */
																						long BgL_arg1949z00_3002;

																						{	/* Flop/walk.scm 182 */
																							obj_t BgL_classz00_3003;

																							BgL_classz00_3003 =
																								BGl_refz00zzast_nodez00;
																							BgL_arg1949z00_3002 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3003);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1135z00_3001),
																							BgL_arg1949z00_3002);
																					}
																					{	/* Flop/walk.scm 182 */
																						BgL_objectz00_bglt BgL_tmpz00_3819;

																						BgL_tmpz00_3819 =
																							((BgL_objectz00_bglt)
																							BgL_new1135z00_3001);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3819, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1135z00_3001);
																					BgL_new1136z00_3000 =
																						BgL_new1135z00_3001;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1136z00_3000)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1136z00_3000)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BGl_za2realza2z00zztype_cachez00)),
																					BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1136z00_3000)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BGl_za2toflonumza2z00zzflop_walkz00)),
																					BUNSPEC);
																				BgL_auxz00_3814 =
																					((BgL_varz00_bglt)
																					BgL_new1136z00_3000);
																			}
																			((((BgL_appz00_bglt)
																						COBJECT(BgL_new1133z00_2997))->
																					BgL_funz00) =
																				((BgL_varz00_bglt) BgL_auxz00_3814),
																				BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_3833;

																			{	/* Flop/walk.scm 185 */
																				obj_t BgL_arg1950z00_3004;

																				BgL_arg1950z00_3004 =
																					CAR(((obj_t) BgL_argsz00_2991));
																				{	/* Flop/walk.scm 185 */
																					obj_t BgL_list1951z00_3005;

																					BgL_list1951z00_3005 =
																						MAKE_YOUNG_PAIR(BgL_arg1950z00_3004,
																						BNIL);
																					BgL_auxz00_3833 =
																						BgL_list1951z00_3005;
																			}}
																			((((BgL_appz00_bglt)
																						COBJECT(BgL_new1133z00_2997))->
																					BgL_argsz00) =
																				((obj_t) BgL_auxz00_3833), BUNSPEC);
																		}
																		((((BgL_appz00_bglt)
																					COBJECT(BgL_new1133z00_2997))->
																				BgL_stackablez00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_arg1948z00_2996 = BgL_new1133z00_2997;
																	}
																	{	/* Flop/walk.scm 179 */
																		obj_t BgL_auxz00_3841;
																		obj_t BgL_tmpz00_3839;

																		BgL_auxz00_3841 =
																			((obj_t) BgL_arg1948z00_2996);
																		BgL_tmpz00_3839 =
																			((obj_t) BgL_argsz00_2991);
																		SET_CAR(BgL_tmpz00_3839, BgL_auxz00_3841);
														}}}
														BgL_auxz00_3778 = BgL_nodez00_2989;
														return ((BgL_nodez00_bglt) BgL_auxz00_3778);
													}
												}
											else
												{	/* Flop/walk.scm 224 */
													bool_t BgL_test2186z00_3846;

													{	/* Flop/walk.scm 224 */
														obj_t BgL_arg1931z00_3020;

														{	/* Flop/walk.scm 224 */
															obj_t BgL_arg1933z00_3021;

															{	/* Flop/walk.scm 224 */
																obj_t BgL_pairz00_3022;

																BgL_pairz00_3022 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2942)))->
																	BgL_argsz00);
																BgL_arg1933z00_3021 =
																	CAR(CDR(BgL_pairz00_3022));
															}
															BgL_arg1931z00_3020 =
																BGl_nodezd2varzd2typez00zzflop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1933z00_3021));
														}
														BgL_test2186z00_3846 =
															(BgL_arg1931z00_3020 ==
															BGl_za2realza2z00zztype_cachez00);
													}
													if (BgL_test2186z00_3846)
														{	/* Flop/walk.scm 225 */
															BgL_varz00_bglt BgL_arg1929z00_3023;
															obj_t BgL_arg1930z00_3024;

															BgL_arg1929z00_3023 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2942)))->
																BgL_funz00);
															BgL_arg1930z00_3024 =
																(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																			BgL_nodez00_2942)))->BgL_argsz00);
															{
																BgL_appz00_bglt BgL_auxz00_3858;

																{
																	obj_t BgL_argsz00_3863;
																	BgL_varz00_bglt BgL_funz00_3862;
																	BgL_appz00_bglt BgL_nodez00_3860;
																	obj_t BgL_opz00_3859;

																	BgL_opz00_3859 = BgL_opz00_3006;
																	BgL_nodez00_3860 =
																		((BgL_appz00_bglt) BgL_nodez00_2942);
																	BgL_funz00_3862 = BgL_arg1929z00_3023;
																	BgL_argsz00_3863 = BgL_arg1930z00_3024;
																	BgL_argsz00_2991 = BgL_argsz00_3863;
																	BgL_funz00_2990 = BgL_funz00_3862;
																	BgL_nodez00_2989 = BgL_nodez00_3860;
																	BgL_opz00_2988 = BgL_opz00_3859;
																	goto BgL_patchz12z12_2970;
																}
																return ((BgL_nodez00_bglt) BgL_auxz00_3858);
															}
														}
													else
														{	/* Flop/walk.scm 224 */
															return
																BGl_walk0z12z12zzast_walkz00(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2942)),
																BGl_flopz12zd2envzc0zzflop_walkz00);
														}
												}
										}
									else
										{	/* Flop/walk.scm 220 */
											return
												BGl_walk0z12z12zzast_walkz00(
												((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2942)),
												BGl_flopz12zd2envzc0zzflop_walkz00);
										}
								}
						}
				}
			}
		}

	}



/* &flop!-let-var1345 */
	BgL_nodez00_bglt BGl_z62flopz12zd2letzd2var1345z70zzflop_walkz00(obj_t
		BgL_envz00_2943, obj_t BgL_nodez00_2944)
	{
		{	/* Flop/walk.scm 106 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3027;

				{	/* Flop/walk.scm 144 */
					obj_t BgL_g1337z00_3075;

					BgL_g1337z00_3075 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->BgL_bindingsz00);
					{
						obj_t BgL_l1335z00_3077;

						BgL_l1335z00_3077 = BgL_g1337z00_3075;
					BgL_zc3z04anonymousza31640ze3z87_3076:
						if (PAIRP(BgL_l1335z00_3077))
							{	/* Flop/walk.scm 144 */
								{	/* Flop/walk.scm 145 */
									obj_t BgL_bindingz00_3078;

									BgL_bindingz00_3078 = CAR(BgL_l1335z00_3077);
									{	/* Flop/walk.scm 145 */
										BgL_nodez00_bglt BgL_arg1649z00_3079;

										{	/* Flop/walk.scm 145 */
											obj_t BgL_arg1658z00_3080;

											BgL_arg1658z00_3080 = CDR(((obj_t) BgL_bindingz00_3078));
											BgL_arg1649z00_3079 =
												BGl_flopz12z12zzflop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1658z00_3080));
										}
										{	/* Flop/walk.scm 145 */
											obj_t BgL_auxz00_3882;
											obj_t BgL_tmpz00_3880;

											BgL_auxz00_3882 = ((obj_t) BgL_arg1649z00_3079);
											BgL_tmpz00_3880 = ((obj_t) BgL_bindingz00_3078);
											SET_CDR(BgL_tmpz00_3880, BgL_auxz00_3882);
										}
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_3078)))))->
												BgL_accessz00) == CNST_TABLE_REF(15L)))
										{	/* Flop/walk.scm 147 */
											bool_t BgL_test2189z00_3892;

											{	/* Flop/walk.scm 147 */
												obj_t BgL_arg1681z00_3081;

												{	/* Flop/walk.scm 147 */
													obj_t BgL_arg1684z00_3082;

													BgL_arg1684z00_3082 =
														CDR(((obj_t) BgL_bindingz00_3078));
													BgL_arg1681z00_3081 =
														BGl_nodezd2varzd2typez00zzflop_walkz00(
														((BgL_nodez00_bglt) BgL_arg1684z00_3082));
												}
												BgL_test2189z00_3892 =
													(BgL_arg1681z00_3081 ==
													BGl_za2realza2z00zztype_cachez00);
											}
											if (BgL_test2189z00_3892)
												{	/* Flop/walk.scm 148 */
													obj_t BgL_arg1678z00_3083;

													BgL_arg1678z00_3083 =
														CAR(((obj_t) BgL_bindingz00_3078));
													{	/* Flop/walk.scm 148 */
														BgL_typez00_bglt BgL_vz00_3084;

														BgL_vz00_3084 =
															((BgL_typez00_bglt)
															BGl_za2realza2z00zztype_cachez00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_arg1678z00_3083)))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_3084), BUNSPEC);
													}
												}
											else
												{	/* Flop/walk.scm 147 */
													BFALSE;
												}
										}
									else
										{	/* Flop/walk.scm 146 */
											BFALSE;
										}
								}
								{
									obj_t BgL_l1335z00_3903;

									BgL_l1335z00_3903 = CDR(BgL_l1335z00_3077);
									BgL_l1335z00_3077 = BgL_l1335z00_3903;
									goto BgL_zc3z04anonymousza31640ze3z87_3076;
								}
							}
						else
							{	/* Flop/walk.scm 144 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3905;

					{	/* Flop/walk.scm 150 */
						BgL_nodez00_bglt BgL_arg1695z00_3085;

						BgL_arg1695z00_3085 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->BgL_bodyz00);
						BgL_auxz00_3905 = BGl_flopz12z12zzflop_walkz00(BgL_arg1695z00_3085);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3905), BUNSPEC);
				}
				{	/* Flop/walk.scm 152 */
					bool_t BgL_test2190z00_3911;

					{	/* Flop/walk.scm 152 */
						obj_t BgL_arg1736z00_3086;

						BgL_arg1736z00_3086 =
							BGl_nodezd2varzd2typez00zzflop_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->BgL_bodyz00));
						BgL_test2190z00_3911 =
							(BgL_arg1736z00_3086 == BGl_za2realza2z00zztype_cachez00);
					}
					if (BgL_test2190z00_3911)
						{	/* Flop/walk.scm 152 */
							{
								BgL_typez00_bglt BgL_auxz00_3916;

								{	/* Flop/walk.scm 153 */
									BgL_nodez00_bglt BgL_arg1706z00_3087;

									BgL_arg1706z00_3087 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->
										BgL_bodyz00);
									BgL_auxz00_3916 =
										((BgL_typez00_bglt)
										BGl_nodezd2varzd2typez00zzflop_walkz00
										(BgL_arg1706z00_3087));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2944))))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3916), BUNSPEC);
							}
							return
								((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2944));
						}
					else
						{	/* Flop/walk.scm 155 */
							bool_t BgL_test2191z00_3926;

							{	/* Flop/walk.scm 155 */
								bool_t BgL_test2192z00_3927;

								{	/* Flop/walk.scm 155 */
									BgL_nodez00_bglt BgL_arg1735z00_3088;

									BgL_arg1735z00_3088 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->
										BgL_bodyz00);
									{	/* Flop/walk.scm 254 */
										bool_t BgL_test2193z00_3930;

										{	/* Flop/walk.scm 254 */
											obj_t BgL_classz00_3089;

											BgL_classz00_3089 = BGl_literalz00zzast_nodez00;
											{	/* Flop/walk.scm 254 */
												BgL_objectz00_bglt BgL_arg1801z00_3090;

												{	/* Flop/walk.scm 254 */
													obj_t BgL_tmpz00_3931;

													BgL_tmpz00_3931 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1735z00_3088));
													BgL_arg1801z00_3090 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3931);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Flop/walk.scm 254 */
														long BgL_idxz00_3091;

														BgL_idxz00_3091 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3090);
														BgL_test2193z00_3930 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3091 + 3L)) == BgL_classz00_3089);
													}
												else
													{	/* Flop/walk.scm 254 */
														bool_t BgL_res2061z00_3094;

														{	/* Flop/walk.scm 254 */
															obj_t BgL_oclassz00_3095;

															{	/* Flop/walk.scm 254 */
																long BgL_arg1808z00_3096;

																{	/* Flop/walk.scm 254 */
																	long BgL_arg1809z00_3097;

																	BgL_arg1809z00_3097 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3090);
																	BgL_arg1808z00_3096 =
																		(BgL_arg1809z00_3097 - OBJECT_TYPE);
																}
																BgL_oclassz00_3095 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_3096);
															}
															{	/* Flop/walk.scm 254 */
																bool_t BgL__ortest_1115z00_3098;

																BgL__ortest_1115z00_3098 =
																	(BgL_classz00_3089 == BgL_oclassz00_3095);
																if (BgL__ortest_1115z00_3098)
																	{	/* Flop/walk.scm 254 */
																		BgL_res2061z00_3094 =
																			BgL__ortest_1115z00_3098;
																	}
																else
																	{	/* Flop/walk.scm 254 */
																		long BgL_odepthz00_3099;

																		BgL_odepthz00_3099 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3095);
																		if ((3L < BgL_odepthz00_3099))
																			{	/* Flop/walk.scm 254 */
																				obj_t BgL_arg1797z00_3100;

																				BgL_arg1797z00_3100 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3095, 3L);
																				BgL_res2061z00_3094 =
																					(BgL_arg1797z00_3100 ==
																					BgL_classz00_3089);
																			}
																		else
																			{	/* Flop/walk.scm 254 */
																				BgL_res2061z00_3094 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2193z00_3930 = BgL_res2061z00_3094;
													}
											}
										}
										if (BgL_test2193z00_3930)
											{	/* Flop/walk.scm 254 */
												BgL_test2192z00_3927 =
													(
													(((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	((BgL_literalz00_bglt)
																		BgL_arg1735z00_3088))))->BgL_valuez00) ==
													BTRUE);
											}
										else
											{	/* Flop/walk.scm 254 */
												BgL_test2192z00_3927 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2192z00_3927)
									{	/* Flop/walk.scm 155 */
										BgL_test2191z00_3926 = ((bool_t) 1);
									}
								else
									{	/* Flop/walk.scm 155 */
										BgL_nodez00_bglt BgL_arg1734z00_3101;

										BgL_arg1734z00_3101 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->
											BgL_bodyz00);
										{	/* Flop/walk.scm 254 */
											bool_t BgL_test2197z00_3957;

											{	/* Flop/walk.scm 254 */
												obj_t BgL_classz00_3102;

												BgL_classz00_3102 = BGl_literalz00zzast_nodez00;
												{	/* Flop/walk.scm 254 */
													BgL_objectz00_bglt BgL_arg1801z00_3103;

													{	/* Flop/walk.scm 254 */
														obj_t BgL_tmpz00_3958;

														BgL_tmpz00_3958 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1734z00_3101));
														BgL_arg1801z00_3103 =
															(BgL_objectz00_bglt) (BgL_tmpz00_3958);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Flop/walk.scm 254 */
															long BgL_idxz00_3104;

															BgL_idxz00_3104 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3103);
															BgL_test2197z00_3957 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3104 + 3L)) == BgL_classz00_3102);
														}
													else
														{	/* Flop/walk.scm 254 */
															bool_t BgL_res2061z00_3107;

															{	/* Flop/walk.scm 254 */
																obj_t BgL_oclassz00_3108;

																{	/* Flop/walk.scm 254 */
																	long BgL_arg1808z00_3109;

																	{	/* Flop/walk.scm 254 */
																		long BgL_arg1809z00_3110;

																		BgL_arg1809z00_3110 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3103);
																		BgL_arg1808z00_3109 =
																			(BgL_arg1809z00_3110 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3108 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_3109);
																}
																{	/* Flop/walk.scm 254 */
																	bool_t BgL__ortest_1115z00_3111;

																	BgL__ortest_1115z00_3111 =
																		(BgL_classz00_3102 == BgL_oclassz00_3108);
																	if (BgL__ortest_1115z00_3111)
																		{	/* Flop/walk.scm 254 */
																			BgL_res2061z00_3107 =
																				BgL__ortest_1115z00_3111;
																		}
																	else
																		{	/* Flop/walk.scm 254 */
																			long BgL_odepthz00_3112;

																			BgL_odepthz00_3112 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3108);
																			if ((3L < BgL_odepthz00_3112))
																				{	/* Flop/walk.scm 254 */
																					obj_t BgL_arg1797z00_3113;

																					BgL_arg1797z00_3113 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3108, 3L);
																					BgL_res2061z00_3107 =
																						(BgL_arg1797z00_3113 ==
																						BgL_classz00_3102);
																				}
																			else
																				{	/* Flop/walk.scm 254 */
																					BgL_res2061z00_3107 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2197z00_3957 = BgL_res2061z00_3107;
														}
												}
											}
											if (BgL_test2197z00_3957)
												{	/* Flop/walk.scm 254 */
													BgL_test2191z00_3926 =
														(
														(((BgL_atomz00_bglt) COBJECT(
																	((BgL_atomz00_bglt)
																		((BgL_literalz00_bglt)
																			BgL_arg1734z00_3101))))->BgL_valuez00) ==
														BFALSE);
												}
											else
												{	/* Flop/walk.scm 254 */
													BgL_test2191z00_3926 = ((bool_t) 0);
												}
										}
									}
							}
							if (BgL_test2191z00_3926)
								{	/* Flop/walk.scm 156 */
									bool_t BgL_test2201z00_3982;

									{	/* Flop/walk.scm 156 */
										obj_t BgL_g1340z00_3114;

										BgL_g1340z00_3114 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->
											BgL_bindingsz00);
										{
											obj_t BgL_l1338z00_3116;

											BgL_l1338z00_3116 = BgL_g1340z00_3114;
										BgL_zc3z04anonymousza31731ze3z87_3115:
											if (NULLP(BgL_l1338z00_3116))
												{	/* Flop/walk.scm 156 */
													BgL_test2201z00_3982 = ((bool_t) 1);
												}
											else
												{	/* Flop/walk.scm 156 */
													bool_t BgL_test2203z00_3987;

													{	/* Flop/walk.scm 156 */
														bool_t BgL_test2204z00_3988;

														{	/* Flop/walk.scm 156 */
															obj_t BgL_arg1733z00_3117;

															{	/* Flop/walk.scm 156 */
																obj_t BgL_pairz00_3118;

																BgL_pairz00_3118 =
																	CAR(((obj_t) BgL_l1338z00_3116));
																BgL_arg1733z00_3117 = CDR(BgL_pairz00_3118);
															}
															BgL_test2204z00_3988 =
																BGl_sidezd2effectzf3z21zzeffect_effectz00(
																((BgL_nodez00_bglt) BgL_arg1733z00_3117));
														}
														if (BgL_test2204z00_3988)
															{	/* Flop/walk.scm 156 */
																BgL_test2203z00_3987 = ((bool_t) 0);
															}
														else
															{	/* Flop/walk.scm 156 */
																BgL_test2203z00_3987 = ((bool_t) 1);
															}
													}
													if (BgL_test2203z00_3987)
														{	/* Flop/walk.scm 156 */
															obj_t BgL_arg1732z00_3119;

															BgL_arg1732z00_3119 =
																CDR(((obj_t) BgL_l1338z00_3116));
															{
																obj_t BgL_l1338z00_3996;

																BgL_l1338z00_3996 = BgL_arg1732z00_3119;
																BgL_l1338z00_3116 = BgL_l1338z00_3996;
																goto BgL_zc3z04anonymousza31731ze3z87_3115;
															}
														}
													else
														{	/* Flop/walk.scm 156 */
															BgL_test2201z00_3982 = ((bool_t) 0);
														}
												}
										}
									}
									if (BgL_test2201z00_3982)
										{	/* Flop/walk.scm 156 */
											return
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2944)))->
												BgL_bodyz00);
										}
									else
										{	/* Flop/walk.scm 156 */
											return
												((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2944));
										}
								}
							else
								{	/* Flop/walk.scm 159 */
									obj_t BgL_g1129z00_3120;

									BgL_nodez00_3027 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2944);
									{	/* Flop/walk.scm 128 */
										bool_t BgL_test2205z00_4001;

										{	/* Flop/walk.scm 128 */
											bool_t BgL_test2206z00_4002;

											{	/* Flop/walk.scm 128 */
												obj_t BgL_tmpz00_4003;

												BgL_tmpz00_4003 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_3027))->
													BgL_bindingsz00);
												BgL_test2206z00_4002 = PAIRP(BgL_tmpz00_4003);
											}
											if (BgL_test2206z00_4002)
												{	/* Flop/walk.scm 128 */
													if (NULLP(CDR(
																(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_3027))->
																	BgL_bindingsz00))))
														{	/* Flop/walk.scm 130 */
															bool_t BgL_test2208z00_4010;

															{	/* Flop/walk.scm 130 */
																BgL_typez00_bglt BgL_arg1842z00_3028;

																{
																	BgL_variablez00_bglt BgL_auxz00_4011;

																	{
																		obj_t BgL_auxz00_4012;

																		{	/* Flop/walk.scm 130 */
																			obj_t BgL_pairz00_3029;

																			BgL_pairz00_3029 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_nodez00_3027))->
																				BgL_bindingsz00);
																			{	/* Flop/walk.scm 130 */
																				obj_t BgL_pairz00_3030;

																				BgL_pairz00_3030 =
																					CAR(BgL_pairz00_3029);
																				BgL_auxz00_4012 = CAR(BgL_pairz00_3030);
																			}
																		}
																		BgL_auxz00_4011 =
																			((BgL_variablez00_bglt) BgL_auxz00_4012);
																	}
																	BgL_arg1842z00_3028 =
																		(((BgL_variablez00_bglt)
																			COBJECT(BgL_auxz00_4011))->BgL_typez00);
																}
																BgL_test2208z00_4010 =
																	(
																	((obj_t) BgL_arg1842z00_3028) ==
																	BGl_za2boolza2z00zztype_cachez00);
															}
															if (BgL_test2208z00_4010)
																{	/* Flop/walk.scm 131 */
																	bool_t BgL_test2209z00_4020;

																	{	/* Flop/walk.scm 131 */
																		obj_t BgL_arg1840z00_3031;

																		{	/* Flop/walk.scm 131 */
																			obj_t BgL_pairz00_3032;

																			BgL_pairz00_3032 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_nodez00_3027))->
																				BgL_bindingsz00);
																			BgL_arg1840z00_3031 =
																				CDR(CAR(BgL_pairz00_3032));
																		}
																		{	/* Flop/walk.scm 131 */
																			obj_t BgL_classz00_3033;

																			BgL_classz00_3033 =
																				BGl_literalz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1840z00_3031))
																				{	/* Flop/walk.scm 131 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_3034;
																					BgL_arg1801z00_3034 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1840z00_3031);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Flop/walk.scm 131 */
																							long BgL_idxz00_3035;

																							BgL_idxz00_3035 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_3034);
																							BgL_test2209z00_4020 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3035 + 3L)) ==
																								BgL_classz00_3033);
																						}
																					else
																						{	/* Flop/walk.scm 131 */
																							bool_t BgL_res2076z00_3038;

																							{	/* Flop/walk.scm 131 */
																								obj_t BgL_oclassz00_3039;

																								{	/* Flop/walk.scm 131 */
																									long BgL_arg1808z00_3040;

																									{	/* Flop/walk.scm 131 */
																										long BgL_arg1809z00_3041;

																										BgL_arg1809z00_3041 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_3034);
																										BgL_arg1808z00_3040 =
																											(BgL_arg1809z00_3041 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3039 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_3040);
																								}
																								{	/* Flop/walk.scm 131 */
																									bool_t
																										BgL__ortest_1115z00_3042;
																									BgL__ortest_1115z00_3042 =
																										(BgL_classz00_3033 ==
																										BgL_oclassz00_3039);
																									if (BgL__ortest_1115z00_3042)
																										{	/* Flop/walk.scm 131 */
																											BgL_res2076z00_3038 =
																												BgL__ortest_1115z00_3042;
																										}
																									else
																										{	/* Flop/walk.scm 131 */
																											long BgL_odepthz00_3043;

																											BgL_odepthz00_3043 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_3039);
																											if ((3L <
																													BgL_odepthz00_3043))
																												{	/* Flop/walk.scm 131 */
																													obj_t
																														BgL_arg1797z00_3044;
																													BgL_arg1797z00_3044 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_3039,
																														3L);
																													BgL_res2076z00_3038 =
																														(BgL_arg1797z00_3044
																														==
																														BgL_classz00_3033);
																												}
																											else
																												{	/* Flop/walk.scm 131 */
																													BgL_res2076z00_3038 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2209z00_4020 =
																								BgL_res2076z00_3038;
																						}
																				}
																			else
																				{	/* Flop/walk.scm 131 */
																					BgL_test2209z00_4020 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2209z00_4020)
																		{	/* Flop/walk.scm 132 */
																			BgL_nodez00_bglt BgL_arg1839z00_3045;

																			BgL_arg1839z00_3045 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_nodez00_3027))->
																				BgL_bodyz00);
																			{	/* Flop/walk.scm 132 */
																				obj_t BgL_classz00_3046;

																				BgL_classz00_3046 =
																					BGl_conditionalz00zzast_nodez00;
																				{	/* Flop/walk.scm 132 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_3047;
																					{	/* Flop/walk.scm 132 */
																						obj_t BgL_tmpz00_4044;

																						BgL_tmpz00_4044 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg1839z00_3045));
																						BgL_arg1801z00_3047 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4044);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Flop/walk.scm 132 */
																							long BgL_idxz00_3048;

																							BgL_idxz00_3048 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_3047);
																							BgL_test2205z00_4001 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3048 + 3L)) ==
																								BgL_classz00_3046);
																						}
																					else
																						{	/* Flop/walk.scm 132 */
																							bool_t BgL_res2077z00_3051;

																							{	/* Flop/walk.scm 132 */
																								obj_t BgL_oclassz00_3052;

																								{	/* Flop/walk.scm 132 */
																									long BgL_arg1808z00_3053;

																									{	/* Flop/walk.scm 132 */
																										long BgL_arg1809z00_3054;

																										BgL_arg1809z00_3054 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_3047);
																										BgL_arg1808z00_3053 =
																											(BgL_arg1809z00_3054 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3052 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_3053);
																								}
																								{	/* Flop/walk.scm 132 */
																									bool_t
																										BgL__ortest_1115z00_3055;
																									BgL__ortest_1115z00_3055 =
																										(BgL_classz00_3046 ==
																										BgL_oclassz00_3052);
																									if (BgL__ortest_1115z00_3055)
																										{	/* Flop/walk.scm 132 */
																											BgL_res2077z00_3051 =
																												BgL__ortest_1115z00_3055;
																										}
																									else
																										{	/* Flop/walk.scm 132 */
																											long BgL_odepthz00_3056;

																											BgL_odepthz00_3056 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_3052);
																											if ((3L <
																													BgL_odepthz00_3056))
																												{	/* Flop/walk.scm 132 */
																													obj_t
																														BgL_arg1797z00_3057;
																													BgL_arg1797z00_3057 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_3052,
																														3L);
																													BgL_res2077z00_3051 =
																														(BgL_arg1797z00_3057
																														==
																														BgL_classz00_3046);
																												}
																											else
																												{	/* Flop/walk.scm 132 */
																													BgL_res2077z00_3051 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2205z00_4001 =
																								BgL_res2077z00_3051;
																						}
																				}
																			}
																		}
																	else
																		{	/* Flop/walk.scm 131 */
																			BgL_test2205z00_4001 = ((bool_t) 0);
																		}
																}
															else
																{	/* Flop/walk.scm 130 */
																	BgL_test2205z00_4001 = ((bool_t) 0);
																}
														}
													else
														{	/* Flop/walk.scm 129 */
															BgL_test2205z00_4001 = ((bool_t) 0);
														}
												}
											else
												{	/* Flop/walk.scm 128 */
													BgL_test2205z00_4001 = ((bool_t) 0);
												}
										}
										if (BgL_test2205z00_4001)
											{	/* Flop/walk.scm 133 */
												BgL_conditionalz00_bglt BgL_i1125z00_3058;

												BgL_i1125z00_3058 =
													((BgL_conditionalz00_bglt)
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_3027))->
														BgL_bodyz00));
												{	/* Flop/walk.scm 134 */
													bool_t BgL_test2217z00_4066;

													{	/* Flop/walk.scm 134 */
														BgL_nodez00_bglt BgL_arg1838z00_3059;

														BgL_arg1838z00_3059 =
															(((BgL_conditionalz00_bglt)
																COBJECT(BgL_i1125z00_3058))->BgL_testz00);
														{	/* Flop/walk.scm 134 */
															obj_t BgL_classz00_3060;

															BgL_classz00_3060 = BGl_refz00zzast_nodez00;
															{	/* Flop/walk.scm 134 */
																BgL_objectz00_bglt BgL_arg1801z00_3061;

																{	/* Flop/walk.scm 134 */
																	obj_t BgL_tmpz00_4068;

																	BgL_tmpz00_4068 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1838z00_3059));
																	BgL_arg1801z00_3061 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4068);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Flop/walk.scm 134 */
																		long BgL_idxz00_3062;

																		BgL_idxz00_3062 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1801z00_3061);
																		BgL_test2217z00_4066 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3062 + 3L)) ==
																			BgL_classz00_3060);
																	}
																else
																	{	/* Flop/walk.scm 134 */
																		bool_t BgL_res2078z00_3065;

																		{	/* Flop/walk.scm 134 */
																			obj_t BgL_oclassz00_3066;

																			{	/* Flop/walk.scm 134 */
																				long BgL_arg1808z00_3067;

																				{	/* Flop/walk.scm 134 */
																					long BgL_arg1809z00_3068;

																					BgL_arg1809z00_3068 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1801z00_3061);
																					BgL_arg1808z00_3067 =
																						(BgL_arg1809z00_3068 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3066 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1808z00_3067);
																			}
																			{	/* Flop/walk.scm 134 */
																				bool_t BgL__ortest_1115z00_3069;

																				BgL__ortest_1115z00_3069 =
																					(BgL_classz00_3060 ==
																					BgL_oclassz00_3066);
																				if (BgL__ortest_1115z00_3069)
																					{	/* Flop/walk.scm 134 */
																						BgL_res2078z00_3065 =
																							BgL__ortest_1115z00_3069;
																					}
																				else
																					{	/* Flop/walk.scm 134 */
																						long BgL_odepthz00_3070;

																						BgL_odepthz00_3070 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3066);
																						if ((3L < BgL_odepthz00_3070))
																							{	/* Flop/walk.scm 134 */
																								obj_t BgL_arg1797z00_3071;

																								BgL_arg1797z00_3071 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3066, 3L);
																								BgL_res2078z00_3065 =
																									(BgL_arg1797z00_3071 ==
																									BgL_classz00_3060);
																							}
																						else
																							{	/* Flop/walk.scm 134 */
																								BgL_res2078z00_3065 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2217z00_4066 = BgL_res2078z00_3065;
																	}
															}
														}
													}
													if (BgL_test2217z00_4066)
														{	/* Flop/walk.scm 136 */
															bool_t BgL_test2221z00_4088;

															{	/* Flop/walk.scm 136 */
																obj_t BgL_tmpz00_4089;

																{	/* Flop/walk.scm 136 */
																	obj_t BgL_pairz00_3072;

																	BgL_pairz00_3072 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_3027))->
																		BgL_bindingsz00);
																	BgL_tmpz00_4089 = CAR(CAR(BgL_pairz00_3072));
																}
																BgL_test2221z00_4088 =
																	(
																	((obj_t)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						((BgL_refz00_bglt)
																							(((BgL_conditionalz00_bglt)
																									COBJECT(BgL_i1125z00_3058))->
																								BgL_testz00)))))->
																			BgL_variablez00)) == BgL_tmpz00_4089);
															}
															if (BgL_test2221z00_4088)
																{	/* Flop/walk.scm 139 */
																	bool_t BgL_test2222z00_4099;

																	{	/* Flop/walk.scm 139 */
																		obj_t BgL_tmpz00_4100;

																		{
																			BgL_atomz00_bglt BgL_auxz00_4101;

																			{
																				BgL_literalz00_bglt BgL_auxz00_4102;

																				{	/* Flop/walk.scm 138 */
																					obj_t BgL_pairz00_3073;

																					BgL_pairz00_3073 =
																						(((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_nodez00_3027))->
																						BgL_bindingsz00);
																					{	/* Flop/walk.scm 138 */
																						obj_t BgL_pairz00_3074;

																						BgL_pairz00_3074 =
																							CAR(BgL_pairz00_3073);
																						BgL_auxz00_4102 =
																							((BgL_literalz00_bglt)
																							CDR(BgL_pairz00_3074));
																					}
																				}
																				BgL_auxz00_4101 =
																					((BgL_atomz00_bglt) BgL_auxz00_4102);
																			}
																			BgL_tmpz00_4100 =
																				(((BgL_atomz00_bglt)
																					COBJECT(BgL_auxz00_4101))->
																				BgL_valuez00);
																		}
																		BgL_test2222z00_4099 =
																			CBOOL(BgL_tmpz00_4100);
																	}
																	if (BgL_test2222z00_4099)
																		{	/* Flop/walk.scm 139 */
																			BgL_g1129z00_3120 =
																				((obj_t)
																				(((BgL_conditionalz00_bglt)
																						COBJECT(BgL_i1125z00_3058))->
																					BgL_truez00));
																		}
																	else
																		{	/* Flop/walk.scm 139 */
																			BgL_g1129z00_3120 =
																				((obj_t)
																				(((BgL_conditionalz00_bglt)
																						COBJECT(BgL_i1125z00_3058))->
																					BgL_falsez00));
																		}
																}
															else
																{	/* Flop/walk.scm 136 */
																	BgL_g1129z00_3120 = BFALSE;
																}
														}
													else
														{	/* Flop/walk.scm 134 */
															BgL_g1129z00_3120 = BFALSE;
														}
												}
											}
										else
											{	/* Flop/walk.scm 128 */
												BgL_g1129z00_3120 = BFALSE;
											}
									}
									if (CBOOL(BgL_g1129z00_3120))
										{	/* Flop/walk.scm 159 */
											return ((BgL_nodez00_bglt) BgL_g1129z00_3120);
										}
									else
										{	/* Flop/walk.scm 159 */
											return
												((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2944));
										}
								}
						}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2103z00zzflop_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
