/*===========================================================================*/
/*   (Llib/sqlite.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -srfi sqlite -unsafe -safee -copt -fPIC -copt -IPosix Llib/sqlite.scm -o objs/sqlite.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <sqlite3.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SQLITE_SQLITE_TYPE_DEFINITIONS
#define BGL___SQLITE_SQLITE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z42sqltinyz42_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z42versionz42;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   obj_t BgL_tablesz00;
   obj_t BgL_mutexz00;
   bool_t BgL_transactionz00;
} *BgL_z42sqltinyz42_bglt;

typedef struct BgL_sqlitez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   void * BgL_z42builtinz42;
} *BgL_sqlitez00_bglt;

typedef struct BgL_z52sqlitez52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
} *BgL_z52sqlitez52_bglt;

typedef struct BgL_sqltinyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   struct BgL_z42sqltinyz42_bgl * BgL_z42builtinz42;
} *BgL_sqltinyz00_bglt;


#endif // BGL___SQLITE_SQLITE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62sqlitezd2getzd2sqlite1489z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_for_each(void *, obj_t, char *, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32077ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_zc3z04exitza32113ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern void * bgl_sqlite_open(char *);
static BgL_z52sqlitez52_bglt BGl_z62lambda1865z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t, obj_t, long);
static obj_t BGl_zc3z04exitza32041ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2forzd2eachzd2sqli1497zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32101ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62lambda1872z62zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1873z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2eval1482zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1880z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1883z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32111ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1890z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static BgL_z42sqltinyz42_bglt BGl_z62lambda1897z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1898z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__sqlite_sqlitez00(obj_t);
extern obj_t BGl_z42sqltinyzd2forzd2eachz42zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2sqlit1469z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2table1502z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00(void);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt);
static obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2runzd2sqlite1501z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_sqlitez00zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2run1498zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32026ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00(void);
static obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32116ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31612ze32215ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2configzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62sqlitezd2getzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_eval(void *, obj_t, char *, obj_t);
static obj_t BGl_z62zc3z04anonymousza32142ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32098ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32029ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sqlitez52zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_zc3z04exitza32134ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32108ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2close1474zb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2get1486zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32062ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32036ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31601ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32152ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32039ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2map1490zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62sqlitezd2evalzd2sqlite1485z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32137ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2runzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32144ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32118ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31612ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62objectzd2printzd2sqlite1473z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32072ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32046ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32075ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2runzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2getz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzd2sqlite1493z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_exec(void *, char *, obj_t);
static obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32154ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2execzd2sqlite1481z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2forzd2each1494z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32082ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62zc3z04anonymousza32095ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2configzd2zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza32096ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sqltinyz00zz__sqlite_sqlitez00 = BUNSPEC;
extern obj_t bgl_sqlite_get(void *, obj_t, char *, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
extern obj_t BGl_z42sqltinyz42zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2closezd2sqlite1477z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
extern obj_t BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32139ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_sqlite_close(void *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31585ze32214ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32067ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62objectzd2writezd2sqlite1471z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32103ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1905z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_run(void *, char *, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1908z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2exec1478zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32031ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2forzd2eachz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2forzd2eachz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1505zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31585ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__sqlite_sqlitez00(obj_t, obj_t);
extern BgL_z42sqltinyz42_bglt BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_map(void *, obj_t, char *, obj_t);
static obj_t BGl_zc3z04exitza32149ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 40 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42sqlitezd2nilzd2envz42zz__sqlite_sqlitez00, BgL_bgl_za762za742sqliteza7d2n2419za7, BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2informationszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2420z00, BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2300z00zz__sqlite_sqlitez00, BgL_bgl_string2300za700za7za7_2421za7, "bstring", 7 );
DEFINE_STRING( BGl_string2301z00zz__sqlite_sqlitez00, BgL_bgl_string2301za700za7za7_2422za7, "SELECT MAX(rowid) FROM ~A", 25 );
DEFINE_STRING( BGl_string2303z00zz__sqlite_sqlitez00, BgL_bgl_string2303za700za7za7_2423za7, "&sqlite-table-number-of-rows", 28 );
DEFINE_STRING( BGl_string2305z00zz__sqlite_sqlitez00, BgL_bgl_string2305za700za7za7_2424za7, "&sqlite-table-name-of-columns", 29 );
DEFINE_STRING( BGl_string2307z00zz__sqlite_sqlitez00, BgL_bgl_string2307za700za7za7_2425za7, "SELECT name FROM sqlite_master WHERE type='table'", 49 );
DEFINE_STRING( BGl_string2308z00zz__sqlite_sqlitez00, BgL_bgl_string2308za700za7za7_2426za7, "&sqlite-name-of-tables", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2427za7, BGl_z62zc3z04anonymousza31601ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2310z00zz__sqlite_sqlitez00, BgL_bgl_string2310za700za7za7_2428za7, "&sqlite-dump", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2429za7, BGl_z62zc3z04anonymousza31585ze32214ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2311z00zz__sqlite_sqlitez00, BgL_bgl_string2311za700za7za7_2430za7, "output-port", 11 );
DEFINE_STRING( BGl_string2312z00zz__sqlite_sqlitez00, BgL_bgl_string2312za700za7za7_2431za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2432za7, BGl_z62zc3z04anonymousza31612ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2313z00zz__sqlite_sqlitez00, BgL_bgl_string2313za700za7za7_2433za7, "sqlite-form", 11 );
DEFINE_STRING( BGl_string2314z00zz__sqlite_sqlitez00, BgL_bgl_string2314za700za7za7_2434za7, "Illegal list", 12 );
DEFINE_STRING( BGl_string2315z00zz__sqlite_sqlitez00, BgL_bgl_string2315za700za7za7_2435za7, "sqlite-format", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2436za7, BGl_z62zc3z04anonymousza31612ze32215ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2316z00zz__sqlite_sqlitez00, BgL_bgl_string2316za700za7za7_2437za7, "Tag not allowd here", 19 );
DEFINE_STRING( BGl_string2317z00zz__sqlite_sqlitez00, BgL_bgl_string2317za700za7za7_2438za7, "Insufficient number of arguments", 32 );
DEFINE_STRING( BGl_string2318z00zz__sqlite_sqlitez00, BgL_bgl_string2318za700za7za7_2439za7, "Illegal char", 12 );
DEFINE_STRING( BGl_string2319z00zz__sqlite_sqlitez00, BgL_bgl_string2319za700za7za7_2440za7, "Illegal number", 14 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72441za7, va_generic_entry, BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2getza72442za7, va_generic_entry, BGl_z62sqlitezd2getzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2400z00zz__sqlite_sqlitez00, BgL_bgl_string2400za700za7za7_2443za7, "sqlite-run", 10 );
DEFINE_STRING( BGl_string2320z00zz__sqlite_sqlitez00, BgL_bgl_string2320za700za7za7_2444za7, "Illegal tag", 11 );
DEFINE_STRING( BGl_string2402z00zz__sqlite_sqlitez00, BgL_bgl_string2402za700za7za7_2445za7, "sqlite-dump-table", 17 );
DEFINE_STRING( BGl_string2321z00zz__sqlite_sqlitez00, BgL_bgl_string2321za700za7za7_2446za7, "#{", 2 );
DEFINE_STRING( BGl_string2403z00zz__sqlite_sqlitez00, BgL_bgl_string2403za700za7za7_2447za7, ".dump ", 6 );
DEFINE_STRING( BGl_string2322z00zz__sqlite_sqlitez00, BgL_bgl_string2322za700za7za7_2448za7, "}", 1 );
DEFINE_STRING( BGl_string2404z00zz__sqlite_sqlitez00, BgL_bgl_string2404za700za7za7_2449za7, ">", 1 );
DEFINE_STRING( BGl_string2323z00zz__sqlite_sqlitez00, BgL_bgl_string2323za700za7za7_2450za7, " ", 1 );
DEFINE_STRING( BGl_string2405z00zz__sqlite_sqlitez00, BgL_bgl_string2405za700za7za7_2451za7, "#<sqlite:", 9 );
DEFINE_STRING( BGl_string2324z00zz__sqlite_sqlitez00, BgL_bgl_string2324za700za7za7_2452za7, "#(", 2 );
DEFINE_STRING( BGl_string2406z00zz__sqlite_sqlitez00, BgL_bgl_string2406za700za7za7_2453za7, "__sqlite_sqlite", 15 );
DEFINE_STRING( BGl_string2325z00zz__sqlite_sqlitez00, BgL_bgl_string2325za700za7za7_2454za7, ")", 1 );
DEFINE_STRING( BGl_string2407z00zz__sqlite_sqlitez00, BgL_bgl_string2407za700za7za7_2455za7, "automatic _ sqlite $sqlite sqltiny $builtin symbol sync __sqlite_sqlite %sqlite bstring path SQLITE_CONFIG_MEMDB_MAXSIZE SQLITE_CONFIG_SORTERREF_SIZE SQLITE_CONFIG_SMALL_MALLOC SQLITE_CONFIG_STMTJRNL_SPILL SQLITE_CONFIG_PMASZ SQLITE_CONFIG_PCACHE_HDRSZ SQLITE_CONFIG_WIN32_HEAPSIZE SQLITE_CONFIG_MMAP_SIZE SQLITE_CONFIG_SQLLOG SQLITE_CONFIG_COVERING_INDEX_SCAN SQLITE_CONFIG_GETPCACHE2 SQLITE_CONFIG_PCACHE2 SQLITE_CONFIG_URI SQLITE_CONFIG_LOG SQLITE_CONFIG_GETPCACHE SQLITE_CONFIG_PCACHE SQLITE_CONFIG_LOOKASIDE SQLITE_CONFIG_GETMUTEX SQLITE_CONFIG_MUTEX SQLITE_CONFIG_MEMSTATUS SQLITE_CONFIG_HEAP SQLITE_CONFIG_PAGECACHE SQLITE_CONFIG_SCRATCH SQLITE_CONFIG_GETMALLOC SQLITE_CONFIG_MALLOC SQLITE_CONFIG_SERIALIZED SQLITE_CONFIG_SINGLETHREAD SQLITE_CONFIG_MULTITHREAD ", 768 );
DEFINE_STRING( BGl_string2326z00zz__sqlite_sqlitez00, BgL_bgl_string2326za700za7za7_2456za7, "(", 1 );
DEFINE_STRING( BGl_string2327z00zz__sqlite_sqlitez00, BgL_bgl_string2327za700za7za7_2457za7, " . ", 3 );
DEFINE_STRING( BGl_string2328z00zz__sqlite_sqlitez00, BgL_bgl_string2328za700za7za7_2458za7, "\"\"", 2 );
DEFINE_STRING( BGl_string2329z00zz__sqlite_sqlitez00, BgL_bgl_string2329za700za7za7_2459za7, "NULL", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2460z00, BGl_z62sqlitezd2dumpzd2tablezd2sq1505zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2330z00zz__sqlite_sqlitez00, BgL_bgl_string2330za700za7za7_2461za7, "&sqlite-format", 14 );
DEFINE_STRING( BGl_string2331z00zz__sqlite_sqlitez00, BgL_bgl_string2331za700za7za7_2462za7, "SELECT last_insert_rowid()", 26 );
DEFINE_STRING( BGl_string2332z00zz__sqlite_sqlitez00, BgL_bgl_string2332za700za7za7_2463za7, "&sqlite-last-insert-rowid", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2464za7, BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2465za7, BGl_z62zc3z04anonymousza31874ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1873za7622466z00, BGl_z62lambda1873z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1872za7622467z00, BGl_z62lambda1872z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2468za7, BGl_z62zc3z04anonymousza31867ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1865za7622469z00, BGl_z62lambda1865z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2470za7, BGl_z62zc3z04anonymousza31892ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1891za7622471z00, BGl_z62lambda1891z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1890za7622472z00, BGl_z62lambda1890z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2473za7, BGl_z62zc3z04anonymousza31899ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1898za7622474z00, BGl_z62lambda1898z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1897za7622475z00, BGl_z62lambda1897z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2476za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1883za7622477z00, BGl_z62lambda1883z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1880za7622478z00, BGl_z62lambda1880z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2353z00zz__sqlite_sqlitez00, BgL_bgl_string2353za700za7za7_2479za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2480za7, BGl_z62zc3z04anonymousza31917ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2354z00zz__sqlite_sqlitez00, BgL_bgl_string2354za700za7za7_2481za7, ":memory:", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1916za7622482z00, BGl_z62lambda1916z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1915za7622483z00, BGl_z62lambda1915z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2356z00zz__sqlite_sqlitez00, BgL_bgl_string2356za700za7za7_2484za7, "sqlite-close1474", 16 );
DEFINE_STRING( BGl_string2358z00zz__sqlite_sqlitez00, BgL_bgl_string2358za700za7za7_2485za7, "sqlite-exec1478", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2486za7, BGl_z62zc3z04anonymousza31910ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1908za7622487z00, BGl_z62lambda1908z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1905za7622488z00, BGl_z62lambda1905z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2360z00zz__sqlite_sqlitez00, BgL_bgl_string2360za700za7za7_2489za7, "sqlite-eval1482", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2490z00, BGl_z62sqlitezd2close1474zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2362z00zz__sqlite_sqlitez00, BgL_bgl_string2362za700za7za7_2491za7, "sqlite-get1486", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2492z00, va_generic_entry, BGl_z62sqlitezd2exec1478zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2364z00zz__sqlite_sqlitez00, BgL_bgl_string2364za700za7za7_2493za7, "sqlite-map1490", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2494z00, va_generic_entry, BGl_z62sqlitezd2eval1482zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2366z00zz__sqlite_sqlitez00, BgL_bgl_string2366za700za7za7_2495za7, "sqlite-for-each1494", 19 );
DEFINE_STRING( BGl_string2368z00zz__sqlite_sqlitez00, BgL_bgl_string2368za700za7za7_2496za7, "sqlite-run1498", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2configzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2conf2497z00, va_generic_entry, BGl_z62sqlitezd2configzb0zz__sqlite_sqlitez00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string2289z00zz__sqlite_sqlitez00, BgL_bgl_string2289za700za7za7_2498za7, "/builddir/build/BUILD/bigloo-4.5b/api/sqlite/src/Llib/sqlite.scm", 64 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2get12499z00, va_generic_entry, BGl_z62sqlitezd2get1486zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2map12500z00, va_generic_entry, BGl_z62sqlitezd2map1490zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2370z00zz__sqlite_sqlitez00, BgL_bgl_string2370za700za7za7_2501za7, "sqlite-dump-table1502", 21 );
DEFINE_STRING( BGl_string2371z00zz__sqlite_sqlitez00, BgL_bgl_string2371za700za7za7_2502za7, "sqlite-for-each", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2forza72503za7, va_generic_entry, BGl_z62sqlitezd2forzd2each1494z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2290z00zz__sqlite_sqlitez00, BgL_bgl_string2290za700za7za7_2504za7, "&%setup-sqlite!", 15 );
DEFINE_STRING( BGl_string2372z00zz__sqlite_sqlitez00, BgL_bgl_string2372za700za7za7_2505za7, "wrong callback arity", 20 );
DEFINE_STRING( BGl_string2291z00zz__sqlite_sqlitez00, BgL_bgl_string2291za700za7za7_2506za7, "sqlite", 6 );
DEFINE_STRING( BGl_string2373z00zz__sqlite_sqlitez00, BgL_bgl_string2373za700za7za7_2507za7, "sqlite-get", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2367z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2run12508z00, va_generic_entry, BGl_z62sqlitezd2run1498zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2292z00zz__sqlite_sqlitez00, BgL_bgl_string2292za700za7za7_2509za7, "&%setup-sqltiny!", 16 );
DEFINE_STRING( BGl_string2374z00zz__sqlite_sqlitez00, BgL_bgl_string2374za700za7za7_2510za7, "&sqlite-close", 13 );
DEFINE_STRING( BGl_string2293z00zz__sqlite_sqlitez00, BgL_bgl_string2293za700za7za7_2511za7, "sqltiny", 7 );
DEFINE_STRING( BGl_string2375z00zz__sqlite_sqlitez00, BgL_bgl_string2375za700za7za7_2512za7, "&sqlite-exec", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2513z00, BGl_z62sqlitezd2dumpzd2table1502z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2294z00zz__sqlite_sqlitez00, BgL_bgl_string2294za700za7za7_2514za7, "sqlite-config", 13 );
DEFINE_STRING( BGl_string2376z00zz__sqlite_sqlitez00, BgL_bgl_string2376za700za7za7_2515za7, "&sqlite-eval", 12 );
DEFINE_STRING( BGl_string2295z00zz__sqlite_sqlitez00, BgL_bgl_string2295za700za7za7_2516za7, "illegal configuration", 21 );
DEFINE_STRING( BGl_string2377z00zz__sqlite_sqlitez00, BgL_bgl_string2377za700za7za7_2517za7, "procedure", 9 );
DEFINE_STRING( BGl_string2296z00zz__sqlite_sqlitez00, BgL_bgl_string2296za700za7za7_2518za7, "PRAGMA table_info(~a)", 21 );
DEFINE_STRING( BGl_string2378z00zz__sqlite_sqlitez00, BgL_bgl_string2378za700za7za7_2519za7, "&sqlite-get", 11 );
DEFINE_STRING( BGl_string2379z00zz__sqlite_sqlitez00, BgL_bgl_string2379za700za7za7_2520za7, "&sqlite-map", 11 );
DEFINE_STRING( BGl_string2298z00zz__sqlite_sqlitez00, BgL_bgl_string2298za700za7za7_2521za7, "&sqlite-table-informations", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2522za7, BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2299z00zz__sqlite_sqlitez00, BgL_bgl_string2299za700za7za7_2523za7, "%sqlite", 7 );
DEFINE_STRING( BGl_string2380z00zz__sqlite_sqlitez00, BgL_bgl_string2380za700za7za7_2524za7, "&sqlite-for-each", 16 );
DEFINE_STRING( BGl_string2381z00zz__sqlite_sqlitez00, BgL_bgl_string2381za700za7za7_2525za7, "&sqlite-run", 11 );
DEFINE_STRING( BGl_string2382z00zz__sqlite_sqlitez00, BgL_bgl_string2382za700za7za7_2526za7, "&sqlite-dump-table", 18 );
DEFINE_STRING( BGl_string2384z00zz__sqlite_sqlitez00, BgL_bgl_string2384za700za7za7_2527za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2528za7, BGl_z62zc3z04anonymousza31585ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2386z00zz__sqlite_sqlitez00, BgL_bgl_string2386za700za7za7_2529za7, "object-write", 12 );
DEFINE_STRING( BGl_string2388z00zz__sqlite_sqlitez00, BgL_bgl_string2388za700za7za7_2530za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2disp2531z00, va_generic_entry, BGl_z62objectzd2displayzd2sqlit1469z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string2390z00zz__sqlite_sqlitez00, BgL_bgl_string2390za700za7za7_2532za7, "sqlite-close", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2writ2533z00, va_generic_entry, BGl_z62objectzd2writezd2sqlite1471z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string2392z00zz__sqlite_sqlitez00, BgL_bgl_string2392za700za7za7_2534za7, "sqlite-exec", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2prin2535z00, BGl_z62objectzd2printzd2sqlite1473z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2394z00zz__sqlite_sqlitez00, BgL_bgl_string2394za700za7za7_2536za7, "sqlite-eval", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2537z00, BGl_z62sqlitezd2closezd2sqlite1477z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2397z00zz__sqlite_sqlitez00, BgL_bgl_string2397za700za7za7_2538za7, "sqlite-map", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2539z00, va_generic_entry, BGl_z62sqlitezd2execzd2sqlite1481z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2540z00, va_generic_entry, BGl_z62sqlitezd2evalzd2sqlite1485z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2getza72541za7, va_generic_entry, BGl_z62sqlitezd2getzd2sqlite1489z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72542za7, va_generic_entry, BGl_z62sqlitezd2mapzd2sqlite1493z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2forza72543za7, va_generic_entry, BGl_z62sqlitezd2forzd2eachzd2sqli1497zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2runza72544za7, va_generic_entry, BGl_z62sqlitezd2runzd2sqlite1501z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2forza72545za7, va_generic_entry, BGl_z62sqlitezd2forzd2eachz62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2546z00, va_generic_entry, BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2lastzd2insertzd2rowidzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2last2547z00, BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2dumpzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2548z00, BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2549z00, va_generic_entry, BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2form2550z00, va_generic_entry, BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2551z00, BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2namezd2ofzd2columnszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2552z00, BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2553z00, BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2namezd2ofzd2tableszd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2name2554z00, BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2numberzd2ofzd2rowszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2555z00, BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2runza72556za7, va_generic_entry, BGl_z62sqlitezd2runzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqlitez00zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_z52sqlitez52zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqltinyz00zz__sqlite_sqlitez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long BgL_checksumz00_3228, char * BgL_fromz00_3229)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00))
{ 
BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(); 
BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_cnstzd2initzd2zz__sqlite_sqlitez00(); 
BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_objectzd2initzd2zz__sqlite_sqlitez00(); 
BGl_genericzd2initzd2zz__sqlite_sqlitez00(); 
BGl_methodzd2initzd2zz__sqlite_sqlitez00(); 
return 
BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__structurez00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__datez00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__sqlite_sqlite"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_cportz00_2526;
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_stringz00_2533;
BgL_stringz00_2533 = BGl_string2407z00zz__sqlite_sqlitez00; 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_startz00_2534;
BgL_startz00_2534 = 
BINT(0L); 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_endz00_2535;
BgL_endz00_2535 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2533))); 
{ /* Llib/sqlite.scm 15 */

BgL_cportz00_2526 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2533, BgL_startz00_2534, BgL_endz00_2535); } } } } 
{ 
 long BgL_iz00_2527;
BgL_iz00_2527 = 39L; 
BgL_loopz00_2528:
if(
(BgL_iz00_2527==-1L))
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_arg2408z00_2529;
{ /* Llib/sqlite.scm 15 */

{ /* Llib/sqlite.scm 15 */
 obj_t BgL_locationz00_2531;
BgL_locationz00_2531 = 
BBOOL(((bool_t)0)); 
{ /* Llib/sqlite.scm 15 */

BgL_arg2408z00_2529 = 
BGl_readz00zz__readerz00(BgL_cportz00_2526, BgL_locationz00_2531); } } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_tmpz00_3269;
BgL_tmpz00_3269 = 
(int)(BgL_iz00_2527); 
CNST_TABLE_SET(BgL_tmpz00_3269, BgL_arg2408z00_2529); } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_auxz00_2532;
BgL_auxz00_2532 = 
(int)(
(BgL_iz00_2527-1L)); 
{ 
 long BgL_iz00_3274;
BgL_iz00_3274 = 
(long)(BgL_auxz00_2532); 
BgL_iz00_2527 = BgL_iz00_3274; 
goto BgL_loopz00_2528;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;} 

}



/* $sqlite-nil */
BGL_EXPORTED_DEF obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 71 */
return 
void_star_to_obj(
(0L));} 

}



/* &$sqlite-nil */
obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t BgL_envz00_1905)
{
{ /* Llib/sqlite.scm 71 */
return 
BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();} 

}



/* %setup-sqlite! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_10)
{
{ /* Llib/sqlite.scm 101 */
{ 
 void * BgL_auxz00_3280;
{ /* Llib/sqlite.scm 105 */
 obj_t BgL_arg1532z00_1208;
BgL_arg1532z00_1208 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_10)))->BgL_pathz00); 
BgL_auxz00_3280 = 
bgl_sqlite_open(
BSTRING_TO_STRING(BgL_arg1532z00_1208)); } 
return 
((((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42)=((void *)BgL_auxz00_3280),BUNSPEC);} } 

}



/* &%setup-sqlite! */
obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1906, obj_t BgL_oz00_1907)
{
{ /* Llib/sqlite.scm 101 */
{ /* Llib/sqlite.scm 104 */
 BgL_sqlitez00_bglt BgL_auxz00_3286;
{ /* Llib/sqlite.scm 104 */
 bool_t BgL_test2559z00_3287;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_classz00_2537;
BgL_classz00_2537 = BGl_sqlitez00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1907))
{ /* Llib/sqlite.scm 104 */
 BgL_objectz00_bglt BgL_arg1780z00_2539; long BgL_arg1781z00_2540;
BgL_arg1780z00_2539 = 
(BgL_objectz00_bglt)(BgL_oz00_1907); 
BgL_arg1781z00_2540 = 
BGL_CLASS_DEPTH(BgL_classz00_2537); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 104 */
 long BgL_idxz00_2548;
BgL_idxz00_2548 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2539); 
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1773z00_2549;
{ /* Llib/sqlite.scm 104 */
 long BgL_arg1774z00_2550;
BgL_arg1774z00_2550 = 
(BgL_idxz00_2548+BgL_arg1781z00_2540); 
BgL_arg1773z00_2549 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2550); } 
BgL_test2559z00_3287 = 
(BgL_arg1773z00_2549==BgL_classz00_2537); } }  else 
{ /* Llib/sqlite.scm 104 */
 bool_t BgL_res2409z00_2573;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_oclassz00_2558;
{ /* Llib/sqlite.scm 104 */
 long BgL_arg1785z00_2564;
{ /* Llib/sqlite.scm 104 */
 long BgL_arg1786z00_2565;
BgL_arg1786z00_2565 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2539); 
BgL_arg1785z00_2564 = 
(BgL_arg1786z00_2565-OBJECT_TYPE); } 
BgL_oclassz00_2558 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2564); } 
{ /* Llib/sqlite.scm 104 */
 bool_t BgL__ortest_1114z00_2559;
BgL__ortest_1114z00_2559 = 
(BgL_classz00_2537==BgL_oclassz00_2558); 
if(BgL__ortest_1114z00_2559)
{ /* Llib/sqlite.scm 104 */
BgL_res2409z00_2573 = BgL__ortest_1114z00_2559; }  else 
{ /* Llib/sqlite.scm 104 */
 long BgL_odepthz00_2560;
BgL_odepthz00_2560 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2558); 
if(
(BgL_arg1781z00_2540<BgL_odepthz00_2560))
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1775z00_2562;
BgL_arg1775z00_2562 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2558, BgL_arg1781z00_2540); 
BgL_res2409z00_2573 = 
(BgL_arg1775z00_2562==BgL_classz00_2537); }  else 
{ /* Llib/sqlite.scm 104 */
BgL_res2409z00_2573 = ((bool_t)0); } } } } 
BgL_test2559z00_3287 = BgL_res2409z00_2573; } }  else 
{ /* Llib/sqlite.scm 104 */
BgL_test2559z00_3287 = ((bool_t)0)
; } } 
if(BgL_test2559z00_3287)
{ /* Llib/sqlite.scm 104 */
BgL_auxz00_3286 = 
((BgL_sqlitez00_bglt)BgL_oz00_1907)
; }  else 
{ 
 obj_t BgL_auxz00_3309;
BgL_auxz00_3309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(4431L), BGl_string2290z00zz__sqlite_sqlitez00, BGl_string2291z00zz__sqlite_sqlitez00, BgL_oz00_1907); 
FAILURE(BgL_auxz00_3309,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_auxz00_3286);} } 

}



/* %setup-sqltiny! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt BgL_oz00_11)
{
{ /* Llib/sqlite.scm 113 */
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_3314;
{ /* Llib/sqlite.scm 115 */
 obj_t BgL_arg1533z00_1210; obj_t BgL_arg1544z00_1211;
BgL_arg1533z00_1210 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_11)))->BgL_pathz00); 
BgL_arg1544z00_1211 = 
(((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_syncz00); 
BgL_auxz00_3314 = 
BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(BgL_arg1533z00_1210, BgL_arg1544z00_1211); } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_3314),BUNSPEC);} } 

}



/* &%setup-sqltiny! */
obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1908, obj_t BgL_oz00_1909)
{
{ /* Llib/sqlite.scm 113 */
{ /* Llib/sqlite.scm 114 */
 BgL_sqltinyz00_bglt BgL_auxz00_3320;
{ /* Llib/sqlite.scm 114 */
 bool_t BgL_test2564z00_3321;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_classz00_2574;
BgL_classz00_2574 = BGl_sqltinyz00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1909))
{ /* Llib/sqlite.scm 114 */
 BgL_objectz00_bglt BgL_arg1780z00_2576; long BgL_arg1781z00_2577;
BgL_arg1780z00_2576 = 
(BgL_objectz00_bglt)(BgL_oz00_1909); 
BgL_arg1781z00_2577 = 
BGL_CLASS_DEPTH(BgL_classz00_2574); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 114 */
 long BgL_idxz00_2585;
BgL_idxz00_2585 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2576); 
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1773z00_2586;
{ /* Llib/sqlite.scm 114 */
 long BgL_arg1774z00_2587;
BgL_arg1774z00_2587 = 
(BgL_idxz00_2585+BgL_arg1781z00_2577); 
BgL_arg1773z00_2586 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2587); } 
BgL_test2564z00_3321 = 
(BgL_arg1773z00_2586==BgL_classz00_2574); } }  else 
{ /* Llib/sqlite.scm 114 */
 bool_t BgL_res2410z00_2610;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_oclassz00_2595;
{ /* Llib/sqlite.scm 114 */
 long BgL_arg1785z00_2601;
{ /* Llib/sqlite.scm 114 */
 long BgL_arg1786z00_2602;
BgL_arg1786z00_2602 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2576); 
BgL_arg1785z00_2601 = 
(BgL_arg1786z00_2602-OBJECT_TYPE); } 
BgL_oclassz00_2595 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2601); } 
{ /* Llib/sqlite.scm 114 */
 bool_t BgL__ortest_1114z00_2596;
BgL__ortest_1114z00_2596 = 
(BgL_classz00_2574==BgL_oclassz00_2595); 
if(BgL__ortest_1114z00_2596)
{ /* Llib/sqlite.scm 114 */
BgL_res2410z00_2610 = BgL__ortest_1114z00_2596; }  else 
{ /* Llib/sqlite.scm 114 */
 long BgL_odepthz00_2597;
BgL_odepthz00_2597 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2595); 
if(
(BgL_arg1781z00_2577<BgL_odepthz00_2597))
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1775z00_2599;
BgL_arg1775z00_2599 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2595, BgL_arg1781z00_2577); 
BgL_res2410z00_2610 = 
(BgL_arg1775z00_2599==BgL_classz00_2574); }  else 
{ /* Llib/sqlite.scm 114 */
BgL_res2410z00_2610 = ((bool_t)0); } } } } 
BgL_test2564z00_3321 = BgL_res2410z00_2610; } }  else 
{ /* Llib/sqlite.scm 114 */
BgL_test2564z00_3321 = ((bool_t)0)
; } } 
if(BgL_test2564z00_3321)
{ /* Llib/sqlite.scm 114 */
BgL_auxz00_3320 = 
((BgL_sqltinyz00_bglt)BgL_oz00_1909)
; }  else 
{ 
 obj_t BgL_auxz00_3343;
BgL_auxz00_3343 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(4886L), BGl_string2292z00zz__sqlite_sqlitez00, BGl_string2293z00zz__sqlite_sqlitez00, BgL_oz00_1909); 
FAILURE(BgL_auxz00_3343,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_auxz00_3320);} } 

}



/* sqlite-config */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2configzd2zz__sqlite_sqlitez00(obj_t BgL_argsz00_12)
{
{ /* Llib/sqlite.scm 120 */
{ 
 obj_t BgL_l1457z00_91;
{ /* Llib/sqlite.scm 123 */
 bool_t BgL_tmpz00_3348;
BgL_l1457z00_91 = BgL_argsz00_12; 
BgL_zc3z04anonymousza31545ze3z87_92:
if(
PAIRP(BgL_l1457z00_91))
{ /* Llib/sqlite.scm 123 */
{ /* Llib/sqlite.scm 124 */
 obj_t BgL_argz00_94;
BgL_argz00_94 = 
CAR(BgL_l1457z00_91); 
{ /* Llib/sqlite.scm 124 */
 obj_t BgL_cfgz00_95;
if(
(BgL_argz00_94==
CNST_TABLE_REF(0L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MULTITHREAD); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(1L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_SINGLETHREAD); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(0L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MULTITHREAD); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(2L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_SERIALIZED); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(3L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MALLOC); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(4L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_GETMALLOC); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(5L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_SCRATCH); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(6L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_PAGECACHE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(7L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_HEAP); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(8L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MEMSTATUS); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(9L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MUTEX); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(10L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_GETMUTEX); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(11L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_LOOKASIDE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(12L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_PCACHE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(13L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_GETPCACHE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(14L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_LOG); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(15L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_URI); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(16L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_PCACHE2); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(17L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_GETPCACHE2); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(18L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_COVERING_INDEX_SCAN); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(19L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_SQLLOG); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(20L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MMAP_SIZE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(21L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_WIN32_HEAPSIZE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(22L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_PCACHE_HDRSZ); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(23L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_PMASZ); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(24L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_STMTJRNL_SPILL); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(25L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_SMALL_MALLOC); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(26L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_SORTERREF_SIZE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_94==
CNST_TABLE_REF(27L)))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BINT(SQLITE_CONFIG_MEMDB_MAXSIZE); }  else 
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_95 = 
BGl_errorz00zz__errorz00(BGl_string2294z00zz__sqlite_sqlitez00, BGl_string2295z00zz__sqlite_sqlitez00, BgL_argz00_94); } } } } } } } } } } } } } } } } } } } } } } } } } } } } } 
{ /* Llib/sqlite.scm 156 */
 int BgL_tmpz00_3469;
BgL_tmpz00_3469 = 
CINT(BgL_cfgz00_95); 
sqlite3_config(BgL_tmpz00_3469); } } } 
{ 
 obj_t BgL_l1457z00_3472;
BgL_l1457z00_3472 = 
CDR(BgL_l1457z00_91); 
BgL_l1457z00_91 = BgL_l1457z00_3472; 
goto BgL_zc3z04anonymousza31545ze3z87_92;} }  else 
{ /* Llib/sqlite.scm 123 */
BgL_tmpz00_3348 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3348);} } } 

}



/* &sqlite-config */
obj_t BGl_z62sqlitezd2configzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1910, obj_t BgL_argsz00_1911)
{
{ /* Llib/sqlite.scm 120 */
return 
BGl_sqlitezd2configzd2zz__sqlite_sqlitez00(BgL_argsz00_1911);} 

}



/* sqlite-table-informations */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_59, obj_t BgL_namez00_60)
{
{ /* Llib/sqlite.scm 323 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_arg1583z00_1243;
{ /* Llib/sqlite.scm 326 */
 obj_t BgL_list1586z00_1244;
BgL_list1586z00_1244 = 
MAKE_YOUNG_PAIR(BgL_namez00_60, BNIL); 
BgL_arg1583z00_1243 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2296z00zz__sqlite_sqlitez00, BgL_list1586z00_1244); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_59, BGl_proc2297z00zz__sqlite_sqlitez00, BgL_arg1583z00_1243, BNIL);} } 

}



/* &sqlite-table-informations */
obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1913, obj_t BgL_dbz00_1914, obj_t BgL_namez00_1915)
{
{ /* Llib/sqlite.scm 323 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_auxz00_3487; BgL_z52sqlitez52_bglt BgL_auxz00_3479;
if(
STRINGP(BgL_namez00_1915))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3487 = BgL_namez00_1915
; }  else 
{ 
 obj_t BgL_auxz00_3490;
BgL_auxz00_3490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2298z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_namez00_1915); 
FAILURE(BgL_auxz00_3490,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1914, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3479 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1914)
; }  else 
{ 
 obj_t BgL_auxz00_3483;
BgL_auxz00_3483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2298z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_1914); 
FAILURE(BgL_auxz00_3483,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_auxz00_3479, BgL_auxz00_3487);} } 

}



/* &<@anonymous:1585> */
obj_t BGl_z62zc3z04anonymousza31585ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1916, obj_t BgL_xz00_1917, obj_t BgL_yz00_1918)
{
{ /* Llib/sqlite.scm 325 */
return BgL_yz00_1918;} 

}



/* sqlite-table-number-of-rows */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_61, obj_t BgL_namez00_62)
{
{ /* Llib/sqlite.scm 331 */
{ /* Llib/sqlite.scm 333 */
 obj_t BgL_arg1599z00_138;
{ /* Llib/sqlite.scm 337 */
 obj_t BgL_list1603z00_143;
BgL_list1603z00_143 = 
MAKE_YOUNG_PAIR(BgL_namez00_62, BNIL); 
BgL_arg1599z00_138 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2301z00zz__sqlite_sqlitez00, BgL_list1603z00_143); } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_dbz00_61, BGl_proc2302z00zz__sqlite_sqlitez00, BgL_arg1599z00_138, BNIL);} } 

}



/* &sqlite-table-number-of-rows */
obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1920, obj_t BgL_dbz00_1921, obj_t BgL_namez00_1922)
{
{ /* Llib/sqlite.scm 331 */
{ /* Llib/sqlite.scm 333 */
 obj_t BgL_auxz00_3506; BgL_z52sqlitez52_bglt BgL_auxz00_3498;
if(
STRINGP(BgL_namez00_1922))
{ /* Llib/sqlite.scm 333 */
BgL_auxz00_3506 = BgL_namez00_1922
; }  else 
{ 
 obj_t BgL_auxz00_3509;
BgL_auxz00_3509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(14333L), BGl_string2303z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_namez00_1922); 
FAILURE(BgL_auxz00_3509,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1921, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 333 */
BgL_auxz00_3498 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1921)
; }  else 
{ 
 obj_t BgL_auxz00_3502;
BgL_auxz00_3502 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(14333L), BGl_string2303z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_1921); 
FAILURE(BgL_auxz00_3502,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_auxz00_3498, BgL_auxz00_3506);} } 

}



/* &<@anonymous:1601> */
obj_t BGl_z62zc3z04anonymousza31601ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1923, obj_t BgL_xz00_1924)
{
{ /* Llib/sqlite.scm 333 */
{ /* Llib/sqlite.scm 334 */
 long BgL_tmpz00_3514;
if(
STRINGP(BgL_xz00_1924))
{ /* Llib/sqlite.scm 335 */
 char * BgL_tmpz00_3517;
BgL_tmpz00_3517 = 
BSTRING_TO_STRING(BgL_xz00_1924); 
BgL_tmpz00_3514 = 
BGL_STRTOL(BgL_tmpz00_3517, 0L, 10L); }  else 
{ /* Llib/sqlite.scm 334 */
BgL_tmpz00_3514 = 0L
; } 
return 
BINT(BgL_tmpz00_3514);} } 

}



/* sqlite-table-name-of-columns */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_63, obj_t BgL_namez00_64)
{
{ /* Llib/sqlite.scm 342 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_arg1583z00_1252;
{ /* Llib/sqlite.scm 326 */
 obj_t BgL_list1586z00_1253;
BgL_list1586z00_1253 = 
MAKE_YOUNG_PAIR(BgL_namez00_64, BNIL); 
BgL_arg1583z00_1252 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2296z00zz__sqlite_sqlitez00, BgL_list1586z00_1253); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_63, BGl_proc2304z00zz__sqlite_sqlitez00, BgL_arg1583z00_1252, BNIL);} } 

}



/* &sqlite-table-name-of-columns */
obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1926, obj_t BgL_dbz00_1927, obj_t BgL_namez00_1928)
{
{ /* Llib/sqlite.scm 342 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_auxz00_3532; BgL_z52sqlitez52_bglt BgL_auxz00_3524;
if(
STRINGP(BgL_namez00_1928))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3532 = BgL_namez00_1928
; }  else 
{ 
 obj_t BgL_auxz00_3535;
BgL_auxz00_3535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2305z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_namez00_1928); 
FAILURE(BgL_auxz00_3535,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1927, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3524 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1927)
; }  else 
{ 
 obj_t BgL_auxz00_3528;
BgL_auxz00_3528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2305z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_1927); 
FAILURE(BgL_auxz00_3528,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_auxz00_3524, BgL_auxz00_3532);} } 

}



/* &<@anonymous:1585>2214 */
obj_t BGl_z62zc3z04anonymousza31585ze32214ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1929, obj_t BgL_xz00_1930, obj_t BgL_yz00_1931)
{
{ /* Llib/sqlite.scm 325 */
return BgL_yz00_1931;} 

}



/* sqlite-name-of-tables */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_65)
{
{ /* Llib/sqlite.scm 348 */
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_65, BGl_proc2306z00zz__sqlite_sqlitez00, BGl_string2307z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-name-of-tables */
obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1933, obj_t BgL_dbz00_1934)
{
{ /* Llib/sqlite.scm 348 */
{ /* Llib/sqlite.scm 350 */
 BgL_z52sqlitez52_bglt BgL_auxz00_3541;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1934, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 350 */
BgL_auxz00_3541 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1934)
; }  else 
{ 
 obj_t BgL_auxz00_3545;
BgL_auxz00_3545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(15041L), BGl_string2308z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_1934); 
FAILURE(BgL_auxz00_3545,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_auxz00_3541);} } 

}



/* &<@anonymous:1612> */
obj_t BGl_z62zc3z04anonymousza31612ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1935, obj_t BgL_xz00_1936)
{
{ /* Llib/sqlite.scm 350 */
return BgL_xz00_1936;} 

}



/* sqlite-dump */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_66, obj_t BgL_outz00_67)
{
{ /* Llib/sqlite.scm 356 */
{ /* Llib/sqlite.scm 357 */
 obj_t BgL_g1461z00_150;
BgL_g1461z00_150 = 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_66, BGl_proc2309z00zz__sqlite_sqlitez00, BGl_string2307z00zz__sqlite_sqlitez00, BNIL); 
{ 
 obj_t BgL_l1459z00_152;
{ /* Llib/sqlite.scm 359 */
 bool_t BgL_tmpz00_3551;
BgL_l1459z00_152 = BgL_g1461z00_150; 
BgL_zc3z04anonymousza31613ze3z87_153:
if(
PAIRP(BgL_l1459z00_152))
{ /* Llib/sqlite.scm 359 */
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_dbz00_66, 
CAR(BgL_l1459z00_152), BgL_outz00_67); 
{ 
 obj_t BgL_l1459z00_3556;
BgL_l1459z00_3556 = 
CDR(BgL_l1459z00_152); 
BgL_l1459z00_152 = BgL_l1459z00_3556; 
goto BgL_zc3z04anonymousza31613ze3z87_153;} }  else 
{ /* Llib/sqlite.scm 359 */
BgL_tmpz00_3551 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3551);} } } } 

}



/* &sqlite-dump */
obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1938, obj_t BgL_dbz00_1939, obj_t BgL_outz00_1940)
{
{ /* Llib/sqlite.scm 356 */
{ /* Llib/sqlite.scm 357 */
 obj_t BgL_auxz00_3567; BgL_z52sqlitez52_bglt BgL_auxz00_3559;
if(
OUTPUT_PORTP(BgL_outz00_1940))
{ /* Llib/sqlite.scm 357 */
BgL_auxz00_3567 = BgL_outz00_1940
; }  else 
{ 
 obj_t BgL_auxz00_3570;
BgL_auxz00_3570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(15393L), BGl_string2310z00zz__sqlite_sqlitez00, BGl_string2311z00zz__sqlite_sqlitez00, BgL_outz00_1940); 
FAILURE(BgL_auxz00_3570,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1939, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 357 */
BgL_auxz00_3559 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1939)
; }  else 
{ 
 obj_t BgL_auxz00_3563;
BgL_auxz00_3563 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(15393L), BGl_string2310z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_1939); 
FAILURE(BgL_auxz00_3563,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_auxz00_3559, BgL_auxz00_3567);} } 

}



/* &<@anonymous:1612>2215 */
obj_t BGl_z62zc3z04anonymousza31612ze32215ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1941, obj_t BgL_xz00_1942)
{
{ /* Llib/sqlite.scm 350 */
return BgL_xz00_1942;} 

}



/* sqlite-format */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t BgL_fmtz00_74, obj_t BgL_objsz00_75)
{
{ /* Llib/sqlite.scm 377 */
{ /* Llib/sqlite.scm 378 */
 obj_t BgL_pz00_158; long BgL_lenz00_159;
{ /* Llib/sqlite.scm 378 */

{ /* Llib/sqlite.scm 378 */

BgL_pz00_158 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_lenz00_159 = 
STRING_LENGTH(BgL_fmtz00_74); 
{ 
 long BgL_iz00_161; obj_t BgL_osz00_162;
BgL_iz00_161 = 0L; 
BgL_osz00_162 = BgL_objsz00_75; 
BgL_zc3z04anonymousza31634ze3z87_163:
{ 
 obj_t BgL_objz00_294; obj_t BgL_pz00_295;
if(
(BgL_iz00_161<BgL_lenz00_159))
{ /* Llib/sqlite.scm 493 */
 unsigned char BgL_cz00_173;
BgL_cz00_173 = 
STRING_REF(BgL_fmtz00_74, BgL_iz00_161); 
if(
(BgL_cz00_173==((unsigned char)'~')))
{ /* Llib/sqlite.scm 494 */
if(
(BgL_iz00_161==
(BgL_lenz00_159-1L)))
{ /* Llib/sqlite.scm 495 */
return 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2316z00zz__sqlite_sqlitez00, 
c_substring(BgL_fmtz00_74, BgL_iz00_161, BgL_lenz00_159));}  else 
{ /* Llib/sqlite.scm 499 */
 unsigned char BgL_fz00_178;
BgL_fz00_178 = 
STRING_REF(BgL_fmtz00_74, 
(BgL_iz00_161+1L)); 
switch( BgL_fz00_178) { case ((unsigned char)'a') : 
case ((unsigned char)'A') : 

{ /* Llib/sqlite.scm 502 */
 obj_t BgL_arg1644z00_182;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1644z00_182 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1644z00_182 = 
CAR(
((obj_t)BgL_osz00_162)); } 
bgl_display_obj(BgL_arg1644z00_182, BgL_pz00_158); } 
{ /* Llib/sqlite.scm 503 */
 long BgL_arg1645z00_183; obj_t BgL_arg1648z00_184;
BgL_arg1645z00_183 = 
(BgL_iz00_161+2L); 
BgL_arg1648z00_184 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3600; long BgL_iz00_3599;
BgL_iz00_3599 = BgL_arg1645z00_183; 
BgL_osz00_3600 = BgL_arg1648z00_184; 
BgL_osz00_162 = BgL_osz00_3600; 
BgL_iz00_161 = BgL_iz00_3599; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'q') : 
case ((unsigned char)'Q') : 

{ /* Llib/sqlite.scm 505 */
 obj_t BgL_arg1654z00_185;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1654z00_185 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1654z00_185 = 
CAR(
((obj_t)BgL_osz00_162)); } 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1654z00_185, BgL_pz00_158, 0L); } 
{ /* Llib/sqlite.scm 506 */
 long BgL_arg1660z00_186; obj_t BgL_arg1670z00_187;
BgL_arg1660z00_186 = 
(BgL_iz00_161+2L); 
BgL_arg1670z00_187 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3612; long BgL_iz00_3611;
BgL_iz00_3611 = BgL_arg1660z00_186; 
BgL_osz00_3612 = BgL_arg1670z00_187; 
BgL_osz00_162 = BgL_osz00_3612; 
BgL_iz00_161 = BgL_iz00_3611; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'l') : 
case ((unsigned char)'L') : 

{ /* Llib/sqlite.scm 508 */
 obj_t BgL_arg1671z00_188;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1671z00_188 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1671z00_188 = 
CAR(
((obj_t)BgL_osz00_162)); } 
BgL_objz00_294 = BgL_arg1671z00_188; 
BgL_pz00_295 = BgL_pz00_158; 
if(
NULLP(BgL_objz00_294))
{ /* Llib/sqlite.scm 456 */BUNSPEC; }  else 
{ /* Llib/sqlite.scm 456 */
if(
PAIRP(BgL_objz00_294))
{ /* Llib/sqlite.scm 458 */
if(
NULLP(
CDR(BgL_objz00_294)))
{ /* Llib/sqlite.scm 460 */
bgl_display_obj(
CAR(BgL_objz00_294), BgL_pz00_295); }  else 
{ 
 obj_t BgL_oz00_303;
BgL_oz00_303 = BgL_objz00_294; 
BgL_zc3z04anonymousza31831ze3z87_304:
{ /* Llib/sqlite.scm 465 */
 bool_t BgL_test2619z00_3628;
{ /* Llib/sqlite.scm 465 */
 obj_t BgL_tmpz00_3629;
BgL_tmpz00_3629 = 
CDR(
((obj_t)BgL_oz00_303)); 
BgL_test2619z00_3628 = 
PAIRP(BgL_tmpz00_3629); } 
if(BgL_test2619z00_3628)
{ /* Llib/sqlite.scm 465 */
{ /* Llib/sqlite.scm 466 */
 obj_t BgL_arg1835z00_307;
BgL_arg1835z00_307 = 
CAR(
((obj_t)BgL_oz00_303)); 
bgl_display_obj(BgL_arg1835z00_307, BgL_pz00_295); } 
bgl_display_string(BGl_string2312z00zz__sqlite_sqlitez00, BgL_pz00_295); 
{ /* Llib/sqlite.scm 468 */
 obj_t BgL_arg1836z00_308;
BgL_arg1836z00_308 = 
CDR(
((obj_t)BgL_oz00_303)); 
{ 
 obj_t BgL_oz00_3639;
BgL_oz00_3639 = BgL_arg1836z00_308; 
BgL_oz00_303 = BgL_oz00_3639; 
goto BgL_zc3z04anonymousza31831ze3z87_304;} } }  else 
{ /* Llib/sqlite.scm 465 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_303))))
{ /* Llib/sqlite.scm 470 */
 obj_t BgL_arg1839z00_311;
BgL_arg1839z00_311 = 
CAR(
((obj_t)BgL_oz00_303)); 
bgl_display_obj(BgL_arg1839z00_311, BgL_pz00_295); }  else 
{ /* Llib/sqlite.scm 469 */
BGl_errorz00zz__errorz00(BGl_string2313z00zz__sqlite_sqlitez00, BGl_string2314z00zz__sqlite_sqlitez00, BgL_objz00_294); } } } } }  else 
{ /* Llib/sqlite.scm 458 */
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2314z00zz__sqlite_sqlitez00, BgL_objz00_294); } } } 
{ /* Llib/sqlite.scm 509 */
 long BgL_arg1677z00_189; obj_t BgL_arg1679z00_190;
BgL_arg1677z00_189 = 
(BgL_iz00_161+2L); 
BgL_arg1679z00_190 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3653; long BgL_iz00_3652;
BgL_iz00_3652 = BgL_arg1677z00_189; 
BgL_osz00_3653 = BgL_arg1679z00_190; 
BgL_osz00_162 = BgL_osz00_3653; 
BgL_iz00_161 = BgL_iz00_3652; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'k') : 
case ((unsigned char)'K') : 

{ /* Llib/sqlite.scm 511 */
 obj_t BgL_arg1680z00_191;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1680z00_191 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1680z00_191 = 
CAR(
((obj_t)BgL_osz00_162)); } 
BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(BgL_arg1680z00_191, BgL_pz00_158); } 
{ /* Llib/sqlite.scm 512 */
 long BgL_arg1683z00_192; obj_t BgL_arg1688z00_193;
BgL_arg1683z00_192 = 
(BgL_iz00_161+2L); 
BgL_arg1688z00_193 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3665; long BgL_iz00_3664;
BgL_iz00_3664 = BgL_arg1683z00_192; 
BgL_osz00_3665 = BgL_arg1688z00_193; 
BgL_osz00_162 = BgL_osz00_3665; 
BgL_iz00_161 = BgL_iz00_3664; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'s') : 
case ((unsigned char)'S') : 

{ /* Llib/sqlite.scm 514 */
 obj_t BgL_arg1702z00_194;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1702z00_194 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1702z00_194 = 
CAR(
((obj_t)BgL_osz00_162)); } 
{ /* Llib/sqlite.scm 514 */
 obj_t BgL_list1703z00_195;
BgL_list1703z00_195 = 
MAKE_YOUNG_PAIR(BgL_pz00_158, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg1702z00_194, BgL_list1703z00_195); } } 
{ /* Llib/sqlite.scm 515 */
 long BgL_arg1704z00_196; obj_t BgL_arg1705z00_197;
BgL_arg1704z00_196 = 
(BgL_iz00_161+2L); 
BgL_arg1705z00_197 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3678; long BgL_iz00_3677;
BgL_iz00_3677 = BgL_arg1704z00_196; 
BgL_osz00_3678 = BgL_arg1705z00_197; 
BgL_osz00_162 = BgL_osz00_3678; 
BgL_iz00_161 = BgL_iz00_3677; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'v') : 
case ((unsigned char)'V') : 

{ /* Llib/sqlite.scm 517 */
 obj_t BgL_arg1706z00_198;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1706z00_198 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1706z00_198 = 
CAR(
((obj_t)BgL_osz00_162)); } 
bgl_display_obj(BgL_arg1706z00_198, BgL_pz00_158); } 
bgl_display_char(((unsigned char)10), BgL_pz00_158); 
{ /* Llib/sqlite.scm 519 */
 long BgL_arg1707z00_199; obj_t BgL_arg1710z00_200;
BgL_arg1707z00_199 = 
(BgL_iz00_161+2L); 
BgL_arg1710z00_200 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3691; long BgL_iz00_3690;
BgL_iz00_3690 = BgL_arg1707z00_199; 
BgL_osz00_3691 = BgL_arg1710z00_200; 
BgL_osz00_162 = BgL_osz00_3691; 
BgL_iz00_161 = BgL_iz00_3690; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'c') : 
case ((unsigned char)'C') : 

{ /* Llib/sqlite.scm 521 */
 obj_t BgL_oz00_201;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_oz00_201 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_oz00_201 = 
CAR(
((obj_t)BgL_osz00_162)); } 
if(
CHARP(BgL_oz00_201))
{ /* Llib/sqlite.scm 522 */
{ /* Llib/sqlite.scm 525 */
 unsigned char BgL_tmpz00_3700;
BgL_tmpz00_3700 = 
CCHAR(BgL_oz00_201); 
bgl_display_char(BgL_tmpz00_3700, BgL_pz00_158); } 
{ /* Llib/sqlite.scm 526 */
 long BgL_arg1714z00_203; obj_t BgL_arg1715z00_204;
BgL_arg1714z00_203 = 
(BgL_iz00_161+2L); 
BgL_arg1715z00_204 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3707; long BgL_iz00_3706;
BgL_iz00_3706 = BgL_arg1714z00_203; 
BgL_osz00_3707 = BgL_arg1715z00_204; 
BgL_osz00_162 = BgL_osz00_3707; 
BgL_iz00_161 = BgL_iz00_3706; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } }  else 
{ /* Llib/sqlite.scm 522 */
return 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2318z00zz__sqlite_sqlitez00, BgL_oz00_201);} } break;case ((unsigned char)'x') : 
case ((unsigned char)'X') : 

{ /* Llib/sqlite.scm 528 */
 obj_t BgL_arg1723z00_205;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1723z00_205 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1723z00_205 = 
CAR(
((obj_t)BgL_osz00_162)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1723z00_205))
{ /* Llib/sqlite.scm 387 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1723z00_205, 
BINT(16L)), BgL_pz00_158); }  else 
{ /* Llib/sqlite.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2319z00zz__sqlite_sqlitez00, BgL_arg1723z00_205); } } 
{ /* Llib/sqlite.scm 529 */
 long BgL_arg1724z00_206; obj_t BgL_arg1725z00_207;
BgL_arg1724z00_206 = 
(BgL_iz00_161+2L); 
BgL_arg1725z00_207 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3725; long BgL_iz00_3724;
BgL_iz00_3724 = BgL_arg1724z00_206; 
BgL_osz00_3725 = BgL_arg1725z00_207; 
BgL_osz00_162 = BgL_osz00_3725; 
BgL_iz00_161 = BgL_iz00_3724; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'o') : 
case ((unsigned char)'O') : 

{ /* Llib/sqlite.scm 531 */
 obj_t BgL_arg1726z00_208;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1726z00_208 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1726z00_208 = 
CAR(
((obj_t)BgL_osz00_162)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1726z00_208))
{ /* Llib/sqlite.scm 387 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1726z00_208, 
BINT(8L)), BgL_pz00_158); }  else 
{ /* Llib/sqlite.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2319z00zz__sqlite_sqlitez00, BgL_arg1726z00_208); } } 
{ /* Llib/sqlite.scm 532 */
 long BgL_arg1727z00_209; obj_t BgL_arg1728z00_210;
BgL_arg1727z00_209 = 
(BgL_iz00_161+2L); 
BgL_arg1728z00_210 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3742; long BgL_iz00_3741;
BgL_iz00_3741 = BgL_arg1727z00_209; 
BgL_osz00_3742 = BgL_arg1728z00_210; 
BgL_osz00_162 = BgL_osz00_3742; 
BgL_iz00_161 = BgL_iz00_3741; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'b') : 
case ((unsigned char)'B') : 

{ /* Llib/sqlite.scm 534 */
 obj_t BgL_arg1729z00_211;
if(
NULLP(BgL_osz00_162))
{ /* Llib/sqlite.scm 383 */
BgL_arg1729z00_211 = 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1729z00_211 = 
CAR(
((obj_t)BgL_osz00_162)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1729z00_211))
{ /* Llib/sqlite.scm 387 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1729z00_211, 
BINT(2L)), BgL_pz00_158); }  else 
{ /* Llib/sqlite.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2319z00zz__sqlite_sqlitez00, BgL_arg1729z00_211); } } 
{ /* Llib/sqlite.scm 535 */
 long BgL_arg1730z00_212; obj_t BgL_arg1731z00_213;
BgL_arg1730z00_212 = 
(BgL_iz00_161+2L); 
BgL_arg1731z00_213 = 
CDR(
((obj_t)BgL_osz00_162)); 
{ 
 obj_t BgL_osz00_3759; long BgL_iz00_3758;
BgL_iz00_3758 = BgL_arg1730z00_212; 
BgL_osz00_3759 = BgL_arg1731z00_213; 
BgL_osz00_162 = BgL_osz00_3759; 
BgL_iz00_161 = BgL_iz00_3758; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } break;case ((unsigned char)'%') : 
case ((unsigned char)'n') : 

bgl_display_char(((unsigned char)10), BgL_pz00_158); 
{ 
 long BgL_iz00_3761;
BgL_iz00_3761 = 
(BgL_iz00_161+2L); 
BgL_iz00_161 = BgL_iz00_3761; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} break;case ((unsigned char)'r') : 

bgl_display_char(((unsigned char)13), BgL_pz00_158); 
{ 
 long BgL_iz00_3764;
BgL_iz00_3764 = 
(BgL_iz00_161+2L); 
BgL_iz00_161 = BgL_iz00_3764; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} break;case ((unsigned char)'~') : 

bgl_display_char(((unsigned char)'~'), BgL_pz00_158); 
{ 
 long BgL_iz00_3767;
BgL_iz00_3767 = 
(BgL_iz00_161+2L); 
BgL_iz00_161 = BgL_iz00_3767; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2320z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_178));} } }  else 
{ /* Llib/sqlite.scm 494 */
bgl_display_char(BgL_cz00_173, BgL_pz00_158); 
{ 
 long BgL_iz00_3773;
BgL_iz00_3773 = 
(BgL_iz00_161+1L); 
BgL_iz00_161 = BgL_iz00_3773; 
goto BgL_zc3z04anonymousza31634ze3z87_163;} } }  else 
{ /* Llib/sqlite.scm 492 */
return 
bgl_close_output_port(BgL_pz00_158);} } } } } 

}



/* display-sqlite~0 */
obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_229, obj_t BgL_pz00_230, long BgL_lz00_231)
{
{ /* Llib/sqlite.scm 418 */
{ 
 obj_t BgL_objz00_255; obj_t BgL_pz00_256; obj_t BgL_objz00_271; obj_t BgL_pz00_272; obj_t BgL_objz00_282; obj_t BgL_pz00_283;
if(
STRINGP(BgL_objz00_229))
{ /* Llib/sqlite.scm 392 */
if(
(BgL_lz00_231==0L))
{ /* Llib/sqlite.scm 393 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_230); }  else 
{ /* Llib/sqlite.scm 393 */
bgl_display_string(BGl_string2328z00zz__sqlite_sqlitez00, BgL_pz00_230); } 
{ /* Llib/sqlite.scm 396 */
 long BgL_lenz00_235;
BgL_lenz00_235 = 
STRING_LENGTH(BgL_objz00_229); 
{ 
 long BgL_iz00_237;
BgL_iz00_237 = 0L; 
BgL_zc3z04anonymousza31775ze3z87_238:
if(
(BgL_iz00_237==BgL_lenz00_235))
{ /* Llib/sqlite.scm 397 */((bool_t)0); }  else 
{ /* Llib/sqlite.scm 397 */
{ /* Llib/sqlite.scm 399 */
 unsigned char BgL_cz00_240;
BgL_cz00_240 = 
STRING_REF(
((obj_t)BgL_objz00_229), BgL_iz00_237); 
bgl_display_char(BgL_cz00_240, BgL_pz00_230); 
if(
(((unsigned char)'\'')==BgL_cz00_240))
{ /* Llib/sqlite.scm 401 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_230); }  else 
{ /* Llib/sqlite.scm 401 */BFALSE; } } 
{ 
 long BgL_iz00_3791;
BgL_iz00_3791 = 
(BgL_iz00_237+1L); 
BgL_iz00_237 = BgL_iz00_3791; 
goto BgL_zc3z04anonymousza31775ze3z87_238;} } } } 
if(
(BgL_lz00_231==0L))
{ /* Llib/sqlite.scm 402 */
return 
bgl_display_char(((unsigned char)'\''), BgL_pz00_230);}  else 
{ /* Llib/sqlite.scm 402 */
return 
bgl_display_string(BGl_string2328z00zz__sqlite_sqlitez00, BgL_pz00_230);} }  else 
{ /* Llib/sqlite.scm 392 */
if(
BGL_DATEP(BgL_objz00_229))
{ /* Llib/sqlite.scm 406 */
 long BgL_arg1793z00_246;
BgL_arg1793z00_246 = 
bgl_date_to_seconds(BgL_objz00_229); 
return 
bgl_display_obj(
make_belong(BgL_arg1793z00_246), BgL_pz00_230);}  else 
{ /* Llib/sqlite.scm 407 */
 bool_t BgL_test2638z00_3802;
if(
ELONGP(BgL_objz00_229))
{ /* Llib/sqlite.scm 407 */
BgL_test2638z00_3802 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 407 */
BgL_test2638z00_3802 = 
LLONGP(BgL_objz00_229)
; } 
if(BgL_test2638z00_3802)
{ /* Llib/sqlite.scm 408 */
 obj_t BgL_list1796z00_249;
BgL_list1796z00_249 = 
MAKE_YOUNG_PAIR(BgL_pz00_230, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_229, BgL_list1796z00_249);}  else 
{ /* Llib/sqlite.scm 409 */
 bool_t BgL_test2640z00_3808;
if(
(BgL_objz00_229==BUNSPEC))
{ /* Llib/sqlite.scm 409 */
BgL_test2640z00_3808 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 409 */
BgL_test2640z00_3808 = 
(BgL_objz00_229==BFALSE)
; } 
if(BgL_test2640z00_3808)
{ /* Llib/sqlite.scm 409 */
return 
bgl_display_string(BGl_string2329z00zz__sqlite_sqlitez00, BgL_pz00_230);}  else 
{ /* Llib/sqlite.scm 409 */
if(
PAIRP(BgL_objz00_229))
{ /* Llib/sqlite.scm 411 */
BgL_objz00_255 = BgL_objz00_229; 
BgL_pz00_256 = BgL_pz00_230; 
bgl_display_string(BGl_string2326z00zz__sqlite_sqlitez00, BgL_pz00_256); 
{ 
 obj_t BgL_objz00_259;
BgL_objz00_259 = BgL_objz00_255; 
BgL_zc3z04anonymousza31803ze3z87_260:
{ /* Llib/sqlite.scm 422 */
 obj_t BgL_arg1804z00_261;
BgL_arg1804z00_261 = 
CAR(
((obj_t)BgL_objz00_259)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1804z00_261, BgL_pz00_256, 1L); } 
if(
NULLP(
CDR(
((obj_t)BgL_objz00_259))))
{ /* Llib/sqlite.scm 424 */
return 
bgl_display_string(BGl_string2325z00zz__sqlite_sqlitez00, BgL_pz00_256);}  else 
{ /* Llib/sqlite.scm 426 */
 bool_t BgL_test2644z00_3824;
{ /* Llib/sqlite.scm 426 */
 obj_t BgL_tmpz00_3825;
BgL_tmpz00_3825 = 
CDR(
((obj_t)BgL_objz00_259)); 
BgL_test2644z00_3824 = 
PAIRP(BgL_tmpz00_3825); } 
if(BgL_test2644z00_3824)
{ /* Llib/sqlite.scm 426 */
bgl_display_string(BGl_string2323z00zz__sqlite_sqlitez00, BgL_pz00_256); 
{ /* Llib/sqlite.scm 432 */
 obj_t BgL_arg1809z00_266;
BgL_arg1809z00_266 = 
CDR(
((obj_t)BgL_objz00_259)); 
{ 
 obj_t BgL_objz00_3832;
BgL_objz00_3832 = BgL_arg1809z00_266; 
BgL_objz00_259 = BgL_objz00_3832; 
goto BgL_zc3z04anonymousza31803ze3z87_260;} } }  else 
{ /* Llib/sqlite.scm 426 */
bgl_display_string(BGl_string2327z00zz__sqlite_sqlitez00, BgL_pz00_256); 
{ /* Llib/sqlite.scm 428 */
 obj_t BgL_arg1810z00_267;
BgL_arg1810z00_267 = 
CDR(
((obj_t)BgL_objz00_259)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1810z00_267, BgL_pz00_256, 1L); } 
return 
bgl_display_string(BGl_string2325z00zz__sqlite_sqlitez00, BgL_pz00_256);} } } }  else 
{ /* Llib/sqlite.scm 411 */
if(
VECTORP(BgL_objz00_229))
{ /* Llib/sqlite.scm 413 */
BgL_objz00_271 = BgL_objz00_229; 
BgL_pz00_272 = BgL_pz00_230; 
bgl_display_string(BGl_string2324z00zz__sqlite_sqlitez00, BgL_pz00_272); 
{ 
 long BgL_iz00_276;
BgL_iz00_276 = 0L; 
BgL_zc3z04anonymousza31814ze3z87_277:
if(
(BgL_iz00_276==
VECTOR_LENGTH(BgL_objz00_271)))
{ /* Llib/sqlite.scm 437 */
return 
bgl_display_string(BGl_string2325z00zz__sqlite_sqlitez00, BgL_pz00_272);}  else 
{ /* Llib/sqlite.scm 437 */
bgl_display_string(BGl_string2323z00zz__sqlite_sqlitez00, BgL_pz00_272); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
VECTOR_REF(BgL_objz00_271,BgL_iz00_276), BgL_pz00_272, 1L); 
{ 
 long BgL_iz00_3848;
BgL_iz00_3848 = 
(BgL_iz00_276+1L); 
BgL_iz00_276 = BgL_iz00_3848; 
goto BgL_zc3z04anonymousza31814ze3z87_277;} } } }  else 
{ /* Llib/sqlite.scm 413 */
if(
STRUCTP(BgL_objz00_229))
{ /* Llib/sqlite.scm 415 */
BgL_objz00_282 = BgL_objz00_229; 
BgL_pz00_283 = BgL_pz00_230; 
bgl_display_string(BGl_string2321z00zz__sqlite_sqlitez00, BgL_pz00_283); 
bgl_display_obj(
STRUCT_KEY(BgL_objz00_282), BgL_pz00_283); 
{ /* Llib/sqlite.scm 446 */
 int BgL_lenz00_286;
BgL_lenz00_286 = 
STRUCT_LENGTH(BgL_objz00_282); 
{ 
 long BgL_iz00_288;
BgL_iz00_288 = 0L; 
BgL_zc3z04anonymousza31820ze3z87_289:
if(
(BgL_iz00_288==
(long)(BgL_lenz00_286)))
{ /* Llib/sqlite.scm 448 */
return 
bgl_display_string(BGl_string2322z00zz__sqlite_sqlitez00, BgL_pz00_283);}  else 
{ /* Llib/sqlite.scm 448 */
bgl_display_string(BGl_string2323z00zz__sqlite_sqlitez00, BgL_pz00_283); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
STRUCT_REF(BgL_objz00_282, 
(int)(BgL_iz00_288)), BgL_pz00_283, 1L); 
{ 
 long BgL_iz00_3864;
BgL_iz00_3864 = 
(BgL_iz00_288+1L); 
BgL_iz00_288 = BgL_iz00_3864; 
goto BgL_zc3z04anonymousza31820ze3z87_289;} } } } }  else 
{ /* Llib/sqlite.scm 415 */
return 
bgl_display_obj(BgL_objz00_229, BgL_pz00_230);} } } } } } } } } 

}



/* display-sqlite-quote-list~0 */
obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_316, obj_t BgL_pz00_317)
{
{ /* Llib/sqlite.scm 491 */
if(
PAIRP(BgL_objz00_316))
{ /* Llib/sqlite.scm 475 */
if(
NULLP(
CDR(BgL_objz00_316)))
{ /* Llib/sqlite.scm 479 */
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
CAR(BgL_objz00_316), BgL_pz00_317, 0L);}  else 
{ 
 obj_t BgL_oz00_325;
BgL_oz00_325 = BgL_objz00_316; 
BgL_zc3z04anonymousza31849ze3z87_326:
{ /* Llib/sqlite.scm 484 */
 bool_t BgL_test2651z00_3874;
{ /* Llib/sqlite.scm 484 */
 obj_t BgL_tmpz00_3875;
BgL_tmpz00_3875 = 
CDR(
((obj_t)BgL_oz00_325)); 
BgL_test2651z00_3874 = 
PAIRP(BgL_tmpz00_3875); } 
if(BgL_test2651z00_3874)
{ /* Llib/sqlite.scm 484 */
{ /* Llib/sqlite.scm 485 */
 obj_t BgL_arg1852z00_329;
BgL_arg1852z00_329 = 
CAR(
((obj_t)BgL_oz00_325)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1852z00_329, BgL_pz00_317, 0L); } 
bgl_display_string(BGl_string2312z00zz__sqlite_sqlitez00, BgL_pz00_317); 
{ /* Llib/sqlite.scm 487 */
 obj_t BgL_arg1853z00_330;
BgL_arg1853z00_330 = 
CDR(
((obj_t)BgL_oz00_325)); 
{ 
 obj_t BgL_oz00_3885;
BgL_oz00_3885 = BgL_arg1853z00_330; 
BgL_oz00_325 = BgL_oz00_3885; 
goto BgL_zc3z04anonymousza31849ze3z87_326;} } }  else 
{ /* Llib/sqlite.scm 484 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_325))))
{ /* Llib/sqlite.scm 489 */
 obj_t BgL_arg1856z00_333;
BgL_arg1856z00_333 = 
CAR(
((obj_t)BgL_oz00_325)); 
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1856z00_333, BgL_pz00_317, 0L);}  else 
{ /* Llib/sqlite.scm 488 */
return 
BGl_errorz00zz__errorz00(BGl_string2313z00zz__sqlite_sqlitez00, BGl_string2314z00zz__sqlite_sqlitez00, BgL_objz00_316);} } } } }  else 
{ /* Llib/sqlite.scm 475 */
return 
BGl_errorz00zz__errorz00(BGl_string2315z00zz__sqlite_sqlitez00, BGl_string2314z00zz__sqlite_sqlitez00, BgL_objz00_316);} } 

}



/* &sqlite-format */
obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1943, obj_t BgL_fmtz00_1944, obj_t BgL_objsz00_1945)
{
{ /* Llib/sqlite.scm 377 */
{ /* Llib/sqlite.scm 378 */
 obj_t BgL_auxz00_3895;
if(
STRINGP(BgL_fmtz00_1944))
{ /* Llib/sqlite.scm 378 */
BgL_auxz00_3895 = BgL_fmtz00_1944
; }  else 
{ 
 obj_t BgL_auxz00_3898;
BgL_auxz00_3898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(16325L), BGl_string2330z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_1944); 
FAILURE(BgL_auxz00_3898,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_auxz00_3895, BgL_objsz00_1945);} } 

}



/* sqlite-last-insert-rowid */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_76)
{
{ /* Llib/sqlite.scm 555 */
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_dbz00_76, BGl_string2331z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-last-insert-rowid */
obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1946, obj_t BgL_dbz00_1947)
{
{ /* Llib/sqlite.scm 555 */
{ /* Llib/sqlite.scm 556 */
 BgL_z52sqlitez52_bglt BgL_auxz00_3904;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1947, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 556 */
BgL_auxz00_3904 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1947)
; }  else 
{ 
 obj_t BgL_auxz00_3908;
BgL_auxz00_3908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(21440L), BGl_string2332z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_1947); 
FAILURE(BgL_auxz00_3908,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_auxz00_3904);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1863z00_351; obj_t BgL_arg1864z00_352;
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1462z00_358;
BgL_v1462z00_358 = 
create_vector(1L); 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1868z00_359;
BgL_arg1868z00_359 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(28L), BGl_proc2335z00zz__sqlite_sqlitez00, BGl_proc2334z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2333z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(29L)); 
VECTOR_SET(BgL_v1462z00_358,0L,BgL_arg1868z00_359); } 
BgL_arg1863z00_351 = BgL_v1462z00_358; } 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1463z00_372;
BgL_v1463z00_372 = 
create_vector(0L); 
BgL_arg1864z00_352 = BgL_v1463z00_372; } 
BGl_z52sqlitez52zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(30L), 
CNST_TABLE_REF(31L), BGl_objectz00zz__objectz00, 41441L, BFALSE, BGl_proc2337z00zz__sqlite_sqlitez00, BFALSE, BGl_proc2336z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1863z00_351, BgL_arg1864z00_352); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1878z00_378; obj_t BgL_arg1879z00_379;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1464z00_393;
BgL_v1464z00_393 = 
create_vector(2L); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1886z00_394;
BgL_arg1886z00_394 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(32L), BGl_proc2340z00zz__sqlite_sqlitez00, BGl_proc2339z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2338z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(33L)); 
VECTOR_SET(BgL_v1464z00_393,0L,BgL_arg1886z00_394); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1893z00_407;
BgL_arg1893z00_407 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(34L), BGl_proc2343z00zz__sqlite_sqlitez00, BGl_proc2342z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2341z00zz__sqlite_sqlitez00, BGl_z42sqltinyz42zz__sqlite_sqltinyz00); 
VECTOR_SET(BgL_v1464z00_393,1L,BgL_arg1893z00_407); } 
BgL_arg1878z00_378 = BgL_v1464z00_393; } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1465z00_420;
BgL_v1465z00_420 = 
create_vector(0L); 
BgL_arg1879z00_379 = BgL_v1465z00_420; } 
BGl_sqltinyz00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(35L), 
CNST_TABLE_REF(31L), BGl_z52sqlitez52zz__sqlite_sqlitez00, 6234L, BGl_proc2346z00zz__sqlite_sqlitez00, BGl_proc2345z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BGl_proc2344z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1878z00_378, BgL_arg1879z00_379); } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1903z00_427; obj_t BgL_arg1904z00_428;
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1466z00_441;
BgL_v1466z00_441 = 
create_vector(1L); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1911z00_442;
BgL_arg1911z00_442 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(34L), BGl_proc2349z00zz__sqlite_sqlitez00, BGl_proc2348z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2347z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(36L)); 
VECTOR_SET(BgL_v1466z00_441,0L,BgL_arg1911z00_442); } 
BgL_arg1903z00_427 = BgL_v1466z00_441; } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1467z00_455;
BgL_v1467z00_455 = 
create_vector(0L); 
BgL_arg1904z00_428 = BgL_v1467z00_455; } 
return ( 
BGl_sqlitez00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(37L), 
CNST_TABLE_REF(31L), BGl_z52sqlitez52zz__sqlite_sqlitez00, 51526L, BGl_proc2352z00zz__sqlite_sqlitez00, BGl_proc2351z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BGl_proc2350z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1903z00_427, BgL_arg1904z00_428), BUNSPEC) ;} } 

}



/* &<@anonymous:1910> */
obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1968, obj_t BgL_new1063z00_1969)
{
{ /* Llib/sqlite.scm 25 */
{ 
 BgL_sqlitez00_bglt BgL_auxz00_3943;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_new1063z00_1969))))->BgL_pathz00)=((obj_t)BGl_string2353z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_new1063z00_1969)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3943 = 
((BgL_sqlitez00_bglt)BgL_new1063z00_1969); 
return 
((obj_t)BgL_auxz00_3943);} } 

}



/* &lambda1908 */
BgL_sqlitez00_bglt BGl_z62lambda1908z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1970)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1061z00_2612;
BgL_new1061z00_2612 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1909z00_2613;
BgL_arg1909z00_2613 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_2612), BgL_arg1909z00_2613); } 
return BgL_new1061z00_2612;} } 

}



/* &lambda1905 */
BgL_sqlitez00_bglt BGl_z62lambda1905z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1971, obj_t BgL_path1059z00_1972, obj_t BgL_z42builtin1060z42_1973)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_z42builtin1060z42_2615;
BgL_z42builtin1060z42_2615 = 
FOREIGN_TO_COBJ(BgL_z42builtin1060z42_1973); 
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1456z00_2616;
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1455z00_2617;
BgL_new1455z00_2617 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1907z00_2618;
BgL_arg1907z00_2618 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1455z00_2617), BgL_arg1907z00_2618); } 
BgL_new1456z00_2616 = BgL_new1455z00_2617; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1456z00_2616)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1059z00_1972)),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(BgL_new1456z00_2616))->BgL_z42builtinz42)=((void *)BgL_z42builtin1060z42_2615),BUNSPEC); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_fun1906z00_2619;
BgL_fun1906z00_2619 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqlitez00zz__sqlite_sqlitez00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1906z00_2619))(BgL_fun1906z00_2619, 
((obj_t)BgL_new1456z00_2616), BEOA); } 
return BgL_new1456z00_2616;} } } 

}



/* &<@anonymous:1917> */
obj_t BGl_z62zc3z04anonymousza31917ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1974)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1975, obj_t BgL_oz00_1976, obj_t BgL_vz00_1977)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_vz00_2621;
BgL_vz00_2621 = 
FOREIGN_TO_COBJ(BgL_vz00_1977); 
return 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1976)))->BgL_z42builtinz42)=((void *)BgL_vz00_2621),BUNSPEC);} } 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1978, obj_t BgL_oz00_1979)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1979)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1980, obj_t BgL_new1057z00_1981)
{
{ /* Llib/sqlite.scm 37 */
{ 
 BgL_sqltinyz00_bglt BgL_auxz00_3979;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqltinyz00_bglt)BgL_new1057z00_1981))))->BgL_pathz00)=((obj_t)BGl_string2353z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1057z00_1981)))->BgL_syncz00)=((obj_t)
CNST_TABLE_REF(38L)),BUNSPEC); 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_3986;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_classz00_2624;
BgL_classz00_2624 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL__ortest_1116z00_2625;
BgL__ortest_1116z00_2625 = 
BGL_CLASS_NIL(BgL_classz00_2624); 
if(
CBOOL(BgL__ortest_1116z00_2625))
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_3986 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1116z00_2625)
; }  else 
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_3986 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2624))
; } } } 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1057z00_1981)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_3986),BUNSPEC); } 
BgL_auxz00_3979 = 
((BgL_sqltinyz00_bglt)BgL_new1057z00_1981); 
return 
((obj_t)BgL_auxz00_3979);} } 

}



/* &lambda1883 */
BgL_sqltinyz00_bglt BGl_z62lambda1883z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1982)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1056z00_2626;
BgL_new1056z00_2626 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1884z00_2627;
BgL_arg1884z00_2627 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_2626), BgL_arg1884z00_2627); } 
return BgL_new1056z00_2626;} } 

}



/* &lambda1880 */
BgL_sqltinyz00_bglt BGl_z62lambda1880z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1983, obj_t BgL_path1053z00_1984, obj_t BgL_sync1054z00_1985, obj_t BgL_z42builtin1055z42_1986)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1454z00_2631;
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1453z00_2632;
BgL_new1453z00_2632 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1882z00_2633;
BgL_arg1882z00_2633 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1453z00_2632), BgL_arg1882z00_2633); } 
BgL_new1454z00_2631 = BgL_new1453z00_2632; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1454z00_2631)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1053z00_1984)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1454z00_2631))->BgL_syncz00)=((obj_t)
((obj_t)BgL_sync1054z00_1985)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1454z00_2631))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_z42builtin1055z42_1986)),BUNSPEC); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_fun1881z00_2634;
BgL_fun1881z00_2634 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqltinyz00zz__sqlite_sqlitez00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1881z00_2634))(BgL_fun1881z00_2634, 
((obj_t)BgL_new1454z00_2631), BEOA); } 
return BgL_new1454z00_2631;} } 

}



/* &<@anonymous:1899> */
obj_t BGl_z62zc3z04anonymousza31899ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1987)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 40 */
 obj_t BgL_classz00_2635;
BgL_classz00_2635 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 40 */
 obj_t BgL__ortest_1116z00_2636;
BgL__ortest_1116z00_2636 = 
BGL_CLASS_NIL(BgL_classz00_2635); 
if(
CBOOL(BgL__ortest_1116z00_2636))
{ /* Llib/sqlite.scm 40 */
return BgL__ortest_1116z00_2636;}  else 
{ /* Llib/sqlite.scm 40 */
return 
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2635);} } } } 

}



/* &lambda1898 */
obj_t BGl_z62lambda1898z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1988, obj_t BgL_oz00_1989, obj_t BgL_vz00_1990)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1989)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_vz00_1990)),BUNSPEC);} 

}



/* &lambda1897 */
BgL_z42sqltinyz42_bglt BGl_z62lambda1897z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1991, obj_t BgL_oz00_1992)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1992)))->BgL_z42builtinz42);} 

}



/* &<@anonymous:1892> */
obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1993)
{
{ /* Llib/sqlite.scm 37 */
return 
CNST_TABLE_REF(39L);} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1994, obj_t BgL_oz00_1995, obj_t BgL_vz00_1996)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1995)))->BgL_syncz00)=((obj_t)
((obj_t)BgL_vz00_1996)),BUNSPEC);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1997, obj_t BgL_oz00_1998)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1998)))->BgL_syncz00);} 

}



/* &<@anonymous:1867> */
obj_t BGl_z62zc3z04anonymousza31867ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1999, obj_t BgL_new1051z00_2000)
{
{ /* Llib/sqlite.scm 34 */
{ 
 BgL_z52sqlitez52_bglt BgL_auxz00_4033;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1051z00_2000)))->BgL_pathz00)=((obj_t)BGl_string2353z00zz__sqlite_sqlitez00),BUNSPEC); 
BgL_auxz00_4033 = 
((BgL_z52sqlitez52_bglt)BgL_new1051z00_2000); 
return 
((obj_t)BgL_auxz00_4033);} } 

}



/* &lambda1865 */
BgL_z52sqlitez52_bglt BGl_z62lambda1865z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2001)
{
{ /* Llib/sqlite.scm 34 */
{ /* Llib/sqlite.scm 34 */
 BgL_z52sqlitez52_bglt BgL_new1050z00_2644;
BgL_new1050z00_2644 = 
((BgL_z52sqlitez52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sqlitez52_bgl) ))); 
{ /* Llib/sqlite.scm 34 */
 long BgL_arg1866z00_2645;
BgL_arg1866z00_2645 = 
BGL_CLASS_NUM(BGl_z52sqlitez52zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_2644), BgL_arg1866z00_2645); } 
return BgL_new1050z00_2644;} } 

}



/* &<@anonymous:1874> */
obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2002)
{
{ /* Llib/sqlite.scm 34 */
return BGl_string2354z00zz__sqlite_sqlitez00;} 

}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2003, obj_t BgL_oz00_2004, obj_t BgL_vz00_2005)
{
{ /* Llib/sqlite.scm 34 */
return 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2004)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_2005)),BUNSPEC);} 

}



/* &lambda1872 */
obj_t BGl_z62lambda1872z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2006, obj_t BgL_oz00_2007)
{
{ /* Llib/sqlite.scm 34 */
return 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2007)))->BgL_pathz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_proc2355z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2356z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_proc2357z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2358z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_proc2359z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2360z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, BGl_proc2361z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2362z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_proc2363z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2364z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, BGl_proc2365z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2366z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, BGl_proc2367z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2368z00zz__sqlite_sqlitez00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_proc2369z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2370z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table1502 */
obj_t BGl_z62sqlitezd2dumpzd2table1502z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2017, obj_t BgL_dbz00_2018, obj_t BgL_tablez00_2019, obj_t BgL_outz00_2020)
{
{ /* Llib/sqlite.scm 364 */
{ /* Llib/sqlite.scm 366 */
 BgL_z42sqltinyz42_bglt BgL_arg1970z00_2652;
BgL_arg1970z00_2652 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_dbz00_2018))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_dbz00_2018)), BgL_arg1970z00_2652, 
((obj_t)BgL_tablez00_2019), 
((obj_t)BgL_outz00_2020)); } 
return BUNSPEC;} 

}



/* &sqlite-run1498 */
obj_t BGl_z62sqlitezd2run1498zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2021, obj_t BgL_oz00_2022, obj_t BgL_fmtz00_2023, obj_t BgL_argsz00_2024)
{
{ /* Llib/sqlite.scm 308 */
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_runner1968z00_2655;
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_zc3z04anonymousza31964ze3z87_2656;
BgL_zc3z04anonymousza31964ze3z87_2656 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31964ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31964ze3z87_2656, 
(int)(0L), BgL_argsz00_2024); 
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_list1963z00_2657;
BgL_list1963z00_2657 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31964ze3z87_2656, BNIL); 
BgL_runner1968z00_2655 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2022)), BgL_list1963z00_2657); } } 
{ /* Llib/sqlite.scm 310 */
 BgL_z52sqlitez52_bglt BgL_aux1965z00_2658;
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_pairz00_2659;
BgL_pairz00_2659 = BgL_runner1968z00_2655; 
BgL_aux1965z00_2658 = 
((BgL_z52sqlitez52_bglt)
CAR(BgL_pairz00_2659)); } 
BgL_runner1968z00_2655 = 
CDR(BgL_runner1968z00_2655); 
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_aux1966z00_2660;
BgL_aux1966z00_2660 = 
CAR(BgL_runner1968z00_2655); 
BgL_runner1968z00_2655 = 
CDR(BgL_runner1968z00_2655); 
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_aux1967z00_2661;
BgL_aux1967z00_2661 = 
CAR(BgL_runner1968z00_2655); 
BgL_runner1968z00_2655 = 
CDR(BgL_runner1968z00_2655); 
return 
BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_aux1965z00_2658, BgL_aux1966z00_2660, BgL_aux1967z00_2661, BgL_runner1968z00_2655);} } } } } 

}



/* &<@anonymous:1964> */
obj_t BGl_z62zc3z04anonymousza31964ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2025, obj_t BgL_xz00_2027, obj_t BgL_yz00_2028)
{
{ /* Llib/sqlite.scm 310 */
return 
PROCEDURE_REF(BgL_envz00_2025, 
(int)(0L));} 

}



/* &sqlite-for-each1494 */
obj_t BGl_z62sqlitezd2forzd2each1494z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2029, obj_t BgL_oz00_2030, obj_t BgL_pz00_2031, obj_t BgL_fmtz00_2032, obj_t BgL_argsz00_2033)
{
{ /* Llib/sqlite.scm 283 */
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_pz00_2031), 
(int)(2L)))
{ /* Llib/sqlite.scm 285 */
if(
NULLP(BgL_argsz00_2033))
{ /* Llib/sqlite.scm 287 */
 BgL_z42sqltinyz42_bglt BgL_arg1955z00_2665;
BgL_arg1955z00_2665 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2030))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2forzd2eachz42zz__sqlite_sqltinyz00(BgL_arg1955z00_2665, 
((obj_t)BgL_pz00_2031), 
((obj_t)BgL_fmtz00_2032), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2030)));}  else 
{ /* Llib/sqlite.scm 288 */
 BgL_z42sqltinyz42_bglt BgL_arg1956z00_2666; obj_t BgL_arg1957z00_2667;
BgL_arg1956z00_2666 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2030))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 288 */
 obj_t BgL_runner1960z00_2668;
{ /* Llib/sqlite.scm 288 */
 obj_t BgL_list1958z00_2669;
BgL_list1958z00_2669 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2033, BNIL); 
BgL_runner1960z00_2668 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2032), BgL_list1958z00_2669); } 
{ /* Llib/sqlite.scm 288 */
 obj_t BgL_aux1959z00_2670;
BgL_aux1959z00_2670 = 
CAR(BgL_runner1960z00_2668); 
BgL_runner1960z00_2668 = 
CDR(BgL_runner1960z00_2668); 
BgL_arg1957z00_2667 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1959z00_2670, BgL_runner1960z00_2668); } } 
return 
BGl_z42sqltinyzd2forzd2eachz42zz__sqlite_sqltinyz00(BgL_arg1956z00_2666, 
((obj_t)BgL_pz00_2031), BgL_arg1957z00_2667, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2030)));} }  else 
{ /* Llib/sqlite.scm 285 */
return 
BGl_errorz00zz__errorz00(BGl_string2371z00zz__sqlite_sqlitez00, BGl_string2372z00zz__sqlite_sqlitez00, 
((obj_t)BgL_pz00_2031));} } 

}



/* &sqlite-map1490 */
obj_t BGl_z62sqlitezd2map1490zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2034, obj_t BgL_oz00_2035, obj_t BgL_pz00_2036, obj_t BgL_fmtz00_2037, obj_t BgL_argsz00_2038)
{
{ /* Llib/sqlite.scm 262 */
if(
NULLP(BgL_argsz00_2038))
{ /* Llib/sqlite.scm 265 */
 BgL_z42sqltinyz42_bglt BgL_arg1947z00_2674;
BgL_arg1947z00_2674 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2035))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1947z00_2674, 
((obj_t)BgL_pz00_2036), 
((obj_t)BgL_fmtz00_2037), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2035)));}  else 
{ /* Llib/sqlite.scm 266 */
 BgL_z42sqltinyz42_bglt BgL_arg1948z00_2675; obj_t BgL_arg1949z00_2676;
BgL_arg1948z00_2675 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2035))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 266 */
 obj_t BgL_runner1952z00_2677;
{ /* Llib/sqlite.scm 266 */
 obj_t BgL_list1950z00_2678;
BgL_list1950z00_2678 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2038, BNIL); 
BgL_runner1952z00_2677 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2037), BgL_list1950z00_2678); } 
{ /* Llib/sqlite.scm 266 */
 obj_t BgL_aux1951z00_2679;
BgL_aux1951z00_2679 = 
CAR(BgL_runner1952z00_2677); 
BgL_runner1952z00_2677 = 
CDR(BgL_runner1952z00_2677); 
BgL_arg1949z00_2676 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1951z00_2679, BgL_runner1952z00_2677); } } 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1948z00_2675, 
((obj_t)BgL_pz00_2036), BgL_arg1949z00_2676, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2035)));} } 

}



/* &sqlite-get1486 */
obj_t BGl_z62sqlitezd2get1486zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2039, obj_t BgL_oz00_2040, obj_t BgL_pz00_2041, obj_t BgL_fmtz00_2042, obj_t BgL_argsz00_2043)
{
{ /* Llib/sqlite.scm 237 */
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_pz00_2041), 
(int)(2L)))
{ /* Llib/sqlite.scm 239 */
if(
NULLP(BgL_argsz00_2043))
{ /* Llib/sqlite.scm 241 */
 BgL_z42sqltinyz42_bglt BgL_arg1939z00_2683;
BgL_arg1939z00_2683 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2040))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2getz90zz__sqlite_sqltinyz00(BgL_arg1939z00_2683, 
((obj_t)BgL_pz00_2041), 
((obj_t)BgL_fmtz00_2042), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2040)));}  else 
{ /* Llib/sqlite.scm 242 */
 BgL_z42sqltinyz42_bglt BgL_arg1940z00_2684; obj_t BgL_arg1941z00_2685;
BgL_arg1940z00_2684 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2040))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 242 */
 obj_t BgL_runner1944z00_2686;
{ /* Llib/sqlite.scm 242 */
 obj_t BgL_list1942z00_2687;
BgL_list1942z00_2687 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2043, BNIL); 
BgL_runner1944z00_2686 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2042), BgL_list1942z00_2687); } 
{ /* Llib/sqlite.scm 242 */
 obj_t BgL_aux1943z00_2688;
BgL_aux1943z00_2688 = 
CAR(BgL_runner1944z00_2686); 
BgL_runner1944z00_2686 = 
CDR(BgL_runner1944z00_2686); 
BgL_arg1941z00_2685 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1943z00_2688, BgL_runner1944z00_2686); } } 
return 
BGl_z42sqltinyzd2getz90zz__sqlite_sqltinyz00(BgL_arg1940z00_2684, 
((obj_t)BgL_pz00_2041), BgL_arg1941z00_2685, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2040)));} }  else 
{ /* Llib/sqlite.scm 239 */
return 
BGl_errorz00zz__errorz00(BGl_string2373z00zz__sqlite_sqlitez00, BGl_string2372z00zz__sqlite_sqlitez00, 
((obj_t)BgL_pz00_2041));} } 

}



/* &sqlite-eval1482 */
obj_t BGl_z62sqlitezd2eval1482zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2044, obj_t BgL_oz00_2045, obj_t BgL_pz00_2046, obj_t BgL_fmtz00_2047, obj_t BgL_argsz00_2048)
{
{ /* Llib/sqlite.scm 216 */
if(
NULLP(BgL_argsz00_2048))
{ /* Llib/sqlite.scm 219 */
 BgL_z42sqltinyz42_bglt BgL_arg1931z00_2692;
BgL_arg1931z00_2692 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2045))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1931z00_2692, 
((obj_t)BgL_pz00_2046), 
((obj_t)BgL_fmtz00_2047), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2045)));}  else 
{ /* Llib/sqlite.scm 220 */
 BgL_z42sqltinyz42_bglt BgL_arg1932z00_2693; obj_t BgL_arg1933z00_2694;
BgL_arg1932z00_2693 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2045))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_runner1936z00_2695;
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_list1934z00_2696;
BgL_list1934z00_2696 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2048, BNIL); 
BgL_runner1936z00_2695 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2047), BgL_list1934z00_2696); } 
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_aux1935z00_2697;
BgL_aux1935z00_2697 = 
CAR(BgL_runner1936z00_2695); 
BgL_runner1936z00_2695 = 
CDR(BgL_runner1936z00_2695); 
BgL_arg1933z00_2694 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1935z00_2697, BgL_runner1936z00_2695); } } 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1932z00_2693, 
((obj_t)BgL_pz00_2046), BgL_arg1933z00_2694, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2045)));} } 

}



/* &sqlite-exec1478 */
obj_t BGl_z62sqlitezd2exec1478zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2049, obj_t BgL_oz00_2050, obj_t BgL_fmtz00_2051, obj_t BgL_argsz00_2052)
{
{ /* Llib/sqlite.scm 178 */
if(
NULLP(BgL_argsz00_2052))
{ /* Llib/sqlite.scm 181 */
 BgL_z42sqltinyz42_bglt BgL_arg1923z00_2700;
BgL_arg1923z00_2700 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2050))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1923z00_2700, 
((obj_t)BgL_fmtz00_2051), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2050)));}  else 
{ /* Llib/sqlite.scm 182 */
 BgL_z42sqltinyz42_bglt BgL_arg1924z00_2701; obj_t BgL_arg1925z00_2702;
BgL_arg1924z00_2701 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2050))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 182 */
 obj_t BgL_runner1928z00_2703;
{ /* Llib/sqlite.scm 182 */
 obj_t BgL_list1926z00_2704;
BgL_list1926z00_2704 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2052, BNIL); 
BgL_runner1928z00_2703 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2051), BgL_list1926z00_2704); } 
{ /* Llib/sqlite.scm 182 */
 obj_t BgL_aux1927z00_2705;
BgL_aux1927z00_2705 = 
CAR(BgL_runner1928z00_2703); 
BgL_runner1928z00_2703 = 
CDR(BgL_runner1928z00_2703); 
BgL_arg1925z00_2702 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1927z00_2705, BgL_runner1928z00_2703); } } 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1924z00_2701, BgL_arg1925z00_2702, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2050)));} } 

}



/* &sqlite-close1474 */
obj_t BGl_z62sqlitezd2close1474zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2053, obj_t BgL_oz00_2054)
{
{ /* Llib/sqlite.scm 164 */
{ /* Llib/sqlite.scm 166 */
 BgL_z42sqltinyz42_bglt BgL_arg1919z00_2707;
BgL_arg1919z00_2707 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2054))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_arg1919z00_2707, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2054))); } 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_4213;
{ /* Llib/sqlite.scm 167 */
 obj_t BgL_classz00_2708;
BgL_classz00_2708 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 167 */
 obj_t BgL__ortest_1116z00_2709;
BgL__ortest_1116z00_2709 = 
BGL_CLASS_NIL(BgL_classz00_2708); 
if(
CBOOL(BgL__ortest_1116z00_2709))
{ /* Llib/sqlite.scm 167 */
BgL_auxz00_4213 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1116z00_2709)
; }  else 
{ /* Llib/sqlite.scm 167 */
BgL_auxz00_4213 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2708))
; } } } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2054))))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_4213),BUNSPEC);} } 

}



/* sqlite-close */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_13)
{
{ /* Llib/sqlite.scm 164 */
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_method1475z00_564;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_res2178z00_1512;
{ /* Llib/sqlite.scm 164 */
 long BgL_objzd2classzd2numz00_1483;
BgL_objzd2classzd2numz00_1483 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_13)); 
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1782z00_1484;
BgL_arg1782z00_1484 = 
PROCEDURE_REF(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 164 */
 int BgL_offsetz00_1487;
BgL_offsetz00_1487 = 
(int)(BgL_objzd2classzd2numz00_1483); 
{ /* Llib/sqlite.scm 164 */
 long BgL_offsetz00_1488;
BgL_offsetz00_1488 = 
(
(long)(BgL_offsetz00_1487)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 164 */
 long BgL_modz00_1489;
BgL_modz00_1489 = 
(BgL_offsetz00_1488 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 164 */
 long BgL_restz00_1491;
BgL_restz00_1491 = 
(BgL_offsetz00_1488 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 164 */

{ /* Llib/sqlite.scm 164 */
 obj_t BgL_bucketz00_1493;
BgL_bucketz00_1493 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1484),BgL_modz00_1489); 
BgL_res2178z00_1512 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1493),BgL_restz00_1491); } } } } } } } } 
BgL_method1475z00_564 = BgL_res2178z00_1512; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1475z00_564))(BgL_method1475z00_564, 
((obj_t)BgL_oz00_13), BEOA);} } 

}



/* &sqlite-close */
obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2055, obj_t BgL_oz00_2056)
{
{ /* Llib/sqlite.scm 164 */
{ /* Llib/sqlite.scm 164 */
 BgL_z52sqlitez52_bglt BgL_auxz00_4253;
{ /* Llib/sqlite.scm 164 */
 bool_t BgL_test2665z00_4254;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_classz00_2710;
BgL_classz00_2710 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2056))
{ /* Llib/sqlite.scm 164 */
 BgL_objectz00_bglt BgL_arg1780z00_2712; long BgL_arg1781z00_2713;
BgL_arg1780z00_2712 = 
(BgL_objectz00_bglt)(BgL_oz00_2056); 
BgL_arg1781z00_2713 = 
BGL_CLASS_DEPTH(BgL_classz00_2710); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 164 */
 long BgL_idxz00_2721;
BgL_idxz00_2721 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2712); 
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1773z00_2722;
{ /* Llib/sqlite.scm 164 */
 long BgL_arg1774z00_2723;
BgL_arg1774z00_2723 = 
(BgL_idxz00_2721+BgL_arg1781z00_2713); 
BgL_arg1773z00_2722 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2723); } 
BgL_test2665z00_4254 = 
(BgL_arg1773z00_2722==BgL_classz00_2710); } }  else 
{ /* Llib/sqlite.scm 164 */
 bool_t BgL_res2411z00_2746;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_oclassz00_2731;
{ /* Llib/sqlite.scm 164 */
 long BgL_arg1785z00_2737;
{ /* Llib/sqlite.scm 164 */
 long BgL_arg1786z00_2738;
BgL_arg1786z00_2738 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2712); 
BgL_arg1785z00_2737 = 
(BgL_arg1786z00_2738-OBJECT_TYPE); } 
BgL_oclassz00_2731 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2737); } 
{ /* Llib/sqlite.scm 164 */
 bool_t BgL__ortest_1114z00_2732;
BgL__ortest_1114z00_2732 = 
(BgL_classz00_2710==BgL_oclassz00_2731); 
if(BgL__ortest_1114z00_2732)
{ /* Llib/sqlite.scm 164 */
BgL_res2411z00_2746 = BgL__ortest_1114z00_2732; }  else 
{ /* Llib/sqlite.scm 164 */
 long BgL_odepthz00_2733;
BgL_odepthz00_2733 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2731); 
if(
(BgL_arg1781z00_2713<BgL_odepthz00_2733))
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1775z00_2735;
BgL_arg1775z00_2735 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2731, BgL_arg1781z00_2713); 
BgL_res2411z00_2746 = 
(BgL_arg1775z00_2735==BgL_classz00_2710); }  else 
{ /* Llib/sqlite.scm 164 */
BgL_res2411z00_2746 = ((bool_t)0); } } } } 
BgL_test2665z00_4254 = BgL_res2411z00_2746; } }  else 
{ /* Llib/sqlite.scm 164 */
BgL_test2665z00_4254 = ((bool_t)0)
; } } 
if(BgL_test2665z00_4254)
{ /* Llib/sqlite.scm 164 */
BgL_auxz00_4253 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2056)
; }  else 
{ 
 obj_t BgL_auxz00_4276;
BgL_auxz00_4276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(7441L), BGl_string2374z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2056); 
FAILURE(BgL_auxz00_4276,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_auxz00_4253);} } 

}



/* sqlite-exec */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_15, obj_t BgL_fmtz00_16, obj_t BgL_argsz00_17)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_method1479z00_565;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res2183z00_1543;
{ /* Llib/sqlite.scm 178 */
 long BgL_objzd2classzd2numz00_1514;
BgL_objzd2classzd2numz00_1514 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_15)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1782z00_1515;
BgL_arg1782z00_1515 = 
PROCEDURE_REF(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 178 */
 int BgL_offsetz00_1518;
BgL_offsetz00_1518 = 
(int)(BgL_objzd2classzd2numz00_1514); 
{ /* Llib/sqlite.scm 178 */
 long BgL_offsetz00_1519;
BgL_offsetz00_1519 = 
(
(long)(BgL_offsetz00_1518)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 178 */
 long BgL_modz00_1520;
BgL_modz00_1520 = 
(BgL_offsetz00_1519 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 178 */
 long BgL_restz00_1522;
BgL_restz00_1522 = 
(BgL_offsetz00_1519 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 178 */

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_bucketz00_1524;
BgL_bucketz00_1524 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1515),BgL_modz00_1520); 
BgL_res2183z00_1543 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1524),BgL_restz00_1522); } } } } } } } } 
BgL_method1479z00_565 = BgL_res2183z00_1543; } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_auxz00_4306;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_list1971z00_566;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1972z00_567;
BgL_arg1972z00_567 = 
MAKE_YOUNG_PAIR(BgL_argsz00_17, BNIL); 
BgL_list1971z00_566 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_16, BgL_arg1972z00_567); } 
BgL_auxz00_4306 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_15), BgL_list1971z00_566); } 
return 
apply(BgL_method1479z00_565, BgL_auxz00_4306);} } } 

}



/* &sqlite-exec */
obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2057, obj_t BgL_oz00_2058, obj_t BgL_fmtz00_2059, obj_t BgL_argsz00_2060)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_auxz00_4339; BgL_z52sqlitez52_bglt BgL_auxz00_4312;
if(
STRINGP(BgL_fmtz00_2059))
{ /* Llib/sqlite.scm 178 */
BgL_auxz00_4339 = BgL_fmtz00_2059
; }  else 
{ 
 obj_t BgL_auxz00_4342;
BgL_auxz00_4342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(7989L), BGl_string2375z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_2059); 
FAILURE(BgL_auxz00_4342,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2670z00_4313;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_classz00_2747;
BgL_classz00_2747 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2058))
{ /* Llib/sqlite.scm 178 */
 BgL_objectz00_bglt BgL_arg1780z00_2749; long BgL_arg1781z00_2750;
BgL_arg1780z00_2749 = 
(BgL_objectz00_bglt)(BgL_oz00_2058); 
BgL_arg1781z00_2750 = 
BGL_CLASS_DEPTH(BgL_classz00_2747); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 178 */
 long BgL_idxz00_2758;
BgL_idxz00_2758 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2749); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1773z00_2759;
{ /* Llib/sqlite.scm 178 */
 long BgL_arg1774z00_2760;
BgL_arg1774z00_2760 = 
(BgL_idxz00_2758+BgL_arg1781z00_2750); 
BgL_arg1773z00_2759 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2760); } 
BgL_test2670z00_4313 = 
(BgL_arg1773z00_2759==BgL_classz00_2747); } }  else 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_res2412z00_2783;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_oclassz00_2768;
{ /* Llib/sqlite.scm 178 */
 long BgL_arg1785z00_2774;
{ /* Llib/sqlite.scm 178 */
 long BgL_arg1786z00_2775;
BgL_arg1786z00_2775 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2749); 
BgL_arg1785z00_2774 = 
(BgL_arg1786z00_2775-OBJECT_TYPE); } 
BgL_oclassz00_2768 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2774); } 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL__ortest_1114z00_2769;
BgL__ortest_1114z00_2769 = 
(BgL_classz00_2747==BgL_oclassz00_2768); 
if(BgL__ortest_1114z00_2769)
{ /* Llib/sqlite.scm 178 */
BgL_res2412z00_2783 = BgL__ortest_1114z00_2769; }  else 
{ /* Llib/sqlite.scm 178 */
 long BgL_odepthz00_2770;
BgL_odepthz00_2770 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2768); 
if(
(BgL_arg1781z00_2750<BgL_odepthz00_2770))
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1775z00_2772;
BgL_arg1775z00_2772 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2768, BgL_arg1781z00_2750); 
BgL_res2412z00_2783 = 
(BgL_arg1775z00_2772==BgL_classz00_2747); }  else 
{ /* Llib/sqlite.scm 178 */
BgL_res2412z00_2783 = ((bool_t)0); } } } } 
BgL_test2670z00_4313 = BgL_res2412z00_2783; } }  else 
{ /* Llib/sqlite.scm 178 */
BgL_test2670z00_4313 = ((bool_t)0)
; } } 
if(BgL_test2670z00_4313)
{ /* Llib/sqlite.scm 178 */
BgL_auxz00_4312 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2058)
; }  else 
{ 
 obj_t BgL_auxz00_4335;
BgL_auxz00_4335 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(7989L), BGl_string2375z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2058); 
FAILURE(BgL_auxz00_4335,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_auxz00_4312, BgL_auxz00_4339, BgL_argsz00_2060);} } 

}



/* sqlite-eval */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_21, obj_t BgL_pz00_22, obj_t BgL_fmtz00_23, obj_t BgL_argsz00_24)
{
{ /* Llib/sqlite.scm 216 */
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_method1483z00_568;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_res2188z00_1574;
{ /* Llib/sqlite.scm 216 */
 long BgL_objzd2classzd2numz00_1545;
BgL_objzd2classzd2numz00_1545 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_21)); 
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1782z00_1546;
BgL_arg1782z00_1546 = 
PROCEDURE_REF(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 216 */
 int BgL_offsetz00_1549;
BgL_offsetz00_1549 = 
(int)(BgL_objzd2classzd2numz00_1545); 
{ /* Llib/sqlite.scm 216 */
 long BgL_offsetz00_1550;
BgL_offsetz00_1550 = 
(
(long)(BgL_offsetz00_1549)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 216 */
 long BgL_modz00_1551;
BgL_modz00_1551 = 
(BgL_offsetz00_1550 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 216 */
 long BgL_restz00_1553;
BgL_restz00_1553 = 
(BgL_offsetz00_1550 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 216 */

{ /* Llib/sqlite.scm 216 */
 obj_t BgL_bucketz00_1555;
BgL_bucketz00_1555 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1546),BgL_modz00_1551); 
BgL_res2188z00_1574 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1555),BgL_restz00_1553); } } } } } } } } 
BgL_method1483z00_568 = BgL_res2188z00_1574; } 
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_auxz00_4372;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_list1973z00_569;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1974z00_570;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1975z00_571;
BgL_arg1975z00_571 = 
MAKE_YOUNG_PAIR(BgL_argsz00_24, BNIL); 
BgL_arg1974z00_570 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_23, BgL_arg1975z00_571); } 
BgL_list1973z00_569 = 
MAKE_YOUNG_PAIR(BgL_pz00_22, BgL_arg1974z00_570); } 
BgL_auxz00_4372 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_21), BgL_list1973z00_569); } 
return 
apply(BgL_method1483z00_568, BgL_auxz00_4372);} } } 

}



/* &sqlite-eval */
obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2061, obj_t BgL_oz00_2062, obj_t BgL_pz00_2063, obj_t BgL_fmtz00_2064, obj_t BgL_argsz00_2065)
{
{ /* Llib/sqlite.scm 216 */
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_auxz00_4413; obj_t BgL_auxz00_4406; BgL_z52sqlitez52_bglt BgL_auxz00_4379;
if(
STRINGP(BgL_fmtz00_2064))
{ /* Llib/sqlite.scm 216 */
BgL_auxz00_4413 = BgL_fmtz00_2064
; }  else 
{ 
 obj_t BgL_auxz00_4416;
BgL_auxz00_4416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(9460L), BGl_string2376z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_2064); 
FAILURE(BgL_auxz00_4416,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2063))
{ /* Llib/sqlite.scm 216 */
BgL_auxz00_4406 = BgL_pz00_2063
; }  else 
{ 
 obj_t BgL_auxz00_4409;
BgL_auxz00_4409 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(9460L), BGl_string2376z00zz__sqlite_sqlitez00, BGl_string2377z00zz__sqlite_sqlitez00, BgL_pz00_2063); 
FAILURE(BgL_auxz00_4409,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 216 */
 bool_t BgL_test2676z00_4380;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_classz00_2784;
BgL_classz00_2784 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2062))
{ /* Llib/sqlite.scm 216 */
 BgL_objectz00_bglt BgL_arg1780z00_2786; long BgL_arg1781z00_2787;
BgL_arg1780z00_2786 = 
(BgL_objectz00_bglt)(BgL_oz00_2062); 
BgL_arg1781z00_2787 = 
BGL_CLASS_DEPTH(BgL_classz00_2784); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 216 */
 long BgL_idxz00_2795;
BgL_idxz00_2795 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2786); 
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1773z00_2796;
{ /* Llib/sqlite.scm 216 */
 long BgL_arg1774z00_2797;
BgL_arg1774z00_2797 = 
(BgL_idxz00_2795+BgL_arg1781z00_2787); 
BgL_arg1773z00_2796 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2797); } 
BgL_test2676z00_4380 = 
(BgL_arg1773z00_2796==BgL_classz00_2784); } }  else 
{ /* Llib/sqlite.scm 216 */
 bool_t BgL_res2413z00_2820;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_oclassz00_2805;
{ /* Llib/sqlite.scm 216 */
 long BgL_arg1785z00_2811;
{ /* Llib/sqlite.scm 216 */
 long BgL_arg1786z00_2812;
BgL_arg1786z00_2812 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2786); 
BgL_arg1785z00_2811 = 
(BgL_arg1786z00_2812-OBJECT_TYPE); } 
BgL_oclassz00_2805 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2811); } 
{ /* Llib/sqlite.scm 216 */
 bool_t BgL__ortest_1114z00_2806;
BgL__ortest_1114z00_2806 = 
(BgL_classz00_2784==BgL_oclassz00_2805); 
if(BgL__ortest_1114z00_2806)
{ /* Llib/sqlite.scm 216 */
BgL_res2413z00_2820 = BgL__ortest_1114z00_2806; }  else 
{ /* Llib/sqlite.scm 216 */
 long BgL_odepthz00_2807;
BgL_odepthz00_2807 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2805); 
if(
(BgL_arg1781z00_2787<BgL_odepthz00_2807))
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1775z00_2809;
BgL_arg1775z00_2809 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2805, BgL_arg1781z00_2787); 
BgL_res2413z00_2820 = 
(BgL_arg1775z00_2809==BgL_classz00_2784); }  else 
{ /* Llib/sqlite.scm 216 */
BgL_res2413z00_2820 = ((bool_t)0); } } } } 
BgL_test2676z00_4380 = BgL_res2413z00_2820; } }  else 
{ /* Llib/sqlite.scm 216 */
BgL_test2676z00_4380 = ((bool_t)0)
; } } 
if(BgL_test2676z00_4380)
{ /* Llib/sqlite.scm 216 */
BgL_auxz00_4379 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2062)
; }  else 
{ 
 obj_t BgL_auxz00_4402;
BgL_auxz00_4402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(9460L), BGl_string2376z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2062); 
FAILURE(BgL_auxz00_4402,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_auxz00_4379, BgL_auxz00_4406, BgL_auxz00_4413, BgL_argsz00_2065);} } 

}



/* sqlite-get */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_29, obj_t BgL_pz00_30, obj_t BgL_fmtz00_31, obj_t BgL_argsz00_32)
{
{ /* Llib/sqlite.scm 237 */
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_method1487z00_572;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_res2193z00_1605;
{ /* Llib/sqlite.scm 237 */
 long BgL_objzd2classzd2numz00_1576;
BgL_objzd2classzd2numz00_1576 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_29)); 
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1782z00_1577;
BgL_arg1782z00_1577 = 
PROCEDURE_REF(BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 237 */
 int BgL_offsetz00_1580;
BgL_offsetz00_1580 = 
(int)(BgL_objzd2classzd2numz00_1576); 
{ /* Llib/sqlite.scm 237 */
 long BgL_offsetz00_1581;
BgL_offsetz00_1581 = 
(
(long)(BgL_offsetz00_1580)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 237 */
 long BgL_modz00_1582;
BgL_modz00_1582 = 
(BgL_offsetz00_1581 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 237 */
 long BgL_restz00_1584;
BgL_restz00_1584 = 
(BgL_offsetz00_1581 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 237 */

{ /* Llib/sqlite.scm 237 */
 obj_t BgL_bucketz00_1586;
BgL_bucketz00_1586 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1577),BgL_modz00_1582); 
BgL_res2193z00_1605 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1586),BgL_restz00_1584); } } } } } } } } 
BgL_method1487z00_572 = BgL_res2193z00_1605; } 
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_auxz00_4446;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_list1976z00_573;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1977z00_574;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1978z00_575;
BgL_arg1978z00_575 = 
MAKE_YOUNG_PAIR(BgL_argsz00_32, BNIL); 
BgL_arg1977z00_574 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_31, BgL_arg1978z00_575); } 
BgL_list1976z00_573 = 
MAKE_YOUNG_PAIR(BgL_pz00_30, BgL_arg1977z00_574); } 
BgL_auxz00_4446 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_29), BgL_list1976z00_573); } 
return 
apply(BgL_method1487z00_572, BgL_auxz00_4446);} } } 

}



/* &sqlite-get */
obj_t BGl_z62sqlitezd2getzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2066, obj_t BgL_oz00_2067, obj_t BgL_pz00_2068, obj_t BgL_fmtz00_2069, obj_t BgL_argsz00_2070)
{
{ /* Llib/sqlite.scm 237 */
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_auxz00_4487; obj_t BgL_auxz00_4480; BgL_z52sqlitez52_bglt BgL_auxz00_4453;
if(
STRINGP(BgL_fmtz00_2069))
{ /* Llib/sqlite.scm 237 */
BgL_auxz00_4487 = BgL_fmtz00_2069
; }  else 
{ 
 obj_t BgL_auxz00_4490;
BgL_auxz00_4490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(10319L), BGl_string2378z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_2069); 
FAILURE(BgL_auxz00_4490,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2068))
{ /* Llib/sqlite.scm 237 */
BgL_auxz00_4480 = BgL_pz00_2068
; }  else 
{ 
 obj_t BgL_auxz00_4483;
BgL_auxz00_4483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(10319L), BGl_string2378z00zz__sqlite_sqlitez00, BGl_string2377z00zz__sqlite_sqlitez00, BgL_pz00_2068); 
FAILURE(BgL_auxz00_4483,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 237 */
 bool_t BgL_test2683z00_4454;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_classz00_2821;
BgL_classz00_2821 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2067))
{ /* Llib/sqlite.scm 237 */
 BgL_objectz00_bglt BgL_arg1780z00_2823; long BgL_arg1781z00_2824;
BgL_arg1780z00_2823 = 
(BgL_objectz00_bglt)(BgL_oz00_2067); 
BgL_arg1781z00_2824 = 
BGL_CLASS_DEPTH(BgL_classz00_2821); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 237 */
 long BgL_idxz00_2832;
BgL_idxz00_2832 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2823); 
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1773z00_2833;
{ /* Llib/sqlite.scm 237 */
 long BgL_arg1774z00_2834;
BgL_arg1774z00_2834 = 
(BgL_idxz00_2832+BgL_arg1781z00_2824); 
BgL_arg1773z00_2833 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2834); } 
BgL_test2683z00_4454 = 
(BgL_arg1773z00_2833==BgL_classz00_2821); } }  else 
{ /* Llib/sqlite.scm 237 */
 bool_t BgL_res2414z00_2857;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_oclassz00_2842;
{ /* Llib/sqlite.scm 237 */
 long BgL_arg1785z00_2848;
{ /* Llib/sqlite.scm 237 */
 long BgL_arg1786z00_2849;
BgL_arg1786z00_2849 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2823); 
BgL_arg1785z00_2848 = 
(BgL_arg1786z00_2849-OBJECT_TYPE); } 
BgL_oclassz00_2842 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2848); } 
{ /* Llib/sqlite.scm 237 */
 bool_t BgL__ortest_1114z00_2843;
BgL__ortest_1114z00_2843 = 
(BgL_classz00_2821==BgL_oclassz00_2842); 
if(BgL__ortest_1114z00_2843)
{ /* Llib/sqlite.scm 237 */
BgL_res2414z00_2857 = BgL__ortest_1114z00_2843; }  else 
{ /* Llib/sqlite.scm 237 */
 long BgL_odepthz00_2844;
BgL_odepthz00_2844 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2842); 
if(
(BgL_arg1781z00_2824<BgL_odepthz00_2844))
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1775z00_2846;
BgL_arg1775z00_2846 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2842, BgL_arg1781z00_2824); 
BgL_res2414z00_2857 = 
(BgL_arg1775z00_2846==BgL_classz00_2821); }  else 
{ /* Llib/sqlite.scm 237 */
BgL_res2414z00_2857 = ((bool_t)0); } } } } 
BgL_test2683z00_4454 = BgL_res2414z00_2857; } }  else 
{ /* Llib/sqlite.scm 237 */
BgL_test2683z00_4454 = ((bool_t)0)
; } } 
if(BgL_test2683z00_4454)
{ /* Llib/sqlite.scm 237 */
BgL_auxz00_4453 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2067)
; }  else 
{ 
 obj_t BgL_auxz00_4476;
BgL_auxz00_4476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(10319L), BGl_string2378z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2067); 
FAILURE(BgL_auxz00_4476,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_auxz00_4453, BgL_auxz00_4480, BgL_auxz00_4487, BgL_argsz00_2070);} } 

}



/* sqlite-map */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_37, obj_t BgL_pz00_38, obj_t BgL_fmtz00_39, obj_t BgL_argsz00_40)
{
{ /* Llib/sqlite.scm 262 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_method1491z00_576;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_res2198z00_1636;
{ /* Llib/sqlite.scm 262 */
 long BgL_objzd2classzd2numz00_1607;
BgL_objzd2classzd2numz00_1607 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_37)); 
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1782z00_1608;
BgL_arg1782z00_1608 = 
PROCEDURE_REF(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 262 */
 int BgL_offsetz00_1611;
BgL_offsetz00_1611 = 
(int)(BgL_objzd2classzd2numz00_1607); 
{ /* Llib/sqlite.scm 262 */
 long BgL_offsetz00_1612;
BgL_offsetz00_1612 = 
(
(long)(BgL_offsetz00_1611)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 262 */
 long BgL_modz00_1613;
BgL_modz00_1613 = 
(BgL_offsetz00_1612 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 262 */
 long BgL_restz00_1615;
BgL_restz00_1615 = 
(BgL_offsetz00_1612 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 262 */

{ /* Llib/sqlite.scm 262 */
 obj_t BgL_bucketz00_1617;
BgL_bucketz00_1617 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1608),BgL_modz00_1613); 
BgL_res2198z00_1636 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1617),BgL_restz00_1615); } } } } } } } } 
BgL_method1491z00_576 = BgL_res2198z00_1636; } 
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_auxz00_4520;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_list1979z00_577;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1980z00_578;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1981z00_579;
BgL_arg1981z00_579 = 
MAKE_YOUNG_PAIR(BgL_argsz00_40, BNIL); 
BgL_arg1980z00_578 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_39, BgL_arg1981z00_579); } 
BgL_list1979z00_577 = 
MAKE_YOUNG_PAIR(BgL_pz00_38, BgL_arg1980z00_578); } 
BgL_auxz00_4520 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_37), BgL_list1979z00_577); } 
return 
apply(BgL_method1491z00_576, BgL_auxz00_4520);} } } 

}



/* &sqlite-map */
obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2071, obj_t BgL_oz00_2072, obj_t BgL_pz00_2073, obj_t BgL_fmtz00_2074, obj_t BgL_argsz00_2075)
{
{ /* Llib/sqlite.scm 262 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_auxz00_4561; obj_t BgL_auxz00_4554; BgL_z52sqlitez52_bglt BgL_auxz00_4527;
if(
STRINGP(BgL_fmtz00_2074))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_4561 = BgL_fmtz00_2074
; }  else 
{ 
 obj_t BgL_auxz00_4564;
BgL_auxz00_4564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(11335L), BGl_string2379z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_2074); 
FAILURE(BgL_auxz00_4564,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2073))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_4554 = BgL_pz00_2073
; }  else 
{ 
 obj_t BgL_auxz00_4557;
BgL_auxz00_4557 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(11335L), BGl_string2379z00zz__sqlite_sqlitez00, BGl_string2377z00zz__sqlite_sqlitez00, BgL_pz00_2073); 
FAILURE(BgL_auxz00_4557,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 262 */
 bool_t BgL_test2690z00_4528;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_classz00_2858;
BgL_classz00_2858 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2072))
{ /* Llib/sqlite.scm 262 */
 BgL_objectz00_bglt BgL_arg1780z00_2860; long BgL_arg1781z00_2861;
BgL_arg1780z00_2860 = 
(BgL_objectz00_bglt)(BgL_oz00_2072); 
BgL_arg1781z00_2861 = 
BGL_CLASS_DEPTH(BgL_classz00_2858); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 262 */
 long BgL_idxz00_2869;
BgL_idxz00_2869 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2860); 
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1773z00_2870;
{ /* Llib/sqlite.scm 262 */
 long BgL_arg1774z00_2871;
BgL_arg1774z00_2871 = 
(BgL_idxz00_2869+BgL_arg1781z00_2861); 
BgL_arg1773z00_2870 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2871); } 
BgL_test2690z00_4528 = 
(BgL_arg1773z00_2870==BgL_classz00_2858); } }  else 
{ /* Llib/sqlite.scm 262 */
 bool_t BgL_res2415z00_2894;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_oclassz00_2879;
{ /* Llib/sqlite.scm 262 */
 long BgL_arg1785z00_2885;
{ /* Llib/sqlite.scm 262 */
 long BgL_arg1786z00_2886;
BgL_arg1786z00_2886 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2860); 
BgL_arg1785z00_2885 = 
(BgL_arg1786z00_2886-OBJECT_TYPE); } 
BgL_oclassz00_2879 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2885); } 
{ /* Llib/sqlite.scm 262 */
 bool_t BgL__ortest_1114z00_2880;
BgL__ortest_1114z00_2880 = 
(BgL_classz00_2858==BgL_oclassz00_2879); 
if(BgL__ortest_1114z00_2880)
{ /* Llib/sqlite.scm 262 */
BgL_res2415z00_2894 = BgL__ortest_1114z00_2880; }  else 
{ /* Llib/sqlite.scm 262 */
 long BgL_odepthz00_2881;
BgL_odepthz00_2881 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2879); 
if(
(BgL_arg1781z00_2861<BgL_odepthz00_2881))
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1775z00_2883;
BgL_arg1775z00_2883 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2879, BgL_arg1781z00_2861); 
BgL_res2415z00_2894 = 
(BgL_arg1775z00_2883==BgL_classz00_2858); }  else 
{ /* Llib/sqlite.scm 262 */
BgL_res2415z00_2894 = ((bool_t)0); } } } } 
BgL_test2690z00_4528 = BgL_res2415z00_2894; } }  else 
{ /* Llib/sqlite.scm 262 */
BgL_test2690z00_4528 = ((bool_t)0)
; } } 
if(BgL_test2690z00_4528)
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_4527 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2072)
; }  else 
{ 
 obj_t BgL_auxz00_4550;
BgL_auxz00_4550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(11335L), BGl_string2379z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2072); 
FAILURE(BgL_auxz00_4550,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_auxz00_4527, BgL_auxz00_4554, BgL_auxz00_4561, BgL_argsz00_2075);} } 

}



/* sqlite-for-each */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2forzd2eachz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_45, obj_t BgL_pz00_46, obj_t BgL_fmtz00_47, obj_t BgL_argsz00_48)
{
{ /* Llib/sqlite.scm 283 */
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_method1495z00_580;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_res2203z00_1667;
{ /* Llib/sqlite.scm 283 */
 long BgL_objzd2classzd2numz00_1638;
BgL_objzd2classzd2numz00_1638 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_45)); 
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1782z00_1639;
BgL_arg1782z00_1639 = 
PROCEDURE_REF(BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 283 */
 int BgL_offsetz00_1642;
BgL_offsetz00_1642 = 
(int)(BgL_objzd2classzd2numz00_1638); 
{ /* Llib/sqlite.scm 283 */
 long BgL_offsetz00_1643;
BgL_offsetz00_1643 = 
(
(long)(BgL_offsetz00_1642)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 283 */
 long BgL_modz00_1644;
BgL_modz00_1644 = 
(BgL_offsetz00_1643 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 283 */
 long BgL_restz00_1646;
BgL_restz00_1646 = 
(BgL_offsetz00_1643 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 283 */

{ /* Llib/sqlite.scm 283 */
 obj_t BgL_bucketz00_1648;
BgL_bucketz00_1648 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1639),BgL_modz00_1644); 
BgL_res2203z00_1667 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1648),BgL_restz00_1646); } } } } } } } } 
BgL_method1495z00_580 = BgL_res2203z00_1667; } 
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_auxz00_4594;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_list1982z00_581;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1983z00_582;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1984z00_583;
BgL_arg1984z00_583 = 
MAKE_YOUNG_PAIR(BgL_argsz00_48, BNIL); 
BgL_arg1983z00_582 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_47, BgL_arg1984z00_583); } 
BgL_list1982z00_581 = 
MAKE_YOUNG_PAIR(BgL_pz00_46, BgL_arg1983z00_582); } 
BgL_auxz00_4594 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_45), BgL_list1982z00_581); } 
return 
apply(BgL_method1495z00_580, BgL_auxz00_4594);} } } 

}



/* &sqlite-for-each */
obj_t BGl_z62sqlitezd2forzd2eachz62zz__sqlite_sqlitez00(obj_t BgL_envz00_2076, obj_t BgL_oz00_2077, obj_t BgL_pz00_2078, obj_t BgL_fmtz00_2079, obj_t BgL_argsz00_2080)
{
{ /* Llib/sqlite.scm 283 */
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_auxz00_4635; obj_t BgL_auxz00_4628; BgL_z52sqlitez52_bglt BgL_auxz00_4601;
if(
STRINGP(BgL_fmtz00_2079))
{ /* Llib/sqlite.scm 283 */
BgL_auxz00_4635 = BgL_fmtz00_2079
; }  else 
{ 
 obj_t BgL_auxz00_4638;
BgL_auxz00_4638 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(12188L), BGl_string2380z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_2079); 
FAILURE(BgL_auxz00_4638,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2078))
{ /* Llib/sqlite.scm 283 */
BgL_auxz00_4628 = BgL_pz00_2078
; }  else 
{ 
 obj_t BgL_auxz00_4631;
BgL_auxz00_4631 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(12188L), BGl_string2380z00zz__sqlite_sqlitez00, BGl_string2377z00zz__sqlite_sqlitez00, BgL_pz00_2078); 
FAILURE(BgL_auxz00_4631,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 283 */
 bool_t BgL_test2697z00_4602;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_classz00_2895;
BgL_classz00_2895 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2077))
{ /* Llib/sqlite.scm 283 */
 BgL_objectz00_bglt BgL_arg1780z00_2897; long BgL_arg1781z00_2898;
BgL_arg1780z00_2897 = 
(BgL_objectz00_bglt)(BgL_oz00_2077); 
BgL_arg1781z00_2898 = 
BGL_CLASS_DEPTH(BgL_classz00_2895); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 283 */
 long BgL_idxz00_2906;
BgL_idxz00_2906 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2897); 
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1773z00_2907;
{ /* Llib/sqlite.scm 283 */
 long BgL_arg1774z00_2908;
BgL_arg1774z00_2908 = 
(BgL_idxz00_2906+BgL_arg1781z00_2898); 
BgL_arg1773z00_2907 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2908); } 
BgL_test2697z00_4602 = 
(BgL_arg1773z00_2907==BgL_classz00_2895); } }  else 
{ /* Llib/sqlite.scm 283 */
 bool_t BgL_res2416z00_2931;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_oclassz00_2916;
{ /* Llib/sqlite.scm 283 */
 long BgL_arg1785z00_2922;
{ /* Llib/sqlite.scm 283 */
 long BgL_arg1786z00_2923;
BgL_arg1786z00_2923 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2897); 
BgL_arg1785z00_2922 = 
(BgL_arg1786z00_2923-OBJECT_TYPE); } 
BgL_oclassz00_2916 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2922); } 
{ /* Llib/sqlite.scm 283 */
 bool_t BgL__ortest_1114z00_2917;
BgL__ortest_1114z00_2917 = 
(BgL_classz00_2895==BgL_oclassz00_2916); 
if(BgL__ortest_1114z00_2917)
{ /* Llib/sqlite.scm 283 */
BgL_res2416z00_2931 = BgL__ortest_1114z00_2917; }  else 
{ /* Llib/sqlite.scm 283 */
 long BgL_odepthz00_2918;
BgL_odepthz00_2918 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2916); 
if(
(BgL_arg1781z00_2898<BgL_odepthz00_2918))
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1775z00_2920;
BgL_arg1775z00_2920 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2916, BgL_arg1781z00_2898); 
BgL_res2416z00_2931 = 
(BgL_arg1775z00_2920==BgL_classz00_2895); }  else 
{ /* Llib/sqlite.scm 283 */
BgL_res2416z00_2931 = ((bool_t)0); } } } } 
BgL_test2697z00_4602 = BgL_res2416z00_2931; } }  else 
{ /* Llib/sqlite.scm 283 */
BgL_test2697z00_4602 = ((bool_t)0)
; } } 
if(BgL_test2697z00_4602)
{ /* Llib/sqlite.scm 283 */
BgL_auxz00_4601 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2077)
; }  else 
{ 
 obj_t BgL_auxz00_4624;
BgL_auxz00_4624 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(12188L), BGl_string2380z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2077); 
FAILURE(BgL_auxz00_4624,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2forzd2eachz00zz__sqlite_sqlitez00(BgL_auxz00_4601, BgL_auxz00_4628, BgL_auxz00_4635, BgL_argsz00_2080);} } 

}



/* sqlite-run */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2runzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_53, obj_t BgL_fmtz00_54, obj_t BgL_argsz00_55)
{
{ /* Llib/sqlite.scm 308 */
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_method1499z00_584;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_res2208z00_1698;
{ /* Llib/sqlite.scm 308 */
 long BgL_objzd2classzd2numz00_1669;
BgL_objzd2classzd2numz00_1669 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_53)); 
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1782z00_1670;
BgL_arg1782z00_1670 = 
PROCEDURE_REF(BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 308 */
 int BgL_offsetz00_1673;
BgL_offsetz00_1673 = 
(int)(BgL_objzd2classzd2numz00_1669); 
{ /* Llib/sqlite.scm 308 */
 long BgL_offsetz00_1674;
BgL_offsetz00_1674 = 
(
(long)(BgL_offsetz00_1673)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 308 */
 long BgL_modz00_1675;
BgL_modz00_1675 = 
(BgL_offsetz00_1674 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 308 */
 long BgL_restz00_1677;
BgL_restz00_1677 = 
(BgL_offsetz00_1674 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 308 */

{ /* Llib/sqlite.scm 308 */
 obj_t BgL_bucketz00_1679;
BgL_bucketz00_1679 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1670),BgL_modz00_1675); 
BgL_res2208z00_1698 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1679),BgL_restz00_1677); } } } } } } } } 
BgL_method1499z00_584 = BgL_res2208z00_1698; } 
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_auxz00_4668;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_list1985z00_585;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1986z00_586;
BgL_arg1986z00_586 = 
MAKE_YOUNG_PAIR(BgL_argsz00_55, BNIL); 
BgL_list1985z00_585 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_54, BgL_arg1986z00_586); } 
BgL_auxz00_4668 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_53), BgL_list1985z00_585); } 
return 
apply(BgL_method1499z00_584, BgL_auxz00_4668);} } } 

}



/* &sqlite-run */
obj_t BGl_z62sqlitezd2runzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2081, obj_t BgL_oz00_2082, obj_t BgL_fmtz00_2083, obj_t BgL_argsz00_2084)
{
{ /* Llib/sqlite.scm 308 */
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_auxz00_4701; BgL_z52sqlitez52_bglt BgL_auxz00_4674;
if(
STRINGP(BgL_fmtz00_2083))
{ /* Llib/sqlite.scm 308 */
BgL_auxz00_4701 = BgL_fmtz00_2083
; }  else 
{ 
 obj_t BgL_auxz00_4704;
BgL_auxz00_4704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(13247L), BGl_string2381z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_fmtz00_2083); 
FAILURE(BgL_auxz00_4704,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 308 */
 bool_t BgL_test2704z00_4675;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_classz00_2932;
BgL_classz00_2932 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2082))
{ /* Llib/sqlite.scm 308 */
 BgL_objectz00_bglt BgL_arg1780z00_2934; long BgL_arg1781z00_2935;
BgL_arg1780z00_2934 = 
(BgL_objectz00_bglt)(BgL_oz00_2082); 
BgL_arg1781z00_2935 = 
BGL_CLASS_DEPTH(BgL_classz00_2932); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 308 */
 long BgL_idxz00_2943;
BgL_idxz00_2943 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2934); 
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1773z00_2944;
{ /* Llib/sqlite.scm 308 */
 long BgL_arg1774z00_2945;
BgL_arg1774z00_2945 = 
(BgL_idxz00_2943+BgL_arg1781z00_2935); 
BgL_arg1773z00_2944 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2945); } 
BgL_test2704z00_4675 = 
(BgL_arg1773z00_2944==BgL_classz00_2932); } }  else 
{ /* Llib/sqlite.scm 308 */
 bool_t BgL_res2417z00_2968;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_oclassz00_2953;
{ /* Llib/sqlite.scm 308 */
 long BgL_arg1785z00_2959;
{ /* Llib/sqlite.scm 308 */
 long BgL_arg1786z00_2960;
BgL_arg1786z00_2960 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2934); 
BgL_arg1785z00_2959 = 
(BgL_arg1786z00_2960-OBJECT_TYPE); } 
BgL_oclassz00_2953 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2959); } 
{ /* Llib/sqlite.scm 308 */
 bool_t BgL__ortest_1114z00_2954;
BgL__ortest_1114z00_2954 = 
(BgL_classz00_2932==BgL_oclassz00_2953); 
if(BgL__ortest_1114z00_2954)
{ /* Llib/sqlite.scm 308 */
BgL_res2417z00_2968 = BgL__ortest_1114z00_2954; }  else 
{ /* Llib/sqlite.scm 308 */
 long BgL_odepthz00_2955;
BgL_odepthz00_2955 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2953); 
if(
(BgL_arg1781z00_2935<BgL_odepthz00_2955))
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1775z00_2957;
BgL_arg1775z00_2957 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2953, BgL_arg1781z00_2935); 
BgL_res2417z00_2968 = 
(BgL_arg1775z00_2957==BgL_classz00_2932); }  else 
{ /* Llib/sqlite.scm 308 */
BgL_res2417z00_2968 = ((bool_t)0); } } } } 
BgL_test2704z00_4675 = BgL_res2417z00_2968; } }  else 
{ /* Llib/sqlite.scm 308 */
BgL_test2704z00_4675 = ((bool_t)0)
; } } 
if(BgL_test2704z00_4675)
{ /* Llib/sqlite.scm 308 */
BgL_auxz00_4674 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2082)
; }  else 
{ 
 obj_t BgL_auxz00_4697;
BgL_auxz00_4697 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(13247L), BGl_string2381z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_oz00_2082); 
FAILURE(BgL_auxz00_4697,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2runzd2zz__sqlite_sqlitez00(BgL_auxz00_4674, BgL_auxz00_4701, BgL_argsz00_2084);} } 

}



/* sqlite-dump-table */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_68, obj_t BgL_tablez00_69, obj_t BgL_outz00_70)
{
{ /* Llib/sqlite.scm 364 */
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_method1503z00_587;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_res2213z00_1729;
{ /* Llib/sqlite.scm 364 */
 long BgL_objzd2classzd2numz00_1700;
BgL_objzd2classzd2numz00_1700 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dbz00_68)); 
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1782z00_1701;
BgL_arg1782z00_1701 = 
PROCEDURE_REF(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 364 */
 int BgL_offsetz00_1704;
BgL_offsetz00_1704 = 
(int)(BgL_objzd2classzd2numz00_1700); 
{ /* Llib/sqlite.scm 364 */
 long BgL_offsetz00_1705;
BgL_offsetz00_1705 = 
(
(long)(BgL_offsetz00_1704)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 364 */
 long BgL_modz00_1706;
BgL_modz00_1706 = 
(BgL_offsetz00_1705 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 364 */
 long BgL_restz00_1708;
BgL_restz00_1708 = 
(BgL_offsetz00_1705 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 364 */

{ /* Llib/sqlite.scm 364 */
 obj_t BgL_bucketz00_1710;
BgL_bucketz00_1710 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1701),BgL_modz00_1706); 
BgL_res2213z00_1729 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1710),BgL_restz00_1708); } } } } } } } } 
BgL_method1503z00_587 = BgL_res2213z00_1729; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1503z00_587))(BgL_method1503z00_587, 
((obj_t)BgL_dbz00_68), BgL_tablez00_69, BgL_outz00_70, BEOA);} } 

}



/* &sqlite-dump-table */
obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t BgL_envz00_2085, obj_t BgL_dbz00_2086, obj_t BgL_tablez00_2087, obj_t BgL_outz00_2088)
{
{ /* Llib/sqlite.scm 364 */
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_auxz00_4775; obj_t BgL_auxz00_4768; BgL_z52sqlitez52_bglt BgL_auxz00_4741;
if(
OUTPUT_PORTP(BgL_outz00_2088))
{ /* Llib/sqlite.scm 364 */
BgL_auxz00_4775 = BgL_outz00_2088
; }  else 
{ 
 obj_t BgL_auxz00_4778;
BgL_auxz00_4778 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(15713L), BGl_string2382z00zz__sqlite_sqlitez00, BGl_string2311z00zz__sqlite_sqlitez00, BgL_outz00_2088); 
FAILURE(BgL_auxz00_4778,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablez00_2087))
{ /* Llib/sqlite.scm 364 */
BgL_auxz00_4768 = BgL_tablez00_2087
; }  else 
{ 
 obj_t BgL_auxz00_4771;
BgL_auxz00_4771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(15713L), BGl_string2382z00zz__sqlite_sqlitez00, BGl_string2300z00zz__sqlite_sqlitez00, BgL_tablez00_2087); 
FAILURE(BgL_auxz00_4771,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 364 */
 bool_t BgL_test2710z00_4742;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_classz00_2969;
BgL_classz00_2969 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_dbz00_2086))
{ /* Llib/sqlite.scm 364 */
 BgL_objectz00_bglt BgL_arg1780z00_2971; long BgL_arg1781z00_2972;
BgL_arg1780z00_2971 = 
(BgL_objectz00_bglt)(BgL_dbz00_2086); 
BgL_arg1781z00_2972 = 
BGL_CLASS_DEPTH(BgL_classz00_2969); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 364 */
 long BgL_idxz00_2980;
BgL_idxz00_2980 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2971); 
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1773z00_2981;
{ /* Llib/sqlite.scm 364 */
 long BgL_arg1774z00_2982;
BgL_arg1774z00_2982 = 
(BgL_idxz00_2980+BgL_arg1781z00_2972); 
BgL_arg1773z00_2981 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2982); } 
BgL_test2710z00_4742 = 
(BgL_arg1773z00_2981==BgL_classz00_2969); } }  else 
{ /* Llib/sqlite.scm 364 */
 bool_t BgL_res2418z00_3005;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_oclassz00_2990;
{ /* Llib/sqlite.scm 364 */
 long BgL_arg1785z00_2996;
{ /* Llib/sqlite.scm 364 */
 long BgL_arg1786z00_2997;
BgL_arg1786z00_2997 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2971); 
BgL_arg1785z00_2996 = 
(BgL_arg1786z00_2997-OBJECT_TYPE); } 
BgL_oclassz00_2990 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2996); } 
{ /* Llib/sqlite.scm 364 */
 bool_t BgL__ortest_1114z00_2991;
BgL__ortest_1114z00_2991 = 
(BgL_classz00_2969==BgL_oclassz00_2990); 
if(BgL__ortest_1114z00_2991)
{ /* Llib/sqlite.scm 364 */
BgL_res2418z00_3005 = BgL__ortest_1114z00_2991; }  else 
{ /* Llib/sqlite.scm 364 */
 long BgL_odepthz00_2992;
BgL_odepthz00_2992 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2990); 
if(
(BgL_arg1781z00_2972<BgL_odepthz00_2992))
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1775z00_2994;
BgL_arg1775z00_2994 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2990, BgL_arg1781z00_2972); 
BgL_res2418z00_3005 = 
(BgL_arg1775z00_2994==BgL_classz00_2969); }  else 
{ /* Llib/sqlite.scm 364 */
BgL_res2418z00_3005 = ((bool_t)0); } } } } 
BgL_test2710z00_4742 = BgL_res2418z00_3005; } }  else 
{ /* Llib/sqlite.scm 364 */
BgL_test2710z00_4742 = ((bool_t)0)
; } } 
if(BgL_test2710z00_4742)
{ /* Llib/sqlite.scm 364 */
BgL_auxz00_4741 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_2086)
; }  else 
{ 
 obj_t BgL_auxz00_4764;
BgL_auxz00_4764 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2289z00zz__sqlite_sqlitez00, 
BINT(15713L), BGl_string2382z00zz__sqlite_sqlitez00, BGl_string2299z00zz__sqlite_sqlitez00, BgL_dbz00_2086); 
FAILURE(BgL_auxz00_4764,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_auxz00_4741, BgL_auxz00_4768, BgL_auxz00_4775);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2383z00zz__sqlite_sqlitez00, BGl_string2384z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2385z00zz__sqlite_sqlitez00, BGl_string2386z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2387z00zz__sqlite_sqlitez00, BGl_string2388z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2389z00zz__sqlite_sqlitez00, BGl_string2390z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2391z00zz__sqlite_sqlitez00, BGl_string2392z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2393z00zz__sqlite_sqlitez00, BGl_string2394z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2395z00zz__sqlite_sqlitez00, BGl_string2373z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2396z00zz__sqlite_sqlitez00, BGl_string2397z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2398z00zz__sqlite_sqlitez00, BGl_string2371z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2399z00zz__sqlite_sqlitez00, BGl_string2400z00zz__sqlite_sqlitez00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2401z00zz__sqlite_sqlitez00, BGl_string2402z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table-sq1505 */
obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1505zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2126, obj_t BgL_dbz00_2127, obj_t BgL_tablez00_2128, obj_t BgL_outz00_2129)
{
{ /* Llib/sqlite.scm 371 */
{ /* Llib/sqlite.scm 372 */
 obj_t BgL_arg2169z00_3007;
{ /* Llib/sqlite.scm 372 */
 obj_t BgL_arg2171z00_3008;
BgL_arg2171z00_3008 = 
string_append(BGl_string2403z00zz__sqlite_sqlitez00, BgL_tablez00_2128); 
BgL_arg2169z00_3007 = 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_dbz00_2127)), BgL_arg2171z00_3008, BNIL); } 
{ /* Llib/sqlite.scm 372 */
 obj_t BgL_list2170z00_3009;
BgL_list2170z00_3009 = 
MAKE_YOUNG_PAIR(BgL_outz00_2129, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg2169z00_3007, BgL_list2170z00_3009);} } } 

}



/* &sqlite-run-sqlite1501 */
obj_t BGl_z62sqlitezd2runzd2sqlite1501z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2130, obj_t BgL_oz00_2131, obj_t BgL_fmtz00_2132, obj_t BgL_argsz00_2133)
{
{ /* Llib/sqlite.scm 314 */
if(
NULLP(BgL_argsz00_2133))
{ /* Llib/sqlite.scm 317 */
 void * BgL_arg2161z00_3012;
BgL_arg2161z00_3012 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2131)))->BgL_z42builtinz42); 
return 
bgl_sqlite_run(BgL_arg2161z00_3012, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2132)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2131)));}  else 
{ /* Llib/sqlite.scm 318 */
 void * BgL_arg2162z00_3013; obj_t BgL_arg2163z00_3014;
BgL_arg2162z00_3013 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2131)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 318 */
 obj_t BgL_runner2166z00_3015;
{ /* Llib/sqlite.scm 318 */
 obj_t BgL_list2164z00_3016;
BgL_list2164z00_3016 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2133, BNIL); 
BgL_runner2166z00_3015 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2132), BgL_list2164z00_3016); } 
{ /* Llib/sqlite.scm 318 */
 obj_t BgL_aux2165z00_3017;
BgL_aux2165z00_3017 = 
CAR(BgL_runner2166z00_3015); 
BgL_runner2166z00_3015 = 
CDR(BgL_runner2166z00_3015); 
BgL_arg2163z00_3014 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2165z00_3017, BgL_runner2166z00_3015); } } 
return 
bgl_sqlite_run(BgL_arg2162z00_3013, 
BSTRING_TO_STRING(BgL_arg2163z00_3014), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2131)));} } 

}



/* &sqlite-for-each-sqli1497 */
obj_t BGl_z62sqlitezd2forzd2eachzd2sqli1497zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2134, obj_t BgL_oz00_2135, obj_t BgL_pz00_2136, obj_t BgL_fmtz00_2137, obj_t BgL_argsz00_2138)
{
{ /* Llib/sqlite.scm 293 */
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_pz00_2136), 
(int)(2L)))
{ /* Llib/sqlite.scm 295 */
 obj_t BgL_excz00_3021;
BgL_excz00_3021 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 295 */
 obj_t BgL_pz00_3022;
{ 

{ /* Llib/sqlite.scm 296 */
 int BgL_aux1373z00_3025;
BgL_aux1373z00_3025 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_2136)); 
switch( 
(long)(BgL_aux1373z00_3025)) { case 1L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32132ze3z87_3026;
BgL_zc3z04anonymousza32132ze3z87_3026 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32132ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_3026, 
(int)(0L), 
((obj_t)BgL_pz00_2136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_3026, 
(int)(1L), 
((obj_t)BgL_excz00_3021)); 
BgL_pz00_3022 = BgL_zc3z04anonymousza32132ze3z87_3026; } break;case 2L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32137ze3z87_3027;
BgL_zc3z04anonymousza32137ze3z87_3027 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32137ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32137ze3z87_3027, 
(int)(0L), 
((obj_t)BgL_pz00_2136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32137ze3z87_3027, 
(int)(1L), 
((obj_t)BgL_excz00_3021)); 
BgL_pz00_3022 = BgL_zc3z04anonymousza32137ze3z87_3027; } break;case 3L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32142ze3z87_3028;
BgL_zc3z04anonymousza32142ze3z87_3028 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32142ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32142ze3z87_3028, 
(int)(0L), 
((obj_t)BgL_pz00_2136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32142ze3z87_3028, 
(int)(1L), 
((obj_t)BgL_excz00_3021)); 
BgL_pz00_3022 = BgL_zc3z04anonymousza32142ze3z87_3028; } break;case 4L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32147ze3z87_3029;
BgL_zc3z04anonymousza32147ze3z87_3029 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32147ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32147ze3z87_3029, 
(int)(0L), 
((obj_t)BgL_pz00_2136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32147ze3z87_3029, 
(int)(1L), 
((obj_t)BgL_excz00_3021)); 
BgL_pz00_3022 = BgL_zc3z04anonymousza32147ze3z87_3029; } break;
default: 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32152ze3z87_3024;
BgL_zc3z04anonymousza32152ze3z87_3024 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32152ze3ze5zz__sqlite_sqlitez00, 
(int)(-1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_3024, 
(int)(0L), 
((obj_t)BgL_pz00_2136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32152ze3z87_3024, 
(int)(1L), 
((obj_t)BgL_excz00_3021)); 
BgL_pz00_3022 = BgL_zc3z04anonymousza32152ze3z87_3024; } } } } 
{ /* Llib/sqlite.scm 296 */

{ /* Llib/sqlite.scm 297 */
 obj_t BgL_exitd1442z00_3030;
BgL_exitd1442z00_3030 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 302 */
 obj_t BgL_zc3z04anonymousza32131ze3z87_3031;
BgL_zc3z04anonymousza32131ze3z87_3031 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32131ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_3031, 
(int)(0L), 
((obj_t)BgL_excz00_3021)); 
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1797z00_3032;
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1798z00_3033;
BgL_arg1798z00_3033 = 
BGL_EXITD_PROTECT(BgL_exitd1442z00_3030); 
BgL_arg1797z00_3032 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32131ze3z87_3031, BgL_arg1798z00_3033); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1442z00_3030, BgL_arg1797z00_3032); BUNSPEC; } 
{ /* Llib/sqlite.scm 298 */
 obj_t BgL_tmp1444z00_3034;
if(
NULLP(BgL_argsz00_2138))
{ /* Llib/sqlite.scm 300 */
 void * BgL_arg2125z00_3035;
BgL_arg2125z00_3035 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2135)))->BgL_z42builtinz42); 
BgL_tmp1444z00_3034 = 
bgl_sqlite_for_each(BgL_arg2125z00_3035, BgL_pz00_3022, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2137)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2135))); }  else 
{ /* Llib/sqlite.scm 301 */
 void * BgL_arg2126z00_3036; obj_t BgL_arg2127z00_3037;
BgL_arg2126z00_3036 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2135)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 301 */
 obj_t BgL_runner2130z00_3038;
{ /* Llib/sqlite.scm 301 */
 obj_t BgL_list2128z00_3039;
BgL_list2128z00_3039 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2138, BNIL); 
BgL_runner2130z00_3038 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2137), BgL_list2128z00_3039); } 
{ /* Llib/sqlite.scm 301 */
 obj_t BgL_aux2129z00_3040;
BgL_aux2129z00_3040 = 
CAR(BgL_runner2130z00_3038); 
BgL_runner2130z00_3038 = 
CDR(BgL_runner2130z00_3038); 
BgL_arg2127z00_3037 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2129z00_3040, BgL_runner2130z00_3038); } } 
BgL_tmp1444z00_3034 = 
bgl_sqlite_for_each(BgL_arg2126z00_3036, BgL_pz00_3022, 
BSTRING_TO_STRING(BgL_arg2127z00_3037), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2135))); } 
{ /* Llib/sqlite.scm 297 */
 bool_t BgL_test2720z00_4905;
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1796z00_3041;
BgL_arg1796z00_3041 = 
BGL_EXITD_PROTECT(BgL_exitd1442z00_3030); 
BgL_test2720z00_4905 = 
PAIRP(BgL_arg1796z00_3041); } 
if(BgL_test2720z00_4905)
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1794z00_3042;
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1795z00_3043;
BgL_arg1795z00_3043 = 
BGL_EXITD_PROTECT(BgL_exitd1442z00_3030); 
BgL_arg1794z00_3042 = 
CDR(
((obj_t)BgL_arg1795z00_3043)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1442z00_3030, BgL_arg1794z00_3042); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 297 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_3021)))
{ /* Llib/sqlite.scm 302 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_3021)); }  else 
{ /* Llib/sqlite.scm 302 */BFALSE; } BgL_tmp1444z00_3034; } } } 
return 
BGl_errorz00zz__errorz00(BGl_string2371z00zz__sqlite_sqlitez00, BGl_string2372z00zz__sqlite_sqlitez00, BgL_pz00_3022);} } }  else 
{ /* Llib/sqlite.scm 294 */
return BFALSE;} } 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2141)
{
{ /* Llib/sqlite.scm 297 */
{ /* Llib/sqlite.scm 302 */
 obj_t BgL_excz00_2142;
BgL_excz00_2142 = 
PROCEDURE_REF(BgL_envz00_2141, 
(int)(0L)); 
if(
CBOOL(
CELL_REF(BgL_excz00_2142)))
{ /* Llib/sqlite.scm 302 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2142));}  else 
{ /* Llib/sqlite.scm 302 */
return BFALSE;} } } 

}



/* &<@anonymous:2147> */
obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2143, obj_t BgL_xz00_2146, obj_t BgL_yz00_2147, obj_t BgL_za7za7_2148, obj_t BgL_tz00_2149)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2144; obj_t BgL_excz00_2145;
BgL_pz00_2144 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2143, 
(int)(0L))); 
BgL_excz00_2145 = 
PROCEDURE_REF(BgL_envz00_2143, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1433z00_3044;
BgL_env1433z00_3044 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1428z00_3045;
BgL_cell1428z00_3045 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1432z00_3046;
BgL_val1432z00_3046 = 
BGl_zc3z04exitza32149ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2149, BgL_za7za7_2148, BgL_yz00_2147, BgL_xz00_2146, BgL_pz00_2144, BgL_cell1428z00_3045, BgL_env1433z00_3044); 
if(
(BgL_val1432z00_3046==BgL_cell1428z00_3045))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_4931;
BgL_tmpz00_4931 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_4931); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2148z00_3047;
BgL_arg2148z00_3047 = 
CELL_REF(
((obj_t)BgL_val1432z00_3046)); 
return 
CELL_SET(BgL_excz00_2145, BgL_arg2148z00_3047);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1432z00_3046;} } } } } } 

}



/* <@exit:2149>~0 */
obj_t BGl_zc3z04exitza32149ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2427, obj_t BgL_za7za7_2426, obj_t BgL_yz00_2425, obj_t BgL_xz00_2424, obj_t BgL_pz00_2423, obj_t BgL_cell1428z00_2422, obj_t BgL_env1433z00_2421)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1437z00_1145;
if( SET_EXIT(BgL_an_exit1437z00_1145 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1437z00_1145 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1433z00_2421, BgL_an_exit1437z00_1145, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1429z00_1146;
BgL_escape1429z00_1146 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1433z00_2421); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1440z00_1147;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1425z00_1148;
BgL_ohs1425z00_1148 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1433z00_2421); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1426z00_1149;
BgL_hds1426z00_1149 = 
MAKE_STACK_PAIR(BgL_escape1429z00_1146, BgL_cell1428z00_2422); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1433z00_2421, BgL_hds1426z00_1149); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1434z00_1150;
BgL_exitd1434z00_1150 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1433z00_2421); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1436z00_1151;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2150z00_1153;
BgL_arg2150z00_1153 = 
BGL_EXITD_PROTECT(BgL_exitd1434z00_1150); 
BgL_tmp1436z00_1151 = 
MAKE_YOUNG_PAIR(BgL_ohs1425z00_1148, BgL_arg2150z00_1153); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1434z00_1150, BgL_tmp1436z00_1151); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1435z00_1152;
BgL_tmp1435z00_1152 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2423))(BgL_pz00_2423, BgL_xz00_2424, BgL_yz00_2425, BgL_za7za7_2426, BgL_tz00_2427, BEOA); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2724z00_4954;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1796z00_1885;
BgL_arg1796z00_1885 = 
BGL_EXITD_PROTECT(BgL_exitd1434z00_1150); 
BgL_test2724z00_4954 = 
PAIRP(BgL_arg1796z00_1885); } 
if(BgL_test2724z00_4954)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1794z00_1886;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1795z00_1887;
BgL_arg1795z00_1887 = 
BGL_EXITD_PROTECT(BgL_exitd1434z00_1150); 
BgL_arg1794z00_1886 = 
CDR(
((obj_t)BgL_arg1795z00_1887)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1434z00_1150, BgL_arg1794z00_1886); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1433z00_2421, BgL_ohs1425z00_1148); BUNSPEC; 
BgL_res1440z00_1147 = BgL_tmp1435z00_1152; } } } } } } 
POP_ENV_EXIT(BgL_env1433z00_2421); 
return BgL_res1440z00_1147;} } 
}} 

}



/* &<@anonymous:2142> */
obj_t BGl_z62zc3z04anonymousza32142ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2151, obj_t BgL_xz00_2154, obj_t BgL_yz00_2155, obj_t BgL_za7za7_2156)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2152; obj_t BgL_excz00_2153;
BgL_pz00_2152 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2151, 
(int)(0L))); 
BgL_excz00_2153 = 
PROCEDURE_REF(BgL_envz00_2151, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1416z00_3048;
BgL_env1416z00_3048 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1411z00_3049;
BgL_cell1411z00_3049 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1415z00_3050;
BgL_val1415z00_3050 = 
BGl_zc3z04exitza32144ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2156, BgL_yz00_2155, BgL_xz00_2154, BgL_pz00_2152, BgL_cell1411z00_3049, BgL_env1416z00_3048); 
if(
(BgL_val1415z00_3050==BgL_cell1411z00_3049))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_4973;
BgL_tmpz00_4973 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_4973); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2143z00_3051;
BgL_arg2143z00_3051 = 
CELL_REF(
((obj_t)BgL_val1415z00_3050)); 
return 
CELL_SET(BgL_excz00_2153, BgL_arg2143z00_3051);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1415z00_3050;} } } } } } 

}



/* <@exit:2144>~0 */
obj_t BGl_zc3z04exitza32144ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2420, obj_t BgL_yz00_2419, obj_t BgL_xz00_2418, obj_t BgL_pz00_2417, obj_t BgL_cell1411z00_2416, obj_t BgL_env1416z00_2415)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1420z00_1122;
if( SET_EXIT(BgL_an_exit1420z00_1122 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1420z00_1122 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1416z00_2415, BgL_an_exit1420z00_1122, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1412z00_1123;
BgL_escape1412z00_1123 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1416z00_2415); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1423z00_1124;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1408z00_1125;
BgL_ohs1408z00_1125 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1416z00_2415); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1409z00_1126;
BgL_hds1409z00_1126 = 
MAKE_STACK_PAIR(BgL_escape1412z00_1123, BgL_cell1411z00_2416); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1416z00_2415, BgL_hds1409z00_1126); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1417z00_1127;
BgL_exitd1417z00_1127 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1416z00_2415); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1419z00_1128;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2145z00_1130;
BgL_arg2145z00_1130 = 
BGL_EXITD_PROTECT(BgL_exitd1417z00_1127); 
BgL_tmp1419z00_1128 = 
MAKE_YOUNG_PAIR(BgL_ohs1408z00_1125, BgL_arg2145z00_1130); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1417z00_1127, BgL_tmp1419z00_1128); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1418z00_1129;
BgL_tmp1418z00_1129 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2417))(BgL_pz00_2417, BgL_xz00_2418, BgL_yz00_2419, BgL_za7za7_2420, BEOA); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2726z00_4995;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1796z00_1879;
BgL_arg1796z00_1879 = 
BGL_EXITD_PROTECT(BgL_exitd1417z00_1127); 
BgL_test2726z00_4995 = 
PAIRP(BgL_arg1796z00_1879); } 
if(BgL_test2726z00_4995)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1794z00_1880;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1795z00_1881;
BgL_arg1795z00_1881 = 
BGL_EXITD_PROTECT(BgL_exitd1417z00_1127); 
BgL_arg1794z00_1880 = 
CDR(
((obj_t)BgL_arg1795z00_1881)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1417z00_1127, BgL_arg1794z00_1880); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1416z00_2415, BgL_ohs1408z00_1125); BUNSPEC; 
BgL_res1423z00_1124 = BgL_tmp1418z00_1129; } } } } } } 
POP_ENV_EXIT(BgL_env1416z00_2415); 
return BgL_res1423z00_1124;} } 
}} 

}



/* &<@anonymous:2137> */
obj_t BGl_z62zc3z04anonymousza32137ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2158, obj_t BgL_xz00_2161, obj_t BgL_yz00_2162)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2159; obj_t BgL_excz00_2160;
BgL_pz00_2159 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2158, 
(int)(0L))); 
BgL_excz00_2160 = 
PROCEDURE_REF(BgL_envz00_2158, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1399z00_3052;
BgL_env1399z00_3052 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1394z00_3053;
BgL_cell1394z00_3053 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1398z00_3054;
BgL_val1398z00_3054 = 
BGl_zc3z04exitza32139ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2162, BgL_xz00_2161, BgL_pz00_2159, BgL_cell1394z00_3053, BgL_env1399z00_3052); 
if(
(BgL_val1398z00_3054==BgL_cell1394z00_3053))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_5014;
BgL_tmpz00_5014 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5014); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2138z00_3055;
BgL_arg2138z00_3055 = 
CELL_REF(
((obj_t)BgL_val1398z00_3054)); 
return 
CELL_SET(BgL_excz00_2160, BgL_arg2138z00_3055);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1398z00_3054;} } } } } } 

}



/* <@exit:2139>~0 */
obj_t BGl_zc3z04exitza32139ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2414, obj_t BgL_xz00_2413, obj_t BgL_pz00_2412, obj_t BgL_cell1394z00_2411, obj_t BgL_env1399z00_2410)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1403z00_1100;
if( SET_EXIT(BgL_an_exit1403z00_1100 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1403z00_1100 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1399z00_2410, BgL_an_exit1403z00_1100, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1395z00_1101;
BgL_escape1395z00_1101 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1399z00_2410); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1406z00_1102;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1391z00_1103;
BgL_ohs1391z00_1103 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1399z00_2410); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1392z00_1104;
BgL_hds1392z00_1104 = 
MAKE_STACK_PAIR(BgL_escape1395z00_1101, BgL_cell1394z00_2411); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1399z00_2410, BgL_hds1392z00_1104); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1400z00_1105;
BgL_exitd1400z00_1105 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1399z00_2410); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1402z00_1106;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2140z00_1108;
BgL_arg2140z00_1108 = 
BGL_EXITD_PROTECT(BgL_exitd1400z00_1105); 
BgL_tmp1402z00_1106 = 
MAKE_YOUNG_PAIR(BgL_ohs1391z00_1103, BgL_arg2140z00_1108); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1400z00_1105, BgL_tmp1402z00_1106); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1401z00_1107;
BgL_tmp1401z00_1107 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2412))(BgL_pz00_2412, BgL_xz00_2413, BgL_yz00_2414, BEOA); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2728z00_5035;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1796z00_1873;
BgL_arg1796z00_1873 = 
BGL_EXITD_PROTECT(BgL_exitd1400z00_1105); 
BgL_test2728z00_5035 = 
PAIRP(BgL_arg1796z00_1873); } 
if(BgL_test2728z00_5035)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1794z00_1874;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1795z00_1875;
BgL_arg1795z00_1875 = 
BGL_EXITD_PROTECT(BgL_exitd1400z00_1105); 
BgL_arg1794z00_1874 = 
CDR(
((obj_t)BgL_arg1795z00_1875)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1400z00_1105, BgL_arg1794z00_1874); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1399z00_2410, BgL_ohs1391z00_1103); BUNSPEC; 
BgL_res1406z00_1102 = BgL_tmp1401z00_1107; } } } } } } 
POP_ENV_EXIT(BgL_env1399z00_2410); 
return BgL_res1406z00_1102;} } 
}} 

}



/* &<@anonymous:2132> */
obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2164, obj_t BgL_xz00_2167)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2165; obj_t BgL_excz00_2166;
BgL_pz00_2165 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2164, 
(int)(0L))); 
BgL_excz00_2166 = 
PROCEDURE_REF(BgL_envz00_2164, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1382z00_3056;
BgL_env1382z00_3056 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1377z00_3057;
BgL_cell1377z00_3057 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1381z00_3058;
BgL_val1381z00_3058 = 
BGl_zc3z04exitza32134ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2167, BgL_pz00_2165, BgL_cell1377z00_3057, BgL_env1382z00_3056); 
if(
(BgL_val1381z00_3058==BgL_cell1377z00_3057))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_5054;
BgL_tmpz00_5054 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5054); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2133z00_3059;
BgL_arg2133z00_3059 = 
CELL_REF(
((obj_t)BgL_val1381z00_3058)); 
return 
CELL_SET(BgL_excz00_2166, BgL_arg2133z00_3059);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1381z00_3058;} } } } } } 

}



/* <@exit:2134>~0 */
obj_t BGl_zc3z04exitza32134ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2409, obj_t BgL_pz00_2408, obj_t BgL_cell1377z00_2407, obj_t BgL_env1382z00_2406)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1386z00_1079;
if( SET_EXIT(BgL_an_exit1386z00_1079 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1386z00_1079 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1382z00_2406, BgL_an_exit1386z00_1079, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1378z00_1080;
BgL_escape1378z00_1080 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1382z00_2406); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1389z00_1081;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1374z00_1082;
BgL_ohs1374z00_1082 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1382z00_2406); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1375z00_1083;
BgL_hds1375z00_1083 = 
MAKE_STACK_PAIR(BgL_escape1378z00_1080, BgL_cell1377z00_2407); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1382z00_2406, BgL_hds1375z00_1083); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1383z00_1084;
BgL_exitd1383z00_1084 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1382z00_2406); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1385z00_1085;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2135z00_1087;
BgL_arg2135z00_1087 = 
BGL_EXITD_PROTECT(BgL_exitd1383z00_1084); 
BgL_tmp1385z00_1085 = 
MAKE_YOUNG_PAIR(BgL_ohs1374z00_1082, BgL_arg2135z00_1087); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1383z00_1084, BgL_tmp1385z00_1085); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1384z00_1086;
BgL_tmp1384z00_1086 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2408))(BgL_pz00_2408, BgL_xz00_2409, BEOA); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2730z00_5074;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1796z00_1867;
BgL_arg1796z00_1867 = 
BGL_EXITD_PROTECT(BgL_exitd1383z00_1084); 
BgL_test2730z00_5074 = 
PAIRP(BgL_arg1796z00_1867); } 
if(BgL_test2730z00_5074)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1794z00_1868;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1795z00_1869;
BgL_arg1795z00_1869 = 
BGL_EXITD_PROTECT(BgL_exitd1383z00_1084); 
BgL_arg1794z00_1868 = 
CDR(
((obj_t)BgL_arg1795z00_1869)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1383z00_1084, BgL_arg1794z00_1868); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1382z00_2406, BgL_ohs1374z00_1082); BUNSPEC; 
BgL_res1389z00_1081 = BgL_tmp1384z00_1086; } } } } } } 
POP_ENV_EXIT(BgL_env1382z00_2406); 
return BgL_res1389z00_1081;} } 
}} 

}



/* &<@anonymous:2152> */
obj_t BGl_z62zc3z04anonymousza32152ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2169, obj_t BgL_lz00_2172)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2170; obj_t BgL_excz00_2171;
BgL_pz00_2170 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2169, 
(int)(0L))); 
BgL_excz00_2171 = 
PROCEDURE_REF(BgL_envz00_2169, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1363z00_3060;
BgL_env1363z00_3060 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1358z00_3061;
BgL_cell1358z00_3061 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1362z00_3062;
BgL_val1362z00_3062 = 
BGl_zc3z04exitza32154ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2170, BgL_lz00_2172, BgL_cell1358z00_3061, BgL_env1363z00_3060); 
if(
(BgL_val1362z00_3062==BgL_cell1358z00_3061))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_5093;
BgL_tmpz00_5093 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5093); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2153z00_3063;
BgL_arg2153z00_3063 = 
CELL_REF(
((obj_t)BgL_val1362z00_3062)); 
return 
CELL_SET(BgL_excz00_2171, BgL_arg2153z00_3063);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1362z00_3062;} } } } } } 

}



/* <@exit:2154>~0 */
obj_t BGl_zc3z04exitza32154ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2405, obj_t BgL_lz00_2404, obj_t BgL_cell1358z00_2403, obj_t BgL_env1363z00_2402)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1367z00_1165;
if( SET_EXIT(BgL_an_exit1367z00_1165 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1367z00_1165 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1363z00_2402, BgL_an_exit1367z00_1165, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1359z00_1166;
BgL_escape1359z00_1166 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1363z00_2402); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1370z00_1167;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1355z00_1168;
BgL_ohs1355z00_1168 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1363z00_2402); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1356z00_1169;
BgL_hds1356z00_1169 = 
MAKE_STACK_PAIR(BgL_escape1359z00_1166, BgL_cell1358z00_2403); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1363z00_2402, BgL_hds1356z00_1169); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1364z00_1170;
BgL_exitd1364z00_1170 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1363z00_2402); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1366z00_1171;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2155z00_1173;
BgL_arg2155z00_1173 = 
BGL_EXITD_PROTECT(BgL_exitd1364z00_1170); 
BgL_tmp1366z00_1171 = 
MAKE_YOUNG_PAIR(BgL_ohs1355z00_1168, BgL_arg2155z00_1173); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1364z00_1170, BgL_tmp1366z00_1171); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1365z00_1172;
BgL_tmp1365z00_1172 = 
apply(BgL_pz00_2405, BgL_lz00_2404); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2732z00_5111;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1796z00_1860;
BgL_arg1796z00_1860 = 
BGL_EXITD_PROTECT(BgL_exitd1364z00_1170); 
BgL_test2732z00_5111 = 
PAIRP(BgL_arg1796z00_1860); } 
if(BgL_test2732z00_5111)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1794z00_1861;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1795z00_1862;
BgL_arg1795z00_1862 = 
BGL_EXITD_PROTECT(BgL_exitd1364z00_1170); 
BgL_arg1794z00_1861 = 
CDR(
((obj_t)BgL_arg1795z00_1862)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1364z00_1170, BgL_arg1794z00_1861); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1363z00_2402, BgL_ohs1355z00_1168); BUNSPEC; 
BgL_res1370z00_1167 = BgL_tmp1365z00_1172; } } } } } } 
POP_ENV_EXIT(BgL_env1363z00_2402); 
return BgL_res1370z00_1167;} } 
}} 

}



/* &sqlite-map-sqlite1493 */
obj_t BGl_z62sqlitezd2mapzd2sqlite1493z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2174, obj_t BgL_oz00_2175, obj_t BgL_pz00_2176, obj_t BgL_fmtz00_2177, obj_t BgL_argsz00_2178)
{
{ /* Llib/sqlite.scm 270 */
{ /* Llib/sqlite.scm 271 */
 obj_t BgL_excz00_3067;
BgL_excz00_3067 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 271 */
 obj_t BgL_pz00_3068;
{ 

{ /* Llib/sqlite.scm 272 */
 int BgL_aux1280z00_3071;
BgL_aux1280z00_3071 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_2176)); 
switch( 
(long)(BgL_aux1280z00_3071)) { case 1L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32096ze3z87_3072;
BgL_zc3z04anonymousza32096ze3z87_3072 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32096ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32096ze3z87_3072, 
(int)(0L), 
((obj_t)BgL_pz00_2176)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32096ze3z87_3072, 
(int)(1L), 
((obj_t)BgL_excz00_3067)); 
BgL_pz00_3068 = BgL_zc3z04anonymousza32096ze3z87_3072; } break;case 2L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32101ze3z87_3073;
BgL_zc3z04anonymousza32101ze3z87_3073 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32101ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32101ze3z87_3073, 
(int)(0L), 
((obj_t)BgL_pz00_2176)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32101ze3z87_3073, 
(int)(1L), 
((obj_t)BgL_excz00_3067)); 
BgL_pz00_3068 = BgL_zc3z04anonymousza32101ze3z87_3073; } break;case 3L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32106ze3z87_3074;
BgL_zc3z04anonymousza32106ze3z87_3074 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32106ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32106ze3z87_3074, 
(int)(0L), 
((obj_t)BgL_pz00_2176)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32106ze3z87_3074, 
(int)(1L), 
((obj_t)BgL_excz00_3067)); 
BgL_pz00_3068 = BgL_zc3z04anonymousza32106ze3z87_3074; } break;case 4L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32111ze3z87_3075;
BgL_zc3z04anonymousza32111ze3z87_3075 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32111ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32111ze3z87_3075, 
(int)(0L), 
((obj_t)BgL_pz00_2176)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32111ze3z87_3075, 
(int)(1L), 
((obj_t)BgL_excz00_3067)); 
BgL_pz00_3068 = BgL_zc3z04anonymousza32111ze3z87_3075; } break;
default: 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32116ze3z87_3070;
BgL_zc3z04anonymousza32116ze3z87_3070 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32116ze3ze5zz__sqlite_sqlitez00, 
(int)(-1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32116ze3z87_3070, 
(int)(0L), 
((obj_t)BgL_pz00_2176)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32116ze3z87_3070, 
(int)(1L), 
((obj_t)BgL_excz00_3067)); 
BgL_pz00_3068 = BgL_zc3z04anonymousza32116ze3z87_3070; } } } } 
{ /* Llib/sqlite.scm 272 */

{ /* Llib/sqlite.scm 273 */
 obj_t BgL_exitd1349z00_3076;
BgL_exitd1349z00_3076 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 278 */
 obj_t BgL_zc3z04anonymousza32095ze3z87_3077;
BgL_zc3z04anonymousza32095ze3z87_3077 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32095ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32095ze3z87_3077, 
(int)(0L), 
((obj_t)BgL_excz00_3067)); 
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1797z00_3078;
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1798z00_3079;
BgL_arg1798z00_3079 = 
BGL_EXITD_PROTECT(BgL_exitd1349z00_3076); 
BgL_arg1797z00_3078 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32095ze3z87_3077, BgL_arg1798z00_3079); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1349z00_3076, BgL_arg1797z00_3078); BUNSPEC; } 
{ /* Llib/sqlite.scm 274 */
 obj_t BgL_tmp1351z00_3080;
if(
NULLP(BgL_argsz00_2178))
{ /* Llib/sqlite.scm 276 */
 void * BgL_arg2089z00_3081;
BgL_arg2089z00_3081 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2175)))->BgL_z42builtinz42); 
BgL_tmp1351z00_3080 = 
bgl_sqlite_map(BgL_arg2089z00_3081, BgL_pz00_3068, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2177)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2175))); }  else 
{ /* Llib/sqlite.scm 277 */
 void * BgL_arg2090z00_3082; obj_t BgL_arg2091z00_3083;
BgL_arg2090z00_3082 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2175)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 277 */
 obj_t BgL_runner2094z00_3084;
{ /* Llib/sqlite.scm 277 */
 obj_t BgL_list2092z00_3085;
BgL_list2092z00_3085 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2178, BNIL); 
BgL_runner2094z00_3084 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2177), BgL_list2092z00_3085); } 
{ /* Llib/sqlite.scm 277 */
 obj_t BgL_aux2093z00_3086;
BgL_aux2093z00_3086 = 
CAR(BgL_runner2094z00_3084); 
BgL_runner2094z00_3084 = 
CDR(BgL_runner2094z00_3084); 
BgL_arg2091z00_3083 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2093z00_3086, BgL_runner2094z00_3084); } } 
BgL_tmp1351z00_3080 = 
bgl_sqlite_map(BgL_arg2090z00_3082, BgL_pz00_3068, 
BSTRING_TO_STRING(BgL_arg2091z00_3083), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2175))); } 
{ /* Llib/sqlite.scm 273 */
 bool_t BgL_test2734z00_5200;
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1796z00_3087;
BgL_arg1796z00_3087 = 
BGL_EXITD_PROTECT(BgL_exitd1349z00_3076); 
BgL_test2734z00_5200 = 
PAIRP(BgL_arg1796z00_3087); } 
if(BgL_test2734z00_5200)
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1794z00_3088;
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1795z00_3089;
BgL_arg1795z00_3089 = 
BGL_EXITD_PROTECT(BgL_exitd1349z00_3076); 
BgL_arg1794z00_3088 = 
CDR(
((obj_t)BgL_arg1795z00_3089)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1349z00_3076, BgL_arg1794z00_3088); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 273 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_3067)))
{ /* Llib/sqlite.scm 278 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_3067)); }  else 
{ /* Llib/sqlite.scm 278 */BFALSE; } 
return BgL_tmp1351z00_3080;} } } } } } } 

}



/* &<@anonymous:2095> */
obj_t BGl_z62zc3z04anonymousza32095ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2181)
{
{ /* Llib/sqlite.scm 273 */
{ /* Llib/sqlite.scm 278 */
 obj_t BgL_excz00_2182;
BgL_excz00_2182 = 
PROCEDURE_REF(BgL_envz00_2181, 
(int)(0L)); 
if(
CBOOL(
CELL_REF(BgL_excz00_2182)))
{ /* Llib/sqlite.scm 278 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2182));}  else 
{ /* Llib/sqlite.scm 278 */
return BFALSE;} } } 

}



/* &<@anonymous:2111> */
obj_t BGl_z62zc3z04anonymousza32111ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2183, obj_t BgL_xz00_2186, obj_t BgL_yz00_2187, obj_t BgL_za7za7_2188, obj_t BgL_tz00_2189)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2184; obj_t BgL_excz00_2185;
BgL_pz00_2184 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2183, 
(int)(0L))); 
BgL_excz00_2185 = 
PROCEDURE_REF(BgL_envz00_2183, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1340z00_3090;
BgL_env1340z00_3090 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1335z00_3091;
BgL_cell1335z00_3091 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1339z00_3092;
BgL_val1339z00_3092 = 
BGl_zc3z04exitza32113ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2189, BgL_za7za7_2188, BgL_yz00_2187, BgL_xz00_2186, BgL_pz00_2184, BgL_cell1335z00_3091, BgL_env1340z00_3090); 
if(
(BgL_val1339z00_3092==BgL_cell1335z00_3091))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5225;
BgL_tmpz00_5225 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5225); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2112z00_3093;
BgL_arg2112z00_3093 = 
CELL_REF(
((obj_t)BgL_val1339z00_3092)); 
return 
CELL_SET(BgL_excz00_2185, BgL_arg2112z00_3093);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1339z00_3092;} } } } } } 

}



/* <@exit:2113>~0 */
obj_t BGl_zc3z04exitza32113ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2401, obj_t BgL_za7za7_2400, obj_t BgL_yz00_2399, obj_t BgL_xz00_2398, obj_t BgL_pz00_2397, obj_t BgL_cell1335z00_2396, obj_t BgL_env1340z00_2395)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1344z00_1012;
if( SET_EXIT(BgL_an_exit1344z00_1012 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1344z00_1012 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1340z00_2395, BgL_an_exit1344z00_1012, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1336z00_1013;
BgL_escape1336z00_1013 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1340z00_2395); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1347z00_1014;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1332z00_1015;
BgL_ohs1332z00_1015 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1340z00_2395); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1333z00_1016;
BgL_hds1333z00_1016 = 
MAKE_STACK_PAIR(BgL_escape1336z00_1013, BgL_cell1335z00_2396); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1340z00_2395, BgL_hds1333z00_1016); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1341z00_1017;
BgL_exitd1341z00_1017 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1340z00_2395); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1343z00_1018;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2114z00_1020;
BgL_arg2114z00_1020 = 
BGL_EXITD_PROTECT(BgL_exitd1341z00_1017); 
BgL_tmp1343z00_1018 = 
MAKE_YOUNG_PAIR(BgL_ohs1332z00_1015, BgL_arg2114z00_1020); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1341z00_1017, BgL_tmp1343z00_1018); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1342z00_1019;
BgL_tmp1342z00_1019 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2397))(BgL_pz00_2397, BgL_xz00_2398, BgL_yz00_2399, BgL_za7za7_2400, BgL_tz00_2401, BEOA); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2738z00_5248;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1796z00_1845;
BgL_arg1796z00_1845 = 
BGL_EXITD_PROTECT(BgL_exitd1341z00_1017); 
BgL_test2738z00_5248 = 
PAIRP(BgL_arg1796z00_1845); } 
if(BgL_test2738z00_5248)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1794z00_1846;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1795z00_1847;
BgL_arg1795z00_1847 = 
BGL_EXITD_PROTECT(BgL_exitd1341z00_1017); 
BgL_arg1794z00_1846 = 
CDR(
((obj_t)BgL_arg1795z00_1847)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1341z00_1017, BgL_arg1794z00_1846); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1340z00_2395, BgL_ohs1332z00_1015); BUNSPEC; 
BgL_res1347z00_1014 = BgL_tmp1342z00_1019; } } } } } } 
POP_ENV_EXIT(BgL_env1340z00_2395); 
return BgL_res1347z00_1014;} } 
}} 

}



/* &<@anonymous:2106> */
obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2191, obj_t BgL_xz00_2194, obj_t BgL_yz00_2195, obj_t BgL_za7za7_2196)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2192; obj_t BgL_excz00_2193;
BgL_pz00_2192 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2191, 
(int)(0L))); 
BgL_excz00_2193 = 
PROCEDURE_REF(BgL_envz00_2191, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1323z00_3094;
BgL_env1323z00_3094 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1318z00_3095;
BgL_cell1318z00_3095 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1322z00_3096;
BgL_val1322z00_3096 = 
BGl_zc3z04exitza32108ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2196, BgL_yz00_2195, BgL_xz00_2194, BgL_pz00_2192, BgL_cell1318z00_3095, BgL_env1323z00_3094); 
if(
(BgL_val1322z00_3096==BgL_cell1318z00_3095))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5267;
BgL_tmpz00_5267 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5267); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2107z00_3097;
BgL_arg2107z00_3097 = 
CELL_REF(
((obj_t)BgL_val1322z00_3096)); 
return 
CELL_SET(BgL_excz00_2193, BgL_arg2107z00_3097);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1322z00_3096;} } } } } } 

}



/* <@exit:2108>~0 */
obj_t BGl_zc3z04exitza32108ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2394, obj_t BgL_yz00_2393, obj_t BgL_xz00_2392, obj_t BgL_pz00_2391, obj_t BgL_cell1318z00_2390, obj_t BgL_env1323z00_2389)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1327z00_989;
if( SET_EXIT(BgL_an_exit1327z00_989 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1327z00_989 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1323z00_2389, BgL_an_exit1327z00_989, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1319z00_990;
BgL_escape1319z00_990 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1323z00_2389); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1330z00_991;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1315z00_992;
BgL_ohs1315z00_992 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1323z00_2389); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1316z00_993;
BgL_hds1316z00_993 = 
MAKE_STACK_PAIR(BgL_escape1319z00_990, BgL_cell1318z00_2390); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1323z00_2389, BgL_hds1316z00_993); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1324z00_994;
BgL_exitd1324z00_994 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1323z00_2389); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1326z00_995;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2109z00_997;
BgL_arg2109z00_997 = 
BGL_EXITD_PROTECT(BgL_exitd1324z00_994); 
BgL_tmp1326z00_995 = 
MAKE_YOUNG_PAIR(BgL_ohs1315z00_992, BgL_arg2109z00_997); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1324z00_994, BgL_tmp1326z00_995); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1325z00_996;
BgL_tmp1325z00_996 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2391))(BgL_pz00_2391, BgL_xz00_2392, BgL_yz00_2393, BgL_za7za7_2394, BEOA); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2740z00_5289;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1796z00_1839;
BgL_arg1796z00_1839 = 
BGL_EXITD_PROTECT(BgL_exitd1324z00_994); 
BgL_test2740z00_5289 = 
PAIRP(BgL_arg1796z00_1839); } 
if(BgL_test2740z00_5289)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1794z00_1840;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1795z00_1841;
BgL_arg1795z00_1841 = 
BGL_EXITD_PROTECT(BgL_exitd1324z00_994); 
BgL_arg1794z00_1840 = 
CDR(
((obj_t)BgL_arg1795z00_1841)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1324z00_994, BgL_arg1794z00_1840); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1323z00_2389, BgL_ohs1315z00_992); BUNSPEC; 
BgL_res1330z00_991 = BgL_tmp1325z00_996; } } } } } } 
POP_ENV_EXIT(BgL_env1323z00_2389); 
return BgL_res1330z00_991;} } 
}} 

}



/* &<@anonymous:2101> */
obj_t BGl_z62zc3z04anonymousza32101ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2198, obj_t BgL_xz00_2201, obj_t BgL_yz00_2202)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2199; obj_t BgL_excz00_2200;
BgL_pz00_2199 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2198, 
(int)(0L))); 
BgL_excz00_2200 = 
PROCEDURE_REF(BgL_envz00_2198, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1306z00_3098;
BgL_env1306z00_3098 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1301z00_3099;
BgL_cell1301z00_3099 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1305z00_3100;
BgL_val1305z00_3100 = 
BGl_zc3z04exitza32103ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2202, BgL_xz00_2201, BgL_pz00_2199, BgL_cell1301z00_3099, BgL_env1306z00_3098); 
if(
(BgL_val1305z00_3100==BgL_cell1301z00_3099))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5308;
BgL_tmpz00_5308 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5308); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2102z00_3101;
BgL_arg2102z00_3101 = 
CELL_REF(
((obj_t)BgL_val1305z00_3100)); 
return 
CELL_SET(BgL_excz00_2200, BgL_arg2102z00_3101);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1305z00_3100;} } } } } } 

}



/* <@exit:2103>~0 */
obj_t BGl_zc3z04exitza32103ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2388, obj_t BgL_xz00_2387, obj_t BgL_pz00_2386, obj_t BgL_cell1301z00_2385, obj_t BgL_env1306z00_2384)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1310z00_967;
if( SET_EXIT(BgL_an_exit1310z00_967 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1310z00_967 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1306z00_2384, BgL_an_exit1310z00_967, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1302z00_968;
BgL_escape1302z00_968 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1306z00_2384); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1313z00_969;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1298z00_970;
BgL_ohs1298z00_970 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1306z00_2384); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1299z00_971;
BgL_hds1299z00_971 = 
MAKE_STACK_PAIR(BgL_escape1302z00_968, BgL_cell1301z00_2385); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1306z00_2384, BgL_hds1299z00_971); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1307z00_972;
BgL_exitd1307z00_972 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1306z00_2384); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1309z00_973;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2104z00_975;
BgL_arg2104z00_975 = 
BGL_EXITD_PROTECT(BgL_exitd1307z00_972); 
BgL_tmp1309z00_973 = 
MAKE_YOUNG_PAIR(BgL_ohs1298z00_970, BgL_arg2104z00_975); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1307z00_972, BgL_tmp1309z00_973); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1308z00_974;
BgL_tmp1308z00_974 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2386))(BgL_pz00_2386, BgL_xz00_2387, BgL_yz00_2388, BEOA); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2742z00_5329;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1796z00_1833;
BgL_arg1796z00_1833 = 
BGL_EXITD_PROTECT(BgL_exitd1307z00_972); 
BgL_test2742z00_5329 = 
PAIRP(BgL_arg1796z00_1833); } 
if(BgL_test2742z00_5329)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1794z00_1834;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1795z00_1835;
BgL_arg1795z00_1835 = 
BGL_EXITD_PROTECT(BgL_exitd1307z00_972); 
BgL_arg1794z00_1834 = 
CDR(
((obj_t)BgL_arg1795z00_1835)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1307z00_972, BgL_arg1794z00_1834); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1306z00_2384, BgL_ohs1298z00_970); BUNSPEC; 
BgL_res1313z00_969 = BgL_tmp1308z00_974; } } } } } } 
POP_ENV_EXIT(BgL_env1306z00_2384); 
return BgL_res1313z00_969;} } 
}} 

}



/* &<@anonymous:2096> */
obj_t BGl_z62zc3z04anonymousza32096ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2204, obj_t BgL_xz00_2207)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2205; obj_t BgL_excz00_2206;
BgL_pz00_2205 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2204, 
(int)(0L))); 
BgL_excz00_2206 = 
PROCEDURE_REF(BgL_envz00_2204, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1289z00_3102;
BgL_env1289z00_3102 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1284z00_3103;
BgL_cell1284z00_3103 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1288z00_3104;
BgL_val1288z00_3104 = 
BGl_zc3z04exitza32098ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2207, BgL_pz00_2205, BgL_cell1284z00_3103, BgL_env1289z00_3102); 
if(
(BgL_val1288z00_3104==BgL_cell1284z00_3103))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5348;
BgL_tmpz00_5348 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5348); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2097z00_3105;
BgL_arg2097z00_3105 = 
CELL_REF(
((obj_t)BgL_val1288z00_3104)); 
return 
CELL_SET(BgL_excz00_2206, BgL_arg2097z00_3105);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1288z00_3104;} } } } } } 

}



/* <@exit:2098>~0 */
obj_t BGl_zc3z04exitza32098ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2383, obj_t BgL_pz00_2382, obj_t BgL_cell1284z00_2381, obj_t BgL_env1289z00_2380)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1293z00_946;
if( SET_EXIT(BgL_an_exit1293z00_946 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1293z00_946 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1289z00_2380, BgL_an_exit1293z00_946, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1285z00_947;
BgL_escape1285z00_947 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1289z00_2380); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1296z00_948;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1281z00_949;
BgL_ohs1281z00_949 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1289z00_2380); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1282z00_950;
BgL_hds1282z00_950 = 
MAKE_STACK_PAIR(BgL_escape1285z00_947, BgL_cell1284z00_2381); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1289z00_2380, BgL_hds1282z00_950); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1290z00_951;
BgL_exitd1290z00_951 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1289z00_2380); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1292z00_952;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2099z00_954;
BgL_arg2099z00_954 = 
BGL_EXITD_PROTECT(BgL_exitd1290z00_951); 
BgL_tmp1292z00_952 = 
MAKE_YOUNG_PAIR(BgL_ohs1281z00_949, BgL_arg2099z00_954); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1290z00_951, BgL_tmp1292z00_952); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1291z00_953;
BgL_tmp1291z00_953 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2382))(BgL_pz00_2382, BgL_xz00_2383, BEOA); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2744z00_5368;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1796z00_1827;
BgL_arg1796z00_1827 = 
BGL_EXITD_PROTECT(BgL_exitd1290z00_951); 
BgL_test2744z00_5368 = 
PAIRP(BgL_arg1796z00_1827); } 
if(BgL_test2744z00_5368)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1794z00_1828;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1795z00_1829;
BgL_arg1795z00_1829 = 
BGL_EXITD_PROTECT(BgL_exitd1290z00_951); 
BgL_arg1794z00_1828 = 
CDR(
((obj_t)BgL_arg1795z00_1829)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1290z00_951, BgL_arg1794z00_1828); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1289z00_2380, BgL_ohs1281z00_949); BUNSPEC; 
BgL_res1296z00_948 = BgL_tmp1291z00_953; } } } } } } 
POP_ENV_EXIT(BgL_env1289z00_2380); 
return BgL_res1296z00_948;} } 
}} 

}



/* &<@anonymous:2116> */
obj_t BGl_z62zc3z04anonymousza32116ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2209, obj_t BgL_lz00_2212)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2210; obj_t BgL_excz00_2211;
BgL_pz00_2210 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2209, 
(int)(0L))); 
BgL_excz00_2211 = 
PROCEDURE_REF(BgL_envz00_2209, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1270z00_3106;
BgL_env1270z00_3106 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1265z00_3107;
BgL_cell1265z00_3107 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1269z00_3108;
BgL_val1269z00_3108 = 
BGl_zc3z04exitza32118ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2210, BgL_lz00_2212, BgL_cell1265z00_3107, BgL_env1270z00_3106); 
if(
(BgL_val1269z00_3108==BgL_cell1265z00_3107))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5387;
BgL_tmpz00_5387 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5387); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2117z00_3109;
BgL_arg2117z00_3109 = 
CELL_REF(
((obj_t)BgL_val1269z00_3108)); 
return 
CELL_SET(BgL_excz00_2211, BgL_arg2117z00_3109);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1269z00_3108;} } } } } } 

}



/* <@exit:2118>~0 */
obj_t BGl_zc3z04exitza32118ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2379, obj_t BgL_lz00_2378, obj_t BgL_cell1265z00_2377, obj_t BgL_env1270z00_2376)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1274z00_1032;
if( SET_EXIT(BgL_an_exit1274z00_1032 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1274z00_1032 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1270z00_2376, BgL_an_exit1274z00_1032, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1266z00_1033;
BgL_escape1266z00_1033 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1270z00_2376); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1277z00_1034;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1262z00_1035;
BgL_ohs1262z00_1035 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1270z00_2376); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1263z00_1036;
BgL_hds1263z00_1036 = 
MAKE_STACK_PAIR(BgL_escape1266z00_1033, BgL_cell1265z00_2377); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1270z00_2376, BgL_hds1263z00_1036); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1271z00_1037;
BgL_exitd1271z00_1037 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1270z00_2376); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1273z00_1038;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2119z00_1040;
BgL_arg2119z00_1040 = 
BGL_EXITD_PROTECT(BgL_exitd1271z00_1037); 
BgL_tmp1273z00_1038 = 
MAKE_YOUNG_PAIR(BgL_ohs1262z00_1035, BgL_arg2119z00_1040); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1271z00_1037, BgL_tmp1273z00_1038); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1272z00_1039;
BgL_tmp1272z00_1039 = 
apply(BgL_pz00_2379, BgL_lz00_2378); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2746z00_5405;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1796z00_1820;
BgL_arg1796z00_1820 = 
BGL_EXITD_PROTECT(BgL_exitd1271z00_1037); 
BgL_test2746z00_5405 = 
PAIRP(BgL_arg1796z00_1820); } 
if(BgL_test2746z00_5405)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1794z00_1821;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1795z00_1822;
BgL_arg1795z00_1822 = 
BGL_EXITD_PROTECT(BgL_exitd1271z00_1037); 
BgL_arg1794z00_1821 = 
CDR(
((obj_t)BgL_arg1795z00_1822)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1271z00_1037, BgL_arg1794z00_1821); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1270z00_2376, BgL_ohs1262z00_1035); BUNSPEC; 
BgL_res1277z00_1034 = BgL_tmp1272z00_1039; } } } } } } 
POP_ENV_EXIT(BgL_env1270z00_2376); 
return BgL_res1277z00_1034;} } 
}} 

}



/* &sqlite-get-sqlite1489 */
obj_t BGl_z62sqlitezd2getzd2sqlite1489z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2214, obj_t BgL_oz00_2215, obj_t BgL_pz00_2216, obj_t BgL_fmtz00_2217, obj_t BgL_argsz00_2218)
{
{ /* Llib/sqlite.scm 247 */
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_pz00_2216), 
(int)(2L)))
{ /* Llib/sqlite.scm 249 */
 obj_t BgL_excz00_3113;
BgL_excz00_3113 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 249 */
 obj_t BgL_pz00_3114;
{ 

{ /* Llib/sqlite.scm 250 */
 int BgL_aux1187z00_3117;
BgL_aux1187z00_3117 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_2216)); 
switch( 
(long)(BgL_aux1187z00_3117)) { case 1L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32060ze3z87_3118;
BgL_zc3z04anonymousza32060ze3z87_3118 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32060ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32060ze3z87_3118, 
(int)(0L), 
((obj_t)BgL_pz00_2216)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32060ze3z87_3118, 
(int)(1L), 
((obj_t)BgL_excz00_3113)); 
BgL_pz00_3114 = BgL_zc3z04anonymousza32060ze3z87_3118; } break;case 2L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32065ze3z87_3119;
BgL_zc3z04anonymousza32065ze3z87_3119 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32065ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32065ze3z87_3119, 
(int)(0L), 
((obj_t)BgL_pz00_2216)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32065ze3z87_3119, 
(int)(1L), 
((obj_t)BgL_excz00_3113)); 
BgL_pz00_3114 = BgL_zc3z04anonymousza32065ze3z87_3119; } break;case 3L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32070ze3z87_3120;
BgL_zc3z04anonymousza32070ze3z87_3120 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32070ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_3120, 
(int)(0L), 
((obj_t)BgL_pz00_2216)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_3120, 
(int)(1L), 
((obj_t)BgL_excz00_3113)); 
BgL_pz00_3114 = BgL_zc3z04anonymousza32070ze3z87_3120; } break;case 4L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32075ze3z87_3121;
BgL_zc3z04anonymousza32075ze3z87_3121 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32075ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_3121, 
(int)(0L), 
((obj_t)BgL_pz00_2216)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_3121, 
(int)(1L), 
((obj_t)BgL_excz00_3113)); 
BgL_pz00_3114 = BgL_zc3z04anonymousza32075ze3z87_3121; } break;
default: 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32080ze3z87_3116;
BgL_zc3z04anonymousza32080ze3z87_3116 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32080ze3ze5zz__sqlite_sqlitez00, 
(int)(-1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32080ze3z87_3116, 
(int)(0L), 
((obj_t)BgL_pz00_2216)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32080ze3z87_3116, 
(int)(1L), 
((obj_t)BgL_excz00_3113)); 
BgL_pz00_3114 = BgL_zc3z04anonymousza32080ze3z87_3116; } } } } 
{ /* Llib/sqlite.scm 250 */

{ /* Llib/sqlite.scm 251 */
 obj_t BgL_exitd1256z00_3122;
BgL_exitd1256z00_3122 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_zc3z04anonymousza32059ze3z87_3123;
BgL_zc3z04anonymousza32059ze3z87_3123 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32059ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32059ze3z87_3123, 
(int)(0L), 
((obj_t)BgL_excz00_3113)); 
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1797z00_3124;
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1798z00_3125;
BgL_arg1798z00_3125 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_3122); 
BgL_arg1797z00_3124 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32059ze3z87_3123, BgL_arg1798z00_3125); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_3122, BgL_arg1797z00_3124); BUNSPEC; } 
{ /* Llib/sqlite.scm 252 */
 obj_t BgL_tmp1258z00_3126;
if(
NULLP(BgL_argsz00_2218))
{ /* Llib/sqlite.scm 254 */
 void * BgL_arg2053z00_3127;
BgL_arg2053z00_3127 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2215)))->BgL_z42builtinz42); 
BgL_tmp1258z00_3126 = 
bgl_sqlite_get(BgL_arg2053z00_3127, BgL_pz00_3114, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2217)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2215))); }  else 
{ /* Llib/sqlite.scm 255 */
 void * BgL_arg2054z00_3128; obj_t BgL_arg2055z00_3129;
BgL_arg2054z00_3128 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2215)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 255 */
 obj_t BgL_runner2058z00_3130;
{ /* Llib/sqlite.scm 255 */
 obj_t BgL_list2056z00_3131;
BgL_list2056z00_3131 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2218, BNIL); 
BgL_runner2058z00_3130 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2217), BgL_list2056z00_3131); } 
{ /* Llib/sqlite.scm 255 */
 obj_t BgL_aux2057z00_3132;
BgL_aux2057z00_3132 = 
CAR(BgL_runner2058z00_3130); 
BgL_runner2058z00_3130 = 
CDR(BgL_runner2058z00_3130); 
BgL_arg2055z00_3129 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2057z00_3132, BgL_runner2058z00_3130); } } 
BgL_tmp1258z00_3126 = 
bgl_sqlite_get(BgL_arg2054z00_3128, BgL_pz00_3114, 
BSTRING_TO_STRING(BgL_arg2055z00_3129), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2215))); } 
{ /* Llib/sqlite.scm 251 */
 bool_t BgL_test2749z00_5498;
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1796z00_3133;
BgL_arg1796z00_3133 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_3122); 
BgL_test2749z00_5498 = 
PAIRP(BgL_arg1796z00_3133); } 
if(BgL_test2749z00_5498)
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1794z00_3134;
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1795z00_3135;
BgL_arg1795z00_3135 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_3122); 
BgL_arg1794z00_3134 = 
CDR(
((obj_t)BgL_arg1795z00_3135)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_3122, BgL_arg1794z00_3134); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 251 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_3113)))
{ /* Llib/sqlite.scm 256 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_3113)); }  else 
{ /* Llib/sqlite.scm 256 */BFALSE; } 
return BgL_tmp1258z00_3126;} } } } } }  else 
{ /* Llib/sqlite.scm 248 */
return 
BGl_errorz00zz__errorz00(BGl_string2373z00zz__sqlite_sqlitez00, BGl_string2372z00zz__sqlite_sqlitez00, 
((obj_t)BgL_pz00_2216));} } 

}



/* &<@anonymous:2059> */
obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2221)
{
{ /* Llib/sqlite.scm 251 */
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_excz00_2222;
BgL_excz00_2222 = 
PROCEDURE_REF(BgL_envz00_2221, 
(int)(0L)); 
if(
CBOOL(
CELL_REF(BgL_excz00_2222)))
{ /* Llib/sqlite.scm 256 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2222));}  else 
{ /* Llib/sqlite.scm 256 */
return BFALSE;} } } 

}



/* &<@anonymous:2075> */
obj_t BGl_z62zc3z04anonymousza32075ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2223, obj_t BgL_xz00_2226, obj_t BgL_yz00_2227, obj_t BgL_za7za7_2228, obj_t BgL_tz00_2229)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2224; obj_t BgL_excz00_2225;
BgL_pz00_2224 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2223, 
(int)(0L))); 
BgL_excz00_2225 = 
PROCEDURE_REF(BgL_envz00_2223, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1247z00_3136;
BgL_env1247z00_3136 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1242z00_3137;
BgL_cell1242z00_3137 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1246z00_3138;
BgL_val1246z00_3138 = 
BGl_zc3z04exitza32077ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2229, BgL_za7za7_2228, BgL_yz00_2227, BgL_xz00_2226, BgL_pz00_2224, BgL_cell1242z00_3137, BgL_env1247z00_3136); 
if(
(BgL_val1246z00_3138==BgL_cell1242z00_3137))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5525;
BgL_tmpz00_5525 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5525); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2076z00_3139;
BgL_arg2076z00_3139 = 
CELL_REF(
((obj_t)BgL_val1246z00_3138)); 
return 
CELL_SET(BgL_excz00_2225, BgL_arg2076z00_3139);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1246z00_3138;} } } } } } 

}



/* <@exit:2077>~0 */
obj_t BGl_zc3z04exitza32077ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2375, obj_t BgL_za7za7_2374, obj_t BgL_yz00_2373, obj_t BgL_xz00_2372, obj_t BgL_pz00_2371, obj_t BgL_cell1242z00_2370, obj_t BgL_env1247z00_2369)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1251z00_879;
if( SET_EXIT(BgL_an_exit1251z00_879 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1251z00_879 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1247z00_2369, BgL_an_exit1251z00_879, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1243z00_880;
BgL_escape1243z00_880 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_2369); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1254z00_881;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1239z00_882;
BgL_ohs1239z00_882 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1247z00_2369); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1240z00_883;
BgL_hds1240z00_883 = 
MAKE_STACK_PAIR(BgL_escape1243z00_880, BgL_cell1242z00_2370); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_2369, BgL_hds1240z00_883); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1248z00_884;
BgL_exitd1248z00_884 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_2369); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1250z00_885;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2078z00_887;
BgL_arg2078z00_887 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_884); 
BgL_tmp1250z00_885 = 
MAKE_YOUNG_PAIR(BgL_ohs1239z00_882, BgL_arg2078z00_887); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_884, BgL_tmp1250z00_885); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1249z00_886;
BgL_tmp1249z00_886 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2371))(BgL_pz00_2371, BgL_xz00_2372, BgL_yz00_2373, BgL_za7za7_2374, BgL_tz00_2375, BEOA); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2753z00_5548;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1796z00_1805;
BgL_arg1796z00_1805 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_884); 
BgL_test2753z00_5548 = 
PAIRP(BgL_arg1796z00_1805); } 
if(BgL_test2753z00_5548)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1794z00_1806;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1795z00_1807;
BgL_arg1795z00_1807 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_884); 
BgL_arg1794z00_1806 = 
CDR(
((obj_t)BgL_arg1795z00_1807)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_884, BgL_arg1794z00_1806); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_2369, BgL_ohs1239z00_882); BUNSPEC; 
BgL_res1254z00_881 = BgL_tmp1249z00_886; } } } } } } 
POP_ENV_EXIT(BgL_env1247z00_2369); 
return BgL_res1254z00_881;} } 
}} 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2231, obj_t BgL_xz00_2234, obj_t BgL_yz00_2235, obj_t BgL_za7za7_2236)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2232; obj_t BgL_excz00_2233;
BgL_pz00_2232 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2231, 
(int)(0L))); 
BgL_excz00_2233 = 
PROCEDURE_REF(BgL_envz00_2231, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1230z00_3140;
BgL_env1230z00_3140 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1225z00_3141;
BgL_cell1225z00_3141 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1229z00_3142;
BgL_val1229z00_3142 = 
BGl_zc3z04exitza32072ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2236, BgL_yz00_2235, BgL_xz00_2234, BgL_pz00_2232, BgL_cell1225z00_3141, BgL_env1230z00_3140); 
if(
(BgL_val1229z00_3142==BgL_cell1225z00_3141))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5567;
BgL_tmpz00_5567 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5567); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2071z00_3143;
BgL_arg2071z00_3143 = 
CELL_REF(
((obj_t)BgL_val1229z00_3142)); 
return 
CELL_SET(BgL_excz00_2233, BgL_arg2071z00_3143);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1229z00_3142;} } } } } } 

}



/* <@exit:2072>~0 */
obj_t BGl_zc3z04exitza32072ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2368, obj_t BgL_yz00_2367, obj_t BgL_xz00_2366, obj_t BgL_pz00_2365, obj_t BgL_cell1225z00_2364, obj_t BgL_env1230z00_2363)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1234z00_856;
if( SET_EXIT(BgL_an_exit1234z00_856 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1234z00_856 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1230z00_2363, BgL_an_exit1234z00_856, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1226z00_857;
BgL_escape1226z00_857 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_2363); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1237z00_858;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1222z00_859;
BgL_ohs1222z00_859 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1230z00_2363); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1223z00_860;
BgL_hds1223z00_860 = 
MAKE_STACK_PAIR(BgL_escape1226z00_857, BgL_cell1225z00_2364); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_2363, BgL_hds1223z00_860); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1231z00_861;
BgL_exitd1231z00_861 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_2363); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1233z00_862;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2073z00_864;
BgL_arg2073z00_864 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_861); 
BgL_tmp1233z00_862 = 
MAKE_YOUNG_PAIR(BgL_ohs1222z00_859, BgL_arg2073z00_864); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_861, BgL_tmp1233z00_862); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1232z00_863;
BgL_tmp1232z00_863 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2365))(BgL_pz00_2365, BgL_xz00_2366, BgL_yz00_2367, BgL_za7za7_2368, BEOA); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2755z00_5589;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1796z00_1799;
BgL_arg1796z00_1799 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_861); 
BgL_test2755z00_5589 = 
PAIRP(BgL_arg1796z00_1799); } 
if(BgL_test2755z00_5589)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1794z00_1800;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1795z00_1801;
BgL_arg1795z00_1801 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_861); 
BgL_arg1794z00_1800 = 
CDR(
((obj_t)BgL_arg1795z00_1801)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_861, BgL_arg1794z00_1800); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_2363, BgL_ohs1222z00_859); BUNSPEC; 
BgL_res1237z00_858 = BgL_tmp1232z00_863; } } } } } } 
POP_ENV_EXIT(BgL_env1230z00_2363); 
return BgL_res1237z00_858;} } 
}} 

}



/* &<@anonymous:2065> */
obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2238, obj_t BgL_xz00_2241, obj_t BgL_yz00_2242)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2239; obj_t BgL_excz00_2240;
BgL_pz00_2239 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2238, 
(int)(0L))); 
BgL_excz00_2240 = 
PROCEDURE_REF(BgL_envz00_2238, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1213z00_3144;
BgL_env1213z00_3144 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1208z00_3145;
BgL_cell1208z00_3145 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1212z00_3146;
BgL_val1212z00_3146 = 
BGl_zc3z04exitza32067ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2242, BgL_xz00_2241, BgL_pz00_2239, BgL_cell1208z00_3145, BgL_env1213z00_3144); 
if(
(BgL_val1212z00_3146==BgL_cell1208z00_3145))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5608;
BgL_tmpz00_5608 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5608); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2066z00_3147;
BgL_arg2066z00_3147 = 
CELL_REF(
((obj_t)BgL_val1212z00_3146)); 
return 
CELL_SET(BgL_excz00_2240, BgL_arg2066z00_3147);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1212z00_3146;} } } } } } 

}



/* <@exit:2067>~0 */
obj_t BGl_zc3z04exitza32067ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2362, obj_t BgL_xz00_2361, obj_t BgL_pz00_2360, obj_t BgL_cell1208z00_2359, obj_t BgL_env1213z00_2358)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1217z00_834;
if( SET_EXIT(BgL_an_exit1217z00_834 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1217z00_834 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1213z00_2358, BgL_an_exit1217z00_834, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1209z00_835;
BgL_escape1209z00_835 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_2358); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1220z00_836;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1205z00_837;
BgL_ohs1205z00_837 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1213z00_2358); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1206z00_838;
BgL_hds1206z00_838 = 
MAKE_STACK_PAIR(BgL_escape1209z00_835, BgL_cell1208z00_2359); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_2358, BgL_hds1206z00_838); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1214z00_839;
BgL_exitd1214z00_839 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_2358); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1216z00_840;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2068z00_842;
BgL_arg2068z00_842 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_839); 
BgL_tmp1216z00_840 = 
MAKE_YOUNG_PAIR(BgL_ohs1205z00_837, BgL_arg2068z00_842); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_839, BgL_tmp1216z00_840); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1215z00_841;
BgL_tmp1215z00_841 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2360))(BgL_pz00_2360, BgL_xz00_2361, BgL_yz00_2362, BEOA); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2757z00_5629;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1796z00_1793;
BgL_arg1796z00_1793 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_839); 
BgL_test2757z00_5629 = 
PAIRP(BgL_arg1796z00_1793); } 
if(BgL_test2757z00_5629)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1794z00_1794;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1795z00_1795;
BgL_arg1795z00_1795 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_839); 
BgL_arg1794z00_1794 = 
CDR(
((obj_t)BgL_arg1795z00_1795)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_839, BgL_arg1794z00_1794); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_2358, BgL_ohs1205z00_837); BUNSPEC; 
BgL_res1220z00_836 = BgL_tmp1215z00_841; } } } } } } 
POP_ENV_EXIT(BgL_env1213z00_2358); 
return BgL_res1220z00_836;} } 
}} 

}



/* &<@anonymous:2060> */
obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2244, obj_t BgL_xz00_2247)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2245; obj_t BgL_excz00_2246;
BgL_pz00_2245 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2244, 
(int)(0L))); 
BgL_excz00_2246 = 
PROCEDURE_REF(BgL_envz00_2244, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1196z00_3148;
BgL_env1196z00_3148 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1191z00_3149;
BgL_cell1191z00_3149 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1195z00_3150;
BgL_val1195z00_3150 = 
BGl_zc3z04exitza32062ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2247, BgL_pz00_2245, BgL_cell1191z00_3149, BgL_env1196z00_3148); 
if(
(BgL_val1195z00_3150==BgL_cell1191z00_3149))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5648;
BgL_tmpz00_5648 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5648); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2061z00_3151;
BgL_arg2061z00_3151 = 
CELL_REF(
((obj_t)BgL_val1195z00_3150)); 
return 
CELL_SET(BgL_excz00_2246, BgL_arg2061z00_3151);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1195z00_3150;} } } } } } 

}



/* <@exit:2062>~0 */
obj_t BGl_zc3z04exitza32062ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2357, obj_t BgL_pz00_2356, obj_t BgL_cell1191z00_2355, obj_t BgL_env1196z00_2354)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1200z00_813;
if( SET_EXIT(BgL_an_exit1200z00_813 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1200z00_813 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1196z00_2354, BgL_an_exit1200z00_813, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1192z00_814;
BgL_escape1192z00_814 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_2354); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1203z00_815;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1188z00_816;
BgL_ohs1188z00_816 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1196z00_2354); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1189z00_817;
BgL_hds1189z00_817 = 
MAKE_STACK_PAIR(BgL_escape1192z00_814, BgL_cell1191z00_2355); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_2354, BgL_hds1189z00_817); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1197z00_818;
BgL_exitd1197z00_818 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_2354); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1199z00_819;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2063z00_821;
BgL_arg2063z00_821 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_818); 
BgL_tmp1199z00_819 = 
MAKE_YOUNG_PAIR(BgL_ohs1188z00_816, BgL_arg2063z00_821); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_818, BgL_tmp1199z00_819); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1198z00_820;
BgL_tmp1198z00_820 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2356))(BgL_pz00_2356, BgL_xz00_2357, BEOA); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2759z00_5668;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1796z00_1787;
BgL_arg1796z00_1787 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_818); 
BgL_test2759z00_5668 = 
PAIRP(BgL_arg1796z00_1787); } 
if(BgL_test2759z00_5668)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1794z00_1788;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1795z00_1789;
BgL_arg1795z00_1789 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_818); 
BgL_arg1794z00_1788 = 
CDR(
((obj_t)BgL_arg1795z00_1789)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_818, BgL_arg1794z00_1788); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_2354, BgL_ohs1188z00_816); BUNSPEC; 
BgL_res1203z00_815 = BgL_tmp1198z00_820; } } } } } } 
POP_ENV_EXIT(BgL_env1196z00_2354); 
return BgL_res1203z00_815;} } 
}} 

}



/* &<@anonymous:2080> */
obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2249, obj_t BgL_lz00_2252)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2250; obj_t BgL_excz00_2251;
BgL_pz00_2250 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2249, 
(int)(0L))); 
BgL_excz00_2251 = 
PROCEDURE_REF(BgL_envz00_2249, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1177z00_3152;
BgL_env1177z00_3152 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1172z00_3153;
BgL_cell1172z00_3153 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1176z00_3154;
BgL_val1176z00_3154 = 
BGl_zc3z04exitza32082ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2250, BgL_lz00_2252, BgL_cell1172z00_3153, BgL_env1177z00_3152); 
if(
(BgL_val1176z00_3154==BgL_cell1172z00_3153))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5687;
BgL_tmpz00_5687 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5687); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2081z00_3155;
BgL_arg2081z00_3155 = 
CELL_REF(
((obj_t)BgL_val1176z00_3154)); 
return 
CELL_SET(BgL_excz00_2251, BgL_arg2081z00_3155);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1176z00_3154;} } } } } } 

}



/* <@exit:2082>~0 */
obj_t BGl_zc3z04exitza32082ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2353, obj_t BgL_lz00_2352, obj_t BgL_cell1172z00_2351, obj_t BgL_env1177z00_2350)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1181z00_899;
if( SET_EXIT(BgL_an_exit1181z00_899 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1181z00_899 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1177z00_2350, BgL_an_exit1181z00_899, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1173z00_900;
BgL_escape1173z00_900 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_2350); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1184z00_901;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1169z00_902;
BgL_ohs1169z00_902 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1177z00_2350); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1170z00_903;
BgL_hds1170z00_903 = 
MAKE_STACK_PAIR(BgL_escape1173z00_900, BgL_cell1172z00_2351); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_2350, BgL_hds1170z00_903); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1178z00_904;
BgL_exitd1178z00_904 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_2350); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1180z00_905;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2083z00_907;
BgL_arg2083z00_907 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_904); 
BgL_tmp1180z00_905 = 
MAKE_YOUNG_PAIR(BgL_ohs1169z00_902, BgL_arg2083z00_907); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_904, BgL_tmp1180z00_905); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1179z00_906;
BgL_tmp1179z00_906 = 
apply(BgL_pz00_2353, BgL_lz00_2352); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2761z00_5705;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1796z00_1780;
BgL_arg1796z00_1780 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_904); 
BgL_test2761z00_5705 = 
PAIRP(BgL_arg1796z00_1780); } 
if(BgL_test2761z00_5705)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1794z00_1781;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1795z00_1782;
BgL_arg1795z00_1782 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_904); 
BgL_arg1794z00_1781 = 
CDR(
((obj_t)BgL_arg1795z00_1782)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_904, BgL_arg1794z00_1781); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_2350, BgL_ohs1169z00_902); BUNSPEC; 
BgL_res1184z00_901 = BgL_tmp1179z00_906; } } } } } } 
POP_ENV_EXIT(BgL_env1177z00_2350); 
return BgL_res1184z00_901;} } 
}} 

}



/* &sqlite-eval-sqlite1485 */
obj_t BGl_z62sqlitezd2evalzd2sqlite1485z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2254, obj_t BgL_oz00_2255, obj_t BgL_pz00_2256, obj_t BgL_fmtz00_2257, obj_t BgL_argsz00_2258)
{
{ /* Llib/sqlite.scm 224 */
{ /* Llib/sqlite.scm 225 */
 obj_t BgL_excz00_3159;
BgL_excz00_3159 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 225 */
 obj_t BgL_pz00_3160;
{ 

{ /* Llib/sqlite.scm 226 */
 int BgL_aux1094z00_3163;
BgL_aux1094z00_3163 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_2256)); 
switch( 
(long)(BgL_aux1094z00_3163)) { case 1L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32024ze3z87_3164;
BgL_zc3z04anonymousza32024ze3z87_3164 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32024ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32024ze3z87_3164, 
(int)(0L), 
((obj_t)BgL_pz00_2256)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32024ze3z87_3164, 
(int)(1L), 
((obj_t)BgL_excz00_3159)); 
BgL_pz00_3160 = BgL_zc3z04anonymousza32024ze3z87_3164; } break;case 2L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32029ze3z87_3165;
BgL_zc3z04anonymousza32029ze3z87_3165 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32029ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32029ze3z87_3165, 
(int)(0L), 
((obj_t)BgL_pz00_2256)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32029ze3z87_3165, 
(int)(1L), 
((obj_t)BgL_excz00_3159)); 
BgL_pz00_3160 = BgL_zc3z04anonymousza32029ze3z87_3165; } break;case 3L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32034ze3z87_3166;
BgL_zc3z04anonymousza32034ze3z87_3166 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_3166, 
(int)(0L), 
((obj_t)BgL_pz00_2256)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_3166, 
(int)(1L), 
((obj_t)BgL_excz00_3159)); 
BgL_pz00_3160 = BgL_zc3z04anonymousza32034ze3z87_3166; } break;case 4L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32039ze3z87_3167;
BgL_zc3z04anonymousza32039ze3z87_3167 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32039ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32039ze3z87_3167, 
(int)(0L), 
((obj_t)BgL_pz00_2256)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32039ze3z87_3167, 
(int)(1L), 
((obj_t)BgL_excz00_3159)); 
BgL_pz00_3160 = BgL_zc3z04anonymousza32039ze3z87_3167; } break;
default: 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32044ze3z87_3162;
BgL_zc3z04anonymousza32044ze3z87_3162 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32044ze3ze5zz__sqlite_sqlitez00, 
(int)(-1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32044ze3z87_3162, 
(int)(0L), 
((obj_t)BgL_pz00_2256)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32044ze3z87_3162, 
(int)(1L), 
((obj_t)BgL_excz00_3159)); 
BgL_pz00_3160 = BgL_zc3z04anonymousza32044ze3z87_3162; } } } } 
{ /* Llib/sqlite.scm 226 */

{ /* Llib/sqlite.scm 227 */
 obj_t BgL_exitd1163z00_3168;
BgL_exitd1163z00_3168 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 232 */
 obj_t BgL_zc3z04anonymousza32023ze3z87_3169;
BgL_zc3z04anonymousza32023ze3z87_3169 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32023ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32023ze3z87_3169, 
(int)(0L), 
((obj_t)BgL_excz00_3159)); 
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1797z00_3170;
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1798z00_3171;
BgL_arg1798z00_3171 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_3168); 
BgL_arg1797z00_3170 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32023ze3z87_3169, BgL_arg1798z00_3171); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_3168, BgL_arg1797z00_3170); BUNSPEC; } 
{ /* Llib/sqlite.scm 228 */
 obj_t BgL_tmp1165z00_3172;
if(
NULLP(BgL_argsz00_2258))
{ /* Llib/sqlite.scm 230 */
 void * BgL_arg2017z00_3173;
BgL_arg2017z00_3173 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2255)))->BgL_z42builtinz42); 
BgL_tmp1165z00_3172 = 
bgl_sqlite_eval(BgL_arg2017z00_3173, BgL_pz00_3160, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2257)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2255))); }  else 
{ /* Llib/sqlite.scm 231 */
 void * BgL_arg2018z00_3174; obj_t BgL_arg2019z00_3175;
BgL_arg2018z00_3174 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2255)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 231 */
 obj_t BgL_runner2022z00_3176;
{ /* Llib/sqlite.scm 231 */
 obj_t BgL_list2020z00_3177;
BgL_list2020z00_3177 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2258, BNIL); 
BgL_runner2022z00_3176 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2257), BgL_list2020z00_3177); } 
{ /* Llib/sqlite.scm 231 */
 obj_t BgL_aux2021z00_3178;
BgL_aux2021z00_3178 = 
CAR(BgL_runner2022z00_3176); 
BgL_runner2022z00_3176 = 
CDR(BgL_runner2022z00_3176); 
BgL_arg2019z00_3175 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2021z00_3178, BgL_runner2022z00_3176); } } 
BgL_tmp1165z00_3172 = 
bgl_sqlite_eval(BgL_arg2018z00_3174, BgL_pz00_3160, 
BSTRING_TO_STRING(BgL_arg2019z00_3175), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2255))); } 
{ /* Llib/sqlite.scm 227 */
 bool_t BgL_test2763z00_5794;
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1796z00_3179;
BgL_arg1796z00_3179 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_3168); 
BgL_test2763z00_5794 = 
PAIRP(BgL_arg1796z00_3179); } 
if(BgL_test2763z00_5794)
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1794z00_3180;
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1795z00_3181;
BgL_arg1795z00_3181 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_3168); 
BgL_arg1794z00_3180 = 
CDR(
((obj_t)BgL_arg1795z00_3181)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_3168, BgL_arg1794z00_3180); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 227 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_3159)))
{ /* Llib/sqlite.scm 232 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_3159)); }  else 
{ /* Llib/sqlite.scm 232 */BFALSE; } 
return BgL_tmp1165z00_3172;} } } } } } } 

}



/* &<@anonymous:2023> */
obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2261)
{
{ /* Llib/sqlite.scm 227 */
{ /* Llib/sqlite.scm 232 */
 obj_t BgL_excz00_2262;
BgL_excz00_2262 = 
PROCEDURE_REF(BgL_envz00_2261, 
(int)(0L)); 
if(
CBOOL(
CELL_REF(BgL_excz00_2262)))
{ /* Llib/sqlite.scm 232 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2262));}  else 
{ /* Llib/sqlite.scm 232 */
return BFALSE;} } } 

}



/* &<@anonymous:2039> */
obj_t BGl_z62zc3z04anonymousza32039ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2263, obj_t BgL_xz00_2266, obj_t BgL_yz00_2267, obj_t BgL_za7za7_2268, obj_t BgL_tz00_2269)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2264; obj_t BgL_excz00_2265;
BgL_pz00_2264 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2263, 
(int)(0L))); 
BgL_excz00_2265 = 
PROCEDURE_REF(BgL_envz00_2263, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1154z00_3182;
BgL_env1154z00_3182 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1149z00_3183;
BgL_cell1149z00_3183 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1153z00_3184;
BgL_val1153z00_3184 = 
BGl_zc3z04exitza32041ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2269, BgL_za7za7_2268, BgL_yz00_2267, BgL_xz00_2266, BgL_pz00_2264, BgL_cell1149z00_3183, BgL_env1154z00_3182); 
if(
(BgL_val1153z00_3184==BgL_cell1149z00_3183))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5819;
BgL_tmpz00_5819 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5819); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2040z00_3185;
BgL_arg2040z00_3185 = 
CELL_REF(
((obj_t)BgL_val1153z00_3184)); 
return 
CELL_SET(BgL_excz00_2265, BgL_arg2040z00_3185);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1153z00_3184;} } } } } } 

}



/* <@exit:2041>~0 */
obj_t BGl_zc3z04exitza32041ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2349, obj_t BgL_za7za7_2348, obj_t BgL_yz00_2347, obj_t BgL_xz00_2346, obj_t BgL_pz00_2345, obj_t BgL_cell1149z00_2344, obj_t BgL_env1154z00_2343)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1158z00_746;
if( SET_EXIT(BgL_an_exit1158z00_746 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1158z00_746 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1154z00_2343, BgL_an_exit1158z00_746, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1150z00_747;
BgL_escape1150z00_747 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_2343); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1161z00_748;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1146z00_749;
BgL_ohs1146z00_749 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1154z00_2343); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1147z00_750;
BgL_hds1147z00_750 = 
MAKE_STACK_PAIR(BgL_escape1150z00_747, BgL_cell1149z00_2344); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_2343, BgL_hds1147z00_750); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1155z00_751;
BgL_exitd1155z00_751 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_2343); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1157z00_752;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2042z00_754;
BgL_arg2042z00_754 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_751); 
BgL_tmp1157z00_752 = 
MAKE_YOUNG_PAIR(BgL_ohs1146z00_749, BgL_arg2042z00_754); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_751, BgL_tmp1157z00_752); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1156z00_753;
BgL_tmp1156z00_753 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2345))(BgL_pz00_2345, BgL_xz00_2346, BgL_yz00_2347, BgL_za7za7_2348, BgL_tz00_2349, BEOA); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2767z00_5842;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1796z00_1765;
BgL_arg1796z00_1765 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_751); 
BgL_test2767z00_5842 = 
PAIRP(BgL_arg1796z00_1765); } 
if(BgL_test2767z00_5842)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1794z00_1766;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1795z00_1767;
BgL_arg1795z00_1767 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_751); 
BgL_arg1794z00_1766 = 
CDR(
((obj_t)BgL_arg1795z00_1767)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_751, BgL_arg1794z00_1766); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_2343, BgL_ohs1146z00_749); BUNSPEC; 
BgL_res1161z00_748 = BgL_tmp1156z00_753; } } } } } } 
POP_ENV_EXIT(BgL_env1154z00_2343); 
return BgL_res1161z00_748;} } 
}} 

}



/* &<@anonymous:2034> */
obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2271, obj_t BgL_xz00_2274, obj_t BgL_yz00_2275, obj_t BgL_za7za7_2276)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2272; obj_t BgL_excz00_2273;
BgL_pz00_2272 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2271, 
(int)(0L))); 
BgL_excz00_2273 = 
PROCEDURE_REF(BgL_envz00_2271, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1137z00_3186;
BgL_env1137z00_3186 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1132z00_3187;
BgL_cell1132z00_3187 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1136z00_3188;
BgL_val1136z00_3188 = 
BGl_zc3z04exitza32036ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2276, BgL_yz00_2275, BgL_xz00_2274, BgL_pz00_2272, BgL_cell1132z00_3187, BgL_env1137z00_3186); 
if(
(BgL_val1136z00_3188==BgL_cell1132z00_3187))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5861;
BgL_tmpz00_5861 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5861); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2035z00_3189;
BgL_arg2035z00_3189 = 
CELL_REF(
((obj_t)BgL_val1136z00_3188)); 
return 
CELL_SET(BgL_excz00_2273, BgL_arg2035z00_3189);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1136z00_3188;} } } } } } 

}



/* <@exit:2036>~0 */
obj_t BGl_zc3z04exitza32036ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2342, obj_t BgL_yz00_2341, obj_t BgL_xz00_2340, obj_t BgL_pz00_2339, obj_t BgL_cell1132z00_2338, obj_t BgL_env1137z00_2337)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1141z00_723;
if( SET_EXIT(BgL_an_exit1141z00_723 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1141z00_723 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1137z00_2337, BgL_an_exit1141z00_723, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1133z00_724;
BgL_escape1133z00_724 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_2337); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1144z00_725;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1129z00_726;
BgL_ohs1129z00_726 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1137z00_2337); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1130z00_727;
BgL_hds1130z00_727 = 
MAKE_STACK_PAIR(BgL_escape1133z00_724, BgL_cell1132z00_2338); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_2337, BgL_hds1130z00_727); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1138z00_728;
BgL_exitd1138z00_728 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_2337); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1140z00_729;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2037z00_731;
BgL_arg2037z00_731 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_728); 
BgL_tmp1140z00_729 = 
MAKE_YOUNG_PAIR(BgL_ohs1129z00_726, BgL_arg2037z00_731); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_728, BgL_tmp1140z00_729); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1139z00_730;
BgL_tmp1139z00_730 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2339))(BgL_pz00_2339, BgL_xz00_2340, BgL_yz00_2341, BgL_za7za7_2342, BEOA); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2769z00_5883;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1796z00_1759;
BgL_arg1796z00_1759 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_728); 
BgL_test2769z00_5883 = 
PAIRP(BgL_arg1796z00_1759); } 
if(BgL_test2769z00_5883)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1794z00_1760;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1795z00_1761;
BgL_arg1795z00_1761 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_728); 
BgL_arg1794z00_1760 = 
CDR(
((obj_t)BgL_arg1795z00_1761)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_728, BgL_arg1794z00_1760); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_2337, BgL_ohs1129z00_726); BUNSPEC; 
BgL_res1144z00_725 = BgL_tmp1139z00_730; } } } } } } 
POP_ENV_EXIT(BgL_env1137z00_2337); 
return BgL_res1144z00_725;} } 
}} 

}



/* &<@anonymous:2029> */
obj_t BGl_z62zc3z04anonymousza32029ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2278, obj_t BgL_xz00_2281, obj_t BgL_yz00_2282)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2279; obj_t BgL_excz00_2280;
BgL_pz00_2279 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2278, 
(int)(0L))); 
BgL_excz00_2280 = 
PROCEDURE_REF(BgL_envz00_2278, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1120z00_3190;
BgL_env1120z00_3190 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1115z00_3191;
BgL_cell1115z00_3191 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1119z00_3192;
BgL_val1119z00_3192 = 
BGl_zc3z04exitza32031ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2282, BgL_xz00_2281, BgL_pz00_2279, BgL_cell1115z00_3191, BgL_env1120z00_3190); 
if(
(BgL_val1119z00_3192==BgL_cell1115z00_3191))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5902;
BgL_tmpz00_5902 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5902); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2030z00_3193;
BgL_arg2030z00_3193 = 
CELL_REF(
((obj_t)BgL_val1119z00_3192)); 
return 
CELL_SET(BgL_excz00_2280, BgL_arg2030z00_3193);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1119z00_3192;} } } } } } 

}



/* <@exit:2031>~0 */
obj_t BGl_zc3z04exitza32031ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2336, obj_t BgL_xz00_2335, obj_t BgL_pz00_2334, obj_t BgL_cell1115z00_2333, obj_t BgL_env1120z00_2332)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1124z00_701;
if( SET_EXIT(BgL_an_exit1124z00_701 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1124z00_701 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1120z00_2332, BgL_an_exit1124z00_701, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1116z00_702;
BgL_escape1116z00_702 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_2332); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1127z00_703;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1112z00_704;
BgL_ohs1112z00_704 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1120z00_2332); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1113z00_705;
BgL_hds1113z00_705 = 
MAKE_STACK_PAIR(BgL_escape1116z00_702, BgL_cell1115z00_2333); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_2332, BgL_hds1113z00_705); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1121z00_706;
BgL_exitd1121z00_706 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_2332); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1123z00_707;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2032z00_709;
BgL_arg2032z00_709 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_706); 
BgL_tmp1123z00_707 = 
MAKE_YOUNG_PAIR(BgL_ohs1112z00_704, BgL_arg2032z00_709); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_706, BgL_tmp1123z00_707); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1122z00_708;
BgL_tmp1122z00_708 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2334))(BgL_pz00_2334, BgL_xz00_2335, BgL_yz00_2336, BEOA); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2771z00_5923;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1796z00_1753;
BgL_arg1796z00_1753 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_706); 
BgL_test2771z00_5923 = 
PAIRP(BgL_arg1796z00_1753); } 
if(BgL_test2771z00_5923)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1794z00_1754;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1795z00_1755;
BgL_arg1795z00_1755 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_706); 
BgL_arg1794z00_1754 = 
CDR(
((obj_t)BgL_arg1795z00_1755)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_706, BgL_arg1794z00_1754); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_2332, BgL_ohs1112z00_704); BUNSPEC; 
BgL_res1127z00_703 = BgL_tmp1122z00_708; } } } } } } 
POP_ENV_EXIT(BgL_env1120z00_2332); 
return BgL_res1127z00_703;} } 
}} 

}



/* &<@anonymous:2024> */
obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2284, obj_t BgL_xz00_2287)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2285; obj_t BgL_excz00_2286;
BgL_pz00_2285 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2284, 
(int)(0L))); 
BgL_excz00_2286 = 
PROCEDURE_REF(BgL_envz00_2284, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1103z00_3194;
BgL_env1103z00_3194 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1098z00_3195;
BgL_cell1098z00_3195 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1102z00_3196;
BgL_val1102z00_3196 = 
BGl_zc3z04exitza32026ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2287, BgL_pz00_2285, BgL_cell1098z00_3195, BgL_env1103z00_3194); 
if(
(BgL_val1102z00_3196==BgL_cell1098z00_3195))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5942;
BgL_tmpz00_5942 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5942); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2025z00_3197;
BgL_arg2025z00_3197 = 
CELL_REF(
((obj_t)BgL_val1102z00_3196)); 
return 
CELL_SET(BgL_excz00_2286, BgL_arg2025z00_3197);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1102z00_3196;} } } } } } 

}



/* <@exit:2026>~0 */
obj_t BGl_zc3z04exitza32026ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2331, obj_t BgL_pz00_2330, obj_t BgL_cell1098z00_2329, obj_t BgL_env1103z00_2328)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1107z00_680;
if( SET_EXIT(BgL_an_exit1107z00_680 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1107z00_680 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1103z00_2328, BgL_an_exit1107z00_680, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1099z00_681;
BgL_escape1099z00_681 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_2328); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1110z00_682;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1095z00_683;
BgL_ohs1095z00_683 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1103z00_2328); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1096z00_684;
BgL_hds1096z00_684 = 
MAKE_STACK_PAIR(BgL_escape1099z00_681, BgL_cell1098z00_2329); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_2328, BgL_hds1096z00_684); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1104z00_685;
BgL_exitd1104z00_685 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_2328); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1106z00_686;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2027z00_688;
BgL_arg2027z00_688 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_685); 
BgL_tmp1106z00_686 = 
MAKE_YOUNG_PAIR(BgL_ohs1095z00_683, BgL_arg2027z00_688); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_685, BgL_tmp1106z00_686); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1105z00_687;
BgL_tmp1105z00_687 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_2330))(BgL_pz00_2330, BgL_xz00_2331, BEOA); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2773z00_5962;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1796z00_1747;
BgL_arg1796z00_1747 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_685); 
BgL_test2773z00_5962 = 
PAIRP(BgL_arg1796z00_1747); } 
if(BgL_test2773z00_5962)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1794z00_1748;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1795z00_1749;
BgL_arg1795z00_1749 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_685); 
BgL_arg1794z00_1748 = 
CDR(
((obj_t)BgL_arg1795z00_1749)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_685, BgL_arg1794z00_1748); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_2328, BgL_ohs1095z00_683); BUNSPEC; 
BgL_res1110z00_682 = BgL_tmp1105z00_687; } } } } } } 
POP_ENV_EXIT(BgL_env1103z00_2328); 
return BgL_res1110z00_682;} } 
}} 

}



/* &<@anonymous:2044> */
obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2289, obj_t BgL_lz00_2292)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2290; obj_t BgL_excz00_2291;
BgL_pz00_2290 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2289, 
(int)(0L))); 
BgL_excz00_2291 = 
PROCEDURE_REF(BgL_envz00_2289, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1084z00_3198;
BgL_env1084z00_3198 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1079z00_3199;
BgL_cell1079z00_3199 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1083z00_3200;
BgL_val1083z00_3200 = 
BGl_zc3z04exitza32046ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2290, BgL_lz00_2292, BgL_cell1079z00_3199, BgL_env1084z00_3198); 
if(
(BgL_val1083z00_3200==BgL_cell1079z00_3199))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5981;
BgL_tmpz00_5981 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5981); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2045z00_3201;
BgL_arg2045z00_3201 = 
CELL_REF(
((obj_t)BgL_val1083z00_3200)); 
return 
CELL_SET(BgL_excz00_2291, BgL_arg2045z00_3201);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1083z00_3200;} } } } } } 

}



/* <@exit:2046>~0 */
obj_t BGl_zc3z04exitza32046ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2327, obj_t BgL_lz00_2326, obj_t BgL_cell1079z00_2325, obj_t BgL_env1084z00_2324)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1088z00_766;
if( SET_EXIT(BgL_an_exit1088z00_766 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1088z00_766 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1084z00_2324, BgL_an_exit1088z00_766, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1080z00_767;
BgL_escape1080z00_767 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_2324); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1091z00_768;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1076z00_769;
BgL_ohs1076z00_769 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1084z00_2324); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1077z00_770;
BgL_hds1077z00_770 = 
MAKE_STACK_PAIR(BgL_escape1080z00_767, BgL_cell1079z00_2325); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_2324, BgL_hds1077z00_770); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1085z00_771;
BgL_exitd1085z00_771 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_2324); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1087z00_772;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2047z00_774;
BgL_arg2047z00_774 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_771); 
BgL_tmp1087z00_772 = 
MAKE_YOUNG_PAIR(BgL_ohs1076z00_769, BgL_arg2047z00_774); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_771, BgL_tmp1087z00_772); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1086z00_773;
BgL_tmp1086z00_773 = 
apply(BgL_pz00_2327, BgL_lz00_2326); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2775z00_5999;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1796z00_1740;
BgL_arg1796z00_1740 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_771); 
BgL_test2775z00_5999 = 
PAIRP(BgL_arg1796z00_1740); } 
if(BgL_test2775z00_5999)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1794z00_1741;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1795z00_1742;
BgL_arg1795z00_1742 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_771); 
BgL_arg1794z00_1741 = 
CDR(
((obj_t)BgL_arg1795z00_1742)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_771, BgL_arg1794z00_1741); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_2324, BgL_ohs1076z00_769); BUNSPEC; 
BgL_res1091z00_768 = BgL_tmp1086z00_773; } } } } } } 
POP_ENV_EXIT(BgL_env1084z00_2324); 
return BgL_res1091z00_768;} } 
}} 

}



/* &sqlite-exec-sqlite1481 */
obj_t BGl_z62sqlitezd2execzd2sqlite1481z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2294, obj_t BgL_oz00_2295, obj_t BgL_fmtz00_2296, obj_t BgL_argsz00_2297)
{
{ /* Llib/sqlite.scm 186 */
if(
NULLP(BgL_argsz00_2297))
{ /* Llib/sqlite.scm 189 */
 void * BgL_arg2008z00_3204;
BgL_arg2008z00_3204 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2295)))->BgL_z42builtinz42); 
return 
bgl_sqlite_exec(BgL_arg2008z00_3204, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2296)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2295)));}  else 
{ /* Llib/sqlite.scm 190 */
 void * BgL_arg2009z00_3205; obj_t BgL_arg2010z00_3206;
BgL_arg2009z00_3205 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2295)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 190 */
 obj_t BgL_runner2013z00_3207;
{ /* Llib/sqlite.scm 190 */
 obj_t BgL_list2011z00_3208;
BgL_list2011z00_3208 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2297, BNIL); 
BgL_runner2013z00_3207 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2296), BgL_list2011z00_3208); } 
{ /* Llib/sqlite.scm 190 */
 obj_t BgL_aux2012z00_3209;
BgL_aux2012z00_3209 = 
CAR(BgL_runner2013z00_3207); 
BgL_runner2013z00_3207 = 
CDR(BgL_runner2013z00_3207); 
BgL_arg2010z00_3206 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2012z00_3209, BgL_runner2013z00_3207); } } 
return 
bgl_sqlite_exec(BgL_arg2009z00_3205, 
BSTRING_TO_STRING(BgL_arg2010z00_3206), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2295)));} } 

}



/* &sqlite-close-sqlite1477 */
obj_t BGl_z62sqlitezd2closezd2sqlite1477z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2298, obj_t BgL_oz00_2299)
{
{ /* Llib/sqlite.scm 171 */
{ /* Llib/sqlite.scm 173 */
 void * BgL_arg2006z00_3211;
BgL_arg2006z00_3211 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2299)))->BgL_z42builtinz42); 
bgl_sqlite_close(BgL_arg2006z00_3211, 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2299))); 
return BUNSPEC;} } 

}



/* &object-print-sqlite1473 */
obj_t BGl_z62objectzd2printzd2sqlite1473z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2300, obj_t BgL_oz00_2301, obj_t BgL_portz00_2302, obj_t BgL_printzd2slotzd2_2303)
{
{ /* Llib/sqlite.scm 95 */
{ /* Llib/sqlite.scm 96 */
 obj_t BgL_list2005z00_3213;
BgL_list2005z00_3213 = 
MAKE_YOUNG_PAIR(BgL_portz00_2302, BNIL); 
return 
BGl_objectzd2writezd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_sqlitez00_bglt)BgL_oz00_2301)), BgL_list2005z00_3213);} } 

}



/* &object-write-sqlite1471 */
obj_t BGl_z62objectzd2writezd2sqlite1471z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2304, obj_t BgL_oz00_2305, obj_t BgL_portz00_2306)
{
{ /* Llib/sqlite.scm 86 */
{ /* Llib/sqlite.scm 87 */
 obj_t BgL_arg1996z00_3215;
if(
PAIRP(BgL_portz00_2306))
{ /* Llib/sqlite.scm 87 */
BgL_arg1996z00_3215 = 
CAR(BgL_portz00_2306); }  else 
{ /* Llib/sqlite.scm 87 */
 obj_t BgL_tmpz00_6041;
BgL_tmpz00_6041 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1996z00_3215 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6041); } 
{ /* Llib/sqlite.scm 89 */
 obj_t BgL_zc3z04anonymousza31999ze3z87_3216;
BgL_zc3z04anonymousza31999ze3z87_3216 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31999ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31999ze3z87_3216, 
(int)(0L), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2305))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1996z00_3215, BgL_zc3z04anonymousza31999ze3z87_3216);} } } 

}



/* &<@anonymous:1999> */
obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2307)
{
{ /* Llib/sqlite.scm 88 */
{ /* Llib/sqlite.scm 89 */
 BgL_sqlitez00_bglt BgL_oz00_2308;
BgL_oz00_2308 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_2307, 
(int)(0L))); 
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_arg2000z00_3217;
BgL_arg2000z00_3217 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2308)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_list2001z00_3218;
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_arg2002z00_3219;
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_arg2003z00_3220;
BgL_arg2003z00_3220 = 
MAKE_YOUNG_PAIR(BGl_string2404z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg2002z00_3219 = 
MAKE_YOUNG_PAIR(BgL_arg2000z00_3217, BgL_arg2003z00_3220); } 
BgL_list2001z00_3218 = 
MAKE_YOUNG_PAIR(BGl_string2405z00zz__sqlite_sqlitez00, BgL_arg2002z00_3219); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2001z00_3218);} } } } 

}



/* &object-display-sqlit1469 */
obj_t BGl_z62objectzd2displayzd2sqlit1469z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2309, obj_t BgL_oz00_2310, obj_t BgL_portz00_2311)
{
{ /* Llib/sqlite.scm 77 */
{ /* Llib/sqlite.scm 78 */
 obj_t BgL_arg1987z00_3222;
if(
PAIRP(BgL_portz00_2311))
{ /* Llib/sqlite.scm 78 */
BgL_arg1987z00_3222 = 
CAR(BgL_portz00_2311); }  else 
{ /* Llib/sqlite.scm 78 */
 obj_t BgL_tmpz00_6064;
BgL_tmpz00_6064 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1987z00_3222 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6064); } 
{ /* Llib/sqlite.scm 80 */
 obj_t BgL_zc3z04anonymousza31990ze3z87_3223;
BgL_zc3z04anonymousza31990ze3z87_3223 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31990ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31990ze3z87_3223, 
(int)(0L), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2310))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1987z00_3222, BgL_zc3z04anonymousza31990ze3z87_3223);} } } 

}



/* &<@anonymous:1990> */
obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2312)
{
{ /* Llib/sqlite.scm 79 */
{ /* Llib/sqlite.scm 80 */
 BgL_sqlitez00_bglt BgL_oz00_2313;
BgL_oz00_2313 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_2312, 
(int)(0L))); 
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_arg1991z00_3224;
BgL_arg1991z00_3224 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2313)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_list1992z00_3225;
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_arg1993z00_3226;
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_arg1994z00_3227;
BgL_arg1994z00_3227 = 
MAKE_YOUNG_PAIR(BGl_string2404z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1993z00_3226 = 
MAKE_YOUNG_PAIR(BgL_arg1991z00_3224, BgL_arg1994z00_3227); } 
BgL_list1992z00_3225 = 
MAKE_YOUNG_PAIR(BGl_string2405z00zz__sqlite_sqlitez00, BgL_arg1993z00_3226); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1992z00_3225);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(71169298L, 
BSTRING_TO_STRING(BGl_string2406z00zz__sqlite_sqlitez00));} 

}

#ifdef __cplusplus
}
#endif
