/*===========================================================================*/
/*   (Llib/ssl.scm)                                                          */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -copt -I. -copt -fPIC -copt -IC Llib/ssl.scm -o objs/ssl.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SSL_SSL_TYPE_DEFINITIONS
#define BGL___SSL_SSL_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_certificatez00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_certificatez00_bglt;

typedef struct BgL_privatezd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_privatezd2keyzd2_bglt;

typedef struct BgL_securezd2contextzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42cazd2storez90;
   obj_t BgL_methodz00;
} *BgL_securezd2contextzd2_bglt;

typedef struct BgL_sslzd2connectionzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42biozd2readz90;
   void * BgL_z42biozd2writez90;
   void * BgL_z42nextzd2sessionz90;
   struct BgL_securezd2contextzd2_bgl * BgL_ctxz00;
   bool_t BgL_isserverz00;
   bool_t BgL_requestzd2certzd2;
   obj_t BgL_serverzd2namezd2;
   bool_t BgL_rejectzd2unauthoriza7edz75;
   obj_t BgL_infozd2callbackzd2;
   obj_t BgL_snizd2contextzd2callbackz00;
   obj_t BgL_newsessionzd2callbackzd2;
   obj_t BgL_selectedzd2npnzd2protosz00;
   obj_t BgL_npnzd2protoszd2;
   obj_t BgL_errz00;
   bool_t BgL_receivedzd2shutdownzd2;
   bool_t BgL_sentzd2shutdownzd2;
} *BgL_sslzd2connectionzd2_bglt;

typedef struct BgL_dhz00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z52pz52;
   void * BgL_z52qz52;
   void * BgL_z52gz52;
   void * BgL_z52pubz52;
   void * BgL_z52privz52;
} *BgL_dhz00_bglt;

typedef struct BgL_sslzd2hashzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
   obj_t BgL_typez00;
} *BgL_sslzd2hashzd2_bglt;

typedef struct BgL_sslzd2hmaczd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2hmaczd2_bglt;

typedef struct BgL_sslzd2signzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2signzd2_bglt;

typedef struct BgL_sslzd2verifyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2verifyzd2_bglt;

typedef struct BgL_sslzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42cipherz42;
   void * BgL_z42cipherzd2ctxz90;
} *BgL_sslzd2cipherzd2_bglt;


#endif // BGL___SSL_SSL_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62lambda1927z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62lambda1849z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_initiv(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
extern obj_t bgl_ssl_ctx_init(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_private_key(obj_t);
static obj_t BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check_pub_key(void *, void *);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_pkcs5_pbkdf2_hmac_sha1(obj_t, obj_t, int, int);
static obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1850z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1932z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_close(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1856z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_certificatez00zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1864z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_make_ssl_server_socket(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, int, obj_t);
static obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1867z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2newzd2zz__ssl_sslz00(void);
static obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_ctx_set_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00(void);
static obj_t BGl_z62lambda1874z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
extern bool_t bgl_ssl_ctx_add_ca_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_sign_sign(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1960z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1961z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1882z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1967z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1889z62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_init(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt, int, obj_t);
static obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31858ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_evp_get_ciphers(void);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
static obj_t BGl_z62lambda1974z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32201ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32112ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1981z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1982z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ssl_sslz00(void);
static BgL_dhz00_bglt BGl_z62lambda1989z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_crl(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL char * BGl_sslzd2versionzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32121ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_set_key(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zz__ssl_sslz00 = BUNSPEC;
extern obj_t bgl_ssl_error_string(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern void * bgl_dh_public_key(void *);
static obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda1992z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1999z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32041ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t, obj_t, int, int);
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_cipher_set_auto_padding(BgL_sslzd2cipherzd2_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
BGL_EXPORTED_DECL BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00(void);
extern obj_t bgl_cipher_final(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32108ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_dh_private_key(void *);
BGL_EXPORTED_DECL obj_t bgl_make_certificate(void *);
static obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int);
static obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__ssl_sslz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hmac_digest(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_dh_check(void *);
static obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_sslz00(void);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hash_init(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32061ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32029ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00(void);
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32046ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
extern obj_t bgl_ssl_certificate_issuer(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
extern void bgl_dh_pub_priv_key_set(void *, void *, void *);
static obj_t BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32225ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2000z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, int);
static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2006z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32218ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t);
static BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_negotiated_protocol(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_shutdown(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00(void);
BGL_EXPORTED_DECL obj_t bgl_make_private_key(void *);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__ssl_sslz00(obj_t, obj_t);
extern long bgl_ssl_connection_clear_in(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern bool_t bgl_load_pkcs12(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32154ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_cipher_update(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t bgl_ssl_load_pem(obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2020z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2021z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2027z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, bool_t);
static obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_dh_pqg_set(void *, void *, void *, void *);
static obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62lambda2034z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2035z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hash_digest(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_sign_init(BgL_sslzd2signzd2_bglt, obj_t);
extern obj_t bgl_ssl_connection_init(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hash_update(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_get_ciphers(void);
BGL_EXPORTED_DECL int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2200z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2206z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2207z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
BGL_EXPORTED_DECL void * bgl_private_key_native(obj_t);
extern obj_t bgl_ssl_connection_verify_error(BgL_sslzd2connectionzd2_bglt);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2214z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2135z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2216z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2138z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_set_session(BgL_sslzd2connectionzd2_bglt, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2check1316zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2223z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z52socketzd2initz12z92zz__socketz00(void);
static obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2224z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2145z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2146z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_load_certificate(obj_t);
static obj_t BGl_z62dhzd2init1310zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_certificate_subject(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
extern obj_t bgl_ssl_connection_get_peer_certificate(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2230z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2231z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2152z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_client_socket_use_ssl(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32176ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00(void);
extern int bgl_ssl_connection_load_session(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_add_root_certs(BgL_securezd2contextzd2_bglt);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2238z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_set_session_id_context(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda2158z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2159z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00(obj_t, obj_t);
extern long bgl_ssl_connection_read(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2240z62zz__ssl_sslz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00(void);
static obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31707ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2165z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32169ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2247z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2167z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2248z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_close(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31805ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2254z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2174z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2255z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2175z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
extern obj_t bgl_ssl_connection_get_current_cipher(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_bn_bin2bn(char *, int);
extern obj_t bgl_evp_get_hashes(void);
static obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t, obj_t);
extern char * bgl_ssl_version(void);
static obj_t BGl_search1213ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
extern bool_t bgl_ssl_verify_update(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_connection_init_finishedp(BgL_sslzd2connectionzd2_bglt);
extern long bgl_ssl_connection_write(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern long bgl_ssl_connection_clear_out(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62lambda2181z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32098ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2189z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_client_socket(obj_t, int, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2191z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62lambda2199z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hmac_init(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_search1231ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static obj_t BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long default_io_bufsiz;
extern int bgl_ssl_connection_clear_pending(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_enc_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1801z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zz__ssl_sslz00(obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1803z62zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_connection_get_session(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda1809z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_dhz00zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern int bgl_ssl_connection_start(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1810z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1816z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1818z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2zz__ssl_sslz00 = BUNSPEC;
extern void * bgl_dh_g(void *);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern void * bgl_dh_p(void *);
extern void * bgl_dh_p(void *);
extern bool_t bgl_ssl_verify_final(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__ssl_sslz00(obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1902z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1903z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1824z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1825z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1907z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_certificate_native(obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31844ze3ze5zz__ssl_sslz00(obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1832z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1913z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1835z62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern bool_t bgl_ssl_verify_init(BgL_sslzd2verifyzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_sign_update(BgL_sslzd2signzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_socketp(obj_t);
extern bool_t bgl_ssl_hmac_update(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1920z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1921z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1842z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31837ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1843z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int);
static obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t __cnst[ 95 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3003z00zz__ssl_sslz00, BgL_bgl_za762lambda1875za7623386z00, BGl_z62lambda1875z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3004z00zz__ssl_sslz00, BgL_bgl_za762lambda1874za7623387z00, BGl_z62lambda1874z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3005z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3388za7, BGl_z62zc3z04anonymousza31884ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3006z00zz__ssl_sslz00, BgL_bgl_za762lambda1883za7623389z00, BGl_z62lambda1883z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3007z00zz__ssl_sslz00, BgL_bgl_za762lambda1882za7623390z00, BGl_z62lambda1882z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3008z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3391za7, BGl_z62zc3z04anonymousza31891ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3009z00zz__ssl_sslz00, BgL_bgl_za762lambda1890za7623392z00, BGl_z62lambda1890z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73393za7, BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2c3394za7, BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7b03395za7, BGl_z62dhzd2checkzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3010z00zz__ssl_sslz00, BgL_bgl_za762lambda1889za7623396z00, BGl_z62lambda1889z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3397za7, BGl_z62zc3z04anonymousza31898ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__ssl_sslz00, BgL_bgl_za762lambda1897za7623398z00, BGl_z62lambda1897z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__ssl_sslz00, BgL_bgl_za762lambda1896za7623399z00, BGl_z62lambda1896z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3400z00, BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__ssl_sslz00, BgL_bgl_za762lambda1903za7623401z00, BGl_z62lambda1903z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__ssl_sslz00, BgL_bgl_za762lambda1902za7623402z00, BGl_z62lambda1902z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__ssl_sslz00, BgL_bgl_za762lambda1908za7623403z00, BGl_z62lambda1908z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__ssl_sslz00, BgL_bgl_za762lambda1907za7623404z00, BGl_z62lambda1907z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3405za7, BGl_z62zc3z04anonymousza31915ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__ssl_sslz00, BgL_bgl_za762lambda1914za7623406z00, BGl_z62lambda1914z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23407za7, BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3408z00, BGl_z62certificatezd2subjectzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__ssl_sslz00, BgL_bgl_za762lambda2159za7623409z00, BGl_z62lambda2159z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3101z00zz__ssl_sslz00, BgL_bgl_za762lambda2158za7623410z00, BGl_z62lambda2158z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__ssl_sslz00, BgL_bgl_za762lambda1913za7623411z00, BGl_z62lambda1913z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3412za7, BGl_z62zc3z04anonymousza32140ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3413za7, BGl_z62zc3z04anonymousza31922ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3103z00zz__ssl_sslz00, BgL_bgl_za762lambda2138za7623414z00, BGl_z62lambda2138z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__ssl_sslz00, BgL_bgl_za762lambda1921za7623415z00, BGl_z62lambda1921z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__ssl_sslz00, BgL_bgl_za762lambda2135za7623416z00, BGl_z62lambda2135z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__ssl_sslz00, BgL_bgl_za762lambda1920za7623417z00, BGl_z62lambda1920z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3105z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3418za7, BGl_z62zc3z04anonymousza32176ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__ssl_sslz00, BgL_bgl_za762lambda1927za7623419z00, BGl_z62lambda1927z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__ssl_sslz00, BgL_bgl_za762lambda2175za7623420z00, BGl_z62lambda2175z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__ssl_sslz00, BgL_bgl_za762lambda1926za7623421z00, BGl_z62lambda1926z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3107z00zz__ssl_sslz00, BgL_bgl_za762lambda2174za7623422z00, BGl_z62lambda2174z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3423za7, BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3424za7, BGl_z62zc3z04anonymousza32183ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3027z00zz__ssl_sslz00, BgL_bgl_za762lambda1933za7623425z00, BGl_z62lambda1933z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3109z00zz__ssl_sslz00, BgL_bgl_za762lambda2182za7623426z00, BGl_z62lambda2182z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__ssl_sslz00, BgL_bgl_za762lambda1932za7623427z00, BGl_z62lambda1932z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3428za7, BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73429za7, BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2opza7d2ci3430za7, BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__ssl_sslz00, BgL_bgl_za762lambda2181za7623431z00, BGl_z62lambda2181z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3111z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3432za7, BGl_z62zc3z04anonymousza32169ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__ssl_sslz00, BgL_bgl_za762lambda1940za7623433z00, BGl_z62lambda1940z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__ssl_sslz00, BgL_bgl_za762lambda2167za7623434z00, BGl_z62lambda2167z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__ssl_sslz00, BgL_bgl_za762lambda1939za7623435z00, BGl_z62lambda1939z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3200z00zz__ssl_sslz00, BgL_bgl_string3200za700za7za7_3436za7, "ssl-connection-reuse1306", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3113z00zz__ssl_sslz00, BgL_bgl_za762lambda2165za7623437z00, BGl_z62lambda2165z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3438za7, BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3439za7, BGl_z62zc3z04anonymousza32201ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3033z00zz__ssl_sslz00, BgL_bgl_za762lambda1947za7623440z00, BGl_z62lambda1947z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3202z00zz__ssl_sslz00, BgL_bgl_string3202za700za7za7_3441za7, "ssl-connection-get-n1308", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3115z00zz__ssl_sslz00, BgL_bgl_za762lambda2200za7623442z00, BGl_z62lambda2200z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__ssl_sslz00, BgL_bgl_za762lambda1946za7623443z00, BGl_z62lambda1946z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__ssl_sslz00, BgL_bgl_za762lambda2199za7623444z00, BGl_z62lambda2199z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3445za7, BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3204z00zz__ssl_sslz00, BgL_bgl_string3204za700za7za7_3446za7, "dh-init1310", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3117z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3447za7, BGl_z62zc3z04anonymousza32208ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__ssl_sslz00, BgL_bgl_za762lambda1954za7623448z00, BGl_z62lambda1954z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3118z00zz__ssl_sslz00, BgL_bgl_za762lambda2207za7623449z00, BGl_z62lambda2207z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__ssl_sslz00, BgL_bgl_za762lambda1953za7623450z00, BGl_z62lambda1953z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3206z00zz__ssl_sslz00, BgL_bgl_string3206za700za7za7_3451za7, "dh-size1312", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3119z00zz__ssl_sslz00, BgL_bgl_za762lambda2206za7623452z00, BGl_z62lambda2206z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3453za7, BGl_z62zc3z04anonymousza31962ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__ssl_sslz00, BgL_bgl_za762lambda1961za7623454z00, BGl_z62lambda1961z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3208z00zz__ssl_sslz00, BgL_bgl_string3208za700za7za7_3455za7, "dh-generate-paramete1314", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73456za7, BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3457z00, BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3120z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3458za7, BGl_z62zc3z04anonymousza32193ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__ssl_sslz00, BgL_bgl_za762lambda2191za7623459z00, BGl_z62lambda2191z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__ssl_sslz00, BgL_bgl_za762lambda1960za7623460z00, BGl_z62lambda1960z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2init13103461z00, BGl_z62dhzd2init1310zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__ssl_sslz00, BgL_bgl_za762lambda2189za7623462z00, BGl_z62lambda2189z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3463za7, BGl_z62zc3z04anonymousza31969ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3210z00zz__ssl_sslz00, BgL_bgl_string3210za700za7za7_3464za7, "dh-check1316", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3465za7, BGl_z62zc3z04anonymousza32225ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__ssl_sslz00, BgL_bgl_za762lambda1968za7623466z00, BGl_z62lambda1968z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7e133467za7, BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__ssl_sslz00, BgL_bgl_za762lambda2224za7623468z00, BGl_z62lambda2224z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__ssl_sslz00, BgL_bgl_za762lambda1967za7623469z00, BGl_z62lambda1967z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3212z00zz__ssl_sslz00, BgL_bgl_string3212za700za7za7_3470za7, "dh-check-pub-key1318", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__ssl_sslz00, BgL_bgl_za762lambda2223za7623471z00, BGl_z62lambda2223z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3472za7, BGl_z62zc3z04anonymousza31976ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3473z00, BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3474za7, BGl_z62zc3z04anonymousza32232ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__ssl_sslz00, BgL_bgl_za762lambda1975za7623475z00, BGl_z62lambda1975z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3214z00zz__ssl_sslz00, BgL_bgl_string3214za700za7za7_3476za7, "dh-compute-key1320", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__ssl_sslz00, BgL_bgl_za762lambda2231za7623477z00, BGl_z62lambda2231z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3046z00zz__ssl_sslz00, BgL_bgl_za762lambda1974za7623478z00, BGl_z62lambda1974z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2check1313479z00, BGl_z62dhzd2check1316zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__ssl_sslz00, BgL_bgl_za762lambda2230za7623480z00, BGl_z62lambda2230z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3481za7, BGl_z62zc3z04anonymousza31983ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3482z00, BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3216z00zz__ssl_sslz00, BgL_bgl_string3216za700za7za7_3483za7, "dh-generate-key1322", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3484za7, BGl_z62zc3z04anonymousza32218ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__ssl_sslz00, BgL_bgl_za762lambda1982za7623485z00, BGl_z62lambda1982z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__ssl_sslz00, BgL_bgl_za762lambda1981za7623486z00, BGl_z62lambda1981z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3218z00zz__ssl_sslz00, BgL_bgl_string3218za700za7za7_3487za7, "ssl-hash-init1324", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3488z00, BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23489za7, BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__ssl_sslz00, BgL_bgl_za762lambda2216za7623490z00, BGl_z62lambda2216z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__ssl_sslz00, BgL_bgl_za762lambda2214za7623491z00, BGl_z62lambda2214z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3492za7, BGl_z62zc3z04anonymousza31869ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3300z00zz__ssl_sslz00, BgL_bgl_string3300za700za7za7_3493za7, "&ssl-connection-get-peer-certificate", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73494za7, BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3495za7, BGl_z62zc3z04anonymousza32249ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__ssl_sslz00, BgL_bgl_za762lambda1867za7623496z00, BGl_z62lambda1867z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3301z00zz__ssl_sslz00, BgL_bgl_string3301za700za7za7_3497za7, "&ssl-connection-reused?", 23 );
DEFINE_STRING( BGl_string3220z00zz__ssl_sslz00, BgL_bgl_string3220za700za7za7_3498za7, "ssl-hash-update!1326", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__ssl_sslz00, BgL_bgl_za762lambda2248za7623499z00, BGl_z62lambda2248z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__ssl_sslz00, BgL_bgl_za762lambda1864za7623500z00, BGl_z62lambda1864z62zz__ssl_sslz00, 0L, BUNSPEC, 17 );
DEFINE_STRING( BGl_string3302z00zz__ssl_sslz00, BgL_bgl_string3302za700za7za7_3501za7, "&ssl-connection-get-negotiated-protocol", 39 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3502z00, BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__ssl_sslz00, BgL_bgl_za762lambda2247za7623503z00, BGl_z62lambda2247z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3504za7, BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3303z00zz__ssl_sslz00, BgL_bgl_string3303za700za7za7_3505za7, "&dh-init", 8 );
DEFINE_STRING( BGl_string3222z00zz__ssl_sslz00, BgL_bgl_string3222za700za7za7_3506za7, "ssl-hash-digest1328", 19 );
DEFINE_STRING( BGl_string3141z00zz__ssl_sslz00, BgL_bgl_string3141za700za7za7_3507za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3508za7, BGl_z62zc3z04anonymousza32256ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__ssl_sslz00, BgL_bgl_za762lambda2000za7623509z00, BGl_z62lambda2000z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3304z00zz__ssl_sslz00, BgL_bgl_string3304za700za7za7_3510za7, "dh", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23511za7, BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3142z00zz__ssl_sslz00, BgL_bgl_string3142za700za7za7_3512za7, "default", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__ssl_sslz00, BgL_bgl_za762lambda2255za7623513z00, BGl_z62lambda2255z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3055z00zz__ssl_sslz00, BgL_bgl_za762lambda1999za7623514z00, BGl_z62lambda1999z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3305z00zz__ssl_sslz00, BgL_bgl_string3305za700za7za7_3515za7, "&dh-size", 8 );
DEFINE_STRING( BGl_string3224z00zz__ssl_sslz00, BgL_bgl_string3224za700za7za7_3516za7, "ssl-hmac-init1330", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__ssl_sslz00, BgL_bgl_za762lambda2254za7623517z00, BGl_z62lambda2254z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3518za7, BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3306z00zz__ssl_sslz00, BgL_bgl_string3306za700za7za7_3519za7, "&dh-generate-parameters-ex", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23520za7, BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3144z00zz__ssl_sslz00, BgL_bgl_string3144za700za7za7_3521za7, "secure-context-init1242", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3522za7, BGl_z62zc3z04anonymousza32242ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3057z00zz__ssl_sslz00, BgL_bgl_za762lambda2007za7623523z00, BGl_z62lambda2007z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3307z00zz__ssl_sslz00, BgL_bgl_string3307za700za7za7_3524za7, "&dh-check", 9 );
DEFINE_STRING( BGl_string3226z00zz__ssl_sslz00, BgL_bgl_string3226za700za7za7_3525za7, "ssl-hmac-update!1332", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__ssl_sslz00, BgL_bgl_za762lambda2240za7623526z00, BGl_z62lambda2240z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__ssl_sslz00, BgL_bgl_za762lambda2006za7623527z00, BGl_z62lambda2006z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3308z00zz__ssl_sslz00, BgL_bgl_string3308za700za7za7_3528za7, "&dh-check-pub-key", 17 );
DEFINE_STRING( BGl_string3146z00zz__ssl_sslz00, BgL_bgl_string3146za700za7za7_3529za7, "secure-context-close1244", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3059z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3530za7, BGl_z62zc3z04anonymousza32015ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3309z00zz__ssl_sslz00, BgL_bgl_string3309za700za7za7_3531za7, "&dh-compute-key", 15 );
DEFINE_STRING( BGl_string3228z00zz__ssl_sslz00, BgL_bgl_string3228za700za7za7_3532za7, "ssl-hmac-digest1334", 19 );
DEFINE_STRING( BGl_string3148z00zz__ssl_sslz00, BgL_bgl_string3148za700za7za7_3533za7, "secure-context-add-r1246", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3534z00, BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23535za7, BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__ssl_sslz00, BgL_bgl_za762lambda2238za7623536z00, BGl_z62lambda2238z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__ssl_sslz00, BgL_bgl_za762lambda2014za7623537z00, BGl_z62lambda2014z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3538z00, BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3310z00zz__ssl_sslz00, BgL_bgl_string3310za700za7za7_3539za7, "&dh-generate-key", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3223z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23540za7, BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3061z00zz__ssl_sslz00, BgL_bgl_za762lambda2013za7623541z00, BGl_z62lambda2013z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3311z00zz__ssl_sslz00, BgL_bgl_string3311za700za7za7_3542za7, "&ssl-hash-init", 14 );
DEFINE_STRING( BGl_string3230z00zz__ssl_sslz00, BgL_bgl_string3230za700za7za7_3543za7, "ssl-sign-init1336", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3544z00, BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3545za7, BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3312z00zz__ssl_sslz00, BgL_bgl_string3312za700za7za7_3546za7, "&ssl-hash-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3225z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23547za7, BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3150z00zz__ssl_sslz00, BgL_bgl_string3150za700za7za7_3548za7, "secure-context-add-c1248", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3063z00zz__ssl_sslz00, BgL_bgl_za762lambda2021za7623549z00, BGl_z62lambda2021z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3313z00zz__ssl_sslz00, BgL_bgl_string3313za700za7za7_3550za7, "&ssl-hash-digest", 16 );
DEFINE_STRING( BGl_string3232z00zz__ssl_sslz00, BgL_bgl_string3232za700za7za7_3551za7, "ssl-sign-update!1338", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3552z00, BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__ssl_sslz00, BgL_bgl_za762lambda2020za7623553z00, BGl_z62lambda2020z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3314z00zz__ssl_sslz00, BgL_bgl_string3314za700za7za7_3554za7, "&ssl-hmac-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3227z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23555za7, BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3152z00zz__ssl_sslz00, BgL_bgl_string3152za700za7za7_3556za7, "secure-context-add-c1250", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3065z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3557za7, BGl_z62zc3z04anonymousza32029ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3315z00zz__ssl_sslz00, BgL_bgl_string3315za700za7za7_3558za7, "&ssl-hmac-update!", 17 );
DEFINE_STRING( BGl_string3234z00zz__ssl_sslz00, BgL_bgl_string3234za700za7za7_3559za7, "ssl-sign-sign1340", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3560z00, BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__ssl_sslz00, BgL_bgl_za762lambda2028za7623561z00, BGl_z62lambda2028z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3316z00zz__ssl_sslz00, BgL_bgl_string3316za700za7za7_3562za7, "&ssl-hmac-digest", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3229z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23563za7, BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3154z00zz__ssl_sslz00, BgL_bgl_string3154za700za7za7_3564za7, "secure-context-set-k1252", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3067z00zz__ssl_sslz00, BgL_bgl_za762lambda2027za7623565z00, BGl_z62lambda2027z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3317z00zz__ssl_sslz00, BgL_bgl_string3317za700za7za7_3566za7, "&ssl-sign-init", 14 );
DEFINE_STRING( BGl_string3236z00zz__ssl_sslz00, BgL_bgl_string3236za700za7za7_3567za7, "ssl-verify-init1342", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3568z00, BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3569za7, BGl_z62zc3z04anonymousza32036ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3318z00zz__ssl_sslz00, BgL_bgl_string3318za700za7za7_3570za7, "&ssl-sign-update!", 17 );
DEFINE_STRING( BGl_string3156z00zz__ssl_sslz00, BgL_bgl_string3156za700za7za7_3571za7, "secure-context-set-c1262", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3069z00zz__ssl_sslz00, BgL_bgl_za762lambda2035za7623572z00, BGl_z62lambda2035z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3319z00zz__ssl_sslz00, BgL_bgl_string3319za700za7za7_3573za7, "&ssl-sign-sign", 14 );
DEFINE_STRING( BGl_string3238z00zz__ssl_sslz00, BgL_bgl_string3238za700za7za7_3574za7, "ssl-verify-update!1344", 22 );
DEFINE_STRING( BGl_string3158z00zz__ssl_sslz00, BgL_bgl_string3158za700za7za7_3575za7, "secure-context-set-s1264", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2pemza7d23576za7, BGl_z62readzd2pemzd2filez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3577z00, BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3231z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23578za7, BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3579z00, BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__ssl_sslz00, BgL_bgl_za762lambda2034za7623580z00, BGl_z62lambda2034z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3320z00zz__ssl_sslz00, BgL_bgl_string3320za700za7za7_3581za7, "&ssl-verify-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3233z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23582za7, BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3071z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3583za7, BGl_z62zc3z04anonymousza32041ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3321z00zz__ssl_sslz00, BgL_bgl_string3321za700za7za7_3584za7, "&ssl-verify-update!", 19 );
DEFINE_STRING( BGl_string3240z00zz__ssl_sslz00, BgL_bgl_string3240za700za7za7_3585za7, "ssl-verify-final1346", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3586z00, BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3587za7, BGl_z62zc3z04anonymousza32040ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3322z00zz__ssl_sslz00, BgL_bgl_string3322za700za7za7_3588za7, "&ssl-verify-final", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3235z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73589za7, BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3160z00zz__ssl_sslz00, BgL_bgl_string3160za700za7za7_3590za7, "secure-context-load-1266", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3073z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3591za7, BGl_z62zc3z04anonymousza32046ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3323z00zz__ssl_sslz00, BgL_bgl_string3323za700za7za7_3592za7, "&ssl-cipher-init", 16 );
DEFINE_STRING( BGl_string3242z00zz__ssl_sslz00, BgL_bgl_string3242za700za7za7_3593za7, "ssl-cipher-init1348", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3594z00, BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3595za7, BGl_z62zc3z04anonymousza32045ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3324z00zz__ssl_sslz00, BgL_bgl_string3324za700za7za7_3596za7, "ssl-cipher", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3237z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73597za7, BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3162z00zz__ssl_sslz00, BgL_bgl_string3162za700za7za7_3598za7, "secure-context-set-c1268", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3075z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3599za7, BGl_z62zc3z04anonymousza32051ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_dhzd2initzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2initza7b0za73600z00, BGl_z62dhzd2initzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3325z00zz__ssl_sslz00, BgL_bgl_string3325za700za7za7_3601za7, "&ssl-cipher-initiv", 18 );
DEFINE_STRING( BGl_string3244z00zz__ssl_sslz00, BgL_bgl_string3244za700za7za7_3602za7, "ssl-cipher-initiv1350", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3603z00, BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3604za7, BGl_z62zc3z04anonymousza32050ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3326z00zz__ssl_sslz00, BgL_bgl_string3326za700za7za7_3605za7, "&ssl-cipher-update!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3239z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73606za7, BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3164z00zz__ssl_sslz00, BgL_bgl_string3164za700za7za7_3607za7, "secure-context-set-o1270", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3077z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3608za7, BGl_z62zc3z04anonymousza32056ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3609z00, BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3327z00zz__ssl_sslz00, BgL_bgl_string3327za700za7za7_3610za7, "&ssl-cipher-set-auto-padding", 28 );
DEFINE_STRING( BGl_string3246z00zz__ssl_sslz00, BgL_bgl_string3246za700za7za7_3611za7, "ssl-cipher-update!1352", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3612z00, BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3613za7, BGl_z62zc3z04anonymousza32055ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3328z00zz__ssl_sslz00, BgL_bgl_string3328za700za7za7_3614za7, "&ssl-cipher-final", 17 );
DEFINE_STRING( BGl_string3166z00zz__ssl_sslz00, BgL_bgl_string3166za700za7za7_3615za7, "ssl-connection-init1272", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3079z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3616za7, BGl_z62zc3z04anonymousza32061ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3329z00zz__ssl_sslz00, BgL_bgl_string3329za700za7za7_3617za7, "DH-GENERATOR-2 ssl-cipher $ssl-cipher-ctx $cipher-ctx $ssl-cipher $cipher ssl-verify ssl-sign ssl-hmac $ssl-hmac-ctx ssl-hash type $ssl-evp-md-ctx $md-ctx $ssl-evp-md $md dh public-key g q p %priv %pub %g %q $bignum %p $dh ssl-connection sent-shutdown received-shutdown err npn-protos selected-npn-protos procedure newsession-callback sni-context-callback info-callback reject-unauthorized obj server-name request-cert bool isserver ctx $ssl-session $next-session $bio-write $bio $bio-read $ssl secure-context bstring method $X509-store $ca-store $ssl-ctx private-key $private-key __ssl_ssl certificate $certificate $native dtlsv1 dtls tlsv1_3 tlsv1_2 tlsv1_1 tlsv1 tls ssl sslv3 sslv2 :backlog :name (:domain :backlog :accepted-certs :CAs :pkey :cert :protocol :name) unspec client-socket-use-ssl! (:CAs :accepted-certs :cert :pkey :protocol) :timeout :protocol :pkey :outbuf :inbuf :domain :cert :accepted-certs :CAs (:CAs :accepted-certs :cert :domain :inbuf :outbuf :pkey :protocol :timeout) sslv23 inet (inet inet6) mak"
"e-ssl-server-socket (inet inet6 unspec) make-ssl-client-socket ", 1087 );
DEFINE_STRING( BGl_string3248z00zz__ssl_sslz00, BgL_bgl_string3248za700za7za7_3618za7, "ssl-cipher-set-auto-1354", 24 );
DEFINE_STRING( BGl_string3168z00zz__ssl_sslz00, BgL_bgl_string3168za700za7za7_3619za7, "ssl-connection-start1274", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2socketza73620za7, BGl_z62sslzd2socketzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3241z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73621za7, BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3622z00, BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3623za7, BGl_z62zc3z04anonymousza32060ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3243z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73624za7, BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3081z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3625za7, BGl_z62zc3z04anonymousza32066ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3250z00zz__ssl_sslz00, BgL_bgl_string3250za700za7za7_3626za7, "ssl-cipher-final1356", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3627z00, BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3628za7, BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3251z00zz__ssl_sslz00, BgL_bgl_string3251za700za7za7_3629za7, "ssl-cipher-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3245z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73630za7, BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3170z00zz__ssl_sslz00, BgL_bgl_string3170za700za7za7_3631za7, "ssl-connection-close1276", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3083z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3632za7, BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3252z00zz__ssl_sslz00, BgL_bgl_string3252za700za7za7_3633za7, "cannot update", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3634z00, BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3635za7, BGl_z62zc3z04anonymousza32084ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3253z00zz__ssl_sslz00, BgL_bgl_string3253za700za7za7_3636za7, "ssl-cipher-initiv", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3247z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73637za7, BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3172z00zz__ssl_sslz00, BgL_bgl_string3172za700za7za7_3638za7, "ssl-connection-shutd1278", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3085z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3639za7, BGl_z62zc3z04anonymousza32094ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3254z00zz__ssl_sslz00, BgL_bgl_string3254za700za7za7_3640za7, "ssl-cipher-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3641z00, BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3642za7, BGl_z62zc3z04anonymousza32098ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3255z00zz__ssl_sslz00, BgL_bgl_string3255za700za7za7_3643za7, "ssl-verify-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3249z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73644za7, BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3174z00zz__ssl_sslz00, BgL_bgl_string3174za700za7za7_3645za7, "ssl-connection-read1280", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3087z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3646za7, BGl_z62zc3z04anonymousza32108ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3256z00zz__ssl_sslz00, BgL_bgl_string3256za700za7za7_3647za7, "ssl-verify", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3648z00, BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3649za7, BGl_z62zc3z04anonymousza32112ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3257z00zz__ssl_sslz00, BgL_bgl_string3257za700za7za7_3650za7, "Verify method not supported", 27 );
DEFINE_STRING( BGl_string3176z00zz__ssl_sslz00, BgL_bgl_string3176za700za7za7_3651za7, "ssl-connection-write1282", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3089z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3652za7, BGl_z62zc3z04anonymousza32121ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3258z00zz__ssl_sslz00, BgL_bgl_string3258za700za7za7_3653za7, "ssl-sign-sign", 13 );
DEFINE_STRING( BGl_string3259z00zz__ssl_sslz00, BgL_bgl_string3259za700za7za7_3654za7, "cannot sign", 11 );
DEFINE_STRING( BGl_string3178z00zz__ssl_sslz00, BgL_bgl_string3178za700za7za7_3655za7, "ssl-connection-clear1284", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7eza713656z00, BGl_z62dhzd2siza7ez17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl_za762makeza7d2sslza7d23657za7, va_generic_entry, BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3658z00, BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3659za7, BGl_z62zc3z04anonymousza32125ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3091z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3660za7, BGl_z62zc3z04anonymousza31994ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3661z00, BGl_z62certificatezd2issuerzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3260z00zz__ssl_sslz00, BgL_bgl_string3260za700za7za7_3662za7, "ssl-sign-update!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3663z00, BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__ssl_sslz00, BgL_bgl_za762lambda1992za7623664z00, BGl_z62lambda1992z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3261z00zz__ssl_sslz00, BgL_bgl_string3261za700za7za7_3665za7, "ssl-sign", 8 );
DEFINE_STRING( BGl_string3180z00zz__ssl_sslz00, BgL_bgl_string3180za700za7za7_3666za7, "ssl-connection-clear1286", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3093z00zz__ssl_sslz00, BgL_bgl_za762lambda1989za7623667z00, BGl_z62lambda1989z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string3262z00zz__ssl_sslz00, BgL_bgl_string3262za700za7za7_3668za7, "Sign method not supported", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3669z00, BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3670za7, BGl_z62zc3z04anonymousza32147ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3263z00zz__ssl_sslz00, BgL_bgl_string3263za700za7za7_3671za7, "ssl-hmac-digest", 15 );
DEFINE_STRING( BGl_string3182z00zz__ssl_sslz00, BgL_bgl_string3182za700za7za7_3672za7, "ssl-connection-init-1288", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3095z00zz__ssl_sslz00, BgL_bgl_za762lambda2146za7623673z00, BGl_z62lambda2146z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3264z00zz__ssl_sslz00, BgL_bgl_string3264za700za7za7_3674za7, "cannot digest", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3675z00, BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__ssl_sslz00, BgL_bgl_za762lambda2145za7623676z00, BGl_z62lambda2145z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3265z00zz__ssl_sslz00, BgL_bgl_string3265za700za7za7_3677za7, "ssl-hmac-update!", 16 );
DEFINE_STRING( BGl_string3184z00zz__ssl_sslz00, BgL_bgl_string3184za700za7za7_3678za7, "ssl-connection-enc-p1290", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3097z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3679za7, BGl_z62zc3z04anonymousza32154ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3266z00zz__ssl_sslz00, BgL_bgl_string3266za700za7za7_3680za7, "ssl-hmac", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3681z00, BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__ssl_sslz00, BgL_bgl_za762lambda2153za7623682z00, BGl_z62lambda2153z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3267z00zz__ssl_sslz00, BgL_bgl_string3267za700za7za7_3683za7, "Digest method not supported", 27 );
DEFINE_STRING( BGl_string3186z00zz__ssl_sslz00, BgL_bgl_string3186za700za7za7_3684za7, "ssl-connection-clear1292", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3099z00zz__ssl_sslz00, BgL_bgl_za762lambda2152za7623685z00, BGl_z62lambda2152z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3268z00zz__ssl_sslz00, BgL_bgl_string3268za700za7za7_3686za7, "ssl-hash-digest", 15 );
DEFINE_STRING( BGl_string3269z00zz__ssl_sslz00, BgL_bgl_string3269za700za7za7_3687za7, "ssl-hash-update!", 16 );
DEFINE_STRING( BGl_string3188z00zz__ssl_sslz00, BgL_bgl_string3188za700za7za7_3688za7, "ssl-connection-set-s1294", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2getza7d2c3689za7, BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73690za7, BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BgL_bgl__secureza7d2contex3691za7, opt_generic_entry, BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3692z00, BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3270z00zz__ssl_sslz00, BgL_bgl_string3270za700za7za7_3693za7, "ssl-hash", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3694z00, BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3271z00zz__ssl_sslz00, BgL_bgl_string3271za700za7za7_3695za7, "dh-generate-parameters-ex", 25 );
DEFINE_STRING( BGl_string3190z00zz__ssl_sslz00, BgL_bgl_string3190za700za7za7_3696za7, "ssl-connection-get-s1296", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00, BgL_bgl_za762za752privateza7d23697za7, BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3272z00zz__ssl_sslz00, BgL_bgl_string3272za700za7za7_3698za7, "Illegal generator", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3699z00, BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3273z00zz__ssl_sslz00, BgL_bgl_string3273za700za7za7_3700za7, "&secure-context-init", 20 );
DEFINE_STRING( BGl_string3192z00zz__ssl_sslz00, BgL_bgl_string3192za700za7za7_3701za7, "ssl-connection-get-c1298", 24 );
DEFINE_STRING( BGl_string3274z00zz__ssl_sslz00, BgL_bgl_string3274za700za7za7_3702za7, "&secure-context-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3703z00, BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3275z00zz__ssl_sslz00, BgL_bgl_string3275za700za7za7_3704za7, "&secure-context-add-root-certs!", 31 );
DEFINE_STRING( BGl_string3194z00zz__ssl_sslz00, BgL_bgl_string3194za700za7za7_3705za7, "ssl-connection-load-1300", 24 );
DEFINE_STRING( BGl_string3276z00zz__ssl_sslz00, BgL_bgl_string3276za700za7za7_3706za7, "&secure-context-add-ca-cert!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3707z00, BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3277z00zz__ssl_sslz00, BgL_bgl_string3277za700za7za7_3708za7, "&secure-context-add-crl!", 24 );
DEFINE_STRING( BGl_string3196z00zz__ssl_sslz00, BgL_bgl_string3196za700za7za7_3709za7, "ssl-connection-verif1302", 24 );
DEFINE_STRING( BGl_string3278z00zz__ssl_sslz00, BgL_bgl_string3278za700za7za7_3710za7, "&secure-context-set-cert!", 25 );
DEFINE_STRING( BGl_string3279z00zz__ssl_sslz00, BgL_bgl_string3279za700za7za7_3711za7, "&secure-context-set-session-id-context!", 39 );
DEFINE_STRING( BGl_string3198z00zz__ssl_sslz00, BgL_bgl_string3198za700za7za7_3712za7, "ssl-connection-get-p1304", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3713z00, BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3714z00, BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3280z00zz__ssl_sslz00, BgL_bgl_string3280za700za7za7_3715za7, "&secure-context-load-pkcs12", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3716z00, BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3281z00zz__ssl_sslz00, BgL_bgl_string3281za700za7za7_3717za7, "&secure-context-set-ciphers!", 28 );
DEFINE_STRING( BGl_string3282z00zz__ssl_sslz00, BgL_bgl_string3282za700za7za7_3718za7, "&secure-context-set-options!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3719z00, BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3283z00zz__ssl_sslz00, BgL_bgl_string3283za700za7za7_3720za7, "&ssl-connection-init", 20 );
DEFINE_STRING( BGl_string3284z00zz__ssl_sslz00, BgL_bgl_string3284za700za7za7_3721za7, "ssl-connection", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3722z00, BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3285z00zz__ssl_sslz00, BgL_bgl_string3285za700za7za7_3723za7, "&ssl-connection-start", 21 );
DEFINE_STRING( BGl_string3286z00zz__ssl_sslz00, BgL_bgl_string3286za700za7za7_3724za7, "&ssl-connection-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3725z00, BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23726za7, BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3727z00, BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3287z00zz__ssl_sslz00, BgL_bgl_string3287za700za7za7_3728za7, "&ssl-connection-shutdown", 24 );
DEFINE_STRING( BGl_string3288z00zz__ssl_sslz00, BgL_bgl_string3288za700za7za7_3729za7, "&ssl-connection-read", 20 );
DEFINE_STRING( BGl_string3289z00zz__ssl_sslz00, BgL_bgl_string3289za700za7za7_3730za7, "&ssl-connection-write", 21 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bin2bnza7b3731za7, BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73732za7, BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3733z00, BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3290z00zz__ssl_sslz00, BgL_bgl_string3290za700za7za7_3734za7, "&ssl-connection-clear-in", 24 );
DEFINE_STRING( BGl_string3291z00zz__ssl_sslz00, BgL_bgl_string3291za700za7za7_3735za7, "&ssl-connection-clear-out", 25 );
DEFINE_STRING( BGl_string3292z00zz__ssl_sslz00, BgL_bgl_string3292za700za7za7_3736za7, "&ssl-connection-init-finished?", 30 );
DEFINE_STRING( BGl_string3293z00zz__ssl_sslz00, BgL_bgl_string3293za700za7za7_3737za7, "&ssl-connection-enc-pending", 27 );
DEFINE_STRING( BGl_string3294z00zz__ssl_sslz00, BgL_bgl_string3294za700za7za7_3738za7, "&ssl-connection-clear-pending", 29 );
DEFINE_STRING( BGl_string3295z00zz__ssl_sslz00, BgL_bgl_string3295za700za7za7_3739za7, "&ssl-connection-set-session", 27 );
DEFINE_STRING( BGl_string3296z00zz__ssl_sslz00, BgL_bgl_string3296za700za7za7_3740za7, "&ssl-connection-get-session", 27 );
DEFINE_STRING( BGl_string3297z00zz__ssl_sslz00, BgL_bgl_string3297za700za7za7_3741za7, "&ssl-connection-get-current-cipher", 34 );
DEFINE_STRING( BGl_string3298z00zz__ssl_sslz00, BgL_bgl_string3298za700za7za7_3742za7, "&ssl-connection-load-session", 28 );
DEFINE_STRING( BGl_string3299z00zz__ssl_sslz00, BgL_bgl_string3299za700za7za7_3743za7, "&ssl-connection-verify-error", 28 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23744za7, BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23745za7, BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00, BgL_bgl__clientza7d2socket3746za7, opt_generic_entry, BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3747z00, BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3748z00, BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23749za7, BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23750za7, BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3751z00, BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3752z00, BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3753z00, BGl_z62securezd2contextzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3754z00, BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23755za7, BGl_z62sslzd2signzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2setza7d2wo3756za7, BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2936z00zz__ssl_sslz00, BgL_bgl_string2936za700za7za7_3757za7, "Invalid certificate", 19 );
DEFINE_STRING( BGl_string2937z00zz__ssl_sslz00, BgL_bgl_string2937za700za7za7_3758za7, "Invalid private key", 19 );
DEFINE_STRING( BGl_string2938z00zz__ssl_sslz00, BgL_bgl_string2938za700za7za7_3759za7, "Invalid CA list", 15 );
DEFINE_STRING( BGl_string2939z00zz__ssl_sslz00, BgL_bgl_string2939za700za7za7_3760za7, "Invalid accepted-certs", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2h3761za7, BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2pri3762za7, BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3763z00, BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2940z00zz__ssl_sslz00, BgL_bgl_string2940za700za7za7_3764za7, "pkey and cert must be both #f or both set", 41 );
DEFINE_STRING( BGl_string2941z00zz__ssl_sslz00, BgL_bgl_string2941za700za7za7_3765za7, "Unsupported domain", 18 );
DEFINE_STRING( BGl_string2942z00zz__ssl_sslz00, BgL_bgl_string2942za700za7za7_3766za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2943z00zz__ssl_sslz00, BgL_bgl_string2943za700za7za7_3767za7, "/builddir/build/BUILD/bigloo-4.5b/api/ssl/src/Llib/ssl.scm", 58 );
DEFINE_STRING( BGl_string2944z00zz__ssl_sslz00, BgL_bgl_string2944za700za7za7_3768za7, "_make-ssl-client-socket", 23 );
DEFINE_STRING( BGl_string2945z00zz__ssl_sslz00, BgL_bgl_string2945za700za7za7_3769za7, "bint", 4 );
DEFINE_STRING( BGl_string2946z00zz__ssl_sslz00, BgL_bgl_string2946za700za7za7_3770za7, "bstring", 7 );
DEFINE_STRING( BGl_string2947z00zz__ssl_sslz00, BgL_bgl_string2947za700za7za7_3771za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2948z00zz__ssl_sslz00, BgL_bgl_string2948za700za7za7_3772za7, "symbol", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bn2binza7b3773za7, BGl_z62bnzd2bn2binzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2949z00zz__ssl_sslz00, BgL_bgl_string2949za700za7za7_3774za7, "wrong number of arguments: [2..11] expected, provided", 53 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73775za7, BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2950z00zz__ssl_sslz00, BgL_bgl_string2950za700za7za7_3776za7, "_client-socket-use-ssl!", 23 );
DEFINE_STRING( BGl_string2951z00zz__ssl_sslz00, BgL_bgl_string2951za700za7za7_3777za7, "socket", 6 );
DEFINE_STRING( BGl_string2952z00zz__ssl_sslz00, BgL_bgl_string2952za700za7za7_3778za7, "wrong number of arguments: [1..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2954z00zz__ssl_sslz00, BgL_bgl_string2954za700za7za7_3779za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string2955z00zz__ssl_sslz00, BgL_bgl_string2955za700za7za7_3780za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string2956z00zz__ssl_sslz00, BgL_bgl_string2956za700za7za7_3781za7, "~a ", 3 );
DEFINE_STRING( BGl_string2957z00zz__ssl_sslz00, BgL_bgl_string2957za700za7za7_3782za7, "ssl", 3 );
DEFINE_STRING( BGl_string2958z00zz__ssl_sslz00, BgL_bgl_string2958za700za7za7_3783za7, "Unknown protocols", 17 );
DEFINE_STRING( BGl_string2959z00zz__ssl_sslz00, BgL_bgl_string2959za700za7za7_3784za7, "&read-private-key", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3785z00, BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2953z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3786za7, BGl_z62zc3z04anonymousza31707ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2960z00zz__ssl_sslz00, BgL_bgl_string2960za700za7za7_3787za7, "&read-certificate", 17 );
DEFINE_STRING( BGl_string2961z00zz__ssl_sslz00, BgL_bgl_string2961za700za7za7_3788za7, "&read-pem-file", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2cer3789za7, BGl_z62z52makezd2certificateze2zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2962z00zz__ssl_sslz00, BgL_bgl_string2962za700za7za7_3790za7, "&ssl-rand-bytes", 15 );
DEFINE_STRING( BGl_string2963z00zz__ssl_sslz00, BgL_bgl_string2963za700za7za7_3791za7, "&ssl-rand-pseudo-bytes", 22 );
DEFINE_STRING( BGl_string2964z00zz__ssl_sslz00, BgL_bgl_string2964za700za7za7_3792za7, "&certificate-subject", 20 );
DEFINE_STRING( BGl_string2965z00zz__ssl_sslz00, BgL_bgl_string2965za700za7za7_3793za7, "certificate", 11 );
DEFINE_STRING( BGl_string2966z00zz__ssl_sslz00, BgL_bgl_string2966za700za7za7_3794za7, "&certificate-issuer", 19 );
DEFINE_STRING( BGl_string2967z00zz__ssl_sslz00, BgL_bgl_string2967za700za7za7_3795za7, "&%make-certificate", 18 );
DEFINE_STRING( BGl_string2968z00zz__ssl_sslz00, BgL_bgl_string2968za700za7za7_3796za7, "void*", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2privat3797z00, BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2969z00zz__ssl_sslz00, BgL_bgl_string2969za700za7za7_3798za7, "&%make-private-key", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2numza7d2by3799za7, BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2970z00zz__ssl_sslz00, BgL_bgl_string2970za700za7za7_3800za7, "_secure-context-set-key!", 24 );
DEFINE_STRING( BGl_string2971z00zz__ssl_sslz00, BgL_bgl_string2971za700za7za7_3801za7, "vector", 6 );
DEFINE_STRING( BGl_string2972z00zz__ssl_sslz00, BgL_bgl_string2972za700za7za7_3802za7, "secure-context", 14 );
DEFINE_STRING( BGl_string2973z00zz__ssl_sslz00, BgL_bgl_string2973za700za7za7_3803za7, "&bn-bin2bn", 10 );
DEFINE_STRING( BGl_string2974z00zz__ssl_sslz00, BgL_bgl_string2974za700za7za7_3804za7, "&bn-bn2bin", 10 );
DEFINE_STRING( BGl_string2975z00zz__ssl_sslz00, BgL_bgl_string2975za700za7za7_3805za7, "foreign", 7 );
DEFINE_STRING( BGl_string2976z00zz__ssl_sslz00, BgL_bgl_string2976za700za7za7_3806za7, "&bn-num-bytes", 13 );
DEFINE_STRING( BGl_string2977z00zz__ssl_sslz00, BgL_bgl_string2977za700za7za7_3807za7, "&bn-free", 8 );
DEFINE_STRING( BGl_string2978z00zz__ssl_sslz00, BgL_bgl_string2978za700za7za7_3808za7, "&bn-set-word", 12 );
DEFINE_STRING( BGl_string2979z00zz__ssl_sslz00, BgL_bgl_string2979za700za7za7_3809za7, "&pkcs5-pbkdf2-hmac-sha1", 23 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3810z00, BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00, BgL_bgl_za762pkcs5za7d2pbkdf3811z00, BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73812za7, BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23813za7, BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2certificatezd2envz00zz__ssl_sslz00, BgL_bgl_za762readza7d2certif3814z00, BGl_z62readzd2certificatezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23815za7, BGl_z62sslzd2signzd2signz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2980z00zz__ssl_sslz00, BgL_bgl_za762lambda1810za7623816z00, BGl_z62lambda1810z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2981z00zz__ssl_sslz00, BgL_bgl_za762lambda1809za7623817z00, BGl_z62lambda1809z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3818za7, BGl_z62zc3z04anonymousza31805ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2983z00zz__ssl_sslz00, BgL_bgl_za762lambda1803za7623819z00, BGl_z62lambda1803z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2984z00zz__ssl_sslz00, BgL_bgl_za762lambda1801za7623820z00, BGl_z62lambda1801z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2985z00zz__ssl_sslz00, BgL_bgl_za762lambda1825za7623821z00, BGl_z62lambda1825z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zz__ssl_sslz00, BgL_bgl_za762lambda1824za7623822z00, BGl_z62lambda1824z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2987z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3823za7, BGl_z62zc3z04anonymousza31820ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2988z00zz__ssl_sslz00, BgL_bgl_za762lambda1818za7623824z00, BGl_z62lambda1818z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__ssl_sslz00, BgL_bgl_za762lambda1816za7623825z00, BGl_z62lambda1816z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2clearza7d3826za7, BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl__makeza7d2sslza7d2cl3827z00, opt_generic_entry, BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3828z00, BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2990z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3829za7, BGl_z62zc3z04anonymousza31844ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2991z00zz__ssl_sslz00, BgL_bgl_za762lambda1843za7623830z00, BGl_z62lambda1843z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2992z00zz__ssl_sslz00, BgL_bgl_za762lambda1842za7623831z00, BGl_z62lambda1842z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2993z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3832za7, BGl_z62zc3z04anonymousza31851ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2994z00zz__ssl_sslz00, BgL_bgl_za762lambda1850za7623833z00, BGl_z62lambda1850z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2995z00zz__ssl_sslz00, BgL_bgl_za762lambda1849za7623834z00, BGl_z62lambda1849z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2996z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3835za7, BGl_z62zc3z04anonymousza31858ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2997z00zz__ssl_sslz00, BgL_bgl_za762lambda1857za7623836z00, BGl_z62lambda1857z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2998z00zz__ssl_sslz00, BgL_bgl_za762lambda1856za7623837z00, BGl_z62lambda1856z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2999z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3838za7, BGl_z62zc3z04anonymousza31837ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3839z00, BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2versionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2version3840z00, BGl_z62sslzd2versionzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3841z00, BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73842za7, BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23843za7, BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3844z00, BGl_z62securezd2contextzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3845z00, BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3846z00, BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3847z00, BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3848z00, BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23849za7, BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2freezd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2freeza7b0za73850z00, BGl_z62bnzd2freezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23851za7, BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00, BgL_bgl_za762za752certificat3852z00, BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2newzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2newza7b0za7za73853za7, BGl_z62bnzd2newzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3854z00, BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3855z00, BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3856z00, BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23857za7, BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23858za7, BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3859z00, BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73860za7, BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3000z00zz__ssl_sslz00, BgL_bgl_za762lambda1835za7623861z00, BGl_z62lambda1835z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3001z00zz__ssl_sslz00, BgL_bgl_za762lambda1832za7623862z00, BGl_z62lambda1832z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3002z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3863za7, BGl_z62zc3z04anonymousza31876ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_certificatez00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2signzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hmaczd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_privatezd2keyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2connectionzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2verifyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2cipherzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_securezd2contextzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_dhz00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hashzd2zz__ssl_sslz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long BgL_checksumz00_7884, char * BgL_fromz00_7885)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_sslz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ssl_sslz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(); 
BGl_cnstzd2initzd2zz__ssl_sslz00(); 
BGl_objectzd2initzd2zz__ssl_sslz00(); 
BGl_genericzd2initzd2zz__ssl_sslz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_sslz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__socketz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ssl_ssl"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_cportz00_5440;
{ /* Llib/ssl.scm 15 */
 obj_t BgL_stringz00_5447;
BgL_stringz00_5447 = BGl_string3329z00zz__ssl_sslz00; 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_startz00_5448;
BgL_startz00_5448 = 
BINT(0L); 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_endz00_5449;
BgL_endz00_5449 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5447))); 
{ /* Llib/ssl.scm 15 */

BgL_cportz00_5440 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5447, BgL_startz00_5448, BgL_endz00_5449); } } } } 
{ 
 long BgL_iz00_5441;
BgL_iz00_5441 = 94L; 
BgL_loopz00_5442:
if(
(BgL_iz00_5441==-1L))
{ /* Llib/ssl.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_arg3330z00_5443;
{ /* Llib/ssl.scm 15 */

{ /* Llib/ssl.scm 15 */
 obj_t BgL_locationz00_5445;
BgL_locationz00_5445 = 
BBOOL(((bool_t)0)); 
{ /* Llib/ssl.scm 15 */

BgL_arg3330z00_5443 = 
BGl_readz00zz__readerz00(BgL_cportz00_5440, BgL_locationz00_5445); } } } 
{ /* Llib/ssl.scm 15 */
 int BgL_tmpz00_7920;
BgL_tmpz00_7920 = 
(int)(BgL_iz00_5441); 
CNST_TABLE_SET(BgL_tmpz00_7920, BgL_arg3330z00_5443); } } 
{ /* Llib/ssl.scm 15 */
 int BgL_auxz00_5446;
BgL_auxz00_5446 = 
(int)(
(BgL_iz00_5441-1L)); 
{ 
 long BgL_iz00_7925;
BgL_iz00_7925 = 
(long)(BgL_auxz00_5446); 
BgL_iz00_5441 = BgL_iz00_7925; 
goto BgL_loopz00_5442;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}



/* ssl-version */
BGL_EXPORTED_DEF char * BGl_sslzd2versionzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 571 */
BGL_TAIL return 
bgl_ssl_version();} 

}



/* &ssl-version */
obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t BgL_envz00_4010)
{
{ /* Llib/ssl.scm 571 */
return 
string_to_bstring(
BGl_sslzd2versionzd2zz__ssl_sslz00());} 

}



/* ssl-clear-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 579 */
ERR_clear_error(); BUNSPEC; 
return BTRUE;} 

}



/* &ssl-clear-error */
obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t BgL_envz00_4011)
{
{ /* Llib/ssl.scm 579 */
return 
BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();} 

}



/* sanity-args-checks */
obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t BgL_funcz00_3, obj_t BgL_certz00_4, obj_t BgL_pkeyz00_5, obj_t BgL_casz00_6, obj_t BgL_acceptedzd2certszd2_7, obj_t BgL_domainz00_8)
{
{ /* Llib/ssl.scm 587 */
{ /* Llib/ssl.scm 588 */
 bool_t BgL_test3866z00_7933;
if(
CBOOL(BgL_certz00_4))
{ /* Llib/ssl.scm 588 */
 obj_t BgL_classz00_1773;
BgL_classz00_1773 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 588 */
 BgL_objectz00_bglt BgL_arg1778z00_1775;
BgL_arg1778z00_1775 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 588 */
 long BgL_idxz00_1781;
BgL_idxz00_1781 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1775); 
BgL_test3866z00_7933 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1781+1L))==BgL_classz00_1773); }  else 
{ /* Llib/ssl.scm 588 */
 bool_t BgL_res2347z00_1803;
{ /* Llib/ssl.scm 588 */
 obj_t BgL_oclassz00_1789;
{ /* Llib/ssl.scm 588 */
 long BgL_arg1785z00_1795;
{ /* Llib/ssl.scm 588 */
 long BgL_arg1786z00_1796;
BgL_arg1786z00_1796 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1775); 
BgL_arg1785z00_1795 = 
(BgL_arg1786z00_1796-OBJECT_TYPE); } 
BgL_oclassz00_1789 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1795); } 
{ /* Llib/ssl.scm 588 */
 bool_t BgL__ortest_1114z00_1790;
BgL__ortest_1114z00_1790 = 
(BgL_classz00_1773==BgL_oclassz00_1789); 
if(BgL__ortest_1114z00_1790)
{ /* Llib/ssl.scm 588 */
BgL_res2347z00_1803 = BgL__ortest_1114z00_1790; }  else 
{ /* Llib/ssl.scm 588 */
 long BgL_odepthz00_1791;
BgL_odepthz00_1791 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1789); 
if(
(1L<BgL_odepthz00_1791))
{ /* Llib/ssl.scm 588 */
 obj_t BgL_arg1775z00_1793;
BgL_arg1775z00_1793 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1789, 1L); 
BgL_res2347z00_1803 = 
(BgL_arg1775z00_1793==BgL_classz00_1773); }  else 
{ /* Llib/ssl.scm 588 */
BgL_res2347z00_1803 = ((bool_t)0); } } } } 
BgL_test3866z00_7933 = BgL_res2347z00_1803; } }  else 
{ /* Llib/ssl.scm 588 */
BgL_test3866z00_7933 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 588 */
BgL_test3866z00_7933 = ((bool_t)1)
; } 
if(BgL_test3866z00_7933)
{ /* Llib/ssl.scm 588 */BFALSE; }  else 
{ /* Llib/ssl.scm 588 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2936z00zz__ssl_sslz00, BgL_certz00_4); } } 
{ /* Llib/ssl.scm 590 */
 bool_t BgL_test3872z00_7956;
if(
CBOOL(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 590 */
 obj_t BgL_classz00_1804;
BgL_classz00_1804 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 590 */
 BgL_objectz00_bglt BgL_arg1778z00_1806;
BgL_arg1778z00_1806 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 590 */
 long BgL_idxz00_1812;
BgL_idxz00_1812 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1806); 
BgL_test3872z00_7956 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1812+1L))==BgL_classz00_1804); }  else 
{ /* Llib/ssl.scm 590 */
 bool_t BgL_res2348z00_1834;
{ /* Llib/ssl.scm 590 */
 obj_t BgL_oclassz00_1820;
{ /* Llib/ssl.scm 590 */
 long BgL_arg1785z00_1826;
{ /* Llib/ssl.scm 590 */
 long BgL_arg1786z00_1827;
BgL_arg1786z00_1827 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1806); 
BgL_arg1785z00_1826 = 
(BgL_arg1786z00_1827-OBJECT_TYPE); } 
BgL_oclassz00_1820 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1826); } 
{ /* Llib/ssl.scm 590 */
 bool_t BgL__ortest_1114z00_1821;
BgL__ortest_1114z00_1821 = 
(BgL_classz00_1804==BgL_oclassz00_1820); 
if(BgL__ortest_1114z00_1821)
{ /* Llib/ssl.scm 590 */
BgL_res2348z00_1834 = BgL__ortest_1114z00_1821; }  else 
{ /* Llib/ssl.scm 590 */
 long BgL_odepthz00_1822;
BgL_odepthz00_1822 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1820); 
if(
(1L<BgL_odepthz00_1822))
{ /* Llib/ssl.scm 590 */
 obj_t BgL_arg1775z00_1824;
BgL_arg1775z00_1824 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1820, 1L); 
BgL_res2348z00_1834 = 
(BgL_arg1775z00_1824==BgL_classz00_1804); }  else 
{ /* Llib/ssl.scm 590 */
BgL_res2348z00_1834 = ((bool_t)0); } } } } 
BgL_test3872z00_7956 = BgL_res2348z00_1834; } }  else 
{ /* Llib/ssl.scm 590 */
BgL_test3872z00_7956 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 590 */
BgL_test3872z00_7956 = ((bool_t)1)
; } 
if(BgL_test3872z00_7956)
{ /* Llib/ssl.scm 590 */BFALSE; }  else 
{ /* Llib/ssl.scm 590 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2937z00zz__ssl_sslz00, BgL_pkeyz00_5); } } 
{ /* Llib/ssl.scm 592 */
 bool_t BgL_test3878z00_7979;
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_6))
{ 
 obj_t BgL_l1179z00_213;
BgL_l1179z00_213 = BgL_casz00_6; 
BgL_zc3z04anonymousza31446ze3z87_214:
if(
NULLP(BgL_l1179z00_213))
{ /* Llib/ssl.scm 592 */
BgL_test3878z00_7979 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 592 */
 bool_t BgL_test3881z00_7984;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_cz00_219;
BgL_cz00_219 = 
CAR(
((obj_t)BgL_l1179z00_213)); 
{ /* Llib/ssl.scm 592 */
 obj_t BgL_classz00_1836;
BgL_classz00_1836 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_219))
{ /* Llib/ssl.scm 592 */
 BgL_objectz00_bglt BgL_arg1778z00_1838;
BgL_arg1778z00_1838 = 
(BgL_objectz00_bglt)(BgL_cz00_219); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 592 */
 long BgL_idxz00_1844;
BgL_idxz00_1844 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1838); 
BgL_test3881z00_7984 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1844+1L))==BgL_classz00_1836); }  else 
{ /* Llib/ssl.scm 592 */
 bool_t BgL_res2349z00_1866;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_oclassz00_1852;
{ /* Llib/ssl.scm 592 */
 long BgL_arg1785z00_1858;
{ /* Llib/ssl.scm 592 */
 long BgL_arg1786z00_1859;
BgL_arg1786z00_1859 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1838); 
BgL_arg1785z00_1858 = 
(BgL_arg1786z00_1859-OBJECT_TYPE); } 
BgL_oclassz00_1852 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1858); } 
{ /* Llib/ssl.scm 592 */
 bool_t BgL__ortest_1114z00_1853;
BgL__ortest_1114z00_1853 = 
(BgL_classz00_1836==BgL_oclassz00_1852); 
if(BgL__ortest_1114z00_1853)
{ /* Llib/ssl.scm 592 */
BgL_res2349z00_1866 = BgL__ortest_1114z00_1853; }  else 
{ /* Llib/ssl.scm 592 */
 long BgL_odepthz00_1854;
BgL_odepthz00_1854 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1852); 
if(
(1L<BgL_odepthz00_1854))
{ /* Llib/ssl.scm 592 */
 obj_t BgL_arg1775z00_1856;
BgL_arg1775z00_1856 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1852, 1L); 
BgL_res2349z00_1866 = 
(BgL_arg1775z00_1856==BgL_classz00_1836); }  else 
{ /* Llib/ssl.scm 592 */
BgL_res2349z00_1866 = ((bool_t)0); } } } } 
BgL_test3881z00_7984 = BgL_res2349z00_1866; } }  else 
{ /* Llib/ssl.scm 592 */
BgL_test3881z00_7984 = ((bool_t)0)
; } } } 
if(BgL_test3881z00_7984)
{ 
 obj_t BgL_l1179z00_8006;
BgL_l1179z00_8006 = 
CDR(
((obj_t)BgL_l1179z00_213)); 
BgL_l1179z00_213 = BgL_l1179z00_8006; 
goto BgL_zc3z04anonymousza31446ze3z87_214;}  else 
{ /* Llib/ssl.scm 592 */
BgL_test3878z00_7979 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 592 */
BgL_test3878z00_7979 = ((bool_t)0)
; } 
if(BgL_test3878z00_7979)
{ /* Llib/ssl.scm 592 */BFALSE; }  else 
{ /* Llib/ssl.scm 592 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2938z00zz__ssl_sslz00, BgL_casz00_6); } } 
{ /* Llib/ssl.scm 594 */
 bool_t BgL_test3886z00_8010;
if(
CBOOL(BgL_acceptedzd2certszd2_7))
{ /* Llib/ssl.scm 594 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_acceptedzd2certszd2_7))
{ 
 obj_t BgL_l1182z00_234;
BgL_l1182z00_234 = BgL_acceptedzd2certszd2_7; 
BgL_zc3z04anonymousza31530ze3z87_235:
if(
NULLP(BgL_l1182z00_234))
{ /* Llib/ssl.scm 596 */
BgL_test3886z00_8010 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 596 */
 bool_t BgL_test3890z00_8017;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_cz00_240;
BgL_cz00_240 = 
CAR(
((obj_t)BgL_l1182z00_234)); 
{ /* Llib/ssl.scm 596 */
 obj_t BgL_classz00_1869;
BgL_classz00_1869 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_240))
{ /* Llib/ssl.scm 596 */
 BgL_objectz00_bglt BgL_arg1778z00_1871;
BgL_arg1778z00_1871 = 
(BgL_objectz00_bglt)(BgL_cz00_240); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 596 */
 long BgL_idxz00_1877;
BgL_idxz00_1877 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1871); 
BgL_test3890z00_8017 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1877+1L))==BgL_classz00_1869); }  else 
{ /* Llib/ssl.scm 596 */
 bool_t BgL_res2350z00_1899;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_oclassz00_1885;
{ /* Llib/ssl.scm 596 */
 long BgL_arg1785z00_1891;
{ /* Llib/ssl.scm 596 */
 long BgL_arg1786z00_1892;
BgL_arg1786z00_1892 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1871); 
BgL_arg1785z00_1891 = 
(BgL_arg1786z00_1892-OBJECT_TYPE); } 
BgL_oclassz00_1885 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1891); } 
{ /* Llib/ssl.scm 596 */
 bool_t BgL__ortest_1114z00_1886;
BgL__ortest_1114z00_1886 = 
(BgL_classz00_1869==BgL_oclassz00_1885); 
if(BgL__ortest_1114z00_1886)
{ /* Llib/ssl.scm 596 */
BgL_res2350z00_1899 = BgL__ortest_1114z00_1886; }  else 
{ /* Llib/ssl.scm 596 */
 long BgL_odepthz00_1887;
BgL_odepthz00_1887 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1885); 
if(
(1L<BgL_odepthz00_1887))
{ /* Llib/ssl.scm 596 */
 obj_t BgL_arg1775z00_1889;
BgL_arg1775z00_1889 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1885, 1L); 
BgL_res2350z00_1899 = 
(BgL_arg1775z00_1889==BgL_classz00_1869); }  else 
{ /* Llib/ssl.scm 596 */
BgL_res2350z00_1899 = ((bool_t)0); } } } } 
BgL_test3890z00_8017 = BgL_res2350z00_1899; } }  else 
{ /* Llib/ssl.scm 596 */
BgL_test3890z00_8017 = ((bool_t)0)
; } } } 
if(BgL_test3890z00_8017)
{ 
 obj_t BgL_l1182z00_8039;
BgL_l1182z00_8039 = 
CDR(
((obj_t)BgL_l1182z00_234)); 
BgL_l1182z00_234 = BgL_l1182z00_8039; 
goto BgL_zc3z04anonymousza31530ze3z87_235;}  else 
{ /* Llib/ssl.scm 596 */
BgL_test3886z00_8010 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 595 */
BgL_test3886z00_8010 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 594 */
BgL_test3886z00_8010 = ((bool_t)1)
; } 
if(BgL_test3886z00_8010)
{ /* Llib/ssl.scm 594 */BFALSE; }  else 
{ /* Llib/ssl.scm 594 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2939z00zz__ssl_sslz00, BgL_acceptedzd2certszd2_7); } } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3895z00_8043;
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3896z00_8044;
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3897z00_8045;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1901;
BgL_classz00_1901 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1778z00_1903;
BgL_arg1778z00_1903 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1909;
BgL_idxz00_1909 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1903); 
BgL_test3897z00_8045 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1909+1L))==BgL_classz00_1901); }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2351z00_1931;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1917;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1785z00_1923;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1786z00_1924;
BgL_arg1786z00_1924 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1903); 
BgL_arg1785z00_1923 = 
(BgL_arg1786z00_1924-OBJECT_TYPE); } 
BgL_oclassz00_1917 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1923); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1114z00_1918;
BgL__ortest_1114z00_1918 = 
(BgL_classz00_1901==BgL_oclassz00_1917); 
if(BgL__ortest_1114z00_1918)
{ /* Llib/ssl.scm 598 */
BgL_res2351z00_1931 = BgL__ortest_1114z00_1918; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_1919;
BgL_odepthz00_1919 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1917); 
if(
(1L<BgL_odepthz00_1919))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1775z00_1921;
BgL_arg1775z00_1921 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1917, 1L); 
BgL_res2351z00_1931 = 
(BgL_arg1775z00_1921==BgL_classz00_1901); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2351z00_1931 = ((bool_t)0); } } } } 
BgL_test3897z00_8045 = BgL_res2351z00_1931; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3897z00_8045 = ((bool_t)0)
; } } 
if(BgL_test3897z00_8045)
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3902z00_8065;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1932;
BgL_classz00_1932 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1778z00_1934;
BgL_arg1778z00_1934 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1940;
BgL_idxz00_1940 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1934); 
BgL_test3902z00_8065 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1940+1L))==BgL_classz00_1932); }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2352z00_1962;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1948;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1785z00_1954;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1786z00_1955;
BgL_arg1786z00_1955 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1934); 
BgL_arg1785z00_1954 = 
(BgL_arg1786z00_1955-OBJECT_TYPE); } 
BgL_oclassz00_1948 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1954); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1114z00_1949;
BgL__ortest_1114z00_1949 = 
(BgL_classz00_1932==BgL_oclassz00_1948); 
if(BgL__ortest_1114z00_1949)
{ /* Llib/ssl.scm 598 */
BgL_res2352z00_1962 = BgL__ortest_1114z00_1949; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_1950;
BgL_odepthz00_1950 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1948); 
if(
(1L<BgL_odepthz00_1950))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1775z00_1952;
BgL_arg1775z00_1952 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1948, 1L); 
BgL_res2352z00_1962 = 
(BgL_arg1775z00_1952==BgL_classz00_1932); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2352z00_1962 = ((bool_t)0); } } } } 
BgL_test3902z00_8065 = BgL_res2352z00_1962; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3902z00_8065 = ((bool_t)0)
; } } 
if(BgL_test3902z00_8065)
{ /* Llib/ssl.scm 598 */
BgL_test3896z00_8044 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3896z00_8044 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3896z00_8044 = ((bool_t)0)
; } } 
if(BgL_test3896z00_8044)
{ /* Llib/ssl.scm 598 */
BgL_test3895z00_8043 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 599 */
 bool_t BgL_test3907z00_8085;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_classz00_1963;
BgL_classz00_1963 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 599 */
 BgL_objectz00_bglt BgL_arg1778z00_1965;
BgL_arg1778z00_1965 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 599 */
 long BgL_idxz00_1971;
BgL_idxz00_1971 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1965); 
BgL_test3907z00_8085 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1971+1L))==BgL_classz00_1963); }  else 
{ /* Llib/ssl.scm 599 */
 bool_t BgL_res2353z00_1993;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_oclassz00_1979;
{ /* Llib/ssl.scm 599 */
 long BgL_arg1785z00_1985;
{ /* Llib/ssl.scm 599 */
 long BgL_arg1786z00_1986;
BgL_arg1786z00_1986 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1965); 
BgL_arg1785z00_1985 = 
(BgL_arg1786z00_1986-OBJECT_TYPE); } 
BgL_oclassz00_1979 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1985); } 
{ /* Llib/ssl.scm 599 */
 bool_t BgL__ortest_1114z00_1980;
BgL__ortest_1114z00_1980 = 
(BgL_classz00_1963==BgL_oclassz00_1979); 
if(BgL__ortest_1114z00_1980)
{ /* Llib/ssl.scm 599 */
BgL_res2353z00_1993 = BgL__ortest_1114z00_1980; }  else 
{ /* Llib/ssl.scm 599 */
 long BgL_odepthz00_1981;
BgL_odepthz00_1981 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1979); 
if(
(1L<BgL_odepthz00_1981))
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1775z00_1983;
BgL_arg1775z00_1983 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1979, 1L); 
BgL_res2353z00_1993 = 
(BgL_arg1775z00_1983==BgL_classz00_1963); }  else 
{ /* Llib/ssl.scm 599 */
BgL_res2353z00_1993 = ((bool_t)0); } } } } 
BgL_test3907z00_8085 = BgL_res2353z00_1993; } }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3907z00_8085 = ((bool_t)0)
; } } 
if(BgL_test3907z00_8085)
{ /* Llib/ssl.scm 599 */
 bool_t BgL_test3912z00_8105;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_classz00_1994;
BgL_classz00_1994 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 599 */
 BgL_objectz00_bglt BgL_arg1778z00_1996;
BgL_arg1778z00_1996 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 599 */
 long BgL_idxz00_2002;
BgL_idxz00_2002 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1996); 
BgL_test3912z00_8105 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2002+1L))==BgL_classz00_1994); }  else 
{ /* Llib/ssl.scm 599 */
 bool_t BgL_res2354z00_2024;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_oclassz00_2010;
{ /* Llib/ssl.scm 599 */
 long BgL_arg1785z00_2016;
{ /* Llib/ssl.scm 599 */
 long BgL_arg1786z00_2017;
BgL_arg1786z00_2017 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1996); 
BgL_arg1785z00_2016 = 
(BgL_arg1786z00_2017-OBJECT_TYPE); } 
BgL_oclassz00_2010 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2016); } 
{ /* Llib/ssl.scm 599 */
 bool_t BgL__ortest_1114z00_2011;
BgL__ortest_1114z00_2011 = 
(BgL_classz00_1994==BgL_oclassz00_2010); 
if(BgL__ortest_1114z00_2011)
{ /* Llib/ssl.scm 599 */
BgL_res2354z00_2024 = BgL__ortest_1114z00_2011; }  else 
{ /* Llib/ssl.scm 599 */
 long BgL_odepthz00_2012;
BgL_odepthz00_2012 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2010); 
if(
(1L<BgL_odepthz00_2012))
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1775z00_2014;
BgL_arg1775z00_2014 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2010, 1L); 
BgL_res2354z00_2024 = 
(BgL_arg1775z00_2014==BgL_classz00_1994); }  else 
{ /* Llib/ssl.scm 599 */
BgL_res2354z00_2024 = ((bool_t)0); } } } } 
BgL_test3912z00_8105 = BgL_res2354z00_2024; } }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3912z00_8105 = ((bool_t)0)
; } } 
if(BgL_test3912z00_8105)
{ /* Llib/ssl.scm 599 */
BgL_test3895z00_8043 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3895z00_8043 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3895z00_8043 = ((bool_t)0)
; } } } 
if(BgL_test3895z00_8043)
{ /* Llib/ssl.scm 602 */
 obj_t BgL_arg1544z00_250;
{ /* Llib/ssl.scm 602 */
 obj_t BgL_list1545z00_251;
{ /* Llib/ssl.scm 602 */
 obj_t BgL_arg1552z00_252;
BgL_arg1552z00_252 = 
MAKE_YOUNG_PAIR(BgL_certz00_4, BNIL); 
BgL_list1545z00_251 = 
MAKE_YOUNG_PAIR(BgL_pkeyz00_5, BgL_arg1552z00_252); } 
BgL_arg1544z00_250 = BgL_list1545z00_251; } 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2940z00zz__ssl_sslz00, BgL_arg1544z00_250); }  else 
{ /* Llib/ssl.scm 598 */BFALSE; } } 
{ /* Llib/ssl.scm 603 */
 bool_t BgL_test3917z00_8128;
if(
(BgL_funcz00_3==
CNST_TABLE_REF(0L)))
{ /* Llib/ssl.scm 603 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_domainz00_8, 
CNST_TABLE_REF(1L))))
{ /* Llib/ssl.scm 604 */
BgL_test3917z00_8128 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 604 */
BgL_test3917z00_8128 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 603 */
BgL_test3917z00_8128 = ((bool_t)0)
; } 
if(BgL_test3917z00_8128)
{ /* Llib/ssl.scm 603 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2941z00zz__ssl_sslz00, BgL_domainz00_8); }  else 
{ /* Llib/ssl.scm 603 */BFALSE; } } 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3920z00_8137;
if(
(BgL_funcz00_3==
CNST_TABLE_REF(2L)))
{ /* Llib/ssl.scm 606 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_domainz00_8, 
CNST_TABLE_REF(3L))))
{ /* Llib/ssl.scm 607 */
BgL_test3920z00_8137 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 607 */
BgL_test3920z00_8137 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 606 */
BgL_test3920z00_8137 = ((bool_t)0)
; } 
if(BgL_test3920z00_8137)
{ /* Llib/ssl.scm 606 */
return 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2941z00zz__ssl_sslz00, BgL_domainz00_8);}  else 
{ /* Llib/ssl.scm 606 */
return BFALSE;} } } 

}



/* _make-ssl-client-socket */
obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_env1211z00_21, obj_t BgL_opt1210z00_20)
{
{ /* Llib/ssl.scm 613 */
{ /* Llib/ssl.scm 613 */
 obj_t BgL_g1226z00_268; obj_t BgL_g1227z00_269;
BgL_g1226z00_268 = 
VECTOR_REF(BgL_opt1210z00_20,0L); 
BgL_g1227z00_269 = 
VECTOR_REF(BgL_opt1210z00_20,1L); 
{ /* Llib/ssl.scm 619 */
 obj_t BgL_casz00_270;
BgL_casz00_270 = BNIL; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_acceptedzd2certszd2_271;
BgL_acceptedzd2certszd2_271 = BFALSE; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_certz00_272;
BgL_certz00_272 = BFALSE; 
{ /* Llib/ssl.scm 620 */
 obj_t BgL_domainz00_273;
BgL_domainz00_273 = 
CNST_TABLE_REF(4L); 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_inbufz00_274;
BgL_inbufz00_274 = BTRUE; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_outbufz00_275;
BgL_outbufz00_275 = BTRUE; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_pkeyz00_276;
BgL_pkeyz00_276 = BFALSE; 
{ /* Llib/ssl.scm 617 */
 obj_t BgL_protocolz00_277;
BgL_protocolz00_277 = 
CNST_TABLE_REF(5L); 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_timeoutz00_278;
BgL_timeoutz00_278 = 
BINT(0L); 
{ /* Llib/ssl.scm 613 */

{ 
 long BgL_iz00_279;
BgL_iz00_279 = 2L; 
BgL_check1214z00_280:
if(
(BgL_iz00_279==
VECTOR_LENGTH(BgL_opt1210z00_20)))
{ /* Llib/ssl.scm 613 */BNIL; }  else 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3924z00_8154;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_arg1566z00_286;
BgL_arg1566z00_286 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_iz00_279); 
BgL_test3924z00_8154 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1566z00_286, 
CNST_TABLE_REF(6L))); } 
if(BgL_test3924z00_8154)
{ 
 long BgL_iz00_8159;
BgL_iz00_8159 = 
(BgL_iz00_279+2L); 
BgL_iz00_279 = BgL_iz00_8159; 
goto BgL_check1214z00_280;}  else 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_arg1565z00_285;
BgL_arg1565z00_285 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_iz00_279); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(0L), BGl_string2942z00zz__ssl_sslz00, BgL_arg1565z00_285); } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1216z00_287;
BgL_index1216z00_287 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(7L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3925z00_8167;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2041;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8168;
if(
INTEGERP(BgL_index1216z00_287))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8168 = BgL_index1216z00_287
; }  else 
{ 
 obj_t BgL_auxz00_8171;
BgL_auxz00_8171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1216z00_287); 
FAILURE(BgL_auxz00_8171,BFALSE,BFALSE);} 
BgL_n1z00_2041 = 
(long)CINT(BgL_tmpz00_8168); } 
BgL_test3925z00_8167 = 
(BgL_n1z00_2041>=0L); } 
if(BgL_test3925z00_8167)
{ 
 long BgL_auxz00_8177;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8178;
if(
INTEGERP(BgL_index1216z00_287))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8178 = BgL_index1216z00_287
; }  else 
{ 
 obj_t BgL_auxz00_8181;
BgL_auxz00_8181 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1216z00_287); 
FAILURE(BgL_auxz00_8181,BFALSE,BFALSE);} 
BgL_auxz00_8177 = 
(long)CINT(BgL_tmpz00_8178); } 
BgL_casz00_270 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8177); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1217z00_289;
BgL_index1217z00_289 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(8L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3928z00_8190;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2042;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8191;
if(
INTEGERP(BgL_index1217z00_289))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8191 = BgL_index1217z00_289
; }  else 
{ 
 obj_t BgL_auxz00_8194;
BgL_auxz00_8194 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1217z00_289); 
FAILURE(BgL_auxz00_8194,BFALSE,BFALSE);} 
BgL_n1z00_2042 = 
(long)CINT(BgL_tmpz00_8191); } 
BgL_test3928z00_8190 = 
(BgL_n1z00_2042>=0L); } 
if(BgL_test3928z00_8190)
{ 
 long BgL_auxz00_8200;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8201;
if(
INTEGERP(BgL_index1217z00_289))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8201 = BgL_index1217z00_289
; }  else 
{ 
 obj_t BgL_auxz00_8204;
BgL_auxz00_8204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1217z00_289); 
FAILURE(BgL_auxz00_8204,BFALSE,BFALSE);} 
BgL_auxz00_8200 = 
(long)CINT(BgL_tmpz00_8201); } 
BgL_acceptedzd2certszd2_271 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8200); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1218z00_291;
BgL_index1218z00_291 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(9L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3931z00_8213;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2043;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8214;
if(
INTEGERP(BgL_index1218z00_291))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8214 = BgL_index1218z00_291
; }  else 
{ 
 obj_t BgL_auxz00_8217;
BgL_auxz00_8217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1218z00_291); 
FAILURE(BgL_auxz00_8217,BFALSE,BFALSE);} 
BgL_n1z00_2043 = 
(long)CINT(BgL_tmpz00_8214); } 
BgL_test3931z00_8213 = 
(BgL_n1z00_2043>=0L); } 
if(BgL_test3931z00_8213)
{ 
 long BgL_auxz00_8223;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8224;
if(
INTEGERP(BgL_index1218z00_291))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8224 = BgL_index1218z00_291
; }  else 
{ 
 obj_t BgL_auxz00_8227;
BgL_auxz00_8227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1218z00_291); 
FAILURE(BgL_auxz00_8227,BFALSE,BFALSE);} 
BgL_auxz00_8223 = 
(long)CINT(BgL_tmpz00_8224); } 
BgL_certz00_272 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8223); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1219z00_293;
BgL_index1219z00_293 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(10L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3934z00_8236;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2044;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8237;
if(
INTEGERP(BgL_index1219z00_293))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8237 = BgL_index1219z00_293
; }  else 
{ 
 obj_t BgL_auxz00_8240;
BgL_auxz00_8240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1219z00_293); 
FAILURE(BgL_auxz00_8240,BFALSE,BFALSE);} 
BgL_n1z00_2044 = 
(long)CINT(BgL_tmpz00_8237); } 
BgL_test3934z00_8236 = 
(BgL_n1z00_2044>=0L); } 
if(BgL_test3934z00_8236)
{ 
 long BgL_auxz00_8246;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8247;
if(
INTEGERP(BgL_index1219z00_293))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8247 = BgL_index1219z00_293
; }  else 
{ 
 obj_t BgL_auxz00_8250;
BgL_auxz00_8250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1219z00_293); 
FAILURE(BgL_auxz00_8250,BFALSE,BFALSE);} 
BgL_auxz00_8246 = 
(long)CINT(BgL_tmpz00_8247); } 
BgL_domainz00_273 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8246); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1220z00_295;
BgL_index1220z00_295 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(11L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3937z00_8259;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2045;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8260;
if(
INTEGERP(BgL_index1220z00_295))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8260 = BgL_index1220z00_295
; }  else 
{ 
 obj_t BgL_auxz00_8263;
BgL_auxz00_8263 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1220z00_295); 
FAILURE(BgL_auxz00_8263,BFALSE,BFALSE);} 
BgL_n1z00_2045 = 
(long)CINT(BgL_tmpz00_8260); } 
BgL_test3937z00_8259 = 
(BgL_n1z00_2045>=0L); } 
if(BgL_test3937z00_8259)
{ 
 long BgL_auxz00_8269;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8270;
if(
INTEGERP(BgL_index1220z00_295))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8270 = BgL_index1220z00_295
; }  else 
{ 
 obj_t BgL_auxz00_8273;
BgL_auxz00_8273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1220z00_295); 
FAILURE(BgL_auxz00_8273,BFALSE,BFALSE);} 
BgL_auxz00_8269 = 
(long)CINT(BgL_tmpz00_8270); } 
BgL_inbufz00_274 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8269); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1221z00_297;
BgL_index1221z00_297 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(12L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3940z00_8282;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2046;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8283;
if(
INTEGERP(BgL_index1221z00_297))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8283 = BgL_index1221z00_297
; }  else 
{ 
 obj_t BgL_auxz00_8286;
BgL_auxz00_8286 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1221z00_297); 
FAILURE(BgL_auxz00_8286,BFALSE,BFALSE);} 
BgL_n1z00_2046 = 
(long)CINT(BgL_tmpz00_8283); } 
BgL_test3940z00_8282 = 
(BgL_n1z00_2046>=0L); } 
if(BgL_test3940z00_8282)
{ 
 long BgL_auxz00_8292;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8293;
if(
INTEGERP(BgL_index1221z00_297))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8293 = BgL_index1221z00_297
; }  else 
{ 
 obj_t BgL_auxz00_8296;
BgL_auxz00_8296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1221z00_297); 
FAILURE(BgL_auxz00_8296,BFALSE,BFALSE);} 
BgL_auxz00_8292 = 
(long)CINT(BgL_tmpz00_8293); } 
BgL_outbufz00_275 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8292); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1222z00_299;
BgL_index1222z00_299 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(13L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3943z00_8305;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2047;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8306;
if(
INTEGERP(BgL_index1222z00_299))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8306 = BgL_index1222z00_299
; }  else 
{ 
 obj_t BgL_auxz00_8309;
BgL_auxz00_8309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1222z00_299); 
FAILURE(BgL_auxz00_8309,BFALSE,BFALSE);} 
BgL_n1z00_2047 = 
(long)CINT(BgL_tmpz00_8306); } 
BgL_test3943z00_8305 = 
(BgL_n1z00_2047>=0L); } 
if(BgL_test3943z00_8305)
{ 
 long BgL_auxz00_8315;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8316;
if(
INTEGERP(BgL_index1222z00_299))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8316 = BgL_index1222z00_299
; }  else 
{ 
 obj_t BgL_auxz00_8319;
BgL_auxz00_8319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1222z00_299); 
FAILURE(BgL_auxz00_8319,BFALSE,BFALSE);} 
BgL_auxz00_8315 = 
(long)CINT(BgL_tmpz00_8316); } 
BgL_pkeyz00_276 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8315); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1223z00_301;
BgL_index1223z00_301 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(14L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3946z00_8328;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2048;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8329;
if(
INTEGERP(BgL_index1223z00_301))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8329 = BgL_index1223z00_301
; }  else 
{ 
 obj_t BgL_auxz00_8332;
BgL_auxz00_8332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1223z00_301); 
FAILURE(BgL_auxz00_8332,BFALSE,BFALSE);} 
BgL_n1z00_2048 = 
(long)CINT(BgL_tmpz00_8329); } 
BgL_test3946z00_8328 = 
(BgL_n1z00_2048>=0L); } 
if(BgL_test3946z00_8328)
{ 
 long BgL_auxz00_8338;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8339;
if(
INTEGERP(BgL_index1223z00_301))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8339 = BgL_index1223z00_301
; }  else 
{ 
 obj_t BgL_auxz00_8342;
BgL_auxz00_8342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1223z00_301); 
FAILURE(BgL_auxz00_8342,BFALSE,BFALSE);} 
BgL_auxz00_8338 = 
(long)CINT(BgL_tmpz00_8339); } 
BgL_protocolz00_277 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8338); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1224z00_303;
BgL_index1224z00_303 = 
BGl_search1213ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_20), BgL_opt1210z00_20, 
CNST_TABLE_REF(15L), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3949z00_8351;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2049;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8352;
if(
INTEGERP(BgL_index1224z00_303))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8352 = BgL_index1224z00_303
; }  else 
{ 
 obj_t BgL_auxz00_8355;
BgL_auxz00_8355 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1224z00_303); 
FAILURE(BgL_auxz00_8355,BFALSE,BFALSE);} 
BgL_n1z00_2049 = 
(long)CINT(BgL_tmpz00_8352); } 
BgL_test3949z00_8351 = 
(BgL_n1z00_2049>=0L); } 
if(BgL_test3949z00_8351)
{ 
 long BgL_auxz00_8361;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8362;
if(
INTEGERP(BgL_index1224z00_303))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8362 = BgL_index1224z00_303
; }  else 
{ 
 obj_t BgL_auxz00_8365;
BgL_auxz00_8365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1224z00_303); 
FAILURE(BgL_auxz00_8365,BFALSE,BFALSE);} 
BgL_auxz00_8361 = 
(long)CINT(BgL_tmpz00_8362); } 
BgL_timeoutz00_278 = 
VECTOR_REF(BgL_opt1210z00_20,BgL_auxz00_8361); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_arg1581z00_305; obj_t BgL_arg1582z00_306;
BgL_arg1581z00_305 = 
VECTOR_REF(BgL_opt1210z00_20,0L); 
BgL_arg1582z00_306 = 
VECTOR_REF(BgL_opt1210z00_20,1L); 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_casz00_307;
BgL_casz00_307 = BgL_casz00_270; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_acceptedzd2certszd2_308;
BgL_acceptedzd2certszd2_308 = BgL_acceptedzd2certszd2_271; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_certz00_309;
BgL_certz00_309 = BgL_certz00_272; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_domainz00_310;
BgL_domainz00_310 = BgL_domainz00_273; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_inbufz00_311;
BgL_inbufz00_311 = BgL_inbufz00_274; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_outbufz00_312;
BgL_outbufz00_312 = BgL_outbufz00_275; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_pkeyz00_313;
BgL_pkeyz00_313 = BgL_pkeyz00_276; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_protocolz00_314;
BgL_protocolz00_314 = BgL_protocolz00_277; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_timeoutz00_315;
BgL_timeoutz00_315 = BgL_timeoutz00_278; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_hostnamez00_2050; int BgL_portz00_2051;
if(
STRINGP(BgL_arg1581z00_305))
{ /* Llib/ssl.scm 613 */
BgL_hostnamez00_2050 = BgL_arg1581z00_305; }  else 
{ 
 obj_t BgL_auxz00_8375;
BgL_auxz00_8375 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_arg1581z00_305); 
FAILURE(BgL_auxz00_8375,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8379;
if(
INTEGERP(BgL_arg1582z00_306))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8379 = BgL_arg1582z00_306
; }  else 
{ 
 obj_t BgL_auxz00_8382;
BgL_auxz00_8382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25138L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_arg1582z00_306); 
FAILURE(BgL_auxz00_8382,BFALSE,BFALSE);} 
BgL_portz00_2051 = 
CINT(BgL_tmpz00_8379); } 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(0L), BgL_certz00_309, BgL_pkeyz00_313, BgL_casz00_307, BgL_acceptedzd2certszd2_308, BgL_domainz00_310); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 624 */
 obj_t BgL_arg1611z00_2052; obj_t BgL_arg1612z00_2053; obj_t BgL_arg1633z00_2054;
BgL_arg1611z00_2052 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_314); 
BgL_arg1612z00_2053 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(0L), BgL_inbufz00_311, 
(int)(default_io_bufsiz)); 
BgL_arg1633z00_2054 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(0L), BgL_outbufz00_312, 
(int)(default_io_bufsiz)); 
{ /* Llib/ssl.scm 623 */
 obj_t BgL_auxz00_8422; obj_t BgL_auxz00_8415; int BgL_auxz00_8406; int BgL_tmpz00_8397;
if(
SYMBOLP(BgL_domainz00_310))
{ /* Llib/ssl.scm 633 */
BgL_auxz00_8422 = BgL_domainz00_310
; }  else 
{ 
 obj_t BgL_auxz00_8425;
BgL_auxz00_8425 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25742L), BGl_string2944z00zz__ssl_sslz00, BGl_string2948z00zz__ssl_sslz00, BgL_domainz00_310); 
FAILURE(BgL_auxz00_8425,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_307))
{ /* Llib/ssl.scm 626 */
BgL_auxz00_8415 = BgL_casz00_307
; }  else 
{ 
 obj_t BgL_auxz00_8418;
BgL_auxz00_8418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25560L), BGl_string2944z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_casz00_307); 
FAILURE(BgL_auxz00_8418,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 624 */
 obj_t BgL_tmpz00_8407;
if(
INTEGERP(BgL_arg1611z00_2052))
{ /* Llib/ssl.scm 624 */
BgL_tmpz00_8407 = BgL_arg1611z00_2052
; }  else 
{ 
 obj_t BgL_auxz00_8410;
BgL_auxz00_8410 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25536L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_arg1611z00_2052); 
FAILURE(BgL_auxz00_8410,BFALSE,BFALSE);} 
BgL_auxz00_8406 = 
CINT(BgL_tmpz00_8407); } 
{ /* Llib/ssl.scm 623 */
 obj_t BgL_tmpz00_8398;
if(
INTEGERP(BgL_timeoutz00_315))
{ /* Llib/ssl.scm 623 */
BgL_tmpz00_8398 = BgL_timeoutz00_315
; }  else 
{ 
 obj_t BgL_auxz00_8401;
BgL_auxz00_8401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25490L), BGl_string2944z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_timeoutz00_315); 
FAILURE(BgL_auxz00_8401,BFALSE,BFALSE);} 
BgL_tmpz00_8397 = 
CINT(BgL_tmpz00_8398); } 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_2050, BgL_portz00_2051, BgL_tmpz00_8397, BgL_auxz00_8406, BgL_certz00_309, BgL_pkeyz00_313, BgL_auxz00_8415, BgL_acceptedzd2certszd2_308, BgL_arg1612z00_2053, BgL_arg1633z00_2054, BgL_auxz00_8422);} } } } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1213~0 */
obj_t BGl_search1213ze70ze7zz__ssl_sslz00(long BgL_l1212z00_5016, obj_t BgL_opt1210z00_5015, obj_t BgL_k1z00_265, long BgL_iz00_266)
{
{ /* Llib/ssl.scm 613 */
BGl_search1213ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_266==BgL_l1212z00_5016))
{ /* Llib/ssl.scm 613 */
return 
BINT(-1L);}  else 
{ /* Llib/ssl.scm 613 */
if(
(BgL_iz00_266==
(BgL_l1212z00_5016-1L)))
{ /* Llib/ssl.scm 613 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(0L), BGl_string2949z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1210z00_5015)));}  else 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_vz00_320;
BgL_vz00_320 = 
VECTOR_REF(BgL_opt1210z00_5015,BgL_iz00_266); 
if(
(BgL_vz00_320==BgL_k1z00_265))
{ /* Llib/ssl.scm 613 */
return 
BINT(
(BgL_iz00_266+1L));}  else 
{ 
 long BgL_iz00_8445;
BgL_iz00_8445 = 
(BgL_iz00_266+2L); 
BgL_iz00_266 = BgL_iz00_8445; 
goto BGl_search1213ze70ze7zz__ssl_sslz00;} } } } 

}



/* make-ssl-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_hostnamez00_9, int BgL_portz00_10, obj_t BgL_casz00_11, obj_t BgL_acceptedzd2certszd2_12, obj_t BgL_certz00_13, obj_t BgL_domainz00_14, obj_t BgL_inbufz00_15, obj_t BgL_outbufz00_16, obj_t BgL_pkeyz00_17, obj_t BgL_protocolz00_18, obj_t BgL_timeoutz00_19)
{
{ /* Llib/ssl.scm 613 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(0L), BgL_certz00_13, BgL_pkeyz00_17, BgL_casz00_11, BgL_acceptedzd2certszd2_12, BgL_domainz00_14); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 624 */
 obj_t BgL_arg1611z00_2055; obj_t BgL_arg1612z00_2056; obj_t BgL_arg1633z00_2057;
BgL_arg1611z00_2055 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_18); 
BgL_arg1612z00_2056 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(0L), BgL_inbufz00_15, 
(int)(default_io_bufsiz)); 
BgL_arg1633z00_2057 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(0L), BgL_outbufz00_16, 
(int)(default_io_bufsiz)); 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_9, BgL_portz00_10, 
CINT(BgL_timeoutz00_19), 
CINT(BgL_arg1611z00_2055), BgL_certz00_13, BgL_pkeyz00_17, BgL_casz00_11, BgL_acceptedzd2certszd2_12, BgL_arg1612z00_2056, BgL_arg1633z00_2057, BgL_domainz00_14);} } 

}



/* _client-socket-use-ssl! */
obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_env1229z00_29, obj_t BgL_opt1228z00_28)
{
{ /* Llib/ssl.scm 638 */
{ /* Llib/ssl.scm 638 */
 obj_t BgL_g1239z00_330;
BgL_g1239z00_330 = 
VECTOR_REF(BgL_opt1228z00_28,0L); 
{ /* Llib/ssl.scm 641 */
 obj_t BgL_casz00_331;
BgL_casz00_331 = BNIL; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_acceptedzd2certszd2_332;
BgL_acceptedzd2certszd2_332 = BFALSE; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_certz00_333;
BgL_certz00_333 = BFALSE; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_pkeyz00_334;
BgL_pkeyz00_334 = BFALSE; 
{ /* Llib/ssl.scm 639 */
 obj_t BgL_protocolz00_335;
BgL_protocolz00_335 = 
CNST_TABLE_REF(5L); 
{ /* Llib/ssl.scm 638 */

{ 
 long BgL_iz00_336;
BgL_iz00_336 = 1L; 
BgL_check1232z00_337:
if(
(BgL_iz00_336==
VECTOR_LENGTH(BgL_opt1228z00_28)))
{ /* Llib/ssl.scm 638 */BNIL; }  else 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test3962z00_8465;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_arg1645z00_343;
BgL_arg1645z00_343 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_iz00_336); 
BgL_test3962z00_8465 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1645z00_343, 
CNST_TABLE_REF(16L))); } 
if(BgL_test3962z00_8465)
{ 
 long BgL_iz00_8470;
BgL_iz00_8470 = 
(BgL_iz00_336+2L); 
BgL_iz00_336 = BgL_iz00_8470; 
goto BgL_check1232z00_337;}  else 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_arg1644z00_342;
BgL_arg1644z00_342 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_iz00_336); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(17L), BGl_string2942z00zz__ssl_sslz00, BgL_arg1644z00_342); } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1234z00_344;
BgL_index1234z00_344 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_28), BgL_opt1228z00_28, 
CNST_TABLE_REF(7L), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test3963z00_8478;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2073;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8479;
if(
INTEGERP(BgL_index1234z00_344))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8479 = BgL_index1234z00_344
; }  else 
{ 
 obj_t BgL_auxz00_8482;
BgL_auxz00_8482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1234z00_344); 
FAILURE(BgL_auxz00_8482,BFALSE,BFALSE);} 
BgL_n1z00_2073 = 
(long)CINT(BgL_tmpz00_8479); } 
BgL_test3963z00_8478 = 
(BgL_n1z00_2073>=0L); } 
if(BgL_test3963z00_8478)
{ 
 long BgL_auxz00_8488;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8489;
if(
INTEGERP(BgL_index1234z00_344))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8489 = BgL_index1234z00_344
; }  else 
{ 
 obj_t BgL_auxz00_8492;
BgL_auxz00_8492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1234z00_344); 
FAILURE(BgL_auxz00_8492,BFALSE,BFALSE);} 
BgL_auxz00_8488 = 
(long)CINT(BgL_tmpz00_8489); } 
BgL_casz00_331 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_auxz00_8488); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1235z00_346;
BgL_index1235z00_346 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_28), BgL_opt1228z00_28, 
CNST_TABLE_REF(8L), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test3966z00_8501;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2074;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8502;
if(
INTEGERP(BgL_index1235z00_346))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8502 = BgL_index1235z00_346
; }  else 
{ 
 obj_t BgL_auxz00_8505;
BgL_auxz00_8505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1235z00_346); 
FAILURE(BgL_auxz00_8505,BFALSE,BFALSE);} 
BgL_n1z00_2074 = 
(long)CINT(BgL_tmpz00_8502); } 
BgL_test3966z00_8501 = 
(BgL_n1z00_2074>=0L); } 
if(BgL_test3966z00_8501)
{ 
 long BgL_auxz00_8511;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8512;
if(
INTEGERP(BgL_index1235z00_346))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8512 = BgL_index1235z00_346
; }  else 
{ 
 obj_t BgL_auxz00_8515;
BgL_auxz00_8515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1235z00_346); 
FAILURE(BgL_auxz00_8515,BFALSE,BFALSE);} 
BgL_auxz00_8511 = 
(long)CINT(BgL_tmpz00_8512); } 
BgL_acceptedzd2certszd2_332 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_auxz00_8511); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1236z00_348;
BgL_index1236z00_348 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_28), BgL_opt1228z00_28, 
CNST_TABLE_REF(9L), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test3969z00_8524;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2075;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8525;
if(
INTEGERP(BgL_index1236z00_348))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8525 = BgL_index1236z00_348
; }  else 
{ 
 obj_t BgL_auxz00_8528;
BgL_auxz00_8528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1236z00_348); 
FAILURE(BgL_auxz00_8528,BFALSE,BFALSE);} 
BgL_n1z00_2075 = 
(long)CINT(BgL_tmpz00_8525); } 
BgL_test3969z00_8524 = 
(BgL_n1z00_2075>=0L); } 
if(BgL_test3969z00_8524)
{ 
 long BgL_auxz00_8534;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8535;
if(
INTEGERP(BgL_index1236z00_348))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8535 = BgL_index1236z00_348
; }  else 
{ 
 obj_t BgL_auxz00_8538;
BgL_auxz00_8538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1236z00_348); 
FAILURE(BgL_auxz00_8538,BFALSE,BFALSE);} 
BgL_auxz00_8534 = 
(long)CINT(BgL_tmpz00_8535); } 
BgL_certz00_333 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_auxz00_8534); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1237z00_350;
BgL_index1237z00_350 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_28), BgL_opt1228z00_28, 
CNST_TABLE_REF(13L), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test3972z00_8547;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2076;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8548;
if(
INTEGERP(BgL_index1237z00_350))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8548 = BgL_index1237z00_350
; }  else 
{ 
 obj_t BgL_auxz00_8551;
BgL_auxz00_8551 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1237z00_350); 
FAILURE(BgL_auxz00_8551,BFALSE,BFALSE);} 
BgL_n1z00_2076 = 
(long)CINT(BgL_tmpz00_8548); } 
BgL_test3972z00_8547 = 
(BgL_n1z00_2076>=0L); } 
if(BgL_test3972z00_8547)
{ 
 long BgL_auxz00_8557;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8558;
if(
INTEGERP(BgL_index1237z00_350))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8558 = BgL_index1237z00_350
; }  else 
{ 
 obj_t BgL_auxz00_8561;
BgL_auxz00_8561 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1237z00_350); 
FAILURE(BgL_auxz00_8561,BFALSE,BFALSE);} 
BgL_auxz00_8557 = 
(long)CINT(BgL_tmpz00_8558); } 
BgL_pkeyz00_334 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_auxz00_8557); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1238z00_352;
BgL_index1238z00_352 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_28), BgL_opt1228z00_28, 
CNST_TABLE_REF(14L), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test3975z00_8570;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2077;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8571;
if(
INTEGERP(BgL_index1238z00_352))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8571 = BgL_index1238z00_352
; }  else 
{ 
 obj_t BgL_auxz00_8574;
BgL_auxz00_8574 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1238z00_352); 
FAILURE(BgL_auxz00_8574,BFALSE,BFALSE);} 
BgL_n1z00_2077 = 
(long)CINT(BgL_tmpz00_8571); } 
BgL_test3975z00_8570 = 
(BgL_n1z00_2077>=0L); } 
if(BgL_test3975z00_8570)
{ 
 long BgL_auxz00_8580;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8581;
if(
INTEGERP(BgL_index1238z00_352))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8581 = BgL_index1238z00_352
; }  else 
{ 
 obj_t BgL_auxz00_8584;
BgL_auxz00_8584 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_index1238z00_352); 
FAILURE(BgL_auxz00_8584,BFALSE,BFALSE);} 
BgL_auxz00_8580 = 
(long)CINT(BgL_tmpz00_8581); } 
BgL_protocolz00_335 = 
VECTOR_REF(BgL_opt1228z00_28,BgL_auxz00_8580); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_arg1654z00_354;
BgL_arg1654z00_354 = 
VECTOR_REF(BgL_opt1228z00_28,0L); 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_casz00_355;
BgL_casz00_355 = BgL_casz00_331; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_acceptedzd2certszd2_356;
BgL_acceptedzd2certszd2_356 = BgL_acceptedzd2certszd2_332; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_certz00_357;
BgL_certz00_357 = BgL_certz00_333; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_pkeyz00_358;
BgL_pkeyz00_358 = BgL_pkeyz00_334; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_protocolz00_359;
BgL_protocolz00_359 = BgL_protocolz00_335; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_sz00_2078;
if(
SOCKETP(BgL_arg1654z00_354))
{ /* Llib/ssl.scm 638 */
BgL_sz00_2078 = BgL_arg1654z00_354; }  else 
{ 
 obj_t BgL_auxz00_8593;
BgL_auxz00_8593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(25974L), BGl_string2950z00zz__ssl_sslz00, BGl_string2951z00zz__ssl_sslz00, BgL_arg1654z00_354); 
FAILURE(BgL_auxz00_8593,BFALSE,BFALSE);} 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(17L), BgL_certz00_357, BgL_pkeyz00_358, BgL_casz00_355, BgL_acceptedzd2certszd2_356, 
CNST_TABLE_REF(18L)); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 645 */
 obj_t BgL_arg1679z00_2079;
BgL_arg1679z00_2079 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_359); 
{ /* Llib/ssl.scm 644 */
 obj_t BgL_auxz00_8611; int BgL_tmpz00_8602;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_355))
{ /* Llib/ssl.scm 647 */
BgL_auxz00_8611 = BgL_casz00_355
; }  else 
{ 
 obj_t BgL_auxz00_8614;
BgL_auxz00_8614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(26296L), BGl_string2950z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_casz00_355); 
FAILURE(BgL_auxz00_8614,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 645 */
 obj_t BgL_tmpz00_8603;
if(
INTEGERP(BgL_arg1679z00_2079))
{ /* Llib/ssl.scm 645 */
BgL_tmpz00_8603 = BgL_arg1679z00_2079
; }  else 
{ 
 obj_t BgL_auxz00_8606;
BgL_auxz00_8606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(26272L), BGl_string2950z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_arg1679z00_2079); 
FAILURE(BgL_auxz00_8606,BFALSE,BFALSE);} 
BgL_tmpz00_8602 = 
CINT(BgL_tmpz00_8603); } 
return 
bgl_client_socket_use_ssl(BgL_sz00_2078, BgL_tmpz00_8602, BgL_certz00_357, BgL_pkeyz00_358, BgL_auxz00_8611, BgL_acceptedzd2certszd2_356);} } } } } } } } } } } } } } } } } 

}



/* search1231~0 */
obj_t BGl_search1231ze70ze7zz__ssl_sslz00(long BgL_l1230z00_5014, obj_t BgL_opt1228z00_5013, obj_t BgL_k1z00_327, long BgL_iz00_328)
{
{ /* Llib/ssl.scm 638 */
BGl_search1231ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_328==BgL_l1230z00_5014))
{ /* Llib/ssl.scm 638 */
return 
BINT(-1L);}  else 
{ /* Llib/ssl.scm 638 */
if(
(BgL_iz00_328==
(BgL_l1230z00_5014-1L)))
{ /* Llib/ssl.scm 638 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(17L), BGl_string2952z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1228z00_5013)));}  else 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_vz00_364;
BgL_vz00_364 = 
VECTOR_REF(BgL_opt1228z00_5013,BgL_iz00_328); 
if(
(BgL_vz00_364==BgL_k1z00_327))
{ /* Llib/ssl.scm 638 */
return 
BINT(
(BgL_iz00_328+1L));}  else 
{ 
 long BgL_iz00_8634;
BgL_iz00_8634 = 
(BgL_iz00_328+2L); 
BgL_iz00_328 = BgL_iz00_8634; 
goto BGl_search1231ze70ze7zz__ssl_sslz00;} } } } 

}



/* client-socket-use-ssl! */
BGL_EXPORTED_DEF obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_sz00_22, obj_t BgL_casz00_23, obj_t BgL_acceptedzd2certszd2_24, obj_t BgL_certz00_25, obj_t BgL_pkeyz00_26, obj_t BgL_protocolz00_27)
{
{ /* Llib/ssl.scm 638 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(17L), BgL_certz00_25, BgL_pkeyz00_26, BgL_casz00_23, BgL_acceptedzd2certszd2_24, 
CNST_TABLE_REF(18L)); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 645 */
 obj_t BgL_arg1679z00_2080;
BgL_arg1679z00_2080 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_27); 
return 
bgl_client_socket_use_ssl(BgL_sz00_22, 
CINT(BgL_arg1679z00_2080), BgL_certz00_25, BgL_pkeyz00_26, BgL_casz00_23, BgL_acceptedzd2certszd2_24);} } 

}



/* ssl-socket? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t BgL_objz00_30)
{
{ /* Llib/ssl.scm 652 */
BGL_TAIL return 
bgl_ssl_socketp(BgL_objz00_30);} 

}



/* &ssl-socket? */
obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4012, obj_t BgL_objz00_4013)
{
{ /* Llib/ssl.scm 652 */
return 
BBOOL(
BGl_sslzd2socketzf3z21zz__ssl_sslz00(BgL_objz00_4013));} 

}



/* make-ssl-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t BgL_portz00_31)
{
{ /* Llib/ssl.scm 660 */
{ /* Llib/ssl.scm 337 */
 obj_t BgL_dsssl1240z00_368;
BgL_dsssl1240z00_368 = BgL_portz00_31; 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_portz00_369;
{ /* Llib/ssl.scm 337 */
 bool_t BgL_test3984z00_8646;
if(
NULLP(BgL_dsssl1240z00_368))
{ /* Llib/ssl.scm 337 */
BgL_test3984z00_8646 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 337 */
BgL_test3984z00_8646 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_dsssl1240z00_368), 
CNST_TABLE_REF(19L)))
; } 
if(BgL_test3984z00_8646)
{ /* Llib/ssl.scm 337 */
BgL_portz00_369 = 
BINT(0L); }  else 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_tmp1241z00_395;
BgL_tmp1241z00_395 = 
CAR(BgL_dsssl1240z00_368); 
BgL_dsssl1240z00_368 = 
CDR(BgL_dsssl1240z00_368); 
BgL_portz00_369 = BgL_tmp1241z00_395; } } 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_namez00_370;
BgL_namez00_370 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(20L), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_protocolz00_371;
BgL_protocolz00_371 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(14L), 
CNST_TABLE_REF(5L)); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_certz00_372;
BgL_certz00_372 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(9L), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_pkeyz00_373;
BgL_pkeyz00_373 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(13L), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_casz00_374;
BgL_casz00_374 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(7L), BNIL); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_acceptedzd2certszd2_375;
BgL_acceptedzd2certszd2_375 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(8L), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_backlogz00_376;
BgL_backlogz00_376 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(21L), 
BINT(5L)); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_domainz00_377;
BgL_domainz00_377 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(10L), 
CNST_TABLE_REF(4L)); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(19L))))
{ /* Llib/ssl.scm 337 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(2L), BgL_certz00_372, BgL_pkeyz00_373, BgL_casz00_374, BgL_acceptedzd2certszd2_375, BgL_domainz00_377); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 668 */
 obj_t BgL_arg1683z00_380;
BgL_arg1683z00_380 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_371); 
return 
bgl_make_ssl_server_socket(BgL_namez00_370, 
CINT(BgL_portz00_369), 
CINT(BgL_arg1683z00_380), BgL_certz00_372, BgL_pkeyz00_373, BgL_casz00_374, BgL_acceptedzd2certszd2_375, 
CINT(BgL_backlogz00_376), BgL_domainz00_377);} }  else 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_arg1688z00_381;
{ /* Llib/ssl.scm 337 */
 obj_t BgL_arg1702z00_382;
{ /* Llib/ssl.scm 337 */
 obj_t BgL_arg1705z00_385;
BgL_arg1705z00_385 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1240z00_368, 
CNST_TABLE_REF(19L)); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_list1706z00_386;
BgL_list1706z00_386 = 
MAKE_YOUNG_PAIR(BgL_arg1705z00_385, BNIL); 
BgL_arg1702z00_382 = 
BGl_mapz00zz__r4_control_features_6_9z00(BGl_proc2953z00zz__ssl_sslz00, BgL_list1706z00_386); } } 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_list1703z00_383;
BgL_list1703z00_383 = 
MAKE_YOUNG_PAIR(BgL_arg1702z00_382, BNIL); 
BgL_arg1688z00_381 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string2954z00zz__ssl_sslz00, BgL_list1703z00_383); } } 
return 
BGl_errorz00zz__errorz00(BGl_string2955z00zz__ssl_sslz00, BgL_arg1688z00_381, BgL_dsssl1240z00_368);} } } } } } } } } } } } 

}



/* &make-ssl-server-socket */
obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t BgL_envz00_4015, obj_t BgL_portz00_4016)
{
{ /* Llib/ssl.scm 660 */
return 
BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(BgL_portz00_4016);} 

}



/* &<@anonymous:1707> */
obj_t BGl_z62zc3z04anonymousza31707ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4017, obj_t BgL_vz00_4018)
{
{ /* Llib/ssl.scm 337 */
{ /* Llib/ssl.scm 337 */
 obj_t BgL_list1708z00_5451;
BgL_list1708z00_5451 = 
MAKE_YOUNG_PAIR(BgL_vz00_4018, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2956z00zz__ssl_sslz00, BgL_list1708z00_5451);} } 

}



/* ssl-protocols->integer */
obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t BgL_protocolz00_32)
{
{ /* Llib/ssl.scm 675 */
{ /* Llib/ssl.scm 676 */
 obj_t BgL_casezd2valuezd2_398;
{ /* Llib/ssl.scm 676 */
 obj_t BgL_arg1737z00_413;
{ /* Llib/ssl.scm 676 */
 obj_t BgL_arg1738z00_414;
BgL_arg1738z00_414 = 
SYMBOL_TO_STRING(
((obj_t)BgL_protocolz00_32)); 
BgL_arg1737z00_413 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1738z00_414); } 
BgL_casezd2valuezd2_398 = 
bstring_to_symbol(BgL_arg1737z00_413); } 
if(
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(22L)))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_SSLV2);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(23L)))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_SSLV3);}  else 
{ /* Llib/ssl.scm 676 */
 bool_t BgL_test3989z00_8709;
{ /* Llib/ssl.scm 676 */
 bool_t BgL__ortest_1122z00_412;
BgL__ortest_1122z00_412 = 
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(24L)); 
if(BgL__ortest_1122z00_412)
{ /* Llib/ssl.scm 676 */
BgL_test3989z00_8709 = BgL__ortest_1122z00_412
; }  else 
{ /* Llib/ssl.scm 676 */
BgL_test3989z00_8709 = 
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(5L))
; } } 
if(BgL_test3989z00_8709)
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_SSLV23);}  else 
{ /* Llib/ssl.scm 676 */
 bool_t BgL_test3991z00_8716;
{ /* Llib/ssl.scm 676 */
 bool_t BgL__ortest_1123z00_411;
BgL__ortest_1123z00_411 = 
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(25L)); 
if(BgL__ortest_1123z00_411)
{ /* Llib/ssl.scm 676 */
BgL_test3991z00_8716 = BgL__ortest_1123z00_411
; }  else 
{ /* Llib/ssl.scm 676 */
BgL_test3991z00_8716 = 
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(26L))
; } } 
if(BgL_test3991z00_8716)
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(27L)))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1_1);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(28L)))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1_2);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(29L)))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1_3);}  else 
{ /* Llib/ssl.scm 676 */
 bool_t BgL_test3996z00_8735;
{ /* Llib/ssl.scm 676 */
 bool_t BgL__ortest_1124z00_410;
BgL__ortest_1124z00_410 = 
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(30L)); 
if(BgL__ortest_1124z00_410)
{ /* Llib/ssl.scm 676 */
BgL_test3996z00_8735 = BgL__ortest_1124z00_410
; }  else 
{ /* Llib/ssl.scm 676 */
BgL_test3996z00_8735 = 
(BgL_casezd2valuezd2_398==
CNST_TABLE_REF(31L))
; } } 
if(BgL_test3996z00_8735)
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_DTLSV1);}  else 
{ /* Llib/ssl.scm 676 */
return 
BGl_errorz00zz__errorz00(BGl_string2957z00zz__ssl_sslz00, BGl_string2958z00zz__ssl_sslz00, BgL_protocolz00_32);} } } } } } } } } } 

}



/* read-private-key */
BGL_EXPORTED_DEF BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t BgL_filez00_33)
{
{ /* Llib/ssl.scm 690 */
return 
((BgL_privatezd2keyzd2_bglt)
bgl_ssl_load_private_key(BgL_filez00_33));} 

}



/* &read-private-key */
BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4021, obj_t BgL_filez00_4022)
{
{ /* Llib/ssl.scm 690 */
{ /* Llib/ssl.scm 691 */
 obj_t BgL_auxz00_8745;
if(
STRINGP(BgL_filez00_4022))
{ /* Llib/ssl.scm 691 */
BgL_auxz00_8745 = BgL_filez00_4022
; }  else 
{ 
 obj_t BgL_auxz00_8748;
BgL_auxz00_8748 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(28316L), BGl_string2959z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_filez00_4022); 
FAILURE(BgL_auxz00_8748,BFALSE,BFALSE);} 
return 
BGl_readzd2privatezd2keyz00zz__ssl_sslz00(BgL_auxz00_8745);} } 

}



/* read-certificate */
BGL_EXPORTED_DEF BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t BgL_filez00_34)
{
{ /* Llib/ssl.scm 696 */
return 
((BgL_certificatez00_bglt)
bgl_ssl_load_certificate(BgL_filez00_34));} 

}



/* &read-certificate */
BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t BgL_envz00_4023, obj_t BgL_filez00_4024)
{
{ /* Llib/ssl.scm 696 */
{ /* Llib/ssl.scm 697 */
 obj_t BgL_auxz00_8755;
if(
STRINGP(BgL_filez00_4024))
{ /* Llib/ssl.scm 697 */
BgL_auxz00_8755 = BgL_filez00_4024
; }  else 
{ 
 obj_t BgL_auxz00_8758;
BgL_auxz00_8758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(28622L), BGl_string2960z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_filez00_4024); 
FAILURE(BgL_auxz00_8758,BFALSE,BFALSE);} 
return 
BGl_readzd2certificatezd2zz__ssl_sslz00(BgL_auxz00_8755);} } 

}



/* read-pem-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t BgL_filez00_35)
{
{ /* Llib/ssl.scm 702 */
BGL_TAIL return 
bgl_ssl_load_pem(BgL_filez00_35);} 

}



/* &read-pem-file */
obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t BgL_envz00_4025, obj_t BgL_filez00_4026)
{
{ /* Llib/ssl.scm 702 */
{ /* Llib/ssl.scm 703 */
 obj_t BgL_auxz00_8764;
if(
STRINGP(BgL_filez00_4026))
{ /* Llib/ssl.scm 703 */
BgL_auxz00_8764 = BgL_filez00_4026
; }  else 
{ 
 obj_t BgL_auxz00_8767;
BgL_auxz00_8767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(28922L), BGl_string2961z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_filez00_4026); 
FAILURE(BgL_auxz00_8767,BFALSE,BFALSE);} 
return 
BGl_readzd2pemzd2filez00zz__ssl_sslz00(BgL_auxz00_8764);} } 

}



/* ssl-rand-status */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 708 */
return 
RAND_status();} 

}



/* &ssl-rand-status */
obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t BgL_envz00_4027)
{
{ /* Llib/ssl.scm 708 */
return 
BBOOL(
BGl_sslzd2randzd2statusz00zz__ssl_sslz00());} 

}



/* ssl-rand-poll */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 716 */
return 
RAND_poll();} 

}



/* &ssl-rand-poll */
obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t BgL_envz00_4028)
{
{ /* Llib/ssl.scm 716 */
return 
BBOOL(
BGl_sslzd2randzd2pollz00zz__ssl_sslz00());} 

}



/* ssl-rand-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int BgL_sza7za7_36)
{
{ /* Llib/ssl.scm 724 */
{ /* Llib/ssl.scm 725 */
 obj_t BgL_strz00_2093;
{ /* Llib/ssl.scm 725 */

BgL_strz00_2093 = 
make_string(
(long)(BgL_sza7za7_36), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 728 */
 char * BgL_tmpz00_8780;
BgL_tmpz00_8780 = 
BSTRING_TO_STRING(BgL_strz00_2093); 
RAND_bytes(BgL_tmpz00_8780, BgL_sza7za7_36); } 
return BgL_strz00_2093;} } 

}



/* &ssl-rand-bytes */
obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4029, obj_t BgL_sza7za7_4030)
{
{ /* Llib/ssl.scm 724 */
{ /* Llib/ssl.scm 725 */
 int BgL_auxz00_8783;
{ /* Llib/ssl.scm 725 */
 obj_t BgL_tmpz00_8784;
if(
INTEGERP(BgL_sza7za7_4030))
{ /* Llib/ssl.scm 725 */
BgL_tmpz00_8784 = BgL_sza7za7_4030
; }  else 
{ 
 obj_t BgL_auxz00_8787;
BgL_auxz00_8787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(29845L), BGl_string2962z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_sza7za7_4030); 
FAILURE(BgL_auxz00_8787,BFALSE,BFALSE);} 
BgL_auxz00_8783 = 
CINT(BgL_tmpz00_8784); } 
return 
BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(BgL_auxz00_8783);} } 

}



/* ssl-rand-pseudo-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int BgL_sza7za7_37)
{
{ /* Llib/ssl.scm 741 */
{ /* Llib/ssl.scm 742 */
 obj_t BgL_strz00_2097;
{ /* Llib/ssl.scm 742 */

BgL_strz00_2097 = 
make_string(
(long)(BgL_sza7za7_37), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 745 */
 char * BgL_tmpz00_8795;
BgL_tmpz00_8795 = 
BSTRING_TO_STRING(BgL_strz00_2097); 
RAND_pseudo_bytes(BgL_tmpz00_8795, BgL_sza7za7_37); } 
return BgL_strz00_2097;} } 

}



/* &ssl-rand-pseudo-bytes */
obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t BgL_envz00_4031, obj_t BgL_sza7za7_4032)
{
{ /* Llib/ssl.scm 741 */
{ /* Llib/ssl.scm 742 */
 int BgL_auxz00_8798;
{ /* Llib/ssl.scm 742 */
 obj_t BgL_tmpz00_8799;
if(
INTEGERP(BgL_sza7za7_4032))
{ /* Llib/ssl.scm 742 */
BgL_tmpz00_8799 = BgL_sza7za7_4032
; }  else 
{ 
 obj_t BgL_auxz00_8802;
BgL_auxz00_8802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(30363L), BGl_string2963z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_sza7za7_4032); 
FAILURE(BgL_auxz00_8802,BFALSE,BFALSE);} 
BgL_auxz00_8798 = 
CINT(BgL_tmpz00_8799); } 
return 
BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(BgL_auxz00_8798);} } 

}



/* certificate-subject */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_38)
{
{ /* Llib/ssl.scm 758 */
return 
bgl_ssl_certificate_subject(
((obj_t)BgL_certz00_38));} 

}



/* &certificate-subject */
obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t BgL_envz00_4033, obj_t BgL_certz00_4034)
{
{ /* Llib/ssl.scm 758 */
{ /* Llib/ssl.scm 759 */
 BgL_certificatez00_bglt BgL_auxz00_8810;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4034, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 759 */
BgL_auxz00_8810 = 
((BgL_certificatez00_bglt)BgL_certz00_4034)
; }  else 
{ 
 obj_t BgL_auxz00_8814;
BgL_auxz00_8814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(30912L), BGl_string2964z00zz__ssl_sslz00, BGl_string2965z00zz__ssl_sslz00, BgL_certz00_4034); 
FAILURE(BgL_auxz00_8814,BFALSE,BFALSE);} 
return 
BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_auxz00_8810);} } 

}



/* certificate-issuer */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_39)
{
{ /* Llib/ssl.scm 764 */
return 
bgl_ssl_certificate_issuer(
((obj_t)BgL_certz00_39));} 

}



/* &certificate-issuer */
obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t BgL_envz00_4035, obj_t BgL_certz00_4036)
{
{ /* Llib/ssl.scm 764 */
{ /* Llib/ssl.scm 765 */
 BgL_certificatez00_bglt BgL_auxz00_8821;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4036, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 765 */
BgL_auxz00_8821 = 
((BgL_certificatez00_bglt)BgL_certz00_4036)
; }  else 
{ 
 obj_t BgL_auxz00_8825;
BgL_auxz00_8825 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(31230L), BGl_string2966z00zz__ssl_sslz00, BGl_string2965z00zz__ssl_sslz00, BgL_certz00_4036); 
FAILURE(BgL_auxz00_8825,BFALSE,BFALSE);} 
return 
BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_auxz00_8821);} } 

}



/* %make-certificate */
BGL_EXPORTED_DEF obj_t bgl_make_certificate(void * BgL_certz00_40)
{
{ /* Llib/ssl.scm 770 */
{ /* Llib/ssl.scm 771 */
 BgL_certificatez00_bglt BgL_new1126z00_421;
{ /* Llib/ssl.scm 772 */
 BgL_certificatez00_bglt BgL_new1125z00_422;
BgL_new1125z00_422 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 772 */
 long BgL_arg1747z00_423;
BgL_arg1747z00_423 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_422), BgL_arg1747z00_423); } 
BgL_new1126z00_421 = BgL_new1125z00_422; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1126z00_421))->BgL_z42nativez42)=((void *)BgL_certz00_40),BUNSPEC); 
return 
((obj_t)BgL_new1126z00_421);} } 

}



/* &%make-certificate */
obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t BgL_envz00_4037, obj_t BgL_certz00_4038)
{
{ /* Llib/ssl.scm 770 */
{ /* Llib/ssl.scm 771 */
 void * BgL_auxz00_8836;
if(
FOREIGNP(BgL_certz00_4038))
{ /* Llib/ssl.scm 771 */
BgL_auxz00_8836 = 
FOREIGN_TO_COBJ(BgL_certz00_4038)
; }  else 
{ 
 obj_t BgL_auxz00_8840;
BgL_auxz00_8840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(31517L), BGl_string2967z00zz__ssl_sslz00, BGl_string2968z00zz__ssl_sslz00, BgL_certz00_4038); 
FAILURE(BgL_auxz00_8840,BFALSE,BFALSE);} 
return 
bgl_make_certificate(BgL_auxz00_8836);} } 

}



/* %make-private-key */
BGL_EXPORTED_DEF obj_t bgl_make_private_key(void * BgL_pkeyz00_41)
{
{ /* Llib/ssl.scm 777 */
{ /* Llib/ssl.scm 778 */
 BgL_privatezd2keyzd2_bglt BgL_new1128z00_424;
{ /* Llib/ssl.scm 779 */
 BgL_privatezd2keyzd2_bglt BgL_new1127z00_425;
BgL_new1127z00_425 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 779 */
 long BgL_arg1750z00_426;
BgL_arg1750z00_426 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_425), BgL_arg1750z00_426); } 
BgL_new1128z00_424 = BgL_new1127z00_425; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1128z00_424))->BgL_z42nativez42)=((void *)BgL_pkeyz00_41),BUNSPEC); 
return 
((obj_t)BgL_new1128z00_424);} } 

}



/* &%make-private-key */
obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t BgL_envz00_4039, obj_t BgL_pkeyz00_4040)
{
{ /* Llib/ssl.scm 777 */
{ /* Llib/ssl.scm 778 */
 void * BgL_auxz00_8851;
if(
FOREIGNP(BgL_pkeyz00_4040))
{ /* Llib/ssl.scm 778 */
BgL_auxz00_8851 = 
FOREIGN_TO_COBJ(BgL_pkeyz00_4040)
; }  else 
{ 
 obj_t BgL_auxz00_8855;
BgL_auxz00_8855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(31825L), BGl_string2969z00zz__ssl_sslz00, BGl_string2968z00zz__ssl_sslz00, BgL_pkeyz00_4040); 
FAILURE(BgL_auxz00_8855,BFALSE,BFALSE);} 
return 
bgl_make_private_key(BgL_auxz00_8851);} } 

}



/* %certificate-$native */
BGL_EXPORTED_DEF void * bgl_certificate_native(obj_t BgL_certz00_42)
{
{ /* Llib/ssl.scm 784 */
return 
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_certz00_42)))->BgL_z42nativez42);} 

}



/* &%certificate-$native */
obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t BgL_envz00_4041, obj_t BgL_certz00_4042)
{
{ /* Llib/ssl.scm 784 */
return 
void_star_to_obj(
bgl_certificate_native(BgL_certz00_4042));} 

}



/* %private-key-$native */
BGL_EXPORTED_DEF void * bgl_private_key_native(obj_t BgL_pkeyz00_43)
{
{ /* Llib/ssl.scm 791 */
return 
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_pkeyz00_43)))->BgL_z42nativez42);} 

}



/* &%private-key-$native */
obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t BgL_envz00_4043, obj_t BgL_pkeyz00_4044)
{
{ /* Llib/ssl.scm 791 */
return 
void_star_to_obj(
bgl_private_key_native(BgL_pkeyz00_4044));} 

}



/* _secure-context-set-key! */
obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t BgL_env1255z00_61, obj_t BgL_opt1254z00_60)
{
{ /* Llib/ssl.scm 848 */
{ /* Llib/ssl.scm 848 */
 obj_t BgL_g1256z00_429; obj_t BgL_g1257z00_430; obj_t BgL_g1258z00_431; obj_t BgL_g1259z00_432;
{ 
 obj_t BgL_auxz00_8868;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8868 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_8871;
BgL_auxz00_8871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_8871,BFALSE,BFALSE);} 
BgL_g1256z00_429 = 
VECTOR_REF(BgL_auxz00_8868,0L); } 
{ 
 obj_t BgL_auxz00_8876;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8876 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_8879;
BgL_auxz00_8879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_8879,BFALSE,BFALSE);} 
BgL_g1257z00_430 = 
VECTOR_REF(BgL_auxz00_8876,1L); } 
{ 
 obj_t BgL_auxz00_8884;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8884 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_8887;
BgL_auxz00_8887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_8887,BFALSE,BFALSE);} 
BgL_g1258z00_431 = 
VECTOR_REF(BgL_auxz00_8884,2L); } 
{ 
 obj_t BgL_auxz00_8892;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8892 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_8895;
BgL_auxz00_8895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_8895,BFALSE,BFALSE);} 
BgL_g1259z00_432 = 
VECTOR_REF(BgL_auxz00_8892,3L); } 
{ /* Llib/ssl.scm 848 */
 long BgL_aux1261z00_434;
{ 
 obj_t BgL_auxz00_8900;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8900 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_8903;
BgL_auxz00_8903 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_8903,BFALSE,BFALSE);} 
BgL_aux1261z00_434 = 
VECTOR_LENGTH(BgL_auxz00_8900); } 
switch( BgL_aux1261z00_434) { case 4L : 

{ /* Llib/ssl.scm 848 */

{ /* Llib/ssl.scm 848 */
 bool_t BgL_tmpz00_8908;
{ /* Llib/ssl.scm 848 */
 long BgL_auxz00_8952; long BgL_auxz00_8943; obj_t BgL_auxz00_8936; BgL_securezd2contextzd2_bglt BgL_auxz00_8909;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_8953;
if(
INTEGERP(BgL_g1259z00_432))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_8953 = BgL_g1259z00_432
; }  else 
{ 
 obj_t BgL_auxz00_8956;
BgL_auxz00_8956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_g1259z00_432); 
FAILURE(BgL_auxz00_8956,BFALSE,BFALSE);} 
BgL_auxz00_8952 = 
(long)CINT(BgL_tmpz00_8953); } 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_8944;
if(
INTEGERP(BgL_g1258z00_431))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_8944 = BgL_g1258z00_431
; }  else 
{ 
 obj_t BgL_auxz00_8947;
BgL_auxz00_8947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_g1258z00_431); 
FAILURE(BgL_auxz00_8947,BFALSE,BFALSE);} 
BgL_auxz00_8943 = 
(long)CINT(BgL_tmpz00_8944); } 
if(
STRINGP(BgL_g1257z00_430))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8936 = BgL_g1257z00_430
; }  else 
{ 
 obj_t BgL_auxz00_8939;
BgL_auxz00_8939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_g1257z00_430); 
FAILURE(BgL_auxz00_8939,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_test4012z00_8910;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_classz00_5452;
BgL_classz00_5452 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1256z00_429))
{ /* Llib/ssl.scm 848 */
 BgL_objectz00_bglt BgL_arg1780z00_5454; long BgL_arg1781z00_5455;
BgL_arg1780z00_5454 = 
(BgL_objectz00_bglt)(BgL_g1256z00_429); 
BgL_arg1781z00_5455 = 
BGL_CLASS_DEPTH(BgL_classz00_5452); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 848 */
 long BgL_idxz00_5463;
BgL_idxz00_5463 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_5454); 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1773z00_5464;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1774z00_5465;
BgL_arg1774z00_5465 = 
(BgL_idxz00_5463+BgL_arg1781z00_5455); 
BgL_arg1773z00_5464 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_5465); } 
BgL_test4012z00_8910 = 
(BgL_arg1773z00_5464==BgL_classz00_5452); } }  else 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_res3331z00_5488;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_oclassz00_5473;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1785z00_5479;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1786z00_5480;
BgL_arg1786z00_5480 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_5454); 
BgL_arg1785z00_5479 = 
(BgL_arg1786z00_5480-OBJECT_TYPE); } 
BgL_oclassz00_5473 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_5479); } 
{ /* Llib/ssl.scm 848 */
 bool_t BgL__ortest_1114z00_5474;
BgL__ortest_1114z00_5474 = 
(BgL_classz00_5452==BgL_oclassz00_5473); 
if(BgL__ortest_1114z00_5474)
{ /* Llib/ssl.scm 848 */
BgL_res3331z00_5488 = BgL__ortest_1114z00_5474; }  else 
{ /* Llib/ssl.scm 848 */
 long BgL_odepthz00_5475;
BgL_odepthz00_5475 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5473); 
if(
(BgL_arg1781z00_5455<BgL_odepthz00_5475))
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1775z00_5477;
BgL_arg1775z00_5477 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5473, BgL_arg1781z00_5455); 
BgL_res3331z00_5488 = 
(BgL_arg1775z00_5477==BgL_classz00_5452); }  else 
{ /* Llib/ssl.scm 848 */
BgL_res3331z00_5488 = ((bool_t)0); } } } } 
BgL_test4012z00_8910 = BgL_res3331z00_5488; } }  else 
{ /* Llib/ssl.scm 848 */
BgL_test4012z00_8910 = ((bool_t)0)
; } } 
if(BgL_test4012z00_8910)
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8909 = 
((BgL_securezd2contextzd2_bglt)BgL_g1256z00_429)
; }  else 
{ 
 obj_t BgL_auxz00_8932;
BgL_auxz00_8932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_g1256z00_429); 
FAILURE(BgL_auxz00_8932,BFALSE,BFALSE);} } 
BgL_tmpz00_8908 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_8909, BgL_auxz00_8936, BgL_auxz00_8943, BgL_auxz00_8952, BFALSE); } 
return 
BBOOL(BgL_tmpz00_8908);} } break;case 5L : 

{ /* Llib/ssl.scm 848 */
 obj_t BgL_passphrasez00_436;
{ 
 obj_t BgL_auxz00_8963;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8963 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_8966;
BgL_auxz00_8966 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_8966,BFALSE,BFALSE);} 
BgL_passphrasez00_436 = 
VECTOR_REF(BgL_auxz00_8963,4L); } 
{ /* Llib/ssl.scm 848 */

{ /* Llib/ssl.scm 848 */
 bool_t BgL_tmpz00_8971;
{ /* Llib/ssl.scm 848 */
 long BgL_auxz00_9015; long BgL_auxz00_9006; obj_t BgL_auxz00_8999; BgL_securezd2contextzd2_bglt BgL_auxz00_8972;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_9016;
if(
INTEGERP(BgL_g1259z00_432))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_9016 = BgL_g1259z00_432
; }  else 
{ 
 obj_t BgL_auxz00_9019;
BgL_auxz00_9019 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_g1259z00_432); 
FAILURE(BgL_auxz00_9019,BFALSE,BFALSE);} 
BgL_auxz00_9015 = 
(long)CINT(BgL_tmpz00_9016); } 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_9007;
if(
INTEGERP(BgL_g1258z00_431))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_9007 = BgL_g1258z00_431
; }  else 
{ 
 obj_t BgL_auxz00_9010;
BgL_auxz00_9010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_g1258z00_431); 
FAILURE(BgL_auxz00_9010,BFALSE,BFALSE);} 
BgL_auxz00_9006 = 
(long)CINT(BgL_tmpz00_9007); } 
if(
STRINGP(BgL_g1257z00_430))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8999 = BgL_g1257z00_430
; }  else 
{ 
 obj_t BgL_auxz00_9002;
BgL_auxz00_9002 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_g1257z00_430); 
FAILURE(BgL_auxz00_9002,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_test4021z00_8973;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_classz00_5489;
BgL_classz00_5489 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1256z00_429))
{ /* Llib/ssl.scm 848 */
 BgL_objectz00_bglt BgL_arg1780z00_5491; long BgL_arg1781z00_5492;
BgL_arg1780z00_5491 = 
(BgL_objectz00_bglt)(BgL_g1256z00_429); 
BgL_arg1781z00_5492 = 
BGL_CLASS_DEPTH(BgL_classz00_5489); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 848 */
 long BgL_idxz00_5500;
BgL_idxz00_5500 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_5491); 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1773z00_5501;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1774z00_5502;
BgL_arg1774z00_5502 = 
(BgL_idxz00_5500+BgL_arg1781z00_5492); 
BgL_arg1773z00_5501 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_5502); } 
BgL_test4021z00_8973 = 
(BgL_arg1773z00_5501==BgL_classz00_5489); } }  else 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_res3332z00_5525;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_oclassz00_5510;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1785z00_5516;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1786z00_5517;
BgL_arg1786z00_5517 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_5491); 
BgL_arg1785z00_5516 = 
(BgL_arg1786z00_5517-OBJECT_TYPE); } 
BgL_oclassz00_5510 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_5516); } 
{ /* Llib/ssl.scm 848 */
 bool_t BgL__ortest_1114z00_5511;
BgL__ortest_1114z00_5511 = 
(BgL_classz00_5489==BgL_oclassz00_5510); 
if(BgL__ortest_1114z00_5511)
{ /* Llib/ssl.scm 848 */
BgL_res3332z00_5525 = BgL__ortest_1114z00_5511; }  else 
{ /* Llib/ssl.scm 848 */
 long BgL_odepthz00_5512;
BgL_odepthz00_5512 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5510); 
if(
(BgL_arg1781z00_5492<BgL_odepthz00_5512))
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1775z00_5514;
BgL_arg1775z00_5514 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5510, BgL_arg1781z00_5492); 
BgL_res3332z00_5525 = 
(BgL_arg1775z00_5514==BgL_classz00_5489); }  else 
{ /* Llib/ssl.scm 848 */
BgL_res3332z00_5525 = ((bool_t)0); } } } } 
BgL_test4021z00_8973 = BgL_res3332z00_5525; } }  else 
{ /* Llib/ssl.scm 848 */
BgL_test4021z00_8973 = ((bool_t)0)
; } } 
if(BgL_test4021z00_8973)
{ /* Llib/ssl.scm 848 */
BgL_auxz00_8972 = 
((BgL_securezd2contextzd2_bglt)BgL_g1256z00_429)
; }  else 
{ 
 obj_t BgL_auxz00_8995;
BgL_auxz00_8995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34745L), BGl_string2970z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_g1256z00_429); 
FAILURE(BgL_auxz00_8995,BFALSE,BFALSE);} } 
BgL_tmpz00_8971 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_8972, BgL_auxz00_8999, BgL_auxz00_9006, BgL_auxz00_9015, BgL_passphrasez00_436); } 
return 
BBOOL(BgL_tmpz00_8971);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* bn-bin2bn */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t BgL_stringz00_180)
{
{ /* Llib/ssl.scm 1402 */
{ /* Llib/ssl.scm 1404 */
 void * BgL_arg1751z00_2109;
{ /* Llib/ssl.scm 1404 */
 long BgL_arg1754z00_2110;
BgL_arg1754z00_2110 = 
STRING_LENGTH(BgL_stringz00_180); 
BgL_arg1751z00_2109 = 
bgl_bn_bin2bn(
BSTRING_TO_STRING(BgL_stringz00_180), 
(int)(BgL_arg1754z00_2110)); } 
return 
void_star_to_obj(BgL_arg1751z00_2109);} } 

}



/* &bn-bin2bn */
obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t BgL_envz00_4045, obj_t BgL_stringz00_4046)
{
{ /* Llib/ssl.scm 1402 */
{ /* Llib/ssl.scm 1404 */
 obj_t BgL_auxz00_9032;
if(
STRINGP(BgL_stringz00_4046))
{ /* Llib/ssl.scm 1404 */
BgL_auxz00_9032 = BgL_stringz00_4046
; }  else 
{ 
 obj_t BgL_auxz00_9035;
BgL_auxz00_9035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(56671L), BGl_string2973z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_stringz00_4046); 
FAILURE(BgL_auxz00_9035,BFALSE,BFALSE);} 
return 
BGl_bnzd2bin2bnzd2zz__ssl_sslz00(BgL_auxz00_9032);} } 

}



/* bn-bn2bin */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t BgL_bnz00_181)
{
{ /* Llib/ssl.scm 1410 */
{ /* Llib/ssl.scm 1413 */
 int BgL_sza7za7_439;
{ /* Llib/ssl.scm 1424 */
 void * BgL_arg1772z00_2113;
BgL_arg1772z00_2113 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
BgL_sza7za7_439 = 
BN_num_bytes(BgL_arg1772z00_2113); } 
{ /* Llib/ssl.scm 1413 */
 obj_t BgL_stz00_440;
{ /* Llib/ssl.scm 1414 */

BgL_stz00_440 = 
make_string(
(long)(BgL_sza7za7_439), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1414 */

{ /* Llib/ssl.scm 1415 */
 void * BgL_arg1771z00_441;
BgL_arg1771z00_441 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
{ /* Llib/ssl.scm 1415 */
 char * BgL_tmpz00_9045;
BgL_tmpz00_9045 = 
BSTRING_TO_STRING(BgL_stz00_440); 
BN_bn2bin(BgL_arg1771z00_441, BgL_tmpz00_9045); } } 
return BgL_stz00_440;} } } } 

}



/* &bn-bn2bin */
obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t BgL_envz00_4047, obj_t BgL_bnz00_4048)
{
{ /* Llib/ssl.scm 1410 */
{ /* Llib/ssl.scm 1413 */
 obj_t BgL_auxz00_9048;
if(
FOREIGNP(BgL_bnz00_4048))
{ /* Llib/ssl.scm 1413 */
BgL_auxz00_9048 = BgL_bnz00_4048
; }  else 
{ 
 obj_t BgL_auxz00_9051;
BgL_auxz00_9051 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(57009L), BGl_string2974z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4048); 
FAILURE(BgL_auxz00_9051,BFALSE,BFALSE);} 
return 
BGl_bnzd2bn2binzd2zz__ssl_sslz00(BgL_auxz00_9048);} } 

}



/* bn-num-bytes */
BGL_EXPORTED_DEF int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t BgL_bnz00_182)
{
{ /* Llib/ssl.scm 1422 */
{ /* Llib/ssl.scm 1424 */
 void * BgL_arg1772z00_2115;
BgL_arg1772z00_2115 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_182); 
return 
BN_num_bytes(BgL_arg1772z00_2115);} } 

}



/* &bn-num-bytes */
obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4049, obj_t BgL_bnz00_4050)
{
{ /* Llib/ssl.scm 1422 */
{ /* Llib/ssl.scm 1424 */
 int BgL_tmpz00_9058;
{ /* Llib/ssl.scm 1424 */
 obj_t BgL_auxz00_9059;
if(
FOREIGNP(BgL_bnz00_4050))
{ /* Llib/ssl.scm 1424 */
BgL_auxz00_9059 = BgL_bnz00_4050
; }  else 
{ 
 obj_t BgL_auxz00_9062;
BgL_auxz00_9062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(57431L), BGl_string2976z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4050); 
FAILURE(BgL_auxz00_9062,BFALSE,BFALSE);} 
BgL_tmpz00_9058 = 
BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(BgL_auxz00_9059); } 
return 
BINT(BgL_tmpz00_9058);} } 

}



/* bn-free */
BGL_EXPORTED_DEF obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t BgL_bnz00_183)
{
{ /* Llib/ssl.scm 1430 */
{ /* Llib/ssl.scm 1432 */
 void * BgL_arg1776z00_2116;
BgL_arg1776z00_2116 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_183); 
BN_free(BgL_arg1776z00_2116); BUNSPEC; } 
return BUNSPEC;} 

}



/* &bn-free */
obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t BgL_envz00_4051, obj_t BgL_bnz00_4052)
{
{ /* Llib/ssl.scm 1430 */
{ /* Llib/ssl.scm 1432 */
 obj_t BgL_auxz00_9070;
if(
FOREIGNP(BgL_bnz00_4052))
{ /* Llib/ssl.scm 1432 */
BgL_auxz00_9070 = BgL_bnz00_4052
; }  else 
{ 
 obj_t BgL_auxz00_9073;
BgL_auxz00_9073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(57776L), BGl_string2977z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4052); 
FAILURE(BgL_auxz00_9073,BFALSE,BFALSE);} 
return 
BGl_bnzd2freezd2zz__ssl_sslz00(BgL_auxz00_9070);} } 

}



/* bn-new */
BGL_EXPORTED_DEF obj_t BGl_bnzd2newzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1438 */
{ /* Llib/ssl.scm 1440 */
 void * BgL_arg1777z00_2117;
BgL_arg1777z00_2117 = 
BN_new(); 
return 
void_star_to_obj(BgL_arg1777z00_2117);} } 

}



/* &bn-new */
obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t BgL_envz00_4053)
{
{ /* Llib/ssl.scm 1438 */
return 
BGl_bnzd2newzd2zz__ssl_sslz00();} 

}



/* bn-set-word */
BGL_EXPORTED_DEF bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t BgL_bnz00_184, int BgL_wz00_185)
{
{ /* Llib/ssl.scm 1446 */
{ /* Llib/ssl.scm 1448 */
 void * BgL_arg1779z00_2118;
BgL_arg1779z00_2118 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_184); 
return 
BN_set_word(BgL_arg1779z00_2118, BgL_wz00_185);} } 

}



/* &bn-set-word */
obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t BgL_envz00_4054, obj_t BgL_bnz00_4055, obj_t BgL_wz00_4056)
{
{ /* Llib/ssl.scm 1446 */
{ /* Llib/ssl.scm 1448 */
 bool_t BgL_tmpz00_9083;
{ /* Llib/ssl.scm 1448 */
 int BgL_auxz00_9091; obj_t BgL_auxz00_9084;
{ /* Llib/ssl.scm 1448 */
 obj_t BgL_tmpz00_9092;
if(
INTEGERP(BgL_wz00_4056))
{ /* Llib/ssl.scm 1448 */
BgL_tmpz00_9092 = BgL_wz00_4056
; }  else 
{ 
 obj_t BgL_auxz00_9095;
BgL_auxz00_9095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(58410L), BGl_string2978z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_wz00_4056); 
FAILURE(BgL_auxz00_9095,BFALSE,BFALSE);} 
BgL_auxz00_9091 = 
CINT(BgL_tmpz00_9092); } 
if(
FOREIGNP(BgL_bnz00_4055))
{ /* Llib/ssl.scm 1448 */
BgL_auxz00_9084 = BgL_bnz00_4055
; }  else 
{ 
 obj_t BgL_auxz00_9087;
BgL_auxz00_9087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(58410L), BGl_string2978z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4055); 
FAILURE(BgL_auxz00_9087,BFALSE,BFALSE);} 
BgL_tmpz00_9083 = 
BGl_bnzd2setzd2wordz00zz__ssl_sslz00(BgL_auxz00_9084, BgL_auxz00_9091); } 
return 
BBOOL(BgL_tmpz00_9083);} } 

}



/* ssl-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1454 */
BGL_TAIL return 
bgl_ssl_get_ciphers();} 

}



/* &ssl-get-ciphers */
obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4057)
{
{ /* Llib/ssl.scm 1454 */
return 
BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1462 */
BGL_TAIL return 
bgl_evp_get_ciphers();} 

}



/* &evp-get-ciphers */
obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4058)
{
{ /* Llib/ssl.scm 1462 */
return 
BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-hashes */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1470 */
BGL_TAIL return 
bgl_evp_get_hashes();} 

}



/* &evp-get-hashes */
obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t BgL_envz00_4059)
{
{ /* Llib/ssl.scm 1470 */
return 
BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();} 

}



/* pkcs5-pbkdf2-hmac-sha1 */
BGL_EXPORTED_DEF obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t BgL_passz00_186, obj_t BgL_saltz00_187, int BgL_iterz00_188, int BgL_keylenz00_189)
{
{ /* Llib/ssl.scm 1478 */
BGL_TAIL return 
bgl_pkcs5_pbkdf2_hmac_sha1(BgL_passz00_186, BgL_saltz00_187, BgL_iterz00_188, BgL_keylenz00_189);} 

}



/* &pkcs5-pbkdf2-hmac-sha1 */
obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t BgL_envz00_4060, obj_t BgL_passz00_4061, obj_t BgL_saltz00_4062, obj_t BgL_iterz00_4063, obj_t BgL_keylenz00_4064)
{
{ /* Llib/ssl.scm 1478 */
{ /* Llib/ssl.scm 1481 */
 int BgL_auxz00_9132; int BgL_auxz00_9123; obj_t BgL_auxz00_9116; obj_t BgL_auxz00_9109;
{ /* Llib/ssl.scm 1481 */
 obj_t BgL_tmpz00_9133;
if(
INTEGERP(BgL_keylenz00_4064))
{ /* Llib/ssl.scm 1481 */
BgL_tmpz00_9133 = BgL_keylenz00_4064
; }  else 
{ 
 obj_t BgL_auxz00_9136;
BgL_auxz00_9136 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(59747L), BGl_string2979z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_keylenz00_4064); 
FAILURE(BgL_auxz00_9136,BFALSE,BFALSE);} 
BgL_auxz00_9132 = 
CINT(BgL_tmpz00_9133); } 
{ /* Llib/ssl.scm 1481 */
 obj_t BgL_tmpz00_9124;
if(
INTEGERP(BgL_iterz00_4063))
{ /* Llib/ssl.scm 1481 */
BgL_tmpz00_9124 = BgL_iterz00_4063
; }  else 
{ 
 obj_t BgL_auxz00_9127;
BgL_auxz00_9127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(59747L), BGl_string2979z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_iterz00_4063); 
FAILURE(BgL_auxz00_9127,BFALSE,BFALSE);} 
BgL_auxz00_9123 = 
CINT(BgL_tmpz00_9124); } 
if(
STRINGP(BgL_saltz00_4062))
{ /* Llib/ssl.scm 1481 */
BgL_auxz00_9116 = BgL_saltz00_4062
; }  else 
{ 
 obj_t BgL_auxz00_9119;
BgL_auxz00_9119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(59747L), BGl_string2979z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_saltz00_4062); 
FAILURE(BgL_auxz00_9119,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passz00_4061))
{ /* Llib/ssl.scm 1481 */
BgL_auxz00_9109 = BgL_passz00_4061
; }  else 
{ 
 obj_t BgL_auxz00_9112;
BgL_auxz00_9112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(59747L), BGl_string2979z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_passz00_4061); 
FAILURE(BgL_auxz00_9112,BFALSE,BFALSE);} 
return 
BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(BgL_auxz00_9109, BgL_auxz00_9116, BgL_auxz00_9123, BgL_auxz00_9132);} } 

}



/* ssl-op-cipher-server-preference */
BGL_EXPORTED_DEF int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1488 */
return SSL_OP_CIPHER_SERVER_PREFERENCE;} 

}



/* &ssl-op-cipher-server-preference */
obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t BgL_envz00_4065)
{
{ /* Llib/ssl.scm 1488 */
return 
BINT(
BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1799z00_451; obj_t BgL_arg1800z00_452;
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1190z00_463;
BgL_v1190z00_463 = 
create_vector(1L); 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1806z00_464;
BgL_arg1806z00_464 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(32L), BGl_proc2981z00zz__ssl_sslz00, BGl_proc2980z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(33L)); 
VECTOR_SET(BgL_v1190z00_463,0L,BgL_arg1806z00_464); } 
BgL_arg1799z00_451 = BgL_v1190z00_463; } 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1191z00_474;
BgL_v1191z00_474 = 
create_vector(0L); 
BgL_arg1800z00_452 = BgL_v1191z00_474; } 
BGl_certificatez00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(34L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 36719L, BGl_proc2984z00zz__ssl_sslz00, BGl_proc2983z00zz__ssl_sslz00, BFALSE, BGl_proc2982z00zz__ssl_sslz00, BFALSE, BgL_arg1799z00_451, BgL_arg1800z00_452); } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1814z00_481; obj_t BgL_arg1815z00_482;
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1192z00_493;
BgL_v1192z00_493 = 
create_vector(1L); 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1821z00_494;
BgL_arg1821z00_494 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(32L), BGl_proc2986z00zz__ssl_sslz00, BGl_proc2985z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(36L)); 
VECTOR_SET(BgL_v1192z00_493,0L,BgL_arg1821z00_494); } 
BgL_arg1814z00_481 = BgL_v1192z00_493; } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1193z00_504;
BgL_v1193z00_504 = 
create_vector(0L); 
BgL_arg1815z00_482 = BgL_v1193z00_504; } 
BGl_privatezd2keyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(37L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 36583L, BGl_proc2989z00zz__ssl_sslz00, BGl_proc2988z00zz__ssl_sslz00, BFALSE, BGl_proc2987z00zz__ssl_sslz00, BFALSE, BgL_arg1814z00_481, BgL_arg1815z00_482); } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1830z00_511; obj_t BgL_arg1831z00_512;
{ /* Llib/ssl.scm 406 */
 obj_t BgL_v1194z00_526;
BgL_v1194z00_526 = 
create_vector(3L); 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1838z00_527;
BgL_arg1838z00_527 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(32L), BGl_proc2992z00zz__ssl_sslz00, BGl_proc2991z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2990z00zz__ssl_sslz00, 
CNST_TABLE_REF(38L)); 
VECTOR_SET(BgL_v1194z00_526,0L,BgL_arg1838z00_527); } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1845z00_540;
BgL_arg1845z00_540 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(39L), BGl_proc2995z00zz__ssl_sslz00, BGl_proc2994z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2993z00zz__ssl_sslz00, 
CNST_TABLE_REF(40L)); 
VECTOR_SET(BgL_v1194z00_526,1L,BgL_arg1845z00_540); } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1852z00_553;
BgL_arg1852z00_553 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(41L), BGl_proc2998z00zz__ssl_sslz00, BGl_proc2997z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2996z00zz__ssl_sslz00, 
CNST_TABLE_REF(42L)); 
VECTOR_SET(BgL_v1194z00_526,2L,BgL_arg1852z00_553); } 
BgL_arg1830z00_511 = BgL_v1194z00_526; } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_v1195z00_566;
BgL_v1195z00_566 = 
create_vector(0L); 
BgL_arg1831z00_512 = BgL_v1195z00_566; } 
BGl_securezd2contextzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(43L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 52075L, BGl_proc3001z00zz__ssl_sslz00, BGl_proc3000z00zz__ssl_sslz00, BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc2999z00zz__ssl_sslz00, BFALSE, BgL_arg1830z00_511, BgL_arg1831z00_512); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1862z00_573; obj_t BgL_arg1863z00_574;
{ /* Llib/ssl.scm 412 */
 obj_t BgL_v1196z00_602;
BgL_v1196z00_602 = 
create_vector(17L); 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1870z00_603;
BgL_arg1870z00_603 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(32L), BGl_proc3004z00zz__ssl_sslz00, BGl_proc3003z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3002z00zz__ssl_sslz00, 
CNST_TABLE_REF(44L)); 
VECTOR_SET(BgL_v1196z00_602,0L,BgL_arg1870z00_603); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1877z00_616;
BgL_arg1877z00_616 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(45L), BGl_proc3007z00zz__ssl_sslz00, BGl_proc3006z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3005z00zz__ssl_sslz00, 
CNST_TABLE_REF(46L)); 
VECTOR_SET(BgL_v1196z00_602,1L,BgL_arg1877z00_616); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1885z00_629;
BgL_arg1885z00_629 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(47L), BGl_proc3010z00zz__ssl_sslz00, BGl_proc3009z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3008z00zz__ssl_sslz00, 
CNST_TABLE_REF(46L)); 
VECTOR_SET(BgL_v1196z00_602,2L,BgL_arg1885z00_629); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1892z00_642;
BgL_arg1892z00_642 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(48L), BGl_proc3013z00zz__ssl_sslz00, BGl_proc3012z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3011z00zz__ssl_sslz00, 
CNST_TABLE_REF(49L)); 
VECTOR_SET(BgL_v1196z00_602,3L,BgL_arg1892z00_642); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1899z00_655;
BgL_arg1899z00_655 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(50L), BGl_proc3015z00zz__ssl_sslz00, BGl_proc3014z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_securezd2contextzd2zz__ssl_sslz00); 
VECTOR_SET(BgL_v1196z00_602,4L,BgL_arg1899z00_655); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1904z00_665;
BgL_arg1904z00_665 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(51L), BGl_proc3017z00zz__ssl_sslz00, BGl_proc3016z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(52L)); 
VECTOR_SET(BgL_v1196z00_602,5L,BgL_arg1904z00_665); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1909z00_675;
BgL_arg1909z00_675 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(53L), BGl_proc3020z00zz__ssl_sslz00, BGl_proc3019z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3018z00zz__ssl_sslz00, 
CNST_TABLE_REF(52L)); 
VECTOR_SET(BgL_v1196z00_602,6L,BgL_arg1909z00_675); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1916z00_688;
BgL_arg1916z00_688 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(54L), BGl_proc3023z00zz__ssl_sslz00, BGl_proc3022z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3021z00zz__ssl_sslz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1196z00_602,7L,BgL_arg1916z00_688); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1923z00_701;
BgL_arg1923z00_701 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(56L), BGl_proc3025z00zz__ssl_sslz00, BGl_proc3024z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(52L)); 
VECTOR_SET(BgL_v1196z00_602,8L,BgL_arg1923z00_701); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1928z00_711;
BgL_arg1928z00_711 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(57L), BGl_proc3028z00zz__ssl_sslz00, BGl_proc3027z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3026z00zz__ssl_sslz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1196z00_602,9L,BgL_arg1928z00_711); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1935z00_724;
BgL_arg1935z00_724 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(58L), BGl_proc3031z00zz__ssl_sslz00, BGl_proc3030z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3029z00zz__ssl_sslz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1196z00_602,10L,BgL_arg1935z00_724); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1942z00_737;
BgL_arg1942z00_737 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc3034z00zz__ssl_sslz00, BGl_proc3033z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3032z00zz__ssl_sslz00, 
CNST_TABLE_REF(60L)); 
VECTOR_SET(BgL_v1196z00_602,11L,BgL_arg1942z00_737); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1949z00_750;
BgL_arg1949z00_750 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(61L), BGl_proc3037z00zz__ssl_sslz00, BGl_proc3036z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3035z00zz__ssl_sslz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1196z00_602,12L,BgL_arg1949z00_750); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1956z00_763;
BgL_arg1956z00_763 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(62L), BGl_proc3040z00zz__ssl_sslz00, BGl_proc3039z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3038z00zz__ssl_sslz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1196z00_602,13L,BgL_arg1956z00_763); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1963z00_776;
BgL_arg1963z00_776 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(63L), BGl_proc3043z00zz__ssl_sslz00, BGl_proc3042z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3041z00zz__ssl_sslz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1196z00_602,14L,BgL_arg1963z00_776); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1970z00_789;
BgL_arg1970z00_789 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(64L), BGl_proc3046z00zz__ssl_sslz00, BGl_proc3045z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3044z00zz__ssl_sslz00, 
CNST_TABLE_REF(52L)); 
VECTOR_SET(BgL_v1196z00_602,15L,BgL_arg1970z00_789); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1977z00_802;
BgL_arg1977z00_802 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(65L), BGl_proc3049z00zz__ssl_sslz00, BGl_proc3048z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3047z00zz__ssl_sslz00, 
CNST_TABLE_REF(52L)); 
VECTOR_SET(BgL_v1196z00_602,16L,BgL_arg1977z00_802); } 
BgL_arg1862z00_573 = BgL_v1196z00_602; } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_v1197z00_815;
BgL_v1197z00_815 = 
create_vector(0L); 
BgL_arg1863z00_574 = BgL_v1197z00_815; } 
BGl_sslzd2connectionzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(66L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 46618L, BGl_proc3052z00zz__ssl_sslz00, BGl_proc3051z00zz__ssl_sslz00, BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3050z00zz__ssl_sslz00, BFALSE, BgL_arg1862z00_573, BgL_arg1863z00_574); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg1987z00_822; obj_t BgL_arg1988z00_823;
{ /* Llib/ssl.scm 432 */
 obj_t BgL_v1198z00_840;
BgL_v1198z00_840 = 
create_vector(11L); 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg1995z00_841;
BgL_arg1995z00_841 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(32L), BGl_proc3055z00zz__ssl_sslz00, BGl_proc3054z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3053z00zz__ssl_sslz00, 
CNST_TABLE_REF(67L)); 
VECTOR_SET(BgL_v1198z00_840,0L,BgL_arg1995z00_841); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2002z00_854;
BgL_arg2002z00_854 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc3058z00zz__ssl_sslz00, BGl_proc3057z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3056z00zz__ssl_sslz00, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1198z00_840,1L,BgL_arg2002z00_854); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2009z00_867;
BgL_arg2009z00_867 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(70L), BGl_proc3061z00zz__ssl_sslz00, BGl_proc3060z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3059z00zz__ssl_sslz00, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1198z00_840,2L,BgL_arg2009z00_867); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2016z00_880;
BgL_arg2016z00_880 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(71L), BGl_proc3064z00zz__ssl_sslz00, BGl_proc3063z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3062z00zz__ssl_sslz00, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1198z00_840,3L,BgL_arg2016z00_880); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2023z00_893;
BgL_arg2023z00_893 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(72L), BGl_proc3067z00zz__ssl_sslz00, BGl_proc3066z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3065z00zz__ssl_sslz00, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1198z00_840,4L,BgL_arg2023z00_893); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2030z00_906;
BgL_arg2030z00_906 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(73L), BGl_proc3070z00zz__ssl_sslz00, BGl_proc3069z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3068z00zz__ssl_sslz00, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1198z00_840,5L,BgL_arg2030z00_906); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2037z00_919;
BgL_arg2037z00_919 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(74L), BGl_proc3072z00zz__ssl_sslz00, BGl_proc3071z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1198z00_840,6L,BgL_arg2037z00_919); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2042z00_929;
BgL_arg2042z00_929 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(75L), BGl_proc3074z00zz__ssl_sslz00, BGl_proc3073z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1198z00_840,7L,BgL_arg2042z00_929); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2047z00_939;
BgL_arg2047z00_939 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(76L), BGl_proc3076z00zz__ssl_sslz00, BGl_proc3075z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1198z00_840,8L,BgL_arg2047z00_939); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2052z00_949;
BgL_arg2052z00_949 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(37L), BGl_proc3078z00zz__ssl_sslz00, BGl_proc3077z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1198z00_840,9L,BgL_arg2052z00_949); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2057z00_959;
BgL_arg2057z00_959 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(77L), BGl_proc3080z00zz__ssl_sslz00, BGl_proc3079z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1198z00_840,10L,BgL_arg2057z00_959); } 
BgL_arg1987z00_822 = BgL_v1198z00_840; } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_v1199z00_969;
BgL_v1199z00_969 = 
create_vector(5L); 
{ /* Llib/ssl.scm 442 */
 obj_t BgL_arg2062z00_970;
{ /* Llib/ssl.scm 442 */
 obj_t BgL_arg2063z00_971;
BgL_arg2063z00_971 = 
MAKE_YOUNG_PAIR(BGl_proc3081z00zz__ssl_sslz00, BGl_proc3082z00zz__ssl_sslz00); 
BgL_arg2062z00_970 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2063z00_971); } 
VECTOR_SET(BgL_v1199z00_969,0L,BgL_arg2062z00_970); } 
{ /* Llib/ssl.scm 451 */
 obj_t BgL_arg2076z00_998;
{ /* Llib/ssl.scm 451 */
 obj_t BgL_arg2077z00_999;
BgL_arg2077z00_999 = 
MAKE_YOUNG_PAIR(BGl_proc3083z00zz__ssl_sslz00, BGl_proc3084z00zz__ssl_sslz00); 
BgL_arg2076z00_998 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg2077z00_999); } 
VECTOR_SET(BgL_v1199z00_969,1L,BgL_arg2076z00_998); } 
{ /* Llib/ssl.scm 460 */
 obj_t BgL_arg2090z00_1026;
{ /* Llib/ssl.scm 460 */
 obj_t BgL_arg2091z00_1027;
BgL_arg2091z00_1027 = 
MAKE_YOUNG_PAIR(BGl_proc3085z00zz__ssl_sslz00, BGl_proc3086z00zz__ssl_sslz00); 
BgL_arg2090z00_1026 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg2091z00_1027); } 
VECTOR_SET(BgL_v1199z00_969,2L,BgL_arg2090z00_1026); } 
{ /* Llib/ssl.scm 470 */
 obj_t BgL_arg2104z00_1055;
{ /* Llib/ssl.scm 470 */
 obj_t BgL_arg2105z00_1056;
BgL_arg2105z00_1056 = 
MAKE_YOUNG_PAIR(BGl_proc3087z00zz__ssl_sslz00, BGl_proc3088z00zz__ssl_sslz00); 
BgL_arg2104z00_1055 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg2105z00_1056); } 
VECTOR_SET(BgL_v1199z00_969,3L,BgL_arg2104z00_1055); } 
{ /* Llib/ssl.scm 479 */
 obj_t BgL_arg2117z00_1082;
{ /* Llib/ssl.scm 479 */
 obj_t BgL_arg2118z00_1083;
BgL_arg2118z00_1083 = 
MAKE_YOUNG_PAIR(BGl_proc3089z00zz__ssl_sslz00, BGl_proc3090z00zz__ssl_sslz00); 
BgL_arg2117z00_1082 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg2118z00_1083); } 
VECTOR_SET(BgL_v1199z00_969,4L,BgL_arg2117z00_1082); } 
BgL_arg1988z00_823 = BgL_v1199z00_969; } 
BGl_dhz00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(78L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 13004L, BGl_proc3093z00zz__ssl_sslz00, BGl_proc3092z00zz__ssl_sslz00, BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3091z00zz__ssl_sslz00, BFALSE, BgL_arg1987z00_822, BgL_arg1988z00_823); } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2133z00_1115; obj_t BgL_arg2134z00_1116;
{ /* Llib/ssl.scm 487 */
 obj_t BgL_v1200z00_1130;
BgL_v1200z00_1130 = 
create_vector(3L); 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2141z00_1131;
BgL_arg2141z00_1131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(79L), BGl_proc3096z00zz__ssl_sslz00, BGl_proc3095z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3094z00zz__ssl_sslz00, 
CNST_TABLE_REF(80L)); 
VECTOR_SET(BgL_v1200z00_1130,0L,BgL_arg2141z00_1131); } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2148z00_1144;
BgL_arg2148z00_1144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc3099z00zz__ssl_sslz00, BGl_proc3098z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3097z00zz__ssl_sslz00, 
CNST_TABLE_REF(82L)); 
VECTOR_SET(BgL_v1200z00_1130,1L,BgL_arg2148z00_1144); } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2155z00_1157;
BgL_arg2155z00_1157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(83L), BGl_proc3101z00zz__ssl_sslz00, BGl_proc3100z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(42L)); 
VECTOR_SET(BgL_v1200z00_1130,2L,BgL_arg2155z00_1157); } 
BgL_arg2133z00_1115 = BgL_v1200z00_1130; } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_v1201z00_1167;
BgL_v1201z00_1167 = 
create_vector(0L); 
BgL_arg2134z00_1116 = BgL_v1201z00_1167; } 
BGl_sslzd2hashzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(84L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 4072L, BGl_proc3104z00zz__ssl_sslz00, BGl_proc3103z00zz__ssl_sslz00, BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3102z00zz__ssl_sslz00, BFALSE, BgL_arg2133z00_1115, BgL_arg2134z00_1116); } 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_arg2163z00_1174; obj_t BgL_arg2164z00_1175;
{ /* Llib/ssl.scm 497 */
 obj_t BgL_v1202z00_1187;
BgL_v1202z00_1187 = 
create_vector(2L); 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_arg2170z00_1188;
BgL_arg2170z00_1188 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(79L), BGl_proc3107z00zz__ssl_sslz00, BGl_proc3106z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3105z00zz__ssl_sslz00, 
CNST_TABLE_REF(80L)); 
VECTOR_SET(BgL_v1202z00_1187,0L,BgL_arg2170z00_1188); } 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_arg2177z00_1201;
BgL_arg2177z00_1201 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc3110z00zz__ssl_sslz00, BGl_proc3109z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3108z00zz__ssl_sslz00, 
CNST_TABLE_REF(85L)); 
VECTOR_SET(BgL_v1202z00_1187,1L,BgL_arg2177z00_1201); } 
BgL_arg2163z00_1174 = BgL_v1202z00_1187; } 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_v1203z00_1214;
BgL_v1203z00_1214 = 
create_vector(0L); 
BgL_arg2164z00_1175 = BgL_v1203z00_1214; } 
BGl_sslzd2hmaczd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(86L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 62191L, BGl_proc3113z00zz__ssl_sslz00, BGl_proc3112z00zz__ssl_sslz00, BFALSE, BGl_proc3111z00zz__ssl_sslz00, BFALSE, BgL_arg2163z00_1174, BgL_arg2164z00_1175); } 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_arg2187z00_1221; obj_t BgL_arg2188z00_1222;
{ /* Llib/ssl.scm 505 */
 obj_t BgL_v1204z00_1234;
BgL_v1204z00_1234 = 
create_vector(2L); 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_arg2194z00_1235;
BgL_arg2194z00_1235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(79L), BGl_proc3116z00zz__ssl_sslz00, BGl_proc3115z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3114z00zz__ssl_sslz00, 
CNST_TABLE_REF(80L)); 
VECTOR_SET(BgL_v1204z00_1234,0L,BgL_arg2194z00_1235); } 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_arg2202z00_1248;
BgL_arg2202z00_1248 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc3119z00zz__ssl_sslz00, BGl_proc3118z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3117z00zz__ssl_sslz00, 
CNST_TABLE_REF(85L)); 
VECTOR_SET(BgL_v1204z00_1234,1L,BgL_arg2202z00_1248); } 
BgL_arg2187z00_1221 = BgL_v1204z00_1234; } 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_v1205z00_1261;
BgL_v1205z00_1261 = 
create_vector(0L); 
BgL_arg2188z00_1222 = BgL_v1205z00_1261; } 
BGl_sslzd2signzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(87L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 64231L, BGl_proc3122z00zz__ssl_sslz00, BGl_proc3121z00zz__ssl_sslz00, BFALSE, BGl_proc3120z00zz__ssl_sslz00, BFALSE, BgL_arg2187z00_1221, BgL_arg2188z00_1222); } 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_arg2212z00_1268; obj_t BgL_arg2213z00_1269;
{ /* Llib/ssl.scm 513 */
 obj_t BgL_v1206z00_1281;
BgL_v1206z00_1281 = 
create_vector(2L); 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_arg2219z00_1282;
BgL_arg2219z00_1282 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(79L), BGl_proc3125z00zz__ssl_sslz00, BGl_proc3124z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3123z00zz__ssl_sslz00, 
CNST_TABLE_REF(80L)); 
VECTOR_SET(BgL_v1206z00_1281,0L,BgL_arg2219z00_1282); } 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_arg2226z00_1295;
BgL_arg2226z00_1295 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc3128z00zz__ssl_sslz00, BGl_proc3127z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3126z00zz__ssl_sslz00, 
CNST_TABLE_REF(85L)); 
VECTOR_SET(BgL_v1206z00_1281,1L,BgL_arg2226z00_1295); } 
BgL_arg2212z00_1268 = BgL_v1206z00_1281; } 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_v1207z00_1308;
BgL_v1207z00_1308 = 
create_vector(0L); 
BgL_arg2213z00_1269 = BgL_v1207z00_1308; } 
BGl_sslzd2verifyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(88L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 31563L, BGl_proc3131z00zz__ssl_sslz00, BGl_proc3130z00zz__ssl_sslz00, BFALSE, BGl_proc3129z00zz__ssl_sslz00, BFALSE, BgL_arg2212z00_1268, BgL_arg2213z00_1269); } 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_arg2236z00_1315; obj_t BgL_arg2237z00_1316;
{ /* Llib/ssl.scm 521 */
 obj_t BgL_v1208z00_1328;
BgL_v1208z00_1328 = 
create_vector(2L); 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_arg2243z00_1329;
BgL_arg2243z00_1329 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(89L), BGl_proc3134z00zz__ssl_sslz00, BGl_proc3133z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3132z00zz__ssl_sslz00, 
CNST_TABLE_REF(90L)); 
VECTOR_SET(BgL_v1208z00_1328,0L,BgL_arg2243z00_1329); } 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_arg2250z00_1342;
BgL_arg2250z00_1342 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(91L), BGl_proc3137z00zz__ssl_sslz00, BGl_proc3136z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3135z00zz__ssl_sslz00, 
CNST_TABLE_REF(92L)); 
VECTOR_SET(BgL_v1208z00_1328,1L,BgL_arg2250z00_1342); } 
BgL_arg2236z00_1315 = BgL_v1208z00_1328; } 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_v1209z00_1355;
BgL_v1209z00_1355 = 
create_vector(0L); 
BgL_arg2237z00_1316 = BgL_v1209z00_1355; } 
return ( 
BGl_sslzd2cipherzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(93L), 
CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 23017L, BGl_proc3140z00zz__ssl_sslz00, BGl_proc3139z00zz__ssl_sslz00, BFALSE, BGl_proc3138z00zz__ssl_sslz00, BFALSE, BgL_arg2236z00_1315, BgL_arg2237z00_1316), BUNSPEC) ;} } 

}



/* &<@anonymous:2242> */
obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4232, obj_t BgL_new1114z00_4233)
{
{ /* Llib/ssl.scm 521 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_9389;
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4233)))->BgL_z42cipherz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4233)))->BgL_z42cipherzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9389 = 
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4233); 
return 
((obj_t)BgL_auxz00_9389);} } 

}



/* &lambda2240 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2240z62zz__ssl_sslz00(obj_t BgL_envz00_4234)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 BgL_sslzd2cipherzd2_bglt BgL_new1113z00_5527;
BgL_new1113z00_5527 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 521 */
 long BgL_arg2241z00_5528;
BgL_arg2241z00_5528 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_5527), BgL_arg2241z00_5528); } 
return BgL_new1113z00_5527;} } 

}



/* &lambda2238 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2238z62zz__ssl_sslz00(obj_t BgL_envz00_4235, obj_t BgL_z42cipher1111z42_4236, obj_t BgL_z42cipherzd2ctx1112z90_4237)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 void * BgL_z42cipher1111z42_5529; void * BgL_z42cipherzd2ctx1112z90_5530;
BgL_z42cipher1111z42_5529 = 
FOREIGN_TO_COBJ(BgL_z42cipher1111z42_4236); 
BgL_z42cipherzd2ctx1112z90_5530 = 
FOREIGN_TO_COBJ(BgL_z42cipherzd2ctx1112z90_4237); 
{ /* Llib/ssl.scm 521 */
 BgL_sslzd2cipherzd2_bglt BgL_new1178z00_5531;
{ /* Llib/ssl.scm 521 */
 BgL_sslzd2cipherzd2_bglt BgL_new1177z00_5532;
BgL_new1177z00_5532 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 521 */
 long BgL_arg2239z00_5533;
BgL_arg2239z00_5533 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_5532), BgL_arg2239z00_5533); } 
BgL_new1178z00_5531 = BgL_new1177z00_5532; } 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1178z00_5531))->BgL_z42cipherz42)=((void *)BgL_z42cipher1111z42_5529),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1178z00_5531))->BgL_z42cipherzd2ctxz90)=((void *)BgL_z42cipherzd2ctx1112z90_5530),BUNSPEC); 
return BgL_new1178z00_5531;} } } 

}



/* &<@anonymous:2256> */
obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4238)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__ssl_sslz00(obj_t BgL_envz00_4239, obj_t BgL_oz00_4240, obj_t BgL_vz00_4241)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 void * BgL_vz00_5535;
BgL_vz00_5535 = 
FOREIGN_TO_COBJ(BgL_vz00_4241); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4240)))->BgL_z42cipherzd2ctxz90)=((void *)BgL_vz00_5535),BUNSPEC);} } 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__ssl_sslz00(obj_t BgL_envz00_4242, obj_t BgL_oz00_4243)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4243)))->BgL_z42cipherzd2ctxz90));} 

}



/* &<@anonymous:2249> */
obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4244)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2248 */
obj_t BGl_z62lambda2248z62zz__ssl_sslz00(obj_t BgL_envz00_4245, obj_t BgL_oz00_4246, obj_t BgL_vz00_4247)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 void * BgL_vz00_5538;
BgL_vz00_5538 = 
FOREIGN_TO_COBJ(BgL_vz00_4247); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4246)))->BgL_z42cipherz42)=((void *)BgL_vz00_5538),BUNSPEC);} } 

}



/* &lambda2247 */
obj_t BGl_z62lambda2247z62zz__ssl_sslz00(obj_t BgL_envz00_4248, obj_t BgL_oz00_4249)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4249)))->BgL_z42cipherz42));} 

}



/* &<@anonymous:2218> */
obj_t BGl_z62zc3z04anonymousza32218ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4250, obj_t BgL_new1109z00_4251)
{
{ /* Llib/ssl.scm 513 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_9424;
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4251)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4251)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9424 = 
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4251); 
return 
((obj_t)BgL_auxz00_9424);} } 

}



/* &lambda2216 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2216z62zz__ssl_sslz00(obj_t BgL_envz00_4252)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 BgL_sslzd2verifyzd2_bglt BgL_new1108z00_5541;
BgL_new1108z00_5541 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 513 */
 long BgL_arg2217z00_5542;
BgL_arg2217z00_5542 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_5541), BgL_arg2217z00_5542); } 
return BgL_new1108z00_5541;} } 

}



/* &lambda2214 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2214z62zz__ssl_sslz00(obj_t BgL_envz00_4253, obj_t BgL_z42md1106z42_4254, obj_t BgL_z42mdzd2ctx1107z90_4255)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 void * BgL_z42md1106z42_5543; void * BgL_z42mdzd2ctx1107z90_5544;
BgL_z42md1106z42_5543 = 
FOREIGN_TO_COBJ(BgL_z42md1106z42_4254); 
BgL_z42mdzd2ctx1107z90_5544 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1107z90_4255); 
{ /* Llib/ssl.scm 513 */
 BgL_sslzd2verifyzd2_bglt BgL_new1176z00_5545;
{ /* Llib/ssl.scm 513 */
 BgL_sslzd2verifyzd2_bglt BgL_new1175z00_5546;
BgL_new1175z00_5546 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 513 */
 long BgL_arg2215z00_5547;
BgL_arg2215z00_5547 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_5546), BgL_arg2215z00_5547); } 
BgL_new1176z00_5545 = BgL_new1175z00_5546; } 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1176z00_5545))->BgL_z42mdz42)=((void *)BgL_z42md1106z42_5543),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1176z00_5545))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1107z90_5544),BUNSPEC); 
return BgL_new1176z00_5545;} } } 

}



/* &<@anonymous:2232> */
obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4256)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2231 */
obj_t BGl_z62lambda2231z62zz__ssl_sslz00(obj_t BgL_envz00_4257, obj_t BgL_oz00_4258, obj_t BgL_vz00_4259)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 void * BgL_vz00_5549;
BgL_vz00_5549 = 
FOREIGN_TO_COBJ(BgL_vz00_4259); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4258)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5549),BUNSPEC);} } 

}



/* &lambda2230 */
obj_t BGl_z62lambda2230z62zz__ssl_sslz00(obj_t BgL_envz00_4260, obj_t BgL_oz00_4261)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4261)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2225> */
obj_t BGl_z62zc3z04anonymousza32225ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4262)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__ssl_sslz00(obj_t BgL_envz00_4263, obj_t BgL_oz00_4264, obj_t BgL_vz00_4265)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 void * BgL_vz00_5552;
BgL_vz00_5552 = 
FOREIGN_TO_COBJ(BgL_vz00_4265); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4264)))->BgL_z42mdz42)=((void *)BgL_vz00_5552),BUNSPEC);} } 

}



/* &lambda2223 */
obj_t BGl_z62lambda2223z62zz__ssl_sslz00(obj_t BgL_envz00_4266, obj_t BgL_oz00_4267)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4267)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2193> */
obj_t BGl_z62zc3z04anonymousza32193ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4268, obj_t BgL_new1104z00_4269)
{
{ /* Llib/ssl.scm 505 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_9459;
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4269)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4269)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9459 = 
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4269); 
return 
((obj_t)BgL_auxz00_9459);} } 

}



/* &lambda2191 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2191z62zz__ssl_sslz00(obj_t BgL_envz00_4270)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 BgL_sslzd2signzd2_bglt BgL_new1103z00_5555;
BgL_new1103z00_5555 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 505 */
 long BgL_arg2192z00_5556;
BgL_arg2192z00_5556 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_5555), BgL_arg2192z00_5556); } 
return BgL_new1103z00_5555;} } 

}



/* &lambda2189 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2189z62zz__ssl_sslz00(obj_t BgL_envz00_4271, obj_t BgL_z42md1101z42_4272, obj_t BgL_z42mdzd2ctx1102z90_4273)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 void * BgL_z42md1101z42_5557; void * BgL_z42mdzd2ctx1102z90_5558;
BgL_z42md1101z42_5557 = 
FOREIGN_TO_COBJ(BgL_z42md1101z42_4272); 
BgL_z42mdzd2ctx1102z90_5558 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1102z90_4273); 
{ /* Llib/ssl.scm 505 */
 BgL_sslzd2signzd2_bglt BgL_new1174z00_5559;
{ /* Llib/ssl.scm 505 */
 BgL_sslzd2signzd2_bglt BgL_new1173z00_5560;
BgL_new1173z00_5560 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 505 */
 long BgL_arg2190z00_5561;
BgL_arg2190z00_5561 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_5560), BgL_arg2190z00_5561); } 
BgL_new1174z00_5559 = BgL_new1173z00_5560; } 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1174z00_5559))->BgL_z42mdz42)=((void *)BgL_z42md1101z42_5557),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1174z00_5559))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1102z90_5558),BUNSPEC); 
return BgL_new1174z00_5559;} } } 

}



/* &<@anonymous:2208> */
obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4274)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2207 */
obj_t BGl_z62lambda2207z62zz__ssl_sslz00(obj_t BgL_envz00_4275, obj_t BgL_oz00_4276, obj_t BgL_vz00_4277)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 void * BgL_vz00_5563;
BgL_vz00_5563 = 
FOREIGN_TO_COBJ(BgL_vz00_4277); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4276)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5563),BUNSPEC);} } 

}



/* &lambda2206 */
obj_t BGl_z62lambda2206z62zz__ssl_sslz00(obj_t BgL_envz00_4278, obj_t BgL_oz00_4279)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4279)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2201> */
obj_t BGl_z62zc3z04anonymousza32201ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4280)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2200 */
obj_t BGl_z62lambda2200z62zz__ssl_sslz00(obj_t BgL_envz00_4281, obj_t BgL_oz00_4282, obj_t BgL_vz00_4283)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 void * BgL_vz00_5566;
BgL_vz00_5566 = 
FOREIGN_TO_COBJ(BgL_vz00_4283); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4282)))->BgL_z42mdz42)=((void *)BgL_vz00_5566),BUNSPEC);} } 

}



/* &lambda2199 */
obj_t BGl_z62lambda2199z62zz__ssl_sslz00(obj_t BgL_envz00_4284, obj_t BgL_oz00_4285)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4285)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2169> */
obj_t BGl_z62zc3z04anonymousza32169ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4286, obj_t BgL_new1099z00_4287)
{
{ /* Llib/ssl.scm 497 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_9494;
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4287)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4287)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9494 = 
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4287); 
return 
((obj_t)BgL_auxz00_9494);} } 

}



/* &lambda2167 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2167z62zz__ssl_sslz00(obj_t BgL_envz00_4288)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 BgL_sslzd2hmaczd2_bglt BgL_new1098z00_5569;
BgL_new1098z00_5569 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 497 */
 long BgL_arg2168z00_5570;
BgL_arg2168z00_5570 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_5569), BgL_arg2168z00_5570); } 
return BgL_new1098z00_5569;} } 

}



/* &lambda2165 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2165z62zz__ssl_sslz00(obj_t BgL_envz00_4289, obj_t BgL_z42md1096z42_4290, obj_t BgL_z42mdzd2ctx1097z90_4291)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 void * BgL_z42md1096z42_5571; void * BgL_z42mdzd2ctx1097z90_5572;
BgL_z42md1096z42_5571 = 
FOREIGN_TO_COBJ(BgL_z42md1096z42_4290); 
BgL_z42mdzd2ctx1097z90_5572 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1097z90_4291); 
{ /* Llib/ssl.scm 497 */
 BgL_sslzd2hmaczd2_bglt BgL_new1172z00_5573;
{ /* Llib/ssl.scm 497 */
 BgL_sslzd2hmaczd2_bglt BgL_new1171z00_5574;
BgL_new1171z00_5574 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 497 */
 long BgL_arg2166z00_5575;
BgL_arg2166z00_5575 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_5574), BgL_arg2166z00_5575); } 
BgL_new1172z00_5573 = BgL_new1171z00_5574; } 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1172z00_5573))->BgL_z42mdz42)=((void *)BgL_z42md1096z42_5571),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1172z00_5573))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1097z90_5572),BUNSPEC); 
return BgL_new1172z00_5573;} } } 

}



/* &<@anonymous:2183> */
obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4292)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__ssl_sslz00(obj_t BgL_envz00_4293, obj_t BgL_oz00_4294, obj_t BgL_vz00_4295)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 void * BgL_vz00_5577;
BgL_vz00_5577 = 
FOREIGN_TO_COBJ(BgL_vz00_4295); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4294)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5577),BUNSPEC);} } 

}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__ssl_sslz00(obj_t BgL_envz00_4296, obj_t BgL_oz00_4297)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4297)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2176> */
obj_t BGl_z62zc3z04anonymousza32176ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4298)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2175 */
obj_t BGl_z62lambda2175z62zz__ssl_sslz00(obj_t BgL_envz00_4299, obj_t BgL_oz00_4300, obj_t BgL_vz00_4301)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 void * BgL_vz00_5580;
BgL_vz00_5580 = 
FOREIGN_TO_COBJ(BgL_vz00_4301); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4300)))->BgL_z42mdz42)=((void *)BgL_vz00_5580),BUNSPEC);} } 

}



/* &lambda2174 */
obj_t BGl_z62lambda2174z62zz__ssl_sslz00(obj_t BgL_envz00_4302, obj_t BgL_oz00_4303)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4303)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2140> */
obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4304, obj_t BgL_new1094z00_4305)
{
{ /* Llib/ssl.scm 487 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_9529;
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4305)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4305)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4305)))->BgL_typez00)=((obj_t)BGl_string3141z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_9529 = 
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4305); 
return 
((obj_t)BgL_auxz00_9529);} } 

}



/* &lambda2138 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2138z62zz__ssl_sslz00(obj_t BgL_envz00_4306)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 BgL_sslzd2hashzd2_bglt BgL_new1093z00_5583;
BgL_new1093z00_5583 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 487 */
 long BgL_arg2139z00_5584;
BgL_arg2139z00_5584 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_5583), BgL_arg2139z00_5584); } 
return BgL_new1093z00_5583;} } 

}



/* &lambda2135 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2135z62zz__ssl_sslz00(obj_t BgL_envz00_4307, obj_t BgL_z42md1090z42_4308, obj_t BgL_z42mdzd2ctx1091z90_4309, obj_t BgL_type1092z00_4310)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 void * BgL_z42md1090z42_5585; void * BgL_z42mdzd2ctx1091z90_5586;
BgL_z42md1090z42_5585 = 
FOREIGN_TO_COBJ(BgL_z42md1090z42_4308); 
BgL_z42mdzd2ctx1091z90_5586 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1091z90_4309); 
{ /* Llib/ssl.scm 487 */
 BgL_sslzd2hashzd2_bglt BgL_new1170z00_5588;
{ /* Llib/ssl.scm 487 */
 BgL_sslzd2hashzd2_bglt BgL_new1169z00_5589;
BgL_new1169z00_5589 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 487 */
 long BgL_arg2137z00_5590;
BgL_arg2137z00_5590 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_5589), BgL_arg2137z00_5590); } 
BgL_new1170z00_5588 = BgL_new1169z00_5589; } 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5588))->BgL_z42mdz42)=((void *)BgL_z42md1090z42_5585),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5588))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1091z90_5586),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5588))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1092z00_4310)),BUNSPEC); 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_fun2136z00_5591;
BgL_fun2136z00_5591 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2hashzd2zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2136z00_5591))(BgL_fun2136z00_5591, 
((obj_t)BgL_new1170z00_5588), BEOA); } 
return BgL_new1170z00_5588;} } } 

}



/* &lambda2159 */
obj_t BGl_z62lambda2159z62zz__ssl_sslz00(obj_t BgL_envz00_4311, obj_t BgL_oz00_4312, obj_t BgL_vz00_4313)
{
{ /* Llib/ssl.scm 487 */
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4312)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_4313)),BUNSPEC);} 

}



/* &lambda2158 */
obj_t BGl_z62lambda2158z62zz__ssl_sslz00(obj_t BgL_envz00_4314, obj_t BgL_oz00_4315)
{
{ /* Llib/ssl.scm 487 */
return 
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4315)))->BgL_typez00);} 

}



/* &<@anonymous:2154> */
obj_t BGl_z62zc3z04anonymousza32154ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4316)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2153 */
obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t BgL_envz00_4317, obj_t BgL_oz00_4318, obj_t BgL_vz00_4319)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 void * BgL_vz00_5596;
BgL_vz00_5596 = 
FOREIGN_TO_COBJ(BgL_vz00_4319); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4318)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5596),BUNSPEC);} } 

}



/* &lambda2152 */
obj_t BGl_z62lambda2152z62zz__ssl_sslz00(obj_t BgL_envz00_4320, obj_t BgL_oz00_4321)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4321)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2147> */
obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4322)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2146 */
obj_t BGl_z62lambda2146z62zz__ssl_sslz00(obj_t BgL_envz00_4323, obj_t BgL_oz00_4324, obj_t BgL_vz00_4325)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 void * BgL_vz00_5599;
BgL_vz00_5599 = 
FOREIGN_TO_COBJ(BgL_vz00_4325); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4324)))->BgL_z42mdz42)=((void *)BgL_vz00_5599),BUNSPEC);} } 

}



/* &lambda2145 */
obj_t BGl_z62lambda2145z62zz__ssl_sslz00(obj_t BgL_envz00_4326, obj_t BgL_oz00_4327)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4327)))->BgL_z42mdz42));} 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4328, obj_t BgL_new1088z00_4329)
{
{ /* Llib/ssl.scm 432 */
{ 
 BgL_dhz00_bglt BgL_auxz00_9579;
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4329)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4329)))->BgL_z52pz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4329)))->BgL_z52qz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4329)))->BgL_z52gz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4329)))->BgL_z52pubz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4329)))->BgL_z52privz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9579 = 
((BgL_dhz00_bglt)BgL_new1088z00_4329); 
return 
((obj_t)BgL_auxz00_9579);} } 

}



/* &lambda1992 */
BgL_dhz00_bglt BGl_z62lambda1992z62zz__ssl_sslz00(obj_t BgL_envz00_4330)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 BgL_dhz00_bglt BgL_new1087z00_5602;
BgL_new1087z00_5602 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 432 */
 long BgL_arg1993z00_5603;
BgL_arg1993z00_5603 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_5602), BgL_arg1993z00_5603); } 
return BgL_new1087z00_5602;} } 

}



/* &lambda1989 */
BgL_dhz00_bglt BGl_z62lambda1989z62zz__ssl_sslz00(obj_t BgL_envz00_4331, obj_t BgL_z42native1081z42_4332, obj_t BgL_z52p1082z52_4333, obj_t BgL_z52q1083z52_4334, obj_t BgL_z52g1084z52_4335, obj_t BgL_z52pub1085z52_4336, obj_t BgL_z52priv1086z52_4337)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_z42native1081z42_5604; void * BgL_z52p1082z52_5605; void * BgL_z52q1083z52_5606; void * BgL_z52g1084z52_5607; void * BgL_z52pub1085z52_5608; void * BgL_z52priv1086z52_5609;
BgL_z42native1081z42_5604 = 
FOREIGN_TO_COBJ(BgL_z42native1081z42_4332); 
BgL_z52p1082z52_5605 = 
FOREIGN_TO_COBJ(BgL_z52p1082z52_4333); 
BgL_z52q1083z52_5606 = 
FOREIGN_TO_COBJ(BgL_z52q1083z52_4334); 
BgL_z52g1084z52_5607 = 
FOREIGN_TO_COBJ(BgL_z52g1084z52_4335); 
BgL_z52pub1085z52_5608 = 
FOREIGN_TO_COBJ(BgL_z52pub1085z52_4336); 
BgL_z52priv1086z52_5609 = 
FOREIGN_TO_COBJ(BgL_z52priv1086z52_4337); 
{ /* Llib/ssl.scm 432 */
 BgL_dhz00_bglt BgL_new1157z00_5610;
{ /* Llib/ssl.scm 432 */
 BgL_dhz00_bglt BgL_new1156z00_5611;
BgL_new1156z00_5611 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 432 */
 long BgL_arg1991z00_5612;
BgL_arg1991z00_5612 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_5611), BgL_arg1991z00_5612); } 
BgL_new1157z00_5610 = BgL_new1156z00_5611; } 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5610))->BgL_z42nativez42)=((void *)BgL_z42native1081z42_5604),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5610))->BgL_z52pz52)=((void *)BgL_z52p1082z52_5605),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5610))->BgL_z52qz52)=((void *)BgL_z52q1083z52_5606),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5610))->BgL_z52gz52)=((void *)BgL_z52g1084z52_5607),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5610))->BgL_z52pubz52)=((void *)BgL_z52pub1085z52_5608),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5610))->BgL_z52privz52)=((void *)BgL_z52priv1086z52_5609),BUNSPEC); 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_fun1990z00_5613;
BgL_fun1990z00_5613 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_dhz00zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1990z00_5613))(BgL_fun1990z00_5613, 
((obj_t)BgL_new1157z00_5610), BEOA); } 
return BgL_new1157z00_5610;} } } 

}



/* &<@anonymous:2125> */
obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4338, obj_t BgL_oz00_4339, obj_t BgL_vz00_4340)
{
{ /* Llib/ssl.scm 477 */
{ 
 void * BgL_auxz00_9626;
{ /* Llib/ssl.scm 483 */
 obj_t BgL_tmpz00_9628;
BgL_tmpz00_9628 = 
((obj_t)BgL_vz00_4340); 
BgL_auxz00_9626 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9628); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4339)))->BgL_z52pubz52)=((void *)BgL_auxz00_9626),BUNSPEC); } 
{ /* Llib/ssl.scm 484 */
 void * BgL_arg2126z00_5614; void * BgL_arg2127z00_5615; void * BgL_arg2128z00_5616;
BgL_arg2126z00_5614 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4339)))->BgL_z42nativez42); 
BgL_arg2127z00_5615 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4339)))->BgL_z52pubz52); 
BgL_arg2128z00_5616 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4339)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2126z00_5614, BgL_arg2127z00_5615, BgL_arg2128z00_5616); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4340);} 

}



/* &<@anonymous:2121> */
obj_t BGl_z62zc3z04anonymousza32121ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4341, obj_t BgL_oz00_4342)
{
{ /* Llib/ssl.scm 477 */
{ /* Llib/ssl.scm 480 */
 void * BgL_arg2122z00_5617;
{ /* Llib/ssl.scm 480 */
 void * BgL_arg2123z00_5618;
BgL_arg2123z00_5618 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4342)))->BgL_z42nativez42); 
BgL_arg2122z00_5617 = 
bgl_dh_public_key(BgL_arg2123z00_5618); } 
return 
void_star_to_obj(BgL_arg2122z00_5617);} } 

}



/* &<@anonymous:2112> */
obj_t BGl_z62zc3z04anonymousza32112ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4343, obj_t BgL_oz00_4344, obj_t BgL_vz00_4345)
{
{ /* Llib/ssl.scm 468 */
{ 
 void * BgL_auxz00_9644;
{ /* Llib/ssl.scm 474 */
 obj_t BgL_tmpz00_9646;
BgL_tmpz00_9646 = 
((obj_t)BgL_vz00_4345); 
BgL_auxz00_9644 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9646); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4344)))->BgL_z52privz52)=((void *)BgL_auxz00_9644),BUNSPEC); } 
{ /* Llib/ssl.scm 475 */
 void * BgL_arg2113z00_5619; void * BgL_arg2114z00_5620; void * BgL_arg2115z00_5621;
BgL_arg2113z00_5619 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4344)))->BgL_z42nativez42); 
BgL_arg2114z00_5620 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4344)))->BgL_z52pubz52); 
BgL_arg2115z00_5621 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4344)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2113z00_5619, BgL_arg2114z00_5620, BgL_arg2115z00_5621); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4345);} 

}



/* &<@anonymous:2108> */
obj_t BGl_z62zc3z04anonymousza32108ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4346, obj_t BgL_oz00_4347)
{
{ /* Llib/ssl.scm 468 */
{ /* Llib/ssl.scm 471 */
 void * BgL_arg2109z00_5622;
{ /* Llib/ssl.scm 471 */
 void * BgL_arg2110z00_5623;
BgL_arg2110z00_5623 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4347)))->BgL_z42nativez42); 
BgL_arg2109z00_5622 = 
bgl_dh_private_key(BgL_arg2110z00_5623); } 
return 
void_star_to_obj(BgL_arg2109z00_5622);} } 

}



/* &<@anonymous:2098> */
obj_t BGl_z62zc3z04anonymousza32098ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4348, obj_t BgL_oz00_4349, obj_t BgL_vz00_4350)
{
{ /* Llib/ssl.scm 458 */
{ 
 void * BgL_auxz00_9662;
{ /* Llib/ssl.scm 465 */
 obj_t BgL_tmpz00_9664;
BgL_tmpz00_9664 = 
((obj_t)BgL_vz00_4350); 
BgL_auxz00_9662 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9664); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4349)))->BgL_z52gz52)=((void *)BgL_auxz00_9662),BUNSPEC); } 
{ /* Llib/ssl.scm 466 */
 void * BgL_arg2099z00_5624; void * BgL_arg2100z00_5625; void * BgL_arg2101z00_5626; void * BgL_arg2102z00_5627;
BgL_arg2099z00_5624 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4349)))->BgL_z42nativez42); 
BgL_arg2100z00_5625 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4349)))->BgL_z52pz52); 
BgL_arg2101z00_5626 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4349)))->BgL_z52qz52); 
BgL_arg2102z00_5627 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4349)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2099z00_5624, BgL_arg2100z00_5625, BgL_arg2101z00_5626, BgL_arg2102z00_5627); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4350);} 

}



/* &<@anonymous:2094> */
obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4351, obj_t BgL_oz00_4352)
{
{ /* Llib/ssl.scm 458 */
{ /* Llib/ssl.scm 461 */
 void * BgL_arg2095z00_5628;
{ /* Llib/ssl.scm 461 */
 void * BgL_arg2096z00_5629;
BgL_arg2096z00_5629 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4352)))->BgL_z42nativez42); 
BgL_arg2095z00_5628 = 
bgl_dh_g(BgL_arg2096z00_5629); } 
return 
void_star_to_obj(BgL_arg2095z00_5628);} } 

}



/* &<@anonymous:2084> */
obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4353, obj_t BgL_oz00_4354, obj_t BgL_vz00_4355)
{
{ /* Llib/ssl.scm 449 */
{ 
 void * BgL_auxz00_9682;
{ /* Llib/ssl.scm 455 */
 obj_t BgL_tmpz00_9684;
BgL_tmpz00_9684 = 
((obj_t)BgL_vz00_4355); 
BgL_auxz00_9682 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9684); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4354)))->BgL_z52qz52)=((void *)BgL_auxz00_9682),BUNSPEC); } 
{ /* Llib/ssl.scm 456 */
 void * BgL_arg2085z00_5630; void * BgL_arg2086z00_5631; void * BgL_arg2087z00_5632; void * BgL_arg2088z00_5633;
BgL_arg2085z00_5630 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4354)))->BgL_z42nativez42); 
BgL_arg2086z00_5631 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4354)))->BgL_z52pz52); 
BgL_arg2087z00_5632 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4354)))->BgL_z52qz52); 
BgL_arg2088z00_5633 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4354)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2085z00_5630, BgL_arg2086z00_5631, BgL_arg2087z00_5632, BgL_arg2088z00_5633); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4355);} 

}



/* &<@anonymous:2080> */
obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4356, obj_t BgL_oz00_4357)
{
{ /* Llib/ssl.scm 449 */
{ /* Llib/ssl.scm 452 */
 void * BgL_arg2081z00_5634;
{ /* Llib/ssl.scm 452 */
 void * BgL_arg2082z00_5635;
BgL_arg2082z00_5635 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4357)))->BgL_z42nativez42); 
BgL_arg2081z00_5634 = 
bgl_dh_p(BgL_arg2082z00_5635); } 
return 
void_star_to_obj(BgL_arg2081z00_5634);} } 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4358, obj_t BgL_oz00_4359, obj_t BgL_vz00_4360)
{
{ /* Llib/ssl.scm 440 */
{ 
 void * BgL_auxz00_9702;
{ /* Llib/ssl.scm 446 */
 obj_t BgL_tmpz00_9704;
BgL_tmpz00_9704 = 
((obj_t)BgL_vz00_4360); 
BgL_auxz00_9702 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9704); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4359)))->BgL_z52pz52)=((void *)BgL_auxz00_9702),BUNSPEC); } 
{ /* Llib/ssl.scm 447 */
 void * BgL_arg2071z00_5636; void * BgL_arg2072z00_5637; void * BgL_arg2073z00_5638; void * BgL_arg2074z00_5639;
BgL_arg2071z00_5636 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4359)))->BgL_z42nativez42); 
BgL_arg2072z00_5637 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4359)))->BgL_z52pz52); 
BgL_arg2073z00_5638 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4359)))->BgL_z52qz52); 
BgL_arg2074z00_5639 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4359)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2071z00_5636, BgL_arg2072z00_5637, BgL_arg2073z00_5638, BgL_arg2074z00_5639); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4360);} 

}



/* &<@anonymous:2066> */
obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4361, obj_t BgL_oz00_4362)
{
{ /* Llib/ssl.scm 440 */
{ /* Llib/ssl.scm 443 */
 void * BgL_arg2067z00_5640;
{ /* Llib/ssl.scm 443 */
 void * BgL_arg2068z00_5641;
BgL_arg2068z00_5641 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4362)))->BgL_z42nativez42); 
BgL_arg2067z00_5640 = 
bgl_dh_p(BgL_arg2068z00_5641); } 
return 
void_star_to_obj(BgL_arg2067z00_5640);} } 

}



/* &<@anonymous:2061> */
obj_t BGl_z62zc3z04anonymousza32061ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4363, obj_t BgL_oz00_4364, obj_t BgL_vz00_4365)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4364), 
(int)(4L), BgL_vz00_4365);} 

}



/* &<@anonymous:2060> */
obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4366, obj_t BgL_oz00_4367)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4367), 
(int)(4L));} 

}



/* &<@anonymous:2056> */
obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4368, obj_t BgL_oz00_4369, obj_t BgL_vz00_4370)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4369), 
(int)(3L), BgL_vz00_4370);} 

}



/* &<@anonymous:2055> */
obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4371, obj_t BgL_oz00_4372)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4372), 
(int)(3L));} 

}



/* &<@anonymous:2051> */
obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4373, obj_t BgL_oz00_4374, obj_t BgL_vz00_4375)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4374), 
(int)(2L), BgL_vz00_4375);} 

}



/* &<@anonymous:2050> */
obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4376, obj_t BgL_oz00_4377)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4377), 
(int)(2L));} 

}



/* &<@anonymous:2046> */
obj_t BGl_z62zc3z04anonymousza32046ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4378, obj_t BgL_oz00_4379, obj_t BgL_vz00_4380)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4379), 
(int)(1L), BgL_vz00_4380);} 

}



/* &<@anonymous:2045> */
obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4381, obj_t BgL_oz00_4382)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4382), 
(int)(1L));} 

}



/* &<@anonymous:2041> */
obj_t BGl_z62zc3z04anonymousza32041ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4383, obj_t BgL_oz00_4384, obj_t BgL_vz00_4385)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4384), 
(int)(0L), BgL_vz00_4385);} 

}



/* &<@anonymous:2040> */
obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4386, obj_t BgL_oz00_4387)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4387), 
(int)(0L));} 

}



/* &<@anonymous:2036> */
obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4388)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2035 */
obj_t BGl_z62lambda2035z62zz__ssl_sslz00(obj_t BgL_envz00_4389, obj_t BgL_oz00_4390, obj_t BgL_vz00_4391)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5643;
BgL_vz00_5643 = 
FOREIGN_TO_COBJ(BgL_vz00_4391); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4390)))->BgL_z52privz52)=((void *)BgL_vz00_5643),BUNSPEC);} } 

}



/* &lambda2034 */
obj_t BGl_z62lambda2034z62zz__ssl_sslz00(obj_t BgL_envz00_4392, obj_t BgL_oz00_4393)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4393)))->BgL_z52privz52));} 

}



/* &<@anonymous:2029> */
obj_t BGl_z62zc3z04anonymousza32029ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4394)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__ssl_sslz00(obj_t BgL_envz00_4395, obj_t BgL_oz00_4396, obj_t BgL_vz00_4397)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5646;
BgL_vz00_5646 = 
FOREIGN_TO_COBJ(BgL_vz00_4397); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4396)))->BgL_z52pubz52)=((void *)BgL_vz00_5646),BUNSPEC);} } 

}



/* &lambda2027 */
obj_t BGl_z62lambda2027z62zz__ssl_sslz00(obj_t BgL_envz00_4398, obj_t BgL_oz00_4399)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4399)))->BgL_z52pubz52));} 

}



/* &<@anonymous:2022> */
obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4400)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2021 */
obj_t BGl_z62lambda2021z62zz__ssl_sslz00(obj_t BgL_envz00_4401, obj_t BgL_oz00_4402, obj_t BgL_vz00_4403)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5649;
BgL_vz00_5649 = 
FOREIGN_TO_COBJ(BgL_vz00_4403); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4402)))->BgL_z52gz52)=((void *)BgL_vz00_5649),BUNSPEC);} } 

}



/* &lambda2020 */
obj_t BGl_z62lambda2020z62zz__ssl_sslz00(obj_t BgL_envz00_4404, obj_t BgL_oz00_4405)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4405)))->BgL_z52gz52));} 

}



/* &<@anonymous:2015> */
obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4406)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__ssl_sslz00(obj_t BgL_envz00_4407, obj_t BgL_oz00_4408, obj_t BgL_vz00_4409)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5652;
BgL_vz00_5652 = 
FOREIGN_TO_COBJ(BgL_vz00_4409); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4408)))->BgL_z52qz52)=((void *)BgL_vz00_5652),BUNSPEC);} } 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__ssl_sslz00(obj_t BgL_envz00_4410, obj_t BgL_oz00_4411)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4411)))->BgL_z52qz52));} 

}



/* &<@anonymous:2008> */
obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4412)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t BgL_envz00_4413, obj_t BgL_oz00_4414, obj_t BgL_vz00_4415)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5655;
BgL_vz00_5655 = 
FOREIGN_TO_COBJ(BgL_vz00_4415); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4414)))->BgL_z52pz52)=((void *)BgL_vz00_5655),BUNSPEC);} } 

}



/* &lambda2006 */
obj_t BGl_z62lambda2006z62zz__ssl_sslz00(obj_t BgL_envz00_4416, obj_t BgL_oz00_4417)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4417)))->BgL_z52pz52));} 

}



/* &<@anonymous:2001> */
obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4418)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__ssl_sslz00(obj_t BgL_envz00_4419, obj_t BgL_oz00_4420, obj_t BgL_vz00_4421)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5658;
BgL_vz00_5658 = 
FOREIGN_TO_COBJ(BgL_vz00_4421); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4420)))->BgL_z42nativez42)=((void *)BgL_vz00_5658),BUNSPEC);} } 

}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__ssl_sslz00(obj_t BgL_envz00_4422, obj_t BgL_oz00_4423)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4423)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1869> */
obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4424, obj_t BgL_new1079z00_4425)
{
{ /* Llib/ssl.scm 412 */
{ 
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_9794;
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_z42biozd2readz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_z42biozd2writez90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_z42nextzd2sessionz90)=((void *)
0L),BUNSPEC); 
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_9807;
{ /* Llib/ssl.scm 412 */
 obj_t BgL_classz00_5661;
BgL_classz00_5661 = BGl_securezd2contextzd2zz__ssl_sslz00; 
{ /* Llib/ssl.scm 412 */
 obj_t BgL__ortest_1116z00_5662;
BgL__ortest_1116z00_5662 = 
BGL_CLASS_NIL(BgL_classz00_5661); 
if(
CBOOL(BgL__ortest_1116z00_5662))
{ /* Llib/ssl.scm 412 */
BgL_auxz00_9807 = 
((BgL_securezd2contextzd2_bglt)BgL__ortest_1116z00_5662)
; }  else 
{ /* Llib/ssl.scm 412 */
BgL_auxz00_9807 = 
((BgL_securezd2contextzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5661))
; } } } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)BgL_auxz00_9807),BUNSPEC); } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_isserverz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_requestzd2certzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_serverzd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_infozd2callbackzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_newsessionzd2callbackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_npnzd2protoszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_errz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_receivedzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425)))->BgL_sentzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_9794 = 
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4425); 
return 
((obj_t)BgL_auxz00_9794);} } 

}



/* &lambda1867 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1867z62zz__ssl_sslz00(obj_t BgL_envz00_4426)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 BgL_sslzd2connectionzd2_bglt BgL_new1078z00_5663;
BgL_new1078z00_5663 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 412 */
 long BgL_arg1868z00_5664;
BgL_arg1868z00_5664 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_5663), BgL_arg1868z00_5664); } 
return BgL_new1078z00_5663;} } 

}



/* &lambda1864 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1864z62zz__ssl_sslz00(obj_t BgL_envz00_4427, obj_t BgL_z42native1061z42_4428, obj_t BgL_z42biozd2read1062z90_4429, obj_t BgL_z42biozd2write1063z90_4430, obj_t BgL_z42nextzd2session1064z90_4431, obj_t BgL_ctx1065z00_4432, obj_t BgL_isserver1066z00_4433, obj_t BgL_requestzd2cert1067zd2_4434, obj_t BgL_serverzd2name1068zd2_4435, obj_t BgL_rejectzd2unauthoriza7ed1069z75_4436, obj_t BgL_infozd2callback1070zd2_4437, obj_t BgL_snizd2contextzd2callback1071z00_4438, obj_t BgL_newsessionzd2callback1072zd2_4439, obj_t BgL_selectedzd2npnzd2protos1073z00_4440, obj_t BgL_npnzd2protos1074zd2_4441, obj_t BgL_err1075z00_4442, obj_t BgL_receivedzd2shutdown1076zd2_4443, obj_t BgL_sentzd2shutdown1077zd2_4444)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_z42native1061z42_5665; void * BgL_z42biozd2read1062z90_5666; void * BgL_z42biozd2write1063z90_5667; void * BgL_z42nextzd2session1064z90_5668; bool_t BgL_isserver1066z00_5670; bool_t BgL_requestzd2cert1067zd2_5671; bool_t BgL_rejectzd2unauthoriza7ed1069z75_5672; bool_t BgL_receivedzd2shutdown1076zd2_5674; bool_t BgL_sentzd2shutdown1077zd2_5675;
BgL_z42native1061z42_5665 = 
FOREIGN_TO_COBJ(BgL_z42native1061z42_4428); 
BgL_z42biozd2read1062z90_5666 = 
FOREIGN_TO_COBJ(BgL_z42biozd2read1062z90_4429); 
BgL_z42biozd2write1063z90_5667 = 
FOREIGN_TO_COBJ(BgL_z42biozd2write1063z90_4430); 
BgL_z42nextzd2session1064z90_5668 = 
FOREIGN_TO_COBJ(BgL_z42nextzd2session1064z90_4431); 
BgL_isserver1066z00_5670 = 
CBOOL(BgL_isserver1066z00_4433); 
BgL_requestzd2cert1067zd2_5671 = 
CBOOL(BgL_requestzd2cert1067zd2_4434); 
BgL_rejectzd2unauthoriza7ed1069z75_5672 = 
CBOOL(BgL_rejectzd2unauthoriza7ed1069z75_4436); 
BgL_receivedzd2shutdown1076zd2_5674 = 
CBOOL(BgL_receivedzd2shutdown1076zd2_4443); 
BgL_sentzd2shutdown1077zd2_5675 = 
CBOOL(BgL_sentzd2shutdown1077zd2_4444); 
{ /* Llib/ssl.scm 412 */
 BgL_sslzd2connectionzd2_bglt BgL_new1155z00_5676;
{ /* Llib/ssl.scm 412 */
 BgL_sslzd2connectionzd2_bglt BgL_new1154z00_5677;
BgL_new1154z00_5677 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 412 */
 long BgL_arg1866z00_5678;
BgL_arg1866z00_5678 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_5677), BgL_arg1866z00_5678); } 
BgL_new1155z00_5676 = BgL_new1154z00_5677; } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_z42nativez42)=((void *)BgL_z42native1061z42_5665),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_z42biozd2readz90)=((void *)BgL_z42biozd2read1062z90_5666),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_z42biozd2writez90)=((void *)BgL_z42biozd2write1063z90_5667),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_z42nextzd2sessionz90)=((void *)BgL_z42nextzd2session1064z90_5668),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_ctx1065z00_4432)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_isserverz00)=((bool_t)BgL_isserver1066z00_5670),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_requestzd2certzd2)=((bool_t)BgL_requestzd2cert1067zd2_5671),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_serverzd2namezd2)=((obj_t)BgL_serverzd2name1068zd2_4435),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_rejectzd2unauthoriza7ed1069z75_5672),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_infozd2callbackzd2)=((obj_t)BgL_infozd2callback1070zd2_4437),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_snizd2contextzd2callback1071z00_4438),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_newsessionzd2callback1072zd2_4439)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_selectedzd2npnzd2protos1073z00_4440),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_npnzd2protoszd2)=((obj_t)BgL_npnzd2protos1074zd2_4441),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_errz00)=((obj_t)BgL_err1075z00_4442),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_receivedzd2shutdown1076zd2_5674),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5676))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_sentzd2shutdown1077zd2_5675),BUNSPEC); 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_fun1865z00_5679;
BgL_fun1865z00_5679 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1865z00_5679))(BgL_fun1865z00_5679, 
((obj_t)BgL_new1155z00_5676), BEOA); } 
return BgL_new1155z00_5676;} } } 

}



/* &<@anonymous:1983> */
obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4445)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1982 */
obj_t BGl_z62lambda1982z62zz__ssl_sslz00(obj_t BgL_envz00_4446, obj_t BgL_oz00_4447, obj_t BgL_vz00_4448)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5681;
BgL_vz00_5681 = 
CBOOL(BgL_vz00_4448); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4447)))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_vz00_5681),BUNSPEC);} } 

}



/* &lambda1981 */
obj_t BGl_z62lambda1981z62zz__ssl_sslz00(obj_t BgL_envz00_4449, obj_t BgL_oz00_4450)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4450)))->BgL_sentzd2shutdownzd2));} 

}



/* &<@anonymous:1976> */
obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4451)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__ssl_sslz00(obj_t BgL_envz00_4452, obj_t BgL_oz00_4453, obj_t BgL_vz00_4454)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5684;
BgL_vz00_5684 = 
CBOOL(BgL_vz00_4454); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4453)))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_vz00_5684),BUNSPEC);} } 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__ssl_sslz00(obj_t BgL_envz00_4455, obj_t BgL_oz00_4456)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4456)))->BgL_receivedzd2shutdownzd2));} 

}



/* &<@anonymous:1969> */
obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4457)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__ssl_sslz00(obj_t BgL_envz00_4458, obj_t BgL_oz00_4459, obj_t BgL_vz00_4460)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4459)))->BgL_errz00)=((obj_t)BgL_vz00_4460),BUNSPEC);} 

}



/* &lambda1967 */
obj_t BGl_z62lambda1967z62zz__ssl_sslz00(obj_t BgL_envz00_4461, obj_t BgL_oz00_4462)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4462)))->BgL_errz00);} 

}



/* &<@anonymous:1962> */
obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4463)
{
{ /* Llib/ssl.scm 412 */
return BUNSPEC;} 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__ssl_sslz00(obj_t BgL_envz00_4464, obj_t BgL_oz00_4465, obj_t BgL_vz00_4466)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4465)))->BgL_npnzd2protoszd2)=((obj_t)BgL_vz00_4466),BUNSPEC);} 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__ssl_sslz00(obj_t BgL_envz00_4467, obj_t BgL_oz00_4468)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4468)))->BgL_npnzd2protoszd2);} 

}



/* &<@anonymous:1955> */
obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4469)
{
{ /* Llib/ssl.scm 412 */
return BUNSPEC;} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t BgL_envz00_4470, obj_t BgL_oz00_4471, obj_t BgL_vz00_4472)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4471)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_vz00_4472),BUNSPEC);} 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__ssl_sslz00(obj_t BgL_envz00_4473, obj_t BgL_oz00_4474)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4474)))->BgL_selectedzd2npnzd2protosz00);} 

}



/* &<@anonymous:1948> */
obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4475)
{
{ /* Llib/ssl.scm 412 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t BgL_envz00_4476, obj_t BgL_oz00_4477, obj_t BgL_vz00_4478)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4477)))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_vz00_4478)),BUNSPEC);} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t BgL_envz00_4479, obj_t BgL_oz00_4480)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4480)))->BgL_newsessionzd2callbackzd2);} 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4481)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t BgL_envz00_4482, obj_t BgL_oz00_4483, obj_t BgL_vz00_4484)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4483)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_vz00_4484),BUNSPEC);} 

}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t BgL_envz00_4485, obj_t BgL_oz00_4486)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4486)))->BgL_snizd2contextzd2callbackz00);} 

}



/* &<@anonymous:1934> */
obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4487)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1933 */
obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t BgL_envz00_4488, obj_t BgL_oz00_4489, obj_t BgL_vz00_4490)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4489)))->BgL_infozd2callbackzd2)=((obj_t)BgL_vz00_4490),BUNSPEC);} 

}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__ssl_sslz00(obj_t BgL_envz00_4491, obj_t BgL_oz00_4492)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4492)))->BgL_infozd2callbackzd2);} 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__ssl_sslz00(obj_t BgL_envz00_4493, obj_t BgL_oz00_4494, obj_t BgL_vz00_4495)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5700;
BgL_vz00_5700 = 
CBOOL(BgL_vz00_4495); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4494)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_vz00_5700),BUNSPEC);} } 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t BgL_envz00_4496, obj_t BgL_oz00_4497)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4497)))->BgL_rejectzd2unauthoriza7edz75));} 

}



/* &<@anonymous:1922> */
obj_t BGl_z62zc3z04anonymousza31922ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4498)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__ssl_sslz00(obj_t BgL_envz00_4499, obj_t BgL_oz00_4500, obj_t BgL_vz00_4501)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4500)))->BgL_serverzd2namezd2)=((obj_t)BgL_vz00_4501),BUNSPEC);} 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__ssl_sslz00(obj_t BgL_envz00_4502, obj_t BgL_oz00_4503)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4503)))->BgL_serverzd2namezd2);} 

}



/* &<@anonymous:1915> */
obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4504)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__ssl_sslz00(obj_t BgL_envz00_4505, obj_t BgL_oz00_4506, obj_t BgL_vz00_4507)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5705;
BgL_vz00_5705 = 
CBOOL(BgL_vz00_4507); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4506)))->BgL_requestzd2certzd2)=((bool_t)BgL_vz00_5705),BUNSPEC);} } 

}



/* &lambda1913 */
obj_t BGl_z62lambda1913z62zz__ssl_sslz00(obj_t BgL_envz00_4508, obj_t BgL_oz00_4509)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4509)))->BgL_requestzd2certzd2));} 

}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__ssl_sslz00(obj_t BgL_envz00_4510, obj_t BgL_oz00_4511, obj_t BgL_vz00_4512)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5708;
BgL_vz00_5708 = 
CBOOL(BgL_vz00_4512); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4511)))->BgL_isserverz00)=((bool_t)BgL_vz00_5708),BUNSPEC);} } 

}



/* &lambda1907 */
obj_t BGl_z62lambda1907z62zz__ssl_sslz00(obj_t BgL_envz00_4513, obj_t BgL_oz00_4514)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4514)))->BgL_isserverz00));} 

}



/* &lambda1903 */
obj_t BGl_z62lambda1903z62zz__ssl_sslz00(obj_t BgL_envz00_4515, obj_t BgL_oz00_4516, obj_t BgL_vz00_4517)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4516)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_vz00_4517)),BUNSPEC);} 

}



/* &lambda1902 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1902z62zz__ssl_sslz00(obj_t BgL_envz00_4518, obj_t BgL_oz00_4519)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4519)))->BgL_ctxz00);} 

}



/* &<@anonymous:1898> */
obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4520)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t BgL_envz00_4521, obj_t BgL_oz00_4522, obj_t BgL_vz00_4523)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5714;
BgL_vz00_5714 = 
FOREIGN_TO_COBJ(BgL_vz00_4523); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4522)))->BgL_z42nextzd2sessionz90)=((void *)BgL_vz00_5714),BUNSPEC);} } 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__ssl_sslz00(obj_t BgL_envz00_4524, obj_t BgL_oz00_4525)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4525)))->BgL_z42nextzd2sessionz90));} 

}



/* &<@anonymous:1891> */
obj_t BGl_z62zc3z04anonymousza31891ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4526)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t BgL_envz00_4527, obj_t BgL_oz00_4528, obj_t BgL_vz00_4529)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5717;
BgL_vz00_5717 = 
FOREIGN_TO_COBJ(BgL_vz00_4529); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4528)))->BgL_z42biozd2writez90)=((void *)BgL_vz00_5717),BUNSPEC);} } 

}



/* &lambda1889 */
obj_t BGl_z62lambda1889z62zz__ssl_sslz00(obj_t BgL_envz00_4530, obj_t BgL_oz00_4531)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4531)))->BgL_z42biozd2writez90));} 

}



/* &<@anonymous:1884> */
obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4532)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t BgL_envz00_4533, obj_t BgL_oz00_4534, obj_t BgL_vz00_4535)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5720;
BgL_vz00_5720 = 
FOREIGN_TO_COBJ(BgL_vz00_4535); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4534)))->BgL_z42biozd2readz90)=((void *)BgL_vz00_5720),BUNSPEC);} } 

}



/* &lambda1882 */
obj_t BGl_z62lambda1882z62zz__ssl_sslz00(obj_t BgL_envz00_4536, obj_t BgL_oz00_4537)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4537)))->BgL_z42biozd2readz90));} 

}



/* &<@anonymous:1876> */
obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4538)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__ssl_sslz00(obj_t BgL_envz00_4539, obj_t BgL_oz00_4540, obj_t BgL_vz00_4541)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5723;
BgL_vz00_5723 = 
FOREIGN_TO_COBJ(BgL_vz00_4541); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4540)))->BgL_z42nativez42)=((void *)BgL_vz00_5723),BUNSPEC);} } 

}



/* &lambda1874 */
obj_t BGl_z62lambda1874z62zz__ssl_sslz00(obj_t BgL_envz00_4542, obj_t BgL_oz00_4543)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4543)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1837> */
obj_t BGl_z62zc3z04anonymousza31837ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4544, obj_t BgL_new1059z00_4545)
{
{ /* Llib/ssl.scm 406 */
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_9983;
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4545)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4545)))->BgL_z42cazd2storez90)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4545)))->BgL_methodz00)=((obj_t)BGl_string3141z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_9983 = 
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4545); 
return 
((obj_t)BgL_auxz00_9983);} } 

}



/* &lambda1835 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1835z62zz__ssl_sslz00(obj_t BgL_envz00_4546)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 BgL_securezd2contextzd2_bglt BgL_new1058z00_5726;
BgL_new1058z00_5726 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 406 */
 long BgL_arg1836z00_5727;
BgL_arg1836z00_5727 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_5726), BgL_arg1836z00_5727); } 
return BgL_new1058z00_5726;} } 

}



/* &lambda1832 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1832z62zz__ssl_sslz00(obj_t BgL_envz00_4547, obj_t BgL_z42native1055z42_4548, obj_t BgL_z42cazd2store1056z90_4549, obj_t BgL_method1057z00_4550)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 void * BgL_z42native1055z42_5728; void * BgL_z42cazd2store1056z90_5729;
BgL_z42native1055z42_5728 = 
FOREIGN_TO_COBJ(BgL_z42native1055z42_4548); 
BgL_z42cazd2store1056z90_5729 = 
FOREIGN_TO_COBJ(BgL_z42cazd2store1056z90_4549); 
{ /* Llib/ssl.scm 406 */
 BgL_securezd2contextzd2_bglt BgL_new1153z00_5731;
{ /* Llib/ssl.scm 406 */
 BgL_securezd2contextzd2_bglt BgL_new1152z00_5732;
BgL_new1152z00_5732 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 406 */
 long BgL_arg1834z00_5733;
BgL_arg1834z00_5733 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_5732), BgL_arg1834z00_5733); } 
BgL_new1153z00_5731 = BgL_new1152z00_5732; } 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5731))->BgL_z42nativez42)=((void *)BgL_z42native1055z42_5728),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5731))->BgL_z42cazd2storez90)=((void *)BgL_z42cazd2store1056z90_5729),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5731))->BgL_methodz00)=((obj_t)
((obj_t)BgL_method1057z00_4550)),BUNSPEC); 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_fun1833z00_5734;
BgL_fun1833z00_5734 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1833z00_5734))(BgL_fun1833z00_5734, 
((obj_t)BgL_new1153z00_5731), BEOA); } 
return BgL_new1153z00_5731;} } } 

}



/* &<@anonymous:1858> */
obj_t BGl_z62zc3z04anonymousza31858ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4551)
{
{ /* Llib/ssl.scm 406 */
return BGl_string3142z00zz__ssl_sslz00;} 

}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__ssl_sslz00(obj_t BgL_envz00_4552, obj_t BgL_oz00_4553, obj_t BgL_vz00_4554)
{
{ /* Llib/ssl.scm 406 */
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4553)))->BgL_methodz00)=((obj_t)
((obj_t)BgL_vz00_4554)),BUNSPEC);} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__ssl_sslz00(obj_t BgL_envz00_4555, obj_t BgL_oz00_4556)
{
{ /* Llib/ssl.scm 406 */
return 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4556)))->BgL_methodz00);} 

}



/* &<@anonymous:1851> */
obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4557)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1850 */
obj_t BGl_z62lambda1850z62zz__ssl_sslz00(obj_t BgL_envz00_4558, obj_t BgL_oz00_4559, obj_t BgL_vz00_4560)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 void * BgL_vz00_5739;
BgL_vz00_5739 = 
FOREIGN_TO_COBJ(BgL_vz00_4560); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4559)))->BgL_z42cazd2storez90)=((void *)BgL_vz00_5739),BUNSPEC);} } 

}



/* &lambda1849 */
obj_t BGl_z62lambda1849z62zz__ssl_sslz00(obj_t BgL_envz00_4561, obj_t BgL_oz00_4562)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4562)))->BgL_z42cazd2storez90));} 

}



/* &<@anonymous:1844> */
obj_t BGl_z62zc3z04anonymousza31844ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4563)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1843 */
obj_t BGl_z62lambda1843z62zz__ssl_sslz00(obj_t BgL_envz00_4564, obj_t BgL_oz00_4565, obj_t BgL_vz00_4566)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 void * BgL_vz00_5742;
BgL_vz00_5742 = 
FOREIGN_TO_COBJ(BgL_vz00_4566); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4565)))->BgL_z42nativez42)=((void *)BgL_vz00_5742),BUNSPEC);} } 

}



/* &lambda1842 */
obj_t BGl_z62lambda1842z62zz__ssl_sslz00(obj_t BgL_envz00_4567, obj_t BgL_oz00_4568)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4568)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1820> */
obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4569, obj_t BgL_new1053z00_4570)
{
{ /* Llib/ssl.scm 302 */
{ 
 BgL_privatezd2keyzd2_bglt BgL_auxz00_10033;
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4570)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10033 = 
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4570); 
return 
((obj_t)BgL_auxz00_10033);} } 

}



/* &lambda1818 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1818z62zz__ssl_sslz00(obj_t BgL_envz00_4571)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1052z00_5745;
BgL_new1052z00_5745 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1819z00_5746;
BgL_arg1819z00_5746 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_5745), BgL_arg1819z00_5746); } 
return BgL_new1052z00_5745;} } 

}



/* &lambda1816 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1816z62zz__ssl_sslz00(obj_t BgL_envz00_4572, obj_t BgL_z42native1051z42_4573)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_z42native1051z42_5747;
BgL_z42native1051z42_5747 = 
FOREIGN_TO_COBJ(BgL_z42native1051z42_4573); 
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1151z00_5748;
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1150z00_5749;
BgL_new1150z00_5749 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1817z00_5750;
BgL_arg1817z00_5750 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_5749), BgL_arg1817z00_5750); } 
BgL_new1151z00_5748 = BgL_new1150z00_5749; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1151z00_5748))->BgL_z42nativez42)=((void *)BgL_z42native1051z42_5747),BUNSPEC); 
return BgL_new1151z00_5748;} } } 

}



/* &lambda1825 */
obj_t BGl_z62lambda1825z62zz__ssl_sslz00(obj_t BgL_envz00_4574, obj_t BgL_oz00_4575, obj_t BgL_vz00_4576)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_vz00_5752;
BgL_vz00_5752 = 
FOREIGN_TO_COBJ(BgL_vz00_4576); 
return 
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4575)))->BgL_z42nativez42)=((void *)BgL_vz00_5752),BUNSPEC);} } 

}



/* &lambda1824 */
obj_t BGl_z62lambda1824z62zz__ssl_sslz00(obj_t BgL_envz00_4577, obj_t BgL_oz00_4578)
{
{ /* Llib/ssl.scm 302 */
return 
void_star_to_obj(
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4578)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1805> */
obj_t BGl_z62zc3z04anonymousza31805ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4579, obj_t BgL_new1049z00_4580)
{
{ /* Llib/ssl.scm 299 */
{ 
 BgL_certificatez00_bglt BgL_auxz00_10055;
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_new1049z00_4580)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10055 = 
((BgL_certificatez00_bglt)BgL_new1049z00_4580); 
return 
((obj_t)BgL_auxz00_10055);} } 

}



/* &lambda1803 */
BgL_certificatez00_bglt BGl_z62lambda1803z62zz__ssl_sslz00(obj_t BgL_envz00_4581)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1048z00_5755;
BgL_new1048z00_5755 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1804z00_5756;
BgL_arg1804z00_5756 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_5755), BgL_arg1804z00_5756); } 
return BgL_new1048z00_5755;} } 

}



/* &lambda1801 */
BgL_certificatez00_bglt BGl_z62lambda1801z62zz__ssl_sslz00(obj_t BgL_envz00_4582, obj_t BgL_z42native1047z42_4583)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_z42native1047z42_5757;
BgL_z42native1047z42_5757 = 
FOREIGN_TO_COBJ(BgL_z42native1047z42_4583); 
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1149z00_5758;
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1148z00_5759;
BgL_new1148z00_5759 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1802z00_5760;
BgL_arg1802z00_5760 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_5759), BgL_arg1802z00_5760); } 
BgL_new1149z00_5758 = BgL_new1148z00_5759; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1149z00_5758))->BgL_z42nativez42)=((void *)BgL_z42native1047z42_5757),BUNSPEC); 
return BgL_new1149z00_5758;} } } 

}



/* &lambda1810 */
obj_t BGl_z62lambda1810z62zz__ssl_sslz00(obj_t BgL_envz00_4584, obj_t BgL_oz00_4585, obj_t BgL_vz00_4586)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_vz00_5762;
BgL_vz00_5762 = 
FOREIGN_TO_COBJ(BgL_vz00_4586); 
return 
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4585)))->BgL_z42nativez42)=((void *)BgL_vz00_5762),BUNSPEC);} } 

}



/* &lambda1809 */
obj_t BGl_z62lambda1809z62zz__ssl_sslz00(obj_t BgL_envz00_4587, obj_t BgL_oz00_4588)
{
{ /* Llib/ssl.scm 299 */
return 
void_star_to_obj(
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4588)))->BgL_z42nativez42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3143z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3144z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3145z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3146z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BGl_proc3147z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3148z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BGl_proc3149z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3150z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BGl_proc3151z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3152z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BGl_proc3153z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3154z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BGl_proc3155z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3156z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BGl_proc3157z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3158z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BGl_proc3159z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3160z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BGl_proc3161z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BGl_proc3163z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3164z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3165z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3166z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BGl_proc3167z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3168z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3169z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3170z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BGl_proc3171z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3172z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BGl_proc3173z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3174z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BGl_proc3175z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3176z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BGl_proc3177z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3178z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BGl_proc3179z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3180z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BGl_proc3181z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3182z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3183z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3184z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3185z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3186z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3187z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3188z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3189z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3190z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BGl_proc3191z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3192z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3193z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3194z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BGl_proc3195z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3196z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BGl_proc3197z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3198z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BGl_proc3199z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3200z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BGl_proc3201z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3202z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3203z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3204z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BGl_proc3205z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3206z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BGl_proc3207z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3208z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BGl_proc3209z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3210z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BGl_proc3211z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3212z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3213z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3214z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3215z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3216z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3217z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3218z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3219z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3220z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3221z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3222z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BGl_proc3223z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3224z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3225z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3226z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3227z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3228z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3229z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3230z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3231z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3232z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BGl_proc3233z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3234z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3235z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3236z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3237z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3238z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3239z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3240z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3241z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3242z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BGl_proc3243z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3244z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3245z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3246z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BGl_proc3247z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3248z00zz__ssl_sslz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3249z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3250z00zz__ssl_sslz00);} 

}



/* &ssl-cipher-final1356 */
obj_t BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00(obj_t BgL_envz00_4651, obj_t BgL_sslzd2cipherzd2_4652)
{
{ /* Llib/ssl.scm 1392 */
return 
bgl_cipher_final(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4652));} 

}



/* &ssl-cipher-set-auto-1354 */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00(obj_t BgL_envz00_4653, obj_t BgL_sslzd2cipherzd2_4654, obj_t BgL_autozd2paddingzd2_4655)
{
{ /* Llib/ssl.scm 1382 */
{ /* Llib/ssl.scm 1385 */
 bool_t BgL_tmpz00_10133;
{ /* Llib/ssl.scm 1385 */
 bool_t BgL_autozd2paddingzd2_5766;
BgL_autozd2paddingzd2_5766 = 
CBOOL(BgL_autozd2paddingzd2_4655); 
BgL_tmpz00_10133 = 
bgl_cipher_set_auto_padding(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4654), BgL_autozd2paddingzd2_5766); } 
return 
BBOOL(BgL_tmpz00_10133);} } 

}



/* &ssl-cipher-update!1352 */
obj_t BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00(obj_t BgL_envz00_4656, obj_t BgL_sslzd2cipherzd2_4657, obj_t BgL_dataz00_4658, obj_t BgL_offsetz00_4659, obj_t BgL_lenz00_4660)
{
{ /* Llib/ssl.scm 1371 */
{ /* Llib/ssl.scm 1374 */
 long BgL_offsetz00_5769; long BgL_lenz00_5770;
BgL_offsetz00_5769 = 
(long)CINT(BgL_offsetz00_4659); 
BgL_lenz00_5770 = 
(long)CINT(BgL_lenz00_4660); 
{ /* Llib/ssl.scm 1374 */
 obj_t BgL__ortest_1147z00_5771;
BgL__ortest_1147z00_5771 = 
bgl_cipher_update(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4657), 
((obj_t)BgL_dataz00_4658), BgL_offsetz00_5769, BgL_lenz00_5770); 
if(
CBOOL(BgL__ortest_1147z00_5771))
{ /* Llib/ssl.scm 1374 */
return BgL__ortest_1147z00_5771;}  else 
{ /* Llib/ssl.scm 1374 */
return 
BGl_errorz00zz__errorz00(BGl_string3251z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4657)));} } } } 

}



/* &ssl-cipher-initiv1350 */
obj_t BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00(obj_t BgL_envz00_4661, obj_t BgL_sslzd2cipherzd2_4662, obj_t BgL_cipherz00_4663, obj_t BgL_keyz00_4664, obj_t BgL_offsetz00_4665, obj_t BgL_lenz00_4666, obj_t BgL_ivz00_4667, obj_t BgL_ivoffsetz00_4668, obj_t BgL_ivlenz00_4669, obj_t BgL_encz00_4670)
{
{ /* Llib/ssl.scm 1354 */
{ /* Llib/ssl.scm 1360 */
 long BgL_offsetz00_5775; long BgL_lenz00_5776; long BgL_ivoffsetz00_5778; long BgL_ivlenz00_5779; bool_t BgL_encz00_5780;
BgL_offsetz00_5775 = 
(long)CINT(BgL_offsetz00_4665); 
BgL_lenz00_5776 = 
(long)CINT(BgL_lenz00_4666); 
BgL_ivoffsetz00_5778 = 
(long)CINT(BgL_ivoffsetz00_4668); 
BgL_ivlenz00_5779 = 
(long)CINT(BgL_ivlenz00_4669); 
BgL_encz00_5780 = 
CBOOL(BgL_encz00_4670); 
if(
bgl_ssl_cipher_initiv(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4662), 
((obj_t)BgL_cipherz00_4663), 
((obj_t)BgL_keyz00_4664), BgL_offsetz00_5775, BgL_lenz00_5776, 
((obj_t)BgL_ivz00_4667), BgL_ivoffsetz00_5778, BgL_ivlenz00_5779, BgL_encz00_5780))
{ /* Llib/ssl.scm 1360 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1364 */
 obj_t BgL_arg2343z00_5781;
BgL_arg2343z00_5781 = 
bgl_ssl_error_string(); 
return 
BGl_errorz00zz__errorz00(BGl_string3253z00zz__ssl_sslz00, BgL_arg2343z00_5781, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4662)));} } } 

}



/* &ssl-cipher-init1348 */
obj_t BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00(obj_t BgL_envz00_4671, obj_t BgL_sslzd2cipherzd2_4672, obj_t BgL_cipherz00_4673, obj_t BgL_keyz00_4674, obj_t BgL_offsetz00_4675, obj_t BgL_lenz00_4676, obj_t BgL_encz00_4677)
{
{ /* Llib/ssl.scm 1340 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_10163;
{ /* Llib/ssl.scm 1345 */
 long BgL_offsetz00_5785; long BgL_lenz00_5786; bool_t BgL_encz00_5787;
BgL_offsetz00_5785 = 
(long)CINT(BgL_offsetz00_4675); 
BgL_lenz00_5786 = 
(long)CINT(BgL_lenz00_4676); 
BgL_encz00_5787 = 
CBOOL(BgL_encz00_4677); 
if(
bgl_ssl_cipher_init(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4672), 
((obj_t)BgL_cipherz00_4673), 
((obj_t)BgL_keyz00_4674), BgL_offsetz00_5785, BgL_lenz00_5786, BgL_encz00_5787))
{ /* Llib/ssl.scm 1345 */BFALSE; }  else 
{ /* Llib/ssl.scm 1345 */
BGl_errorz00zz__errorz00(BGl_string3254z00zz__ssl_sslz00, 
bgl_ssl_error_string(), 
((obj_t)BgL_cipherz00_4673)); } 
BgL_auxz00_10163 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4672); } 
return 
((obj_t)BgL_auxz00_10163);} } 

}



/* &ssl-verify-final1346 */
obj_t BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00(obj_t BgL_envz00_4678, obj_t BgL_sslzd2verifyzd2_4679, obj_t BgL_keyz00_4680, obj_t BgL_koffsetz00_4681, obj_t BgL_klenz00_4682, obj_t BgL_sigz00_4683, obj_t BgL_soffsetz00_4684, obj_t BgL_slenz00_4685)
{
{ /* Llib/ssl.scm 1326 */
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_tmpz00_10177;
{ /* Llib/ssl.scm 1331 */
 long BgL_koffsetz00_5790; long BgL_klenz00_5791; long BgL_soffsetz00_5793; long BgL_slenz00_5794;
BgL_koffsetz00_5790 = 
(long)CINT(BgL_koffsetz00_4681); 
BgL_klenz00_5791 = 
(long)CINT(BgL_klenz00_4682); 
BgL_soffsetz00_5793 = 
(long)CINT(BgL_soffsetz00_4684); 
BgL_slenz00_5794 = 
(long)CINT(BgL_slenz00_4685); 
BgL_tmpz00_10177 = 
bgl_ssl_verify_final(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4679), 
((obj_t)BgL_keyz00_4680), BgL_koffsetz00_5790, BgL_klenz00_5791, 
((obj_t)BgL_sigz00_4683), BgL_soffsetz00_5793, BgL_slenz00_5794); } 
return 
BBOOL(BgL_tmpz00_10177);} } 

}



/* &ssl-verify-update!1344 */
obj_t BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00(obj_t BgL_envz00_4686, obj_t BgL_sslzd2verifyzd2_4687, obj_t BgL_dataz00_4688, obj_t BgL_offsetz00_4689, obj_t BgL_lenz00_4690)
{
{ /* Llib/ssl.scm 1314 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10187;
{ /* Llib/ssl.scm 1317 */
 long BgL_offsetz00_5797; long BgL_lenz00_5798;
BgL_offsetz00_5797 = 
(long)CINT(BgL_offsetz00_4689); 
BgL_lenz00_5798 = 
(long)CINT(BgL_lenz00_4690); 
if(
bgl_ssl_verify_update(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4687), 
((obj_t)BgL_dataz00_4688), BgL_offsetz00_5797, BgL_lenz00_5798))
{ /* Llib/ssl.scm 1317 */BFALSE; }  else 
{ /* Llib/ssl.scm 1317 */
BGl_errorz00zz__errorz00(BGl_string3255z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4687))); } 
BgL_auxz00_10187 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4687); } 
return 
((obj_t)BgL_auxz00_10187);} } 

}



/* &ssl-verify-init1342 */
obj_t BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00(obj_t BgL_envz00_4691, obj_t BgL_sslzd2verifyzd2_4692, obj_t BgL_verifyz00_4693)
{
{ /* Llib/ssl.scm 1302 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10199;
if(
bgl_ssl_verify_init(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4692), 
((obj_t)BgL_verifyz00_4693)))
{ /* Llib/ssl.scm 1305 */BFALSE; }  else 
{ /* Llib/ssl.scm 1305 */
BGl_errorz00zz__errorz00(BGl_string3256z00zz__ssl_sslz00, BGl_string3257z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4692))); } 
BgL_auxz00_10199 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4692); 
return 
((obj_t)BgL_auxz00_10199);} } 

}



/* &ssl-sign-sign1340 */
obj_t BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00(obj_t BgL_envz00_4694, obj_t BgL_sslzd2signzd2_4695, obj_t BgL_keyz00_4696, obj_t BgL_offsetz00_4697, obj_t BgL_lenz00_4698)
{
{ /* Llib/ssl.scm 1291 */
{ /* Llib/ssl.scm 1294 */
 long BgL_offsetz00_5803; long BgL_lenz00_5804;
BgL_offsetz00_5803 = 
(long)CINT(BgL_offsetz00_4697); 
BgL_lenz00_5804 = 
(long)CINT(BgL_lenz00_4698); 
{ /* Llib/ssl.scm 1294 */
 obj_t BgL_rz00_5805;
BgL_rz00_5805 = 
bgl_ssl_sign_sign(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4695), 
((obj_t)BgL_keyz00_4696), BgL_offsetz00_5803, BgL_lenz00_5804); 
if(
CBOOL(BgL_rz00_5805))
{ /* Llib/ssl.scm 1295 */
return BgL_rz00_5805;}  else 
{ /* Llib/ssl.scm 1295 */
return 
BGl_errorz00zz__errorz00(BGl_string3258z00zz__ssl_sslz00, BGl_string3259z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4695)));} } } } 

}



/* &ssl-sign-update!1338 */
obj_t BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00(obj_t BgL_envz00_4699, obj_t BgL_sslzd2signzd2_4700, obj_t BgL_dataz00_4701, obj_t BgL_offsetz00_4702, obj_t BgL_lenz00_4703)
{
{ /* Llib/ssl.scm 1279 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10219;
{ /* Llib/ssl.scm 1282 */
 long BgL_offsetz00_5808; long BgL_lenz00_5809;
BgL_offsetz00_5808 = 
(long)CINT(BgL_offsetz00_4702); 
BgL_lenz00_5809 = 
(long)CINT(BgL_lenz00_4703); 
if(
bgl_ssl_sign_update(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4700), 
((obj_t)BgL_dataz00_4701), BgL_offsetz00_5808, BgL_lenz00_5809))
{ /* Llib/ssl.scm 1282 */BFALSE; }  else 
{ /* Llib/ssl.scm 1282 */
BGl_errorz00zz__errorz00(BGl_string3260z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4700))); } 
BgL_auxz00_10219 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4700); } 
return 
((obj_t)BgL_auxz00_10219);} } 

}



/* &ssl-sign-init1336 */
obj_t BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00(obj_t BgL_envz00_4704, obj_t BgL_sslzd2signzd2_4705, obj_t BgL_signz00_4706)
{
{ /* Llib/ssl.scm 1267 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10231;
if(
bgl_ssl_sign_init(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4705), 
((obj_t)BgL_signz00_4706)))
{ /* Llib/ssl.scm 1270 */BFALSE; }  else 
{ /* Llib/ssl.scm 1270 */
BGl_errorz00zz__errorz00(BGl_string3261z00zz__ssl_sslz00, BGl_string3262z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4705))); } 
BgL_auxz00_10231 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4705); 
return 
((obj_t)BgL_auxz00_10231);} } 

}



/* &ssl-hmac-digest1334 */
obj_t BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00(obj_t BgL_envz00_4707, obj_t BgL_sslzd2hmaczd2_4708)
{
{ /* Llib/ssl.scm 1256 */
{ /* Llib/ssl.scm 1259 */
 obj_t BgL_rz00_5813;
BgL_rz00_5813 = 
bgl_ssl_hmac_digest(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4708)); 
if(
CBOOL(BgL_rz00_5813))
{ /* Llib/ssl.scm 1260 */
return BgL_rz00_5813;}  else 
{ /* Llib/ssl.scm 1260 */
return 
BGl_errorz00zz__errorz00(BGl_string3263z00zz__ssl_sslz00, BGl_string3264z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4708)));} } } 

}



/* &ssl-hmac-update!1332 */
obj_t BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00(obj_t BgL_envz00_4709, obj_t BgL_sslzd2hmaczd2_4710, obj_t BgL_dataz00_4711, obj_t BgL_offsetz00_4712, obj_t BgL_lenz00_4713)
{
{ /* Llib/ssl.scm 1244 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_10248;
{ /* Llib/ssl.scm 1247 */
 long BgL_offsetz00_5816; long BgL_lenz00_5817;
BgL_offsetz00_5816 = 
(long)CINT(BgL_offsetz00_4712); 
BgL_lenz00_5817 = 
(long)CINT(BgL_lenz00_4713); 
if(
bgl_ssl_hmac_update(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4710), 
((obj_t)BgL_dataz00_4711), BgL_offsetz00_5816, BgL_lenz00_5817))
{ /* Llib/ssl.scm 1247 */BFALSE; }  else 
{ /* Llib/ssl.scm 1247 */
BGl_errorz00zz__errorz00(BGl_string3265z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4710))); } 
BgL_auxz00_10248 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4710); } 
return 
((obj_t)BgL_auxz00_10248);} } 

}



/* &ssl-hmac-init1330 */
obj_t BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00(obj_t BgL_envz00_4714, obj_t BgL_sslzd2hmaczd2_4715, obj_t BgL_hmacz00_4716, obj_t BgL_keyz00_4717)
{
{ /* Llib/ssl.scm 1232 */
if(
bgl_ssl_hmac_init(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4715), 
((obj_t)BgL_hmacz00_4716), 
((obj_t)BgL_keyz00_4717)))
{ /* Llib/ssl.scm 1235 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1235 */
BGl_errorz00zz__errorz00(BGl_string3266z00zz__ssl_sslz00, BGl_string3267z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4715))); 
return 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4715));} } 

}



/* &ssl-hash-digest1328 */
obj_t BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00(obj_t BgL_envz00_4718, obj_t BgL_sslzd2hashzd2_4719)
{
{ /* Llib/ssl.scm 1221 */
{ /* Llib/ssl.scm 1224 */
 obj_t BgL_rz00_5822;
BgL_rz00_5822 = 
bgl_ssl_hash_digest(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4719)); 
if(
CBOOL(BgL_rz00_5822))
{ /* Llib/ssl.scm 1225 */
return BgL_rz00_5822;}  else 
{ /* Llib/ssl.scm 1225 */
return 
BGl_errorz00zz__errorz00(BGl_string3268z00zz__ssl_sslz00, BGl_string3264z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4719)));} } } 

}



/* &ssl-hash-update!1326 */
obj_t BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00(obj_t BgL_envz00_4720, obj_t BgL_sslzd2hashzd2_4721, obj_t BgL_dataz00_4722, obj_t BgL_offsetz00_4723, obj_t BgL_lenz00_4724)
{
{ /* Llib/ssl.scm 1209 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10277;
{ /* Llib/ssl.scm 1212 */
 long BgL_offsetz00_5825; long BgL_lenz00_5826;
BgL_offsetz00_5825 = 
(long)CINT(BgL_offsetz00_4723); 
BgL_lenz00_5826 = 
(long)CINT(BgL_lenz00_4724); 
if(
bgl_ssl_hash_update(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4721), 
((obj_t)BgL_dataz00_4722), BgL_offsetz00_5825, BgL_lenz00_5826))
{ /* Llib/ssl.scm 1212 */BFALSE; }  else 
{ /* Llib/ssl.scm 1212 */
BGl_errorz00zz__errorz00(BGl_string3269z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4721))); } 
BgL_auxz00_10277 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4721); } 
return 
((obj_t)BgL_auxz00_10277);} } 

}



/* &ssl-hash-init1324 */
obj_t BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00(obj_t BgL_envz00_4725, obj_t BgL_sslzd2hashzd2_4726)
{
{ /* Llib/ssl.scm 1197 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10289;
if(
bgl_ssl_hash_init(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4726)))
{ /* Llib/ssl.scm 1200 */BFALSE; }  else 
{ /* Llib/ssl.scm 1200 */
BGl_errorz00zz__errorz00(BGl_string3270z00zz__ssl_sslz00, BGl_string3267z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4726))); } 
BgL_auxz00_10289 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4726); 
return 
((obj_t)BgL_auxz00_10289);} } 

}



/* &dh-generate-key1322 */
obj_t BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00(obj_t BgL_envz00_4727, obj_t BgL_dhz00_4728)
{
{ /* Llib/ssl.scm 1186 */
{ /* Llib/ssl.scm 1189 */
 bool_t BgL_tmpz00_10298;
{ /* Llib/ssl.scm 1190 */
 bool_t BgL_test4054z00_10299;
{ /* Llib/ssl.scm 1190 */
 int BgL_arg2316z00_5829;
{ /* Llib/ssl.scm 1190 */
 void * BgL_tmpz00_10300;
BgL_tmpz00_10300 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4728)))->BgL_z42nativez42); 
BgL_arg2316z00_5829 = 
DH_generate_key(BgL_tmpz00_10300); } 
BgL_test4054z00_10299 = 
(
(long)(BgL_arg2316z00_5829)==0L); } 
if(BgL_test4054z00_10299)
{ /* Llib/ssl.scm 1190 */
BgL_tmpz00_10298 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 1190 */
BgL_tmpz00_10298 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_10298);} } 

}



/* &dh-compute-key1320 */
obj_t BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00(obj_t BgL_envz00_4729, obj_t BgL_dhz00_4730, obj_t BgL_keyz00_4731)
{
{ /* Llib/ssl.scm 1160 */
{ /* Llib/ssl.scm 1164 */
 int BgL_siza7eza7_5832;
BgL_siza7eza7_5832 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(
((BgL_dhz00_bglt)BgL_dhz00_4730)); 
{ /* Llib/ssl.scm 1164 */
 obj_t BgL_strz00_5833;
{ /* Llib/ssl.scm 1165 */

BgL_strz00_5833 = 
make_string(
(long)(BgL_siza7eza7_5832), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1165 */

{ /* Llib/ssl.scm 1166 */
 int BgL_sza7za7_5834;
{ /* Llib/ssl.scm 1166 */
 void * BgL_arg2310z00_5835; void * BgL_arg2311z00_5836;
{ /* Llib/ssl.scm 1166 */
 obj_t BgL_tmpz00_10311;
BgL_tmpz00_10311 = 
((obj_t)BgL_keyz00_4731); 
BgL_arg2310z00_5835 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10311); } 
BgL_arg2311z00_5836 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4730)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1166 */
 char * BgL_tmpz00_10316;
BgL_tmpz00_10316 = 
BSTRING_TO_STRING(BgL_strz00_5833); 
BgL_sza7za7_5834 = 
DH_compute_key(BgL_tmpz00_10316, BgL_arg2310z00_5835, BgL_arg2311z00_5836); } } 
if(
(
(long)(BgL_sza7za7_5834)==-1L))
{ /* Llib/ssl.scm 1168 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1168 */
if(
(
(long)(BgL_sza7za7_5834)==
STRING_LENGTH(BgL_strz00_5833)))
{ /* Llib/ssl.scm 1170 */
return BgL_strz00_5833;}  else 
{ /* Llib/ssl.scm 1170 */
blit_string(BgL_strz00_5833, 0L, BgL_strz00_5833, 
(
(long)(BgL_siza7eza7_5832)-
(long)(BgL_sza7za7_5834)), 
(long)(BgL_sza7za7_5834)); 
{ /* Llib/ssl.scm 1174 */
 long BgL_g1142z00_5838;
BgL_g1142z00_5838 = 
(
(long)(BgL_siza7eza7_5832)-
(long)(BgL_sza7za7_5834)); 
{ 
 long BgL_iz00_5840;
BgL_iz00_5840 = BgL_g1142z00_5838; 
BgL_loopz00_5839:
if(
(BgL_iz00_5840>0L))
{ /* Llib/ssl.scm 1176 */
 long BgL_niz00_5841;
BgL_niz00_5841 = 
(BgL_iz00_5840-1L); 
STRING_SET(BgL_strz00_5833, BgL_niz00_5841, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_10338;
BgL_iz00_10338 = BgL_niz00_5841; 
BgL_iz00_5840 = BgL_iz00_10338; 
goto BgL_loopz00_5839;} }  else 
{ /* Llib/ssl.scm 1175 */((bool_t)0); } } } 
return BgL_strz00_5833;} } } } } } } 

}



/* &dh-check-pub-key1318 */
obj_t BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00(obj_t BgL_envz00_4732, obj_t BgL_dhz00_4733, obj_t BgL_keyz00_4734)
{
{ /* Llib/ssl.scm 1149 */
{ /* Llib/ssl.scm 1153 */
 void * BgL_arg2300z00_5844; void * BgL_arg2301z00_5845;
BgL_arg2300z00_5844 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4733)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1153 */
 obj_t BgL_tmpz00_10341;
BgL_tmpz00_10341 = 
((obj_t)BgL_keyz00_4734); 
BgL_arg2301z00_5845 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10341); } 
return 
bgl_dh_check_pub_key(BgL_arg2300z00_5844, BgL_arg2301z00_5845);} } 

}



/* &dh-check1316 */
obj_t BGl_z62dhzd2check1316zb0zz__ssl_sslz00(obj_t BgL_envz00_4735, obj_t BgL_dhz00_4736)
{
{ /* Llib/ssl.scm 1138 */
return 
bgl_dh_check(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4736)))->BgL_z42nativez42));} 

}



/* &dh-generate-paramete1314 */
obj_t BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00(obj_t BgL_envz00_4737, obj_t BgL_dhz00_4738, obj_t BgL_lenz00_4739, obj_t BgL_generatorz00_4740)
{
{ /* Llib/ssl.scm 1122 */
{ /* Llib/ssl.scm 1125 */
 int BgL_tmpz00_10348;
{ /* Llib/ssl.scm 1125 */
 int BgL_lenz00_5848;
BgL_lenz00_5848 = 
CINT(BgL_lenz00_4739); 
{ /* Llib/ssl.scm 1126 */
 void * BgL_arg2294z00_5850; obj_t BgL_arg2295z00_5851;
BgL_arg2294z00_5850 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4738)))->BgL_z42nativez42); 
if(
(
((obj_t)BgL_generatorz00_4740)==
CNST_TABLE_REF(94L)))
{ /* Llib/ssl.scm 1127 */
BgL_arg2295z00_5851 = 
BINT(DH_GENERATOR_2); }  else 
{ /* Llib/ssl.scm 1127 */
BgL_arg2295z00_5851 = 
BGl_errorz00zz__errorz00(BGl_string3271z00zz__ssl_sslz00, BGl_string3272z00zz__ssl_sslz00, 
((obj_t)BgL_generatorz00_4740)); } 
{ /* Llib/ssl.scm 1126 */
 int BgL_tmpz00_10359;
BgL_tmpz00_10359 = 
CINT(BgL_arg2295z00_5851); 
BgL_tmpz00_10348 = 
DH_generate_parameters_ex(BgL_arg2294z00_5850, BgL_lenz00_5848, BgL_tmpz00_10359, 0L); } } } 
return 
BINT(BgL_tmpz00_10348);} } 

}



/* &dh-size1312 */
obj_t BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00(obj_t BgL_envz00_4741, obj_t BgL_dhz00_4742)
{
{ /* Llib/ssl.scm 1114 */
{ /* Llib/ssl.scm 1116 */
 int BgL_tmpz00_10363;
{ /* Llib/ssl.scm 1116 */
 void * BgL_tmpz00_10364;
BgL_tmpz00_10364 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4742)))->BgL_z42nativez42); 
BgL_tmpz00_10363 = 
DH_size(BgL_tmpz00_10364); } 
return 
BINT(BgL_tmpz00_10363);} } 

}



/* &dh-init1310 */
obj_t BGl_z62dhzd2init1310zb0zz__ssl_sslz00(obj_t BgL_envz00_4743, obj_t BgL_dhz00_4744)
{
{ /* Llib/ssl.scm 1103 */
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4744)))->BgL_z42nativez42)=((void *)
DH_new()),BUNSPEC);} 

}



/* &ssl-connection-get-n1308 */
obj_t BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00(obj_t BgL_envz00_4745, obj_t BgL_sslz00_4746)
{
{ /* Llib/ssl.scm 1093 */
return 
bgl_ssl_connection_get_negotiated_protocol(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4746));} 

}



/* &ssl-connection-reuse1306 */
obj_t BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00(obj_t BgL_envz00_4747, obj_t BgL_sslz00_4748)
{
{ /* Llib/ssl.scm 1082 */
{ /* Llib/ssl.scm 1085 */
 bool_t BgL_tmpz00_10374;
{ /* Llib/ssl.scm 1086 */
 void * BgL_tmpz00_10375;
BgL_tmpz00_10375 = 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4748)))->BgL_z42nativez42); 
BgL_tmpz00_10374 = 
SSL_session_reused(BgL_tmpz00_10375); } 
return 
BBOOL(BgL_tmpz00_10374);} } 

}



/* &ssl-connection-get-p1304 */
obj_t BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00(obj_t BgL_envz00_4749, obj_t BgL_sslz00_4750)
{
{ /* Llib/ssl.scm 1072 */
return 
bgl_ssl_connection_get_peer_certificate(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4750));} 

}



/* &ssl-connection-verif1302 */
obj_t BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00(obj_t BgL_envz00_4751, obj_t BgL_sslz00_4752)
{
{ /* Llib/ssl.scm 1062 */
return 
bgl_ssl_connection_verify_error(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4752));} 

}



/* &ssl-connection-load-1300 */
obj_t BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00(obj_t BgL_envz00_4753, obj_t BgL_sslz00_4754, obj_t BgL_bufz00_4755)
{
{ /* Llib/ssl.scm 1052 */
return 
BINT(
bgl_ssl_connection_load_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4754), 
((obj_t)BgL_bufz00_4755)));} 

}



/* &ssl-connection-get-c1298 */
obj_t BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00(obj_t BgL_envz00_4756, obj_t BgL_sslz00_4757)
{
{ /* Llib/ssl.scm 1042 */
return 
bgl_ssl_connection_get_current_cipher(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4757));} 

}



/* &ssl-connection-get-s1296 */
obj_t BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00(obj_t BgL_envz00_4758, obj_t BgL_sslz00_4759)
{
{ /* Llib/ssl.scm 1032 */
return 
bgl_ssl_connection_get_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4759));} 

}



/* &ssl-connection-set-s1294 */
obj_t BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00(obj_t BgL_envz00_4760, obj_t BgL_sslz00_4761, obj_t BgL_bufz00_4762)
{
{ /* Llib/ssl.scm 1022 */
return 
BINT(
bgl_ssl_connection_set_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4761), 
((obj_t)BgL_bufz00_4762)));} 

}



/* &ssl-connection-clear1292 */
obj_t BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00(obj_t BgL_envz00_4763, obj_t BgL_sslz00_4764)
{
{ /* Llib/ssl.scm 1012 */
return 
BINT(
bgl_ssl_connection_clear_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4764)));} 

}



/* &ssl-connection-enc-p1290 */
obj_t BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00(obj_t BgL_envz00_4765, obj_t BgL_sslz00_4766)
{
{ /* Llib/ssl.scm 1002 */
return 
BINT(
bgl_ssl_connection_enc_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4766)));} 

}



/* &ssl-connection-init-1288 */
obj_t BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00(obj_t BgL_envz00_4767, obj_t BgL_sslz00_4768)
{
{ /* Llib/ssl.scm 992 */
return 
BBOOL(
bgl_ssl_connection_init_finishedp(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4768)));} 

}



/* &ssl-connection-clear1286 */
obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t BgL_envz00_4769, obj_t BgL_sslz00_4770, obj_t BgL_bufferz00_4771, obj_t BgL_offsetz00_4772, obj_t BgL_lenz00_4773)
{
{ /* Llib/ssl.scm 982 */
{ /* Llib/ssl.scm 985 */
 long BgL_tmpz00_10405;
{ /* Llib/ssl.scm 985 */
 long BgL_offsetz00_5869; long BgL_lenz00_5870;
BgL_offsetz00_5869 = 
(long)CINT(BgL_offsetz00_4772); 
BgL_lenz00_5870 = 
(long)CINT(BgL_lenz00_4773); 
BgL_tmpz00_10405 = 
bgl_ssl_connection_clear_out(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4770), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4771)), BgL_offsetz00_5869, BgL_lenz00_5870); } 
return 
BINT(BgL_tmpz00_10405);} } 

}



/* &ssl-connection-clear1284 */
obj_t BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00(obj_t BgL_envz00_4774, obj_t BgL_sslz00_4775, obj_t BgL_bufferz00_4776, obj_t BgL_offsetz00_4777, obj_t BgL_lenz00_4778)
{
{ /* Llib/ssl.scm 972 */
{ /* Llib/ssl.scm 975 */
 long BgL_tmpz00_10413;
{ /* Llib/ssl.scm 975 */
 long BgL_offsetz00_5873; long BgL_lenz00_5874;
BgL_offsetz00_5873 = 
(long)CINT(BgL_offsetz00_4777); 
BgL_lenz00_5874 = 
(long)CINT(BgL_lenz00_4778); 
BgL_tmpz00_10413 = 
bgl_ssl_connection_clear_in(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4775), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4776)), BgL_offsetz00_5873, BgL_lenz00_5874); } 
return 
BINT(BgL_tmpz00_10413);} } 

}



/* &ssl-connection-write1282 */
obj_t BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00(obj_t BgL_envz00_4779, obj_t BgL_sslz00_4780, obj_t BgL_bufferz00_4781, obj_t BgL_offsetz00_4782, obj_t BgL_lenz00_4783)
{
{ /* Llib/ssl.scm 962 */
{ /* Llib/ssl.scm 965 */
 long BgL_tmpz00_10421;
{ /* Llib/ssl.scm 965 */
 long BgL_offsetz00_5877; long BgL_lenz00_5878;
BgL_offsetz00_5877 = 
(long)CINT(BgL_offsetz00_4782); 
BgL_lenz00_5878 = 
(long)CINT(BgL_lenz00_4783); 
BgL_tmpz00_10421 = 
bgl_ssl_connection_write(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4780), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4781)), BgL_offsetz00_5877, BgL_lenz00_5878); } 
return 
BINT(BgL_tmpz00_10421);} } 

}



/* &ssl-connection-read1280 */
obj_t BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00(obj_t BgL_envz00_4784, obj_t BgL_sslz00_4785, obj_t BgL_bufferz00_4786, obj_t BgL_offsetz00_4787, obj_t BgL_lenz00_4788)
{
{ /* Llib/ssl.scm 952 */
{ /* Llib/ssl.scm 955 */
 long BgL_tmpz00_10429;
{ /* Llib/ssl.scm 955 */
 long BgL_offsetz00_5881; long BgL_lenz00_5882;
BgL_offsetz00_5881 = 
(long)CINT(BgL_offsetz00_4787); 
BgL_lenz00_5882 = 
(long)CINT(BgL_lenz00_4788); 
BgL_tmpz00_10429 = 
bgl_ssl_connection_read(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4785), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4786)), BgL_offsetz00_5881, BgL_lenz00_5882); } 
return 
BINT(BgL_tmpz00_10429);} } 

}



/* &ssl-connection-shutd1278 */
obj_t BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00(obj_t BgL_envz00_4789, obj_t BgL_sslz00_4790)
{
{ /* Llib/ssl.scm 942 */
return 
bgl_ssl_connection_shutdown(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4790));} 

}



/* &ssl-connection-close1276 */
obj_t BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00(obj_t BgL_envz00_4791, obj_t BgL_sslz00_4792)
{
{ /* Llib/ssl.scm 932 */
return 
BINT(
bgl_ssl_connection_close(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4792)));} 

}



/* &ssl-connection-start1274 */
obj_t BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00(obj_t BgL_envz00_4793, obj_t BgL_sslz00_4794)
{
{ /* Llib/ssl.scm 922 */
return 
BINT(
bgl_ssl_connection_start(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4794)));} 

}



/* &ssl-connection-init1272 */
obj_t BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00(obj_t BgL_envz00_4795, obj_t BgL_sslz00_4796)
{
{ /* Llib/ssl.scm 912 */
return 
bgl_ssl_connection_init(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4796));} 

}



/* &secure-context-set-o1270 */
obj_t BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00(obj_t BgL_envz00_4797, obj_t BgL_scz00_4798, obj_t BgL_optionsz00_4799)
{
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 903 */
 bool_t BgL_tmpz00_10447;
{ /* Llib/ssl.scm 903 */
 int BgL_optionsz00_5888;
BgL_optionsz00_5888 = 
CINT(BgL_optionsz00_4799); 
{ /* Llib/ssl.scm 904 */
 void * BgL_arg2269z00_5889;
BgL_arg2269z00_5889 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4798)))->BgL_z42nativez42); 
SSL_CTX_set_options(BgL_arg2269z00_5889, BgL_optionsz00_5888); BUNSPEC; } 
BgL_tmpz00_10447 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_10447);} } 

}



/* &secure-context-set-c1268 */
obj_t BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00(obj_t BgL_envz00_4800, obj_t BgL_scz00_4801, obj_t BgL_ciphersz00_4802)
{
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 891 */
 bool_t BgL_tmpz00_10453;
{ /* Llib/ssl.scm 892 */
 char * BgL_auxz00_10457; void * BgL_tmpz00_10454;
BgL_auxz00_10457 = 
BSTRING_TO_STRING(
((obj_t)BgL_ciphersz00_4802)); 
BgL_tmpz00_10454 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4801)))->BgL_z42nativez42); 
SSL_CTX_set_cipher_list(BgL_tmpz00_10454, BgL_auxz00_10457); } 
BgL_tmpz00_10453 = ((bool_t)1); 
return 
BBOOL(BgL_tmpz00_10453);} } 

}



/* &secure-context-load-1266 */
obj_t BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00(obj_t BgL_envz00_4803, obj_t BgL_scz00_4804, obj_t BgL_pfxz00_4805, obj_t BgL_passz00_4806)
{
{ /* Llib/ssl.scm 878 */
return 
BBOOL(
bgl_load_pkcs12(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4804), 
((obj_t)BgL_pfxz00_4805), BgL_passz00_4806));} 

}



/* &secure-context-set-s1264 */
obj_t BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00(obj_t BgL_envz00_4807, obj_t BgL_scz00_4808, obj_t BgL_sicz00_4809, obj_t BgL_offsetz00_4810, obj_t BgL_lenz00_4811)
{
{ /* Llib/ssl.scm 868 */
{ /* Llib/ssl.scm 871 */
 bool_t BgL_tmpz00_10466;
{ /* Llib/ssl.scm 871 */
 long BgL_offsetz00_5896; long BgL_lenz00_5897;
BgL_offsetz00_5896 = 
(long)CINT(BgL_offsetz00_4810); 
BgL_lenz00_5897 = 
(long)CINT(BgL_lenz00_4811); 
BgL_tmpz00_10466 = 
bgl_ssl_ctx_set_session_id_context(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4808), 
((obj_t)BgL_sicz00_4809), BgL_offsetz00_5896, BgL_lenz00_5897); } 
return 
BBOOL(BgL_tmpz00_10466);} } 

}



/* &secure-context-set-c1262 */
obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t BgL_envz00_4812, obj_t BgL_scz00_4813, obj_t BgL_certz00_4814, obj_t BgL_offsetz00_4815, obj_t BgL_lenz00_4816)
{
{ /* Llib/ssl.scm 858 */
{ /* Llib/ssl.scm 861 */
 bool_t BgL_tmpz00_10473;
{ /* Llib/ssl.scm 861 */
 long BgL_offsetz00_5900; long BgL_lenz00_5901;
BgL_offsetz00_5900 = 
(long)CINT(BgL_offsetz00_4815); 
BgL_lenz00_5901 = 
(long)CINT(BgL_lenz00_4816); 
BgL_tmpz00_10473 = 
bgl_ssl_ctx_set_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4813), 
((obj_t)BgL_certz00_4814), BgL_offsetz00_5900, BgL_lenz00_5901); } 
return 
BBOOL(BgL_tmpz00_10473);} } 

}



/* &secure-context-set-k1252 */
obj_t BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00(obj_t BgL_envz00_4817, obj_t BgL_scz00_4818, obj_t BgL_certz00_4819, obj_t BgL_offsetz00_4820, obj_t BgL_lenz00_4821, obj_t BgL_passphrasez00_4822)
{
{ /* Llib/ssl.scm 848 */
return 
BBOOL(
bgl_ssl_ctx_set_key(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4818), BgL_certz00_4819, 
(long)CINT(BgL_offsetz00_4820), 
(long)CINT(BgL_lenz00_4821), BgL_passphrasez00_4822));} 

}



/* &secure-context-add-c1250 */
obj_t BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00(obj_t BgL_envz00_4823, obj_t BgL_scz00_4824, obj_t BgL_certz00_4825, obj_t BgL_offsetz00_4826, obj_t BgL_lenz00_4827)
{
{ /* Llib/ssl.scm 838 */
{ /* Llib/ssl.scm 841 */
 bool_t BgL_tmpz00_10485;
{ /* Llib/ssl.scm 841 */
 long BgL_offsetz00_5904; long BgL_lenz00_5905;
BgL_offsetz00_5904 = 
(long)CINT(BgL_offsetz00_4826); 
BgL_lenz00_5905 = 
(long)CINT(BgL_lenz00_4827); 
BgL_tmpz00_10485 = 
bgl_ssl_ctx_add_crl(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4824), 
((obj_t)BgL_certz00_4825), BgL_offsetz00_5904, BgL_lenz00_5905); } 
return 
BBOOL(BgL_tmpz00_10485);} } 

}



/* &secure-context-add-c1248 */
obj_t BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00(obj_t BgL_envz00_4828, obj_t BgL_scz00_4829, obj_t BgL_certz00_4830, obj_t BgL_offsetz00_4831, obj_t BgL_lenz00_4832)
{
{ /* Llib/ssl.scm 828 */
{ /* Llib/ssl.scm 831 */
 bool_t BgL_tmpz00_10492;
{ /* Llib/ssl.scm 831 */
 long BgL_offsetz00_5908; long BgL_lenz00_5909;
BgL_offsetz00_5908 = 
(long)CINT(BgL_offsetz00_4831); 
BgL_lenz00_5909 = 
(long)CINT(BgL_lenz00_4832); 
BgL_tmpz00_10492 = 
bgl_ssl_ctx_add_ca_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4829), 
((obj_t)BgL_certz00_4830), BgL_offsetz00_5908, BgL_lenz00_5909); } 
return 
BBOOL(BgL_tmpz00_10492);} } 

}



/* &secure-context-add-r1246 */
obj_t BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00(obj_t BgL_envz00_4833, obj_t BgL_scz00_4834)
{
{ /* Llib/ssl.scm 818 */
return 
BBOOL(
bgl_ssl_ctx_add_root_certs(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4834)));} 

}



/* &secure-context-close1244 */
obj_t BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00(obj_t BgL_envz00_4835, obj_t BgL_scz00_4836)
{
{ /* Llib/ssl.scm 808 */
return 
bgl_ssl_ctx_close(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4836));} 

}



/* &secure-context-init1242 */
obj_t BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00(obj_t BgL_envz00_4837, obj_t BgL_scz00_4838)
{
{ /* Llib/ssl.scm 798 */
return 
bgl_ssl_ctx_init(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4838));} 

}



/* secure-context-init */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_44)
{
{ /* Llib/ssl.scm 798 */
{ /* Llib/ssl.scm 798 */
 obj_t BgL_method1243z00_1719;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_res2360z00_2366;
{ /* Llib/ssl.scm 798 */
 long BgL_objzd2classzd2numz00_2337;
BgL_objzd2classzd2numz00_2337 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_44)); 
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1782z00_2338;
BgL_arg1782z00_2338 = 
PROCEDURE_REF(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 798 */
 int BgL_offsetz00_2341;
BgL_offsetz00_2341 = 
(int)(BgL_objzd2classzd2numz00_2337); 
{ /* Llib/ssl.scm 798 */
 long BgL_offsetz00_2342;
BgL_offsetz00_2342 = 
(
(long)(BgL_offsetz00_2341)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 798 */
 long BgL_modz00_2343;
BgL_modz00_2343 = 
(BgL_offsetz00_2342 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 798 */
 long BgL_restz00_2345;
BgL_restz00_2345 = 
(BgL_offsetz00_2342 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 798 */

{ /* Llib/ssl.scm 798 */
 obj_t BgL_bucketz00_2347;
BgL_bucketz00_2347 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2338),BgL_modz00_2343); 
BgL_res2360z00_2366 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2347),BgL_restz00_2345); } } } } } } } } 
BgL_method1243z00_1719 = BgL_res2360z00_2366; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1243z00_1719))(BgL_method1243z00_1719, 
((obj_t)BgL_scz00_44), BEOA);} } 

}



/* &secure-context-init */
obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4589, obj_t BgL_scz00_4590)
{
{ /* Llib/ssl.scm 798 */
{ /* Llib/ssl.scm 798 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10536;
{ /* Llib/ssl.scm 798 */
 bool_t BgL_test4059z00_10537;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_classz00_5913;
BgL_classz00_5913 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4590))
{ /* Llib/ssl.scm 798 */
 BgL_objectz00_bglt BgL_arg1780z00_5915; long BgL_arg1781z00_5916;
BgL_arg1780z00_5915 = 
(BgL_objectz00_bglt)(BgL_scz00_4590); 
BgL_arg1781z00_5916 = 
BGL_CLASS_DEPTH(BgL_classz00_5913); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 798 */
 long BgL_idxz00_5924;
BgL_idxz00_5924 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_5915); 
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1773z00_5925;
{ /* Llib/ssl.scm 798 */
 long BgL_arg1774z00_5926;
BgL_arg1774z00_5926 = 
(BgL_idxz00_5924+BgL_arg1781z00_5916); 
BgL_arg1773z00_5925 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_5926); } 
BgL_test4059z00_10537 = 
(BgL_arg1773z00_5925==BgL_classz00_5913); } }  else 
{ /* Llib/ssl.scm 798 */
 bool_t BgL_res3333z00_5949;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_oclassz00_5934;
{ /* Llib/ssl.scm 798 */
 long BgL_arg1785z00_5940;
{ /* Llib/ssl.scm 798 */
 long BgL_arg1786z00_5941;
BgL_arg1786z00_5941 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_5915); 
BgL_arg1785z00_5940 = 
(BgL_arg1786z00_5941-OBJECT_TYPE); } 
BgL_oclassz00_5934 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_5940); } 
{ /* Llib/ssl.scm 798 */
 bool_t BgL__ortest_1114z00_5935;
BgL__ortest_1114z00_5935 = 
(BgL_classz00_5913==BgL_oclassz00_5934); 
if(BgL__ortest_1114z00_5935)
{ /* Llib/ssl.scm 798 */
BgL_res3333z00_5949 = BgL__ortest_1114z00_5935; }  else 
{ /* Llib/ssl.scm 798 */
 long BgL_odepthz00_5936;
BgL_odepthz00_5936 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5934); 
if(
(BgL_arg1781z00_5916<BgL_odepthz00_5936))
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1775z00_5938;
BgL_arg1775z00_5938 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5934, BgL_arg1781z00_5916); 
BgL_res3333z00_5949 = 
(BgL_arg1775z00_5938==BgL_classz00_5913); }  else 
{ /* Llib/ssl.scm 798 */
BgL_res3333z00_5949 = ((bool_t)0); } } } } 
BgL_test4059z00_10537 = BgL_res3333z00_5949; } }  else 
{ /* Llib/ssl.scm 798 */
BgL_test4059z00_10537 = ((bool_t)0)
; } } 
if(BgL_test4059z00_10537)
{ /* Llib/ssl.scm 798 */
BgL_auxz00_10536 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4590)
; }  else 
{ 
 obj_t BgL_auxz00_10559;
BgL_auxz00_10559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(32735L), BGl_string3273z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4590); 
FAILURE(BgL_auxz00_10559,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_auxz00_10536);} } 

}



/* secure-context-close */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_45)
{
{ /* Llib/ssl.scm 808 */
{ /* Llib/ssl.scm 808 */
 obj_t BgL_method1245z00_1720;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_res2365z00_2397;
{ /* Llib/ssl.scm 808 */
 long BgL_objzd2classzd2numz00_2368;
BgL_objzd2classzd2numz00_2368 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_45)); 
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1782z00_2369;
BgL_arg1782z00_2369 = 
PROCEDURE_REF(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 808 */
 int BgL_offsetz00_2372;
BgL_offsetz00_2372 = 
(int)(BgL_objzd2classzd2numz00_2368); 
{ /* Llib/ssl.scm 808 */
 long BgL_offsetz00_2373;
BgL_offsetz00_2373 = 
(
(long)(BgL_offsetz00_2372)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 808 */
 long BgL_modz00_2374;
BgL_modz00_2374 = 
(BgL_offsetz00_2373 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 808 */
 long BgL_restz00_2376;
BgL_restz00_2376 = 
(BgL_offsetz00_2373 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 808 */

{ /* Llib/ssl.scm 808 */
 obj_t BgL_bucketz00_2378;
BgL_bucketz00_2378 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2369),BgL_modz00_2374); 
BgL_res2365z00_2397 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2378),BgL_restz00_2376); } } } } } } } } 
BgL_method1245z00_1720 = BgL_res2365z00_2397; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1245z00_1720))(BgL_method1245z00_1720, 
((obj_t)BgL_scz00_45), BEOA);} } 

}



/* &secure-context-close */
obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4839, obj_t BgL_scz00_4840)
{
{ /* Llib/ssl.scm 808 */
{ /* Llib/ssl.scm 808 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10594;
{ /* Llib/ssl.scm 808 */
 bool_t BgL_test4064z00_10595;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_classz00_5950;
BgL_classz00_5950 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4840))
{ /* Llib/ssl.scm 808 */
 BgL_objectz00_bglt BgL_arg1780z00_5952; long BgL_arg1781z00_5953;
BgL_arg1780z00_5952 = 
(BgL_objectz00_bglt)(BgL_scz00_4840); 
BgL_arg1781z00_5953 = 
BGL_CLASS_DEPTH(BgL_classz00_5950); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 808 */
 long BgL_idxz00_5961;
BgL_idxz00_5961 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_5952); 
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1773z00_5962;
{ /* Llib/ssl.scm 808 */
 long BgL_arg1774z00_5963;
BgL_arg1774z00_5963 = 
(BgL_idxz00_5961+BgL_arg1781z00_5953); 
BgL_arg1773z00_5962 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_5963); } 
BgL_test4064z00_10595 = 
(BgL_arg1773z00_5962==BgL_classz00_5950); } }  else 
{ /* Llib/ssl.scm 808 */
 bool_t BgL_res3334z00_5986;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_oclassz00_5971;
{ /* Llib/ssl.scm 808 */
 long BgL_arg1785z00_5977;
{ /* Llib/ssl.scm 808 */
 long BgL_arg1786z00_5978;
BgL_arg1786z00_5978 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_5952); 
BgL_arg1785z00_5977 = 
(BgL_arg1786z00_5978-OBJECT_TYPE); } 
BgL_oclassz00_5971 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_5977); } 
{ /* Llib/ssl.scm 808 */
 bool_t BgL__ortest_1114z00_5972;
BgL__ortest_1114z00_5972 = 
(BgL_classz00_5950==BgL_oclassz00_5971); 
if(BgL__ortest_1114z00_5972)
{ /* Llib/ssl.scm 808 */
BgL_res3334z00_5986 = BgL__ortest_1114z00_5972; }  else 
{ /* Llib/ssl.scm 808 */
 long BgL_odepthz00_5973;
BgL_odepthz00_5973 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5971); 
if(
(BgL_arg1781z00_5953<BgL_odepthz00_5973))
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1775z00_5975;
BgL_arg1775z00_5975 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5971, BgL_arg1781z00_5953); 
BgL_res3334z00_5986 = 
(BgL_arg1775z00_5975==BgL_classz00_5950); }  else 
{ /* Llib/ssl.scm 808 */
BgL_res3334z00_5986 = ((bool_t)0); } } } } 
BgL_test4064z00_10595 = BgL_res3334z00_5986; } }  else 
{ /* Llib/ssl.scm 808 */
BgL_test4064z00_10595 = ((bool_t)0)
; } } 
if(BgL_test4064z00_10595)
{ /* Llib/ssl.scm 808 */
BgL_auxz00_10594 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4840)
; }  else 
{ 
 obj_t BgL_auxz00_10617;
BgL_auxz00_10617 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(33111L), BGl_string3274z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4840); 
FAILURE(BgL_auxz00_10617,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_auxz00_10594);} } 

}



/* secure-context-add-root-certs! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_46)
{
{ /* Llib/ssl.scm 818 */
{ /* Llib/ssl.scm 818 */
 obj_t BgL_method1247z00_1721;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_res2370z00_2428;
{ /* Llib/ssl.scm 818 */
 long BgL_objzd2classzd2numz00_2399;
BgL_objzd2classzd2numz00_2399 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_46)); 
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1782z00_2400;
BgL_arg1782z00_2400 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 818 */
 int BgL_offsetz00_2403;
BgL_offsetz00_2403 = 
(int)(BgL_objzd2classzd2numz00_2399); 
{ /* Llib/ssl.scm 818 */
 long BgL_offsetz00_2404;
BgL_offsetz00_2404 = 
(
(long)(BgL_offsetz00_2403)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 818 */
 long BgL_modz00_2405;
BgL_modz00_2405 = 
(BgL_offsetz00_2404 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 818 */
 long BgL_restz00_2407;
BgL_restz00_2407 = 
(BgL_offsetz00_2404 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 818 */

{ /* Llib/ssl.scm 818 */
 obj_t BgL_bucketz00_2409;
BgL_bucketz00_2409 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2400),BgL_modz00_2405); 
BgL_res2370z00_2428 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2409),BgL_restz00_2407); } } } } } } } } 
BgL_method1247z00_1721 = BgL_res2370z00_2428; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1247z00_1721))(BgL_method1247z00_1721, 
((obj_t)BgL_scz00_46), BEOA));} } 

}



/* &secure-context-add-root-certs! */
obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t BgL_envz00_4841, obj_t BgL_scz00_4842)
{
{ /* Llib/ssl.scm 818 */
{ /* Llib/ssl.scm 818 */
 bool_t BgL_tmpz00_10653;
{ /* Llib/ssl.scm 818 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10654;
{ /* Llib/ssl.scm 818 */
 bool_t BgL_test4069z00_10655;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_classz00_5987;
BgL_classz00_5987 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4842))
{ /* Llib/ssl.scm 818 */
 BgL_objectz00_bglt BgL_arg1780z00_5989; long BgL_arg1781z00_5990;
BgL_arg1780z00_5989 = 
(BgL_objectz00_bglt)(BgL_scz00_4842); 
BgL_arg1781z00_5990 = 
BGL_CLASS_DEPTH(BgL_classz00_5987); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 818 */
 long BgL_idxz00_5998;
BgL_idxz00_5998 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_5989); 
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1773z00_5999;
{ /* Llib/ssl.scm 818 */
 long BgL_arg1774z00_6000;
BgL_arg1774z00_6000 = 
(BgL_idxz00_5998+BgL_arg1781z00_5990); 
BgL_arg1773z00_5999 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6000); } 
BgL_test4069z00_10655 = 
(BgL_arg1773z00_5999==BgL_classz00_5987); } }  else 
{ /* Llib/ssl.scm 818 */
 bool_t BgL_res3335z00_6023;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_oclassz00_6008;
{ /* Llib/ssl.scm 818 */
 long BgL_arg1785z00_6014;
{ /* Llib/ssl.scm 818 */
 long BgL_arg1786z00_6015;
BgL_arg1786z00_6015 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_5989); 
BgL_arg1785z00_6014 = 
(BgL_arg1786z00_6015-OBJECT_TYPE); } 
BgL_oclassz00_6008 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6014); } 
{ /* Llib/ssl.scm 818 */
 bool_t BgL__ortest_1114z00_6009;
BgL__ortest_1114z00_6009 = 
(BgL_classz00_5987==BgL_oclassz00_6008); 
if(BgL__ortest_1114z00_6009)
{ /* Llib/ssl.scm 818 */
BgL_res3335z00_6023 = BgL__ortest_1114z00_6009; }  else 
{ /* Llib/ssl.scm 818 */
 long BgL_odepthz00_6010;
BgL_odepthz00_6010 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6008); 
if(
(BgL_arg1781z00_5990<BgL_odepthz00_6010))
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1775z00_6012;
BgL_arg1775z00_6012 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6008, BgL_arg1781z00_5990); 
BgL_res3335z00_6023 = 
(BgL_arg1775z00_6012==BgL_classz00_5987); }  else 
{ /* Llib/ssl.scm 818 */
BgL_res3335z00_6023 = ((bool_t)0); } } } } 
BgL_test4069z00_10655 = BgL_res3335z00_6023; } }  else 
{ /* Llib/ssl.scm 818 */
BgL_test4069z00_10655 = ((bool_t)0)
; } } 
if(BgL_test4069z00_10655)
{ /* Llib/ssl.scm 818 */
BgL_auxz00_10654 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4842)
; }  else 
{ 
 obj_t BgL_auxz00_10677;
BgL_auxz00_10677 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(33489L), BGl_string3275z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4842); 
FAILURE(BgL_auxz00_10677,BFALSE,BFALSE);} } 
BgL_tmpz00_10653 = 
BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_auxz00_10654); } 
return 
BBOOL(BgL_tmpz00_10653);} } 

}



/* secure-context-add-ca-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_47, obj_t BgL_certz00_48, long BgL_offsetz00_49, long BgL_lenz00_50)
{
{ /* Llib/ssl.scm 828 */
{ /* Llib/ssl.scm 828 */
 obj_t BgL_method1249z00_1722;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_res2375z00_2459;
{ /* Llib/ssl.scm 828 */
 long BgL_objzd2classzd2numz00_2430;
BgL_objzd2classzd2numz00_2430 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_47)); 
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1782z00_2431;
BgL_arg1782z00_2431 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 828 */
 int BgL_offsetz00_2434;
BgL_offsetz00_2434 = 
(int)(BgL_objzd2classzd2numz00_2430); 
{ /* Llib/ssl.scm 828 */
 long BgL_offsetz00_2435;
BgL_offsetz00_2435 = 
(
(long)(BgL_offsetz00_2434)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 828 */
 long BgL_modz00_2436;
BgL_modz00_2436 = 
(BgL_offsetz00_2435 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 828 */
 long BgL_restz00_2438;
BgL_restz00_2438 = 
(BgL_offsetz00_2435 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 828 */

{ /* Llib/ssl.scm 828 */
 obj_t BgL_bucketz00_2440;
BgL_bucketz00_2440 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2431),BgL_modz00_2436); 
BgL_res2375z00_2459 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2440),BgL_restz00_2438); } } } } } } } } 
BgL_method1249z00_1722 = BgL_res2375z00_2459; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1249z00_1722))(BgL_method1249z00_1722, 
((obj_t)BgL_scz00_47), BgL_certz00_48, 
BINT(BgL_offsetz00_49), 
BINT(BgL_lenz00_50), BEOA));} } 

}



/* &secure-context-add-ca-cert! */
obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t BgL_envz00_4843, obj_t BgL_scz00_4844, obj_t BgL_certz00_4845, obj_t BgL_offsetz00_4846, obj_t BgL_lenz00_4847)
{
{ /* Llib/ssl.scm 828 */
{ /* Llib/ssl.scm 828 */
 bool_t BgL_tmpz00_10719;
{ /* Llib/ssl.scm 828 */
 long BgL_auxz00_10763; long BgL_auxz00_10754; obj_t BgL_auxz00_10747; BgL_securezd2contextzd2_bglt BgL_auxz00_10720;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_tmpz00_10764;
if(
INTEGERP(BgL_lenz00_4847))
{ /* Llib/ssl.scm 828 */
BgL_tmpz00_10764 = BgL_lenz00_4847
; }  else 
{ 
 obj_t BgL_auxz00_10767;
BgL_auxz00_10767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3276z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4847); 
FAILURE(BgL_auxz00_10767,BFALSE,BFALSE);} 
BgL_auxz00_10763 = 
(long)CINT(BgL_tmpz00_10764); } 
{ /* Llib/ssl.scm 828 */
 obj_t BgL_tmpz00_10755;
if(
INTEGERP(BgL_offsetz00_4846))
{ /* Llib/ssl.scm 828 */
BgL_tmpz00_10755 = BgL_offsetz00_4846
; }  else 
{ 
 obj_t BgL_auxz00_10758;
BgL_auxz00_10758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3276z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4846); 
FAILURE(BgL_auxz00_10758,BFALSE,BFALSE);} 
BgL_auxz00_10754 = 
(long)CINT(BgL_tmpz00_10755); } 
if(
STRINGP(BgL_certz00_4845))
{ /* Llib/ssl.scm 828 */
BgL_auxz00_10747 = BgL_certz00_4845
; }  else 
{ 
 obj_t BgL_auxz00_10750;
BgL_auxz00_10750 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3276z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_certz00_4845); 
FAILURE(BgL_auxz00_10750,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 828 */
 bool_t BgL_test4074z00_10721;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_classz00_6024;
BgL_classz00_6024 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4844))
{ /* Llib/ssl.scm 828 */
 BgL_objectz00_bglt BgL_arg1780z00_6026; long BgL_arg1781z00_6027;
BgL_arg1780z00_6026 = 
(BgL_objectz00_bglt)(BgL_scz00_4844); 
BgL_arg1781z00_6027 = 
BGL_CLASS_DEPTH(BgL_classz00_6024); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 828 */
 long BgL_idxz00_6035;
BgL_idxz00_6035 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6026); 
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1773z00_6036;
{ /* Llib/ssl.scm 828 */
 long BgL_arg1774z00_6037;
BgL_arg1774z00_6037 = 
(BgL_idxz00_6035+BgL_arg1781z00_6027); 
BgL_arg1773z00_6036 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6037); } 
BgL_test4074z00_10721 = 
(BgL_arg1773z00_6036==BgL_classz00_6024); } }  else 
{ /* Llib/ssl.scm 828 */
 bool_t BgL_res3336z00_6060;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_oclassz00_6045;
{ /* Llib/ssl.scm 828 */
 long BgL_arg1785z00_6051;
{ /* Llib/ssl.scm 828 */
 long BgL_arg1786z00_6052;
BgL_arg1786z00_6052 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6026); 
BgL_arg1785z00_6051 = 
(BgL_arg1786z00_6052-OBJECT_TYPE); } 
BgL_oclassz00_6045 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6051); } 
{ /* Llib/ssl.scm 828 */
 bool_t BgL__ortest_1114z00_6046;
BgL__ortest_1114z00_6046 = 
(BgL_classz00_6024==BgL_oclassz00_6045); 
if(BgL__ortest_1114z00_6046)
{ /* Llib/ssl.scm 828 */
BgL_res3336z00_6060 = BgL__ortest_1114z00_6046; }  else 
{ /* Llib/ssl.scm 828 */
 long BgL_odepthz00_6047;
BgL_odepthz00_6047 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6045); 
if(
(BgL_arg1781z00_6027<BgL_odepthz00_6047))
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1775z00_6049;
BgL_arg1775z00_6049 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6045, BgL_arg1781z00_6027); 
BgL_res3336z00_6060 = 
(BgL_arg1775z00_6049==BgL_classz00_6024); }  else 
{ /* Llib/ssl.scm 828 */
BgL_res3336z00_6060 = ((bool_t)0); } } } } 
BgL_test4074z00_10721 = BgL_res3336z00_6060; } }  else 
{ /* Llib/ssl.scm 828 */
BgL_test4074z00_10721 = ((bool_t)0)
; } } 
if(BgL_test4074z00_10721)
{ /* Llib/ssl.scm 828 */
BgL_auxz00_10720 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4844)
; }  else 
{ 
 obj_t BgL_auxz00_10743;
BgL_auxz00_10743 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3276z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4844); 
FAILURE(BgL_auxz00_10743,BFALSE,BFALSE);} } 
BgL_tmpz00_10719 = 
BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_auxz00_10720, BgL_auxz00_10747, BgL_auxz00_10754, BgL_auxz00_10763); } 
return 
BBOOL(BgL_tmpz00_10719);} } 

}



/* secure-context-add-crl! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_51, obj_t BgL_certz00_52, long BgL_offsetz00_53, long BgL_lenz00_54)
{
{ /* Llib/ssl.scm 838 */
{ /* Llib/ssl.scm 838 */
 obj_t BgL_method1251z00_1723;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_res2380z00_2490;
{ /* Llib/ssl.scm 838 */
 long BgL_objzd2classzd2numz00_2461;
BgL_objzd2classzd2numz00_2461 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_51)); 
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1782z00_2462;
BgL_arg1782z00_2462 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 838 */
 int BgL_offsetz00_2465;
BgL_offsetz00_2465 = 
(int)(BgL_objzd2classzd2numz00_2461); 
{ /* Llib/ssl.scm 838 */
 long BgL_offsetz00_2466;
BgL_offsetz00_2466 = 
(
(long)(BgL_offsetz00_2465)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 838 */
 long BgL_modz00_2467;
BgL_modz00_2467 = 
(BgL_offsetz00_2466 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 838 */
 long BgL_restz00_2469;
BgL_restz00_2469 = 
(BgL_offsetz00_2466 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 838 */

{ /* Llib/ssl.scm 838 */
 obj_t BgL_bucketz00_2471;
BgL_bucketz00_2471 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2462),BgL_modz00_2467); 
BgL_res2380z00_2490 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2471),BgL_restz00_2469); } } } } } } } } 
BgL_method1251z00_1723 = BgL_res2380z00_2490; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1251z00_1723))(BgL_method1251z00_1723, 
((obj_t)BgL_scz00_51), BgL_certz00_52, 
BINT(BgL_offsetz00_53), 
BINT(BgL_lenz00_54), BEOA));} } 

}



/* &secure-context-add-crl! */
obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t BgL_envz00_4848, obj_t BgL_scz00_4849, obj_t BgL_certz00_4850, obj_t BgL_offsetz00_4851, obj_t BgL_lenz00_4852)
{
{ /* Llib/ssl.scm 838 */
{ /* Llib/ssl.scm 838 */
 bool_t BgL_tmpz00_10810;
{ /* Llib/ssl.scm 838 */
 long BgL_auxz00_10854; long BgL_auxz00_10845; obj_t BgL_auxz00_10838; BgL_securezd2contextzd2_bglt BgL_auxz00_10811;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_tmpz00_10855;
if(
INTEGERP(BgL_lenz00_4852))
{ /* Llib/ssl.scm 838 */
BgL_tmpz00_10855 = BgL_lenz00_4852
; }  else 
{ 
 obj_t BgL_auxz00_10858;
BgL_auxz00_10858 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3277z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4852); 
FAILURE(BgL_auxz00_10858,BFALSE,BFALSE);} 
BgL_auxz00_10854 = 
(long)CINT(BgL_tmpz00_10855); } 
{ /* Llib/ssl.scm 838 */
 obj_t BgL_tmpz00_10846;
if(
INTEGERP(BgL_offsetz00_4851))
{ /* Llib/ssl.scm 838 */
BgL_tmpz00_10846 = BgL_offsetz00_4851
; }  else 
{ 
 obj_t BgL_auxz00_10849;
BgL_auxz00_10849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3277z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4851); 
FAILURE(BgL_auxz00_10849,BFALSE,BFALSE);} 
BgL_auxz00_10845 = 
(long)CINT(BgL_tmpz00_10846); } 
if(
STRINGP(BgL_certz00_4850))
{ /* Llib/ssl.scm 838 */
BgL_auxz00_10838 = BgL_certz00_4850
; }  else 
{ 
 obj_t BgL_auxz00_10841;
BgL_auxz00_10841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3277z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_certz00_4850); 
FAILURE(BgL_auxz00_10841,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 838 */
 bool_t BgL_test4082z00_10812;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_classz00_6061;
BgL_classz00_6061 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4849))
{ /* Llib/ssl.scm 838 */
 BgL_objectz00_bglt BgL_arg1780z00_6063; long BgL_arg1781z00_6064;
BgL_arg1780z00_6063 = 
(BgL_objectz00_bglt)(BgL_scz00_4849); 
BgL_arg1781z00_6064 = 
BGL_CLASS_DEPTH(BgL_classz00_6061); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 838 */
 long BgL_idxz00_6072;
BgL_idxz00_6072 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6063); 
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1773z00_6073;
{ /* Llib/ssl.scm 838 */
 long BgL_arg1774z00_6074;
BgL_arg1774z00_6074 = 
(BgL_idxz00_6072+BgL_arg1781z00_6064); 
BgL_arg1773z00_6073 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6074); } 
BgL_test4082z00_10812 = 
(BgL_arg1773z00_6073==BgL_classz00_6061); } }  else 
{ /* Llib/ssl.scm 838 */
 bool_t BgL_res3337z00_6097;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_oclassz00_6082;
{ /* Llib/ssl.scm 838 */
 long BgL_arg1785z00_6088;
{ /* Llib/ssl.scm 838 */
 long BgL_arg1786z00_6089;
BgL_arg1786z00_6089 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6063); 
BgL_arg1785z00_6088 = 
(BgL_arg1786z00_6089-OBJECT_TYPE); } 
BgL_oclassz00_6082 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6088); } 
{ /* Llib/ssl.scm 838 */
 bool_t BgL__ortest_1114z00_6083;
BgL__ortest_1114z00_6083 = 
(BgL_classz00_6061==BgL_oclassz00_6082); 
if(BgL__ortest_1114z00_6083)
{ /* Llib/ssl.scm 838 */
BgL_res3337z00_6097 = BgL__ortest_1114z00_6083; }  else 
{ /* Llib/ssl.scm 838 */
 long BgL_odepthz00_6084;
BgL_odepthz00_6084 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6082); 
if(
(BgL_arg1781z00_6064<BgL_odepthz00_6084))
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1775z00_6086;
BgL_arg1775z00_6086 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6082, BgL_arg1781z00_6064); 
BgL_res3337z00_6097 = 
(BgL_arg1775z00_6086==BgL_classz00_6061); }  else 
{ /* Llib/ssl.scm 838 */
BgL_res3337z00_6097 = ((bool_t)0); } } } } 
BgL_test4082z00_10812 = BgL_res3337z00_6097; } }  else 
{ /* Llib/ssl.scm 838 */
BgL_test4082z00_10812 = ((bool_t)0)
; } } 
if(BgL_test4082z00_10812)
{ /* Llib/ssl.scm 838 */
BgL_auxz00_10811 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4849)
; }  else 
{ 
 obj_t BgL_auxz00_10834;
BgL_auxz00_10834 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3277z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4849); 
FAILURE(BgL_auxz00_10834,BFALSE,BFALSE);} } 
BgL_tmpz00_10810 = 
BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_auxz00_10811, BgL_auxz00_10838, BgL_auxz00_10845, BgL_auxz00_10854); } 
return 
BBOOL(BgL_tmpz00_10810);} } 

}



/* secure-context-set-key! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_55, obj_t BgL_certz00_56, long BgL_offsetz00_57, long BgL_lenz00_58, obj_t BgL_passphrasez00_59)
{
{ /* Llib/ssl.scm 848 */
{ /* Llib/ssl.scm 354 */
 obj_t BgL_method1253z00_1724;
{ /* Llib/ssl.scm 354 */
 obj_t BgL_res2385z00_2521;
{ /* Llib/ssl.scm 354 */
 long BgL_objzd2classzd2numz00_2492;
BgL_objzd2classzd2numz00_2492 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_55)); 
{ /* Llib/ssl.scm 354 */
 obj_t BgL_arg1782z00_2493;
BgL_arg1782z00_2493 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 354 */
 int BgL_offsetz00_2496;
BgL_offsetz00_2496 = 
(int)(BgL_objzd2classzd2numz00_2492); 
{ /* Llib/ssl.scm 354 */
 long BgL_offsetz00_2497;
BgL_offsetz00_2497 = 
(
(long)(BgL_offsetz00_2496)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 354 */
 long BgL_modz00_2498;
BgL_modz00_2498 = 
(BgL_offsetz00_2497 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 354 */
 long BgL_restz00_2500;
BgL_restz00_2500 = 
(BgL_offsetz00_2497 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 354 */

{ /* Llib/ssl.scm 354 */
 obj_t BgL_bucketz00_2502;
BgL_bucketz00_2502 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2493),BgL_modz00_2498); 
BgL_res2385z00_2521 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2502),BgL_restz00_2500); } } } } } } } } 
BgL_method1253z00_1724 = BgL_res2385z00_2521; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1253z00_1724))(BgL_method1253z00_1724, 
((obj_t)BgL_scz00_55), BgL_certz00_56, 
BINT(BgL_offsetz00_57), 
BINT(BgL_lenz00_58), BgL_passphrasez00_59, BEOA));} } 

}



/* secure-context-set-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_62, obj_t BgL_certz00_63, long BgL_offsetz00_64, long BgL_lenz00_65)
{
{ /* Llib/ssl.scm 858 */
{ /* Llib/ssl.scm 858 */
 obj_t BgL_method1263z00_1725;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_res2390z00_2552;
{ /* Llib/ssl.scm 858 */
 long BgL_objzd2classzd2numz00_2523;
BgL_objzd2classzd2numz00_2523 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_62)); 
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1782z00_2524;
BgL_arg1782z00_2524 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 858 */
 int BgL_offsetz00_2527;
BgL_offsetz00_2527 = 
(int)(BgL_objzd2classzd2numz00_2523); 
{ /* Llib/ssl.scm 858 */
 long BgL_offsetz00_2528;
BgL_offsetz00_2528 = 
(
(long)(BgL_offsetz00_2527)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 858 */
 long BgL_modz00_2529;
BgL_modz00_2529 = 
(BgL_offsetz00_2528 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 858 */
 long BgL_restz00_2531;
BgL_restz00_2531 = 
(BgL_offsetz00_2528 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 858 */

{ /* Llib/ssl.scm 858 */
 obj_t BgL_bucketz00_2533;
BgL_bucketz00_2533 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2524),BgL_modz00_2529); 
BgL_res2390z00_2552 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2533),BgL_restz00_2531); } } } } } } } } 
BgL_method1263z00_1725 = BgL_res2390z00_2552; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1263z00_1725))(BgL_method1263z00_1725, 
((obj_t)BgL_scz00_62), BgL_certz00_63, 
BINT(BgL_offsetz00_64), 
BINT(BgL_lenz00_65), BEOA));} } 

}



/* &secure-context-set-cert! */
obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t BgL_envz00_4853, obj_t BgL_scz00_4854, obj_t BgL_certz00_4855, obj_t BgL_offsetz00_4856, obj_t BgL_lenz00_4857)
{
{ /* Llib/ssl.scm 858 */
{ /* Llib/ssl.scm 858 */
 bool_t BgL_tmpz00_10938;
{ /* Llib/ssl.scm 858 */
 long BgL_auxz00_10982; long BgL_auxz00_10973; obj_t BgL_auxz00_10966; BgL_securezd2contextzd2_bglt BgL_auxz00_10939;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_tmpz00_10983;
if(
INTEGERP(BgL_lenz00_4857))
{ /* Llib/ssl.scm 858 */
BgL_tmpz00_10983 = BgL_lenz00_4857
; }  else 
{ 
 obj_t BgL_auxz00_10986;
BgL_auxz00_10986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3278z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4857); 
FAILURE(BgL_auxz00_10986,BFALSE,BFALSE);} 
BgL_auxz00_10982 = 
(long)CINT(BgL_tmpz00_10983); } 
{ /* Llib/ssl.scm 858 */
 obj_t BgL_tmpz00_10974;
if(
INTEGERP(BgL_offsetz00_4856))
{ /* Llib/ssl.scm 858 */
BgL_tmpz00_10974 = BgL_offsetz00_4856
; }  else 
{ 
 obj_t BgL_auxz00_10977;
BgL_auxz00_10977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3278z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4856); 
FAILURE(BgL_auxz00_10977,BFALSE,BFALSE);} 
BgL_auxz00_10973 = 
(long)CINT(BgL_tmpz00_10974); } 
if(
STRINGP(BgL_certz00_4855))
{ /* Llib/ssl.scm 858 */
BgL_auxz00_10966 = BgL_certz00_4855
; }  else 
{ 
 obj_t BgL_auxz00_10969;
BgL_auxz00_10969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3278z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_certz00_4855); 
FAILURE(BgL_auxz00_10969,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 858 */
 bool_t BgL_test4090z00_10940;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_classz00_6098;
BgL_classz00_6098 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4854))
{ /* Llib/ssl.scm 858 */
 BgL_objectz00_bglt BgL_arg1780z00_6100; long BgL_arg1781z00_6101;
BgL_arg1780z00_6100 = 
(BgL_objectz00_bglt)(BgL_scz00_4854); 
BgL_arg1781z00_6101 = 
BGL_CLASS_DEPTH(BgL_classz00_6098); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 858 */
 long BgL_idxz00_6109;
BgL_idxz00_6109 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6100); 
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1773z00_6110;
{ /* Llib/ssl.scm 858 */
 long BgL_arg1774z00_6111;
BgL_arg1774z00_6111 = 
(BgL_idxz00_6109+BgL_arg1781z00_6101); 
BgL_arg1773z00_6110 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6111); } 
BgL_test4090z00_10940 = 
(BgL_arg1773z00_6110==BgL_classz00_6098); } }  else 
{ /* Llib/ssl.scm 858 */
 bool_t BgL_res3338z00_6134;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_oclassz00_6119;
{ /* Llib/ssl.scm 858 */
 long BgL_arg1785z00_6125;
{ /* Llib/ssl.scm 858 */
 long BgL_arg1786z00_6126;
BgL_arg1786z00_6126 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6100); 
BgL_arg1785z00_6125 = 
(BgL_arg1786z00_6126-OBJECT_TYPE); } 
BgL_oclassz00_6119 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6125); } 
{ /* Llib/ssl.scm 858 */
 bool_t BgL__ortest_1114z00_6120;
BgL__ortest_1114z00_6120 = 
(BgL_classz00_6098==BgL_oclassz00_6119); 
if(BgL__ortest_1114z00_6120)
{ /* Llib/ssl.scm 858 */
BgL_res3338z00_6134 = BgL__ortest_1114z00_6120; }  else 
{ /* Llib/ssl.scm 858 */
 long BgL_odepthz00_6121;
BgL_odepthz00_6121 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6119); 
if(
(BgL_arg1781z00_6101<BgL_odepthz00_6121))
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1775z00_6123;
BgL_arg1775z00_6123 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6119, BgL_arg1781z00_6101); 
BgL_res3338z00_6134 = 
(BgL_arg1775z00_6123==BgL_classz00_6098); }  else 
{ /* Llib/ssl.scm 858 */
BgL_res3338z00_6134 = ((bool_t)0); } } } } 
BgL_test4090z00_10940 = BgL_res3338z00_6134; } }  else 
{ /* Llib/ssl.scm 858 */
BgL_test4090z00_10940 = ((bool_t)0)
; } } 
if(BgL_test4090z00_10940)
{ /* Llib/ssl.scm 858 */
BgL_auxz00_10939 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4854)
; }  else 
{ 
 obj_t BgL_auxz00_10962;
BgL_auxz00_10962 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3278z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4854); 
FAILURE(BgL_auxz00_10962,BFALSE,BFALSE);} } 
BgL_tmpz00_10938 = 
BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_auxz00_10939, BgL_auxz00_10966, BgL_auxz00_10973, BgL_auxz00_10982); } 
return 
BBOOL(BgL_tmpz00_10938);} } 

}



/* secure-context-set-session-id-context! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_66, obj_t BgL_sicz00_67, long BgL_offsetz00_68, long BgL_lenz00_69)
{
{ /* Llib/ssl.scm 868 */
{ /* Llib/ssl.scm 868 */
 obj_t BgL_method1265z00_1726;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_res2395z00_2583;
{ /* Llib/ssl.scm 868 */
 long BgL_objzd2classzd2numz00_2554;
BgL_objzd2classzd2numz00_2554 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_66)); 
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1782z00_2555;
BgL_arg1782z00_2555 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 868 */
 int BgL_offsetz00_2558;
BgL_offsetz00_2558 = 
(int)(BgL_objzd2classzd2numz00_2554); 
{ /* Llib/ssl.scm 868 */
 long BgL_offsetz00_2559;
BgL_offsetz00_2559 = 
(
(long)(BgL_offsetz00_2558)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 868 */
 long BgL_modz00_2560;
BgL_modz00_2560 = 
(BgL_offsetz00_2559 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 868 */
 long BgL_restz00_2562;
BgL_restz00_2562 = 
(BgL_offsetz00_2559 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 868 */

{ /* Llib/ssl.scm 868 */
 obj_t BgL_bucketz00_2564;
BgL_bucketz00_2564 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2555),BgL_modz00_2560); 
BgL_res2395z00_2583 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2564),BgL_restz00_2562); } } } } } } } } 
BgL_method1265z00_1726 = BgL_res2395z00_2583; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1265z00_1726))(BgL_method1265z00_1726, 
((obj_t)BgL_scz00_66), BgL_sicz00_67, 
BINT(BgL_offsetz00_68), 
BINT(BgL_lenz00_69), BEOA));} } 

}



/* &secure-context-set-session-id-context! */
obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t BgL_envz00_4858, obj_t BgL_scz00_4859, obj_t BgL_sicz00_4860, obj_t BgL_offsetz00_4861, obj_t BgL_lenz00_4862)
{
{ /* Llib/ssl.scm 868 */
{ /* Llib/ssl.scm 868 */
 bool_t BgL_tmpz00_11029;
{ /* Llib/ssl.scm 868 */
 long BgL_auxz00_11073; long BgL_auxz00_11064; obj_t BgL_auxz00_11057; BgL_securezd2contextzd2_bglt BgL_auxz00_11030;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_tmpz00_11074;
if(
INTEGERP(BgL_lenz00_4862))
{ /* Llib/ssl.scm 868 */
BgL_tmpz00_11074 = BgL_lenz00_4862
; }  else 
{ 
 obj_t BgL_auxz00_11077;
BgL_auxz00_11077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3279z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4862); 
FAILURE(BgL_auxz00_11077,BFALSE,BFALSE);} 
BgL_auxz00_11073 = 
(long)CINT(BgL_tmpz00_11074); } 
{ /* Llib/ssl.scm 868 */
 obj_t BgL_tmpz00_11065;
if(
INTEGERP(BgL_offsetz00_4861))
{ /* Llib/ssl.scm 868 */
BgL_tmpz00_11065 = BgL_offsetz00_4861
; }  else 
{ 
 obj_t BgL_auxz00_11068;
BgL_auxz00_11068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3279z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4861); 
FAILURE(BgL_auxz00_11068,BFALSE,BFALSE);} 
BgL_auxz00_11064 = 
(long)CINT(BgL_tmpz00_11065); } 
if(
STRINGP(BgL_sicz00_4860))
{ /* Llib/ssl.scm 868 */
BgL_auxz00_11057 = BgL_sicz00_4860
; }  else 
{ 
 obj_t BgL_auxz00_11060;
BgL_auxz00_11060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3279z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_sicz00_4860); 
FAILURE(BgL_auxz00_11060,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 868 */
 bool_t BgL_test4098z00_11031;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_classz00_6135;
BgL_classz00_6135 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4859))
{ /* Llib/ssl.scm 868 */
 BgL_objectz00_bglt BgL_arg1780z00_6137; long BgL_arg1781z00_6138;
BgL_arg1780z00_6137 = 
(BgL_objectz00_bglt)(BgL_scz00_4859); 
BgL_arg1781z00_6138 = 
BGL_CLASS_DEPTH(BgL_classz00_6135); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 868 */
 long BgL_idxz00_6146;
BgL_idxz00_6146 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6137); 
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1773z00_6147;
{ /* Llib/ssl.scm 868 */
 long BgL_arg1774z00_6148;
BgL_arg1774z00_6148 = 
(BgL_idxz00_6146+BgL_arg1781z00_6138); 
BgL_arg1773z00_6147 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6148); } 
BgL_test4098z00_11031 = 
(BgL_arg1773z00_6147==BgL_classz00_6135); } }  else 
{ /* Llib/ssl.scm 868 */
 bool_t BgL_res3339z00_6171;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_oclassz00_6156;
{ /* Llib/ssl.scm 868 */
 long BgL_arg1785z00_6162;
{ /* Llib/ssl.scm 868 */
 long BgL_arg1786z00_6163;
BgL_arg1786z00_6163 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6137); 
BgL_arg1785z00_6162 = 
(BgL_arg1786z00_6163-OBJECT_TYPE); } 
BgL_oclassz00_6156 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6162); } 
{ /* Llib/ssl.scm 868 */
 bool_t BgL__ortest_1114z00_6157;
BgL__ortest_1114z00_6157 = 
(BgL_classz00_6135==BgL_oclassz00_6156); 
if(BgL__ortest_1114z00_6157)
{ /* Llib/ssl.scm 868 */
BgL_res3339z00_6171 = BgL__ortest_1114z00_6157; }  else 
{ /* Llib/ssl.scm 868 */
 long BgL_odepthz00_6158;
BgL_odepthz00_6158 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6156); 
if(
(BgL_arg1781z00_6138<BgL_odepthz00_6158))
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1775z00_6160;
BgL_arg1775z00_6160 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6156, BgL_arg1781z00_6138); 
BgL_res3339z00_6171 = 
(BgL_arg1775z00_6160==BgL_classz00_6135); }  else 
{ /* Llib/ssl.scm 868 */
BgL_res3339z00_6171 = ((bool_t)0); } } } } 
BgL_test4098z00_11031 = BgL_res3339z00_6171; } }  else 
{ /* Llib/ssl.scm 868 */
BgL_test4098z00_11031 = ((bool_t)0)
; } } 
if(BgL_test4098z00_11031)
{ /* Llib/ssl.scm 868 */
BgL_auxz00_11030 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4859)
; }  else 
{ 
 obj_t BgL_auxz00_11053;
BgL_auxz00_11053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3279z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4859); 
FAILURE(BgL_auxz00_11053,BFALSE,BFALSE);} } 
BgL_tmpz00_11029 = 
BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_auxz00_11030, BgL_auxz00_11057, BgL_auxz00_11064, BgL_auxz00_11073); } 
return 
BBOOL(BgL_tmpz00_11029);} } 

}



/* secure-context-load-pkcs12 */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_70, obj_t BgL_pfxz00_71, obj_t BgL_passz00_72)
{
{ /* Llib/ssl.scm 878 */
{ /* Llib/ssl.scm 878 */
 obj_t BgL_method1267z00_1727;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_res2400z00_2614;
{ /* Llib/ssl.scm 878 */
 long BgL_objzd2classzd2numz00_2585;
BgL_objzd2classzd2numz00_2585 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_70)); 
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1782z00_2586;
BgL_arg1782z00_2586 = 
PROCEDURE_REF(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 878 */
 int BgL_offsetz00_2589;
BgL_offsetz00_2589 = 
(int)(BgL_objzd2classzd2numz00_2585); 
{ /* Llib/ssl.scm 878 */
 long BgL_offsetz00_2590;
BgL_offsetz00_2590 = 
(
(long)(BgL_offsetz00_2589)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 878 */
 long BgL_modz00_2591;
BgL_modz00_2591 = 
(BgL_offsetz00_2590 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 878 */
 long BgL_restz00_2593;
BgL_restz00_2593 = 
(BgL_offsetz00_2590 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 878 */

{ /* Llib/ssl.scm 878 */
 obj_t BgL_bucketz00_2595;
BgL_bucketz00_2595 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2586),BgL_modz00_2591); 
BgL_res2400z00_2614 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2595),BgL_restz00_2593); } } } } } } } } 
BgL_method1267z00_1727 = BgL_res2400z00_2614; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1267z00_1727))(BgL_method1267z00_1727, 
((obj_t)BgL_scz00_70), BgL_pfxz00_71, BgL_passz00_72, BEOA));} } 

}



/* &secure-context-load-pkcs12 */
obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t BgL_envz00_4863, obj_t BgL_scz00_4864, obj_t BgL_pfxz00_4865, obj_t BgL_passz00_4866)
{
{ /* Llib/ssl.scm 878 */
{ /* Llib/ssl.scm 878 */
 bool_t BgL_tmpz00_11117;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_auxz00_11145; BgL_securezd2contextzd2_bglt BgL_auxz00_11118;
if(
STRINGP(BgL_pfxz00_4865))
{ /* Llib/ssl.scm 878 */
BgL_auxz00_11145 = BgL_pfxz00_4865
; }  else 
{ 
 obj_t BgL_auxz00_11148;
BgL_auxz00_11148 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(36053L), BGl_string3280z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_pfxz00_4865); 
FAILURE(BgL_auxz00_11148,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 878 */
 bool_t BgL_test4106z00_11119;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_classz00_6172;
BgL_classz00_6172 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4864))
{ /* Llib/ssl.scm 878 */
 BgL_objectz00_bglt BgL_arg1780z00_6174; long BgL_arg1781z00_6175;
BgL_arg1780z00_6174 = 
(BgL_objectz00_bglt)(BgL_scz00_4864); 
BgL_arg1781z00_6175 = 
BGL_CLASS_DEPTH(BgL_classz00_6172); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 878 */
 long BgL_idxz00_6183;
BgL_idxz00_6183 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6174); 
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1773z00_6184;
{ /* Llib/ssl.scm 878 */
 long BgL_arg1774z00_6185;
BgL_arg1774z00_6185 = 
(BgL_idxz00_6183+BgL_arg1781z00_6175); 
BgL_arg1773z00_6184 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6185); } 
BgL_test4106z00_11119 = 
(BgL_arg1773z00_6184==BgL_classz00_6172); } }  else 
{ /* Llib/ssl.scm 878 */
 bool_t BgL_res3340z00_6208;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_oclassz00_6193;
{ /* Llib/ssl.scm 878 */
 long BgL_arg1785z00_6199;
{ /* Llib/ssl.scm 878 */
 long BgL_arg1786z00_6200;
BgL_arg1786z00_6200 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6174); 
BgL_arg1785z00_6199 = 
(BgL_arg1786z00_6200-OBJECT_TYPE); } 
BgL_oclassz00_6193 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6199); } 
{ /* Llib/ssl.scm 878 */
 bool_t BgL__ortest_1114z00_6194;
BgL__ortest_1114z00_6194 = 
(BgL_classz00_6172==BgL_oclassz00_6193); 
if(BgL__ortest_1114z00_6194)
{ /* Llib/ssl.scm 878 */
BgL_res3340z00_6208 = BgL__ortest_1114z00_6194; }  else 
{ /* Llib/ssl.scm 878 */
 long BgL_odepthz00_6195;
BgL_odepthz00_6195 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6193); 
if(
(BgL_arg1781z00_6175<BgL_odepthz00_6195))
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1775z00_6197;
BgL_arg1775z00_6197 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6193, BgL_arg1781z00_6175); 
BgL_res3340z00_6208 = 
(BgL_arg1775z00_6197==BgL_classz00_6172); }  else 
{ /* Llib/ssl.scm 878 */
BgL_res3340z00_6208 = ((bool_t)0); } } } } 
BgL_test4106z00_11119 = BgL_res3340z00_6208; } }  else 
{ /* Llib/ssl.scm 878 */
BgL_test4106z00_11119 = ((bool_t)0)
; } } 
if(BgL_test4106z00_11119)
{ /* Llib/ssl.scm 878 */
BgL_auxz00_11118 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4864)
; }  else 
{ 
 obj_t BgL_auxz00_11141;
BgL_auxz00_11141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(36053L), BGl_string3280z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4864); 
FAILURE(BgL_auxz00_11141,BFALSE,BFALSE);} } 
BgL_tmpz00_11117 = 
BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_auxz00_11118, BgL_auxz00_11145, BgL_passz00_4866); } 
return 
BBOOL(BgL_tmpz00_11117);} } 

}



/* secure-context-set-ciphers! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_73, obj_t BgL_ciphersz00_74)
{
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 888 */
 obj_t BgL_method1269z00_1728;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_res2405z00_2645;
{ /* Llib/ssl.scm 888 */
 long BgL_objzd2classzd2numz00_2616;
BgL_objzd2classzd2numz00_2616 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_73)); 
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1782z00_2617;
BgL_arg1782z00_2617 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 888 */
 int BgL_offsetz00_2620;
BgL_offsetz00_2620 = 
(int)(BgL_objzd2classzd2numz00_2616); 
{ /* Llib/ssl.scm 888 */
 long BgL_offsetz00_2621;
BgL_offsetz00_2621 = 
(
(long)(BgL_offsetz00_2620)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 888 */
 long BgL_modz00_2622;
BgL_modz00_2622 = 
(BgL_offsetz00_2621 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 888 */
 long BgL_restz00_2624;
BgL_restz00_2624 = 
(BgL_offsetz00_2621 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 888 */

{ /* Llib/ssl.scm 888 */
 obj_t BgL_bucketz00_2626;
BgL_bucketz00_2626 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2617),BgL_modz00_2622); 
BgL_res2405z00_2645 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2626),BgL_restz00_2624); } } } } } } } } 
BgL_method1269z00_1728 = BgL_res2405z00_2645; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1269z00_1728))(BgL_method1269z00_1728, 
((obj_t)BgL_scz00_73), BgL_ciphersz00_74, BEOA));} } 

}



/* &secure-context-set-ciphers! */
obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t BgL_envz00_4867, obj_t BgL_scz00_4868, obj_t BgL_ciphersz00_4869)
{
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 888 */
 bool_t BgL_tmpz00_11186;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_auxz00_11214; BgL_securezd2contextzd2_bglt BgL_auxz00_11187;
if(
STRINGP(BgL_ciphersz00_4869))
{ /* Llib/ssl.scm 888 */
BgL_auxz00_11214 = BgL_ciphersz00_4869
; }  else 
{ 
 obj_t BgL_auxz00_11217;
BgL_auxz00_11217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(36460L), BGl_string3281z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_ciphersz00_4869); 
FAILURE(BgL_auxz00_11217,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 888 */
 bool_t BgL_test4112z00_11188;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_classz00_6209;
BgL_classz00_6209 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4868))
{ /* Llib/ssl.scm 888 */
 BgL_objectz00_bglt BgL_arg1780z00_6211; long BgL_arg1781z00_6212;
BgL_arg1780z00_6211 = 
(BgL_objectz00_bglt)(BgL_scz00_4868); 
BgL_arg1781z00_6212 = 
BGL_CLASS_DEPTH(BgL_classz00_6209); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 888 */
 long BgL_idxz00_6220;
BgL_idxz00_6220 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6211); 
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1773z00_6221;
{ /* Llib/ssl.scm 888 */
 long BgL_arg1774z00_6222;
BgL_arg1774z00_6222 = 
(BgL_idxz00_6220+BgL_arg1781z00_6212); 
BgL_arg1773z00_6221 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6222); } 
BgL_test4112z00_11188 = 
(BgL_arg1773z00_6221==BgL_classz00_6209); } }  else 
{ /* Llib/ssl.scm 888 */
 bool_t BgL_res3341z00_6245;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_oclassz00_6230;
{ /* Llib/ssl.scm 888 */
 long BgL_arg1785z00_6236;
{ /* Llib/ssl.scm 888 */
 long BgL_arg1786z00_6237;
BgL_arg1786z00_6237 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6211); 
BgL_arg1785z00_6236 = 
(BgL_arg1786z00_6237-OBJECT_TYPE); } 
BgL_oclassz00_6230 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6236); } 
{ /* Llib/ssl.scm 888 */
 bool_t BgL__ortest_1114z00_6231;
BgL__ortest_1114z00_6231 = 
(BgL_classz00_6209==BgL_oclassz00_6230); 
if(BgL__ortest_1114z00_6231)
{ /* Llib/ssl.scm 888 */
BgL_res3341z00_6245 = BgL__ortest_1114z00_6231; }  else 
{ /* Llib/ssl.scm 888 */
 long BgL_odepthz00_6232;
BgL_odepthz00_6232 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6230); 
if(
(BgL_arg1781z00_6212<BgL_odepthz00_6232))
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1775z00_6234;
BgL_arg1775z00_6234 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6230, BgL_arg1781z00_6212); 
BgL_res3341z00_6245 = 
(BgL_arg1775z00_6234==BgL_classz00_6209); }  else 
{ /* Llib/ssl.scm 888 */
BgL_res3341z00_6245 = ((bool_t)0); } } } } 
BgL_test4112z00_11188 = BgL_res3341z00_6245; } }  else 
{ /* Llib/ssl.scm 888 */
BgL_test4112z00_11188 = ((bool_t)0)
; } } 
if(BgL_test4112z00_11188)
{ /* Llib/ssl.scm 888 */
BgL_auxz00_11187 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4868)
; }  else 
{ 
 obj_t BgL_auxz00_11210;
BgL_auxz00_11210 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(36460L), BGl_string3281z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4868); 
FAILURE(BgL_auxz00_11210,BFALSE,BFALSE);} } 
BgL_tmpz00_11186 = 
BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_auxz00_11187, BgL_auxz00_11214); } 
return 
BBOOL(BgL_tmpz00_11186);} } 

}



/* secure-context-set-options! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_75, int BgL_optionsz00_76)
{
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 900 */
 obj_t BgL_method1271z00_1729;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_res2410z00_2676;
{ /* Llib/ssl.scm 900 */
 long BgL_objzd2classzd2numz00_2647;
BgL_objzd2classzd2numz00_2647 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_75)); 
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1782z00_2648;
BgL_arg1782z00_2648 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 900 */
 int BgL_offsetz00_2651;
BgL_offsetz00_2651 = 
(int)(BgL_objzd2classzd2numz00_2647); 
{ /* Llib/ssl.scm 900 */
 long BgL_offsetz00_2652;
BgL_offsetz00_2652 = 
(
(long)(BgL_offsetz00_2651)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 900 */
 long BgL_modz00_2653;
BgL_modz00_2653 = 
(BgL_offsetz00_2652 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 900 */
 long BgL_restz00_2655;
BgL_restz00_2655 = 
(BgL_offsetz00_2652 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 900 */

{ /* Llib/ssl.scm 900 */
 obj_t BgL_bucketz00_2657;
BgL_bucketz00_2657 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2648),BgL_modz00_2653); 
BgL_res2410z00_2676 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2657),BgL_restz00_2655); } } } } } } } } 
BgL_method1271z00_1729 = BgL_res2410z00_2676; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1271z00_1729))(BgL_method1271z00_1729, 
((obj_t)BgL_scz00_75), 
BINT(BgL_optionsz00_76), BEOA));} } 

}



/* &secure-context-set-options! */
obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t BgL_envz00_4870, obj_t BgL_scz00_4871, obj_t BgL_optionsz00_4872)
{
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 900 */
 bool_t BgL_tmpz00_11256;
{ /* Llib/ssl.scm 900 */
 int BgL_auxz00_11284; BgL_securezd2contextzd2_bglt BgL_auxz00_11257;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_tmpz00_11285;
if(
INTEGERP(BgL_optionsz00_4872))
{ /* Llib/ssl.scm 900 */
BgL_tmpz00_11285 = BgL_optionsz00_4872
; }  else 
{ 
 obj_t BgL_auxz00_11288;
BgL_auxz00_11288 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(36920L), BGl_string3282z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_optionsz00_4872); 
FAILURE(BgL_auxz00_11288,BFALSE,BFALSE);} 
BgL_auxz00_11284 = 
CINT(BgL_tmpz00_11285); } 
{ /* Llib/ssl.scm 900 */
 bool_t BgL_test4118z00_11258;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_classz00_6246;
BgL_classz00_6246 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4871))
{ /* Llib/ssl.scm 900 */
 BgL_objectz00_bglt BgL_arg1780z00_6248; long BgL_arg1781z00_6249;
BgL_arg1780z00_6248 = 
(BgL_objectz00_bglt)(BgL_scz00_4871); 
BgL_arg1781z00_6249 = 
BGL_CLASS_DEPTH(BgL_classz00_6246); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 900 */
 long BgL_idxz00_6257;
BgL_idxz00_6257 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6248); 
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1773z00_6258;
{ /* Llib/ssl.scm 900 */
 long BgL_arg1774z00_6259;
BgL_arg1774z00_6259 = 
(BgL_idxz00_6257+BgL_arg1781z00_6249); 
BgL_arg1773z00_6258 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6259); } 
BgL_test4118z00_11258 = 
(BgL_arg1773z00_6258==BgL_classz00_6246); } }  else 
{ /* Llib/ssl.scm 900 */
 bool_t BgL_res3342z00_6282;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_oclassz00_6267;
{ /* Llib/ssl.scm 900 */
 long BgL_arg1785z00_6273;
{ /* Llib/ssl.scm 900 */
 long BgL_arg1786z00_6274;
BgL_arg1786z00_6274 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6248); 
BgL_arg1785z00_6273 = 
(BgL_arg1786z00_6274-OBJECT_TYPE); } 
BgL_oclassz00_6267 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6273); } 
{ /* Llib/ssl.scm 900 */
 bool_t BgL__ortest_1114z00_6268;
BgL__ortest_1114z00_6268 = 
(BgL_classz00_6246==BgL_oclassz00_6267); 
if(BgL__ortest_1114z00_6268)
{ /* Llib/ssl.scm 900 */
BgL_res3342z00_6282 = BgL__ortest_1114z00_6268; }  else 
{ /* Llib/ssl.scm 900 */
 long BgL_odepthz00_6269;
BgL_odepthz00_6269 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6267); 
if(
(BgL_arg1781z00_6249<BgL_odepthz00_6269))
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1775z00_6271;
BgL_arg1775z00_6271 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6267, BgL_arg1781z00_6249); 
BgL_res3342z00_6282 = 
(BgL_arg1775z00_6271==BgL_classz00_6246); }  else 
{ /* Llib/ssl.scm 900 */
BgL_res3342z00_6282 = ((bool_t)0); } } } } 
BgL_test4118z00_11258 = BgL_res3342z00_6282; } }  else 
{ /* Llib/ssl.scm 900 */
BgL_test4118z00_11258 = ((bool_t)0)
; } } 
if(BgL_test4118z00_11258)
{ /* Llib/ssl.scm 900 */
BgL_auxz00_11257 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4871)
; }  else 
{ 
 obj_t BgL_auxz00_11280;
BgL_auxz00_11280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(36920L), BGl_string3282z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4871); 
FAILURE(BgL_auxz00_11280,BFALSE,BFALSE);} } 
BgL_tmpz00_11256 = 
BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_auxz00_11257, BgL_auxz00_11284); } 
return 
BBOOL(BgL_tmpz00_11256);} } 

}



/* ssl-connection-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_77)
{
{ /* Llib/ssl.scm 912 */
{ /* Llib/ssl.scm 912 */
 obj_t BgL_method1273z00_1730;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_res2415z00_2707;
{ /* Llib/ssl.scm 912 */
 long BgL_objzd2classzd2numz00_2678;
BgL_objzd2classzd2numz00_2678 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_77)); 
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1782z00_2679;
BgL_arg1782z00_2679 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 912 */
 int BgL_offsetz00_2682;
BgL_offsetz00_2682 = 
(int)(BgL_objzd2classzd2numz00_2678); 
{ /* Llib/ssl.scm 912 */
 long BgL_offsetz00_2683;
BgL_offsetz00_2683 = 
(
(long)(BgL_offsetz00_2682)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 912 */
 long BgL_modz00_2684;
BgL_modz00_2684 = 
(BgL_offsetz00_2683 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 912 */
 long BgL_restz00_2686;
BgL_restz00_2686 = 
(BgL_offsetz00_2683 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 912 */

{ /* Llib/ssl.scm 912 */
 obj_t BgL_bucketz00_2688;
BgL_bucketz00_2688 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2679),BgL_modz00_2684); 
BgL_res2415z00_2707 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2688),BgL_restz00_2686); } } } } } } } } 
BgL_method1273z00_1730 = BgL_res2415z00_2707; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1273z00_1730))(BgL_method1273z00_1730, 
((obj_t)BgL_sslz00_77), BEOA);} } 

}



/* &ssl-connection-init */
obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4591, obj_t BgL_sslz00_4592)
{
{ /* Llib/ssl.scm 912 */
{ /* Llib/ssl.scm 912 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11325;
{ /* Llib/ssl.scm 912 */
 bool_t BgL_test4124z00_11326;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_classz00_6283;
BgL_classz00_6283 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4592))
{ /* Llib/ssl.scm 912 */
 BgL_objectz00_bglt BgL_arg1780z00_6285; long BgL_arg1781z00_6286;
BgL_arg1780z00_6285 = 
(BgL_objectz00_bglt)(BgL_sslz00_4592); 
BgL_arg1781z00_6286 = 
BGL_CLASS_DEPTH(BgL_classz00_6283); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 912 */
 long BgL_idxz00_6294;
BgL_idxz00_6294 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6285); 
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1773z00_6295;
{ /* Llib/ssl.scm 912 */
 long BgL_arg1774z00_6296;
BgL_arg1774z00_6296 = 
(BgL_idxz00_6294+BgL_arg1781z00_6286); 
BgL_arg1773z00_6295 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6296); } 
BgL_test4124z00_11326 = 
(BgL_arg1773z00_6295==BgL_classz00_6283); } }  else 
{ /* Llib/ssl.scm 912 */
 bool_t BgL_res3343z00_6319;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_oclassz00_6304;
{ /* Llib/ssl.scm 912 */
 long BgL_arg1785z00_6310;
{ /* Llib/ssl.scm 912 */
 long BgL_arg1786z00_6311;
BgL_arg1786z00_6311 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6285); 
BgL_arg1785z00_6310 = 
(BgL_arg1786z00_6311-OBJECT_TYPE); } 
BgL_oclassz00_6304 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6310); } 
{ /* Llib/ssl.scm 912 */
 bool_t BgL__ortest_1114z00_6305;
BgL__ortest_1114z00_6305 = 
(BgL_classz00_6283==BgL_oclassz00_6304); 
if(BgL__ortest_1114z00_6305)
{ /* Llib/ssl.scm 912 */
BgL_res3343z00_6319 = BgL__ortest_1114z00_6305; }  else 
{ /* Llib/ssl.scm 912 */
 long BgL_odepthz00_6306;
BgL_odepthz00_6306 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6304); 
if(
(BgL_arg1781z00_6286<BgL_odepthz00_6306))
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1775z00_6308;
BgL_arg1775z00_6308 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6304, BgL_arg1781z00_6286); 
BgL_res3343z00_6319 = 
(BgL_arg1775z00_6308==BgL_classz00_6283); }  else 
{ /* Llib/ssl.scm 912 */
BgL_res3343z00_6319 = ((bool_t)0); } } } } 
BgL_test4124z00_11326 = BgL_res3343z00_6319; } }  else 
{ /* Llib/ssl.scm 912 */
BgL_test4124z00_11326 = ((bool_t)0)
; } } 
if(BgL_test4124z00_11326)
{ /* Llib/ssl.scm 912 */
BgL_auxz00_11325 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4592)
; }  else 
{ 
 obj_t BgL_auxz00_11348;
BgL_auxz00_11348 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(37376L), BGl_string3283z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4592); 
FAILURE(BgL_auxz00_11348,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_auxz00_11325);} } 

}



/* ssl-connection-start */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_78)
{
{ /* Llib/ssl.scm 922 */
{ /* Llib/ssl.scm 922 */
 obj_t BgL_method1275z00_1731;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_res2420z00_2738;
{ /* Llib/ssl.scm 922 */
 long BgL_objzd2classzd2numz00_2709;
BgL_objzd2classzd2numz00_2709 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_78)); 
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1782z00_2710;
BgL_arg1782z00_2710 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 922 */
 int BgL_offsetz00_2713;
BgL_offsetz00_2713 = 
(int)(BgL_objzd2classzd2numz00_2709); 
{ /* Llib/ssl.scm 922 */
 long BgL_offsetz00_2714;
BgL_offsetz00_2714 = 
(
(long)(BgL_offsetz00_2713)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 922 */
 long BgL_modz00_2715;
BgL_modz00_2715 = 
(BgL_offsetz00_2714 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 922 */
 long BgL_restz00_2717;
BgL_restz00_2717 = 
(BgL_offsetz00_2714 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 922 */

{ /* Llib/ssl.scm 922 */
 obj_t BgL_bucketz00_2719;
BgL_bucketz00_2719 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2710),BgL_modz00_2715); 
BgL_res2420z00_2738 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2719),BgL_restz00_2717); } } } } } } } } 
BgL_method1275z00_1731 = BgL_res2420z00_2738; } 
return 
CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1275z00_1731))(BgL_method1275z00_1731, 
((obj_t)BgL_sslz00_78), BEOA));} } 

}



/* &ssl-connection-start */
obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t BgL_envz00_4873, obj_t BgL_sslz00_4874)
{
{ /* Llib/ssl.scm 922 */
{ /* Llib/ssl.scm 922 */
 int BgL_tmpz00_11384;
{ /* Llib/ssl.scm 922 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11385;
{ /* Llib/ssl.scm 922 */
 bool_t BgL_test4129z00_11386;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_classz00_6320;
BgL_classz00_6320 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4874))
{ /* Llib/ssl.scm 922 */
 BgL_objectz00_bglt BgL_arg1780z00_6322; long BgL_arg1781z00_6323;
BgL_arg1780z00_6322 = 
(BgL_objectz00_bglt)(BgL_sslz00_4874); 
BgL_arg1781z00_6323 = 
BGL_CLASS_DEPTH(BgL_classz00_6320); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 922 */
 long BgL_idxz00_6331;
BgL_idxz00_6331 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6322); 
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1773z00_6332;
{ /* Llib/ssl.scm 922 */
 long BgL_arg1774z00_6333;
BgL_arg1774z00_6333 = 
(BgL_idxz00_6331+BgL_arg1781z00_6323); 
BgL_arg1773z00_6332 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6333); } 
BgL_test4129z00_11386 = 
(BgL_arg1773z00_6332==BgL_classz00_6320); } }  else 
{ /* Llib/ssl.scm 922 */
 bool_t BgL_res3344z00_6356;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_oclassz00_6341;
{ /* Llib/ssl.scm 922 */
 long BgL_arg1785z00_6347;
{ /* Llib/ssl.scm 922 */
 long BgL_arg1786z00_6348;
BgL_arg1786z00_6348 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6322); 
BgL_arg1785z00_6347 = 
(BgL_arg1786z00_6348-OBJECT_TYPE); } 
BgL_oclassz00_6341 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6347); } 
{ /* Llib/ssl.scm 922 */
 bool_t BgL__ortest_1114z00_6342;
BgL__ortest_1114z00_6342 = 
(BgL_classz00_6320==BgL_oclassz00_6341); 
if(BgL__ortest_1114z00_6342)
{ /* Llib/ssl.scm 922 */
BgL_res3344z00_6356 = BgL__ortest_1114z00_6342; }  else 
{ /* Llib/ssl.scm 922 */
 long BgL_odepthz00_6343;
BgL_odepthz00_6343 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6341); 
if(
(BgL_arg1781z00_6323<BgL_odepthz00_6343))
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1775z00_6345;
BgL_arg1775z00_6345 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6341, BgL_arg1781z00_6323); 
BgL_res3344z00_6356 = 
(BgL_arg1775z00_6345==BgL_classz00_6320); }  else 
{ /* Llib/ssl.scm 922 */
BgL_res3344z00_6356 = ((bool_t)0); } } } } 
BgL_test4129z00_11386 = BgL_res3344z00_6356; } }  else 
{ /* Llib/ssl.scm 922 */
BgL_test4129z00_11386 = ((bool_t)0)
; } } 
if(BgL_test4129z00_11386)
{ /* Llib/ssl.scm 922 */
BgL_auxz00_11385 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4874)
; }  else 
{ 
 obj_t BgL_auxz00_11408;
BgL_auxz00_11408 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(37755L), BGl_string3285z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4874); 
FAILURE(BgL_auxz00_11408,BFALSE,BFALSE);} } 
BgL_tmpz00_11384 = 
BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_auxz00_11385); } 
return 
BINT(BgL_tmpz00_11384);} } 

}



/* ssl-connection-close */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_79)
{
{ /* Llib/ssl.scm 932 */
{ /* Llib/ssl.scm 932 */
 obj_t BgL_method1277z00_1732;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_res2425z00_2769;
{ /* Llib/ssl.scm 932 */
 long BgL_objzd2classzd2numz00_2740;
BgL_objzd2classzd2numz00_2740 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_79)); 
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1782z00_2741;
BgL_arg1782z00_2741 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 932 */
 int BgL_offsetz00_2744;
BgL_offsetz00_2744 = 
(int)(BgL_objzd2classzd2numz00_2740); 
{ /* Llib/ssl.scm 932 */
 long BgL_offsetz00_2745;
BgL_offsetz00_2745 = 
(
(long)(BgL_offsetz00_2744)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 932 */
 long BgL_modz00_2746;
BgL_modz00_2746 = 
(BgL_offsetz00_2745 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 932 */
 long BgL_restz00_2748;
BgL_restz00_2748 = 
(BgL_offsetz00_2745 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 932 */

{ /* Llib/ssl.scm 932 */
 obj_t BgL_bucketz00_2750;
BgL_bucketz00_2750 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2741),BgL_modz00_2746); 
BgL_res2425z00_2769 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2750),BgL_restz00_2748); } } } } } } } } 
BgL_method1277z00_1732 = BgL_res2425z00_2769; } 
return 
CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1277z00_1732))(BgL_method1277z00_1732, 
((obj_t)BgL_sslz00_79), BEOA));} } 

}



/* &ssl-connection-close */
obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4875, obj_t BgL_sslz00_4876)
{
{ /* Llib/ssl.scm 932 */
{ /* Llib/ssl.scm 932 */
 int BgL_tmpz00_11445;
{ /* Llib/ssl.scm 932 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11446;
{ /* Llib/ssl.scm 932 */
 bool_t BgL_test4134z00_11447;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_classz00_6357;
BgL_classz00_6357 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4876))
{ /* Llib/ssl.scm 932 */
 BgL_objectz00_bglt BgL_arg1780z00_6359; long BgL_arg1781z00_6360;
BgL_arg1780z00_6359 = 
(BgL_objectz00_bglt)(BgL_sslz00_4876); 
BgL_arg1781z00_6360 = 
BGL_CLASS_DEPTH(BgL_classz00_6357); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 932 */
 long BgL_idxz00_6368;
BgL_idxz00_6368 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6359); 
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1773z00_6369;
{ /* Llib/ssl.scm 932 */
 long BgL_arg1774z00_6370;
BgL_arg1774z00_6370 = 
(BgL_idxz00_6368+BgL_arg1781z00_6360); 
BgL_arg1773z00_6369 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6370); } 
BgL_test4134z00_11447 = 
(BgL_arg1773z00_6369==BgL_classz00_6357); } }  else 
{ /* Llib/ssl.scm 932 */
 bool_t BgL_res3345z00_6393;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_oclassz00_6378;
{ /* Llib/ssl.scm 932 */
 long BgL_arg1785z00_6384;
{ /* Llib/ssl.scm 932 */
 long BgL_arg1786z00_6385;
BgL_arg1786z00_6385 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6359); 
BgL_arg1785z00_6384 = 
(BgL_arg1786z00_6385-OBJECT_TYPE); } 
BgL_oclassz00_6378 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6384); } 
{ /* Llib/ssl.scm 932 */
 bool_t BgL__ortest_1114z00_6379;
BgL__ortest_1114z00_6379 = 
(BgL_classz00_6357==BgL_oclassz00_6378); 
if(BgL__ortest_1114z00_6379)
{ /* Llib/ssl.scm 932 */
BgL_res3345z00_6393 = BgL__ortest_1114z00_6379; }  else 
{ /* Llib/ssl.scm 932 */
 long BgL_odepthz00_6380;
BgL_odepthz00_6380 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6378); 
if(
(BgL_arg1781z00_6360<BgL_odepthz00_6380))
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1775z00_6382;
BgL_arg1775z00_6382 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6378, BgL_arg1781z00_6360); 
BgL_res3345z00_6393 = 
(BgL_arg1775z00_6382==BgL_classz00_6357); }  else 
{ /* Llib/ssl.scm 932 */
BgL_res3345z00_6393 = ((bool_t)0); } } } } 
BgL_test4134z00_11447 = BgL_res3345z00_6393; } }  else 
{ /* Llib/ssl.scm 932 */
BgL_test4134z00_11447 = ((bool_t)0)
; } } 
if(BgL_test4134z00_11447)
{ /* Llib/ssl.scm 932 */
BgL_auxz00_11446 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4876)
; }  else 
{ 
 obj_t BgL_auxz00_11469;
BgL_auxz00_11469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(38135L), BGl_string3286z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4876); 
FAILURE(BgL_auxz00_11469,BFALSE,BFALSE);} } 
BgL_tmpz00_11445 = 
BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_auxz00_11446); } 
return 
BINT(BgL_tmpz00_11445);} } 

}



/* ssl-connection-shutdown */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_80)
{
{ /* Llib/ssl.scm 942 */
{ /* Llib/ssl.scm 942 */
 obj_t BgL_method1279z00_1733;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_res2430z00_2800;
{ /* Llib/ssl.scm 942 */
 long BgL_objzd2classzd2numz00_2771;
BgL_objzd2classzd2numz00_2771 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_80)); 
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1782z00_2772;
BgL_arg1782z00_2772 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 942 */
 int BgL_offsetz00_2775;
BgL_offsetz00_2775 = 
(int)(BgL_objzd2classzd2numz00_2771); 
{ /* Llib/ssl.scm 942 */
 long BgL_offsetz00_2776;
BgL_offsetz00_2776 = 
(
(long)(BgL_offsetz00_2775)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 942 */
 long BgL_modz00_2777;
BgL_modz00_2777 = 
(BgL_offsetz00_2776 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 942 */
 long BgL_restz00_2779;
BgL_restz00_2779 = 
(BgL_offsetz00_2776 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 942 */

{ /* Llib/ssl.scm 942 */
 obj_t BgL_bucketz00_2781;
BgL_bucketz00_2781 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2772),BgL_modz00_2777); 
BgL_res2430z00_2800 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2781),BgL_restz00_2779); } } } } } } } } 
BgL_method1279z00_1733 = BgL_res2430z00_2800; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1279z00_1733))(BgL_method1279z00_1733, 
((obj_t)BgL_sslz00_80), BEOA);} } 

}



/* &ssl-connection-shutdown */
obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t BgL_envz00_4877, obj_t BgL_sslz00_4878)
{
{ /* Llib/ssl.scm 942 */
{ /* Llib/ssl.scm 942 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11505;
{ /* Llib/ssl.scm 942 */
 bool_t BgL_test4139z00_11506;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_classz00_6394;
BgL_classz00_6394 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4878))
{ /* Llib/ssl.scm 942 */
 BgL_objectz00_bglt BgL_arg1780z00_6396; long BgL_arg1781z00_6397;
BgL_arg1780z00_6396 = 
(BgL_objectz00_bglt)(BgL_sslz00_4878); 
BgL_arg1781z00_6397 = 
BGL_CLASS_DEPTH(BgL_classz00_6394); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 942 */
 long BgL_idxz00_6405;
BgL_idxz00_6405 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6396); 
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1773z00_6406;
{ /* Llib/ssl.scm 942 */
 long BgL_arg1774z00_6407;
BgL_arg1774z00_6407 = 
(BgL_idxz00_6405+BgL_arg1781z00_6397); 
BgL_arg1773z00_6406 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6407); } 
BgL_test4139z00_11506 = 
(BgL_arg1773z00_6406==BgL_classz00_6394); } }  else 
{ /* Llib/ssl.scm 942 */
 bool_t BgL_res3346z00_6430;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_oclassz00_6415;
{ /* Llib/ssl.scm 942 */
 long BgL_arg1785z00_6421;
{ /* Llib/ssl.scm 942 */
 long BgL_arg1786z00_6422;
BgL_arg1786z00_6422 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6396); 
BgL_arg1785z00_6421 = 
(BgL_arg1786z00_6422-OBJECT_TYPE); } 
BgL_oclassz00_6415 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6421); } 
{ /* Llib/ssl.scm 942 */
 bool_t BgL__ortest_1114z00_6416;
BgL__ortest_1114z00_6416 = 
(BgL_classz00_6394==BgL_oclassz00_6415); 
if(BgL__ortest_1114z00_6416)
{ /* Llib/ssl.scm 942 */
BgL_res3346z00_6430 = BgL__ortest_1114z00_6416; }  else 
{ /* Llib/ssl.scm 942 */
 long BgL_odepthz00_6417;
BgL_odepthz00_6417 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6415); 
if(
(BgL_arg1781z00_6397<BgL_odepthz00_6417))
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1775z00_6419;
BgL_arg1775z00_6419 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6415, BgL_arg1781z00_6397); 
BgL_res3346z00_6430 = 
(BgL_arg1775z00_6419==BgL_classz00_6394); }  else 
{ /* Llib/ssl.scm 942 */
BgL_res3346z00_6430 = ((bool_t)0); } } } } 
BgL_test4139z00_11506 = BgL_res3346z00_6430; } }  else 
{ /* Llib/ssl.scm 942 */
BgL_test4139z00_11506 = ((bool_t)0)
; } } 
if(BgL_test4139z00_11506)
{ /* Llib/ssl.scm 942 */
BgL_auxz00_11505 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4878)
; }  else 
{ 
 obj_t BgL_auxz00_11528;
BgL_auxz00_11528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(38515L), BGl_string3287z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4878); 
FAILURE(BgL_auxz00_11528,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_auxz00_11505);} } 

}



/* ssl-connection-read */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_81, obj_t BgL_bufferz00_82, long BgL_offsetz00_83, long BgL_lenz00_84)
{
{ /* Llib/ssl.scm 952 */
{ /* Llib/ssl.scm 952 */
 obj_t BgL_method1281z00_1734;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_res2435z00_2831;
{ /* Llib/ssl.scm 952 */
 long BgL_objzd2classzd2numz00_2802;
BgL_objzd2classzd2numz00_2802 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_81)); 
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1782z00_2803;
BgL_arg1782z00_2803 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 952 */
 int BgL_offsetz00_2806;
BgL_offsetz00_2806 = 
(int)(BgL_objzd2classzd2numz00_2802); 
{ /* Llib/ssl.scm 952 */
 long BgL_offsetz00_2807;
BgL_offsetz00_2807 = 
(
(long)(BgL_offsetz00_2806)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 952 */
 long BgL_modz00_2808;
BgL_modz00_2808 = 
(BgL_offsetz00_2807 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 952 */
 long BgL_restz00_2810;
BgL_restz00_2810 = 
(BgL_offsetz00_2807 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 952 */

{ /* Llib/ssl.scm 952 */
 obj_t BgL_bucketz00_2812;
BgL_bucketz00_2812 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2803),BgL_modz00_2808); 
BgL_res2435z00_2831 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2812),BgL_restz00_2810); } } } } } } } } 
BgL_method1281z00_1734 = BgL_res2435z00_2831; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1281z00_1734))(BgL_method1281z00_1734, 
((obj_t)BgL_sslz00_81), BgL_bufferz00_82, 
BINT(BgL_offsetz00_83), 
BINT(BgL_lenz00_84), BEOA);} } 

}



/* &ssl-connection-read */
obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t BgL_envz00_4879, obj_t BgL_sslz00_4880, obj_t BgL_bufferz00_4881, obj_t BgL_offsetz00_4882, obj_t BgL_lenz00_4883)
{
{ /* Llib/ssl.scm 952 */
{ /* Llib/ssl.scm 952 */
 long BgL_auxz00_11611; long BgL_auxz00_11602; obj_t BgL_auxz00_11595; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11568;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_tmpz00_11612;
if(
INTEGERP(BgL_lenz00_4883))
{ /* Llib/ssl.scm 952 */
BgL_tmpz00_11612 = BgL_lenz00_4883
; }  else 
{ 
 obj_t BgL_auxz00_11615;
BgL_auxz00_11615 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3288z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4883); 
FAILURE(BgL_auxz00_11615,BFALSE,BFALSE);} 
BgL_auxz00_11611 = 
(long)CINT(BgL_tmpz00_11612); } 
{ /* Llib/ssl.scm 952 */
 obj_t BgL_tmpz00_11603;
if(
INTEGERP(BgL_offsetz00_4882))
{ /* Llib/ssl.scm 952 */
BgL_tmpz00_11603 = BgL_offsetz00_4882
; }  else 
{ 
 obj_t BgL_auxz00_11606;
BgL_auxz00_11606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3288z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4882); 
FAILURE(BgL_auxz00_11606,BFALSE,BFALSE);} 
BgL_auxz00_11602 = 
(long)CINT(BgL_tmpz00_11603); } 
if(
STRINGP(BgL_bufferz00_4881))
{ /* Llib/ssl.scm 952 */
BgL_auxz00_11595 = BgL_bufferz00_4881
; }  else 
{ 
 obj_t BgL_auxz00_11598;
BgL_auxz00_11598 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3288z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_bufferz00_4881); 
FAILURE(BgL_auxz00_11598,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 952 */
 bool_t BgL_test4144z00_11569;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_classz00_6431;
BgL_classz00_6431 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4880))
{ /* Llib/ssl.scm 952 */
 BgL_objectz00_bglt BgL_arg1780z00_6433; long BgL_arg1781z00_6434;
BgL_arg1780z00_6433 = 
(BgL_objectz00_bglt)(BgL_sslz00_4880); 
BgL_arg1781z00_6434 = 
BGL_CLASS_DEPTH(BgL_classz00_6431); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 952 */
 long BgL_idxz00_6442;
BgL_idxz00_6442 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6433); 
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1773z00_6443;
{ /* Llib/ssl.scm 952 */
 long BgL_arg1774z00_6444;
BgL_arg1774z00_6444 = 
(BgL_idxz00_6442+BgL_arg1781z00_6434); 
BgL_arg1773z00_6443 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6444); } 
BgL_test4144z00_11569 = 
(BgL_arg1773z00_6443==BgL_classz00_6431); } }  else 
{ /* Llib/ssl.scm 952 */
 bool_t BgL_res3347z00_6467;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_oclassz00_6452;
{ /* Llib/ssl.scm 952 */
 long BgL_arg1785z00_6458;
{ /* Llib/ssl.scm 952 */
 long BgL_arg1786z00_6459;
BgL_arg1786z00_6459 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6433); 
BgL_arg1785z00_6458 = 
(BgL_arg1786z00_6459-OBJECT_TYPE); } 
BgL_oclassz00_6452 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6458); } 
{ /* Llib/ssl.scm 952 */
 bool_t BgL__ortest_1114z00_6453;
BgL__ortest_1114z00_6453 = 
(BgL_classz00_6431==BgL_oclassz00_6452); 
if(BgL__ortest_1114z00_6453)
{ /* Llib/ssl.scm 952 */
BgL_res3347z00_6467 = BgL__ortest_1114z00_6453; }  else 
{ /* Llib/ssl.scm 952 */
 long BgL_odepthz00_6454;
BgL_odepthz00_6454 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6452); 
if(
(BgL_arg1781z00_6434<BgL_odepthz00_6454))
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1775z00_6456;
BgL_arg1775z00_6456 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6452, BgL_arg1781z00_6434); 
BgL_res3347z00_6467 = 
(BgL_arg1775z00_6456==BgL_classz00_6431); }  else 
{ /* Llib/ssl.scm 952 */
BgL_res3347z00_6467 = ((bool_t)0); } } } } 
BgL_test4144z00_11569 = BgL_res3347z00_6467; } }  else 
{ /* Llib/ssl.scm 952 */
BgL_test4144z00_11569 = ((bool_t)0)
; } } 
if(BgL_test4144z00_11569)
{ /* Llib/ssl.scm 952 */
BgL_auxz00_11568 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4880)
; }  else 
{ 
 obj_t BgL_auxz00_11591;
BgL_auxz00_11591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3288z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4880); 
FAILURE(BgL_auxz00_11591,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_auxz00_11568, BgL_auxz00_11595, BgL_auxz00_11602, BgL_auxz00_11611);} } 

}



/* ssl-connection-write */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_85, obj_t BgL_bufferz00_86, long BgL_offsetz00_87, long BgL_lenz00_88)
{
{ /* Llib/ssl.scm 962 */
{ /* Llib/ssl.scm 962 */
 obj_t BgL_method1283z00_1735;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_res2440z00_2862;
{ /* Llib/ssl.scm 962 */
 long BgL_objzd2classzd2numz00_2833;
BgL_objzd2classzd2numz00_2833 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_85)); 
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1782z00_2834;
BgL_arg1782z00_2834 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 962 */
 int BgL_offsetz00_2837;
BgL_offsetz00_2837 = 
(int)(BgL_objzd2classzd2numz00_2833); 
{ /* Llib/ssl.scm 962 */
 long BgL_offsetz00_2838;
BgL_offsetz00_2838 = 
(
(long)(BgL_offsetz00_2837)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 962 */
 long BgL_modz00_2839;
BgL_modz00_2839 = 
(BgL_offsetz00_2838 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 962 */
 long BgL_restz00_2841;
BgL_restz00_2841 = 
(BgL_offsetz00_2838 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 962 */

{ /* Llib/ssl.scm 962 */
 obj_t BgL_bucketz00_2843;
BgL_bucketz00_2843 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2834),BgL_modz00_2839); 
BgL_res2440z00_2862 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2843),BgL_restz00_2841); } } } } } } } } 
BgL_method1283z00_1735 = BgL_res2440z00_2862; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1283z00_1735))(BgL_method1283z00_1735, 
((obj_t)BgL_sslz00_85), BgL_bufferz00_86, 
BINT(BgL_offsetz00_87), 
BINT(BgL_lenz00_88), BEOA);} } 

}



/* &ssl-connection-write */
obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t BgL_envz00_4884, obj_t BgL_sslz00_4885, obj_t BgL_bufferz00_4886, obj_t BgL_offsetz00_4887, obj_t BgL_lenz00_4888)
{
{ /* Llib/ssl.scm 962 */
{ /* Llib/ssl.scm 962 */
 long BgL_auxz00_11699; long BgL_auxz00_11690; obj_t BgL_auxz00_11683; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11656;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_tmpz00_11700;
if(
INTEGERP(BgL_lenz00_4888))
{ /* Llib/ssl.scm 962 */
BgL_tmpz00_11700 = BgL_lenz00_4888
; }  else 
{ 
 obj_t BgL_auxz00_11703;
BgL_auxz00_11703 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3289z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4888); 
FAILURE(BgL_auxz00_11703,BFALSE,BFALSE);} 
BgL_auxz00_11699 = 
(long)CINT(BgL_tmpz00_11700); } 
{ /* Llib/ssl.scm 962 */
 obj_t BgL_tmpz00_11691;
if(
INTEGERP(BgL_offsetz00_4887))
{ /* Llib/ssl.scm 962 */
BgL_tmpz00_11691 = BgL_offsetz00_4887
; }  else 
{ 
 obj_t BgL_auxz00_11694;
BgL_auxz00_11694 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3289z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4887); 
FAILURE(BgL_auxz00_11694,BFALSE,BFALSE);} 
BgL_auxz00_11690 = 
(long)CINT(BgL_tmpz00_11691); } 
if(
STRINGP(BgL_bufferz00_4886))
{ /* Llib/ssl.scm 962 */
BgL_auxz00_11683 = BgL_bufferz00_4886
; }  else 
{ 
 obj_t BgL_auxz00_11686;
BgL_auxz00_11686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3289z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_bufferz00_4886); 
FAILURE(BgL_auxz00_11686,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 962 */
 bool_t BgL_test4152z00_11657;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_classz00_6468;
BgL_classz00_6468 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4885))
{ /* Llib/ssl.scm 962 */
 BgL_objectz00_bglt BgL_arg1780z00_6470; long BgL_arg1781z00_6471;
BgL_arg1780z00_6470 = 
(BgL_objectz00_bglt)(BgL_sslz00_4885); 
BgL_arg1781z00_6471 = 
BGL_CLASS_DEPTH(BgL_classz00_6468); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 962 */
 long BgL_idxz00_6479;
BgL_idxz00_6479 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6470); 
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1773z00_6480;
{ /* Llib/ssl.scm 962 */
 long BgL_arg1774z00_6481;
BgL_arg1774z00_6481 = 
(BgL_idxz00_6479+BgL_arg1781z00_6471); 
BgL_arg1773z00_6480 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6481); } 
BgL_test4152z00_11657 = 
(BgL_arg1773z00_6480==BgL_classz00_6468); } }  else 
{ /* Llib/ssl.scm 962 */
 bool_t BgL_res3348z00_6504;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_oclassz00_6489;
{ /* Llib/ssl.scm 962 */
 long BgL_arg1785z00_6495;
{ /* Llib/ssl.scm 962 */
 long BgL_arg1786z00_6496;
BgL_arg1786z00_6496 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6470); 
BgL_arg1785z00_6495 = 
(BgL_arg1786z00_6496-OBJECT_TYPE); } 
BgL_oclassz00_6489 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6495); } 
{ /* Llib/ssl.scm 962 */
 bool_t BgL__ortest_1114z00_6490;
BgL__ortest_1114z00_6490 = 
(BgL_classz00_6468==BgL_oclassz00_6489); 
if(BgL__ortest_1114z00_6490)
{ /* Llib/ssl.scm 962 */
BgL_res3348z00_6504 = BgL__ortest_1114z00_6490; }  else 
{ /* Llib/ssl.scm 962 */
 long BgL_odepthz00_6491;
BgL_odepthz00_6491 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6489); 
if(
(BgL_arg1781z00_6471<BgL_odepthz00_6491))
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1775z00_6493;
BgL_arg1775z00_6493 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6489, BgL_arg1781z00_6471); 
BgL_res3348z00_6504 = 
(BgL_arg1775z00_6493==BgL_classz00_6468); }  else 
{ /* Llib/ssl.scm 962 */
BgL_res3348z00_6504 = ((bool_t)0); } } } } 
BgL_test4152z00_11657 = BgL_res3348z00_6504; } }  else 
{ /* Llib/ssl.scm 962 */
BgL_test4152z00_11657 = ((bool_t)0)
; } } 
if(BgL_test4152z00_11657)
{ /* Llib/ssl.scm 962 */
BgL_auxz00_11656 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4885)
; }  else 
{ 
 obj_t BgL_auxz00_11679;
BgL_auxz00_11679 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3289z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4885); 
FAILURE(BgL_auxz00_11679,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_auxz00_11656, BgL_auxz00_11683, BgL_auxz00_11690, BgL_auxz00_11699);} } 

}



/* ssl-connection-clear-in */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_89, obj_t BgL_bufferz00_90, long BgL_offsetz00_91, long BgL_lenz00_92)
{
{ /* Llib/ssl.scm 972 */
{ /* Llib/ssl.scm 972 */
 obj_t BgL_method1285z00_1736;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_res2445z00_2893;
{ /* Llib/ssl.scm 972 */
 long BgL_objzd2classzd2numz00_2864;
BgL_objzd2classzd2numz00_2864 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_89)); 
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1782z00_2865;
BgL_arg1782z00_2865 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 972 */
 int BgL_offsetz00_2868;
BgL_offsetz00_2868 = 
(int)(BgL_objzd2classzd2numz00_2864); 
{ /* Llib/ssl.scm 972 */
 long BgL_offsetz00_2869;
BgL_offsetz00_2869 = 
(
(long)(BgL_offsetz00_2868)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 972 */
 long BgL_modz00_2870;
BgL_modz00_2870 = 
(BgL_offsetz00_2869 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 972 */
 long BgL_restz00_2872;
BgL_restz00_2872 = 
(BgL_offsetz00_2869 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 972 */

{ /* Llib/ssl.scm 972 */
 obj_t BgL_bucketz00_2874;
BgL_bucketz00_2874 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2865),BgL_modz00_2870); 
BgL_res2445z00_2893 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2874),BgL_restz00_2872); } } } } } } } } 
BgL_method1285z00_1736 = BgL_res2445z00_2893; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1285z00_1736))(BgL_method1285z00_1736, 
((obj_t)BgL_sslz00_89), BgL_bufferz00_90, 
BINT(BgL_offsetz00_91), 
BINT(BgL_lenz00_92), BEOA);} } 

}



/* &ssl-connection-clear-in */
obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t BgL_envz00_4889, obj_t BgL_sslz00_4890, obj_t BgL_bufferz00_4891, obj_t BgL_offsetz00_4892, obj_t BgL_lenz00_4893)
{
{ /* Llib/ssl.scm 972 */
{ /* Llib/ssl.scm 972 */
 long BgL_auxz00_11787; long BgL_auxz00_11778; obj_t BgL_auxz00_11771; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11744;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_tmpz00_11788;
if(
INTEGERP(BgL_lenz00_4893))
{ /* Llib/ssl.scm 972 */
BgL_tmpz00_11788 = BgL_lenz00_4893
; }  else 
{ 
 obj_t BgL_auxz00_11791;
BgL_auxz00_11791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3290z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4893); 
FAILURE(BgL_auxz00_11791,BFALSE,BFALSE);} 
BgL_auxz00_11787 = 
(long)CINT(BgL_tmpz00_11788); } 
{ /* Llib/ssl.scm 972 */
 obj_t BgL_tmpz00_11779;
if(
INTEGERP(BgL_offsetz00_4892))
{ /* Llib/ssl.scm 972 */
BgL_tmpz00_11779 = BgL_offsetz00_4892
; }  else 
{ 
 obj_t BgL_auxz00_11782;
BgL_auxz00_11782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3290z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4892); 
FAILURE(BgL_auxz00_11782,BFALSE,BFALSE);} 
BgL_auxz00_11778 = 
(long)CINT(BgL_tmpz00_11779); } 
if(
STRINGP(BgL_bufferz00_4891))
{ /* Llib/ssl.scm 972 */
BgL_auxz00_11771 = BgL_bufferz00_4891
; }  else 
{ 
 obj_t BgL_auxz00_11774;
BgL_auxz00_11774 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3290z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_bufferz00_4891); 
FAILURE(BgL_auxz00_11774,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 972 */
 bool_t BgL_test4160z00_11745;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_classz00_6505;
BgL_classz00_6505 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4890))
{ /* Llib/ssl.scm 972 */
 BgL_objectz00_bglt BgL_arg1780z00_6507; long BgL_arg1781z00_6508;
BgL_arg1780z00_6507 = 
(BgL_objectz00_bglt)(BgL_sslz00_4890); 
BgL_arg1781z00_6508 = 
BGL_CLASS_DEPTH(BgL_classz00_6505); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 972 */
 long BgL_idxz00_6516;
BgL_idxz00_6516 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6507); 
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1773z00_6517;
{ /* Llib/ssl.scm 972 */
 long BgL_arg1774z00_6518;
BgL_arg1774z00_6518 = 
(BgL_idxz00_6516+BgL_arg1781z00_6508); 
BgL_arg1773z00_6517 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6518); } 
BgL_test4160z00_11745 = 
(BgL_arg1773z00_6517==BgL_classz00_6505); } }  else 
{ /* Llib/ssl.scm 972 */
 bool_t BgL_res3349z00_6541;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_oclassz00_6526;
{ /* Llib/ssl.scm 972 */
 long BgL_arg1785z00_6532;
{ /* Llib/ssl.scm 972 */
 long BgL_arg1786z00_6533;
BgL_arg1786z00_6533 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6507); 
BgL_arg1785z00_6532 = 
(BgL_arg1786z00_6533-OBJECT_TYPE); } 
BgL_oclassz00_6526 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6532); } 
{ /* Llib/ssl.scm 972 */
 bool_t BgL__ortest_1114z00_6527;
BgL__ortest_1114z00_6527 = 
(BgL_classz00_6505==BgL_oclassz00_6526); 
if(BgL__ortest_1114z00_6527)
{ /* Llib/ssl.scm 972 */
BgL_res3349z00_6541 = BgL__ortest_1114z00_6527; }  else 
{ /* Llib/ssl.scm 972 */
 long BgL_odepthz00_6528;
BgL_odepthz00_6528 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6526); 
if(
(BgL_arg1781z00_6508<BgL_odepthz00_6528))
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1775z00_6530;
BgL_arg1775z00_6530 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6526, BgL_arg1781z00_6508); 
BgL_res3349z00_6541 = 
(BgL_arg1775z00_6530==BgL_classz00_6505); }  else 
{ /* Llib/ssl.scm 972 */
BgL_res3349z00_6541 = ((bool_t)0); } } } } 
BgL_test4160z00_11745 = BgL_res3349z00_6541; } }  else 
{ /* Llib/ssl.scm 972 */
BgL_test4160z00_11745 = ((bool_t)0)
; } } 
if(BgL_test4160z00_11745)
{ /* Llib/ssl.scm 972 */
BgL_auxz00_11744 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4890)
; }  else 
{ 
 obj_t BgL_auxz00_11767;
BgL_auxz00_11767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3290z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4890); 
FAILURE(BgL_auxz00_11767,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_auxz00_11744, BgL_auxz00_11771, BgL_auxz00_11778, BgL_auxz00_11787);} } 

}



/* ssl-connection-clear-out */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_93, obj_t BgL_bufferz00_94, long BgL_offsetz00_95, long BgL_lenz00_96)
{
{ /* Llib/ssl.scm 982 */
{ /* Llib/ssl.scm 982 */
 obj_t BgL_method1287z00_1737;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_res2450z00_2924;
{ /* Llib/ssl.scm 982 */
 long BgL_objzd2classzd2numz00_2895;
BgL_objzd2classzd2numz00_2895 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_93)); 
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1782z00_2896;
BgL_arg1782z00_2896 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 982 */
 int BgL_offsetz00_2899;
BgL_offsetz00_2899 = 
(int)(BgL_objzd2classzd2numz00_2895); 
{ /* Llib/ssl.scm 982 */
 long BgL_offsetz00_2900;
BgL_offsetz00_2900 = 
(
(long)(BgL_offsetz00_2899)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 982 */
 long BgL_modz00_2901;
BgL_modz00_2901 = 
(BgL_offsetz00_2900 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 982 */
 long BgL_restz00_2903;
BgL_restz00_2903 = 
(BgL_offsetz00_2900 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 982 */

{ /* Llib/ssl.scm 982 */
 obj_t BgL_bucketz00_2905;
BgL_bucketz00_2905 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2896),BgL_modz00_2901); 
BgL_res2450z00_2924 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2905),BgL_restz00_2903); } } } } } } } } 
BgL_method1287z00_1737 = BgL_res2450z00_2924; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1287z00_1737))(BgL_method1287z00_1737, 
((obj_t)BgL_sslz00_93), BgL_bufferz00_94, 
BINT(BgL_offsetz00_95), 
BINT(BgL_lenz00_96), BEOA);} } 

}



/* &ssl-connection-clear-out */
obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t BgL_envz00_4894, obj_t BgL_sslz00_4895, obj_t BgL_bufferz00_4896, obj_t BgL_offsetz00_4897, obj_t BgL_lenz00_4898)
{
{ /* Llib/ssl.scm 982 */
{ /* Llib/ssl.scm 982 */
 long BgL_auxz00_11875; long BgL_auxz00_11866; obj_t BgL_auxz00_11859; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11832;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_tmpz00_11876;
if(
INTEGERP(BgL_lenz00_4898))
{ /* Llib/ssl.scm 982 */
BgL_tmpz00_11876 = BgL_lenz00_4898
; }  else 
{ 
 obj_t BgL_auxz00_11879;
BgL_auxz00_11879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3291z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4898); 
FAILURE(BgL_auxz00_11879,BFALSE,BFALSE);} 
BgL_auxz00_11875 = 
(long)CINT(BgL_tmpz00_11876); } 
{ /* Llib/ssl.scm 982 */
 obj_t BgL_tmpz00_11867;
if(
INTEGERP(BgL_offsetz00_4897))
{ /* Llib/ssl.scm 982 */
BgL_tmpz00_11867 = BgL_offsetz00_4897
; }  else 
{ 
 obj_t BgL_auxz00_11870;
BgL_auxz00_11870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3291z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4897); 
FAILURE(BgL_auxz00_11870,BFALSE,BFALSE);} 
BgL_auxz00_11866 = 
(long)CINT(BgL_tmpz00_11867); } 
if(
STRINGP(BgL_bufferz00_4896))
{ /* Llib/ssl.scm 982 */
BgL_auxz00_11859 = BgL_bufferz00_4896
; }  else 
{ 
 obj_t BgL_auxz00_11862;
BgL_auxz00_11862 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3291z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_bufferz00_4896); 
FAILURE(BgL_auxz00_11862,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 982 */
 bool_t BgL_test4168z00_11833;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_classz00_6542;
BgL_classz00_6542 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4895))
{ /* Llib/ssl.scm 982 */
 BgL_objectz00_bglt BgL_arg1780z00_6544; long BgL_arg1781z00_6545;
BgL_arg1780z00_6544 = 
(BgL_objectz00_bglt)(BgL_sslz00_4895); 
BgL_arg1781z00_6545 = 
BGL_CLASS_DEPTH(BgL_classz00_6542); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 982 */
 long BgL_idxz00_6553;
BgL_idxz00_6553 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6544); 
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1773z00_6554;
{ /* Llib/ssl.scm 982 */
 long BgL_arg1774z00_6555;
BgL_arg1774z00_6555 = 
(BgL_idxz00_6553+BgL_arg1781z00_6545); 
BgL_arg1773z00_6554 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6555); } 
BgL_test4168z00_11833 = 
(BgL_arg1773z00_6554==BgL_classz00_6542); } }  else 
{ /* Llib/ssl.scm 982 */
 bool_t BgL_res3350z00_6578;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_oclassz00_6563;
{ /* Llib/ssl.scm 982 */
 long BgL_arg1785z00_6569;
{ /* Llib/ssl.scm 982 */
 long BgL_arg1786z00_6570;
BgL_arg1786z00_6570 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6544); 
BgL_arg1785z00_6569 = 
(BgL_arg1786z00_6570-OBJECT_TYPE); } 
BgL_oclassz00_6563 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6569); } 
{ /* Llib/ssl.scm 982 */
 bool_t BgL__ortest_1114z00_6564;
BgL__ortest_1114z00_6564 = 
(BgL_classz00_6542==BgL_oclassz00_6563); 
if(BgL__ortest_1114z00_6564)
{ /* Llib/ssl.scm 982 */
BgL_res3350z00_6578 = BgL__ortest_1114z00_6564; }  else 
{ /* Llib/ssl.scm 982 */
 long BgL_odepthz00_6565;
BgL_odepthz00_6565 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6563); 
if(
(BgL_arg1781z00_6545<BgL_odepthz00_6565))
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1775z00_6567;
BgL_arg1775z00_6567 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6563, BgL_arg1781z00_6545); 
BgL_res3350z00_6578 = 
(BgL_arg1775z00_6567==BgL_classz00_6542); }  else 
{ /* Llib/ssl.scm 982 */
BgL_res3350z00_6578 = ((bool_t)0); } } } } 
BgL_test4168z00_11833 = BgL_res3350z00_6578; } }  else 
{ /* Llib/ssl.scm 982 */
BgL_test4168z00_11833 = ((bool_t)0)
; } } 
if(BgL_test4168z00_11833)
{ /* Llib/ssl.scm 982 */
BgL_auxz00_11832 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4895)
; }  else 
{ 
 obj_t BgL_auxz00_11855;
BgL_auxz00_11855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3291z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4895); 
FAILURE(BgL_auxz00_11855,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_auxz00_11832, BgL_auxz00_11859, BgL_auxz00_11866, BgL_auxz00_11875);} } 

}



/* ssl-connection-init-finished? */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_97)
{
{ /* Llib/ssl.scm 992 */
{ /* Llib/ssl.scm 992 */
 obj_t BgL_method1289z00_1738;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_res2455z00_2955;
{ /* Llib/ssl.scm 992 */
 long BgL_objzd2classzd2numz00_2926;
BgL_objzd2classzd2numz00_2926 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_97)); 
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1782z00_2927;
BgL_arg1782z00_2927 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 992 */
 int BgL_offsetz00_2930;
BgL_offsetz00_2930 = 
(int)(BgL_objzd2classzd2numz00_2926); 
{ /* Llib/ssl.scm 992 */
 long BgL_offsetz00_2931;
BgL_offsetz00_2931 = 
(
(long)(BgL_offsetz00_2930)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 992 */
 long BgL_modz00_2932;
BgL_modz00_2932 = 
(BgL_offsetz00_2931 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 992 */
 long BgL_restz00_2934;
BgL_restz00_2934 = 
(BgL_offsetz00_2931 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 992 */

{ /* Llib/ssl.scm 992 */
 obj_t BgL_bucketz00_2936;
BgL_bucketz00_2936 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2927),BgL_modz00_2932); 
BgL_res2455z00_2955 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2936),BgL_restz00_2934); } } } } } } } } 
BgL_method1289z00_1738 = BgL_res2455z00_2955; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1289z00_1738))(BgL_method1289z00_1738, 
((obj_t)BgL_sslz00_97), BEOA);} } 

}



/* &ssl-connection-init-finished? */
obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4899, obj_t BgL_sslz00_4900)
{
{ /* Llib/ssl.scm 992 */
{ /* Llib/ssl.scm 992 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11915;
{ /* Llib/ssl.scm 992 */
 bool_t BgL_test4176z00_11916;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_classz00_6579;
BgL_classz00_6579 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4900))
{ /* Llib/ssl.scm 992 */
 BgL_objectz00_bglt BgL_arg1780z00_6581; long BgL_arg1781z00_6582;
BgL_arg1780z00_6581 = 
(BgL_objectz00_bglt)(BgL_sslz00_4900); 
BgL_arg1781z00_6582 = 
BGL_CLASS_DEPTH(BgL_classz00_6579); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 992 */
 long BgL_idxz00_6590;
BgL_idxz00_6590 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6581); 
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1773z00_6591;
{ /* Llib/ssl.scm 992 */
 long BgL_arg1774z00_6592;
BgL_arg1774z00_6592 = 
(BgL_idxz00_6590+BgL_arg1781z00_6582); 
BgL_arg1773z00_6591 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6592); } 
BgL_test4176z00_11916 = 
(BgL_arg1773z00_6591==BgL_classz00_6579); } }  else 
{ /* Llib/ssl.scm 992 */
 bool_t BgL_res3351z00_6615;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_oclassz00_6600;
{ /* Llib/ssl.scm 992 */
 long BgL_arg1785z00_6606;
{ /* Llib/ssl.scm 992 */
 long BgL_arg1786z00_6607;
BgL_arg1786z00_6607 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6581); 
BgL_arg1785z00_6606 = 
(BgL_arg1786z00_6607-OBJECT_TYPE); } 
BgL_oclassz00_6600 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6606); } 
{ /* Llib/ssl.scm 992 */
 bool_t BgL__ortest_1114z00_6601;
BgL__ortest_1114z00_6601 = 
(BgL_classz00_6579==BgL_oclassz00_6600); 
if(BgL__ortest_1114z00_6601)
{ /* Llib/ssl.scm 992 */
BgL_res3351z00_6615 = BgL__ortest_1114z00_6601; }  else 
{ /* Llib/ssl.scm 992 */
 long BgL_odepthz00_6602;
BgL_odepthz00_6602 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6600); 
if(
(BgL_arg1781z00_6582<BgL_odepthz00_6602))
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1775z00_6604;
BgL_arg1775z00_6604 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6600, BgL_arg1781z00_6582); 
BgL_res3351z00_6615 = 
(BgL_arg1775z00_6604==BgL_classz00_6579); }  else 
{ /* Llib/ssl.scm 992 */
BgL_res3351z00_6615 = ((bool_t)0); } } } } 
BgL_test4176z00_11916 = BgL_res3351z00_6615; } }  else 
{ /* Llib/ssl.scm 992 */
BgL_test4176z00_11916 = ((bool_t)0)
; } } 
if(BgL_test4176z00_11916)
{ /* Llib/ssl.scm 992 */
BgL_auxz00_11915 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4900)
; }  else 
{ 
 obj_t BgL_auxz00_11938;
BgL_auxz00_11938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(40569L), BGl_string3292z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4900); 
FAILURE(BgL_auxz00_11938,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_auxz00_11915);} } 

}



/* ssl-connection-enc-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_98)
{
{ /* Llib/ssl.scm 1002 */
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_method1291z00_1739;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_res2460z00_2986;
{ /* Llib/ssl.scm 1002 */
 long BgL_objzd2classzd2numz00_2957;
BgL_objzd2classzd2numz00_2957 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_98)); 
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1782z00_2958;
BgL_arg1782z00_2958 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1002 */
 int BgL_offsetz00_2961;
BgL_offsetz00_2961 = 
(int)(BgL_objzd2classzd2numz00_2957); 
{ /* Llib/ssl.scm 1002 */
 long BgL_offsetz00_2962;
BgL_offsetz00_2962 = 
(
(long)(BgL_offsetz00_2961)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1002 */
 long BgL_modz00_2963;
BgL_modz00_2963 = 
(BgL_offsetz00_2962 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1002 */
 long BgL_restz00_2965;
BgL_restz00_2965 = 
(BgL_offsetz00_2962 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1002 */

{ /* Llib/ssl.scm 1002 */
 obj_t BgL_bucketz00_2967;
BgL_bucketz00_2967 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2958),BgL_modz00_2963); 
BgL_res2460z00_2986 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2967),BgL_restz00_2965); } } } } } } } } 
BgL_method1291z00_1739 = BgL_res2460z00_2986; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1291z00_1739))(BgL_method1291z00_1739, 
((obj_t)BgL_sslz00_98), BEOA);} } 

}



/* &ssl-connection-enc-pending */
obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4901, obj_t BgL_sslz00_4902)
{
{ /* Llib/ssl.scm 1002 */
{ /* Llib/ssl.scm 1002 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11973;
{ /* Llib/ssl.scm 1002 */
 bool_t BgL_test4181z00_11974;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_classz00_6616;
BgL_classz00_6616 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4902))
{ /* Llib/ssl.scm 1002 */
 BgL_objectz00_bglt BgL_arg1780z00_6618; long BgL_arg1781z00_6619;
BgL_arg1780z00_6618 = 
(BgL_objectz00_bglt)(BgL_sslz00_4902); 
BgL_arg1781z00_6619 = 
BGL_CLASS_DEPTH(BgL_classz00_6616); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1002 */
 long BgL_idxz00_6627;
BgL_idxz00_6627 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6618); 
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1773z00_6628;
{ /* Llib/ssl.scm 1002 */
 long BgL_arg1774z00_6629;
BgL_arg1774z00_6629 = 
(BgL_idxz00_6627+BgL_arg1781z00_6619); 
BgL_arg1773z00_6628 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6629); } 
BgL_test4181z00_11974 = 
(BgL_arg1773z00_6628==BgL_classz00_6616); } }  else 
{ /* Llib/ssl.scm 1002 */
 bool_t BgL_res3352z00_6652;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_oclassz00_6637;
{ /* Llib/ssl.scm 1002 */
 long BgL_arg1785z00_6643;
{ /* Llib/ssl.scm 1002 */
 long BgL_arg1786z00_6644;
BgL_arg1786z00_6644 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6618); 
BgL_arg1785z00_6643 = 
(BgL_arg1786z00_6644-OBJECT_TYPE); } 
BgL_oclassz00_6637 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6643); } 
{ /* Llib/ssl.scm 1002 */
 bool_t BgL__ortest_1114z00_6638;
BgL__ortest_1114z00_6638 = 
(BgL_classz00_6616==BgL_oclassz00_6637); 
if(BgL__ortest_1114z00_6638)
{ /* Llib/ssl.scm 1002 */
BgL_res3352z00_6652 = BgL__ortest_1114z00_6638; }  else 
{ /* Llib/ssl.scm 1002 */
 long BgL_odepthz00_6639;
BgL_odepthz00_6639 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6637); 
if(
(BgL_arg1781z00_6619<BgL_odepthz00_6639))
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1775z00_6641;
BgL_arg1775z00_6641 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6637, BgL_arg1781z00_6619); 
BgL_res3352z00_6652 = 
(BgL_arg1775z00_6641==BgL_classz00_6616); }  else 
{ /* Llib/ssl.scm 1002 */
BgL_res3352z00_6652 = ((bool_t)0); } } } } 
BgL_test4181z00_11974 = BgL_res3352z00_6652; } }  else 
{ /* Llib/ssl.scm 1002 */
BgL_test4181z00_11974 = ((bool_t)0)
; } } 
if(BgL_test4181z00_11974)
{ /* Llib/ssl.scm 1002 */
BgL_auxz00_11973 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4902)
; }  else 
{ 
 obj_t BgL_auxz00_11996;
BgL_auxz00_11996 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(40965L), BGl_string3293z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4902); 
FAILURE(BgL_auxz00_11996,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_auxz00_11973);} } 

}



/* ssl-connection-clear-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_99)
{
{ /* Llib/ssl.scm 1012 */
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_method1293z00_1740;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_res2465z00_3017;
{ /* Llib/ssl.scm 1012 */
 long BgL_objzd2classzd2numz00_2988;
BgL_objzd2classzd2numz00_2988 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_99)); 
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1782z00_2989;
BgL_arg1782z00_2989 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1012 */
 int BgL_offsetz00_2992;
BgL_offsetz00_2992 = 
(int)(BgL_objzd2classzd2numz00_2988); 
{ /* Llib/ssl.scm 1012 */
 long BgL_offsetz00_2993;
BgL_offsetz00_2993 = 
(
(long)(BgL_offsetz00_2992)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1012 */
 long BgL_modz00_2994;
BgL_modz00_2994 = 
(BgL_offsetz00_2993 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1012 */
 long BgL_restz00_2996;
BgL_restz00_2996 = 
(BgL_offsetz00_2993 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1012 */

{ /* Llib/ssl.scm 1012 */
 obj_t BgL_bucketz00_2998;
BgL_bucketz00_2998 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_2989),BgL_modz00_2994); 
BgL_res2465z00_3017 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2998),BgL_restz00_2996); } } } } } } } } 
BgL_method1293z00_1740 = BgL_res2465z00_3017; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1293z00_1740))(BgL_method1293z00_1740, 
((obj_t)BgL_sslz00_99), BEOA);} } 

}



/* &ssl-connection-clear-pending */
obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4903, obj_t BgL_sslz00_4904)
{
{ /* Llib/ssl.scm 1012 */
{ /* Llib/ssl.scm 1012 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12031;
{ /* Llib/ssl.scm 1012 */
 bool_t BgL_test4186z00_12032;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_classz00_6653;
BgL_classz00_6653 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4904))
{ /* Llib/ssl.scm 1012 */
 BgL_objectz00_bglt BgL_arg1780z00_6655; long BgL_arg1781z00_6656;
BgL_arg1780z00_6655 = 
(BgL_objectz00_bglt)(BgL_sslz00_4904); 
BgL_arg1781z00_6656 = 
BGL_CLASS_DEPTH(BgL_classz00_6653); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1012 */
 long BgL_idxz00_6664;
BgL_idxz00_6664 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6655); 
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1773z00_6665;
{ /* Llib/ssl.scm 1012 */
 long BgL_arg1774z00_6666;
BgL_arg1774z00_6666 = 
(BgL_idxz00_6664+BgL_arg1781z00_6656); 
BgL_arg1773z00_6665 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6666); } 
BgL_test4186z00_12032 = 
(BgL_arg1773z00_6665==BgL_classz00_6653); } }  else 
{ /* Llib/ssl.scm 1012 */
 bool_t BgL_res3353z00_6689;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_oclassz00_6674;
{ /* Llib/ssl.scm 1012 */
 long BgL_arg1785z00_6680;
{ /* Llib/ssl.scm 1012 */
 long BgL_arg1786z00_6681;
BgL_arg1786z00_6681 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6655); 
BgL_arg1785z00_6680 = 
(BgL_arg1786z00_6681-OBJECT_TYPE); } 
BgL_oclassz00_6674 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6680); } 
{ /* Llib/ssl.scm 1012 */
 bool_t BgL__ortest_1114z00_6675;
BgL__ortest_1114z00_6675 = 
(BgL_classz00_6653==BgL_oclassz00_6674); 
if(BgL__ortest_1114z00_6675)
{ /* Llib/ssl.scm 1012 */
BgL_res3353z00_6689 = BgL__ortest_1114z00_6675; }  else 
{ /* Llib/ssl.scm 1012 */
 long BgL_odepthz00_6676;
BgL_odepthz00_6676 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6674); 
if(
(BgL_arg1781z00_6656<BgL_odepthz00_6676))
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1775z00_6678;
BgL_arg1775z00_6678 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6674, BgL_arg1781z00_6656); 
BgL_res3353z00_6689 = 
(BgL_arg1775z00_6678==BgL_classz00_6653); }  else 
{ /* Llib/ssl.scm 1012 */
BgL_res3353z00_6689 = ((bool_t)0); } } } } 
BgL_test4186z00_12032 = BgL_res3353z00_6689; } }  else 
{ /* Llib/ssl.scm 1012 */
BgL_test4186z00_12032 = ((bool_t)0)
; } } 
if(BgL_test4186z00_12032)
{ /* Llib/ssl.scm 1012 */
BgL_auxz00_12031 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4904)
; }  else 
{ 
 obj_t BgL_auxz00_12054;
BgL_auxz00_12054 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(41355L), BGl_string3294z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4904); 
FAILURE(BgL_auxz00_12054,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_auxz00_12031);} } 

}



/* ssl-connection-set-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_100, obj_t BgL_bufz00_101)
{
{ /* Llib/ssl.scm 1022 */
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_method1295z00_1741;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_res2470z00_3048;
{ /* Llib/ssl.scm 1022 */
 long BgL_objzd2classzd2numz00_3019;
BgL_objzd2classzd2numz00_3019 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_100)); 
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1782z00_3020;
BgL_arg1782z00_3020 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1022 */
 int BgL_offsetz00_3023;
BgL_offsetz00_3023 = 
(int)(BgL_objzd2classzd2numz00_3019); 
{ /* Llib/ssl.scm 1022 */
 long BgL_offsetz00_3024;
BgL_offsetz00_3024 = 
(
(long)(BgL_offsetz00_3023)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1022 */
 long BgL_modz00_3025;
BgL_modz00_3025 = 
(BgL_offsetz00_3024 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1022 */
 long BgL_restz00_3027;
BgL_restz00_3027 = 
(BgL_offsetz00_3024 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1022 */

{ /* Llib/ssl.scm 1022 */
 obj_t BgL_bucketz00_3029;
BgL_bucketz00_3029 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3020),BgL_modz00_3025); 
BgL_res2470z00_3048 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3029),BgL_restz00_3027); } } } } } } } } 
BgL_method1295z00_1741 = BgL_res2470z00_3048; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1295z00_1741))(BgL_method1295z00_1741, 
((obj_t)BgL_sslz00_100), BgL_bufz00_101, BEOA);} } 

}



/* &ssl-connection-set-session */
obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4905, obj_t BgL_sslz00_4906, obj_t BgL_bufz00_4907)
{
{ /* Llib/ssl.scm 1022 */
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_auxz00_12117; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12090;
if(
STRINGP(BgL_bufz00_4907))
{ /* Llib/ssl.scm 1022 */
BgL_auxz00_12117 = BgL_bufz00_4907
; }  else 
{ 
 obj_t BgL_auxz00_12120;
BgL_auxz00_12120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(41749L), BGl_string3295z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_bufz00_4907); 
FAILURE(BgL_auxz00_12120,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1022 */
 bool_t BgL_test4191z00_12091;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_classz00_6690;
BgL_classz00_6690 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4906))
{ /* Llib/ssl.scm 1022 */
 BgL_objectz00_bglt BgL_arg1780z00_6692; long BgL_arg1781z00_6693;
BgL_arg1780z00_6692 = 
(BgL_objectz00_bglt)(BgL_sslz00_4906); 
BgL_arg1781z00_6693 = 
BGL_CLASS_DEPTH(BgL_classz00_6690); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1022 */
 long BgL_idxz00_6701;
BgL_idxz00_6701 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6692); 
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1773z00_6702;
{ /* Llib/ssl.scm 1022 */
 long BgL_arg1774z00_6703;
BgL_arg1774z00_6703 = 
(BgL_idxz00_6701+BgL_arg1781z00_6693); 
BgL_arg1773z00_6702 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6703); } 
BgL_test4191z00_12091 = 
(BgL_arg1773z00_6702==BgL_classz00_6690); } }  else 
{ /* Llib/ssl.scm 1022 */
 bool_t BgL_res3354z00_6726;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_oclassz00_6711;
{ /* Llib/ssl.scm 1022 */
 long BgL_arg1785z00_6717;
{ /* Llib/ssl.scm 1022 */
 long BgL_arg1786z00_6718;
BgL_arg1786z00_6718 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6692); 
BgL_arg1785z00_6717 = 
(BgL_arg1786z00_6718-OBJECT_TYPE); } 
BgL_oclassz00_6711 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6717); } 
{ /* Llib/ssl.scm 1022 */
 bool_t BgL__ortest_1114z00_6712;
BgL__ortest_1114z00_6712 = 
(BgL_classz00_6690==BgL_oclassz00_6711); 
if(BgL__ortest_1114z00_6712)
{ /* Llib/ssl.scm 1022 */
BgL_res3354z00_6726 = BgL__ortest_1114z00_6712; }  else 
{ /* Llib/ssl.scm 1022 */
 long BgL_odepthz00_6713;
BgL_odepthz00_6713 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6711); 
if(
(BgL_arg1781z00_6693<BgL_odepthz00_6713))
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1775z00_6715;
BgL_arg1775z00_6715 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6711, BgL_arg1781z00_6693); 
BgL_res3354z00_6726 = 
(BgL_arg1775z00_6715==BgL_classz00_6690); }  else 
{ /* Llib/ssl.scm 1022 */
BgL_res3354z00_6726 = ((bool_t)0); } } } } 
BgL_test4191z00_12091 = BgL_res3354z00_6726; } }  else 
{ /* Llib/ssl.scm 1022 */
BgL_test4191z00_12091 = ((bool_t)0)
; } } 
if(BgL_test4191z00_12091)
{ /* Llib/ssl.scm 1022 */
BgL_auxz00_12090 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4906)
; }  else 
{ 
 obj_t BgL_auxz00_12113;
BgL_auxz00_12113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(41749L), BGl_string3295z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4906); 
FAILURE(BgL_auxz00_12113,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12090, BgL_auxz00_12117);} } 

}



/* ssl-connection-get-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_102)
{
{ /* Llib/ssl.scm 1032 */
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_method1297z00_1742;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_res2475z00_3079;
{ /* Llib/ssl.scm 1032 */
 long BgL_objzd2classzd2numz00_3050;
BgL_objzd2classzd2numz00_3050 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_102)); 
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1782z00_3051;
BgL_arg1782z00_3051 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1032 */
 int BgL_offsetz00_3054;
BgL_offsetz00_3054 = 
(int)(BgL_objzd2classzd2numz00_3050); 
{ /* Llib/ssl.scm 1032 */
 long BgL_offsetz00_3055;
BgL_offsetz00_3055 = 
(
(long)(BgL_offsetz00_3054)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1032 */
 long BgL_modz00_3056;
BgL_modz00_3056 = 
(BgL_offsetz00_3055 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1032 */
 long BgL_restz00_3058;
BgL_restz00_3058 = 
(BgL_offsetz00_3055 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1032 */

{ /* Llib/ssl.scm 1032 */
 obj_t BgL_bucketz00_3060;
BgL_bucketz00_3060 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3051),BgL_modz00_3056); 
BgL_res2475z00_3079 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3060),BgL_restz00_3058); } } } } } } } } 
BgL_method1297z00_1742 = BgL_res2475z00_3079; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1297z00_1742))(BgL_method1297z00_1742, 
((obj_t)BgL_sslz00_102), BEOA);} } 

}



/* &ssl-connection-get-session */
obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4908, obj_t BgL_sslz00_4909)
{
{ /* Llib/ssl.scm 1032 */
{ /* Llib/ssl.scm 1032 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12155;
{ /* Llib/ssl.scm 1032 */
 bool_t BgL_test4197z00_12156;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_classz00_6727;
BgL_classz00_6727 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4909))
{ /* Llib/ssl.scm 1032 */
 BgL_objectz00_bglt BgL_arg1780z00_6729; long BgL_arg1781z00_6730;
BgL_arg1780z00_6729 = 
(BgL_objectz00_bglt)(BgL_sslz00_4909); 
BgL_arg1781z00_6730 = 
BGL_CLASS_DEPTH(BgL_classz00_6727); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1032 */
 long BgL_idxz00_6738;
BgL_idxz00_6738 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6729); 
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1773z00_6739;
{ /* Llib/ssl.scm 1032 */
 long BgL_arg1774z00_6740;
BgL_arg1774z00_6740 = 
(BgL_idxz00_6738+BgL_arg1781z00_6730); 
BgL_arg1773z00_6739 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6740); } 
BgL_test4197z00_12156 = 
(BgL_arg1773z00_6739==BgL_classz00_6727); } }  else 
{ /* Llib/ssl.scm 1032 */
 bool_t BgL_res3355z00_6763;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_oclassz00_6748;
{ /* Llib/ssl.scm 1032 */
 long BgL_arg1785z00_6754;
{ /* Llib/ssl.scm 1032 */
 long BgL_arg1786z00_6755;
BgL_arg1786z00_6755 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6729); 
BgL_arg1785z00_6754 = 
(BgL_arg1786z00_6755-OBJECT_TYPE); } 
BgL_oclassz00_6748 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6754); } 
{ /* Llib/ssl.scm 1032 */
 bool_t BgL__ortest_1114z00_6749;
BgL__ortest_1114z00_6749 = 
(BgL_classz00_6727==BgL_oclassz00_6748); 
if(BgL__ortest_1114z00_6749)
{ /* Llib/ssl.scm 1032 */
BgL_res3355z00_6763 = BgL__ortest_1114z00_6749; }  else 
{ /* Llib/ssl.scm 1032 */
 long BgL_odepthz00_6750;
BgL_odepthz00_6750 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6748); 
if(
(BgL_arg1781z00_6730<BgL_odepthz00_6750))
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1775z00_6752;
BgL_arg1775z00_6752 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6748, BgL_arg1781z00_6730); 
BgL_res3355z00_6763 = 
(BgL_arg1775z00_6752==BgL_classz00_6727); }  else 
{ /* Llib/ssl.scm 1032 */
BgL_res3355z00_6763 = ((bool_t)0); } } } } 
BgL_test4197z00_12156 = BgL_res3355z00_6763; } }  else 
{ /* Llib/ssl.scm 1032 */
BgL_test4197z00_12156 = ((bool_t)0)
; } } 
if(BgL_test4197z00_12156)
{ /* Llib/ssl.scm 1032 */
BgL_auxz00_12155 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4909)
; }  else 
{ 
 obj_t BgL_auxz00_12178;
BgL_auxz00_12178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(42157L), BGl_string3296z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4909); 
FAILURE(BgL_auxz00_12178,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12155);} } 

}



/* ssl-connection-get-current-cipher */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_103)
{
{ /* Llib/ssl.scm 1042 */
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_method1299z00_1743;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_res2480z00_3110;
{ /* Llib/ssl.scm 1042 */
 long BgL_objzd2classzd2numz00_3081;
BgL_objzd2classzd2numz00_3081 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_103)); 
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1782z00_3082;
BgL_arg1782z00_3082 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1042 */
 int BgL_offsetz00_3085;
BgL_offsetz00_3085 = 
(int)(BgL_objzd2classzd2numz00_3081); 
{ /* Llib/ssl.scm 1042 */
 long BgL_offsetz00_3086;
BgL_offsetz00_3086 = 
(
(long)(BgL_offsetz00_3085)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1042 */
 long BgL_modz00_3087;
BgL_modz00_3087 = 
(BgL_offsetz00_3086 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1042 */
 long BgL_restz00_3089;
BgL_restz00_3089 = 
(BgL_offsetz00_3086 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1042 */

{ /* Llib/ssl.scm 1042 */
 obj_t BgL_bucketz00_3091;
BgL_bucketz00_3091 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3082),BgL_modz00_3087); 
BgL_res2480z00_3110 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3091),BgL_restz00_3089); } } } } } } } } 
BgL_method1299z00_1743 = BgL_res2480z00_3110; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1299z00_1743))(BgL_method1299z00_1743, 
((obj_t)BgL_sslz00_103), BEOA);} } 

}



/* &ssl-connection-get-current-cipher */
obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t BgL_envz00_4910, obj_t BgL_sslz00_4911)
{
{ /* Llib/ssl.scm 1042 */
{ /* Llib/ssl.scm 1042 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12213;
{ /* Llib/ssl.scm 1042 */
 bool_t BgL_test4202z00_12214;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_classz00_6764;
BgL_classz00_6764 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4911))
{ /* Llib/ssl.scm 1042 */
 BgL_objectz00_bglt BgL_arg1780z00_6766; long BgL_arg1781z00_6767;
BgL_arg1780z00_6766 = 
(BgL_objectz00_bglt)(BgL_sslz00_4911); 
BgL_arg1781z00_6767 = 
BGL_CLASS_DEPTH(BgL_classz00_6764); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1042 */
 long BgL_idxz00_6775;
BgL_idxz00_6775 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6766); 
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1773z00_6776;
{ /* Llib/ssl.scm 1042 */
 long BgL_arg1774z00_6777;
BgL_arg1774z00_6777 = 
(BgL_idxz00_6775+BgL_arg1781z00_6767); 
BgL_arg1773z00_6776 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6777); } 
BgL_test4202z00_12214 = 
(BgL_arg1773z00_6776==BgL_classz00_6764); } }  else 
{ /* Llib/ssl.scm 1042 */
 bool_t BgL_res3356z00_6800;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_oclassz00_6785;
{ /* Llib/ssl.scm 1042 */
 long BgL_arg1785z00_6791;
{ /* Llib/ssl.scm 1042 */
 long BgL_arg1786z00_6792;
BgL_arg1786z00_6792 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6766); 
BgL_arg1785z00_6791 = 
(BgL_arg1786z00_6792-OBJECT_TYPE); } 
BgL_oclassz00_6785 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6791); } 
{ /* Llib/ssl.scm 1042 */
 bool_t BgL__ortest_1114z00_6786;
BgL__ortest_1114z00_6786 = 
(BgL_classz00_6764==BgL_oclassz00_6785); 
if(BgL__ortest_1114z00_6786)
{ /* Llib/ssl.scm 1042 */
BgL_res3356z00_6800 = BgL__ortest_1114z00_6786; }  else 
{ /* Llib/ssl.scm 1042 */
 long BgL_odepthz00_6787;
BgL_odepthz00_6787 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6785); 
if(
(BgL_arg1781z00_6767<BgL_odepthz00_6787))
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1775z00_6789;
BgL_arg1775z00_6789 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6785, BgL_arg1781z00_6767); 
BgL_res3356z00_6800 = 
(BgL_arg1775z00_6789==BgL_classz00_6764); }  else 
{ /* Llib/ssl.scm 1042 */
BgL_res3356z00_6800 = ((bool_t)0); } } } } 
BgL_test4202z00_12214 = BgL_res3356z00_6800; } }  else 
{ /* Llib/ssl.scm 1042 */
BgL_test4202z00_12214 = ((bool_t)0)
; } } 
if(BgL_test4202z00_12214)
{ /* Llib/ssl.scm 1042 */
BgL_auxz00_12213 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4911)
; }  else 
{ 
 obj_t BgL_auxz00_12236;
BgL_auxz00_12236 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(42548L), BGl_string3297z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4911); 
FAILURE(BgL_auxz00_12236,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_auxz00_12213);} } 

}



/* ssl-connection-load-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_104, obj_t BgL_bufz00_105)
{
{ /* Llib/ssl.scm 1052 */
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_method1301z00_1744;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_res2485z00_3141;
{ /* Llib/ssl.scm 1052 */
 long BgL_objzd2classzd2numz00_3112;
BgL_objzd2classzd2numz00_3112 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_104)); 
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1782z00_3113;
BgL_arg1782z00_3113 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1052 */
 int BgL_offsetz00_3116;
BgL_offsetz00_3116 = 
(int)(BgL_objzd2classzd2numz00_3112); 
{ /* Llib/ssl.scm 1052 */
 long BgL_offsetz00_3117;
BgL_offsetz00_3117 = 
(
(long)(BgL_offsetz00_3116)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1052 */
 long BgL_modz00_3118;
BgL_modz00_3118 = 
(BgL_offsetz00_3117 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1052 */
 long BgL_restz00_3120;
BgL_restz00_3120 = 
(BgL_offsetz00_3117 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1052 */

{ /* Llib/ssl.scm 1052 */
 obj_t BgL_bucketz00_3122;
BgL_bucketz00_3122 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3113),BgL_modz00_3118); 
BgL_res2485z00_3141 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3122),BgL_restz00_3120); } } } } } } } } 
BgL_method1301z00_1744 = BgL_res2485z00_3141; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1301z00_1744))(BgL_method1301z00_1744, 
((obj_t)BgL_sslz00_104), BgL_bufz00_105, BEOA);} } 

}



/* &ssl-connection-load-session */
obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4912, obj_t BgL_sslz00_4913, obj_t BgL_bufz00_4914)
{
{ /* Llib/ssl.scm 1052 */
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_auxz00_12299; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12272;
if(
STRINGP(BgL_bufz00_4914))
{ /* Llib/ssl.scm 1052 */
BgL_auxz00_12299 = BgL_bufz00_4914
; }  else 
{ 
 obj_t BgL_auxz00_12302;
BgL_auxz00_12302 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(42953L), BGl_string3298z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_bufz00_4914); 
FAILURE(BgL_auxz00_12302,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1052 */
 bool_t BgL_test4207z00_12273;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_classz00_6801;
BgL_classz00_6801 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4913))
{ /* Llib/ssl.scm 1052 */
 BgL_objectz00_bglt BgL_arg1780z00_6803; long BgL_arg1781z00_6804;
BgL_arg1780z00_6803 = 
(BgL_objectz00_bglt)(BgL_sslz00_4913); 
BgL_arg1781z00_6804 = 
BGL_CLASS_DEPTH(BgL_classz00_6801); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1052 */
 long BgL_idxz00_6812;
BgL_idxz00_6812 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6803); 
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1773z00_6813;
{ /* Llib/ssl.scm 1052 */
 long BgL_arg1774z00_6814;
BgL_arg1774z00_6814 = 
(BgL_idxz00_6812+BgL_arg1781z00_6804); 
BgL_arg1773z00_6813 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6814); } 
BgL_test4207z00_12273 = 
(BgL_arg1773z00_6813==BgL_classz00_6801); } }  else 
{ /* Llib/ssl.scm 1052 */
 bool_t BgL_res3357z00_6837;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_oclassz00_6822;
{ /* Llib/ssl.scm 1052 */
 long BgL_arg1785z00_6828;
{ /* Llib/ssl.scm 1052 */
 long BgL_arg1786z00_6829;
BgL_arg1786z00_6829 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6803); 
BgL_arg1785z00_6828 = 
(BgL_arg1786z00_6829-OBJECT_TYPE); } 
BgL_oclassz00_6822 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6828); } 
{ /* Llib/ssl.scm 1052 */
 bool_t BgL__ortest_1114z00_6823;
BgL__ortest_1114z00_6823 = 
(BgL_classz00_6801==BgL_oclassz00_6822); 
if(BgL__ortest_1114z00_6823)
{ /* Llib/ssl.scm 1052 */
BgL_res3357z00_6837 = BgL__ortest_1114z00_6823; }  else 
{ /* Llib/ssl.scm 1052 */
 long BgL_odepthz00_6824;
BgL_odepthz00_6824 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6822); 
if(
(BgL_arg1781z00_6804<BgL_odepthz00_6824))
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1775z00_6826;
BgL_arg1775z00_6826 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6822, BgL_arg1781z00_6804); 
BgL_res3357z00_6837 = 
(BgL_arg1775z00_6826==BgL_classz00_6801); }  else 
{ /* Llib/ssl.scm 1052 */
BgL_res3357z00_6837 = ((bool_t)0); } } } } 
BgL_test4207z00_12273 = BgL_res3357z00_6837; } }  else 
{ /* Llib/ssl.scm 1052 */
BgL_test4207z00_12273 = ((bool_t)0)
; } } 
if(BgL_test4207z00_12273)
{ /* Llib/ssl.scm 1052 */
BgL_auxz00_12272 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4913)
; }  else 
{ 
 obj_t BgL_auxz00_12295;
BgL_auxz00_12295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(42953L), BGl_string3298z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4913); 
FAILURE(BgL_auxz00_12295,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12272, BgL_auxz00_12299);} } 

}



/* ssl-connection-verify-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_106)
{
{ /* Llib/ssl.scm 1062 */
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_method1303z00_1745;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_res2490z00_3172;
{ /* Llib/ssl.scm 1062 */
 long BgL_objzd2classzd2numz00_3143;
BgL_objzd2classzd2numz00_3143 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_106)); 
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1782z00_3144;
BgL_arg1782z00_3144 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1062 */
 int BgL_offsetz00_3147;
BgL_offsetz00_3147 = 
(int)(BgL_objzd2classzd2numz00_3143); 
{ /* Llib/ssl.scm 1062 */
 long BgL_offsetz00_3148;
BgL_offsetz00_3148 = 
(
(long)(BgL_offsetz00_3147)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1062 */
 long BgL_modz00_3149;
BgL_modz00_3149 = 
(BgL_offsetz00_3148 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1062 */
 long BgL_restz00_3151;
BgL_restz00_3151 = 
(BgL_offsetz00_3148 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1062 */

{ /* Llib/ssl.scm 1062 */
 obj_t BgL_bucketz00_3153;
BgL_bucketz00_3153 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3144),BgL_modz00_3149); 
BgL_res2490z00_3172 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3153),BgL_restz00_3151); } } } } } } } } 
BgL_method1303z00_1745 = BgL_res2490z00_3172; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1303z00_1745))(BgL_method1303z00_1745, 
((obj_t)BgL_sslz00_106), BEOA);} } 

}



/* &ssl-connection-verify-error */
obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t BgL_envz00_4915, obj_t BgL_sslz00_4916)
{
{ /* Llib/ssl.scm 1062 */
{ /* Llib/ssl.scm 1062 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12337;
{ /* Llib/ssl.scm 1062 */
 bool_t BgL_test4213z00_12338;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_classz00_6838;
BgL_classz00_6838 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4916))
{ /* Llib/ssl.scm 1062 */
 BgL_objectz00_bglt BgL_arg1780z00_6840; long BgL_arg1781z00_6841;
BgL_arg1780z00_6840 = 
(BgL_objectz00_bglt)(BgL_sslz00_4916); 
BgL_arg1781z00_6841 = 
BGL_CLASS_DEPTH(BgL_classz00_6838); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1062 */
 long BgL_idxz00_6849;
BgL_idxz00_6849 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6840); 
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1773z00_6850;
{ /* Llib/ssl.scm 1062 */
 long BgL_arg1774z00_6851;
BgL_arg1774z00_6851 = 
(BgL_idxz00_6849+BgL_arg1781z00_6841); 
BgL_arg1773z00_6850 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6851); } 
BgL_test4213z00_12338 = 
(BgL_arg1773z00_6850==BgL_classz00_6838); } }  else 
{ /* Llib/ssl.scm 1062 */
 bool_t BgL_res3358z00_6874;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_oclassz00_6859;
{ /* Llib/ssl.scm 1062 */
 long BgL_arg1785z00_6865;
{ /* Llib/ssl.scm 1062 */
 long BgL_arg1786z00_6866;
BgL_arg1786z00_6866 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6840); 
BgL_arg1785z00_6865 = 
(BgL_arg1786z00_6866-OBJECT_TYPE); } 
BgL_oclassz00_6859 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6865); } 
{ /* Llib/ssl.scm 1062 */
 bool_t BgL__ortest_1114z00_6860;
BgL__ortest_1114z00_6860 = 
(BgL_classz00_6838==BgL_oclassz00_6859); 
if(BgL__ortest_1114z00_6860)
{ /* Llib/ssl.scm 1062 */
BgL_res3358z00_6874 = BgL__ortest_1114z00_6860; }  else 
{ /* Llib/ssl.scm 1062 */
 long BgL_odepthz00_6861;
BgL_odepthz00_6861 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6859); 
if(
(BgL_arg1781z00_6841<BgL_odepthz00_6861))
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1775z00_6863;
BgL_arg1775z00_6863 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6859, BgL_arg1781z00_6841); 
BgL_res3358z00_6874 = 
(BgL_arg1775z00_6863==BgL_classz00_6838); }  else 
{ /* Llib/ssl.scm 1062 */
BgL_res3358z00_6874 = ((bool_t)0); } } } } 
BgL_test4213z00_12338 = BgL_res3358z00_6874; } }  else 
{ /* Llib/ssl.scm 1062 */
BgL_test4213z00_12338 = ((bool_t)0)
; } } 
if(BgL_test4213z00_12338)
{ /* Llib/ssl.scm 1062 */
BgL_auxz00_12337 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4916)
; }  else 
{ 
 obj_t BgL_auxz00_12360;
BgL_auxz00_12360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(43363L), BGl_string3299z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4916); 
FAILURE(BgL_auxz00_12360,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_auxz00_12337);} } 

}



/* ssl-connection-get-peer-certificate */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_107)
{
{ /* Llib/ssl.scm 1072 */
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_method1305z00_1746;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_res2495z00_3203;
{ /* Llib/ssl.scm 1072 */
 long BgL_objzd2classzd2numz00_3174;
BgL_objzd2classzd2numz00_3174 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_107)); 
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1782z00_3175;
BgL_arg1782z00_3175 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1072 */
 int BgL_offsetz00_3178;
BgL_offsetz00_3178 = 
(int)(BgL_objzd2classzd2numz00_3174); 
{ /* Llib/ssl.scm 1072 */
 long BgL_offsetz00_3179;
BgL_offsetz00_3179 = 
(
(long)(BgL_offsetz00_3178)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1072 */
 long BgL_modz00_3180;
BgL_modz00_3180 = 
(BgL_offsetz00_3179 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1072 */
 long BgL_restz00_3182;
BgL_restz00_3182 = 
(BgL_offsetz00_3179 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1072 */

{ /* Llib/ssl.scm 1072 */
 obj_t BgL_bucketz00_3184;
BgL_bucketz00_3184 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3175),BgL_modz00_3180); 
BgL_res2495z00_3203 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3184),BgL_restz00_3182); } } } } } } } } 
BgL_method1305z00_1746 = BgL_res2495z00_3203; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1305z00_1746))(BgL_method1305z00_1746, 
((obj_t)BgL_sslz00_107), BEOA);} } 

}



/* &ssl-connection-get-peer-certificate */
obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t BgL_envz00_4917, obj_t BgL_sslz00_4918)
{
{ /* Llib/ssl.scm 1072 */
{ /* Llib/ssl.scm 1072 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12395;
{ /* Llib/ssl.scm 1072 */
 bool_t BgL_test4218z00_12396;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_classz00_6875;
BgL_classz00_6875 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4918))
{ /* Llib/ssl.scm 1072 */
 BgL_objectz00_bglt BgL_arg1780z00_6877; long BgL_arg1781z00_6878;
BgL_arg1780z00_6877 = 
(BgL_objectz00_bglt)(BgL_sslz00_4918); 
BgL_arg1781z00_6878 = 
BGL_CLASS_DEPTH(BgL_classz00_6875); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1072 */
 long BgL_idxz00_6886;
BgL_idxz00_6886 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6877); 
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1773z00_6887;
{ /* Llib/ssl.scm 1072 */
 long BgL_arg1774z00_6888;
BgL_arg1774z00_6888 = 
(BgL_idxz00_6886+BgL_arg1781z00_6878); 
BgL_arg1773z00_6887 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6888); } 
BgL_test4218z00_12396 = 
(BgL_arg1773z00_6887==BgL_classz00_6875); } }  else 
{ /* Llib/ssl.scm 1072 */
 bool_t BgL_res3359z00_6911;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_oclassz00_6896;
{ /* Llib/ssl.scm 1072 */
 long BgL_arg1785z00_6902;
{ /* Llib/ssl.scm 1072 */
 long BgL_arg1786z00_6903;
BgL_arg1786z00_6903 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6877); 
BgL_arg1785z00_6902 = 
(BgL_arg1786z00_6903-OBJECT_TYPE); } 
BgL_oclassz00_6896 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6902); } 
{ /* Llib/ssl.scm 1072 */
 bool_t BgL__ortest_1114z00_6897;
BgL__ortest_1114z00_6897 = 
(BgL_classz00_6875==BgL_oclassz00_6896); 
if(BgL__ortest_1114z00_6897)
{ /* Llib/ssl.scm 1072 */
BgL_res3359z00_6911 = BgL__ortest_1114z00_6897; }  else 
{ /* Llib/ssl.scm 1072 */
 long BgL_odepthz00_6898;
BgL_odepthz00_6898 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6896); 
if(
(BgL_arg1781z00_6878<BgL_odepthz00_6898))
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1775z00_6900;
BgL_arg1775z00_6900 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6896, BgL_arg1781z00_6878); 
BgL_res3359z00_6911 = 
(BgL_arg1775z00_6900==BgL_classz00_6875); }  else 
{ /* Llib/ssl.scm 1072 */
BgL_res3359z00_6911 = ((bool_t)0); } } } } 
BgL_test4218z00_12396 = BgL_res3359z00_6911; } }  else 
{ /* Llib/ssl.scm 1072 */
BgL_test4218z00_12396 = ((bool_t)0)
; } } 
if(BgL_test4218z00_12396)
{ /* Llib/ssl.scm 1072 */
BgL_auxz00_12395 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4918)
; }  else 
{ 
 obj_t BgL_auxz00_12418;
BgL_auxz00_12418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(43756L), BGl_string3300z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4918); 
FAILURE(BgL_auxz00_12418,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_auxz00_12395);} } 

}



/* ssl-connection-reused? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_108)
{
{ /* Llib/ssl.scm 1082 */
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_method1307z00_1747;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_res2500z00_3234;
{ /* Llib/ssl.scm 1082 */
 long BgL_objzd2classzd2numz00_3205;
BgL_objzd2classzd2numz00_3205 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_108)); 
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1782z00_3206;
BgL_arg1782z00_3206 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1082 */
 int BgL_offsetz00_3209;
BgL_offsetz00_3209 = 
(int)(BgL_objzd2classzd2numz00_3205); 
{ /* Llib/ssl.scm 1082 */
 long BgL_offsetz00_3210;
BgL_offsetz00_3210 = 
(
(long)(BgL_offsetz00_3209)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1082 */
 long BgL_modz00_3211;
BgL_modz00_3211 = 
(BgL_offsetz00_3210 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1082 */
 long BgL_restz00_3213;
BgL_restz00_3213 = 
(BgL_offsetz00_3210 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1082 */

{ /* Llib/ssl.scm 1082 */
 obj_t BgL_bucketz00_3215;
BgL_bucketz00_3215 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3206),BgL_modz00_3211); 
BgL_res2500z00_3234 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3215),BgL_restz00_3213); } } } } } } } } 
BgL_method1307z00_1747 = BgL_res2500z00_3234; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1307z00_1747))(BgL_method1307z00_1747, 
((obj_t)BgL_sslz00_108), BEOA));} } 

}



/* &ssl-connection-reused? */
obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t BgL_envz00_4919, obj_t BgL_sslz00_4920)
{
{ /* Llib/ssl.scm 1082 */
{ /* Llib/ssl.scm 1082 */
 bool_t BgL_tmpz00_12454;
{ /* Llib/ssl.scm 1082 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12455;
{ /* Llib/ssl.scm 1082 */
 bool_t BgL_test4223z00_12456;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_classz00_6912;
BgL_classz00_6912 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4920))
{ /* Llib/ssl.scm 1082 */
 BgL_objectz00_bglt BgL_arg1780z00_6914; long BgL_arg1781z00_6915;
BgL_arg1780z00_6914 = 
(BgL_objectz00_bglt)(BgL_sslz00_4920); 
BgL_arg1781z00_6915 = 
BGL_CLASS_DEPTH(BgL_classz00_6912); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1082 */
 long BgL_idxz00_6923;
BgL_idxz00_6923 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6914); 
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1773z00_6924;
{ /* Llib/ssl.scm 1082 */
 long BgL_arg1774z00_6925;
BgL_arg1774z00_6925 = 
(BgL_idxz00_6923+BgL_arg1781z00_6915); 
BgL_arg1773z00_6924 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6925); } 
BgL_test4223z00_12456 = 
(BgL_arg1773z00_6924==BgL_classz00_6912); } }  else 
{ /* Llib/ssl.scm 1082 */
 bool_t BgL_res3360z00_6948;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_oclassz00_6933;
{ /* Llib/ssl.scm 1082 */
 long BgL_arg1785z00_6939;
{ /* Llib/ssl.scm 1082 */
 long BgL_arg1786z00_6940;
BgL_arg1786z00_6940 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6914); 
BgL_arg1785z00_6939 = 
(BgL_arg1786z00_6940-OBJECT_TYPE); } 
BgL_oclassz00_6933 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6939); } 
{ /* Llib/ssl.scm 1082 */
 bool_t BgL__ortest_1114z00_6934;
BgL__ortest_1114z00_6934 = 
(BgL_classz00_6912==BgL_oclassz00_6933); 
if(BgL__ortest_1114z00_6934)
{ /* Llib/ssl.scm 1082 */
BgL_res3360z00_6948 = BgL__ortest_1114z00_6934; }  else 
{ /* Llib/ssl.scm 1082 */
 long BgL_odepthz00_6935;
BgL_odepthz00_6935 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6933); 
if(
(BgL_arg1781z00_6915<BgL_odepthz00_6935))
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1775z00_6937;
BgL_arg1775z00_6937 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6933, BgL_arg1781z00_6915); 
BgL_res3360z00_6948 = 
(BgL_arg1775z00_6937==BgL_classz00_6912); }  else 
{ /* Llib/ssl.scm 1082 */
BgL_res3360z00_6948 = ((bool_t)0); } } } } 
BgL_test4223z00_12456 = BgL_res3360z00_6948; } }  else 
{ /* Llib/ssl.scm 1082 */
BgL_test4223z00_12456 = ((bool_t)0)
; } } 
if(BgL_test4223z00_12456)
{ /* Llib/ssl.scm 1082 */
BgL_auxz00_12455 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4920)
; }  else 
{ 
 obj_t BgL_auxz00_12478;
BgL_auxz00_12478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(44165L), BGl_string3301z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4920); 
FAILURE(BgL_auxz00_12478,BFALSE,BFALSE);} } 
BgL_tmpz00_12454 = 
BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_auxz00_12455); } 
return 
BBOOL(BgL_tmpz00_12454);} } 

}



/* ssl-connection-get-negotiated-protocol */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_109)
{
{ /* Llib/ssl.scm 1093 */
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_method1309z00_1748;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_res2505z00_3265;
{ /* Llib/ssl.scm 1093 */
 long BgL_objzd2classzd2numz00_3236;
BgL_objzd2classzd2numz00_3236 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_109)); 
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1782z00_3237;
BgL_arg1782z00_3237 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1093 */
 int BgL_offsetz00_3240;
BgL_offsetz00_3240 = 
(int)(BgL_objzd2classzd2numz00_3236); 
{ /* Llib/ssl.scm 1093 */
 long BgL_offsetz00_3241;
BgL_offsetz00_3241 = 
(
(long)(BgL_offsetz00_3240)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1093 */
 long BgL_modz00_3242;
BgL_modz00_3242 = 
(BgL_offsetz00_3241 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1093 */
 long BgL_restz00_3244;
BgL_restz00_3244 = 
(BgL_offsetz00_3241 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1093 */

{ /* Llib/ssl.scm 1093 */
 obj_t BgL_bucketz00_3246;
BgL_bucketz00_3246 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3237),BgL_modz00_3242); 
BgL_res2505z00_3265 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3246),BgL_restz00_3244); } } } } } } } } 
BgL_method1309z00_1748 = BgL_res2505z00_3265; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1309z00_1748))(BgL_method1309z00_1748, 
((obj_t)BgL_sslz00_109), BEOA);} } 

}



/* &ssl-connection-get-negotiated-protocol */
obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t BgL_envz00_4921, obj_t BgL_sslz00_4922)
{
{ /* Llib/ssl.scm 1093 */
{ /* Llib/ssl.scm 1093 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12514;
{ /* Llib/ssl.scm 1093 */
 bool_t BgL_test4228z00_12515;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_classz00_6949;
BgL_classz00_6949 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4922))
{ /* Llib/ssl.scm 1093 */
 BgL_objectz00_bglt BgL_arg1780z00_6951; long BgL_arg1781z00_6952;
BgL_arg1780z00_6951 = 
(BgL_objectz00_bglt)(BgL_sslz00_4922); 
BgL_arg1781z00_6952 = 
BGL_CLASS_DEPTH(BgL_classz00_6949); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1093 */
 long BgL_idxz00_6960;
BgL_idxz00_6960 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6951); 
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1773z00_6961;
{ /* Llib/ssl.scm 1093 */
 long BgL_arg1774z00_6962;
BgL_arg1774z00_6962 = 
(BgL_idxz00_6960+BgL_arg1781z00_6952); 
BgL_arg1773z00_6961 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6962); } 
BgL_test4228z00_12515 = 
(BgL_arg1773z00_6961==BgL_classz00_6949); } }  else 
{ /* Llib/ssl.scm 1093 */
 bool_t BgL_res3361z00_6985;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_oclassz00_6970;
{ /* Llib/ssl.scm 1093 */
 long BgL_arg1785z00_6976;
{ /* Llib/ssl.scm 1093 */
 long BgL_arg1786z00_6977;
BgL_arg1786z00_6977 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6951); 
BgL_arg1785z00_6976 = 
(BgL_arg1786z00_6977-OBJECT_TYPE); } 
BgL_oclassz00_6970 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_6976); } 
{ /* Llib/ssl.scm 1093 */
 bool_t BgL__ortest_1114z00_6971;
BgL__ortest_1114z00_6971 = 
(BgL_classz00_6949==BgL_oclassz00_6970); 
if(BgL__ortest_1114z00_6971)
{ /* Llib/ssl.scm 1093 */
BgL_res3361z00_6985 = BgL__ortest_1114z00_6971; }  else 
{ /* Llib/ssl.scm 1093 */
 long BgL_odepthz00_6972;
BgL_odepthz00_6972 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6970); 
if(
(BgL_arg1781z00_6952<BgL_odepthz00_6972))
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1775z00_6974;
BgL_arg1775z00_6974 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6970, BgL_arg1781z00_6952); 
BgL_res3361z00_6985 = 
(BgL_arg1775z00_6974==BgL_classz00_6949); }  else 
{ /* Llib/ssl.scm 1093 */
BgL_res3361z00_6985 = ((bool_t)0); } } } } 
BgL_test4228z00_12515 = BgL_res3361z00_6985; } }  else 
{ /* Llib/ssl.scm 1093 */
BgL_test4228z00_12515 = ((bool_t)0)
; } } 
if(BgL_test4228z00_12515)
{ /* Llib/ssl.scm 1093 */
BgL_auxz00_12514 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4922)
; }  else 
{ 
 obj_t BgL_auxz00_12537;
BgL_auxz00_12537 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(44591L), BGl_string3302z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4922); 
FAILURE(BgL_auxz00_12537,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_auxz00_12514);} } 

}



/* &dh-init */
obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t BgL_envz00_4593, obj_t BgL_dhz00_4594)
{
{ /* Llib/ssl.scm 1103 */
{ /* Llib/ssl.scm 1103 */
 BgL_dhz00_bglt BgL_dhz00_7023;
{ /* Llib/ssl.scm 1103 */
 bool_t BgL_test4233z00_12542;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_classz00_6986;
BgL_classz00_6986 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4594))
{ /* Llib/ssl.scm 1103 */
 BgL_objectz00_bglt BgL_arg1780z00_6988; long BgL_arg1781z00_6989;
BgL_arg1780z00_6988 = 
(BgL_objectz00_bglt)(BgL_dhz00_4594); 
BgL_arg1781z00_6989 = 
BGL_CLASS_DEPTH(BgL_classz00_6986); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1103 */
 long BgL_idxz00_6997;
BgL_idxz00_6997 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_6988); 
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1773z00_6998;
{ /* Llib/ssl.scm 1103 */
 long BgL_arg1774z00_6999;
BgL_arg1774z00_6999 = 
(BgL_idxz00_6997+BgL_arg1781z00_6989); 
BgL_arg1773z00_6998 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_6999); } 
BgL_test4233z00_12542 = 
(BgL_arg1773z00_6998==BgL_classz00_6986); } }  else 
{ /* Llib/ssl.scm 1103 */
 bool_t BgL_res3362z00_7022;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_oclassz00_7007;
{ /* Llib/ssl.scm 1103 */
 long BgL_arg1785z00_7013;
{ /* Llib/ssl.scm 1103 */
 long BgL_arg1786z00_7014;
BgL_arg1786z00_7014 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_6988); 
BgL_arg1785z00_7013 = 
(BgL_arg1786z00_7014-OBJECT_TYPE); } 
BgL_oclassz00_7007 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7013); } 
{ /* Llib/ssl.scm 1103 */
 bool_t BgL__ortest_1114z00_7008;
BgL__ortest_1114z00_7008 = 
(BgL_classz00_6986==BgL_oclassz00_7007); 
if(BgL__ortest_1114z00_7008)
{ /* Llib/ssl.scm 1103 */
BgL_res3362z00_7022 = BgL__ortest_1114z00_7008; }  else 
{ /* Llib/ssl.scm 1103 */
 long BgL_odepthz00_7009;
BgL_odepthz00_7009 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7007); 
if(
(BgL_arg1781z00_6989<BgL_odepthz00_7009))
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1775z00_7011;
BgL_arg1775z00_7011 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7007, BgL_arg1781z00_6989); 
BgL_res3362z00_7022 = 
(BgL_arg1775z00_7011==BgL_classz00_6986); }  else 
{ /* Llib/ssl.scm 1103 */
BgL_res3362z00_7022 = ((bool_t)0); } } } } 
BgL_test4233z00_12542 = BgL_res3362z00_7022; } }  else 
{ /* Llib/ssl.scm 1103 */
BgL_test4233z00_12542 = ((bool_t)0)
; } } 
if(BgL_test4233z00_12542)
{ /* Llib/ssl.scm 1103 */
BgL_dhz00_7023 = 
((BgL_dhz00_bglt)BgL_dhz00_4594); }  else 
{ 
 obj_t BgL_auxz00_12564;
BgL_auxz00_12564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(45006L), BGl_string3303z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4594); 
FAILURE(BgL_auxz00_12564,BFALSE,BFALSE);} } 
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_method1311z00_7024;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_res2510z00_7025;
{ /* Llib/ssl.scm 1103 */
 long BgL_objzd2classzd2numz00_7026;
BgL_objzd2classzd2numz00_7026 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_7023)); 
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1782z00_7027;
BgL_arg1782z00_7027 = 
PROCEDURE_REF(BGl_dhzd2initzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1103 */
 int BgL_offsetz00_7028;
BgL_offsetz00_7028 = 
(int)(BgL_objzd2classzd2numz00_7026); 
{ /* Llib/ssl.scm 1103 */
 long BgL_offsetz00_7029;
BgL_offsetz00_7029 = 
(
(long)(BgL_offsetz00_7028)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1103 */
 long BgL_modz00_7030;
BgL_modz00_7030 = 
(BgL_offsetz00_7029 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1103 */
 long BgL_restz00_7031;
BgL_restz00_7031 = 
(BgL_offsetz00_7029 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1103 */

{ /* Llib/ssl.scm 1103 */
 obj_t BgL_bucketz00_7032;
BgL_bucketz00_7032 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_7027),BgL_modz00_7030); 
BgL_res2510z00_7025 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_7032),BgL_restz00_7031); } } } } } } } } 
BgL_method1311z00_7024 = BgL_res2510z00_7025; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1311z00_7024))(BgL_method1311z00_7024, 
((obj_t)BgL_dhz00_7023), BEOA);} } } 

}



/* dh-size */
BGL_EXPORTED_DEF int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_111)
{
{ /* Llib/ssl.scm 1114 */
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_method1313z00_1750;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_res2515z00_3327;
{ /* Llib/ssl.scm 1114 */
 long BgL_objzd2classzd2numz00_3298;
BgL_objzd2classzd2numz00_3298 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_111)); 
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1782z00_3299;
BgL_arg1782z00_3299 = 
PROCEDURE_REF(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1114 */
 int BgL_offsetz00_3302;
BgL_offsetz00_3302 = 
(int)(BgL_objzd2classzd2numz00_3298); 
{ /* Llib/ssl.scm 1114 */
 long BgL_offsetz00_3303;
BgL_offsetz00_3303 = 
(
(long)(BgL_offsetz00_3302)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1114 */
 long BgL_modz00_3304;
BgL_modz00_3304 = 
(BgL_offsetz00_3303 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1114 */
 long BgL_restz00_3306;
BgL_restz00_3306 = 
(BgL_offsetz00_3303 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1114 */

{ /* Llib/ssl.scm 1114 */
 obj_t BgL_bucketz00_3308;
BgL_bucketz00_3308 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3299),BgL_modz00_3304); 
BgL_res2515z00_3327 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3308),BgL_restz00_3306); } } } } } } } } 
BgL_method1313z00_1750 = BgL_res2515z00_3327; } 
return 
CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1313z00_1750))(BgL_method1313z00_1750, 
((obj_t)BgL_dhz00_111), BEOA));} } 

}



/* &dh-size */
obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t BgL_envz00_4923, obj_t BgL_dhz00_4924)
{
{ /* Llib/ssl.scm 1114 */
{ /* Llib/ssl.scm 1114 */
 int BgL_tmpz00_12629;
{ /* Llib/ssl.scm 1114 */
 BgL_dhz00_bglt BgL_auxz00_12630;
{ /* Llib/ssl.scm 1114 */
 bool_t BgL_test4238z00_12631;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_classz00_7033;
BgL_classz00_7033 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4924))
{ /* Llib/ssl.scm 1114 */
 BgL_objectz00_bglt BgL_arg1780z00_7035; long BgL_arg1781z00_7036;
BgL_arg1780z00_7035 = 
(BgL_objectz00_bglt)(BgL_dhz00_4924); 
BgL_arg1781z00_7036 = 
BGL_CLASS_DEPTH(BgL_classz00_7033); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1114 */
 long BgL_idxz00_7044;
BgL_idxz00_7044 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7035); 
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1773z00_7045;
{ /* Llib/ssl.scm 1114 */
 long BgL_arg1774z00_7046;
BgL_arg1774z00_7046 = 
(BgL_idxz00_7044+BgL_arg1781z00_7036); 
BgL_arg1773z00_7045 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7046); } 
BgL_test4238z00_12631 = 
(BgL_arg1773z00_7045==BgL_classz00_7033); } }  else 
{ /* Llib/ssl.scm 1114 */
 bool_t BgL_res3363z00_7069;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_oclassz00_7054;
{ /* Llib/ssl.scm 1114 */
 long BgL_arg1785z00_7060;
{ /* Llib/ssl.scm 1114 */
 long BgL_arg1786z00_7061;
BgL_arg1786z00_7061 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7035); 
BgL_arg1785z00_7060 = 
(BgL_arg1786z00_7061-OBJECT_TYPE); } 
BgL_oclassz00_7054 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7060); } 
{ /* Llib/ssl.scm 1114 */
 bool_t BgL__ortest_1114z00_7055;
BgL__ortest_1114z00_7055 = 
(BgL_classz00_7033==BgL_oclassz00_7054); 
if(BgL__ortest_1114z00_7055)
{ /* Llib/ssl.scm 1114 */
BgL_res3363z00_7069 = BgL__ortest_1114z00_7055; }  else 
{ /* Llib/ssl.scm 1114 */
 long BgL_odepthz00_7056;
BgL_odepthz00_7056 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7054); 
if(
(BgL_arg1781z00_7036<BgL_odepthz00_7056))
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1775z00_7058;
BgL_arg1775z00_7058 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7054, BgL_arg1781z00_7036); 
BgL_res3363z00_7069 = 
(BgL_arg1775z00_7058==BgL_classz00_7033); }  else 
{ /* Llib/ssl.scm 1114 */
BgL_res3363z00_7069 = ((bool_t)0); } } } } 
BgL_test4238z00_12631 = BgL_res3363z00_7069; } }  else 
{ /* Llib/ssl.scm 1114 */
BgL_test4238z00_12631 = ((bool_t)0)
; } } 
if(BgL_test4238z00_12631)
{ /* Llib/ssl.scm 1114 */
BgL_auxz00_12630 = 
((BgL_dhz00_bglt)BgL_dhz00_4924)
; }  else 
{ 
 obj_t BgL_auxz00_12653;
BgL_auxz00_12653 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(45386L), BGl_string3305z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4924); 
FAILURE(BgL_auxz00_12653,BFALSE,BFALSE);} } 
BgL_tmpz00_12629 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_auxz00_12630); } 
return 
BINT(BgL_tmpz00_12629);} } 

}



/* dh-generate-parameters-ex */
BGL_EXPORTED_DEF obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_112, int BgL_lenz00_113, obj_t BgL_generatorz00_114)
{
{ /* Llib/ssl.scm 1122 */
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_method1315z00_1751;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_res2520z00_3358;
{ /* Llib/ssl.scm 1122 */
 long BgL_objzd2classzd2numz00_3329;
BgL_objzd2classzd2numz00_3329 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_112)); 
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1782z00_3330;
BgL_arg1782z00_3330 = 
PROCEDURE_REF(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1122 */
 int BgL_offsetz00_3333;
BgL_offsetz00_3333 = 
(int)(BgL_objzd2classzd2numz00_3329); 
{ /* Llib/ssl.scm 1122 */
 long BgL_offsetz00_3334;
BgL_offsetz00_3334 = 
(
(long)(BgL_offsetz00_3333)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1122 */
 long BgL_modz00_3335;
BgL_modz00_3335 = 
(BgL_offsetz00_3334 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1122 */
 long BgL_restz00_3337;
BgL_restz00_3337 = 
(BgL_offsetz00_3334 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1122 */

{ /* Llib/ssl.scm 1122 */
 obj_t BgL_bucketz00_3339;
BgL_bucketz00_3339 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3330),BgL_modz00_3335); 
BgL_res2520z00_3358 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3339),BgL_restz00_3337); } } } } } } } } 
BgL_method1315z00_1751 = BgL_res2520z00_3358; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1315z00_1751))(BgL_method1315z00_1751, 
((obj_t)BgL_dhz00_112), 
BINT(BgL_lenz00_113), BgL_generatorz00_114, BEOA);} } 

}



/* &dh-generate-parameters-ex */
obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t BgL_envz00_4925, obj_t BgL_dhz00_4926, obj_t BgL_lenz00_4927, obj_t BgL_generatorz00_4928)
{
{ /* Llib/ssl.scm 1122 */
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_auxz00_12728; int BgL_auxz00_12719; BgL_dhz00_bglt BgL_auxz00_12692;
if(
SYMBOLP(BgL_generatorz00_4928))
{ /* Llib/ssl.scm 1122 */
BgL_auxz00_12728 = BgL_generatorz00_4928
; }  else 
{ 
 obj_t BgL_auxz00_12731;
BgL_auxz00_12731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(45750L), BGl_string3306z00zz__ssl_sslz00, BGl_string2948z00zz__ssl_sslz00, BgL_generatorz00_4928); 
FAILURE(BgL_auxz00_12731,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_tmpz00_12720;
if(
INTEGERP(BgL_lenz00_4927))
{ /* Llib/ssl.scm 1122 */
BgL_tmpz00_12720 = BgL_lenz00_4927
; }  else 
{ 
 obj_t BgL_auxz00_12723;
BgL_auxz00_12723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(45750L), BGl_string3306z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4927); 
FAILURE(BgL_auxz00_12723,BFALSE,BFALSE);} 
BgL_auxz00_12719 = 
CINT(BgL_tmpz00_12720); } 
{ /* Llib/ssl.scm 1122 */
 bool_t BgL_test4243z00_12693;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_classz00_7070;
BgL_classz00_7070 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4926))
{ /* Llib/ssl.scm 1122 */
 BgL_objectz00_bglt BgL_arg1780z00_7072; long BgL_arg1781z00_7073;
BgL_arg1780z00_7072 = 
(BgL_objectz00_bglt)(BgL_dhz00_4926); 
BgL_arg1781z00_7073 = 
BGL_CLASS_DEPTH(BgL_classz00_7070); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1122 */
 long BgL_idxz00_7081;
BgL_idxz00_7081 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7072); 
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1773z00_7082;
{ /* Llib/ssl.scm 1122 */
 long BgL_arg1774z00_7083;
BgL_arg1774z00_7083 = 
(BgL_idxz00_7081+BgL_arg1781z00_7073); 
BgL_arg1773z00_7082 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7083); } 
BgL_test4243z00_12693 = 
(BgL_arg1773z00_7082==BgL_classz00_7070); } }  else 
{ /* Llib/ssl.scm 1122 */
 bool_t BgL_res3364z00_7106;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_oclassz00_7091;
{ /* Llib/ssl.scm 1122 */
 long BgL_arg1785z00_7097;
{ /* Llib/ssl.scm 1122 */
 long BgL_arg1786z00_7098;
BgL_arg1786z00_7098 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7072); 
BgL_arg1785z00_7097 = 
(BgL_arg1786z00_7098-OBJECT_TYPE); } 
BgL_oclassz00_7091 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7097); } 
{ /* Llib/ssl.scm 1122 */
 bool_t BgL__ortest_1114z00_7092;
BgL__ortest_1114z00_7092 = 
(BgL_classz00_7070==BgL_oclassz00_7091); 
if(BgL__ortest_1114z00_7092)
{ /* Llib/ssl.scm 1122 */
BgL_res3364z00_7106 = BgL__ortest_1114z00_7092; }  else 
{ /* Llib/ssl.scm 1122 */
 long BgL_odepthz00_7093;
BgL_odepthz00_7093 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7091); 
if(
(BgL_arg1781z00_7073<BgL_odepthz00_7093))
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1775z00_7095;
BgL_arg1775z00_7095 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7091, BgL_arg1781z00_7073); 
BgL_res3364z00_7106 = 
(BgL_arg1775z00_7095==BgL_classz00_7070); }  else 
{ /* Llib/ssl.scm 1122 */
BgL_res3364z00_7106 = ((bool_t)0); } } } } 
BgL_test4243z00_12693 = BgL_res3364z00_7106; } }  else 
{ /* Llib/ssl.scm 1122 */
BgL_test4243z00_12693 = ((bool_t)0)
; } } 
if(BgL_test4243z00_12693)
{ /* Llib/ssl.scm 1122 */
BgL_auxz00_12692 = 
((BgL_dhz00_bglt)BgL_dhz00_4926)
; }  else 
{ 
 obj_t BgL_auxz00_12715;
BgL_auxz00_12715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(45750L), BGl_string3306z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4926); 
FAILURE(BgL_auxz00_12715,BFALSE,BFALSE);} } 
return 
BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_auxz00_12692, BgL_auxz00_12719, BgL_auxz00_12728);} } 

}



/* dh-check */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_115)
{
{ /* Llib/ssl.scm 1138 */
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_method1317z00_1752;
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_res2525z00_3389;
{ /* Llib/ssl.scm 1138 */
 long BgL_objzd2classzd2numz00_3360;
BgL_objzd2classzd2numz00_3360 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_115)); 
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_arg1782z00_3361;
BgL_arg1782z00_3361 = 
PROCEDURE_REF(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1138 */
 int BgL_offsetz00_3364;
BgL_offsetz00_3364 = 
(int)(BgL_objzd2classzd2numz00_3360); 
{ /* Llib/ssl.scm 1138 */
 long BgL_offsetz00_3365;
BgL_offsetz00_3365 = 
(
(long)(BgL_offsetz00_3364)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1138 */
 long BgL_modz00_3366;
BgL_modz00_3366 = 
(BgL_offsetz00_3365 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1138 */
 long BgL_restz00_3368;
BgL_restz00_3368 = 
(BgL_offsetz00_3365 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1138 */

{ /* Llib/ssl.scm 1138 */
 obj_t BgL_bucketz00_3370;
BgL_bucketz00_3370 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3361),BgL_modz00_3366); 
BgL_res2525z00_3389 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3370),BgL_restz00_3368); } } } } } } } } 
BgL_method1317z00_1752 = BgL_res2525z00_3389; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1317z00_1752))(BgL_method1317z00_1752, 
((obj_t)BgL_dhz00_115), BEOA);} } 

}



/* &dh-check */
obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t BgL_envz00_4929, obj_t BgL_dhz00_4930)
{
{ /* Llib/ssl.scm 1138 */
{ /* Llib/ssl.scm 1138 */
 BgL_dhz00_bglt BgL_auxz00_12766;
{ /* Llib/ssl.scm 1138 */
 bool_t BgL_test4250z00_12767;
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_classz00_7107;
BgL_classz00_7107 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4930))
{ /* Llib/ssl.scm 1138 */
 BgL_objectz00_bglt BgL_arg1780z00_7109; long BgL_arg1781z00_7110;
BgL_arg1780z00_7109 = 
(BgL_objectz00_bglt)(BgL_dhz00_4930); 
BgL_arg1781z00_7110 = 
BGL_CLASS_DEPTH(BgL_classz00_7107); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1138 */
 long BgL_idxz00_7118;
BgL_idxz00_7118 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7109); 
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_arg1773z00_7119;
{ /* Llib/ssl.scm 1138 */
 long BgL_arg1774z00_7120;
BgL_arg1774z00_7120 = 
(BgL_idxz00_7118+BgL_arg1781z00_7110); 
BgL_arg1773z00_7119 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7120); } 
BgL_test4250z00_12767 = 
(BgL_arg1773z00_7119==BgL_classz00_7107); } }  else 
{ /* Llib/ssl.scm 1138 */
 bool_t BgL_res3365z00_7143;
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_oclassz00_7128;
{ /* Llib/ssl.scm 1138 */
 long BgL_arg1785z00_7134;
{ /* Llib/ssl.scm 1138 */
 long BgL_arg1786z00_7135;
BgL_arg1786z00_7135 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7109); 
BgL_arg1785z00_7134 = 
(BgL_arg1786z00_7135-OBJECT_TYPE); } 
BgL_oclassz00_7128 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7134); } 
{ /* Llib/ssl.scm 1138 */
 bool_t BgL__ortest_1114z00_7129;
BgL__ortest_1114z00_7129 = 
(BgL_classz00_7107==BgL_oclassz00_7128); 
if(BgL__ortest_1114z00_7129)
{ /* Llib/ssl.scm 1138 */
BgL_res3365z00_7143 = BgL__ortest_1114z00_7129; }  else 
{ /* Llib/ssl.scm 1138 */
 long BgL_odepthz00_7130;
BgL_odepthz00_7130 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7128); 
if(
(BgL_arg1781z00_7110<BgL_odepthz00_7130))
{ /* Llib/ssl.scm 1138 */
 obj_t BgL_arg1775z00_7132;
BgL_arg1775z00_7132 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7128, BgL_arg1781z00_7110); 
BgL_res3365z00_7143 = 
(BgL_arg1775z00_7132==BgL_classz00_7107); }  else 
{ /* Llib/ssl.scm 1138 */
BgL_res3365z00_7143 = ((bool_t)0); } } } } 
BgL_test4250z00_12767 = BgL_res3365z00_7143; } }  else 
{ /* Llib/ssl.scm 1138 */
BgL_test4250z00_12767 = ((bool_t)0)
; } } 
if(BgL_test4250z00_12767)
{ /* Llib/ssl.scm 1138 */
BgL_auxz00_12766 = 
((BgL_dhz00_bglt)BgL_dhz00_4930)
; }  else 
{ 
 obj_t BgL_auxz00_12789;
BgL_auxz00_12789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(46338L), BGl_string3307z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4930); 
FAILURE(BgL_auxz00_12789,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_auxz00_12766);} } 

}



/* dh-check-pub-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_116, obj_t BgL_keyz00_117)
{
{ /* Llib/ssl.scm 1149 */
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_method1319z00_1753;
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_res2530z00_3420;
{ /* Llib/ssl.scm 1149 */
 long BgL_objzd2classzd2numz00_3391;
BgL_objzd2classzd2numz00_3391 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_116)); 
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_arg1782z00_3392;
BgL_arg1782z00_3392 = 
PROCEDURE_REF(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1149 */
 int BgL_offsetz00_3395;
BgL_offsetz00_3395 = 
(int)(BgL_objzd2classzd2numz00_3391); 
{ /* Llib/ssl.scm 1149 */
 long BgL_offsetz00_3396;
BgL_offsetz00_3396 = 
(
(long)(BgL_offsetz00_3395)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1149 */
 long BgL_modz00_3397;
BgL_modz00_3397 = 
(BgL_offsetz00_3396 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1149 */
 long BgL_restz00_3399;
BgL_restz00_3399 = 
(BgL_offsetz00_3396 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1149 */

{ /* Llib/ssl.scm 1149 */
 obj_t BgL_bucketz00_3401;
BgL_bucketz00_3401 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3392),BgL_modz00_3397); 
BgL_res2530z00_3420 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3401),BgL_restz00_3399); } } } } } } } } 
BgL_method1319z00_1753 = BgL_res2530z00_3420; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1319z00_1753))(BgL_method1319z00_1753, 
((obj_t)BgL_dhz00_116), BgL_keyz00_117, BEOA);} } 

}



/* &dh-check-pub-key */
obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t BgL_envz00_4931, obj_t BgL_dhz00_4932, obj_t BgL_keyz00_4933)
{
{ /* Llib/ssl.scm 1149 */
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_auxz00_12852; BgL_dhz00_bglt BgL_auxz00_12825;
if(
FOREIGNP(BgL_keyz00_4933))
{ /* Llib/ssl.scm 1149 */
BgL_auxz00_12852 = BgL_keyz00_4933
; }  else 
{ 
 obj_t BgL_auxz00_12855;
BgL_auxz00_12855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(46718L), BGl_string3308z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_keyz00_4933); 
FAILURE(BgL_auxz00_12855,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1149 */
 bool_t BgL_test4255z00_12826;
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_classz00_7144;
BgL_classz00_7144 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4932))
{ /* Llib/ssl.scm 1149 */
 BgL_objectz00_bglt BgL_arg1780z00_7146; long BgL_arg1781z00_7147;
BgL_arg1780z00_7146 = 
(BgL_objectz00_bglt)(BgL_dhz00_4932); 
BgL_arg1781z00_7147 = 
BGL_CLASS_DEPTH(BgL_classz00_7144); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1149 */
 long BgL_idxz00_7155;
BgL_idxz00_7155 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7146); 
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_arg1773z00_7156;
{ /* Llib/ssl.scm 1149 */
 long BgL_arg1774z00_7157;
BgL_arg1774z00_7157 = 
(BgL_idxz00_7155+BgL_arg1781z00_7147); 
BgL_arg1773z00_7156 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7157); } 
BgL_test4255z00_12826 = 
(BgL_arg1773z00_7156==BgL_classz00_7144); } }  else 
{ /* Llib/ssl.scm 1149 */
 bool_t BgL_res3366z00_7180;
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_oclassz00_7165;
{ /* Llib/ssl.scm 1149 */
 long BgL_arg1785z00_7171;
{ /* Llib/ssl.scm 1149 */
 long BgL_arg1786z00_7172;
BgL_arg1786z00_7172 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7146); 
BgL_arg1785z00_7171 = 
(BgL_arg1786z00_7172-OBJECT_TYPE); } 
BgL_oclassz00_7165 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7171); } 
{ /* Llib/ssl.scm 1149 */
 bool_t BgL__ortest_1114z00_7166;
BgL__ortest_1114z00_7166 = 
(BgL_classz00_7144==BgL_oclassz00_7165); 
if(BgL__ortest_1114z00_7166)
{ /* Llib/ssl.scm 1149 */
BgL_res3366z00_7180 = BgL__ortest_1114z00_7166; }  else 
{ /* Llib/ssl.scm 1149 */
 long BgL_odepthz00_7167;
BgL_odepthz00_7167 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7165); 
if(
(BgL_arg1781z00_7147<BgL_odepthz00_7167))
{ /* Llib/ssl.scm 1149 */
 obj_t BgL_arg1775z00_7169;
BgL_arg1775z00_7169 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7165, BgL_arg1781z00_7147); 
BgL_res3366z00_7180 = 
(BgL_arg1775z00_7169==BgL_classz00_7144); }  else 
{ /* Llib/ssl.scm 1149 */
BgL_res3366z00_7180 = ((bool_t)0); } } } } 
BgL_test4255z00_12826 = BgL_res3366z00_7180; } }  else 
{ /* Llib/ssl.scm 1149 */
BgL_test4255z00_12826 = ((bool_t)0)
; } } 
if(BgL_test4255z00_12826)
{ /* Llib/ssl.scm 1149 */
BgL_auxz00_12825 = 
((BgL_dhz00_bglt)BgL_dhz00_4932)
; }  else 
{ 
 obj_t BgL_auxz00_12848;
BgL_auxz00_12848 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(46718L), BGl_string3308z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4932); 
FAILURE(BgL_auxz00_12848,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_auxz00_12825, BgL_auxz00_12852);} } 

}



/* dh-compute-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_118, obj_t BgL_keyz00_119)
{
{ /* Llib/ssl.scm 1160 */
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_method1321z00_1754;
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_res2535z00_3451;
{ /* Llib/ssl.scm 1160 */
 long BgL_objzd2classzd2numz00_3422;
BgL_objzd2classzd2numz00_3422 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_118)); 
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_arg1782z00_3423;
BgL_arg1782z00_3423 = 
PROCEDURE_REF(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1160 */
 int BgL_offsetz00_3426;
BgL_offsetz00_3426 = 
(int)(BgL_objzd2classzd2numz00_3422); 
{ /* Llib/ssl.scm 1160 */
 long BgL_offsetz00_3427;
BgL_offsetz00_3427 = 
(
(long)(BgL_offsetz00_3426)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1160 */
 long BgL_modz00_3428;
BgL_modz00_3428 = 
(BgL_offsetz00_3427 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1160 */
 long BgL_restz00_3430;
BgL_restz00_3430 = 
(BgL_offsetz00_3427 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1160 */

{ /* Llib/ssl.scm 1160 */
 obj_t BgL_bucketz00_3432;
BgL_bucketz00_3432 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3423),BgL_modz00_3428); 
BgL_res2535z00_3451 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3432),BgL_restz00_3430); } } } } } } } } 
BgL_method1321z00_1754 = BgL_res2535z00_3451; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1321z00_1754))(BgL_method1321z00_1754, 
((obj_t)BgL_dhz00_118), BgL_keyz00_119, BEOA);} } 

}



/* &dh-compute-key */
obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4934, obj_t BgL_dhz00_4935, obj_t BgL_keyz00_4936)
{
{ /* Llib/ssl.scm 1160 */
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_auxz00_12918; BgL_dhz00_bglt BgL_auxz00_12891;
if(
FOREIGNP(BgL_keyz00_4936))
{ /* Llib/ssl.scm 1160 */
BgL_auxz00_12918 = BgL_keyz00_4936
; }  else 
{ 
 obj_t BgL_auxz00_12921;
BgL_auxz00_12921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(47146L), BGl_string3309z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_keyz00_4936); 
FAILURE(BgL_auxz00_12921,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1160 */
 bool_t BgL_test4261z00_12892;
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_classz00_7181;
BgL_classz00_7181 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4935))
{ /* Llib/ssl.scm 1160 */
 BgL_objectz00_bglt BgL_arg1780z00_7183; long BgL_arg1781z00_7184;
BgL_arg1780z00_7183 = 
(BgL_objectz00_bglt)(BgL_dhz00_4935); 
BgL_arg1781z00_7184 = 
BGL_CLASS_DEPTH(BgL_classz00_7181); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1160 */
 long BgL_idxz00_7192;
BgL_idxz00_7192 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7183); 
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_arg1773z00_7193;
{ /* Llib/ssl.scm 1160 */
 long BgL_arg1774z00_7194;
BgL_arg1774z00_7194 = 
(BgL_idxz00_7192+BgL_arg1781z00_7184); 
BgL_arg1773z00_7193 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7194); } 
BgL_test4261z00_12892 = 
(BgL_arg1773z00_7193==BgL_classz00_7181); } }  else 
{ /* Llib/ssl.scm 1160 */
 bool_t BgL_res3367z00_7217;
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_oclassz00_7202;
{ /* Llib/ssl.scm 1160 */
 long BgL_arg1785z00_7208;
{ /* Llib/ssl.scm 1160 */
 long BgL_arg1786z00_7209;
BgL_arg1786z00_7209 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7183); 
BgL_arg1785z00_7208 = 
(BgL_arg1786z00_7209-OBJECT_TYPE); } 
BgL_oclassz00_7202 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7208); } 
{ /* Llib/ssl.scm 1160 */
 bool_t BgL__ortest_1114z00_7203;
BgL__ortest_1114z00_7203 = 
(BgL_classz00_7181==BgL_oclassz00_7202); 
if(BgL__ortest_1114z00_7203)
{ /* Llib/ssl.scm 1160 */
BgL_res3367z00_7217 = BgL__ortest_1114z00_7203; }  else 
{ /* Llib/ssl.scm 1160 */
 long BgL_odepthz00_7204;
BgL_odepthz00_7204 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7202); 
if(
(BgL_arg1781z00_7184<BgL_odepthz00_7204))
{ /* Llib/ssl.scm 1160 */
 obj_t BgL_arg1775z00_7206;
BgL_arg1775z00_7206 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7202, BgL_arg1781z00_7184); 
BgL_res3367z00_7217 = 
(BgL_arg1775z00_7206==BgL_classz00_7181); }  else 
{ /* Llib/ssl.scm 1160 */
BgL_res3367z00_7217 = ((bool_t)0); } } } } 
BgL_test4261z00_12892 = BgL_res3367z00_7217; } }  else 
{ /* Llib/ssl.scm 1160 */
BgL_test4261z00_12892 = ((bool_t)0)
; } } 
if(BgL_test4261z00_12892)
{ /* Llib/ssl.scm 1160 */
BgL_auxz00_12891 = 
((BgL_dhz00_bglt)BgL_dhz00_4935)
; }  else 
{ 
 obj_t BgL_auxz00_12914;
BgL_auxz00_12914 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(47146L), BGl_string3309z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4935); 
FAILURE(BgL_auxz00_12914,BFALSE,BFALSE);} } 
return 
BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_auxz00_12891, BgL_auxz00_12918);} } 

}



/* dh-generate-key */
BGL_EXPORTED_DEF bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_120)
{
{ /* Llib/ssl.scm 1186 */
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_method1323z00_1755;
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_res2540z00_3482;
{ /* Llib/ssl.scm 1186 */
 long BgL_objzd2classzd2numz00_3453;
BgL_objzd2classzd2numz00_3453 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_120)); 
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_arg1782z00_3454;
BgL_arg1782z00_3454 = 
PROCEDURE_REF(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1186 */
 int BgL_offsetz00_3457;
BgL_offsetz00_3457 = 
(int)(BgL_objzd2classzd2numz00_3453); 
{ /* Llib/ssl.scm 1186 */
 long BgL_offsetz00_3458;
BgL_offsetz00_3458 = 
(
(long)(BgL_offsetz00_3457)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1186 */
 long BgL_modz00_3459;
BgL_modz00_3459 = 
(BgL_offsetz00_3458 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1186 */
 long BgL_restz00_3461;
BgL_restz00_3461 = 
(BgL_offsetz00_3458 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1186 */

{ /* Llib/ssl.scm 1186 */
 obj_t BgL_bucketz00_3463;
BgL_bucketz00_3463 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3454),BgL_modz00_3459); 
BgL_res2540z00_3482 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3463),BgL_restz00_3461); } } } } } } } } 
BgL_method1323z00_1755 = BgL_res2540z00_3482; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1323z00_1755))(BgL_method1323z00_1755, 
((obj_t)BgL_dhz00_120), BEOA));} } 

}



/* &dh-generate-key */
obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4937, obj_t BgL_dhz00_4938)
{
{ /* Llib/ssl.scm 1186 */
{ /* Llib/ssl.scm 1186 */
 bool_t BgL_tmpz00_12957;
{ /* Llib/ssl.scm 1186 */
 BgL_dhz00_bglt BgL_auxz00_12958;
{ /* Llib/ssl.scm 1186 */
 bool_t BgL_test4267z00_12959;
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_classz00_7218;
BgL_classz00_7218 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4938))
{ /* Llib/ssl.scm 1186 */
 BgL_objectz00_bglt BgL_arg1780z00_7220; long BgL_arg1781z00_7221;
BgL_arg1780z00_7220 = 
(BgL_objectz00_bglt)(BgL_dhz00_4938); 
BgL_arg1781z00_7221 = 
BGL_CLASS_DEPTH(BgL_classz00_7218); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1186 */
 long BgL_idxz00_7229;
BgL_idxz00_7229 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7220); 
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_arg1773z00_7230;
{ /* Llib/ssl.scm 1186 */
 long BgL_arg1774z00_7231;
BgL_arg1774z00_7231 = 
(BgL_idxz00_7229+BgL_arg1781z00_7221); 
BgL_arg1773z00_7230 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7231); } 
BgL_test4267z00_12959 = 
(BgL_arg1773z00_7230==BgL_classz00_7218); } }  else 
{ /* Llib/ssl.scm 1186 */
 bool_t BgL_res3368z00_7254;
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_oclassz00_7239;
{ /* Llib/ssl.scm 1186 */
 long BgL_arg1785z00_7245;
{ /* Llib/ssl.scm 1186 */
 long BgL_arg1786z00_7246;
BgL_arg1786z00_7246 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7220); 
BgL_arg1785z00_7245 = 
(BgL_arg1786z00_7246-OBJECT_TYPE); } 
BgL_oclassz00_7239 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7245); } 
{ /* Llib/ssl.scm 1186 */
 bool_t BgL__ortest_1114z00_7240;
BgL__ortest_1114z00_7240 = 
(BgL_classz00_7218==BgL_oclassz00_7239); 
if(BgL__ortest_1114z00_7240)
{ /* Llib/ssl.scm 1186 */
BgL_res3368z00_7254 = BgL__ortest_1114z00_7240; }  else 
{ /* Llib/ssl.scm 1186 */
 long BgL_odepthz00_7241;
BgL_odepthz00_7241 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7239); 
if(
(BgL_arg1781z00_7221<BgL_odepthz00_7241))
{ /* Llib/ssl.scm 1186 */
 obj_t BgL_arg1775z00_7243;
BgL_arg1775z00_7243 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7239, BgL_arg1781z00_7221); 
BgL_res3368z00_7254 = 
(BgL_arg1775z00_7243==BgL_classz00_7218); }  else 
{ /* Llib/ssl.scm 1186 */
BgL_res3368z00_7254 = ((bool_t)0); } } } } 
BgL_test4267z00_12959 = BgL_res3368z00_7254; } }  else 
{ /* Llib/ssl.scm 1186 */
BgL_test4267z00_12959 = ((bool_t)0)
; } } 
if(BgL_test4267z00_12959)
{ /* Llib/ssl.scm 1186 */
BgL_auxz00_12958 = 
((BgL_dhz00_bglt)BgL_dhz00_4938)
; }  else 
{ 
 obj_t BgL_auxz00_12981;
BgL_auxz00_12981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(47943L), BGl_string3310z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4938); 
FAILURE(BgL_auxz00_12981,BFALSE,BFALSE);} } 
BgL_tmpz00_12957 = 
BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_auxz00_12958); } 
return 
BBOOL(BgL_tmpz00_12957);} } 

}



/* ssl-hash-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_121)
{
{ /* Llib/ssl.scm 1197 */
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_method1325z00_1756;
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_res2545z00_3513;
{ /* Llib/ssl.scm 1197 */
 long BgL_objzd2classzd2numz00_3484;
BgL_objzd2classzd2numz00_3484 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_121)); 
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_arg1782z00_3485;
BgL_arg1782z00_3485 = 
PROCEDURE_REF(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1197 */
 int BgL_offsetz00_3488;
BgL_offsetz00_3488 = 
(int)(BgL_objzd2classzd2numz00_3484); 
{ /* Llib/ssl.scm 1197 */
 long BgL_offsetz00_3489;
BgL_offsetz00_3489 = 
(
(long)(BgL_offsetz00_3488)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1197 */
 long BgL_modz00_3490;
BgL_modz00_3490 = 
(BgL_offsetz00_3489 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1197 */
 long BgL_restz00_3492;
BgL_restz00_3492 = 
(BgL_offsetz00_3489 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1197 */

{ /* Llib/ssl.scm 1197 */
 obj_t BgL_bucketz00_3494;
BgL_bucketz00_3494 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3485),BgL_modz00_3490); 
BgL_res2545z00_3513 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3494),BgL_restz00_3492); } } } } } } } } 
BgL_method1325z00_1756 = BgL_res2545z00_3513; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1325z00_1756))(BgL_method1325z00_1756, 
((obj_t)BgL_sslzd2hashzd2_121), BEOA);} } 

}



/* &ssl-hash-init */
obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4595, obj_t BgL_sslzd2hashzd2_4596)
{
{ /* Llib/ssl.scm 1197 */
{ /* Llib/ssl.scm 1197 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13017;
{ /* Llib/ssl.scm 1197 */
 bool_t BgL_test4272z00_13018;
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_classz00_7255;
BgL_classz00_7255 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4596))
{ /* Llib/ssl.scm 1197 */
 BgL_objectz00_bglt BgL_arg1780z00_7257; long BgL_arg1781z00_7258;
BgL_arg1780z00_7257 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4596); 
BgL_arg1781z00_7258 = 
BGL_CLASS_DEPTH(BgL_classz00_7255); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1197 */
 long BgL_idxz00_7266;
BgL_idxz00_7266 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7257); 
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_arg1773z00_7267;
{ /* Llib/ssl.scm 1197 */
 long BgL_arg1774z00_7268;
BgL_arg1774z00_7268 = 
(BgL_idxz00_7266+BgL_arg1781z00_7258); 
BgL_arg1773z00_7267 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7268); } 
BgL_test4272z00_13018 = 
(BgL_arg1773z00_7267==BgL_classz00_7255); } }  else 
{ /* Llib/ssl.scm 1197 */
 bool_t BgL_res3369z00_7291;
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_oclassz00_7276;
{ /* Llib/ssl.scm 1197 */
 long BgL_arg1785z00_7282;
{ /* Llib/ssl.scm 1197 */
 long BgL_arg1786z00_7283;
BgL_arg1786z00_7283 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7257); 
BgL_arg1785z00_7282 = 
(BgL_arg1786z00_7283-OBJECT_TYPE); } 
BgL_oclassz00_7276 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7282); } 
{ /* Llib/ssl.scm 1197 */
 bool_t BgL__ortest_1114z00_7277;
BgL__ortest_1114z00_7277 = 
(BgL_classz00_7255==BgL_oclassz00_7276); 
if(BgL__ortest_1114z00_7277)
{ /* Llib/ssl.scm 1197 */
BgL_res3369z00_7291 = BgL__ortest_1114z00_7277; }  else 
{ /* Llib/ssl.scm 1197 */
 long BgL_odepthz00_7278;
BgL_odepthz00_7278 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7276); 
if(
(BgL_arg1781z00_7258<BgL_odepthz00_7278))
{ /* Llib/ssl.scm 1197 */
 obj_t BgL_arg1775z00_7280;
BgL_arg1775z00_7280 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7276, BgL_arg1781z00_7258); 
BgL_res3369z00_7291 = 
(BgL_arg1775z00_7280==BgL_classz00_7255); }  else 
{ /* Llib/ssl.scm 1197 */
BgL_res3369z00_7291 = ((bool_t)0); } } } } 
BgL_test4272z00_13018 = BgL_res3369z00_7291; } }  else 
{ /* Llib/ssl.scm 1197 */
BgL_test4272z00_13018 = ((bool_t)0)
; } } 
if(BgL_test4272z00_13018)
{ /* Llib/ssl.scm 1197 */
BgL_auxz00_13017 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4596)
; }  else 
{ 
 obj_t BgL_auxz00_13040;
BgL_auxz00_13040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(48350L), BGl_string3311z00zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4596); 
FAILURE(BgL_auxz00_13040,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_auxz00_13017);} } 

}



/* ssl-hash-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_122, obj_t BgL_dataz00_123, long BgL_offsetz00_124, long BgL_lenz00_125)
{
{ /* Llib/ssl.scm 1209 */
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_method1327z00_1757;
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_res2550z00_3544;
{ /* Llib/ssl.scm 1209 */
 long BgL_objzd2classzd2numz00_3515;
BgL_objzd2classzd2numz00_3515 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_122)); 
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_arg1782z00_3516;
BgL_arg1782z00_3516 = 
PROCEDURE_REF(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1209 */
 int BgL_offsetz00_3519;
BgL_offsetz00_3519 = 
(int)(BgL_objzd2classzd2numz00_3515); 
{ /* Llib/ssl.scm 1209 */
 long BgL_offsetz00_3520;
BgL_offsetz00_3520 = 
(
(long)(BgL_offsetz00_3519)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1209 */
 long BgL_modz00_3521;
BgL_modz00_3521 = 
(BgL_offsetz00_3520 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1209 */
 long BgL_restz00_3523;
BgL_restz00_3523 = 
(BgL_offsetz00_3520 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1209 */

{ /* Llib/ssl.scm 1209 */
 obj_t BgL_bucketz00_3525;
BgL_bucketz00_3525 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3516),BgL_modz00_3521); 
BgL_res2550z00_3544 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3525),BgL_restz00_3523); } } } } } } } } 
BgL_method1327z00_1757 = BgL_res2550z00_3544; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1327z00_1757))(BgL_method1327z00_1757, 
((obj_t)BgL_sslzd2hashzd2_122), BgL_dataz00_123, 
BINT(BgL_offsetz00_124), 
BINT(BgL_lenz00_125), BEOA);} } 

}



/* &ssl-hash-update! */
obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4939, obj_t BgL_sslzd2hashzd2_4940, obj_t BgL_dataz00_4941, obj_t BgL_offsetz00_4942, obj_t BgL_lenz00_4943)
{
{ /* Llib/ssl.scm 1209 */
{ /* Llib/ssl.scm 1209 */
 long BgL_auxz00_13123; long BgL_auxz00_13114; obj_t BgL_auxz00_13107; BgL_sslzd2hashzd2_bglt BgL_auxz00_13080;
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_tmpz00_13124;
if(
INTEGERP(BgL_lenz00_4943))
{ /* Llib/ssl.scm 1209 */
BgL_tmpz00_13124 = BgL_lenz00_4943
; }  else 
{ 
 obj_t BgL_auxz00_13127;
BgL_auxz00_13127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(48805L), BGl_string3312z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4943); 
FAILURE(BgL_auxz00_13127,BFALSE,BFALSE);} 
BgL_auxz00_13123 = 
(long)CINT(BgL_tmpz00_13124); } 
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_tmpz00_13115;
if(
INTEGERP(BgL_offsetz00_4942))
{ /* Llib/ssl.scm 1209 */
BgL_tmpz00_13115 = BgL_offsetz00_4942
; }  else 
{ 
 obj_t BgL_auxz00_13118;
BgL_auxz00_13118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(48805L), BGl_string3312z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4942); 
FAILURE(BgL_auxz00_13118,BFALSE,BFALSE);} 
BgL_auxz00_13114 = 
(long)CINT(BgL_tmpz00_13115); } 
if(
STRINGP(BgL_dataz00_4941))
{ /* Llib/ssl.scm 1209 */
BgL_auxz00_13107 = BgL_dataz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_13110;
BgL_auxz00_13110 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(48805L), BGl_string3312z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_dataz00_4941); 
FAILURE(BgL_auxz00_13110,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1209 */
 bool_t BgL_test4277z00_13081;
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_classz00_7292;
BgL_classz00_7292 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4940))
{ /* Llib/ssl.scm 1209 */
 BgL_objectz00_bglt BgL_arg1780z00_7294; long BgL_arg1781z00_7295;
BgL_arg1780z00_7294 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4940); 
BgL_arg1781z00_7295 = 
BGL_CLASS_DEPTH(BgL_classz00_7292); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1209 */
 long BgL_idxz00_7303;
BgL_idxz00_7303 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7294); 
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_arg1773z00_7304;
{ /* Llib/ssl.scm 1209 */
 long BgL_arg1774z00_7305;
BgL_arg1774z00_7305 = 
(BgL_idxz00_7303+BgL_arg1781z00_7295); 
BgL_arg1773z00_7304 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7305); } 
BgL_test4277z00_13081 = 
(BgL_arg1773z00_7304==BgL_classz00_7292); } }  else 
{ /* Llib/ssl.scm 1209 */
 bool_t BgL_res3370z00_7328;
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_oclassz00_7313;
{ /* Llib/ssl.scm 1209 */
 long BgL_arg1785z00_7319;
{ /* Llib/ssl.scm 1209 */
 long BgL_arg1786z00_7320;
BgL_arg1786z00_7320 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7294); 
BgL_arg1785z00_7319 = 
(BgL_arg1786z00_7320-OBJECT_TYPE); } 
BgL_oclassz00_7313 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7319); } 
{ /* Llib/ssl.scm 1209 */
 bool_t BgL__ortest_1114z00_7314;
BgL__ortest_1114z00_7314 = 
(BgL_classz00_7292==BgL_oclassz00_7313); 
if(BgL__ortest_1114z00_7314)
{ /* Llib/ssl.scm 1209 */
BgL_res3370z00_7328 = BgL__ortest_1114z00_7314; }  else 
{ /* Llib/ssl.scm 1209 */
 long BgL_odepthz00_7315;
BgL_odepthz00_7315 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7313); 
if(
(BgL_arg1781z00_7295<BgL_odepthz00_7315))
{ /* Llib/ssl.scm 1209 */
 obj_t BgL_arg1775z00_7317;
BgL_arg1775z00_7317 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7313, BgL_arg1781z00_7295); 
BgL_res3370z00_7328 = 
(BgL_arg1775z00_7317==BgL_classz00_7292); }  else 
{ /* Llib/ssl.scm 1209 */
BgL_res3370z00_7328 = ((bool_t)0); } } } } 
BgL_test4277z00_13081 = BgL_res3370z00_7328; } }  else 
{ /* Llib/ssl.scm 1209 */
BgL_test4277z00_13081 = ((bool_t)0)
; } } 
if(BgL_test4277z00_13081)
{ /* Llib/ssl.scm 1209 */
BgL_auxz00_13080 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4940)
; }  else 
{ 
 obj_t BgL_auxz00_13103;
BgL_auxz00_13103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(48805L), BGl_string3312z00zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4940); 
FAILURE(BgL_auxz00_13103,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13080, BgL_auxz00_13107, BgL_auxz00_13114, BgL_auxz00_13123);} } 

}



/* ssl-hash-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_126)
{
{ /* Llib/ssl.scm 1221 */
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_method1329z00_1758;
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_res2555z00_3575;
{ /* Llib/ssl.scm 1221 */
 long BgL_objzd2classzd2numz00_3546;
BgL_objzd2classzd2numz00_3546 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_126)); 
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_arg1782z00_3547;
BgL_arg1782z00_3547 = 
PROCEDURE_REF(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1221 */
 int BgL_offsetz00_3550;
BgL_offsetz00_3550 = 
(int)(BgL_objzd2classzd2numz00_3546); 
{ /* Llib/ssl.scm 1221 */
 long BgL_offsetz00_3551;
BgL_offsetz00_3551 = 
(
(long)(BgL_offsetz00_3550)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1221 */
 long BgL_modz00_3552;
BgL_modz00_3552 = 
(BgL_offsetz00_3551 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1221 */
 long BgL_restz00_3554;
BgL_restz00_3554 = 
(BgL_offsetz00_3551 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1221 */

{ /* Llib/ssl.scm 1221 */
 obj_t BgL_bucketz00_3556;
BgL_bucketz00_3556 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3547),BgL_modz00_3552); 
BgL_res2555z00_3575 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3556),BgL_restz00_3554); } } } } } } } } 
BgL_method1329z00_1758 = BgL_res2555z00_3575; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1329z00_1758))(BgL_method1329z00_1758, 
((obj_t)BgL_sslzd2hashzd2_126), BEOA);} } 

}



/* &ssl-hash-digest */
obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4944, obj_t BgL_sslzd2hashzd2_4945)
{
{ /* Llib/ssl.scm 1221 */
{ /* Llib/ssl.scm 1221 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13163;
{ /* Llib/ssl.scm 1221 */
 bool_t BgL_test4285z00_13164;
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_classz00_7329;
BgL_classz00_7329 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4945))
{ /* Llib/ssl.scm 1221 */
 BgL_objectz00_bglt BgL_arg1780z00_7331; long BgL_arg1781z00_7332;
BgL_arg1780z00_7331 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4945); 
BgL_arg1781z00_7332 = 
BGL_CLASS_DEPTH(BgL_classz00_7329); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1221 */
 long BgL_idxz00_7340;
BgL_idxz00_7340 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7331); 
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_arg1773z00_7341;
{ /* Llib/ssl.scm 1221 */
 long BgL_arg1774z00_7342;
BgL_arg1774z00_7342 = 
(BgL_idxz00_7340+BgL_arg1781z00_7332); 
BgL_arg1773z00_7341 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7342); } 
BgL_test4285z00_13164 = 
(BgL_arg1773z00_7341==BgL_classz00_7329); } }  else 
{ /* Llib/ssl.scm 1221 */
 bool_t BgL_res3371z00_7365;
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_oclassz00_7350;
{ /* Llib/ssl.scm 1221 */
 long BgL_arg1785z00_7356;
{ /* Llib/ssl.scm 1221 */
 long BgL_arg1786z00_7357;
BgL_arg1786z00_7357 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7331); 
BgL_arg1785z00_7356 = 
(BgL_arg1786z00_7357-OBJECT_TYPE); } 
BgL_oclassz00_7350 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7356); } 
{ /* Llib/ssl.scm 1221 */
 bool_t BgL__ortest_1114z00_7351;
BgL__ortest_1114z00_7351 = 
(BgL_classz00_7329==BgL_oclassz00_7350); 
if(BgL__ortest_1114z00_7351)
{ /* Llib/ssl.scm 1221 */
BgL_res3371z00_7365 = BgL__ortest_1114z00_7351; }  else 
{ /* Llib/ssl.scm 1221 */
 long BgL_odepthz00_7352;
BgL_odepthz00_7352 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7350); 
if(
(BgL_arg1781z00_7332<BgL_odepthz00_7352))
{ /* Llib/ssl.scm 1221 */
 obj_t BgL_arg1775z00_7354;
BgL_arg1775z00_7354 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7350, BgL_arg1781z00_7332); 
BgL_res3371z00_7365 = 
(BgL_arg1775z00_7354==BgL_classz00_7329); }  else 
{ /* Llib/ssl.scm 1221 */
BgL_res3371z00_7365 = ((bool_t)0); } } } } 
BgL_test4285z00_13164 = BgL_res3371z00_7365; } }  else 
{ /* Llib/ssl.scm 1221 */
BgL_test4285z00_13164 = ((bool_t)0)
; } } 
if(BgL_test4285z00_13164)
{ /* Llib/ssl.scm 1221 */
BgL_auxz00_13163 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4945)
; }  else 
{ 
 obj_t BgL_auxz00_13186;
BgL_auxz00_13186 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(49301L), BGl_string3313z00zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4945); 
FAILURE(BgL_auxz00_13186,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_auxz00_13163);} } 

}



/* ssl-hmac-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_127, obj_t BgL_hmacz00_128, obj_t BgL_keyz00_129)
{
{ /* Llib/ssl.scm 1232 */
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_method1331z00_1759;
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_res2560z00_3606;
{ /* Llib/ssl.scm 1232 */
 long BgL_objzd2classzd2numz00_3577;
BgL_objzd2classzd2numz00_3577 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_127)); 
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_arg1782z00_3578;
BgL_arg1782z00_3578 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1232 */
 int BgL_offsetz00_3581;
BgL_offsetz00_3581 = 
(int)(BgL_objzd2classzd2numz00_3577); 
{ /* Llib/ssl.scm 1232 */
 long BgL_offsetz00_3582;
BgL_offsetz00_3582 = 
(
(long)(BgL_offsetz00_3581)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1232 */
 long BgL_modz00_3583;
BgL_modz00_3583 = 
(BgL_offsetz00_3582 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1232 */
 long BgL_restz00_3585;
BgL_restz00_3585 = 
(BgL_offsetz00_3582 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1232 */

{ /* Llib/ssl.scm 1232 */
 obj_t BgL_bucketz00_3587;
BgL_bucketz00_3587 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3578),BgL_modz00_3583); 
BgL_res2560z00_3606 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3587),BgL_restz00_3585); } } } } } } } } 
BgL_method1331z00_1759 = BgL_res2560z00_3606; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1331z00_1759))(BgL_method1331z00_1759, 
((obj_t)BgL_sslzd2hmaczd2_127), BgL_hmacz00_128, BgL_keyz00_129, BEOA);} } 

}



/* &ssl-hmac-init */
obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4946, obj_t BgL_sslzd2hmaczd2_4947, obj_t BgL_hmacz00_4948, obj_t BgL_keyz00_4949)
{
{ /* Llib/ssl.scm 1232 */
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_auxz00_13257; obj_t BgL_auxz00_13250; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13223;
if(
STRINGP(BgL_keyz00_4949))
{ /* Llib/ssl.scm 1232 */
BgL_auxz00_13257 = BgL_keyz00_4949
; }  else 
{ 
 obj_t BgL_auxz00_13260;
BgL_auxz00_13260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(49747L), BGl_string3314z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_keyz00_4949); 
FAILURE(BgL_auxz00_13260,BFALSE,BFALSE);} 
if(
STRINGP(BgL_hmacz00_4948))
{ /* Llib/ssl.scm 1232 */
BgL_auxz00_13250 = BgL_hmacz00_4948
; }  else 
{ 
 obj_t BgL_auxz00_13253;
BgL_auxz00_13253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(49747L), BGl_string3314z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_hmacz00_4948); 
FAILURE(BgL_auxz00_13253,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1232 */
 bool_t BgL_test4290z00_13224;
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_classz00_7366;
BgL_classz00_7366 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4947))
{ /* Llib/ssl.scm 1232 */
 BgL_objectz00_bglt BgL_arg1780z00_7368; long BgL_arg1781z00_7369;
BgL_arg1780z00_7368 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4947); 
BgL_arg1781z00_7369 = 
BGL_CLASS_DEPTH(BgL_classz00_7366); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1232 */
 long BgL_idxz00_7377;
BgL_idxz00_7377 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7368); 
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_arg1773z00_7378;
{ /* Llib/ssl.scm 1232 */
 long BgL_arg1774z00_7379;
BgL_arg1774z00_7379 = 
(BgL_idxz00_7377+BgL_arg1781z00_7369); 
BgL_arg1773z00_7378 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7379); } 
BgL_test4290z00_13224 = 
(BgL_arg1773z00_7378==BgL_classz00_7366); } }  else 
{ /* Llib/ssl.scm 1232 */
 bool_t BgL_res3372z00_7402;
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_oclassz00_7387;
{ /* Llib/ssl.scm 1232 */
 long BgL_arg1785z00_7393;
{ /* Llib/ssl.scm 1232 */
 long BgL_arg1786z00_7394;
BgL_arg1786z00_7394 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7368); 
BgL_arg1785z00_7393 = 
(BgL_arg1786z00_7394-OBJECT_TYPE); } 
BgL_oclassz00_7387 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7393); } 
{ /* Llib/ssl.scm 1232 */
 bool_t BgL__ortest_1114z00_7388;
BgL__ortest_1114z00_7388 = 
(BgL_classz00_7366==BgL_oclassz00_7387); 
if(BgL__ortest_1114z00_7388)
{ /* Llib/ssl.scm 1232 */
BgL_res3372z00_7402 = BgL__ortest_1114z00_7388; }  else 
{ /* Llib/ssl.scm 1232 */
 long BgL_odepthz00_7389;
BgL_odepthz00_7389 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7387); 
if(
(BgL_arg1781z00_7369<BgL_odepthz00_7389))
{ /* Llib/ssl.scm 1232 */
 obj_t BgL_arg1775z00_7391;
BgL_arg1775z00_7391 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7387, BgL_arg1781z00_7369); 
BgL_res3372z00_7402 = 
(BgL_arg1775z00_7391==BgL_classz00_7366); }  else 
{ /* Llib/ssl.scm 1232 */
BgL_res3372z00_7402 = ((bool_t)0); } } } } 
BgL_test4290z00_13224 = BgL_res3372z00_7402; } }  else 
{ /* Llib/ssl.scm 1232 */
BgL_test4290z00_13224 = ((bool_t)0)
; } } 
if(BgL_test4290z00_13224)
{ /* Llib/ssl.scm 1232 */
BgL_auxz00_13223 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4947)
; }  else 
{ 
 obj_t BgL_auxz00_13246;
BgL_auxz00_13246 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(49747L), BGl_string3314z00zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4947); 
FAILURE(BgL_auxz00_13246,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_auxz00_13223, BgL_auxz00_13250, BgL_auxz00_13257);} } 

}



/* ssl-hmac-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_130, obj_t BgL_dataz00_131, long BgL_offsetz00_132, long BgL_lenz00_133)
{
{ /* Llib/ssl.scm 1244 */
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_method1333z00_1760;
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_res2565z00_3637;
{ /* Llib/ssl.scm 1244 */
 long BgL_objzd2classzd2numz00_3608;
BgL_objzd2classzd2numz00_3608 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_130)); 
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_arg1782z00_3609;
BgL_arg1782z00_3609 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1244 */
 int BgL_offsetz00_3612;
BgL_offsetz00_3612 = 
(int)(BgL_objzd2classzd2numz00_3608); 
{ /* Llib/ssl.scm 1244 */
 long BgL_offsetz00_3613;
BgL_offsetz00_3613 = 
(
(long)(BgL_offsetz00_3612)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1244 */
 long BgL_modz00_3614;
BgL_modz00_3614 = 
(BgL_offsetz00_3613 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1244 */
 long BgL_restz00_3616;
BgL_restz00_3616 = 
(BgL_offsetz00_3613 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1244 */

{ /* Llib/ssl.scm 1244 */
 obj_t BgL_bucketz00_3618;
BgL_bucketz00_3618 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3609),BgL_modz00_3614); 
BgL_res2565z00_3637 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3618),BgL_restz00_3616); } } } } } } } } 
BgL_method1333z00_1760 = BgL_res2565z00_3637; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1333z00_1760))(BgL_method1333z00_1760, 
((obj_t)BgL_sslzd2hmaczd2_130), BgL_dataz00_131, 
BINT(BgL_offsetz00_132), 
BINT(BgL_lenz00_133), BEOA);} } 

}



/* &ssl-hmac-update! */
obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4950, obj_t BgL_sslzd2hmaczd2_4951, obj_t BgL_dataz00_4952, obj_t BgL_offsetz00_4953, obj_t BgL_lenz00_4954)
{
{ /* Llib/ssl.scm 1244 */
{ /* Llib/ssl.scm 1244 */
 long BgL_auxz00_13343; long BgL_auxz00_13334; obj_t BgL_auxz00_13327; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13300;
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_tmpz00_13344;
if(
INTEGERP(BgL_lenz00_4954))
{ /* Llib/ssl.scm 1244 */
BgL_tmpz00_13344 = BgL_lenz00_4954
; }  else 
{ 
 obj_t BgL_auxz00_13347;
BgL_auxz00_13347 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(50216L), BGl_string3315z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4954); 
FAILURE(BgL_auxz00_13347,BFALSE,BFALSE);} 
BgL_auxz00_13343 = 
(long)CINT(BgL_tmpz00_13344); } 
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_tmpz00_13335;
if(
INTEGERP(BgL_offsetz00_4953))
{ /* Llib/ssl.scm 1244 */
BgL_tmpz00_13335 = BgL_offsetz00_4953
; }  else 
{ 
 obj_t BgL_auxz00_13338;
BgL_auxz00_13338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(50216L), BGl_string3315z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4953); 
FAILURE(BgL_auxz00_13338,BFALSE,BFALSE);} 
BgL_auxz00_13334 = 
(long)CINT(BgL_tmpz00_13335); } 
if(
STRINGP(BgL_dataz00_4952))
{ /* Llib/ssl.scm 1244 */
BgL_auxz00_13327 = BgL_dataz00_4952
; }  else 
{ 
 obj_t BgL_auxz00_13330;
BgL_auxz00_13330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(50216L), BGl_string3315z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_dataz00_4952); 
FAILURE(BgL_auxz00_13330,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1244 */
 bool_t BgL_test4297z00_13301;
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_classz00_7403;
BgL_classz00_7403 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4951))
{ /* Llib/ssl.scm 1244 */
 BgL_objectz00_bglt BgL_arg1780z00_7405; long BgL_arg1781z00_7406;
BgL_arg1780z00_7405 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4951); 
BgL_arg1781z00_7406 = 
BGL_CLASS_DEPTH(BgL_classz00_7403); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1244 */
 long BgL_idxz00_7414;
BgL_idxz00_7414 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7405); 
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_arg1773z00_7415;
{ /* Llib/ssl.scm 1244 */
 long BgL_arg1774z00_7416;
BgL_arg1774z00_7416 = 
(BgL_idxz00_7414+BgL_arg1781z00_7406); 
BgL_arg1773z00_7415 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7416); } 
BgL_test4297z00_13301 = 
(BgL_arg1773z00_7415==BgL_classz00_7403); } }  else 
{ /* Llib/ssl.scm 1244 */
 bool_t BgL_res3373z00_7439;
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_oclassz00_7424;
{ /* Llib/ssl.scm 1244 */
 long BgL_arg1785z00_7430;
{ /* Llib/ssl.scm 1244 */
 long BgL_arg1786z00_7431;
BgL_arg1786z00_7431 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7405); 
BgL_arg1785z00_7430 = 
(BgL_arg1786z00_7431-OBJECT_TYPE); } 
BgL_oclassz00_7424 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7430); } 
{ /* Llib/ssl.scm 1244 */
 bool_t BgL__ortest_1114z00_7425;
BgL__ortest_1114z00_7425 = 
(BgL_classz00_7403==BgL_oclassz00_7424); 
if(BgL__ortest_1114z00_7425)
{ /* Llib/ssl.scm 1244 */
BgL_res3373z00_7439 = BgL__ortest_1114z00_7425; }  else 
{ /* Llib/ssl.scm 1244 */
 long BgL_odepthz00_7426;
BgL_odepthz00_7426 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7424); 
if(
(BgL_arg1781z00_7406<BgL_odepthz00_7426))
{ /* Llib/ssl.scm 1244 */
 obj_t BgL_arg1775z00_7428;
BgL_arg1775z00_7428 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7424, BgL_arg1781z00_7406); 
BgL_res3373z00_7439 = 
(BgL_arg1775z00_7428==BgL_classz00_7403); }  else 
{ /* Llib/ssl.scm 1244 */
BgL_res3373z00_7439 = ((bool_t)0); } } } } 
BgL_test4297z00_13301 = BgL_res3373z00_7439; } }  else 
{ /* Llib/ssl.scm 1244 */
BgL_test4297z00_13301 = ((bool_t)0)
; } } 
if(BgL_test4297z00_13301)
{ /* Llib/ssl.scm 1244 */
BgL_auxz00_13300 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4951)
; }  else 
{ 
 obj_t BgL_auxz00_13323;
BgL_auxz00_13323 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(50216L), BGl_string3315z00zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4951); 
FAILURE(BgL_auxz00_13323,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13300, BgL_auxz00_13327, BgL_auxz00_13334, BgL_auxz00_13343);} } 

}



/* ssl-hmac-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_134)
{
{ /* Llib/ssl.scm 1256 */
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_method1335z00_1761;
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_res2570z00_3668;
{ /* Llib/ssl.scm 1256 */
 long BgL_objzd2classzd2numz00_3639;
BgL_objzd2classzd2numz00_3639 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_134)); 
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_arg1782z00_3640;
BgL_arg1782z00_3640 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1256 */
 int BgL_offsetz00_3643;
BgL_offsetz00_3643 = 
(int)(BgL_objzd2classzd2numz00_3639); 
{ /* Llib/ssl.scm 1256 */
 long BgL_offsetz00_3644;
BgL_offsetz00_3644 = 
(
(long)(BgL_offsetz00_3643)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1256 */
 long BgL_modz00_3645;
BgL_modz00_3645 = 
(BgL_offsetz00_3644 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1256 */
 long BgL_restz00_3647;
BgL_restz00_3647 = 
(BgL_offsetz00_3644 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1256 */

{ /* Llib/ssl.scm 1256 */
 obj_t BgL_bucketz00_3649;
BgL_bucketz00_3649 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3640),BgL_modz00_3645); 
BgL_res2570z00_3668 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3649),BgL_restz00_3647); } } } } } } } } 
BgL_method1335z00_1761 = BgL_res2570z00_3668; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1335z00_1761))(BgL_method1335z00_1761, 
((obj_t)BgL_sslzd2hmaczd2_134), BEOA);} } 

}



/* &ssl-hmac-digest */
obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4955, obj_t BgL_sslzd2hmaczd2_4956)
{
{ /* Llib/ssl.scm 1256 */
{ /* Llib/ssl.scm 1256 */
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_13383;
{ /* Llib/ssl.scm 1256 */
 bool_t BgL_test4305z00_13384;
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_classz00_7440;
BgL_classz00_7440 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4956))
{ /* Llib/ssl.scm 1256 */
 BgL_objectz00_bglt BgL_arg1780z00_7442; long BgL_arg1781z00_7443;
BgL_arg1780z00_7442 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4956); 
BgL_arg1781z00_7443 = 
BGL_CLASS_DEPTH(BgL_classz00_7440); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1256 */
 long BgL_idxz00_7451;
BgL_idxz00_7451 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7442); 
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_arg1773z00_7452;
{ /* Llib/ssl.scm 1256 */
 long BgL_arg1774z00_7453;
BgL_arg1774z00_7453 = 
(BgL_idxz00_7451+BgL_arg1781z00_7443); 
BgL_arg1773z00_7452 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7453); } 
BgL_test4305z00_13384 = 
(BgL_arg1773z00_7452==BgL_classz00_7440); } }  else 
{ /* Llib/ssl.scm 1256 */
 bool_t BgL_res3374z00_7476;
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_oclassz00_7461;
{ /* Llib/ssl.scm 1256 */
 long BgL_arg1785z00_7467;
{ /* Llib/ssl.scm 1256 */
 long BgL_arg1786z00_7468;
BgL_arg1786z00_7468 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7442); 
BgL_arg1785z00_7467 = 
(BgL_arg1786z00_7468-OBJECT_TYPE); } 
BgL_oclassz00_7461 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7467); } 
{ /* Llib/ssl.scm 1256 */
 bool_t BgL__ortest_1114z00_7462;
BgL__ortest_1114z00_7462 = 
(BgL_classz00_7440==BgL_oclassz00_7461); 
if(BgL__ortest_1114z00_7462)
{ /* Llib/ssl.scm 1256 */
BgL_res3374z00_7476 = BgL__ortest_1114z00_7462; }  else 
{ /* Llib/ssl.scm 1256 */
 long BgL_odepthz00_7463;
BgL_odepthz00_7463 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7461); 
if(
(BgL_arg1781z00_7443<BgL_odepthz00_7463))
{ /* Llib/ssl.scm 1256 */
 obj_t BgL_arg1775z00_7465;
BgL_arg1775z00_7465 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7461, BgL_arg1781z00_7443); 
BgL_res3374z00_7476 = 
(BgL_arg1775z00_7465==BgL_classz00_7440); }  else 
{ /* Llib/ssl.scm 1256 */
BgL_res3374z00_7476 = ((bool_t)0); } } } } 
BgL_test4305z00_13384 = BgL_res3374z00_7476; } }  else 
{ /* Llib/ssl.scm 1256 */
BgL_test4305z00_13384 = ((bool_t)0)
; } } 
if(BgL_test4305z00_13384)
{ /* Llib/ssl.scm 1256 */
BgL_auxz00_13383 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4956)
; }  else 
{ 
 obj_t BgL_auxz00_13406;
BgL_auxz00_13406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(50712L), BGl_string3316z00zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4956); 
FAILURE(BgL_auxz00_13406,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_auxz00_13383);} } 

}



/* ssl-sign-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_135, obj_t BgL_signz00_136)
{
{ /* Llib/ssl.scm 1267 */
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_method1337z00_1762;
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_res2575z00_3699;
{ /* Llib/ssl.scm 1267 */
 long BgL_objzd2classzd2numz00_3670;
BgL_objzd2classzd2numz00_3670 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_135)); 
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_arg1782z00_3671;
BgL_arg1782z00_3671 = 
PROCEDURE_REF(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1267 */
 int BgL_offsetz00_3674;
BgL_offsetz00_3674 = 
(int)(BgL_objzd2classzd2numz00_3670); 
{ /* Llib/ssl.scm 1267 */
 long BgL_offsetz00_3675;
BgL_offsetz00_3675 = 
(
(long)(BgL_offsetz00_3674)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1267 */
 long BgL_modz00_3676;
BgL_modz00_3676 = 
(BgL_offsetz00_3675 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1267 */
 long BgL_restz00_3678;
BgL_restz00_3678 = 
(BgL_offsetz00_3675 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1267 */

{ /* Llib/ssl.scm 1267 */
 obj_t BgL_bucketz00_3680;
BgL_bucketz00_3680 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3671),BgL_modz00_3676); 
BgL_res2575z00_3699 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3680),BgL_restz00_3678); } } } } } } } } 
BgL_method1337z00_1762 = BgL_res2575z00_3699; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1337z00_1762))(BgL_method1337z00_1762, 
((obj_t)BgL_sslzd2signzd2_135), BgL_signz00_136, BEOA);} } 

}



/* &ssl-sign-init */
obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4957, obj_t BgL_sslzd2signzd2_4958, obj_t BgL_signz00_4959)
{
{ /* Llib/ssl.scm 1267 */
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_auxz00_13469; BgL_sslzd2signzd2_bglt BgL_auxz00_13442;
if(
STRINGP(BgL_signz00_4959))
{ /* Llib/ssl.scm 1267 */
BgL_auxz00_13469 = BgL_signz00_4959
; }  else 
{ 
 obj_t BgL_auxz00_13472;
BgL_auxz00_13472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(51158L), BGl_string3317z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_signz00_4959); 
FAILURE(BgL_auxz00_13472,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1267 */
 bool_t BgL_test4310z00_13443;
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_classz00_7477;
BgL_classz00_7477 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4958))
{ /* Llib/ssl.scm 1267 */
 BgL_objectz00_bglt BgL_arg1780z00_7479; long BgL_arg1781z00_7480;
BgL_arg1780z00_7479 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4958); 
BgL_arg1781z00_7480 = 
BGL_CLASS_DEPTH(BgL_classz00_7477); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1267 */
 long BgL_idxz00_7488;
BgL_idxz00_7488 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7479); 
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_arg1773z00_7489;
{ /* Llib/ssl.scm 1267 */
 long BgL_arg1774z00_7490;
BgL_arg1774z00_7490 = 
(BgL_idxz00_7488+BgL_arg1781z00_7480); 
BgL_arg1773z00_7489 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7490); } 
BgL_test4310z00_13443 = 
(BgL_arg1773z00_7489==BgL_classz00_7477); } }  else 
{ /* Llib/ssl.scm 1267 */
 bool_t BgL_res3375z00_7513;
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_oclassz00_7498;
{ /* Llib/ssl.scm 1267 */
 long BgL_arg1785z00_7504;
{ /* Llib/ssl.scm 1267 */
 long BgL_arg1786z00_7505;
BgL_arg1786z00_7505 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7479); 
BgL_arg1785z00_7504 = 
(BgL_arg1786z00_7505-OBJECT_TYPE); } 
BgL_oclassz00_7498 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7504); } 
{ /* Llib/ssl.scm 1267 */
 bool_t BgL__ortest_1114z00_7499;
BgL__ortest_1114z00_7499 = 
(BgL_classz00_7477==BgL_oclassz00_7498); 
if(BgL__ortest_1114z00_7499)
{ /* Llib/ssl.scm 1267 */
BgL_res3375z00_7513 = BgL__ortest_1114z00_7499; }  else 
{ /* Llib/ssl.scm 1267 */
 long BgL_odepthz00_7500;
BgL_odepthz00_7500 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7498); 
if(
(BgL_arg1781z00_7480<BgL_odepthz00_7500))
{ /* Llib/ssl.scm 1267 */
 obj_t BgL_arg1775z00_7502;
BgL_arg1775z00_7502 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7498, BgL_arg1781z00_7480); 
BgL_res3375z00_7513 = 
(BgL_arg1775z00_7502==BgL_classz00_7477); }  else 
{ /* Llib/ssl.scm 1267 */
BgL_res3375z00_7513 = ((bool_t)0); } } } } 
BgL_test4310z00_13443 = BgL_res3375z00_7513; } }  else 
{ /* Llib/ssl.scm 1267 */
BgL_test4310z00_13443 = ((bool_t)0)
; } } 
if(BgL_test4310z00_13443)
{ /* Llib/ssl.scm 1267 */
BgL_auxz00_13442 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4958)
; }  else 
{ 
 obj_t BgL_auxz00_13465;
BgL_auxz00_13465 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(51158L), BGl_string3317z00zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00, BgL_sslzd2signzd2_4958); 
FAILURE(BgL_auxz00_13465,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_auxz00_13442, BgL_auxz00_13469);} } 

}



/* ssl-sign-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_137, obj_t BgL_dataz00_138, long BgL_offsetz00_139, long BgL_lenz00_140)
{
{ /* Llib/ssl.scm 1279 */
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_method1339z00_1763;
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_res2580z00_3730;
{ /* Llib/ssl.scm 1279 */
 long BgL_objzd2classzd2numz00_3701;
BgL_objzd2classzd2numz00_3701 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_137)); 
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_arg1782z00_3702;
BgL_arg1782z00_3702 = 
PROCEDURE_REF(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1279 */
 int BgL_offsetz00_3705;
BgL_offsetz00_3705 = 
(int)(BgL_objzd2classzd2numz00_3701); 
{ /* Llib/ssl.scm 1279 */
 long BgL_offsetz00_3706;
BgL_offsetz00_3706 = 
(
(long)(BgL_offsetz00_3705)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1279 */
 long BgL_modz00_3707;
BgL_modz00_3707 = 
(BgL_offsetz00_3706 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1279 */
 long BgL_restz00_3709;
BgL_restz00_3709 = 
(BgL_offsetz00_3706 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1279 */

{ /* Llib/ssl.scm 1279 */
 obj_t BgL_bucketz00_3711;
BgL_bucketz00_3711 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3702),BgL_modz00_3707); 
BgL_res2580z00_3730 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3711),BgL_restz00_3709); } } } } } } } } 
BgL_method1339z00_1763 = BgL_res2580z00_3730; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1339z00_1763))(BgL_method1339z00_1763, 
((obj_t)BgL_sslzd2signzd2_137), BgL_dataz00_138, 
BINT(BgL_offsetz00_139), 
BINT(BgL_lenz00_140), BEOA);} } 

}



/* &ssl-sign-update! */
obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4960, obj_t BgL_sslzd2signzd2_4961, obj_t BgL_dataz00_4962, obj_t BgL_offsetz00_4963, obj_t BgL_lenz00_4964)
{
{ /* Llib/ssl.scm 1279 */
{ /* Llib/ssl.scm 1279 */
 long BgL_auxz00_13555; long BgL_auxz00_13546; obj_t BgL_auxz00_13539; BgL_sslzd2signzd2_bglt BgL_auxz00_13512;
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_tmpz00_13556;
if(
INTEGERP(BgL_lenz00_4964))
{ /* Llib/ssl.scm 1279 */
BgL_tmpz00_13556 = BgL_lenz00_4964
; }  else 
{ 
 obj_t BgL_auxz00_13559;
BgL_auxz00_13559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(51621L), BGl_string3318z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4964); 
FAILURE(BgL_auxz00_13559,BFALSE,BFALSE);} 
BgL_auxz00_13555 = 
(long)CINT(BgL_tmpz00_13556); } 
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_tmpz00_13547;
if(
INTEGERP(BgL_offsetz00_4963))
{ /* Llib/ssl.scm 1279 */
BgL_tmpz00_13547 = BgL_offsetz00_4963
; }  else 
{ 
 obj_t BgL_auxz00_13550;
BgL_auxz00_13550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(51621L), BGl_string3318z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4963); 
FAILURE(BgL_auxz00_13550,BFALSE,BFALSE);} 
BgL_auxz00_13546 = 
(long)CINT(BgL_tmpz00_13547); } 
if(
STRINGP(BgL_dataz00_4962))
{ /* Llib/ssl.scm 1279 */
BgL_auxz00_13539 = BgL_dataz00_4962
; }  else 
{ 
 obj_t BgL_auxz00_13542;
BgL_auxz00_13542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(51621L), BGl_string3318z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_dataz00_4962); 
FAILURE(BgL_auxz00_13542,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1279 */
 bool_t BgL_test4316z00_13513;
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_classz00_7514;
BgL_classz00_7514 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4961))
{ /* Llib/ssl.scm 1279 */
 BgL_objectz00_bglt BgL_arg1780z00_7516; long BgL_arg1781z00_7517;
BgL_arg1780z00_7516 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4961); 
BgL_arg1781z00_7517 = 
BGL_CLASS_DEPTH(BgL_classz00_7514); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1279 */
 long BgL_idxz00_7525;
BgL_idxz00_7525 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7516); 
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_arg1773z00_7526;
{ /* Llib/ssl.scm 1279 */
 long BgL_arg1774z00_7527;
BgL_arg1774z00_7527 = 
(BgL_idxz00_7525+BgL_arg1781z00_7517); 
BgL_arg1773z00_7526 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7527); } 
BgL_test4316z00_13513 = 
(BgL_arg1773z00_7526==BgL_classz00_7514); } }  else 
{ /* Llib/ssl.scm 1279 */
 bool_t BgL_res3376z00_7550;
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_oclassz00_7535;
{ /* Llib/ssl.scm 1279 */
 long BgL_arg1785z00_7541;
{ /* Llib/ssl.scm 1279 */
 long BgL_arg1786z00_7542;
BgL_arg1786z00_7542 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7516); 
BgL_arg1785z00_7541 = 
(BgL_arg1786z00_7542-OBJECT_TYPE); } 
BgL_oclassz00_7535 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7541); } 
{ /* Llib/ssl.scm 1279 */
 bool_t BgL__ortest_1114z00_7536;
BgL__ortest_1114z00_7536 = 
(BgL_classz00_7514==BgL_oclassz00_7535); 
if(BgL__ortest_1114z00_7536)
{ /* Llib/ssl.scm 1279 */
BgL_res3376z00_7550 = BgL__ortest_1114z00_7536; }  else 
{ /* Llib/ssl.scm 1279 */
 long BgL_odepthz00_7537;
BgL_odepthz00_7537 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7535); 
if(
(BgL_arg1781z00_7517<BgL_odepthz00_7537))
{ /* Llib/ssl.scm 1279 */
 obj_t BgL_arg1775z00_7539;
BgL_arg1775z00_7539 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7535, BgL_arg1781z00_7517); 
BgL_res3376z00_7550 = 
(BgL_arg1775z00_7539==BgL_classz00_7514); }  else 
{ /* Llib/ssl.scm 1279 */
BgL_res3376z00_7550 = ((bool_t)0); } } } } 
BgL_test4316z00_13513 = BgL_res3376z00_7550; } }  else 
{ /* Llib/ssl.scm 1279 */
BgL_test4316z00_13513 = ((bool_t)0)
; } } 
if(BgL_test4316z00_13513)
{ /* Llib/ssl.scm 1279 */
BgL_auxz00_13512 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4961)
; }  else 
{ 
 obj_t BgL_auxz00_13535;
BgL_auxz00_13535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(51621L), BGl_string3318z00zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00, BgL_sslzd2signzd2_4961); 
FAILURE(BgL_auxz00_13535,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13512, BgL_auxz00_13539, BgL_auxz00_13546, BgL_auxz00_13555);} } 

}



/* ssl-sign-sign */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_141, obj_t BgL_keyz00_142, long BgL_offsetz00_143, long BgL_lenz00_144)
{
{ /* Llib/ssl.scm 1291 */
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_method1341z00_1764;
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_res2585z00_3761;
{ /* Llib/ssl.scm 1291 */
 long BgL_objzd2classzd2numz00_3732;
BgL_objzd2classzd2numz00_3732 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_141)); 
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_arg1782z00_3733;
BgL_arg1782z00_3733 = 
PROCEDURE_REF(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1291 */
 int BgL_offsetz00_3736;
BgL_offsetz00_3736 = 
(int)(BgL_objzd2classzd2numz00_3732); 
{ /* Llib/ssl.scm 1291 */
 long BgL_offsetz00_3737;
BgL_offsetz00_3737 = 
(
(long)(BgL_offsetz00_3736)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1291 */
 long BgL_modz00_3738;
BgL_modz00_3738 = 
(BgL_offsetz00_3737 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1291 */
 long BgL_restz00_3740;
BgL_restz00_3740 = 
(BgL_offsetz00_3737 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1291 */

{ /* Llib/ssl.scm 1291 */
 obj_t BgL_bucketz00_3742;
BgL_bucketz00_3742 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3733),BgL_modz00_3738); 
BgL_res2585z00_3761 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3742),BgL_restz00_3740); } } } } } } } } 
BgL_method1341z00_1764 = BgL_res2585z00_3761; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1341z00_1764))(BgL_method1341z00_1764, 
((obj_t)BgL_sslzd2signzd2_141), BgL_keyz00_142, 
BINT(BgL_offsetz00_143), 
BINT(BgL_lenz00_144), BEOA);} } 

}



/* &ssl-sign-sign */
obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t BgL_envz00_4965, obj_t BgL_sslzd2signzd2_4966, obj_t BgL_keyz00_4967, obj_t BgL_offsetz00_4968, obj_t BgL_lenz00_4969)
{
{ /* Llib/ssl.scm 1291 */
{ /* Llib/ssl.scm 1291 */
 long BgL_auxz00_13643; long BgL_auxz00_13634; obj_t BgL_auxz00_13627; BgL_sslzd2signzd2_bglt BgL_auxz00_13600;
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_tmpz00_13644;
if(
INTEGERP(BgL_lenz00_4969))
{ /* Llib/ssl.scm 1291 */
BgL_tmpz00_13644 = BgL_lenz00_4969
; }  else 
{ 
 obj_t BgL_auxz00_13647;
BgL_auxz00_13647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(52117L), BGl_string3319z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4969); 
FAILURE(BgL_auxz00_13647,BFALSE,BFALSE);} 
BgL_auxz00_13643 = 
(long)CINT(BgL_tmpz00_13644); } 
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_tmpz00_13635;
if(
INTEGERP(BgL_offsetz00_4968))
{ /* Llib/ssl.scm 1291 */
BgL_tmpz00_13635 = BgL_offsetz00_4968
; }  else 
{ 
 obj_t BgL_auxz00_13638;
BgL_auxz00_13638 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(52117L), BGl_string3319z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4968); 
FAILURE(BgL_auxz00_13638,BFALSE,BFALSE);} 
BgL_auxz00_13634 = 
(long)CINT(BgL_tmpz00_13635); } 
if(
STRINGP(BgL_keyz00_4967))
{ /* Llib/ssl.scm 1291 */
BgL_auxz00_13627 = BgL_keyz00_4967
; }  else 
{ 
 obj_t BgL_auxz00_13630;
BgL_auxz00_13630 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(52117L), BGl_string3319z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_keyz00_4967); 
FAILURE(BgL_auxz00_13630,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1291 */
 bool_t BgL_test4324z00_13601;
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_classz00_7551;
BgL_classz00_7551 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4966))
{ /* Llib/ssl.scm 1291 */
 BgL_objectz00_bglt BgL_arg1780z00_7553; long BgL_arg1781z00_7554;
BgL_arg1780z00_7553 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4966); 
BgL_arg1781z00_7554 = 
BGL_CLASS_DEPTH(BgL_classz00_7551); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1291 */
 long BgL_idxz00_7562;
BgL_idxz00_7562 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7553); 
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_arg1773z00_7563;
{ /* Llib/ssl.scm 1291 */
 long BgL_arg1774z00_7564;
BgL_arg1774z00_7564 = 
(BgL_idxz00_7562+BgL_arg1781z00_7554); 
BgL_arg1773z00_7563 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7564); } 
BgL_test4324z00_13601 = 
(BgL_arg1773z00_7563==BgL_classz00_7551); } }  else 
{ /* Llib/ssl.scm 1291 */
 bool_t BgL_res3377z00_7587;
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_oclassz00_7572;
{ /* Llib/ssl.scm 1291 */
 long BgL_arg1785z00_7578;
{ /* Llib/ssl.scm 1291 */
 long BgL_arg1786z00_7579;
BgL_arg1786z00_7579 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7553); 
BgL_arg1785z00_7578 = 
(BgL_arg1786z00_7579-OBJECT_TYPE); } 
BgL_oclassz00_7572 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7578); } 
{ /* Llib/ssl.scm 1291 */
 bool_t BgL__ortest_1114z00_7573;
BgL__ortest_1114z00_7573 = 
(BgL_classz00_7551==BgL_oclassz00_7572); 
if(BgL__ortest_1114z00_7573)
{ /* Llib/ssl.scm 1291 */
BgL_res3377z00_7587 = BgL__ortest_1114z00_7573; }  else 
{ /* Llib/ssl.scm 1291 */
 long BgL_odepthz00_7574;
BgL_odepthz00_7574 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7572); 
if(
(BgL_arg1781z00_7554<BgL_odepthz00_7574))
{ /* Llib/ssl.scm 1291 */
 obj_t BgL_arg1775z00_7576;
BgL_arg1775z00_7576 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7572, BgL_arg1781z00_7554); 
BgL_res3377z00_7587 = 
(BgL_arg1775z00_7576==BgL_classz00_7551); }  else 
{ /* Llib/ssl.scm 1291 */
BgL_res3377z00_7587 = ((bool_t)0); } } } } 
BgL_test4324z00_13601 = BgL_res3377z00_7587; } }  else 
{ /* Llib/ssl.scm 1291 */
BgL_test4324z00_13601 = ((bool_t)0)
; } } 
if(BgL_test4324z00_13601)
{ /* Llib/ssl.scm 1291 */
BgL_auxz00_13600 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4966)
; }  else 
{ 
 obj_t BgL_auxz00_13623;
BgL_auxz00_13623 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(52117L), BGl_string3319z00zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00, BgL_sslzd2signzd2_4966); 
FAILURE(BgL_auxz00_13623,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_auxz00_13600, BgL_auxz00_13627, BgL_auxz00_13634, BgL_auxz00_13643);} } 

}



/* ssl-verify-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_145, obj_t BgL_verifyz00_146)
{
{ /* Llib/ssl.scm 1302 */
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_method1343z00_1765;
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_res2590z00_3792;
{ /* Llib/ssl.scm 1302 */
 long BgL_objzd2classzd2numz00_3763;
BgL_objzd2classzd2numz00_3763 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_145)); 
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_arg1782z00_3764;
BgL_arg1782z00_3764 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1302 */
 int BgL_offsetz00_3767;
BgL_offsetz00_3767 = 
(int)(BgL_objzd2classzd2numz00_3763); 
{ /* Llib/ssl.scm 1302 */
 long BgL_offsetz00_3768;
BgL_offsetz00_3768 = 
(
(long)(BgL_offsetz00_3767)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1302 */
 long BgL_modz00_3769;
BgL_modz00_3769 = 
(BgL_offsetz00_3768 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1302 */
 long BgL_restz00_3771;
BgL_restz00_3771 = 
(BgL_offsetz00_3768 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1302 */

{ /* Llib/ssl.scm 1302 */
 obj_t BgL_bucketz00_3773;
BgL_bucketz00_3773 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3764),BgL_modz00_3769); 
BgL_res2590z00_3792 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3773),BgL_restz00_3771); } } } } } } } } 
BgL_method1343z00_1765 = BgL_res2590z00_3792; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1343z00_1765))(BgL_method1343z00_1765, 
((obj_t)BgL_sslzd2verifyzd2_145), BgL_verifyz00_146, BEOA);} } 

}



/* &ssl-verify-init */
obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4970, obj_t BgL_sslzd2verifyzd2_4971, obj_t BgL_verifyz00_4972)
{
{ /* Llib/ssl.scm 1302 */
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_auxz00_13711; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13684;
if(
STRINGP(BgL_verifyz00_4972))
{ /* Llib/ssl.scm 1302 */
BgL_auxz00_13711 = BgL_verifyz00_4972
; }  else 
{ 
 obj_t BgL_auxz00_13714;
BgL_auxz00_13714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(52594L), BGl_string3320z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_verifyz00_4972); 
FAILURE(BgL_auxz00_13714,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1302 */
 bool_t BgL_test4332z00_13685;
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_classz00_7588;
BgL_classz00_7588 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4971))
{ /* Llib/ssl.scm 1302 */
 BgL_objectz00_bglt BgL_arg1780z00_7590; long BgL_arg1781z00_7591;
BgL_arg1780z00_7590 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4971); 
BgL_arg1781z00_7591 = 
BGL_CLASS_DEPTH(BgL_classz00_7588); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1302 */
 long BgL_idxz00_7599;
BgL_idxz00_7599 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7590); 
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_arg1773z00_7600;
{ /* Llib/ssl.scm 1302 */
 long BgL_arg1774z00_7601;
BgL_arg1774z00_7601 = 
(BgL_idxz00_7599+BgL_arg1781z00_7591); 
BgL_arg1773z00_7600 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7601); } 
BgL_test4332z00_13685 = 
(BgL_arg1773z00_7600==BgL_classz00_7588); } }  else 
{ /* Llib/ssl.scm 1302 */
 bool_t BgL_res3378z00_7624;
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_oclassz00_7609;
{ /* Llib/ssl.scm 1302 */
 long BgL_arg1785z00_7615;
{ /* Llib/ssl.scm 1302 */
 long BgL_arg1786z00_7616;
BgL_arg1786z00_7616 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7590); 
BgL_arg1785z00_7615 = 
(BgL_arg1786z00_7616-OBJECT_TYPE); } 
BgL_oclassz00_7609 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7615); } 
{ /* Llib/ssl.scm 1302 */
 bool_t BgL__ortest_1114z00_7610;
BgL__ortest_1114z00_7610 = 
(BgL_classz00_7588==BgL_oclassz00_7609); 
if(BgL__ortest_1114z00_7610)
{ /* Llib/ssl.scm 1302 */
BgL_res3378z00_7624 = BgL__ortest_1114z00_7610; }  else 
{ /* Llib/ssl.scm 1302 */
 long BgL_odepthz00_7611;
BgL_odepthz00_7611 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7609); 
if(
(BgL_arg1781z00_7591<BgL_odepthz00_7611))
{ /* Llib/ssl.scm 1302 */
 obj_t BgL_arg1775z00_7613;
BgL_arg1775z00_7613 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7609, BgL_arg1781z00_7591); 
BgL_res3378z00_7624 = 
(BgL_arg1775z00_7613==BgL_classz00_7588); }  else 
{ /* Llib/ssl.scm 1302 */
BgL_res3378z00_7624 = ((bool_t)0); } } } } 
BgL_test4332z00_13685 = BgL_res3378z00_7624; } }  else 
{ /* Llib/ssl.scm 1302 */
BgL_test4332z00_13685 = ((bool_t)0)
; } } 
if(BgL_test4332z00_13685)
{ /* Llib/ssl.scm 1302 */
BgL_auxz00_13684 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4971)
; }  else 
{ 
 obj_t BgL_auxz00_13707;
BgL_auxz00_13707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(52594L), BGl_string3320z00zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4971); 
FAILURE(BgL_auxz00_13707,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_auxz00_13684, BgL_auxz00_13711);} } 

}



/* ssl-verify-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_147, obj_t BgL_dataz00_148, long BgL_offsetz00_149, long BgL_lenz00_150)
{
{ /* Llib/ssl.scm 1314 */
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_method1345z00_1766;
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_res2595z00_3823;
{ /* Llib/ssl.scm 1314 */
 long BgL_objzd2classzd2numz00_3794;
BgL_objzd2classzd2numz00_3794 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_147)); 
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_arg1782z00_3795;
BgL_arg1782z00_3795 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1314 */
 int BgL_offsetz00_3798;
BgL_offsetz00_3798 = 
(int)(BgL_objzd2classzd2numz00_3794); 
{ /* Llib/ssl.scm 1314 */
 long BgL_offsetz00_3799;
BgL_offsetz00_3799 = 
(
(long)(BgL_offsetz00_3798)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1314 */
 long BgL_modz00_3800;
BgL_modz00_3800 = 
(BgL_offsetz00_3799 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1314 */
 long BgL_restz00_3802;
BgL_restz00_3802 = 
(BgL_offsetz00_3799 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1314 */

{ /* Llib/ssl.scm 1314 */
 obj_t BgL_bucketz00_3804;
BgL_bucketz00_3804 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3795),BgL_modz00_3800); 
BgL_res2595z00_3823 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3804),BgL_restz00_3802); } } } } } } } } 
BgL_method1345z00_1766 = BgL_res2595z00_3823; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1345z00_1766))(BgL_method1345z00_1766, 
((obj_t)BgL_sslzd2verifyzd2_147), BgL_dataz00_148, 
BINT(BgL_offsetz00_149), 
BINT(BgL_lenz00_150), BEOA);} } 

}



/* &ssl-verify-update! */
obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4973, obj_t BgL_sslzd2verifyzd2_4974, obj_t BgL_dataz00_4975, obj_t BgL_offsetz00_4976, obj_t BgL_lenz00_4977)
{
{ /* Llib/ssl.scm 1314 */
{ /* Llib/ssl.scm 1314 */
 long BgL_auxz00_13797; long BgL_auxz00_13788; obj_t BgL_auxz00_13781; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13754;
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_tmpz00_13798;
if(
INTEGERP(BgL_lenz00_4977))
{ /* Llib/ssl.scm 1314 */
BgL_tmpz00_13798 = BgL_lenz00_4977
; }  else 
{ 
 obj_t BgL_auxz00_13801;
BgL_auxz00_13801 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53079L), BGl_string3321z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4977); 
FAILURE(BgL_auxz00_13801,BFALSE,BFALSE);} 
BgL_auxz00_13797 = 
(long)CINT(BgL_tmpz00_13798); } 
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_tmpz00_13789;
if(
INTEGERP(BgL_offsetz00_4976))
{ /* Llib/ssl.scm 1314 */
BgL_tmpz00_13789 = BgL_offsetz00_4976
; }  else 
{ 
 obj_t BgL_auxz00_13792;
BgL_auxz00_13792 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53079L), BGl_string3321z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4976); 
FAILURE(BgL_auxz00_13792,BFALSE,BFALSE);} 
BgL_auxz00_13788 = 
(long)CINT(BgL_tmpz00_13789); } 
if(
STRINGP(BgL_dataz00_4975))
{ /* Llib/ssl.scm 1314 */
BgL_auxz00_13781 = BgL_dataz00_4975
; }  else 
{ 
 obj_t BgL_auxz00_13784;
BgL_auxz00_13784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53079L), BGl_string3321z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_dataz00_4975); 
FAILURE(BgL_auxz00_13784,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1314 */
 bool_t BgL_test4338z00_13755;
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_classz00_7625;
BgL_classz00_7625 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4974))
{ /* Llib/ssl.scm 1314 */
 BgL_objectz00_bglt BgL_arg1780z00_7627; long BgL_arg1781z00_7628;
BgL_arg1780z00_7627 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4974); 
BgL_arg1781z00_7628 = 
BGL_CLASS_DEPTH(BgL_classz00_7625); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1314 */
 long BgL_idxz00_7636;
BgL_idxz00_7636 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7627); 
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_arg1773z00_7637;
{ /* Llib/ssl.scm 1314 */
 long BgL_arg1774z00_7638;
BgL_arg1774z00_7638 = 
(BgL_idxz00_7636+BgL_arg1781z00_7628); 
BgL_arg1773z00_7637 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7638); } 
BgL_test4338z00_13755 = 
(BgL_arg1773z00_7637==BgL_classz00_7625); } }  else 
{ /* Llib/ssl.scm 1314 */
 bool_t BgL_res3379z00_7661;
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_oclassz00_7646;
{ /* Llib/ssl.scm 1314 */
 long BgL_arg1785z00_7652;
{ /* Llib/ssl.scm 1314 */
 long BgL_arg1786z00_7653;
BgL_arg1786z00_7653 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7627); 
BgL_arg1785z00_7652 = 
(BgL_arg1786z00_7653-OBJECT_TYPE); } 
BgL_oclassz00_7646 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7652); } 
{ /* Llib/ssl.scm 1314 */
 bool_t BgL__ortest_1114z00_7647;
BgL__ortest_1114z00_7647 = 
(BgL_classz00_7625==BgL_oclassz00_7646); 
if(BgL__ortest_1114z00_7647)
{ /* Llib/ssl.scm 1314 */
BgL_res3379z00_7661 = BgL__ortest_1114z00_7647; }  else 
{ /* Llib/ssl.scm 1314 */
 long BgL_odepthz00_7648;
BgL_odepthz00_7648 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7646); 
if(
(BgL_arg1781z00_7628<BgL_odepthz00_7648))
{ /* Llib/ssl.scm 1314 */
 obj_t BgL_arg1775z00_7650;
BgL_arg1775z00_7650 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7646, BgL_arg1781z00_7628); 
BgL_res3379z00_7661 = 
(BgL_arg1775z00_7650==BgL_classz00_7625); }  else 
{ /* Llib/ssl.scm 1314 */
BgL_res3379z00_7661 = ((bool_t)0); } } } } 
BgL_test4338z00_13755 = BgL_res3379z00_7661; } }  else 
{ /* Llib/ssl.scm 1314 */
BgL_test4338z00_13755 = ((bool_t)0)
; } } 
if(BgL_test4338z00_13755)
{ /* Llib/ssl.scm 1314 */
BgL_auxz00_13754 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4974)
; }  else 
{ 
 obj_t BgL_auxz00_13777;
BgL_auxz00_13777 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53079L), BGl_string3321z00zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4974); 
FAILURE(BgL_auxz00_13777,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13754, BgL_auxz00_13781, BgL_auxz00_13788, BgL_auxz00_13797);} } 

}



/* ssl-verify-final */
BGL_EXPORTED_DEF bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_151, obj_t BgL_keyz00_152, long BgL_koffsetz00_153, long BgL_klenz00_154, obj_t BgL_sigz00_155, long BgL_soffsetz00_156, long BgL_slenz00_157)
{
{ /* Llib/ssl.scm 1326 */
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_method1347z00_1767;
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_res2600z00_3854;
{ /* Llib/ssl.scm 1326 */
 long BgL_objzd2classzd2numz00_3825;
BgL_objzd2classzd2numz00_3825 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_151)); 
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_arg1782z00_3826;
BgL_arg1782z00_3826 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1326 */
 int BgL_offsetz00_3829;
BgL_offsetz00_3829 = 
(int)(BgL_objzd2classzd2numz00_3825); 
{ /* Llib/ssl.scm 1326 */
 long BgL_offsetz00_3830;
BgL_offsetz00_3830 = 
(
(long)(BgL_offsetz00_3829)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1326 */
 long BgL_modz00_3831;
BgL_modz00_3831 = 
(BgL_offsetz00_3830 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1326 */
 long BgL_restz00_3833;
BgL_restz00_3833 = 
(BgL_offsetz00_3830 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1326 */

{ /* Llib/ssl.scm 1326 */
 obj_t BgL_bucketz00_3835;
BgL_bucketz00_3835 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3826),BgL_modz00_3831); 
BgL_res2600z00_3854 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3835),BgL_restz00_3833); } } } } } } } } 
BgL_method1347z00_1767 = BgL_res2600z00_3854; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1347z00_1767))(BgL_method1347z00_1767, 
((obj_t)BgL_sslzd2verifyzd2_151), BgL_keyz00_152, 
BINT(BgL_koffsetz00_153), 
BINT(BgL_klenz00_154), BgL_sigz00_155, 
BINT(BgL_soffsetz00_156), 
BINT(BgL_slenz00_157), BEOA));} } 

}



/* &ssl-verify-final */
obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4978, obj_t BgL_sslzd2verifyzd2_4979, obj_t BgL_keyz00_4980, obj_t BgL_koffsetz00_4981, obj_t BgL_klenz00_4982, obj_t BgL_sigz00_4983, obj_t BgL_soffsetz00_4984, obj_t BgL_slenz00_4985)
{
{ /* Llib/ssl.scm 1326 */
{ /* Llib/ssl.scm 1326 */
 bool_t BgL_tmpz00_13848;
{ /* Llib/ssl.scm 1326 */
 long BgL_auxz00_13917; long BgL_auxz00_13908; obj_t BgL_auxz00_13901; long BgL_auxz00_13892; long BgL_auxz00_13883; obj_t BgL_auxz00_13876; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13849;
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_tmpz00_13918;
if(
INTEGERP(BgL_slenz00_4985))
{ /* Llib/ssl.scm 1326 */
BgL_tmpz00_13918 = BgL_slenz00_4985
; }  else 
{ 
 obj_t BgL_auxz00_13921;
BgL_auxz00_13921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_slenz00_4985); 
FAILURE(BgL_auxz00_13921,BFALSE,BFALSE);} 
BgL_auxz00_13917 = 
(long)CINT(BgL_tmpz00_13918); } 
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_tmpz00_13909;
if(
INTEGERP(BgL_soffsetz00_4984))
{ /* Llib/ssl.scm 1326 */
BgL_tmpz00_13909 = BgL_soffsetz00_4984
; }  else 
{ 
 obj_t BgL_auxz00_13912;
BgL_auxz00_13912 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_soffsetz00_4984); 
FAILURE(BgL_auxz00_13912,BFALSE,BFALSE);} 
BgL_auxz00_13908 = 
(long)CINT(BgL_tmpz00_13909); } 
if(
STRINGP(BgL_sigz00_4983))
{ /* Llib/ssl.scm 1326 */
BgL_auxz00_13901 = BgL_sigz00_4983
; }  else 
{ 
 obj_t BgL_auxz00_13904;
BgL_auxz00_13904 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_sigz00_4983); 
FAILURE(BgL_auxz00_13904,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_tmpz00_13893;
if(
INTEGERP(BgL_klenz00_4982))
{ /* Llib/ssl.scm 1326 */
BgL_tmpz00_13893 = BgL_klenz00_4982
; }  else 
{ 
 obj_t BgL_auxz00_13896;
BgL_auxz00_13896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_klenz00_4982); 
FAILURE(BgL_auxz00_13896,BFALSE,BFALSE);} 
BgL_auxz00_13892 = 
(long)CINT(BgL_tmpz00_13893); } 
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_tmpz00_13884;
if(
INTEGERP(BgL_koffsetz00_4981))
{ /* Llib/ssl.scm 1326 */
BgL_tmpz00_13884 = BgL_koffsetz00_4981
; }  else 
{ 
 obj_t BgL_auxz00_13887;
BgL_auxz00_13887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_koffsetz00_4981); 
FAILURE(BgL_auxz00_13887,BFALSE,BFALSE);} 
BgL_auxz00_13883 = 
(long)CINT(BgL_tmpz00_13884); } 
if(
STRINGP(BgL_keyz00_4980))
{ /* Llib/ssl.scm 1326 */
BgL_auxz00_13876 = BgL_keyz00_4980
; }  else 
{ 
 obj_t BgL_auxz00_13879;
BgL_auxz00_13879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_keyz00_4980); 
FAILURE(BgL_auxz00_13879,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1326 */
 bool_t BgL_test4346z00_13850;
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_classz00_7662;
BgL_classz00_7662 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4979))
{ /* Llib/ssl.scm 1326 */
 BgL_objectz00_bglt BgL_arg1780z00_7664; long BgL_arg1781z00_7665;
BgL_arg1780z00_7664 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4979); 
BgL_arg1781z00_7665 = 
BGL_CLASS_DEPTH(BgL_classz00_7662); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1326 */
 long BgL_idxz00_7673;
BgL_idxz00_7673 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7664); 
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_arg1773z00_7674;
{ /* Llib/ssl.scm 1326 */
 long BgL_arg1774z00_7675;
BgL_arg1774z00_7675 = 
(BgL_idxz00_7673+BgL_arg1781z00_7665); 
BgL_arg1773z00_7674 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7675); } 
BgL_test4346z00_13850 = 
(BgL_arg1773z00_7674==BgL_classz00_7662); } }  else 
{ /* Llib/ssl.scm 1326 */
 bool_t BgL_res3380z00_7698;
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_oclassz00_7683;
{ /* Llib/ssl.scm 1326 */
 long BgL_arg1785z00_7689;
{ /* Llib/ssl.scm 1326 */
 long BgL_arg1786z00_7690;
BgL_arg1786z00_7690 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7664); 
BgL_arg1785z00_7689 = 
(BgL_arg1786z00_7690-OBJECT_TYPE); } 
BgL_oclassz00_7683 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7689); } 
{ /* Llib/ssl.scm 1326 */
 bool_t BgL__ortest_1114z00_7684;
BgL__ortest_1114z00_7684 = 
(BgL_classz00_7662==BgL_oclassz00_7683); 
if(BgL__ortest_1114z00_7684)
{ /* Llib/ssl.scm 1326 */
BgL_res3380z00_7698 = BgL__ortest_1114z00_7684; }  else 
{ /* Llib/ssl.scm 1326 */
 long BgL_odepthz00_7685;
BgL_odepthz00_7685 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7683); 
if(
(BgL_arg1781z00_7665<BgL_odepthz00_7685))
{ /* Llib/ssl.scm 1326 */
 obj_t BgL_arg1775z00_7687;
BgL_arg1775z00_7687 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7683, BgL_arg1781z00_7665); 
BgL_res3380z00_7698 = 
(BgL_arg1775z00_7687==BgL_classz00_7662); }  else 
{ /* Llib/ssl.scm 1326 */
BgL_res3380z00_7698 = ((bool_t)0); } } } } 
BgL_test4346z00_13850 = BgL_res3380z00_7698; } }  else 
{ /* Llib/ssl.scm 1326 */
BgL_test4346z00_13850 = ((bool_t)0)
; } } 
if(BgL_test4346z00_13850)
{ /* Llib/ssl.scm 1326 */
BgL_auxz00_13849 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4979)
; }  else 
{ 
 obj_t BgL_auxz00_13872;
BgL_auxz00_13872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(53591L), BGl_string3322z00zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4979); 
FAILURE(BgL_auxz00_13872,BFALSE,BFALSE);} } 
BgL_tmpz00_13848 = 
BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_auxz00_13849, BgL_auxz00_13876, BgL_auxz00_13883, BgL_auxz00_13892, BgL_auxz00_13901, BgL_auxz00_13908, BgL_auxz00_13917); } 
return 
BBOOL(BgL_tmpz00_13848);} } 

}



/* ssl-cipher-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_158, obj_t BgL_cipherz00_159, obj_t BgL_keyz00_160, long BgL_offsetz00_161, long BgL_lenz00_162, bool_t BgL_encz00_163)
{
{ /* Llib/ssl.scm 1340 */
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_method1349z00_1768;
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_res2605z00_3885;
{ /* Llib/ssl.scm 1340 */
 long BgL_objzd2classzd2numz00_3856;
BgL_objzd2classzd2numz00_3856 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_158)); 
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_arg1782z00_3857;
BgL_arg1782z00_3857 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1340 */
 int BgL_offsetz00_3860;
BgL_offsetz00_3860 = 
(int)(BgL_objzd2classzd2numz00_3856); 
{ /* Llib/ssl.scm 1340 */
 long BgL_offsetz00_3861;
BgL_offsetz00_3861 = 
(
(long)(BgL_offsetz00_3860)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1340 */
 long BgL_modz00_3862;
BgL_modz00_3862 = 
(BgL_offsetz00_3861 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1340 */
 long BgL_restz00_3864;
BgL_restz00_3864 = 
(BgL_offsetz00_3861 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1340 */

{ /* Llib/ssl.scm 1340 */
 obj_t BgL_bucketz00_3866;
BgL_bucketz00_3866 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3857),BgL_modz00_3862); 
BgL_res2605z00_3885 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3866),BgL_restz00_3864); } } } } } } } } 
BgL_method1349z00_1768 = BgL_res2605z00_3885; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1349z00_1768))(BgL_method1349z00_1768, 
((obj_t)BgL_sslzd2cipherzd2_158), BgL_cipherz00_159, BgL_keyz00_160, 
BINT(BgL_offsetz00_161), 
BINT(BgL_lenz00_162), 
BBOOL(BgL_encz00_163), BEOA);} } 

}



/* &ssl-cipher-init */
obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4986, obj_t BgL_sslzd2cipherzd2_4987, obj_t BgL_cipherz00_4988, obj_t BgL_keyz00_4989, obj_t BgL_offsetz00_4990, obj_t BgL_lenz00_4991, obj_t BgL_encz00_4992)
{
{ /* Llib/ssl.scm 1340 */
{ /* Llib/ssl.scm 1340 */
 long BgL_auxz00_14016; long BgL_auxz00_14007; obj_t BgL_auxz00_14000; obj_t BgL_auxz00_13993; BgL_sslzd2cipherzd2_bglt BgL_auxz00_13966;
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_tmpz00_14017;
if(
INTEGERP(BgL_lenz00_4991))
{ /* Llib/ssl.scm 1340 */
BgL_tmpz00_14017 = BgL_lenz00_4991
; }  else 
{ 
 obj_t BgL_auxz00_14020;
BgL_auxz00_14020 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54074L), BGl_string3323z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4991); 
FAILURE(BgL_auxz00_14020,BFALSE,BFALSE);} 
BgL_auxz00_14016 = 
(long)CINT(BgL_tmpz00_14017); } 
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_tmpz00_14008;
if(
INTEGERP(BgL_offsetz00_4990))
{ /* Llib/ssl.scm 1340 */
BgL_tmpz00_14008 = BgL_offsetz00_4990
; }  else 
{ 
 obj_t BgL_auxz00_14011;
BgL_auxz00_14011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54074L), BGl_string3323z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4990); 
FAILURE(BgL_auxz00_14011,BFALSE,BFALSE);} 
BgL_auxz00_14007 = 
(long)CINT(BgL_tmpz00_14008); } 
if(
STRINGP(BgL_keyz00_4989))
{ /* Llib/ssl.scm 1340 */
BgL_auxz00_14000 = BgL_keyz00_4989
; }  else 
{ 
 obj_t BgL_auxz00_14003;
BgL_auxz00_14003 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54074L), BGl_string3323z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_keyz00_4989); 
FAILURE(BgL_auxz00_14003,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4988))
{ /* Llib/ssl.scm 1340 */
BgL_auxz00_13993 = BgL_cipherz00_4988
; }  else 
{ 
 obj_t BgL_auxz00_13996;
BgL_auxz00_13996 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54074L), BGl_string3323z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_cipherz00_4988); 
FAILURE(BgL_auxz00_13996,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1340 */
 bool_t BgL_test4357z00_13967;
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_classz00_7699;
BgL_classz00_7699 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4987))
{ /* Llib/ssl.scm 1340 */
 BgL_objectz00_bglt BgL_arg1780z00_7701; long BgL_arg1781z00_7702;
BgL_arg1780z00_7701 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4987); 
BgL_arg1781z00_7702 = 
BGL_CLASS_DEPTH(BgL_classz00_7699); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1340 */
 long BgL_idxz00_7710;
BgL_idxz00_7710 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7701); 
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_arg1773z00_7711;
{ /* Llib/ssl.scm 1340 */
 long BgL_arg1774z00_7712;
BgL_arg1774z00_7712 = 
(BgL_idxz00_7710+BgL_arg1781z00_7702); 
BgL_arg1773z00_7711 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7712); } 
BgL_test4357z00_13967 = 
(BgL_arg1773z00_7711==BgL_classz00_7699); } }  else 
{ /* Llib/ssl.scm 1340 */
 bool_t BgL_res3381z00_7735;
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_oclassz00_7720;
{ /* Llib/ssl.scm 1340 */
 long BgL_arg1785z00_7726;
{ /* Llib/ssl.scm 1340 */
 long BgL_arg1786z00_7727;
BgL_arg1786z00_7727 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7701); 
BgL_arg1785z00_7726 = 
(BgL_arg1786z00_7727-OBJECT_TYPE); } 
BgL_oclassz00_7720 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7726); } 
{ /* Llib/ssl.scm 1340 */
 bool_t BgL__ortest_1114z00_7721;
BgL__ortest_1114z00_7721 = 
(BgL_classz00_7699==BgL_oclassz00_7720); 
if(BgL__ortest_1114z00_7721)
{ /* Llib/ssl.scm 1340 */
BgL_res3381z00_7735 = BgL__ortest_1114z00_7721; }  else 
{ /* Llib/ssl.scm 1340 */
 long BgL_odepthz00_7722;
BgL_odepthz00_7722 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7720); 
if(
(BgL_arg1781z00_7702<BgL_odepthz00_7722))
{ /* Llib/ssl.scm 1340 */
 obj_t BgL_arg1775z00_7724;
BgL_arg1775z00_7724 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7720, BgL_arg1781z00_7702); 
BgL_res3381z00_7735 = 
(BgL_arg1775z00_7724==BgL_classz00_7699); }  else 
{ /* Llib/ssl.scm 1340 */
BgL_res3381z00_7735 = ((bool_t)0); } } } } 
BgL_test4357z00_13967 = BgL_res3381z00_7735; } }  else 
{ /* Llib/ssl.scm 1340 */
BgL_test4357z00_13967 = ((bool_t)0)
; } } 
if(BgL_test4357z00_13967)
{ /* Llib/ssl.scm 1340 */
BgL_auxz00_13966 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4987)
; }  else 
{ 
 obj_t BgL_auxz00_13989;
BgL_auxz00_13989 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54074L), BGl_string3323z00zz__ssl_sslz00, BGl_string3324z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4987); 
FAILURE(BgL_auxz00_13989,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_auxz00_13966, BgL_auxz00_13993, BgL_auxz00_14000, BgL_auxz00_14007, BgL_auxz00_14016, 
CBOOL(BgL_encz00_4992));} } 

}



/* ssl-cipher-initiv */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_164, obj_t BgL_cipherz00_165, obj_t BgL_keyz00_166, long BgL_offsetz00_167, long BgL_lenz00_168, obj_t BgL_ivz00_169, long BgL_ivoffsetz00_170, long BgL_ivlenz00_171, bool_t BgL_encz00_172)
{
{ /* Llib/ssl.scm 1354 */
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_method1351z00_1769;
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_res2610z00_3916;
{ /* Llib/ssl.scm 1354 */
 long BgL_objzd2classzd2numz00_3887;
BgL_objzd2classzd2numz00_3887 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_164)); 
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_arg1782z00_3888;
BgL_arg1782z00_3888 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1354 */
 int BgL_offsetz00_3891;
BgL_offsetz00_3891 = 
(int)(BgL_objzd2classzd2numz00_3887); 
{ /* Llib/ssl.scm 1354 */
 long BgL_offsetz00_3892;
BgL_offsetz00_3892 = 
(
(long)(BgL_offsetz00_3891)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1354 */
 long BgL_modz00_3893;
BgL_modz00_3893 = 
(BgL_offsetz00_3892 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1354 */
 long BgL_restz00_3895;
BgL_restz00_3895 = 
(BgL_offsetz00_3892 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1354 */

{ /* Llib/ssl.scm 1354 */
 obj_t BgL_bucketz00_3897;
BgL_bucketz00_3897 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3888),BgL_modz00_3893); 
BgL_res2610z00_3916 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3897),BgL_restz00_3895); } } } } } } } } 
BgL_method1351z00_1769 = BgL_res2610z00_3916; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1351z00_1769))(BgL_method1351z00_1769, 
((obj_t)BgL_sslzd2cipherzd2_164), BgL_cipherz00_165, BgL_keyz00_166, 
BINT(BgL_offsetz00_167), 
BINT(BgL_lenz00_168), BgL_ivz00_169, 
BINT(BgL_ivoffsetz00_170), 
BINT(BgL_ivlenz00_171), 
BBOOL(BgL_encz00_172), BEOA);} } 

}



/* &ssl-cipher-initiv */
obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t BgL_envz00_4993, obj_t BgL_sslzd2cipherzd2_4994, obj_t BgL_cipherz00_4995, obj_t BgL_keyz00_4996, obj_t BgL_offsetz00_4997, obj_t BgL_lenz00_4998, obj_t BgL_ivz00_4999, obj_t BgL_ivoffsetz00_5000, obj_t BgL_ivlenz00_5001, obj_t BgL_encz00_5002)
{
{ /* Llib/ssl.scm 1354 */
{ /* Llib/ssl.scm 1354 */
 long BgL_auxz00_14145; long BgL_auxz00_14136; obj_t BgL_auxz00_14129; long BgL_auxz00_14120; long BgL_auxz00_14111; obj_t BgL_auxz00_14104; obj_t BgL_auxz00_14097; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14070;
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_tmpz00_14146;
if(
INTEGERP(BgL_ivlenz00_5001))
{ /* Llib/ssl.scm 1354 */
BgL_tmpz00_14146 = BgL_ivlenz00_5001
; }  else 
{ 
 obj_t BgL_auxz00_14149;
BgL_auxz00_14149 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_ivlenz00_5001); 
FAILURE(BgL_auxz00_14149,BFALSE,BFALSE);} 
BgL_auxz00_14145 = 
(long)CINT(BgL_tmpz00_14146); } 
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_tmpz00_14137;
if(
INTEGERP(BgL_ivoffsetz00_5000))
{ /* Llib/ssl.scm 1354 */
BgL_tmpz00_14137 = BgL_ivoffsetz00_5000
; }  else 
{ 
 obj_t BgL_auxz00_14140;
BgL_auxz00_14140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_ivoffsetz00_5000); 
FAILURE(BgL_auxz00_14140,BFALSE,BFALSE);} 
BgL_auxz00_14136 = 
(long)CINT(BgL_tmpz00_14137); } 
if(
STRINGP(BgL_ivz00_4999))
{ /* Llib/ssl.scm 1354 */
BgL_auxz00_14129 = BgL_ivz00_4999
; }  else 
{ 
 obj_t BgL_auxz00_14132;
BgL_auxz00_14132 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_ivz00_4999); 
FAILURE(BgL_auxz00_14132,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_tmpz00_14121;
if(
INTEGERP(BgL_lenz00_4998))
{ /* Llib/ssl.scm 1354 */
BgL_tmpz00_14121 = BgL_lenz00_4998
; }  else 
{ 
 obj_t BgL_auxz00_14124;
BgL_auxz00_14124 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_4998); 
FAILURE(BgL_auxz00_14124,BFALSE,BFALSE);} 
BgL_auxz00_14120 = 
(long)CINT(BgL_tmpz00_14121); } 
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_tmpz00_14112;
if(
INTEGERP(BgL_offsetz00_4997))
{ /* Llib/ssl.scm 1354 */
BgL_tmpz00_14112 = BgL_offsetz00_4997
; }  else 
{ 
 obj_t BgL_auxz00_14115;
BgL_auxz00_14115 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_4997); 
FAILURE(BgL_auxz00_14115,BFALSE,BFALSE);} 
BgL_auxz00_14111 = 
(long)CINT(BgL_tmpz00_14112); } 
if(
STRINGP(BgL_keyz00_4996))
{ /* Llib/ssl.scm 1354 */
BgL_auxz00_14104 = BgL_keyz00_4996
; }  else 
{ 
 obj_t BgL_auxz00_14107;
BgL_auxz00_14107 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_keyz00_4996); 
FAILURE(BgL_auxz00_14107,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4995))
{ /* Llib/ssl.scm 1354 */
BgL_auxz00_14097 = BgL_cipherz00_4995
; }  else 
{ 
 obj_t BgL_auxz00_14100;
BgL_auxz00_14100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_cipherz00_4995); 
FAILURE(BgL_auxz00_14100,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1354 */
 bool_t BgL_test4366z00_14071;
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_classz00_7736;
BgL_classz00_7736 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4994))
{ /* Llib/ssl.scm 1354 */
 BgL_objectz00_bglt BgL_arg1780z00_7738; long BgL_arg1781z00_7739;
BgL_arg1780z00_7738 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4994); 
BgL_arg1781z00_7739 = 
BGL_CLASS_DEPTH(BgL_classz00_7736); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1354 */
 long BgL_idxz00_7747;
BgL_idxz00_7747 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7738); 
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_arg1773z00_7748;
{ /* Llib/ssl.scm 1354 */
 long BgL_arg1774z00_7749;
BgL_arg1774z00_7749 = 
(BgL_idxz00_7747+BgL_arg1781z00_7739); 
BgL_arg1773z00_7748 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7749); } 
BgL_test4366z00_14071 = 
(BgL_arg1773z00_7748==BgL_classz00_7736); } }  else 
{ /* Llib/ssl.scm 1354 */
 bool_t BgL_res3382z00_7772;
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_oclassz00_7757;
{ /* Llib/ssl.scm 1354 */
 long BgL_arg1785z00_7763;
{ /* Llib/ssl.scm 1354 */
 long BgL_arg1786z00_7764;
BgL_arg1786z00_7764 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7738); 
BgL_arg1785z00_7763 = 
(BgL_arg1786z00_7764-OBJECT_TYPE); } 
BgL_oclassz00_7757 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7763); } 
{ /* Llib/ssl.scm 1354 */
 bool_t BgL__ortest_1114z00_7758;
BgL__ortest_1114z00_7758 = 
(BgL_classz00_7736==BgL_oclassz00_7757); 
if(BgL__ortest_1114z00_7758)
{ /* Llib/ssl.scm 1354 */
BgL_res3382z00_7772 = BgL__ortest_1114z00_7758; }  else 
{ /* Llib/ssl.scm 1354 */
 long BgL_odepthz00_7759;
BgL_odepthz00_7759 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7757); 
if(
(BgL_arg1781z00_7739<BgL_odepthz00_7759))
{ /* Llib/ssl.scm 1354 */
 obj_t BgL_arg1775z00_7761;
BgL_arg1775z00_7761 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7757, BgL_arg1781z00_7739); 
BgL_res3382z00_7772 = 
(BgL_arg1775z00_7761==BgL_classz00_7736); }  else 
{ /* Llib/ssl.scm 1354 */
BgL_res3382z00_7772 = ((bool_t)0); } } } } 
BgL_test4366z00_14071 = BgL_res3382z00_7772; } }  else 
{ /* Llib/ssl.scm 1354 */
BgL_test4366z00_14071 = ((bool_t)0)
; } } 
if(BgL_test4366z00_14071)
{ /* Llib/ssl.scm 1354 */
BgL_auxz00_14070 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4994)
; }  else 
{ 
 obj_t BgL_auxz00_14093;
BgL_auxz00_14093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(54598L), BGl_string3325z00zz__ssl_sslz00, BGl_string3324z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4994); 
FAILURE(BgL_auxz00_14093,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_auxz00_14070, BgL_auxz00_14097, BgL_auxz00_14104, BgL_auxz00_14111, BgL_auxz00_14120, BgL_auxz00_14129, BgL_auxz00_14136, BgL_auxz00_14145, 
CBOOL(BgL_encz00_5002));} } 

}



/* ssl-cipher-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_173, obj_t BgL_dataz00_174, long BgL_offsetz00_175, long BgL_lenz00_176)
{
{ /* Llib/ssl.scm 1371 */
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_method1353z00_1770;
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_res2615z00_3947;
{ /* Llib/ssl.scm 1371 */
 long BgL_objzd2classzd2numz00_3918;
BgL_objzd2classzd2numz00_3918 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_173)); 
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_arg1782z00_3919;
BgL_arg1782z00_3919 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1371 */
 int BgL_offsetz00_3922;
BgL_offsetz00_3922 = 
(int)(BgL_objzd2classzd2numz00_3918); 
{ /* Llib/ssl.scm 1371 */
 long BgL_offsetz00_3923;
BgL_offsetz00_3923 = 
(
(long)(BgL_offsetz00_3922)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1371 */
 long BgL_modz00_3924;
BgL_modz00_3924 = 
(BgL_offsetz00_3923 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1371 */
 long BgL_restz00_3926;
BgL_restz00_3926 = 
(BgL_offsetz00_3923 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1371 */

{ /* Llib/ssl.scm 1371 */
 obj_t BgL_bucketz00_3928;
BgL_bucketz00_3928 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3919),BgL_modz00_3924); 
BgL_res2615z00_3947 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3928),BgL_restz00_3926); } } } } } } } } 
BgL_method1353z00_1770 = BgL_res2615z00_3947; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1353z00_1770))(BgL_method1353z00_1770, 
((obj_t)BgL_sslzd2cipherzd2_173), BgL_dataz00_174, 
BINT(BgL_offsetz00_175), 
BINT(BgL_lenz00_176), BEOA);} } 

}



/* &ssl-cipher-update! */
obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_5003, obj_t BgL_sslzd2cipherzd2_5004, obj_t BgL_dataz00_5005, obj_t BgL_offsetz00_5006, obj_t BgL_lenz00_5007)
{
{ /* Llib/ssl.scm 1371 */
{ /* Llib/ssl.scm 1371 */
 long BgL_auxz00_14234; long BgL_auxz00_14225; obj_t BgL_auxz00_14218; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14191;
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_tmpz00_14235;
if(
INTEGERP(BgL_lenz00_5007))
{ /* Llib/ssl.scm 1371 */
BgL_tmpz00_14235 = BgL_lenz00_5007
; }  else 
{ 
 obj_t BgL_auxz00_14238;
BgL_auxz00_14238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(55167L), BGl_string3326z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_lenz00_5007); 
FAILURE(BgL_auxz00_14238,BFALSE,BFALSE);} 
BgL_auxz00_14234 = 
(long)CINT(BgL_tmpz00_14235); } 
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_tmpz00_14226;
if(
INTEGERP(BgL_offsetz00_5006))
{ /* Llib/ssl.scm 1371 */
BgL_tmpz00_14226 = BgL_offsetz00_5006
; }  else 
{ 
 obj_t BgL_auxz00_14229;
BgL_auxz00_14229 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(55167L), BGl_string3326z00zz__ssl_sslz00, BGl_string2945z00zz__ssl_sslz00, BgL_offsetz00_5006); 
FAILURE(BgL_auxz00_14229,BFALSE,BFALSE);} 
BgL_auxz00_14225 = 
(long)CINT(BgL_tmpz00_14226); } 
if(
STRINGP(BgL_dataz00_5005))
{ /* Llib/ssl.scm 1371 */
BgL_auxz00_14218 = BgL_dataz00_5005
; }  else 
{ 
 obj_t BgL_auxz00_14221;
BgL_auxz00_14221 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(55167L), BGl_string3326z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_dataz00_5005); 
FAILURE(BgL_auxz00_14221,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1371 */
 bool_t BgL_test4378z00_14192;
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_classz00_7773;
BgL_classz00_7773 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5004))
{ /* Llib/ssl.scm 1371 */
 BgL_objectz00_bglt BgL_arg1780z00_7775; long BgL_arg1781z00_7776;
BgL_arg1780z00_7775 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5004); 
BgL_arg1781z00_7776 = 
BGL_CLASS_DEPTH(BgL_classz00_7773); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1371 */
 long BgL_idxz00_7784;
BgL_idxz00_7784 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7775); 
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_arg1773z00_7785;
{ /* Llib/ssl.scm 1371 */
 long BgL_arg1774z00_7786;
BgL_arg1774z00_7786 = 
(BgL_idxz00_7784+BgL_arg1781z00_7776); 
BgL_arg1773z00_7785 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7786); } 
BgL_test4378z00_14192 = 
(BgL_arg1773z00_7785==BgL_classz00_7773); } }  else 
{ /* Llib/ssl.scm 1371 */
 bool_t BgL_res3383z00_7809;
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_oclassz00_7794;
{ /* Llib/ssl.scm 1371 */
 long BgL_arg1785z00_7800;
{ /* Llib/ssl.scm 1371 */
 long BgL_arg1786z00_7801;
BgL_arg1786z00_7801 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7775); 
BgL_arg1785z00_7800 = 
(BgL_arg1786z00_7801-OBJECT_TYPE); } 
BgL_oclassz00_7794 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7800); } 
{ /* Llib/ssl.scm 1371 */
 bool_t BgL__ortest_1114z00_7795;
BgL__ortest_1114z00_7795 = 
(BgL_classz00_7773==BgL_oclassz00_7794); 
if(BgL__ortest_1114z00_7795)
{ /* Llib/ssl.scm 1371 */
BgL_res3383z00_7809 = BgL__ortest_1114z00_7795; }  else 
{ /* Llib/ssl.scm 1371 */
 long BgL_odepthz00_7796;
BgL_odepthz00_7796 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7794); 
if(
(BgL_arg1781z00_7776<BgL_odepthz00_7796))
{ /* Llib/ssl.scm 1371 */
 obj_t BgL_arg1775z00_7798;
BgL_arg1775z00_7798 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7794, BgL_arg1781z00_7776); 
BgL_res3383z00_7809 = 
(BgL_arg1775z00_7798==BgL_classz00_7773); }  else 
{ /* Llib/ssl.scm 1371 */
BgL_res3383z00_7809 = ((bool_t)0); } } } } 
BgL_test4378z00_14192 = BgL_res3383z00_7809; } }  else 
{ /* Llib/ssl.scm 1371 */
BgL_test4378z00_14192 = ((bool_t)0)
; } } 
if(BgL_test4378z00_14192)
{ /* Llib/ssl.scm 1371 */
BgL_auxz00_14191 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5004)
; }  else 
{ 
 obj_t BgL_auxz00_14214;
BgL_auxz00_14214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(55167L), BGl_string3326z00zz__ssl_sslz00, BGl_string3324z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5004); 
FAILURE(BgL_auxz00_14214,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14191, BgL_auxz00_14218, BgL_auxz00_14225, BgL_auxz00_14234);} } 

}



/* ssl-cipher-set-auto-padding */
BGL_EXPORTED_DEF bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_177, bool_t BgL_autozd2paddingzd2_178)
{
{ /* Llib/ssl.scm 1382 */
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_method1355z00_1771;
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_res2620z00_3978;
{ /* Llib/ssl.scm 1382 */
 long BgL_objzd2classzd2numz00_3949;
BgL_objzd2classzd2numz00_3949 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_177)); 
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_arg1782z00_3950;
BgL_arg1782z00_3950 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1382 */
 int BgL_offsetz00_3953;
BgL_offsetz00_3953 = 
(int)(BgL_objzd2classzd2numz00_3949); 
{ /* Llib/ssl.scm 1382 */
 long BgL_offsetz00_3954;
BgL_offsetz00_3954 = 
(
(long)(BgL_offsetz00_3953)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1382 */
 long BgL_modz00_3955;
BgL_modz00_3955 = 
(BgL_offsetz00_3954 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1382 */
 long BgL_restz00_3957;
BgL_restz00_3957 = 
(BgL_offsetz00_3954 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1382 */

{ /* Llib/ssl.scm 1382 */
 obj_t BgL_bucketz00_3959;
BgL_bucketz00_3959 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3950),BgL_modz00_3955); 
BgL_res2620z00_3978 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3959),BgL_restz00_3957); } } } } } } } } 
BgL_method1355z00_1771 = BgL_res2620z00_3978; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1355z00_1771))(BgL_method1355z00_1771, 
((obj_t)BgL_sslzd2cipherzd2_177), 
BBOOL(BgL_autozd2paddingzd2_178), BEOA));} } 

}



/* &ssl-cipher-set-auto-padding */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t BgL_envz00_5008, obj_t BgL_sslzd2cipherzd2_5009, obj_t BgL_autozd2paddingzd2_5010)
{
{ /* Llib/ssl.scm 1382 */
{ /* Llib/ssl.scm 1382 */
 bool_t BgL_tmpz00_14277;
{ /* Llib/ssl.scm 1382 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_14278;
{ /* Llib/ssl.scm 1382 */
 bool_t BgL_test4386z00_14279;
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_classz00_7810;
BgL_classz00_7810 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5009))
{ /* Llib/ssl.scm 1382 */
 BgL_objectz00_bglt BgL_arg1780z00_7812; long BgL_arg1781z00_7813;
BgL_arg1780z00_7812 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5009); 
BgL_arg1781z00_7813 = 
BGL_CLASS_DEPTH(BgL_classz00_7810); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1382 */
 long BgL_idxz00_7821;
BgL_idxz00_7821 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7812); 
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_arg1773z00_7822;
{ /* Llib/ssl.scm 1382 */
 long BgL_arg1774z00_7823;
BgL_arg1774z00_7823 = 
(BgL_idxz00_7821+BgL_arg1781z00_7813); 
BgL_arg1773z00_7822 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7823); } 
BgL_test4386z00_14279 = 
(BgL_arg1773z00_7822==BgL_classz00_7810); } }  else 
{ /* Llib/ssl.scm 1382 */
 bool_t BgL_res3384z00_7846;
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_oclassz00_7831;
{ /* Llib/ssl.scm 1382 */
 long BgL_arg1785z00_7837;
{ /* Llib/ssl.scm 1382 */
 long BgL_arg1786z00_7838;
BgL_arg1786z00_7838 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7812); 
BgL_arg1785z00_7837 = 
(BgL_arg1786z00_7838-OBJECT_TYPE); } 
BgL_oclassz00_7831 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7837); } 
{ /* Llib/ssl.scm 1382 */
 bool_t BgL__ortest_1114z00_7832;
BgL__ortest_1114z00_7832 = 
(BgL_classz00_7810==BgL_oclassz00_7831); 
if(BgL__ortest_1114z00_7832)
{ /* Llib/ssl.scm 1382 */
BgL_res3384z00_7846 = BgL__ortest_1114z00_7832; }  else 
{ /* Llib/ssl.scm 1382 */
 long BgL_odepthz00_7833;
BgL_odepthz00_7833 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7831); 
if(
(BgL_arg1781z00_7813<BgL_odepthz00_7833))
{ /* Llib/ssl.scm 1382 */
 obj_t BgL_arg1775z00_7835;
BgL_arg1775z00_7835 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7831, BgL_arg1781z00_7813); 
BgL_res3384z00_7846 = 
(BgL_arg1775z00_7835==BgL_classz00_7810); }  else 
{ /* Llib/ssl.scm 1382 */
BgL_res3384z00_7846 = ((bool_t)0); } } } } 
BgL_test4386z00_14279 = BgL_res3384z00_7846; } }  else 
{ /* Llib/ssl.scm 1382 */
BgL_test4386z00_14279 = ((bool_t)0)
; } } 
if(BgL_test4386z00_14279)
{ /* Llib/ssl.scm 1382 */
BgL_auxz00_14278 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5009)
; }  else 
{ 
 obj_t BgL_auxz00_14301;
BgL_auxz00_14301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(55709L), BGl_string3327z00zz__ssl_sslz00, BGl_string3324z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5009); 
FAILURE(BgL_auxz00_14301,BFALSE,BFALSE);} } 
BgL_tmpz00_14277 = 
BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_auxz00_14278, 
CBOOL(BgL_autozd2paddingzd2_5010)); } 
return 
BBOOL(BgL_tmpz00_14277);} } 

}



/* ssl-cipher-final */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_179)
{
{ /* Llib/ssl.scm 1392 */
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_method1357z00_1772;
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_res2625z00_4009;
{ /* Llib/ssl.scm 1392 */
 long BgL_objzd2classzd2numz00_3980;
BgL_objzd2classzd2numz00_3980 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_179)); 
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_arg1782z00_3981;
BgL_arg1782z00_3981 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1392 */
 int BgL_offsetz00_3984;
BgL_offsetz00_3984 = 
(int)(BgL_objzd2classzd2numz00_3980); 
{ /* Llib/ssl.scm 1392 */
 long BgL_offsetz00_3985;
BgL_offsetz00_3985 = 
(
(long)(BgL_offsetz00_3984)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1392 */
 long BgL_modz00_3986;
BgL_modz00_3986 = 
(BgL_offsetz00_3985 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1392 */
 long BgL_restz00_3988;
BgL_restz00_3988 = 
(BgL_offsetz00_3985 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1392 */

{ /* Llib/ssl.scm 1392 */
 obj_t BgL_bucketz00_3990;
BgL_bucketz00_3990 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_3981),BgL_modz00_3986); 
BgL_res2625z00_4009 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3990),BgL_restz00_3988); } } } } } } } } 
BgL_method1357z00_1772 = BgL_res2625z00_4009; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1357z00_1772))(BgL_method1357z00_1772, 
((obj_t)BgL_sslzd2cipherzd2_179), BEOA);} } 

}



/* &ssl-cipher-final */
obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_5011, obj_t BgL_sslzd2cipherzd2_5012)
{
{ /* Llib/ssl.scm 1392 */
{ /* Llib/ssl.scm 1392 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_14338;
{ /* Llib/ssl.scm 1392 */
 bool_t BgL_test4391z00_14339;
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_classz00_7847;
BgL_classz00_7847 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5012))
{ /* Llib/ssl.scm 1392 */
 BgL_objectz00_bglt BgL_arg1780z00_7849; long BgL_arg1781z00_7850;
BgL_arg1780z00_7849 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5012); 
BgL_arg1781z00_7850 = 
BGL_CLASS_DEPTH(BgL_classz00_7847); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1392 */
 long BgL_idxz00_7858;
BgL_idxz00_7858 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_7849); 
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_arg1773z00_7859;
{ /* Llib/ssl.scm 1392 */
 long BgL_arg1774z00_7860;
BgL_arg1774z00_7860 = 
(BgL_idxz00_7858+BgL_arg1781z00_7850); 
BgL_arg1773z00_7859 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_7860); } 
BgL_test4391z00_14339 = 
(BgL_arg1773z00_7859==BgL_classz00_7847); } }  else 
{ /* Llib/ssl.scm 1392 */
 bool_t BgL_res3385z00_7883;
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_oclassz00_7868;
{ /* Llib/ssl.scm 1392 */
 long BgL_arg1785z00_7874;
{ /* Llib/ssl.scm 1392 */
 long BgL_arg1786z00_7875;
BgL_arg1786z00_7875 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_7849); 
BgL_arg1785z00_7874 = 
(BgL_arg1786z00_7875-OBJECT_TYPE); } 
BgL_oclassz00_7868 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7874); } 
{ /* Llib/ssl.scm 1392 */
 bool_t BgL__ortest_1114z00_7869;
BgL__ortest_1114z00_7869 = 
(BgL_classz00_7847==BgL_oclassz00_7868); 
if(BgL__ortest_1114z00_7869)
{ /* Llib/ssl.scm 1392 */
BgL_res3385z00_7883 = BgL__ortest_1114z00_7869; }  else 
{ /* Llib/ssl.scm 1392 */
 long BgL_odepthz00_7870;
BgL_odepthz00_7870 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7868); 
if(
(BgL_arg1781z00_7850<BgL_odepthz00_7870))
{ /* Llib/ssl.scm 1392 */
 obj_t BgL_arg1775z00_7872;
BgL_arg1775z00_7872 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7868, BgL_arg1781z00_7850); 
BgL_res3385z00_7883 = 
(BgL_arg1775z00_7872==BgL_classz00_7847); }  else 
{ /* Llib/ssl.scm 1392 */
BgL_res3385z00_7883 = ((bool_t)0); } } } } 
BgL_test4391z00_14339 = BgL_res3385z00_7883; } }  else 
{ /* Llib/ssl.scm 1392 */
BgL_test4391z00_14339 = ((bool_t)0)
; } } 
if(BgL_test4391z00_14339)
{ /* Llib/ssl.scm 1392 */
BgL_auxz00_14338 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5012)
; }  else 
{ 
 obj_t BgL_auxz00_14361;
BgL_auxz00_14361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2943z00zz__ssl_sslz00, 
BINT(56138L), BGl_string3328z00zz__ssl_sslz00, BGl_string3324z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5012); 
FAILURE(BgL_auxz00_14361,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_auxz00_14338);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
